Topic: SlideBook 6 User's Guide

×

  • SlideBook 6 User's Guide
  • Next page

User's Guide

The contents of SlideBook 6 User's Guide

Contacting Intelligent Imaging Innovations, Inc
New in SlideBook 6
Getting Started with SlideBook
User Interface
Deconvolution Module
Macro Scripting
Ratio Module
FRET Module
Photomanipulation Module
Motorized Spherical Aberration Correction Device
FLIM Module
2-Photon Scanning Module
Lattice LightSheet Module
Marianas LightSheet (diSPIM and iSPIM) Module
Stereology Module
SlideBook Reader


Topic: Contacting Intelligent Imaging Innovations, Inc

×

  • SlideBook 6 User's Guide
  • Contacting Intelligent Imaging Innovations, Inc
  • Previous page
  • Next page

Contacting Intelligent Imaging Innovations, Inc

If you have any questions or experience any problems with SlideBook™, please contact our support team:
By Phone: 303.607.9429 ext.2
By Email: support@intelligent-imaging.com
On the web: http://www.intelligent-imaging.com
Help file last edited 9/28/2017


Topic: New in SlideBook 6

×

  • SlideBook 6 User's Guide
  • New in SlideBook 6
  • Previous page
  • Next page

New in SlideBook 6

New User Experience
SlideBook 6 features a completely redesigned user interface based on feedback from our customers. New easy to understand icons and a ribbon UI make SlideBook easier to learn than ever.
Reorganized Menus
SlideBook 6 is based on a ribbon UI grouping similar functions for fast and intuitive use. The resulting improvement in user efficiency reduces the need for mouse clicks, dialog boxes and drop down menus. Features previously extracted from drop down menus are now readily available at the click of a button. Read more on User Interface.
Improved Workflow
SlideBook 6 is streamlined to optimize user workflow, with changes ranging from user logins that remember window positions to a scripting interface in the ribbon menu.
Recapture Experiment
SlideBook 6 is the only advanced digital microscopy software that allows repeating an experiment by simply clicking Recapture Experiment in the SLD file.
Montage Around an Element
It is now possible to create an image montage with the click of a button. Simply select the center point and the tile array (e.g. 2x2, 5x5) and a montage will be captured automatically. Select 3 point montage and capture of a plane angled through multiple z planes! Please review details in the Montage Extent section of the XY tab of Focus Controls
Projection Mode Switch
View image stacks as single z planes or a projection through the stack with a click of the mouse. Maximum intensity, sum and average projections are instantly available within Main, Timelapse Tile and MultiD Channel views from the [image] Projection menu.
Photomanipulation Region Memory
Photomanipulation regions are now locked to their events via timepoint and location data. These regions cannot be manipulated post acquisition and now serve as a permanent record of the event triggers.
6D MultiCapture Expansion
Sequential 6D MultiCapture introduces the ability to conduct different experiments at different locations in one sequence. For example a complete 2D timelapse experiment can be followed by a 4D experiment at a different position, with no limit to the combinations.
2-Photon FLIM
SlideBook 6 can directly acquire time-domain fluorescence lifetime images while preserving original photon counting data from a VIVO 2-Photon system. This module includes tools for dual exponential and polar plot analysis as well as customization using MATLAB.
2-Photon Scanning Advancements
SlideBook 6 now supports continuous open-ended streaming multichannel acquisition, IR transmission scanning, and electronic-level PMT "blanking" to prevent detector overload during photomanipulation events.
Digital Holography Improvements
SlideBook 6 adds Phasor™ streaming whereby photomanipulation and photostimulation events can be specified in real time at µs resolution and in 3D.


Topic: Getting Started with SlideBook

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Previous page
  • Next page

Getting Started with SlideBook

A series of tutorials have been provided to aid in getting familiar with the tools provided in SlideBook. These tutorials walk you through basic operations provided in the software. Alternatively, each user interface window has a help page associated with it that diagrams each function and advises in how to use the options available.
For tutorials and user interface pages, the following typographic conventions are used:
Menu commands, dialog fields, and other permanent interface items are written in bold italics and follow the order of menu navigation. For instance, choosing “Open” from the “File” menu is written as File > Open.
NOTES are written in bold and capitals.
A stylized font is used for user-defined fields or hot key shortcuts such as file names or text entries or press Delete.
References to other sections of the help are highlighted such as Focus Controls Window.
SlideBook is organized using a graphical menu and icon system. There is a customizable Quick Access toolbar across the top of the application with the rest of the program functionality being found in a tabbed system. The tabs are designed to group functionalities and improve workflow while minimizing the number of clicks required to accomplish tasks.
Terminology used in the manual refers to location by tab and group and often includes an image of the icon. A main portion of this help system is the User Interface section. User interface pages are organized in a structure that mimics the actual user interface:
Tab > Group > Menu/Icon > Function
When you are on a specific user interface page of the help system, the location of the page can be found in the organizational tree on the left side of the Help pane, or across the top of the window.
Tabs are the largest organizational feature of SlideBook. Tabs available include:
File - execute normal file functions such as open, close, create and save .sld
Home - control hardware to set up and acquire images, import and export images, view images using basic and advanced techniques, and access region tools and annotations.
Analyze - deconvolve and filter data, perform mask generation and analysis, graph, particle track, smooth curve analysis and analyze using other techniques
Scripting - execute, design, and edit existing scripts
Modules - access purchased analysis modules such as FRET, Ratio, FLIM, and Stereology
Support - easily update software and key, backup configuration, contact 3i technical support
Administration - resource for system administrators that includes setup, maintenance, and configuration tools
In the Home tab, you will find two main hardware control icons to open Focus control and Capture control dialogs. These two dialogs are all you need to set up anything from a simple 2D single channel image to a 3D multi-channel capture that visits multiple x,y locations over time (6D capture).
Focus controls allow you to arrange the sample and examine the specimen interactively.
Capture controls allow you to set up parameters for automated image capture.

The contents of Getting Started with SlideBook

Introduction to Focus Controls
Introduction to Capture Controls
Example Experiment
SlideBook File Format: the .SLD
TUTORIAL: Viewing an Image
TUTORIAL: Adjusting Display of an Image
TUTORIAL: Quantitative Image Export
TUTORIAL: Displaying and Formatting Annotations
TUTORIAL: Using Regions to Graph data


Topic: Introduction to Focus Controls

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Introduction to Focus Controls
  • Previous page
  • Next page

Introduction to Focus Controls

Focus controls are accessed from the [image] Focus icon in the Home tab, or by pressing Ctrl + F.
The Focus Controls window is used to help arrange and view the specimen before setting up an acquisition. You can use the Focus Controls to center the specimen relative to the camera, check fluorescence levels, take a 2D single channel snapshot, adjust camera parameters, or set up a point list for multi-point visiting experiments.
The lower portion of the window is static while the top portion of the window has different tabs for specific functionality. The upper portion of the window changes with regards to control modules available. We will first examine the lower portion of the window as it is used intermittently with tabs of the top portion.

Lower portion of Focus Controls

Scope tab

Z tab

XY tab

Camera tab

See more on the Focus Controls Window


Topic: Introduction to Capture Controls

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Introduction to Capture Controls
  • Previous page
  • Next page

Introduction to Capture Controls

Capture controls are accessed from the [image] Capture icon in the Home tab, or by pressing Ctrl + E.
The Capture Controls dialog provides all necessary tools to set up basic or complex capture sequences. The dialog is broken down into areas to adjust parameters for different dimensions of capture as depicted below.

Capture Settings
Save/Load Capture Settings
Access Advanced options including variable time intervals, photomanipulation, autofocus, periodic imaging, speed optimizations, and triggering.

Capture Type
Select elements to be included in image acquisition then complete relevant fields.
If none of these elements is desired, proceed to Channel Selection and Exposure Time.

Extent - Offset - Binning

Select a bin factor to increase signal (note this will decrease resolution). Manually select a chip size based on the center of the chip.
OR
Draw a region to image on the live window using the tool. Click “Update” to apply.

Timelapse Capture
Enter parameters for time series acquisition.

Multiple XY Location Capture
Select a multipoint list if you would like to perform point visiting or capture images for a montage.

3D Capture
Select elements to be included in image acquisition then complete relevant fields.
If none of these elements is desired, proceed to Channel
Selection and Exposure Time.
Be aware of the amount of memory available and required for the capture. It may be necessary to adjust the portion of the chip used, binning, number of time points, or number of Z sections to create a manageable data set.

Channels
Check the boxes next to the imaging filters you would like to capture.
Use the buttons below to adjust the order in which the channels are captured.

Exposure
Adjust the exposure time for each channel that will be captured. Use the Live button should you need to reposition your sample.
Refer to the histogram (see tips below) to determine optimal exposure times.
Try using the buttons in the adjust exposure dialog to allow SlideBook to optimize exposure time for your sample.
Adjust neutral density settings, gain, and intensification for the camera as desired. Use “Current” to use the settings from the focus controls. Different settings can be applied to each channel.

Setting Exposure Time

Setting exposure time appropriately is essential to obtaining the desired imaging results, for live cell experiments, it can be a matter of life and death! When using an EM (electron multiplying) camera, one needs to adjust intensification with exposure time. Here are some basic tips for setting exposure time and intensification appropriately.
TIPS
For fixed specimens, aim for filling the histogram 2/3 of the way. This gives you room for brighter planes.
Never saturate an image you would like to use for deconvolution or most other quantitative analysis techniques.
For live samples, experiment to determine how much light they can handle. You will often sacrifice intensity for cell viability. It is acceptable to have your signal at twice the background level, depending on the noise in the image.
When imaging live samples with an EM camera, you can increase the signal while keeping the exposure time low by increasing the intensification.
If possible, try to keep the intensification level well below the maximum available.
When using a non-EM, higher resolution camera, another way to increase signal without increasing exposure time is to utilize binning. It is important to note that binning will decrease the lateral resolution of an image.


Topic: Example Experiment

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Previous page
  • Next page

Example Experiment

This section will step through the process of setting up an example data capture. For brevity, we will walk you through a 4D multipoint capture setup. For less complex experiments, simply exclude the aspects of the experiment that are not relevant to your work.

Getting Started

If you are using an incubation chamber, it should be turned on at least one hour before you begin setting up your experiment. Immersion media for objectives such as distilled water or the microscope manufacturer’s immersion oil should be placed in the chamber and allowed to come to temperature as well. It is important that the temperature of the equipment has stabilized to eliminate drift artifacts in the data capture.
Ensure the objective lens is clean and in the lowered (raised for upright microscopes) position. If the objective requires cleaning, use lens tissue or 100% cotton swabs and an approved solvent. Never use general purpose lab or household tissue on optical surfaces. Once the objective is clean, apply the appropriate immersion media*. Ensure there are no bubbles in the media. If there are bubbles during application, remove the fluid using lens tissue and re-apply.
Arrange the specimen on the microscope stage with the coverslip toward the objective lens. Bring the objective toward the sample. For air objectives, stop at about 1mm from the coverslip. For water and oil objectives, stop once the media has contact with the coverslip. Use stage clips, the stage insert, or lab tape to secure the specimen to the stage. Direct light to the specimen and bring the sample into focus looking through the oculars.
* It is important to use the microscope manufacturer’s immersion oil to maintain the chromatic properties of high end objectives. For upright microscopes, the immersion media will be applied to the coverslip of the specimen rather than the objective. Alternately, many upright microscopes have “dipping” lenses that can be inserted directly into the specimen’s media.

The contents of Example Experiment

Open Focus Controls, Orient Specimen
Set Z Extents
Set Points for Visiting
Open Capture Window, Set Exposure Times
Set Capture Parameters, Start Acquisition


Topic: Open Focus Controls, Orient Specimen

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Open Focus Controls, Orient Specimen
  • Previous page
  • Next page

Open Focus Controls, Orient Specimen

1. In the Scope tab of [image] Focus Controls, set Emission Selection to 100% Camera.
2. Select filter set and channel you would like to preview.
3. Open the appropriate shutter to direct light to the sample.
4. Adjust the focus using the knobs on the microscope or z stage controls to bring the specimen into focus.
5. If necessary, use binning or change exposure time to alter the appearance of the image on the screen. You will set parameters for final capture later.


Topic: Set Z Extents

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Set Z Extents
  • Previous page
  • Next page

Set Z Extents

1. Navigate to the top z extent using the z stage controls.
2. Click Set Top.
3. Navigate to the bottom extent using the z stage controls.
4. Click Set Bottom.
5. Click Go to return to the center of the stack.
6. Set the step size for data collection or click Optimal to use Nyquist sampling of the theoretical axial resolution of the objective.


Topic: Set Points for Visiting

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Set Points for Visiting
  • Previous page
  • Next page

Set Points for Visiting

1. Click Set Point to add the current position to the list for capture.
2. Navigate to the next point using the joystick for the motorized stage or the stage controls.
3. Adjust the z focus to the center of the stack using the focus knob or the z stage controls.
4. Click Set Point to add the next point to the list.
5. Repeat steps 2–4 until all desired points are set.


Topic: Open Capture Window, Set Exposure Times

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Open Capture Window, Set Exposure Times
  • Previous page
  • Next page

Open Capture Window, Set Exposure Times

1. Open the [image] Capture dialog, check the box next to the channel you would like to capture.
2. Click Test.
3. Adjust Exposure parameters [see notes here for additional information on setting exposure parameters.]
4. If desired, adjust bin factor to further increase signal, adjust exposure time and intensification accordingly. Repeat 1–3 for additional imaging channels, noting that only one bin factor can be used per experiment.
NOTE: Binning reduces xy resolution.
6. Select channels and use the Move buttons to change capture order.


Topic: Set Capture Parameters, Start Acquisition

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • Example Experiment
  • Set Capture Parameters, Start Acquisition
  • Previous page
  • Next page

Set Capture Parameters, Start Acquisition

1. Check the box for 3D.
2. Select the type of 3D capture to perform. For multipoint experiments, select Use reference position and Range around reference. For standard 3D imaging, you will likely select Use top and bottom positions.
3. Check box for Timelapse.
4. Enter Timelapse Capture details as desired.
5. Select the radio button for Multipoint List to direct the capture to the points marked in the XY tab of the Focus Controls.
6. Enter a Name for the image if desired. Click Start.
1 2


Topic: SlideBook File Format: the .SLD

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • SlideBook File Format: the .SLD
  • Previous page
  • Next page

SlideBook File Format: the .SLD

A slide is SlideBook’s native file type (*.sld). A slide file corresponds to a single file on the disk and can be thought of as SlideBook’s document type. It can contain many multi-plane, multi-channel, multi-timepoint images in any combination.
Double-clicking on an image in a slide will open a Main View of the image.
You may also right-click on an image and perform the following functions: rename, cut, copy, paste, delete. Additionally, you may select Properties to view information about the image capture. Recapture Experiment is available for images captured in SlideBook 6 and later. By selecting Recapture Experiment, the Capture dialog will open, populated with the experiment acquisition parameters used in collecting the selected image, thus easily reproducing the acquisition.
In the .sld, each image will be represented as a thumbnail with associated image information including comments made during capture or analysis, capture date, capture type, number of channels, physical image dimensions, amount of drive space taken up by image (size), and number of masks. The thumbnail style represents the capture type. Three dimensional images will be represented as a stack of thumbnails. Images taken over time will have a film strip depiction above the thumbnail. The image seen in the thumbnail is a direct representation of the default view of the image. To adjust how the thumbnail appears in a .sld, open the image and adjust the plane, renormalization, lookup table, etc. Once the image appears as desired, click on the thumb icon [image] and Save the .sld to set the default setting for future openings of the slide and images.
A .sld must be open in order to run the Focus Window or set up image capture.


Topic: TUTORIAL: Viewing an Image

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • TUTORIAL: Viewing an Image
  • Previous page
  • Next page

TUTORIAL: Viewing an Image

When you open an image by double–clicking on the thumbnail in a slide, a Main View will open. Alternatively, you may open a Main View or a Three View from the View Menu. All views contain many useful tools outlined below.
In any open view, the middle mouse scroll wheel will scroll through either z-planes or time. In a 4D series the scroll wheel will control time or you may hold down the CTRL key while scrolling the mouse wheel to change z-planes.
When an image consists of multiple time points, additional tools will appear in the Main View. We will briefly review the tools associated with playing back time lapse images.
The Playback Controls allow you to toggle looping/single playthrough, move back one time point, play/pause, or move forward one time point.
The Time Slider displays the current time point both with the small gray box and with a numerical display to the right of the slider bar. In the example above, the user is at time point 3, about 20% of the way through the entire time series. A user can move to a desired time point by clicking on the small gray box and dragging it to the desired time point. When the time slider control is selected, it will be surrounded by a dotted line box. Once selected, you can move forward and backward through time by using the middle scroll button on the mouse.
The Playback Speed Slider works in a manner similar to the time slider. Instead of adjusting the time point, this slider controls the speed of the image looping in FPS or frames per second.


Topic: TUTORIAL: Adjusting Display of an Image

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • TUTORIAL: Adjusting Display of an Image
  • Previous page
  • Next page

TUTORIAL: Adjusting Display of an Image

SlideBook offers some basic display tools for adjusting how data is represented on the computer screen.

Renormalization

Renormalization allows you to alter the range of intensities displayed for each channel. To open the Renormalize Image window, click on the Adjust LUT icon [image] in the Home tab or View window.
1. Open the Renormalize Image window:
A histogram is displayed showing the relative number of pixels on the y axis and intensity values on the x axis for the specified channel. In this image, the CY3 channel intensities range from 0 to 13067.
2. Click on the drop-down Channel menu and select the channel you would like to adjust.
3. Click on the red and green bars in the histogram window and drag them to the left or right, observing the change in the display of the relevant channel data.
The red and green bars allow you to select the minimum and maximum intensities that correspond to the absence (black) or full saturation of color in the display, respectively. Again, the underlying values in the image are not affected.
4. Now manually enter numbers in the Low and High data entry fields. Note that the image does not automatically update as it does when moving the red and green bars.
5. Click Apply to register the change and update the image.
6. Press Reset all to Image Min/Max to set the minimum and maximum display values to the minimum and maximum pixel values.
7. Choose OK to exit the Renormalize Image dialog box.

Change the Color Scheme

You may also change the basic way channels are displayed in the view window. For example, data can be displayed using a temperature lookup table or in monochrome. Shortcut keys are available for each of the option below or you may find them under the Mode menu in the Home tab.
RGB Color - Ctrl + Shift + R - Provides three colors (red, green, and blue) for assignment to any of the channels, also enables a background channel to blend a transmitted light image
Monochrome - Ctrl + Shift + M - Provides a single channel to display a monochrome image
Inverted Monochrome - Ctrl + Shift + V - Provides a single channel to display an inverted monochrome image
Pseudocolor - Ctrl + Shift + P - Provides a single channel to display on a hot/cold lookup table, may be gated by a second channel as in ratio data
User-defined Color - Ctrl + Shift + D - Provides up to eight channels which can be assigned to a user-defined color selected from a color chart or manually created
When a transmitted light, greyscale image is collected along with fluorescence, you can combine the channels using Blend Background (available under [image] Settings in the View group of the Home tab. Blend background is compatible with RGB Color and Pseudocolor display types. Degree of blending can be adjusted in the View Settings window .


Topic: TUTORIAL: Quantitative Image Export

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • TUTORIAL: Quantitative Image Export
  • Previous page
  • Next page

TUTORIAL: Quantitative Image Export

Sometimes, you will wish to share data with colleagues or back up data in a format that can be read by programs other than SlideBook. In order to do this, you will want to maintain the true intensity values of each pixel of the image. For this reason, there is a 16-bit tiff export option available (see also 16-bit Tiff Export window ). This export option is compatible with the OME (Open Microscopy Environment) format.
1. Select the image that you would like to export by clicking on it. You may also start from an open view of the image.
2. In the Home tab, select [image] Export > (Quantitative Export) 16-bit TIFF. A dialog similar to the following will appear.
3. Select the Image Range as described below. You may also select and deselect images using the checkboxes in the Selected Images list.
  • •
    Selected Image – Operation will be performed on the selected image only.
  • •
    All Images with Same Type – Operation will be performed on all images in the slide with the same capture type (2D, 3D, 4D, etc.) as the selected image.
  • •
    All Images with Same Channels – Operation will be performed on all images in the slide with the same channels as the selected image.
  • •
    All Images - Operation will be performed on all images in the slide.
4. Select the Output Directory where the tiffs will be saved by clicking on Browse then navigating to the desired location.
5. Check the box for Include OME XML to include OME metadata in the tiff file (encoded in XML).
6. Check the box for Separate File For Each Plane if you would like a tiff file for each plane for each channel of the image. If you do not check this box, a multi-plane tiff file will be created for each channel.
7. If desired, format the naming of the tiffs in the Filename Format String field.
8. Press OK.


Topic: TUTORIAL: Displaying and Formatting Annotations

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • TUTORIAL: Displaying and Formatting Annotations
  • Previous page
  • Next page

TUTORIAL: Displaying and Formatting Annotations

In any of the image views available, SlideBook provides tools to add annotations to displayed images. When annotations are shown in an image, they will be exported with any Qualitative export of the image. Annotations are not displayed when images are exported using a Quantitative technique. Additional information on these functions can be found in the Annotations Group .
1. Open a view of the image you would like to annotate.
2. Go to the Annotations group in the Home tab.
3. Select the annotations you would like to display by checking the boxes. Alternatively, you can use shortcut keys (listed here).
4. Once the annotations are displayed, you may find it desirable to adjust the positioning or appearance of the annotations. To do this, select the Settings [image] icon in the Annotations group.
5. This dialog consists of a number of tabs that allow for formatting of each individual annotation. Users can adjust the color, placement, and font used for each annotation. Some annotations have annotation specific settings such as the length setting for scale bars. Adjust all annotations as desired then click OK. The changes will be made in your image window. It may be necessary to click once on the image for the updates to take place.
6. If you are only interested in adjusting annotations for the image you are working with, close the window when finished. Should you choose to apply these annotation settings to every image you open, it is possible to set the default behavior for annotations. To do so, click on [image] Set Default Settings in the Annotations group.
NOTE: Set Default Settings will only set the default annotation settings for the current SlideBook session. If you restart SlideBook, the default annotations will have to be reset.


Topic: TUTORIAL: Using Regions to Graph data

×

  • SlideBook 6 User's Guide
  • Getting Started with SlideBook
  • TUTORIAL: Using Regions to Graph data
  • Previous page
  • Next page

TUTORIAL: Using Regions to Graph data

In any open image view, you may draw regions to graph channel intensity information. A drawn region will exist is all z-planes and time points of an image. This tutorial reviews drawing and editing regions, setting a background region, and graphing the region data.
1) Open a Main View of an image.
2) Select any of the region drawing tools from the Region group in the Home tab or from the tool menu in the view window.
NOTE: If regions were drawn and saved with the image in the full SlideBook software, they will be displayed when you select a region drawing tool.
3) Draw regions as desired on the image by clicking and dragging. You may use any combination of the region drawing tools. When using the [image] Polygon tool, double click to close the shape.
4) If desired, draw a region in the background area of the image. Right-click and select Set as Background from the menu.
5) To select a region, click within its borders. Once a region is selected, you may drag to to change the location, press Delete to remove it, or right-click to copy/paste it. For complete descriptions of all region functions, please review Region Tools .
6) Once you are satisfied with the regions, you may graph the data by going to [image] Graph in the Analyze tab or by selecting the Graph icon [image] in the view window.
NOTE: Graph is only available when there are intensity changes over time in 2D Timelapse and 4D data types ( not available for 3D or 2D images). For images that do not have a time aspect, you may use Masks for analysis.
7) Select the type of intensity and which channels you would like to graph from the New Graph View window. Click OK.
8) View and explore the Graph window. For more information on the tools in this window, go to the Graph window page.
9) If desired, export an [image] Excel file, [image] text file, or [image] tiff of the graph data.


Topic: User Interface

×

  • SlideBook 6 User's Guide
  • User Interface
  • Previous page
  • Next page

User Interface

SlideBook is organized using a graphical menu and icon system. There is a customizable Quick Access toolbar across the top of the application with the rest of the program functionality being found in a tabbed system. The tabs are designed to group functionalities and improve workflow while minimizing the number of clicks required to accomplish tasks.
Terminology used in the manual refers to location by tab and group and often includes an image of the icon. A main portion of this help system is the User Interface section. User interface pages are organized in a structure that mimics the actual user interface:
Tab > Group > Menu/Icon > Function
When you are on a specific user interface page of the help system, the location of the page can be found in the organizational tree on the left side of the Help pane, or across the top of the window.
Tabs are the largest organizational feature of SlideBook. Tabs available include:
File - execute normal file functions such as open, close, create and save .sld
Home - control hardware to set up and acquire images, import and export images, view images using basic and advanced techniques, and access region tools and annotations.
Analyze - deconvolve and filter data, perform mask generation and analysis, graph, particle track, smooth curve analysis and analyze using other techniques
Scripting - execute, design, and edit existing scripts
Modules - access purchased analysis modules such as FRET, Ratio, FLIM, and Stereology
Support - easily update software and key, backup configuration, contact 3i technical support
Administration - resource for system administrators that includes setup, maintenance, and configuration tools

The contents of User Interface

Quick Access Toolbar
File Menu
Home Tab
Analyze Tab
Scripting Tab
Modules Tab
Support Tab
Administration Tab
System Administration


Topic: Quick Access Toolbar

×

  • SlideBook 6 User's Guide
  • User Interface
  • Quick Access Toolbar
  • Previous page
  • Next page

Quick Access Toolbar

The Quick Access Toolbar persists regardless of the active tab. It contains frequently used functions and can be customized in several ways to suit your needs.
Use the dropdown list to customize the toolbar
Right click on any icon or group shown in the ribbon and select Add to Quick Access Toolbar to expand functionality.
Minimize the Ribbon will hide the ribbon interface when it is not in use. When you click on a tab, the ribbon will re-appear. To end this behavior, uncheck the selection by clicking on it.


Topic: File Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • File Menu
  • Previous page
  • Next page

File Menu

The File Menu contains common file menu commands such as New Slide, Open Slide, Close Slide, Save Slide, and Save Slide As. You also have access to printing functionality from this menu.
At the right of the menu is a list of recently opened slide files for re-opening convenience.


Topic: Home Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Previous page
  • Next page

Home Tab

The Home tab contains access to the tools necessary to:
  • •
    setup and execute experiments, from basic to very complex designs
  • •
    import and export data
  • •
    view and adjust the display of images
  • •
    create and edit regions
  • •
    perform basic measurements
  • •
    add and edit annotations

The contents of Home Tab

Acquire Group
View group
Regions Group
Annotations Group


Topic: Acquire Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Previous page
  • Next page

Acquire Group

The Acquire group of the Home tab provides access to the Focus Controls and Capture window as well as advanced capture setups and complex laser options. It is in this group, that you have the opportunity to import and export data and images in multiple formats.

The contents of Acquire Group

Focus Controls Window
Capture Window
Special Capture
Multiphoton
Photomanipulation
Export
Import


Topic: Focus Controls Window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Previous page
  • Next page

Focus Controls Window

The Focus Controls are used to set up a variety of parameters before image capture. You may use these controls to help position your specimen, mark the z range for capture, calibrate FRAP or a spherical aberration correction (SACTM) device, or set up a point visiting list. The top portion of the window (area 1) is tabbed to allow selection of specific device control. The bottom portion of the window (areas 2-8) remains static to allow control of commonly accessed hardware controls.
See also:
Scope Tab of Focus Controls
Z Tab of Focus Controls window
XY Tab of Focus Controls
Camera Tab of Focus Controls
Stream Tab of Focus Controls
TIRF Tab of Focus Controls
mSAC Tab of Focus Controls
6D Tab of Focus Controls
Laser Tab of Focus Controls
LaserStream Tab of Focus Controls
Using AutoFocus in SlideBook
Focus Controls Window

Tabbed Controls

1. Tabbed Controls
The Tabbed Controls allow control of individual components of the imaging system. Depending on hardware configuration some or all of the following tabs may be present:
Scope, Z, XY, Camera, Stream, SA Correction, FRAP, FRAP Alignment, TIRF, Laser
Top

Basic Camera Control

2. Basic Camera Control
Camera: For multi-camera systems, select the camera you would like to use from the dropdown menu.
Exposure: Type an exposure time (ms) in the text field or use the slider bar to control the exposure time in the live Camera window. There is a limit of 500 ms using the slider bar; this value can be increased when necessary by typing in the edit field. It is important to note that this exposure time is only used in the live Camera window and exposure times for image capture will be set in the Capture dialog.
Bin: Select a bin factor from the dropdown menu. Binning amplifies signal while decreasing resolution by combining the signal of adjacent pixels before readout. This is useful in the Focus Controls because it allows shorter exposure times and faster image refresh rates, ultimately making it easier to find a sample and bring it into focus. Bin factor adjustments are used only for optimizing image display in the live Camera window and can be set independently in the Capture dialog.
Zoom: The [image] zoom buttons can be used to zoom in and out on the image in the live Camera window.
- Make a selection using the [image] marquis tool then click update to zoom to a region of interest in the live Camera window. Note that this region will not be carried into the Capture dialog but can be selected at that time for image capture.
- Reverts to the full camera chip after zooming or selecting a region and updating in the live Capture window.
- When the intensity scaling is set to Manual in the Camera tab of Focus Controls, pressing Auto Renorm will reset the live Camera window to automatically renormalize the intensity scaling to the minimum and maximum values. Default behavior is for the live image to be automatically renormalized and this button to be inactive.
- Checking this box puts yellow guide lines on the live Capture window. There will be a crosshair in the center with corners marking central regions of 256x256, 512x512, and 1024x1024 pixels.
- Checking this box will display a color brightfield image in the live Capture window. Use of this feature requires specific hardware for capturing color images, such as an LCD color filter changer or color camera.
- This button toggles to Start and Stop real time image viewing in the live Camera window by controlling the camera readout. In most cases, this will not affect the light being delivered to the sample; instead, the shutter buttons should be used to minimize exposure. In systems with a synchronized LaserStackTM, this button will open/close the Alternate Source Shutter.
- Press Snap to capture a single image in the current channel and save it in the open slide. SlideBook will open the shutter for the associated filter selected and snap an image using the exposure time selected.
Top

Channel Control

3. Channel Control
Select a Filter Set from the dropdown menu. Filter sets can be used to organize channels that are used for similar types of imaging such as Confocal, TIRF, Widefield, Vector, Ratio, or FRET. For more on this topic, please review Working with Filter Sets.
Select a channel by pressing the appropriate button. To direct light to the sample, open the associated shutter.
Top

Shutter Control

4. Shutter Control
The three shutter buttons correspond to shutters configured in Hardware Configuration for the Fluorescence Lightpath (reflected lightpath), Transmitted Lightpath, and Advanced Lightpath (usually a laser light source) respectively. Shutters are associated with channels in the Light Source section of the Filter Configuration Parameters dialog. When a shutter is open, the light icon will turn on [image].
If you would like your fluorescence shutter to close automatically when you close the Focus window, select Edit > Hardware Properties, then expand the Focus Window section. Click on ShutterUponClose.
Top

XY Stage Control

5. XY Stage Control
On systems equipped with a motorized xy stage, you can use the directional buttons to move the stage in increments specified by the value in the adjacent edit field. This value is always given in microns (or fractions thereof). You can change this increment distance at any time. The defaults are 100, 10, 1 and FOV (Field of View is an integer value defined by the pixel array of the CCD) which can be selected from the dropdown menu.
The current x and y positions read from the stage are also displayed in this section.
TIP: If you double-click on an object in the image display, the xy stage will move so that the object is centered.
Top

Z Stage Control

6. Z Stage Control
On systems equipped with motorized z focusing, you can move the focus up and down using the directional buttons. There are three sets of buttons with predefined stage movement increments (10, 1, and 0.1 microns). In addition, an user-defined stage movement increment value can be entered in the edit field below the last set of buttons on the right. The default value of the edit field will be set to the theoretical z resolution for the selected objective.
With few exceptions, the up and down buttons correspond to the direction of mechanical movement. For instance, on an upright microscope with either an integrated or external stepper motor, the direction corresponds to stage movement, so “up” means focusing further past the coverslip and towards the slide since the stage is moving up. On an inverted microscope, “up” corresponds to moving the nosepiece up, and therefore also means focusing further past the coverslip.
The Auto Focus button is used to define and test parameters for auto focusing during capture. When you press this button, the Auto Focus window will open.
Top

Neutral Density Control

7. Neutral Density Control
If you have defined ND Selection and Auxiliary ND in Hardware Configuration, you may select the position from the Neutral Density Primary and Auxiliary dropdown menus. The default value of 100 corresponds to 100% light throughput, a value of 1 corresponds to 1% light throughput.
Top

Laser Power Control

8. Laser Power Control
If a laser is being used as the light source, the power can be controlled by this dropdown menu. The default value of 100 corresponds to 100% laser power, a value of 1 corresponds to 1% laser power.
Top

The contents of Focus Controls Window

Scope Tab of Focus Controls
Z Tab of Focus Controls
XY Tab of Focus Controls
Camera Tab of Focus Controls
TIRF Tab of Focus Controls
VectorTIRF Tab of Focus Controls
6D Tab of Focus Controls
Laser Tab of Focus Controls
Stream Tab of Focus Controls
Auto Focus window
LaserStream Tab of Focus Controls
TUTORIAL: Using Definite Focus for Multipoint Capture
TUTORIAL: Using ZDC for Autofocus
TUTORIAL: Using Perfect Focus for Autofocus
TUTORIAL: Nikon Ti2 Perfect Focus for Autofocus


Topic: Scope Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Scope Tab of Focus Controls
  • Previous page
  • Next page

Scope Tab of Focus Controls

The Scope Tab of Focus Controls window allows you to control microscope imaging components such as objective, imaging port, optovars, and brightfield imaging techniques. This information will be used in the Capture dialog.
See also:
Magnification Changer Parameters window
Configure Objective Lenses window
Optics Group of Capture Window
Scope Tab of Focus Controls

Objectives group

1. Objectives group
On systems with a motorized objective turret, you can move to a different objective by selecting the corresponding button. (For information on adding objectives to those defined for your system, please refer to the Configure Objective Lenses window).
If you try to move between objectives that use differing immersion media, such as an oil objective to an air objective, SlideBook will bring up a dialog box warning about the pending move.
CAUTION: On most systems with motorized objective turrets, you can safely move between objectives of similar immersion media (e.g., air, oil). However, there are situations where you will definitely not want to move between objectives automatically. For instance, if you are using a water immersion objective on an upright microscope, where the objective is dipped into the chamber, trying to move the objective could break the chamber or damage the motorized turret.
Top

Emission Selection group

2. Emission Selection group
On systems with a motorized emission light path, these radio buttons let you choose between letting the light go 100% to the camera, 100% to the oculars (eyepieces), or to 50% each (if available). The 50% - 50% option is not desirable for capturing images as the sample is exposed to twice the light necessary for imaging; however, this mode may be useful for teaching purposes.
You may also provide custom labels for the emission selection positions (ocular photo prism positions). To do so, select Administration tab > Hardware Properties, then expand the Focus Window section. Click on the Ocular Photo Prism Pos you wish to edit and enter the label in the edit field. Click Apply Change, Close, and restart SlideBook.
Top

Magnification Changer

3. Magnification Changer
On systems with an encoded magnification changer, this field reports its current position. Magnification Changers can be configured in the Magnification Changer Parameters window.
Top

Camera/Video option

4. Camera/Video option
There are two motorized prism controls in the scope: ocular/photo and camera/video. The ocular/photo is a three position prism as described above in the Emission Selection group and camera/video is two position prism. The default labels refer how Zeiss used to label it (film camera, video camera). However, most microscopes have multiple prisms that interact using this interface. You may customize the labels under Administration tab > Hardware Properties > Focus Window > Camera Video Prism Pos 1/2 Description.
Top

Lamp Controls

5. Lamp Controls
On microscopes with a computer controlled lamp voltage adjustment, the intensity of the brightfield illumination can be controlled using this slider. Moving the slider to the far left corresponds to turning the lamp off, while moving the button to the far right corresponds to turning the lamp to maximum intensity.
Top

Condenser group

6. Condenser group
On microscopes with an automated condenser turret, you may select condenser positions from the drop-down menu.
Top


Topic: Z Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Z Tab of Focus Controls
  • Previous page
  • Next page

Z Tab of Focus Controls

The Z Tab of Focus Controls window allows you to set up z positioning for 3D (or 4D) image acquisition. This dialog also provides information on optimal sampling in z and allows control of motorized SAC (Spherical Aberration Correction) devices. This information will be used in the Capture dialog.
See also:
3D Capture group of Capture window
Z Tab of Focus Controls

Z Range Setup

1. Z Range Setup Navigate to the top of the z stack you would like to capture by using the Z Stage Controls in the focus window. Press Set Top.
Navigate to the bottom f the z stack you would like to capture by using the Z Stage Controls in the focus window. Press Set Bottom.
Press Go (next to Center:) to go to the center of the defined z range.
Reference: Set allows you to Set a reference z position for the point of best focus, or some other position that is of importance for your experiment. Once you set this reference position, it may be used for 3D capture. To visit the reference position, press Reference: Go. This position will be saved until you reset the position or close SlideBook.
Clear All will clear all set z positions.
Top

Capture Information group

2. Capture Information group Press Optimal to calculate the optimal z Step size for image capture (utilizes Nyquist sampling of the theoretical axial resolution of the objective).
Alternatively, type desired z Step size in the text edit field to set this value manually.
Number of Planes and Total Travel will be automatically calculated from Top and Bottom positions and Step size.
Top

Motorized S.A.C. group

3. Motorized S.A.C. group To move the Motorized Spherical Aberration Correction device, move the slider or type a value in the text edit field and press Go. For calibration of the SAC, go to the SA Correction tab of Focus Controls.
Top


Topic: XY Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • XY Tab of Focus Controls
  • Previous page
  • Next page

XY Tab of Focus Controls

The XY Tab of Focus Controls allows the user to set up XY locations to visit during an experiment. This maybe part of a point visiting experiment that takes place over time (in 2D or 3D) or part of a montage in which images are acquired then assembled into one large image. Locations (or points) may be saved for future use. It is important to note that before you can save or load a pointlist, you must first Home the stage.
See also:
TUTORIAL: Using 6D Scripted Capture
Capture Window: Multiple XY Location Capture Group
Multi Well Capture window
XY Tab of Focus Controls

XYZ Points list

1. XYZ Points list
Displays x, y, and z coordinates of points. Selected point is highlighted in blue. A selected point may be visited, updated, or deleted.
Top

Set Point button

2. Set Point button
Add the current stage location coordinates to the point list.
Top

Visit Point button

3. Visit Point button
Visit the currently selected point.
Top

Visit XY Only button

4. Visit XY Only button
Visit the xy location of the selected point and ignores the z coordinate.
Top

Update XYZ button

5. Update XYZ button
Update the xyz coordinates of the selected point with the current xyz stage coordinates.
Top

Convert Montage button

6. Convert Montage button
Currently a beta feature only available to software keys coded for beta features. When components of a montage have been defined, will convert the full area to a series of xyz points rather than just the existing extents.
Top

Update Z button

7. Update Z button
Update the z coordinate of the selected point with the current z location.
Top

Offset All Z button

8. Offset All Z button
When the z focus position has been changed, will offset all z coordinates by the amount changed. The workflow is to visit a location, adjust the focus in the focus window using the up and down arrow buttons, then click Offset All Z. A message will appear asking if you would like to adjust the focus position of all points by N microns, click Yes to continue or No to abandon the operation.
Top

Reset All Z button

9. Reset All Z button
Reset the z coordinate of all points with the current z position.
Top

Edit Description... button

10. Edit Description... button
Open a text edit field that allows naming of the location. This will be used in front of - Position N in image naming in the .sld.
Top

Clear Point button

11. Clear Point button
Remove the currently selected point from the list.
Top

Clear All button

12. Clear All button
Delete all points from the list.
Top

Montage Extent group

13. Montage Extent group
Set a point then use the Montage Extent buttons to set the point as one of the montage extents. You may use any combination of diagonally opposite corners or corners and edges as long as an extent is defined in each direction.
Use Set Edge to define a montage by either 2 diagonal corners for a plane that uses the same z in each image or by a 3-point slope interpolation technique. Slope interpolation works best when 3 corners are used (ex. UL, UR, LR). Z positions will be interpolated from a plane that is fit through all 3 points. Before you set up the montage, be sure to select Capture > Advanced > Focus > Enable 3 point Z interpolation for montage capture.
NOTE: This option will be greyed out if you have set any points in the XY tab of Focus Controls. Delete any existing points and try again.
The Set Extent button enables the boxes where you can define the number of frames in x and y. For example, if you set the extent value to 2 x 2, and then press the (dot) button in the center, you should get a 2 x 2 montage centered at the current location. Similarly, if you press the upper left button you should get a 2 x 2 montage with the current location as the upper left anchor.
Top

Load... button

14. Load... button
Load a previously saved point list. Only available after stage has been homed.
Top

Save... button

15. Save... button
Save the point list. Only available after stage has been homed.
Top

Zero button

16. Zero button
Top

Home... button

17. Home... button
Homes the stage. That is, moves the stage to visit the limits of travel and set the true zero position. Homing the stage enables point lists to be saved and loaded. Before homing the stage, you should ensure the stage is free of all obstructions and clear of objective lenses.
Top

The contents of XY Tab of Focus Controls

Setting the XY Stage-Camera Relationship
TUTORIAL: Collecting a Montage


Topic: Setting the XY Stage-Camera Relationship

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • XY Tab of Focus Controls
  • Setting the XY Stage-Camera Relationship
  • Previous page
  • Next page

Setting the XY Stage-Camera Relationship

The easiest way to confirm the stage-camera relationship is configured correctly is to double click on an object in the live camera window. If the object is centered in the view, everything is configured correctly. If the object moves in the wrong direction, you may need to adjust XY Stage Properties as described below. If the object moves too far or too little, you may need to adjust the pixel size for the objective or set a per-camera magnification factor.
1. Bring a sample into view and focus using the Focus Controls.
2. Using the joystick, move the stage so that the image on the screen moves to the left (in other words, pan and move the image field to the right). When panning to the right, notice whether the x coordinate position in the XY Stage section of the Focus Controls window increases or decreases. In the example below, the x value is decreasing. If the x value decreases, you will use -1 for the MoveFieldRightSign hardware property discussed later in this procedure. If the x value increases, you will use 1.
3. Repeat for the y axis by panning down so that the image appears to move up. Note the change in the y axis coordinate position (increasing or decreasing) when panning. In the example below, the y value decreases. If the y value decreases, you will use -1 for the MoveFieldDownSign hardware property discussed later in this procedure. If the y value increases, you will use 1.
4. Select Administration tab > Hardware Properties. The following Edit Hardware Properties dialog box will appear. Click on the + sign next to XY Stage to expand the list.
5. Click on the item in the list titled MoveFieldRightSign. The right side of the dialog box will be updated. Enter the appropriate value (1 or -1 based on the change in x position values when panning right) in the edit field and select Apply Change.
6. Click on the item in the list titled MoveFieldDownSign. The right side of the dialog box will be updated. Enter the appropriate value (1 or -1 based on the change in y position values when panning down) in the edit field and select Apply Change.
7. If there are multiple cameras on the system, you may repeat for each camera ensuring that the correct camera is selected in Focus Controls and when setting the XY Stage properties.
8. Close the dialog box using the Close button and restart SlideBook when prompted.
9. Test your calibration by double-clicking to center an object in live Camera window.


Topic: TUTORIAL: Collecting a Montage

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • XY Tab of Focus Controls
  • TUTORIAL: Collecting a Montage
  • Previous page
  • Next page

TUTORIAL: Collecting a Montage

(Optional) Enable z-Tilt Compensation for the Montage

When collecting a montage, images need to be in a contiguous plane of imaging. For this reason, autofocus is not used during montage acquisition. Instead, you can configure SlideBook to use the z position at 3 corner extents of the montage and calculate the precise z plane for each tile of the image based on this information.
1. Open the [image] Capture window from the Home tab.
2. Click Advanced in the upper right of the window.
3. Go to the Focus tab, check the box to Enable 3 point Z-interpolation for montage capture.
NOTE: This option will be greyed out if you have set any points in the XY tab of Focus Controls. Delete any existing points and try again.
4. Click OK.

Define the Montage Area

1. Open the [image] Focus window from the Home tab.
2. Select the objective for making the montage.
3. Scan the specimen to identify the extent of the region to montage.
4. Open the XY tab in the Focus window.
5. Make sure that Set Edge option is checked in the Montage Extent group (1 below).
6. Move to the first corner of the area, focus to an identifiable focus position.
7. Click the montage button corresponding to the position of the current field (2 below)
8. Move to each of two other subsequent corners of the area and click on their corresponding buttons (3 & 4 below).
9. The single line for the montage region will display the number for frames for the montage as well as 3D when tilt compensation has been configured and z plane was changed in setting the montage extents (5 below)

Tips

  • •
    Each corner must be set to the same focal level in the specimen in order to correctly calculate the degree of tilt for the specimen.
  • •
    The corners must be set in sequence, such as UL-UR-LR, or LL-UL-UR, etc.
  • •
    If you make a mistake, delete the montage with Clear Point and start over.
  • •
    It may be easier to focus if you enlarge the focus window image by clicking on the Zoom: + button, far left, middle of focus. Return to 50% with Zoom: -.

Capture Montage

1. Open the [image] Capture window from the Home tab.
2. Select the channel(s) to be included, set the exposure time for each channel (for more information on this, refer to the Adjust Exposure group).
3. Select Montage from Multiple XY Location Capture.
4. Name the montage if desired, click on Start to capture the montage.
5. One image will appear in the slide file, it will be a "timelapse" of image tiles collected for the montage.

Generate the Montage

1. Select the image then click on [image] Montage in the View group of the Home tab.
2. An subsampled preview montage image will open along with the Montage Generation window.
3. Manually adjust image alignment or use automatic functions as described in the Generate Montage window help page.


Topic: Camera Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Camera Tab of Focus Controls
  • Previous page
  • Next page

Camera Tab of Focus Controls

The Camera Tab lets you control various settings on the CCD camera as well as view a histogram of the pixel intensities for the image in the focus window.
Camera Tab of Focus Controls

Histogram area

1. Histogram area
The histogram shows a plot of pixel intensities values for the focus window image. Pixel intensity values are plotted on the x axis, while numbers of pixels at a given intensity are plotted on the y axis. In addition, the minimum, mean, and maximum pixel intensity values are reported beneath the histogram. This data is continuously updated when the camera is actively acquiring images.
Top

Scale Image Display group

2. Scale Image Display group
The histogram can be operated in two modes as shown in the Scale Image Display region of the window, Manual and Auto. In manual mode, you may drag the red and green bars to set the min and max values that are displayed in the live image. You may also enter numbers in the Low and High edit fields. In auto mode, the live image will use the minimum and maximum intensity values of the live image to set the contrast in the image. Thus, if you increase the exposure time, the live image will update and automatically reset the contrast of the image to match the range of intensities in the live image.
Top

Show Full Dynamic Range check

3. Show Full Dynamic Range check
There is also the option to display the full dynamic range of the camera using the Show Full Dynamic Range checkbox. When this box is checked, the histogram will not show the minimum and maximum intensities of the image, but rather the minimum and maximum possible intensities based on your camera’s readout.
Top

Display Options

4. Display Options
Multiple Camera Windows - This will display each camera in its own unique live window. Changing cameras will open a new window if one does not exist and/or move an existing one up top.
Test Dual Camera - In a dual camera configuration it's called Test Dual Camera. In a dual view configuration it's called Test Image Splitter or Test Dual View. The image splitter setting is Hardware Properties > Simultaneous Capture > SplitCapture. Yes is a dual camera splitter installed, No is dual camera. In either case, it produces an alignment image that is one subtracted from the other.
Cycle - When selected it moves from one camera to the next camera to the next camera, in a circle.
Top

Camera-Specific Options

5. Camera-Specific Options
Speed - On cameras that support this adjustment, the CCD read-out speed can be adjusted using this dropdown menu.
Gain - On cameras that support this adjustment, the gain can be set using this dropdown menu.
Intensification - On cameras that support this adjustment, the intensification factor can be adjusted using the edit field and slider located below the label.
Optional Parameters - This dropdown menu allows for support of additional features on certain cameras. For instance, on Hamamatsu cameras, the parameters menu allows you to select the camera offset.
Top


Topic: TIRF Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TIRF Tab of Focus Controls
  • Previous page
  • Next page

TIRF Tab of Focus Controls

When motorized TIRF is installed on a system, you may use the TIRF Tab of Focus Controls to adjust the TIRF angle. Simply start a live preview of the sample then adjust TIRF using the slider, edit field, or arrow buttons. During experiment setup, you may wish to fine tune TIRF such that you obtain and use a setting for each individual channel. These settings can be applied in the TIRF dropdown of the Capture Window.
TIRF Tab of Focus Controls


Topic: VectorTIRF Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • VectorTIRF Tab of Focus Controls
  • Previous page
  • Next page

VectorTIRF Tab of Focus Controls

Vector is 3i's patented high-speed laser scan head that utilizes galvanometers to move a laser beam very quickly across a field of view. Vector technology can be used for point scanning photomanipulation or applied toward a VectorTIRF unit. VectorTIRF allows the users to steer a laser to a TIRF angle then use galvonometers to "spin" the point source in a ring of designated diameter in the back focal plane of the objective. The end result is a highly uniform precise TIRF illumination that can be tuned to individual channels and adapted to accomplish various experimental parameters. Simultaneous excitation using a single TIRF angle can also be achieved. For assistance setting up simultaneous laser excitation, please contact 3i support.
See also:
Configuring VectorTIRF Positions
VectorTIRF Tab of Focus Controls

XY Center Point Controls group

1. XY Center Point Controls group
Sets the center location X and Y coordinates for the laser entering the back focal plane of the objective. The location should be the center of the back focal plane of the objective for spinning TIRF. These controls are only enabled when Enable spinning is NOT checked. Use the sliders or up/down arrows to control the location values. Alternatively, type a value in the text field and click Go. Once values are determined, click Set to update the X and Y values used for imaging.
NOTE: These sliders are also useful for testing TIRF in non-spinning mode.
Top

Channel Selection

2. Channel Selection
Use the Channel selection drop down to select the filter configuration for which you will adjust parameters. See also Configuring VectorTIRF Positions. If you want to test parameters, be sure the matching channel is selected from the Filter Set selection in the lower half of Focus Controls.
Top

Enable spinning check

3. Enable spinning check
Check this box to move the laser in a circle of set diameter based on the center of the back focal plane of the objective. If this box is not checked, the laser beam will remain stationary at the set X/Y location value, typically the center of the back focal plane of the objective.
Top

Update button

4. Update button
Press Update after changing diameter, duration, X:, or Y: parameters. Pressing update will activate the parameter change(s) for use until SlideBook is restarted. The active parameters will be used for imaging.
Top

Diameter field

5. Diameter field
Enter a value (in mV) to be applied to the Vector galvanometers. the larger the value, the larger the TIRF angle will be. This is the distance off center to which the laser beam will be moved. When spinning, the laser beam will be following a circular path based on this diameter.
Top

Duration field

6. Duration field
Enter a value in milliseconds for how long it should take to complete full rotation of VectorTIRF. You may want to consider camera exposure time when setting this value. For standard imaging, a duration of 5-10 milliseconds is recommended.
Top

X: center field

7. X: center field
X center location can be set by applying a voltage to the X galvonometer. For spinning TIRF, this should be the center point of the back focal plane of the objective. For traditional TIRF, this should be the location on the back focal plane that generates TIRF and spinning should be disabled.
Top

Y: center field

8. Y: center field
Y center location can be set by applying a voltage to the Y galvonometer. For spinning TIRF, this should be the center point of the back focal plane of the objective. For traditional TIRF, this should be the location on the back focal plane that generates TIRF and spinning should be disabled.
Top

Set button

9. Set button
Enabled only when Enable spinning is unchecked. This button copies the X and Y values set by the sliders in the top half of this tab into the active parameters for the TIRF channel selected.
Top

Save button

10. Save button
Saves the diameter, duration, X: and Y: parameters to the Hardware Properties file for the position indicated by the selected channel's filter configuration. SlideBook will need to be restarted for these changes to be accessible though they do show up correctly in the hardware properties file. SlideBook will always use the active parameters (parameters last selected when Update was pressed). When you save new parameters to hardware properties, these are the default values that will be loaded when you initialize SlideBook as a fresh start.
Top

The contents of VectorTIRF Tab of Focus Controls

Configuring VectorTIRF Positions


Topic: Configuring VectorTIRF Positions

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • VectorTIRF Tab of Focus Controls
  • Configuring VectorTIRF Positions
  • Previous page
  • Next page

Configuring VectorTIRF Positions

In addition to standard hardware component configurations, there are specific hardware properties that allow users to utilize VectorTIRF for spinning TIRF or traditional single point TIRF. 3i VectorTIRF Position properties allow you to set default values for the parameters found in the VectorTIRF tab of Focus Control. These parameters will control penetration depth, TIRF angle, field uniformity, and other advanced aspects of TIRF.
Administration tab > Filters allows you set up channels for imaging. When a system is installed by 3i staff, they will configure all required filters. Should you have specific research goals that require additional channels, you may wish to duplicate a configured channel then customize advanced parameters.
1. Go to Administration tab > Filters. Select the desired TIRF filter from the Filter Configuration dropdown menu. Edit the name to reflect the changes you will be making. In this example, we will set up a 488 TIRF channel that does not spin and is configured to perform "traditional" objective based TIRF using a collimated laser beam at a single point in the back aperture of the objective.
2. Select a value for Default TIRF Position. This value refers to the Position used in Hardware Properties. You may need to look at other TIRF filter configurations to determine the next available position. Click OK to save changes and close the dialog. Restart SlideBook as directed.
3. Open Focus Controls and navigate to the TIRF tab. Select the appropriate channel using the channel selection buttons in the lower half of the dialog. Select the matching channel using the channel dropdown in the TIRF tab.
4. Disable spinning by unchecking the box. Use the Open Alt button to open the shutter. Use the sliders at the top of the dialog to steer the beam into a position that produces the desired TIRF effect.
5. Click Set to copy the X and Y slider values to the parameter fields in the lower portion of the tab. Continue to imaging if desired. Alternatively, click Save to save the settings to Hardware Properties. Once SlideBook is restarted, these parameters will automatically be linked to the channel.


Topic: 6D Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • 6D Tab of Focus Controls
  • Previous page
  • Next page

6D Tab of Focus Controls

In order to help automate capture, SlideBook includes a heterogeneous 6D capture option. This allows you to visit different physical locations on a sample and run unique capture routines at each location.
See also:
TUTORIAL: Using 6D Scripted Capture
6D MultiCapture window
Capture Window
Advanced Capture Preferences window
6D Tab of Focus Controls

Point list

1. Point list Displays the list of locations, also called points. Points can be Set in within this interface or within the XY tab. Specifically the XY Tab of Focus Controls is used to load or save point lists and when points are set using the Multi Well Capture window.
Points may be selected and edited from this list. To select a point, click on it. A black rectangle is drawn around the selected point, in this example Point 4 is the selected point. Double-clicking on a point will move to that location. Different color blocks next to each point are used to indicate different capture scripts. Black will appear when no capture script has been assigned to a location.
NOTE: You can hold the Shift key down and click two points on the list to select a range of points then assign a capture script to multiple points at one time. You can also hold Ctrl down to select multiple discontinuous points.
Top

Point Command buttons

2. Point Command buttons
  • •
    Set - Set the current XYZ position as a point on the list
  • •
    Visit - Move to the currently selected point's XYZ location.
  • •
    Update - Update the currently selected point with the current XYZ location.
  • •
    Remove - Removes the currently selected point from the list.
  • •
    Edit - Not currently active, will enable editing of point name and manual XYZ entering.
Top

Capture Script group

3. Capture Script group
Select a capture script from the dropdown menu. Capture scripts are created by setting parameters in the Capture Window and saving the Capture Settings. Parameters used from the saved script include: extent, bin factor, 3D capture selection and parameters, filters selected and order used, exposure time, associated ND, Aux ND, intensification, and autofocus parameters set in the Focus Tab of Capture Preferences window. Timelapse parameters are used for Sequential 6D Multicapture only. Please click here to see a visual representation of parameters used in heterogeneous 6D capture.
Once a capture script is selected, Capture information will appear below the dropdown and the channels present will populate the channel list.
Edit opens the Capture Window with the selected script loaded. You may edit desired parameters such as channels collected, z sectioning, or time lapse intervals then either overwrite or save as a new experiment.
Top

Pause After Script

4. Pause After Script
This field allows you to add a pause after the specified script is captured. Pause After Script is only applied when performing the Sequential mode of 6D MultiCapture.
Top

Channel settings

5. Channel settings
Exposure time, neutral density, auxiliary neutral density, and intensification values are set from the saved capture script but can be edited manually in this area. Click on a channel from the list to adjust exposure time, neutral density, auxiliary neutral density, and intensification.
Double clicking on a channel (or clicking Go) will change the filter settings used in the Focus Controls window to those selected in the 6D tab. Conversely, clicking Copy Current will pull the values from the Focus Controls into the selected channel.
Top

Go button

6. Go button
Changes Focus Controls window to match the channel settings shown in the 6D tab.
Top

Copy Current button

7. Copy Current button
Pulls channel setting values for exposure time, neutral density, auxiliary neutral density, and intensification from the Focus Controls window to use with the current capture script and selected channel. You can do the same thing by double-clicking on a channel in the channel list.
Top

6D Button

8. 6D Button
Opens the 6D MultiCapture window. This is the next step in initiating scripted capture.
Top

The contents of 6D Tab of Focus Controls

Saved Capture Parameters used in 6D Scripted Capture
TUTORIAL: Using 6D Scripted Capture


Topic: Saved Capture Parameters used in 6D Scripted Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • 6D Tab of Focus Controls
  • Saved Capture Parameters used in 6D Scripted Capture
  • Previous page
  • Next page

Saved Capture Parameters used in 6D Scripted Capture

Capture scripts for 6D MultiCapture are simply saved Capture Settings created in the Capture Window. The image below is a visual representation of the parameters in saved capture scripts that are used in 6D scripted capture.
NOTE: Timelapse parameters are used for Sequential 6D MultiCapture only (capture an entire experiment at location A, move to location B, cont'd). Interleaved capture uses timelapse parameters defined in the 6D Multicapture dialog.


Topic: TUTORIAL: Using 6D Scripted Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • 6D Tab of Focus Controls
  • TUTORIAL: Using 6D Scripted Capture
  • Previous page
  • Next page

TUTORIAL: Using 6D Scripted Capture

It is often useful to run an automated capture routine that performs different acquisition types at different physical locations. For example, you may wish to capture different channels, different z ranges, or different exposure times at different points then visit those locations over time. This tutorial will review the basic steps required to set up a 6D heterogeneous capture.
A. The first step in setting up 6D scripted capture is to create the capture scripts. This is done using the Capture Window. Simply set up capture parameters as you would in a single location experiment. Parameters used from this interface include CCD chip extent and offset, 3D parameters, channel order, exposure time, and associated filters as well as the autofocus routine set in the advanced options Focus tab. Please visit Saved Capture Parameters used in 6D Scripted Capture to visualize the active parameters.
B. Next, you need to define the locations to visit during the experiment. This can be done several different ways:
- Define the locations within the 6D tab.
- Define the locations or load a saved list in the XY tab.
- Define the locations using the Multi Well Capture window and Export Points back to the XY tab.
C. Now you are ready to associate capture scripts with locations and fine tune acquisition parameters. Go to the 6D tab of the Focus Controls window.
1. Select a point from the point list by clicking on it once.
2. Move to that location by clicking on Visit or double-clicking the point in the list.
3. Select a Capture script from the dropdown menu.
4. Select a channel by clicking on it. Adjust exposure time, associated neutral density filter, auxiliary neutral density, and intensification as desired. If you need to adjust additional parameters, clicking Edit will open the Capture Window with the selected script parameters loaded. You may edit parameters as desired then either re-save the experiment or save it under a new name. Click Go to copy the selected parameters to the live Focus Controls. Conversely, click Update to populate the capture parameter fields with the settings currently used in the Focus Controls. Repeat for all channels listed.
5. Go to the next location, repeat steps#1-4 until capture scripts and exposure times have been set for all locations. Use the 6D button to directly open the 6D MultiCapture window and proceed to the step D below.
D. After scripts are set for the point list, you are ready to configure the time lapse routine. Click 6D from the 6D tab in the Focus Controls or go to Special Capture > 6D MultiCapture (in the acquire group of the Home tab). For more on this window, visit the 6D MultiCapture window page.
1. Select the Capture type from the drop down menu as follows:
Sequential - Performs a time lapse routine at each location, capturing the assigned script for the entire time lapse duration before moving on to the next location. If Sequential capture is desired, there is an option to add a pause after each location in the 6D tab of Focus Controls.
A. You may repeat the sequence by entering a value in the Repeat field.
Interleaved - Performs a time lapse routine in which the selected capture script is performed at each location in a loop using the time lapse interval between the start of each point visiting loop.
B. Type a value for the # of Time Points to acquire and the Interval between time points. This is the interval between the start of each capture routine. If capture takes longer than the designated interval, it will proceed as quickly as possible. Estimated Duration will be calculated once the other two parameters are completed.
2. Press Start to begin acquiring images.
E. During data acquisition, the Capture Controls dialog is open. This window allows you to interact with the microscope and data while images are being acquired. In 6D scripted capture, you may find it particularly useful to make note of interesting events using the Notes tab or to review previously captured images using the Show button in the Live tab.


Topic: Laser Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Laser Tab of Focus Controls
  • Previous page
  • Next page

Laser Tab of Focus Controls

When a 3i automated switcher is present on an imaging system, the Laser tab will be present in Focus Controls.
See also:
Switcher-mounted Calibration Procedure for Vector
Laser Tab of Focus Controls

Laser switcher control

1. Laser switcher control
This dropdown menu allows selection of the galvanometer product to be controlled in the Laser Tab interface.
Top

Enable TTL Blanking

2. Enable TTL Blanking
Toggles the active galvanometer between positional control (uncheck, conventional USB) and TTL control (checked).
Top

Position 0

3. Position 0
Upon Slidebook launch, displays the value configured in Hardware Properties for Position 0. After clicking the Set button, it displays the Set value (see Set button below) for Position 0.
Top

Position 1

4. Position 1
Upon Slidebook launch, displays the value configured in Hardware Properties for Position 1. After clicking the Set button, it displays the Set value (see Set button below) for Position 1.
Top

Position 2

5. Position 2
Upon Slidebook launch, displays the value configured in Hardware Properties for Position 2. After clicking the Set button, it displays the Set value (see Set button below) for Position 2.
Top

Position 3

6. Position 3
Upon Slidebook launch, displays the value configured in Hardware Properties for Position 3. After clicking the Set button, it displays the Set value (see Set button below) for Position 3.
Top

Set button

7. Set button
Sets the entered value in the Position 0-3 fields for the duration of the SlideBook session.
NOTE: Does not write to the Hardware Properties file.
Top

Go to Position

8. Go to Position
Moves the active galvonometer (as selected by the Laser switcher control menu) to the value of the Position field.
Top

Step Size

9. Step Size
Enter a value for the galvanometer step size. The +/- buttons move the active galvonometer by the entered value.
Top

Max Intensity

10. Max Intensity
Displays the Minimum and maximum intensity values for the live image.
Top

Device

Displays the active galvanometer, should correspond to Laser switcher control selection.
Top


Topic: Stream Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Stream Tab of Focus Controls
  • Previous page
  • Next page

Stream Tab of Focus Controls
The streaming capture function allows you to run your Hamamatsu or Photometrics camera at the fastest possible speed. There are limitations with streaming capture. When a camera is recording in this mode, you may only alter other hardware via the Focus Window. Streaming capture does not work using the Capture dialog box, so you may not perform automated multi-channel, 3D, 4D, multipoint or montage capture. This capture mode is ideal for rapid 2D timelapse capture (see also Rapid 4D Streaming Capture). To run your camera in streaming capture mode, follow the instructions below.
1. Open the Focus Window and select the Stream tab (or use the [image] Stream shortcut from Special Capture in the Acquire group of the Home tab).
2. Select the Start button. A new image capture window will open with a counter for number of images captured.
3. The camera will continuously generate images with the exposure time that was have selected in the Focus Window. If desired, select the Number of frames to average from the drop-down list.
4. Name the file in the Image Name field.
5. Press Record to save the captures to disk. Once you have pressed record, images will be saved to disk and the record button will convert to Pause. To end the recording, press Stop. This will also stop the streaming update. To resume the streaming update, press Start. You will not be able to change camera settings while the camera is streaming. You must press Stop and make changes to camera settings, then press Start again.
CAUTION: Recording at this speed will rapidly use computer disk space.
Spool files will be opened automatically once you press Stop. They will also be placed in the open slide with the name designated in Step 4.


Topic: Auto Focus window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Auto Focus window
  • Previous page
  • Next page

Auto Focus window

The Auto Focus window is used to define and test parameters for auto focusing during image capture. Here, you may test different methods and search parameters to determine what works well with your specimen. These values will later be used in the Focus tab of Advanced Capture Preferences.
NOTE: Autofocus is not compatible with montage imaging please refer to TUTORIAL: Collecting a Montage for preferred method.
Access Auto Focus from the [image] button in the Z Stage control area of Focus Controls
See Also:
Focus tab of Advanced Capture Preferences
Using AutoFocus in SlideBook
Auto Focus window

Method

The computational Method used to evaluate and compare focal planes. Changing the method can affect the success of the auto focus routine. The default method of Spectral 2D Template will work best in almost all cases. Gaussian Derivative may prove useful when using a phase contrast channel for auto focus. The other methods are experimental. You should consult 3i Support if you are not having success with the default method.
Top

Search Range

2. Search Range
Total Search Range is the total distance in the z dimension that will be searched during the auto focus routine starting from half the specified distance below the current z position.
SlideBook will automatically compute the number of planes to image based on the total search range and the calculated depth of field (FD) of the microscope objective. This information is displayed below the Total Search Range edit box. For instance, in the above example in order to span the 15 micron search distance with an objective that has a focal distance of 0.35 microns, a total of 42 planes will be imaged.
To use a different z step size, you may check the box to Override step size and enter a value in microns in the text field.
Top

Post Focus Offset

3. Post Focus Offset
The Post Focus Offset is a positive or negative offset distance that the z stage will be moved from the optimal focus position. This feature is useful for always focusing a constant distance above or below the automatically determined focal plane.
Top

Peak Delta Threshold

4. Peak Delta Threshold
The Peak Delta Threshold is used to determine when no optimal plane of focus should be computed from a particular image position. When performing a montage capture, for example, some fields might not contain tissue and should not be used to change the current z position. This value can range between 0.0 and 1.0, but should not be decreased below 0.1 in most cases. For captures where you know that each image in the sequence will have sufficient detail to focus, this threshold can be raised. If the value is set to 1.0 then the threshold will be ignored.
Top

X-Y Threshold

5. X-Y Threshold
This parameter is not currently used.
Top

Exposure

The Exposure time used for image capture during the auto focus routine. This edit box will have a default value of the exposure time used in the Focus Controls.
Top

Autofocus button

7. Autofocus button
Press the Autofocus button to initiate a single auto focus scan using the parameters defined in this window. Results will be displayed in the Results area as described below.
Top

Save TIFFs

8. Save TIFFs
Check this box to enable an advanced debugging feature that will generate a series of TIFF files in a numbered directory created in SlideBook program directory.
Top

Save logfile

9. Save logfile
Check this box to enable an advanced debugging feature that creates an autofocus log file in the SlideBook program directory.
Top

Results

After the Autofocus button is pressed and the routine is finished, SlideBook will report the optimal focal z position in the Best Z information box and automatically move the z stage to this location. In addition, timing statistics for the autofocus routine are given in the Total Time and Image Time information boxes.
NOTE: If SlideBook is unable to determine the optimal focal plane in the sample it will return one of two messages in the Best Z information box. The No Gradient message indicates that SlideBook was unable to find a focal gradient within the specified search range. In this case, the peak delta threshold used for autofocus computation may need to be increased or the search range may need to be increased. The At Edge message indicates that the optimal focal plane appears to lie above or below the specified search range. Since SlideBook will automatically move the z stage to the best focal plane within the specified search range, simply running the auto focus routine again (starting from this new z position) will often find the optimal focal plane.
Top

OK button

11. OK button
Press OK to save the autofocus parameters for use during Capture and close the dialog.
Top

Cancel button

12. Cancel button
Press Cancel to discard changes and close the dialog.
Top

The contents of Auto Focus window

Using AutoFocus in SlideBook


Topic: Using AutoFocus in SlideBook

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • Auto Focus window
  • Using AutoFocus in SlideBook
  • Previous page
  • Next page

Using AutoFocus in SlideBook

AutoFocus is a powerful tool that can help you maintain an imaging plane or z-stack range over time. The instructions below will aid in setting the appropriate focusing parameters for your sample.
1. Ensure the sample is flat in the sample holder and the sample holder is level in the stage. Angles here will dramatically affect the focal plane from one side of the slide to the other.
2. In the Focus Controls window, select the channel that you will use to autofocus and ensure the focus drive that SlideBook controls is in the center. When using a piezo z drive, the piezo z should be centered or set to 0.0. The sample should be hand focused by the microscope focus controls. This is due to the fact that the piezo only has 100 microns travel distance, if the only z-control is the microscope focusing drive, this is less of an issue because there is such a large range of travel. Open the autofocus window by pressing the Autofocus button in the Z Stage control area of the Focus Controls window.
3. Run the autofocus algorithm from the Focus Controls window to ensure the settings are correct. The settings that you need to set are:
a) Search Range – Depends on sample thickness and fluorescence distribution. More points are better but you will need to find the balance between the needed search distance and photobleaching/phototoxicity or temporal resolution needed for the experiment. You can autofocus on a non-imaged channel, or a bright but less interesting channel to speed this up. Blue shifted filter sets will lead to more photobleaching and phototoxicity than red filter set in general.
b) Delta Peak Threshold – This is the limit set for the minimum change in the Gaussian curve required to trigger the resetting of the z due to the autofocus algorithm. It is required for montages. Imagine a Gaussian curve of z-position vs. sharpness in a 3D stack. The difference in the peak height to the edges is what this parameter is looking at. So in a stage position that has signal, the peak height should be large compared to the base line, but in a stage position without sample (say the edges of a montage), this peak height would be only slightly different than the base line. On the outskirts of the montage you do not want the z position to change, but within the sample you may. The delta peak threshold sets the limit at which you accept or ignore the autofocus’ suggested sharpest z plane. The algorithm is a value between 0.1 and 1, where the lower the value the more stringent the difference must be to accept the autofocus and the higher the value, the autofocus suggestion is always accepted.
Guidelines:
i) For thin montage sample where signal should be in a similar plane, delta peak threshold should be set to a low value (i.e. 0.1 - 0.4). Smaller Search Range okay.
ii) For a thick montage sample where signal could be in any plane, delta peak threshold should be set to a middle range value (i.e. 0.5 - 0.8). Larger Search Range needed.
iii) For multipoint/multiwell captures where imaging planes are unrelated, delta peak threshold should be set to a high value (0.8 - 1.0).
iv) To always accept the auto-focus suggestion select delta peak threshold of 1.0.
c) Exposure Time – Use your judgment here. You want a good dynamic range but the longer time this is set for, the longer it will take to autofocus and the more light you will put on the sample.
4) Press the large Autofocus button, the stage should move and three values will be placed in the right hand side of the Auto Focus window. These are Total Time, Image Time, and Best Z. You can modify Search Range and Delta Peak Threshold to speed up the autofocus, but know there are warnings in doing so. The Best Z will be either a number meaning the auto focus routine was successful, or one of two error messages:
a) No Gradient, means the peak value did not surpass the edges on the Gaussian curve, thus the delta peak threshold criteria was not met for the z-stack. Increase the delta peak threshold.
b) At Edge, means the peak value reached a limit of the search range and the Gaussian curve was shifted to the far right or far left. Increase the search range. Or the piezo has reached a its limit of movement given your search range is greater than 100 microns or the piezo started at one of its limits, re-center and follow the above steps.
5) Open the Capture Window > Advanced > Autofocus tab. Most of the settings from the Focus Controls should port over, but adjust these as required. You can save this capture script under upper left hand portion of the capture window from the drop down menu Default.
For montage capture the autofocus algorithm must reset z when in a stage location that has interesting sample, but ignored when in a stage position where there is no interesting sample. With a test sample, it is recommend to run the autofocus algorithm to be perfected for a position where sample is interesting, and also perfected for a position where the sample is uninteresting and the algorithm is ignored (i.e. no gradient). While it is easy to get the algorithm to achieve no gradient, it may be a challenge to get the settings to match both requirements. Since every sample is different, it is difficult to give absolute values for the autofocus routine to use. However once the correct balance of search range and thresholding are found, this routine can lead to better focused captures across multiple samples with little user intervention.


Topic: LaserStream Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • LaserStream Tab of Focus Controls
  • Previous page
  • Next page

LaserStream Tab of Focus Controls

The LaserStream Tab of Focus Controls was designed to stream capture using different channels with a repeating pattern (for single channel streaming, you can use the Stream tab). This interface is specifically designed for very fast periodic capture using TTL controlled light sources, particularly the 3i LaserStack or NEOS AOTF. It allows you to set up a channel with the desired number of captures then add up to seven more channels (8 total); the end goal being a looping capture stream of different channels with different number of capture repeats for each channel.
1. Select the filter or Channel using the dropdown menu. Only 3i LaserStack or NEOS AOTF channels will be available.
2. Enter a value for the desired number of Repetitions for the selected channel. This will be the number of times the channel is captured in order in the loop of captures. Select a value for Laser Power using the dropdown menu.
3. Click the Add button to add the channel to the list of captures that will be looped. If necessary, you may select a channel from the list and use the Remove button to delete that step of the loop. You may add up to 8 different channels at 8 different repetition intervals. You may not add the same channel twice. Repeat steps 1-3 until all desired channels have been added.
4. Enter a value (in milliseconds) for the Exposure time. The same exposure time will be used for all channels. Enter a value for the total number of Frames. This will determine how many times the designated sequence will be repeated. For example, if your sequence includes capturing one channel 9 times and a second channel once, 100 frames will repeat the designated sequence 10 times.
5. If desired, Save the laser stream sequence for future use.
6. Press Execute to begin the designated stream capture. Images on the screen will be updated approximately three times per second. Actual imaging will proceed as quickly as possible depending on camera frame rate, image size, and exposure times. Execute will become Abort and allow a safe early termination of the experiment.
NOTE: The capture will be stored differently than normal capture, where each time point includes data from all channels. Due to the potential difference in capture rates, each time point will include a single image from one of the channels and the other channels will be blank.


Topic: TUTORIAL: Using Definite Focus for Multipoint Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TUTORIAL: Using Definite Focus for Multipoint Capture
  • Previous page
  • Next page

TUTORIAL: Using Definite Focus for Multipoint Capture

The Focus Tab of Focus Controls provides the tools necessary to interact with hardware-based autofocus systems. Since each system has unique functionality, each user interface is unique. Below, you will find a a tutorial for using the Zeiss Definite Focus system during an xy point visiting experiment setup.
NOTE: The specimen must have a glass-water interface for Definite Focus to work.
1. In the Focus Tab, check the box to Use Definite Focus to focus when autofocus is enabled. Select the Use automatic offset for multipoint capture. This will set different offsets for each point and works best for most applications.
2. Use the XY Tab to set x,y,z positions for multi-point capture.
NOTE: use the Axio Observer Z (as opposed to a piezo Z device) for setting different z positions.
3. Open the Capture dialog. Set up Timelapse Capture parameters and select Multipoint list. Set up 3D Capture parameters by selecting Use reference position and Range around reference.
4. Go to the Advanced button of the Capture dialog. Select the Focus tab. Check the box to enable autofocus and enter in a value for how often you would like to update the focus. You do not have to select a channel or anything else in this dialog, Definite Focus will automatically be selected as the Channel when things are configured properly in the Focus dialog.
5. Click OK to close the Capture Preferences dialog. Configure the rest of the Capture settings (such as channels and exposure time) as desired and Start acquisition.

The contents of TUTORIAL: Using Definite Focus for Multipoint Capture

Troubleshooting Definite Focus


Topic: Troubleshooting Definite Focus

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TUTORIAL: Using Definite Focus for Multipoint Capture
  • Troubleshooting Definite Focus
  • Previous page
  • Next page

Troubleshooting Definite Focus

See below for troubleshooting suggestions for Definite Focus. Many of the tips below come from Zeiss and are inherent functionalities of the hardware, not associated with 3i or SlideBook.
  • •
    The following order of actions for turning on or off the Defitine Focus must be duly followed under any circumstance:
1. Turn Definite Focus on or off, shortly press the On/Off pushbutton (Fig. 4-1/1) at the controller front panel.
2. Turn Axio Observer.Z1 microscope on or off (also refer to microscope operating manual).
  • •
    On the TFT, verify that the objective you are planning to use is defined in the AxioObserver by Zeiss part number. This is critical as it sets internal parameters for the Definite Focus.
  • •
    Ensure cable ends are firmly seated in their sockets.
  • •
    Confirm the z positions for point visiting were set using the Zeiss z focus drive and not a piezo z drive.
  • •
    When applicable, ensure the cover glass thickness is correctly set on objectives with a cover glass correction adjustment collar.
  • •
    Confirm there is enough immersion media, that it is free of bubbles, and that the objectives are clean.
  • •
    Occasionally, Definite Focus may fail when certain conditions are met such as excessively high cell densities, non-planarity of, or scratches in the Petri-dish surface.
  • •
    Certain non-aqueous culture mediums may be incompatible with Definite Focus. You need a glass/water interface tofor Definite Focus to work. Dry dishes or glycerol mounted samples will fail.
  • •
    Error message on TFT of out of range: A selected Z-position is out of working range limits. Its signal cannot be evaluated. Z-drive may have traveled down too far for the current lens focus plane to match any reasonable specimen plane. Definite Focus is not designed to cope with a situation like this. Culture dish was removed during an "On" phase
  • •
    Error message on TFT of error: Culture dish was removed during an "On" phase.
  • •
    Error message on TFT of camera error: The Sensor cable is not plugged in correctly or the camera chip in the sensor module has a defect, contact 3i technical support.


Topic: TUTORIAL: Using ZDC for Autofocus

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TUTORIAL: Using ZDC for Autofocus
  • Previous page
  • Next page

TUTORIAL: Using ZDC for Autofocus

The ZDC2 tab of the Focus Controls window allows you to interact with the Olympus hardware-based autofocus system, ZDC2.

SlideBook + ZDC2

Requirements:
  • •
    SlideBook 5.0.0.17 or newer
  • •
    Olympus IX81 microscope and ZDC2
  • •
    Optional: motorized XY stage
Setup:
  • •
    Administration tab > Hardware Properties > Olympus MAL > Enable IX2-ZDC2 > Yes
  • •
    Ensure the file MalZDC2.ini is installed in the SlideBook directory
  • •
    Ensure objectives have been defined in BX2-BSW software and all objectives are supported by ZDC2 (contact Olympus for compatibility information)

ZDC2 – Hardware Operation

The ZDC2 is a hardware system for autofocus. It has two modes of operation: continuous autofocus and single-shot autofocus. When the system is in continuous autofocus mode the system will keep the specimen in the same Z focus. In continuous mode a focusing lens allows the position to be changed to adjust the plane of focus. In single-shot autofocus mode the system places the focusing lens into an optimal position and then applies an optional offset to return the focus a specific distance from the hardware-based autofocus location.

ZDC2 – Focus Window

If initialized on startup a ZDC2 tab will be added to the focus window:
This tab is used to configure and test the ZDC2 system.
The check box (1) determines if SlideBook will use the ZDC2 for autofocus. By default it is unchecked. To use the ZDC2 for autofocus the user must check this box. If the user would like to use SlideBook’s image-based autofocus then they can uncheck this box.
In addition, there are two options for autofocus during capture: same offset and unique offset. If your specimen is the same distance from the coverslip at each XY location (or you do not have a motorized XY stage) then you can use a single offset for each point. However, if you sample is not homogenously spaced off the cover slip you will need to use a “unique offset” per XY location. Once you have setup the entire XYZ point list you will need to click “computer all offsets.” This button will visit each XYZ point in the point list and compute the distance between “coverslip autofocus” and “the selected Z position.”
The rest of the dialog is used to test and update the settings. To test focus at a particular XYZ location select it from the XY list (2) and click “go.” This will move the XYZ stage to the selected location. Clicking “Go To Focus” (6) will execute the single-shot autofocus: it will locate the coverslip and then apply the selected offset (4). Alternatively, if you want to find the offset between the current Z position and the coverslip, click “Find Offset” (5). This is the same as clicking (6) but the offset is calculated based on the starting and ending position. Once the offset is computed it is put into (4) and the Z stage returned to the original position.
The option to engage a “continuous autofocus” is enabled by clicking “Enable continuous mode” (7). This will place the focus lens in a position to maintain the current Z position and engage the autofocus system. Disable continuous focus by clicking “Disable continuous autofocus” (7). When continuous autofocus is engaged the focus position is adjusted by changing the focus lens offset (7). This value ranges from 0 to approximately 3000 and can be changed by clicking up/down or selecting a specific value. Note that the system cannot hold focus in all positions.
In order for the ZDC2 to autofocus the Z position must be within the acceptable range. Parameters 8, 9 and 10 dictate the allowable autofocus range. A larger range will increase the time-to-focus, whereas a smaller range increases the potential that the optimal focus will not be found. To change the parameters edit the values and click “set” (10). Also note that when the current Z position lies outside the acceptable autofocus range it will turn red, indicating an error condition. It will return to black when autofocus will work again.

ZDC2 – SlideBook Operation

To use the ZDC2 during SlideBook capture you must perform the following steps (note that you must have ZDC2 autofocus enabled in the ZDC2 tab in all cases):

2D time lapse capture

  • 1.
    Enable the ZDC2 in the ZDC2 tab
  • 2.
    Compute the desired offset
  • 3.
    Open the Image > Capture dialog box. Click on the Advanced button and go to the Focus tab. Click the Autofocus check box and set the frequency of autofocus.
  • 4.
    Setup the capture and click OK.
At the requested frequency SlideBook will activate the ZDC2 and update the Z position.

Multipoint 2D time lapse capture

  • 1.
    Enable the ZDC2 using.
  • 2.
    Move to the first XYZ position and move the sample into focus.
  • 3.
    In the Focus Window > XY tab click set point.
  • 4.
    For each XYZ point repeat steps 2 and 3.
  • 5.
    In the ZDC2 tab select use automatic offset for multipoint captures and click Compute all offsets.
  • 6.
    Open the Capture dialog box. Click on the Advanced button and go to the Focus tab. Click the Autofocus check box and set the frequency of autofocus. ZDC will automatically be selected as the Channel when it is set up properly in the Focus dialog.
  • 7.
    Setup the capture and click OK.
SlideBook will move to each XYZ location, activate the ZDC2 system, and then turn it off. The newly updated Z location will be stored after each successful autofocus for future visits to reduce the search time.


Topic: TUTORIAL: Using Perfect Focus for Autofocus

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TUTORIAL: Using Perfect Focus for Autofocus
  • Previous page
  • Next page

TUTORIAL: Using Perfect Focus for Autofocus

The Perfect Focus tab of the Focus Controls window allows you to interact with the Nikon hardware-based autofocus system, Perfect Focus.

SlideBook + Nikon Perfect Focus

Requirements:
  • •
    SlideBook 5.0.0.33 or newer
  • •
    Nikon Eclipse Ti microscope with motorized Z drive, motorized objective turret and PFS
  • •
    Optional: motorized XY stage
Setup:
  • •
    Administration tab > Hardware Configuration > Objective Turret > Nikon Ti
  • •
    During hardware initialization SlideBook will determine if the PFS is present.

Nikon Perfect Focus – Hardware Operation

The Nikon Perfect Focus System uses the position of the autofocus system to move the objective a specific distance from the slide coverslip. This hardware position is called the offset. When the user moves the PFS knob they are changing this offset position, which is turn will change the Z position of the microscope. Both the PFS offset and the Z position are displayed and updated in this dialog box.
Note that in order for SlideBook to operate the PFS system correctly both the objective and sample must be appropriate and the green “PFS OK” LED on the front of the microscope must be lit. Please refer to the Nikon Eclipse Ti manual for more information.

Nikon Perfect Focus – Focus Window

If detected on startup a PFS tab will be added to the focus window:
This tab is used to configure and test the PFS system.
The check box (1) determines if SlideBook will use the PFS for autofocus. By default it is checked. If the user would like to use SlideBook’s image-based autofocus then they can uncheck this box.
While the camera is running the offset (4) and Z position (7) captions are updated. Moving the PFS focus knob will change the offset, and when the PFS is engaged changing the offset will move the Z position.
Clicking on Focus Once (5) will turn the PFS on until focus lock is achieved, and then immediately turn the PFS off. This simulates what happens during capture.
Clicking on Focus Off / Focus On (6) will toggle the state of the PFS. If the user activates or deactivates PFS using the microscope button the caption will change to the appropriate value. For example, when the user activates PFS via the scope or by clicking Focus On the button will change to Focus Off.
The Set Offset (8) button allows the user to set a specific offset value. When the user selects a specific XYZ location from the XYZ Point List (2) the saved offset is displayed in the edit field.
When a specific XYZ Point List (2) location is selected the user can update the PFS offset by clicking the Update Offset (9) button. This will replace the previously saved offset with the current PFS offset.

Nikon Perfect Focus – SlideBook Operation

To use the PFS during SlideBook capture you must perform the following steps (note that you must have PFS autofocus enabled in the PFS tab in all cases):

2D time lapse capture

  • 1.
    Enable the PFS using SlideBook or the microscope body
  • 2.
    Move the sample into focus using the PFS knob. Optionally disable PFS.
  • 3.
    Open the Image > Capture dialog box. Click on the Advanced button and go to the Focus tab. Click the Autofocus check box and set the frequency of autofocus. Select PFS as the Channel. Click OK to close Advnaced Capture Preferences.
  • 4.
    Setup the capture as desired and click OK to run the acquisition.
At the requested frequency SlideBook will activate the PFS and update the Z position.

Multipoint 2D time lapse capture

  • 1.
    Enable the PFS using SlideBook or the microscope body
  • 2.
    Move to the first XYZ position and move the sample into focus using the PFS knob.
  • 3.
    In the Focus Window > XY tab click set point
  • 4.
    For each XYZ point repeat steps 2 and 3
  • 5.
    Open the Capture dialog box. Click on the Advanced button and go to the Focus tab. Click the Autofocus check box and set the frequency of autofocus.
  • 6.
    Setup the capture and click OK
SlideBook will move to each XYZ location, activate the PFS system, and then turn it off. The newly updated Z location will be stored after each successful autofocus for future visits to reduce the search time.


Topic: TUTORIAL: Nikon Ti2 Perfect Focus for Autofocus

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Focus Controls Window
  • TUTORIAL: Nikon Ti2 Perfect Focus for Autofocus
  • Previous page
  • Next page

TUTORIAL: Nikon Ti2 Perfect Focus for Autofocus

Requirements for using Nikon Ti2 Perfect Focus for Autofocus in SlideBook:
  • •
    SlideBook 6.0.14 or newer
  • •
    Nikon Ti2 DLL (Ti2_Mic_Driver.dll)
  • •
    PFS (Perfect Focus System) compatible objectives - Not all objectives work with Perfect Focus, refer to the Nikon user manual to determine compatibility. Microscope metadata must be configured properly for PFS to work; you can not just swap around objectives without reconfiguring the metadata
  • •
    Proper sample - The Nikon manual is an excellent resource on what will and will not focus using PFS
    The Nikon Ti2 can operate in two modes:
    Normal focus mode, where the Z drive is moved by the Z wheel
    PFS mode, where the Z drive is moved by changing the PFS offset
    This tutorial will walk you through different use scenarios for using the system in PFS mode. Normal focus mode is controlled by conventional Z methods.
    When configured appropriately, the Ti2 PFS tab will be present in Focus Controls.
    PFS works by tracking a reference plane (for example, the coverslip/oil interface for oil immersion lenses). A user defines the desired focal plane and an offset is calculated between the focal plane and reference plane. PFS tracks the reference position over time, maintaing the desired focal plane.

    To setup PFS capture you can do one of two things:

    (A) Click the PFS button on the stand and use the PFS knob to locate focus. The PFS LED will solid green when the PFS is active.
    (B) In SlideBook click the Offset Search button when the specimen is in focus (assuming the sample is in an acceptable PFS range). This causes the PFS offset to “scan” until the correct offset is located for the current Z position.

    To maintain focus in a 2D timelapse capture:

  • 1.
    Enable the PSF using (A) or (B) above until the reference position is in focus.
  • 2.
    In the Ti2 PFS tab of Focus controls, check the box to Use Perfect Focus to focus when autofocus in enabled.
  • 3.
    Open Capture controls. Click Advanced in the top left corner of the dialog. Select the Autofocus tab and enable focus using PFS. Check the box to use autofocus and set the frequency of autofocus. Select Ti2 PFS as the Channel. Click OK to close Advanced Capture Preferences.
  • 4.
    Setup the capture parameters as desired and click OK to run the acquisition.
    NOTE: When data is captured the current PFS offset will be used. This means you can use the PFS knob to change focus during capture if needed.

    To maintain focus in a 3D timelapse capture:

  • 1.
    Enable the PSF using (A) or (B) above until the reference position is in focus.
  • 2.
    In the Ti2 PFS tab of Focus controls, check the box to Use Perfect Focus to focus when autofocus in enabled.
  • 3.
    Go to the Z tab of Focus controls window. Click the Set button for the reference position.
  • 4.
    Open Capture controls. Click Advanced in the top left corner of the dialog. Select the Autofocus tab and enable focus using PFS. Check the box to use autofocus and set the frequency of autofocus. Select Ti2 PFS as the Channel. Click OK to close Advanced Capture Preferences.
  • 5.
    Setup the capture parameters, including 3D capture Use Reference Position and Range around Reference, and click OK to run the acquisition.
    NOTE: When data is captured the current PFS offset will be used. This means you can use the PFS knob to change focus during capture if needed.

    To maintain focus in a multipoint capture:

  • 1.
    Enable the PSF using (A) or (B) above until the reference position is in focus.
  • 2.
    Ensure the PFS is activated. The Focus On button will read Focus off and the PFS LED on the stand will be lit.
    PHOTO?? This is on the stand?
  • 3.
    In the Ti2 PFS tab of Focus controls, check the box to Use Perfect Focus to focus when autofocus in enabled.
  • 4.
    Go to the XY tab of Focus controls window. Set points by clicking Add Point. Adjust Z using the PFS adjustment knob.
    WARNING: Do not adjust the microscope Z drive of the auxiliary Z drive (if installed). If the PFS is not enabled and you use the PFS adjustment knob, SlideBook will ask if you want to run the Offset Search command. If the PFS is already enabled, the current PFS offset will be used. To update the offset at a later time, enable PFS on the stand and click Update XYZ of Update Z to use the new offset.
  • 5.
    Open Capture controls. Click Advanced in the top left corner of the dialog. Select the Autofocus tab and enable focus using PFS. Check the box to use autofocus and set the frequency of autofocus. Select Ti2 PFS as the Channel. Click OK to close Advanced Capture Preferences.
  • 6.
    Setup the capture parameters, including Multiple XY location capture and 3D if desired, and click OK to run the acquisition.


Topic: Capture Window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Previous page
  • Next page

Capture Window

The Capture window allows you to set up anything from a basic 2D two channel image to a complex 4D experiment with point visiting. Basic controls are outlined below. Advanced controls can be accessed from the Advanced button.
See also:
Focus Controls window
Advanced Capture Preferences window
Exposure Time Tips
Setting Capture Parameters for Timelapse Ratio Imaging
Capture Controls window
TUTORIAL: Using 6D Scripted Capture
6D MultiCapture window

Capture Settings group

1. Capture Settings group The dropdown menu allows you to select/load , Save, Save as, Rename, and Delete experiment capture preferences. Capture settings (.prefs file type) can later be found and managed by going to the Administration tab > More Options > Open User Preferences. See also Backing up and Restoring Preferences.
The Advanced button opens a dialog to set up more complex parameters such as variable time lapse intervals, capturing a mid-volume plane, autofocus, perfusion design, and more. Refer to Advanced Capture Preferences for more information on these options..
Top

Extent, Offset and Binning (pixels) group

2. Extent, Offset and Binning (pixels) group Select a Bin Factor from the dropdown menu. Binning amplifies signal while decreasing resolution by combining the signal of adjacent pixels before readout.
Select the x- and y-extent of the image from the Width and Height dropdown menus. You may also manually enter the desired values in the edit field. If you want to move the region off the center of the CCD, enter offset values for both the x- and the y-axes in the X Offset and Y Offset fields.
Alternatively, you may draw a region for imaging by using the Marquis [image] tool and clicking Update. To revert to the full imaging area, press Full Chip.
NOTE: You will need to take a Test capture to update the Camera window after any of the above changes have taken place.
See the Focus Tab of Capture Preferences window to learn how to select a region for auto focus during capture.
Top

Capture Type group

3. Capture Type group Use the checkboxes to enable different capturing paradigms as follows:
3D - Captures multiple planes in the z axis as designated in 3D Capture
SA Correct - Enables a motorized Spherical Aberration Correction device as configured SA Correction tab of Focus Controls.
Timelapse - Captures images at designated time intervals as set in Timelapse Capture
Simultaneous - Enables simultaneous dual camera or image splitter operation for systems so equipped
Stereology -Enables capture of stereology images, requires SlideBook Stereology module.
Top

Timelapse Capture group

4. Timelapse Capture group Check the Timelapse checkbox in the Capture Type section. You now have the option to define a variety of timelapse parameters. Enter the two of the following values and the third value will be automatically calculated.
# of Time Points – Number of timepoints that will be captured.
Duration – Total length of time for the experiment. Units of time, in milliseconds (ms), seconds (s), minutes (m) or hours (h), can be selected from the dropdown menu. Due to the inability to predict time required for hardware movement, this option may not me accurate when the interval for capture is very small.
Interval – Delay between the beginning of one timepoint and the beginning of the next timepoint. The interval unit can be selected from the dropdown menu. If the capture sequence at one timepoint takes longer than the interval, SlideBook will capture the next timepoint immediately following the preceding timepoint.
Display: Renormalize to t = 0 – When checked, the minimum and maximum pixel intensity values for the first timepoint in a timelapse capture series will be used to determine the renormalization values of all subsequent timepoints. This option only affects the image display during capture and will not affect the captured image.
Top

Multiple XY Location Capture group

5. Multiple XY Location Capture group Use the radio buttons to select Current Location or Multipoint List. When Multipoint List is selected, either point visiting or montage parameters will be imported from the XY Tab of Focus Controls.
Top

File Size information

6. File Size information
SlideBook will automatically check to see how much memory is Available and how much will be Required by the designated experiment. You should check this field before beginning data acquisition. To decrease file size, consider capturing a region rather that the entire field of view.
Top

3D Capture group

7. 3D Capture group Check the 3D checkbox in the Capture Type section. You now have the option to slect one of three different 3D capture paradigms. Read about each paradigm below carefully to ensure you are selecting the desired behavior.
Use current position is useful when no z positions have been set in the Z Tab of Focus Controls. Select the radio button for this option then enter values for two of the three parameters: Range, # Planes and Step Size. The third parameter will be calculated based on the other two values. Offset will move down in the z direction a specified distance before beginning collection of the z-stack. Alternatively, you may check the box for Range around center to use the current position as the center of the z-stack (automatically calculating Offset). If Offset is left at 0 and the box is not checked for Range around center, image capture will begin at the current position and move up.
Use reference position is used either when a reference position has been set in the Z Tab of Focus Controls or when an XY point list has been set in the XY Tab of Focus Controls and selected in Multiple XY Location Capture. Select the radio button for this option then enter values for two of the three parameters: Range, # Planes and Step Size. The third parameter will be calculated based on the other two values. Offset will move down in the z direction a specified distance before beginning collection of the z-stack. Alternatively, you may check the box for Range around center to use the reference position as the center of the z-stack (automatically calculating Offset). If Offset is left at 0 and the box is not checked for Range around center, image capture will begin at the reference position and move up.
Use top and bottom positions is useful when top and bottom z positions have been set in the Z Tab of Focus Controls. Values from the Focus Controls will populate the Range, # Planes, Steps Size, and Offset fields. If you choose, you may change the # Planes and/or Step Size at this time using the edit fields. Range and Offset are not editable as they are based on the Top and Bottom positions set in Focus Controls.
For any capture paradigm, check the box for Return to center of volume after capture if you would like to refocus to the center of the captured z-range after image acquisition has finished. If you do not check this box, focus will be at the last plane captured when you resume live sample viewing.
Top

Adjust Exposure group

8. Adjust Exposure group
Click on the checkbox of the channel that you would like to expose. The channel that you select will be highlighted in blue.
To manually set Expose time:
Enter an exposure time in the Expose field and press Test. Pressing the Test button for a particular filter configuration will give you a sample single-plane image at the specified exposure time for the selected channel. You may resize the image by dragging and dropping the corners or edges of the live Camera window. An intensity histogram and the minimum and maximum data values will be displayed in the histogram area to show you where in the dynamic range of the CCD your exposure lies. Continue to evaluate the histogram, adjust Expose time, and press Test until an ideal exposure time has been determined. Please refer to Exposure Times Tips for more information on properly setting exposure time and interpreting histograms.
You may find it useful to start a live image preview in the Camera window. To do so, use the Live and Stop buttons in the Exposure group.
To automatically set Expose time:
Press the Once button in the Adjust Exposure section and notice that the exposure time has been adjusted to take advantage of the CCD camera’s full dynamic range. Alternatively, press Find Best to allow SlideBook to take a series of test images and determine an exposure time to maximize the dynamic range.
For multi-channel capture:
Simply repeat the process of checking the box/selecting the channel and determining Expose time for each channel that you wish to expose. You may use the Move Up and Move Down buttons with a selected channel to change the order in which channels are captured during data acquisition.
The Correct: Dark Field check box will cause SlideBook to capture a dark field calibration image for each channel. The dark field image will be acquired with all shutters closed using the exposure times, intensification, gain, and other conditions set in the Capture window. These images will automatically be subtracted from each captured frame before the image is written to memory. Most cameras available today produce such a low level of dark noise that the fraction of the image noise comprised of dark current is practically negligible.
The Correct: Flat Field check box will apply flat field correction when flat field setup has been performed (see also Flat Field Calibration).
The dropdown menus for Laser Power, ND, Aux ND, TIRF, Intensify, Offset, and Gain allow control of specific components of an imaging system that may or may not be present on your system. Current will utilize the values last used in the Focus Controls.
Top

Optics group

9. Optics group Select an Objective and Mag Changer from the dropdown menus. For manual microscope systems, you should ensure the value set here match the physical optics that are in place. Motorized microscope systems will automatically use the correct vales. Optics information is used to assign pixel size for an image.
Top

Image Information (Optional) group

10. Image Information (Optional) group If desired, you may type an image Name and Comment in this field. Name will title the image within the .sld. If you perform multiple captures with the same name, the name will be appended with - 1, - 2, - 3, etc. Comments will be visible from the .sld view and editable from Image Info.
Top

Start/Cancel buttons

11. Start/Cancel buttons Use these buttons to Start data capture or to Cancel capture and close the dialog.
Top

The contents of Capture Window

Exposure Time Tips
Advanced Capture Preferences window
Capture Controls window
TUTORIAL: XY Cell/Region Tracking


Topic: Exposure Time Tips

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Exposure Time Tips
  • Previous page
  • Next page

Exposure Time Tips

Setting exposure time appropriately is essential to obtaining the desired imaging results, for live cell experiments, it can be a matter of life and death! When using an EM (electron multiplying) camera, one needs to adjust intensification with exposure time. Here are some basic tips for setting exposure time and intensification appropriately.
  • •
    For fixed specimens, aim for filling the histogram 2/3 of the way. This gives you room for brighter planes.
  • •
    Never saturate an image you would like to use for deconvolution or most other quantitative analysis techniques.
  • •
    For live samples, experiment to determine how much light they can handle. You will often sacrifice intensity for cell viability. It is acceptable to have your signal at twice the background level, depending on the noise in the image.
  • •
    When imaging live samples with an EM camera, you can increase the signal while keeping the exposure time low by increasing the intensification.
  • •
    If possible, try to keep the intensification level well below the maximum available.
  • •
    When using a non-EM, higher resolution camera, another way to increase signal without increasing exposure time is to utilize binning. It is important to note that binning will decrease the lateral resolution of an image.

Example Histograms

Ideal
Acceptable for Live Cell Imaging
Saturated (not compatible with quantitative analysis)
Underexposed


Topic: Advanced Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Previous page
  • Next page

Advanced Capture Preferences window

Advanced Capture Preferences allow you to easily increase the complexity of experiments by controlling various external and internal hardware during image capture without scripting. Below, you will find an overview of each of the tabs with links to the complete descriptions and application pages.
Access Capture Preferences from [image] within the Capture window .
Advanced Capture Preferences window

Photomanipulation tab

1. Photomanipulation tab
The Photomanipulation tab allows you to configure settings for right-click and double-click event initiation as well as advanced event protocols. In this tab you can control everything from laser power to complex triggering of different regions at different time points.
Top

Sequence tab

2. Sequence tab
You may find it useful to vary the time lapse intervals used during image acquisition. The Sequence tab allows you to configure different stages to capture either automatically in a preset protocol or by manually triggering.
Top

Notes tab

3. Notes tab
Notes can be configured either prior to or during image capture. When notes are designed prior to capture, they become available buttons in the Notes tab of Capture Controls during acquisition. To set up notes prior to capturing data, review the Notes tab of Capture Preferences window.
Top

Perfusion tab

4. Perfusion tab
Complex experiments utilizing TTL driven perfusion devices are effortless in SlideBook. The Perfusion tab provides manual control of up to 24 channels and a scripting dialog for more complex experiments. Manual control of pumps is linked to the Notes buttons during capture execution. You may also combine manual and automated controls to achieve the desired experimental results.
Top

Auxiliary Metadata

5. Auxiliary Metadata
Enables recording of temperature outputs from cameras, lasers, and incubation chambers.
Top

General tab

6. General tab
The General tab contains several options for adjusting shuttering or channel capture order when photobleaching or hardware speed (respectively) are concerns. There are also some options for updating display during capture that may be relevant if your computer is more than three years old.
Top

Synchronization tab

7. Synchronization tab
Part of the SlideBook TTL Synchronization Module allows TTL pulses to be incorporated into experiments via the Synchronization tab. You can use TTL triggers to start experiments or have experiments send out a TTL pulse or train of pulses at specific times. All activity is logged as Notes within the image file.
Top

4D tab

8. 4D tab
The 4D tab allows you to capture a single plane in one channel when you are acquiring 3D stacks in another channel or channels. In this tab, you may also set up channel collection order for 3D stacks; that is, you may choose to collect a z-stack in before switching channels instead of collecting all channels before switching z-plane.
Top

Focus tab

9. Focus tab
When you would like to use auto focus during time lapse imaging, you may configure auto focus parameters using the Focus tab. This tab is used computer contrast based auto focus algorithms as well as hardware based auto focus systems such as Zeiss Definite Focus or Olympus ZDC.
Top

Periodic tab

10. Periodic tab
You may choose to capture a single channel at a slower rate than other channels when performing a multi-channel 2D time lapse capture. You may do so by selecting the Periodic tab.
Top

OK button

11. OK button
Press OK to apply changes made in all tabs and close the Capture Preferences window. You will return to the Capture dialog to begin image acquisition.
Top

Cancel button

12. Cancel button
Press Cancel to discard changes made in all tabs and close the Capture Preferences window. You will return to the Capture dialog to begin image acquisition.
Top

Apply button

13. Apply button
Press Apply to save the current capture parameter changes and continue working in the Capture Preferences window.
Top

Help button

14. Help button
Press Help to open online help.
Top

The contents of Advanced Capture Preferences window

Photomanipulation Tab of Capture Preferences
Sequence Tab of Capture Preferences window
Notes Tab of Capture Preferences window
Perfusion Tab of Capture Preferences window
Auxiliary Metadata Tab of Capture Preferences window
General Tab of Capture Preferences window
Synchronization Tab of Capture Preferences window
4D Tab of Capture Preferences window
Focus Tab of Capture Preferences window
Periodic Tab of Capture Preferences window


Topic: Photomanipulation Tab of Capture Preferences

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Photomanipulation Tab of Capture Preferences
  • Previous page
  • Next page

Photomanipulation Tab of Capture Preferences

Prior to running an experiment, you may configure various Vector settings to assist in photomanipulation during image capture. The Photomanipulation tab of Capture Preferences allows you to configure settings for right-click and double-click event initiation as well as advanced event protocols. Be sure to save your Capture Settings if you would like to use the values set in this tab in future SlideBook imaging session.
To access this window, click [image] in the Capture window.
See also:
Right-Click to Initiate an Event in the Photomanipulation Module
Double-Click to Initiate an Event in the Photomanipulation Module
Advanced Event Protocols in the Photomanipulation Module
Photomanipulation Tab of Capture Preferences

Photomanipulation tab

1. Photomanipulation tab
The Photomanipulation tab contains all photomanipulation settings for experiment design.
Top

Photomanipulation Settings group

2. Photomanipulation Settings group
Photomanipulation Settings are used to configure settings for right-click and double-click event creation and to set the laser used for photomanipulation. Click here to learn more about these settings.
Top

Automated Control group

3. Automated Control group
The Automated Control group contains tools to set up advanced photomanipulation experiments. Click here to learn more about these tools.
Top

The contents of Photomanipulation Tab of Capture Preferences

Photomanipulation Settings window
Automated Control window


Topic: Photomanipulation Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Photomanipulation Tab of Capture Preferences
  • Photomanipulation Settings window
  • Previous page
  • Next page

Photomanipulation Settings window

This is the upper portion of the Photomanipulation tab in the Capture Preferences window. It is used to configure basic photomanipulation settings.
See also:
Right-Click to Initiate an Event in the Photomanipulation Module
Double-Click to Initiate an Event in the Photomanipulation Module
Advanced Event Protocols in the Photomanipulation Module
Photomanipulation tab of Capture Preferences
Photomanipulation Settings window

Double-click rectangle size

1. Double-click rectangle size
This is the number of spots that will be hit by the laser is a square pattern when you double-click to initiate an event during image capture. A good starting point to test is the value of the Raster block size used in the FRAP tab of Focus Controls.
Top

Photomanipulation filter

2. Photomanipulation filter
This is the laser line that will be used for the photomanipulation event(s). Filters that show in this list are those configured with an Associated Channel type equal to Photomanipulation in the Filter Configuration Parameters.
Top

2D Z offset (um)

3. 2D Z offset (um)
The distance in Z that the sample should be moved before a photomanipulation event takes place. This value can be determined using the Z Stage section of Focus Controls. The value entered can be positive or negative and include a decimal point. Some example values include: 1, 0.55, and -2.1.
Top

Double-click repetitions

4. Double-click repetitions
Number of times photomanipulation event will be repeated when a double-click event is initiated.
Top


Topic: Automated Control window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Photomanipulation Tab of Capture Preferences
  • Automated Control window
  • Previous page
  • Next page

Automated Control window

This is the lower portion of the Photomanipulation tab in the Capture Preferences window. It is used to set up advanced capture protocols utilizing photomanipulation.
See also:
Advanced Event Protocols in the Photomanipulation Module
Photomanipulation tab of Capture Preferences
Automated Control window

Time Point

1. Time Point
The time point that will be captured after the event will take place. This is a whole number integer starting with 0 and ending with the value defined under # of Time Points in the Capture dialog. For example, if a value of 3 were entered, two time points would be captured then the photomanipulation event would take place then the third time point would be captured.
Top

3D Plane

2. 3D Plane
If you are imaging a 3D stack and would like the photomanipulation event to occur on a single plane within the stack, check the box and type the integer value of the Z plane where the event should occur. Not checking this box when imaging a 3D stack will result in the event occurring at the Z plane in the center of the stack.
In-line is always enabled and that means the stimulation occurs during the stack capture. The alternative would be not in-line and would mean you capture a 3D stack, move to plane N, stimulate, return back to top. It is not yet implemented.
Top

Repetitions

The number of times the photomanipulation event will be repeated at the time point specified. To repeat an event at another time point or series of time points, click the Add- FLIP button.
Top

Duration

Enter a value for the duration of the specified event.
Top

Regions

Use the radio buttons as follows:
Specific Regions - Enter the number of the region or regions that will be photomanipulated. Numbers can be formatted using commas and/or dashes such as 1, 4-7, 15.
All Regions - All regions drawn in the active Camera window will be photomanipulated.
Top

Power

You may select the laser power level from the dropdown list where 0 refers to 0% of the laser power and 100 refers to full (100%) laser power. Current uses the current value configured in the FRAP tab of Focus Controls.
Top

Action List

7. Action List
The Action List field provides a display of all photomanipulation events configured for the current capture sequence. You may remove one or all events from the list using the buttons to the left of the list.
Top

Add Button

8. Add Button
Once all settings for a photomanipulation event have been configured, click Add to add the event to the image capture.
Top

Add - FLIP button

9. Add - FLIP button
This opens a dialog that allows you to repeat a photomanipulation event over multiple time points. First, set up a photomanipulation event by setting the time point, 3D plane, repetitions, and regions. Then, click the Add- FLIP button to open the following dialog:
Repeat sequence every N timepoints - Enter an integer value for the number of time points to wait between triggering an event.
All timepoints - Select this radio button to repeat the sequence for the entire experiment.
Selected timepoints - Select this radio button to repeat the sequence during a specified range of time points.
Cancel - Closes the dialog and does not add a repeating photomanipulation sequence to the Action List.
OK - Adds a repeating photomanipulation sequence to the Action List and closes the dialog.
Top

Add - Region Button

10. Add - Region Button
This opens a dialog that allows you to direct events to a sequence of regions during a sequence of time points. One example of this would be if you wanted to photomanipulate region 1 at time point 3, region 2 at time point 13, and region 3 at time point 23. To do so, you would complete the dialog as follows:
Activate region every N timepoints - Defines the interval between triggering photomanipulation events on regions.
Start timepoint - Defines the timepoint before which the first region will be photomanipulated.
Cancel - Closes the dialog and does not add a photomanipulation sequence to the Action List.
OK - Adds a photomanipulation sequence to the Action List and closes the dialog.
NOTE: This dialog will create a sequence for all regions that show in the Camera window at the time OK is clicked. Regions will be added in numerical order.
Top

Edit button

11. Edit button
Select an event from the list by clicking on it. Click Edit. This will remove the event from the list and re-populate the event parameters in the top part of the window. Adjust any parameters you would like to change and click Add to re-add the event to the list.
Top

Remove button

12. Remove button
Select an event or event sequence from the Action List then click Remove to remove the event from the list.
Top

Clear All button

13. Clear All button
Click Clear All to remove all events and event sequences from the Action List.
Top

Import button

14. Import button
This allows you to import a user generated text file containing photomanipulation information. The import format is a tab-delimited (\t) text file with Windows line endings (\r\n). All fields are required. The field format is:
Start time\Duration\Power 1 (top power menu) (-1 = current / ignore)\Power 2 (lower power menu) (-1 = current / ignore)\Region(s) (comma separated)\Channel name\Description
Example 1:
1000\t50\t100\t-1\t1,5\tPhasor 950\t50 ms ROI 1,5 stim @ t=10000 ms\r\n
Starting at time = 1000 stimulate regions 1 and 5 for 50 milliseconds using channel Phasor 950 at power 50. The comment displayed for this event will be “50 ms ROI 1,5 stim @ t=10000 ms”.
Some more complex formats are available for use with Phasor:
1p stimulation
duration@{H,L},duration@{H,L}
Duration in ms or us depending on system timing property ( phasor hardware properties/millisecond timing mode)
H = laser on
L = laser off
Example 1: 10@H,5@L
Turn laser on (H) for 10 ms/us, then turn laser off for 5 ms/us
Example 2: 10@H,5@L,10@H
Turn laser on (H) for 10 ms/us, then turn laser off for 5 ms/us, then turn laser on for 10 ms/us
2p stimulation
duration@power, duration@power, duration@power where duration is in ms and power in device units
Example 1: 40@100,60@0,40@200,60@100
40 ms @ 100 power, 60 ms @ off, 40 ms @ 200 power, 60 ms @ off
Example 2:40@100,60@50,40@200,60@50
40 ms @ 100 power, 60 ms @ 50 power, 40 ms @ 200 power, 60 ms @ 50 power
Repeating loops
All of the sequences above can be set to repeat N times using the following format: Nx[sequence]
Example 1: 50x[10@H,5@L]
Repeat 10 ms on / 5 ms off 50 times (total duration = 750 ms)
Example 2: 25x[40@100,60@0]
Repeat 40 ms @ 100 power / 60 ms @ off 25 times (total duration = 2500 ms)
Top


Topic: Sequence Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Sequence Tab of Capture Preferences window
  • Previous page
  • Next page

Sequence Tab of Capture Preferences window

You may find it useful to vary the time lapse intervals used during image acquisition. The Sequence tab allows you to configure different stages to capture either automatically in a preset protocol or by manually triggering. Be sure to save your Capture Settings if you would like to use the values set in this tab in future SlideBook imaging session.
To access this window, click [image] in the Capture window.
Sequence Tab of Capture Preferences window

Begin capture with first stage in sequence check

1. Begin capture with first stage in sequence check
If Begin capture with first stage in sequence is checked, capture will start with the first event in the sequence and proceed through the stages until the # of Time Points set in the Capture dialog is met.
If this box is not checked, SlideBook will begin capture according to time lapse parameters set in the Capture dialog. You may execute any of the stages manually during capture and SlideBook will automatically progress through the stages until the # of Time Points set in the Capture dialog is met. Therefore, if you plan on manually executing stages during image acquisition, it is recommended that you set a large value for # of Time Points. When image acquisition is complete, you can end a capture early by pressing the Stop button, thus ending acquisition and saving the images to the .sld before the requested number of time points is complete.
Top

Loop to first stage when done check

2. Loop to first stage when done check
If Loop to first stage when done is checked, capture will return to the first stage in the list if the # of Time Points set in the Capture dialog exceeds the number of time points designated in the Stages area.
Top

Stages area

3. Stages area
Displays Stages configured for capture and those Not in Sequence. The Stages area designates capture sequences that will be performed during image acquisition. As soon as once sequence is complete, capture will move to the next stage in the list. Alternatively, sequences can be placed in the Not in Sequence area and manually initiated at any time during image acquisition. Stages may be moved between the two lists by selecting the stage (selected stage will be highlighted in blue) and using the > and < buttons.
Top

Experiment Information

4. Experiment Information
This is a read-only area that calculates experiment Duration and total number of Timepoints based on the sequences configured in the Stages list. This information can be used to help populate the Timelapse Capture parameters for the desired acquisition result.
Top

Up/Down buttons

5. Up/Down buttons
When a stage is selected, the acquisition order of the stages can be changed by using the Up and Down buttons.
Top

Add/Remove buttons

6. Add/Remove buttons
To add a new stage, click Add then complete the Stage Details section.
To remove a stage, select it and click Remove.
Top

Stage Details group

7. Stage Details group
After pressing Add, you may designate the specifics of a stage in this area. Alternatively, you may edit an existing stage at any time by selecting it (highlighted in blue) and updating the values in this area.
Stage Name: Type the name of the stage here. This value will appear as a Note in the resulting image when no Comment is written.
Timelapse Interval: Delay between the beginning of one timepoint and the beginning of the next timepoint. The interval unit can be selected from the dropdown menu. If the capture sequence at one timepoint takes longer than the interval, SlideBook will capture the next timepoint immediately following the preceding timepoint.
Duration of Stage: Enter the a value for how long you would like to acquire images at the requested time interval. Choose either timepoints or units of time from the dropdown menu. If continuous is selected as the units for Duration of Stage, the stage will end when a different stage is manually initiated.
Comment: Type any additional comments about the sequence here. This information will be displayed as a Note in the resulting image. If this field is left blank, the Stage Name will become the note in the image.
Top


Topic: Notes Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Notes Tab of Capture Preferences window
  • Previous page
  • Next page

Notes Tab of Capture Preferences window

Notes can be configured either prior to or during image capture. When notes are designed prior to capture, they become available buttons in the Notes tab of Capture Controls during acquisition.
To access this window, click [image] in the Capture window.
See also:
User Interface, Notes Tab of Capture Controls window
Ratio Module, Setting Capture Parameters for Timelapse Ratio Imaging
Ratio Module, Creating Event Markers (Notes)
Notes Tab of Capture Preferences window

Note Creation area

1. Note Creation area
Simply type notes in the provided fields. During image capture, Notes buttons will be provided. You will simply press the appropriate button to add a note to the image. Notes can later be displayed as Annotations or on Graphs. You may also later Edit Note or explore data using the Notes Navigator.
Top


Topic: Perfusion Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Perfusion Tab of Capture Preferences window
  • Previous page
  • Next page

Perfusion Tab of Capture Preferences window

Complex experiments utilizing TTL driven perfusion devices are effortless in SlideBook. The Perfusion tab provides manual control of up to 24 channels and a scripting dialog for more complex experiments. Manual control of pumps is linked to the Notes buttons during capture execution. You may also combine manual and automated controls to achieve the desired experimental results.
To access this window, click [image] in the Capture window.
Perfusion Tab of Capture Preferences window

Manual Control group

1. Manual Control group Manual Control allows you to configure actions to be linked to Notes buttons during image acquisition. Simply select a Pump from the dropdown menu then choose an action.
Toggle will switch the pump's current status (on/off) when the Note button is pressed.
Duration will switch turn a pump on for a set number of timepoints.
The four different Pumps listed correspond to Notes 1 - 4 respectively. It is recommended that you go to the Notes tab after configuring manual perfusion actions to fill in the text for the corresponding notes to label the actions the button will perform.
Top

Automated Control group

2. Automated Control group Automated Control allows you to set up complex control of multiple pumps to be automatically executed during image acquisition.
Select a Pump from the dropdown menu and and Action (turn On or Off). Then select a Timepoint when you would like the action to occur and write a Description if desired. Press Add to add the command to the list.
Repeat this process to add all processes to the list of commands. Remember that separate commands must be created to turn a pump on and then off again as there is no duration setting for automated control.
Select a command by clicking on it in the list and press Remove to delete it from the list. To clear the list and start over, press Clear All.
Top


Topic: Auxiliary Metadata Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Auxiliary Metadata Tab of Capture Preferences window
  • Previous page
  • Next page

Auxiliary Metadata Tab of Capture Preferences window

The Auxiliary Metadata tab allows you to record temperature readings from lasers, incubation chambers, and cameras. Simply check the boxes for the recordings you'd like and select a recording frequency from the drop down menu. Post acquisition, this metadata can be displayed, graphed, and exported from any view window by clicking [image] > Auxiliary Data.
Auxiliary Metadata Tab of Capture Preferences window


Topic: General Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • General Tab of Capture Preferences window
  • Previous page
  • Next page

General Tab of Capture Preferences window

The General tab contains several options for adjusting shuttering or channel capture order when photobleaching or hardware speed (respectively) are concerns. There are also some options for updating display during capture that may be relevant if your computer is more than three years old.
To access this window, click [image] in the Capture window.
General Tab of Capture Preferences window

2D/3D Capture group

1. 2D/3D Capture group
Open and close shutter on single channel or simultaneous 3D capture - If you are performing single channel 3D capture, the default fluorescence shutter action in SlideBook is to leave the shutter open during capture. If you would like the shutter to open and close after every capture, check this box.
Alternate two channel mode (ABBAABBA instead of ABABABAB) - If your multi-channel image capture is slowed down due to change time of a filter wheel or filter turret, you may find it useful to check this box. This will reduce the amount of time spent moving hardware between channels.
Top

Live Image Updates

2. Live Image Updates
As computers age, their relative efficiency of display during image acquisition may not be optimal. If your computer is more than three years old, you may find it advantagous adjust how captured images and associated data are displayed. Please contact support@intelligent-imaging.com if you would like information/assistance in upgrading the computer.
You may suppress all updates for optimal speed performance. To do so, select the Suppressed radio button. If When Possible is selected, updates will be provided when the computer processor allows. Some updates will be dropped in the interest of speed. If Always is selected, each frame requested will be displayed (at the expense of speed).
Alternatively, you may choose to suppress updates of individual aspects of the display such as the histogram, displayed frame, or current plane. Use the check boxes to adjust how often these items are updated.
Top

Reopen Focus/Capture dialogs

3. Reopen Focus/Capture dialogs
Check this box if you would like the Focus Controls and Capture dialogs to automatically reopen after image acquisition is complete.
Top

Automatic Renormalization

4. Automatic Renormalization
Select a renormalization range for the captured data. This renormalization is not applied until image capture is complete and teh image reopens from the .sld. Options include:
  • •
    actual minimum to maximum
  • •
    actual minimum to 99.9% maximum
  • •
    0 to camera bit depth
  • •
    0 to 65535
Top


Topic: Synchronization Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Synchronization Tab of Capture Preferences window
  • Previous page
  • Next page

Synchronization Tab of Capture Preferences window

Part of the SlideBook TTL Synchronization Module allows TTL pulses to be incorporated into experiments via the Synchronization tab. You can use TTL triggers to start experiments or have experiments send out a TTL pulse or train of pulses at specific times. All activity is logged as Notes within the image file.
To access this window, click [image] in the Capture window.
Synchronization Tab of Capture Preferences window

Triggering Options group

1. Triggering Options group
Select a Triggering Option by clicking on the radio button. You may choose to capture based on TTL trigger input or to output a TTL pulse with a Note button command or at a specific time point.
When you choose to output a TTL pulse, you may configure the Pulse Mode below.
Top

Pulse Mode group

2. Pulse Mode group
When an output TTL pulse has been selected as a Triggering Option, you may configure either a Single pulse or a Finite train of pulses in this area. For choices to be enabled, one of the three Output TTL pulse... options must be selected in the group above.
Top

General TTL Options

3. General TTL Options
You may check boxes to record either external TTL input pulses or analog voltages as notes in the image file. These notes can later be displayed, edited, or further navigated from the Annotations menu.
When an XY point visiting experiment is configured, you may check the box to Wait for incoming TTL pulse before changing XY positions.
Top


Topic: 4D Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • 4D Tab of Capture Preferences window
  • Previous page
  • Next page

4D Tab of Capture Preferences window

The 4D tab allows you to capture a single plane in one channel when you are acquiring 3D stacks in another channel or channels. In this tab, you may also set up channel collection order for 3D stacks; that is, you may choose to collect a z-stack in before switching channels instead of collecting all channels before switching z-plane.
To access this window, click [image] in the Capture window.
4D Tab of Capture Preferences window

Capture Midvolume Plane

1. Capture Midvolume Plane
Check the box to capture a single z-plane in the z-stack. Enter a plane number based on the 3D Capture information in the Capture window.
Top

Capture at End of Acquisition

2. Capture at End of Acquisition
Check this box to capture the midvolume plane after the z-stack has been acquired. If this box is not checked, the midvolume plane will be captured with the rest of the z-stack images at the appropriate plane.
Top

Channel Selection

3. Channel Selection
You may select up to three channels to capture at a midvolume plane. Select the channel from the dropdown menu and set an Exposure time in milliseconds. You may test the exposure in the Capture window.
NOTE: Be sure not to select the channels for midvolume in the Capture window. If the midvolume plane channel is selected in the Capture window, the channel will be captured at all z-planes.
Top

Standard Z Capture Order

4. Standard Z Capture Order
Select this option for standard z acquisition where a plane is collected in all channels, focus moves to the next z-plane, a plane is collected in all channels, focus moves to the next z-plane, and so on.
Top

Capture One Channel at a Time

5. Capture One Channel at a Time
Select this option to capture a z-stack in a single channel at a time. This approach may be preferred when the hardware to change channels is slowing down image acquisition.
Top


Topic: Focus Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Focus Tab of Capture Preferences window
  • Previous page
  • Next page

Focus Tab of Capture Preferences window

When you would like to use auto focus during timelapse imaging, you may configure auto focus parameters using the Focus tab. This tab is used computer contrast based auto focus algorithms as well as hardware based auto focus systems such as Zeiss Definite Focus or Olympus ZDC.
To access this window, click [image] in the Capture window.
See also:
AutoFocus window of Focus Controls
Using AutoFocus in SlideBook
Focus Tab of Capture Preferences window

Enable Autofocus

1. Enable Autofocus
Check the box to enable auto focus during image capture. Enter a value in the edit field to determine how often autofocus should be performed.
If you are using a hardware-based auto focus method such as Zeiss Definite Focus or Olympus ZDC, you do not need to fill out any additional information. These hardware-based devices are configured in the Focus Controls.
Read below to learn how to configure contrast-based auto focus during image acquisition.
NOTE: Autofocus is not compatible with montage imaging, instead, check the box for Enable 3 point Z interpolation for montage capture as described below.
Top

For Contrast-Based Algorithms

2. For Contrast-Based Algorithms
Select a channel from the dropdown menu to use for contrast-based auto focus. You may use an channel you are not acquiring for autofocus (See Uncaptured Autofocus Channel). Values for the auto focus parameters can be tested and determined in the Focus Controls by using the Auto Focus window.
Metric is the computational method used to evaluate and compare focal planes. Changing the method can affect the success of the auto focus routine. The default method of Spectral 2D Template will work best in almost all cases. Gaussian Derivative may prove useful when using a phase contrast channel for auto focus. The other methods are experimental. You should consult 3i Support if you are not having success with the default method.
Total Search Range is the distance in microns in the z direction that will be searched for best focus.
Post Focus Offset is the distance in microns in the z direction that the focus will move after the best focal plane is determined. For example, if you are imaging a cell that is 5 microns thick and the best focal plane is the center of the cell, you would want to set this value to -2.5 so that focus would move to the bottom of the z-stack and you would capture the entire 5 micron distance with the best focal plane in the center.
Peak Delta Threshold is used to determine when no optimal plane of focus should be computed from a particular image position. When performing a montage capture, for example, some fields might not contain tissue and should not be used to change the current z position. This value can range between 0.0 and 1.0, but should not be decreased below 0.1 in most cases. For captures where you know that each image in the sequence will have sufficient detail to focus, this threshold can be raised. If the value is set to 1.0 then the threshold will be ignored.
Top

For Multipoint Autofocus

3. For Multipoint Autofocus
Check this box to enable 3 point Z interpolation for montage imaging, allowing the montage to be acquired of a tilted plane calculated by using 3 corner z coordinates. More information can be found in the XY Tab of Focus Controls .
Top

Uncaptured Autofocus Channel

4. Uncaptured Autofocus Channel
If you do not want to capture the auto focus channel, or you want to use a different image extent, bin factor or exposure time for auto focusing, select the Expose uncaptured auto focus channel checkbox.
Enter the exposure time and select a bin factor for the uncaptured auto focus channel. These parameters will be used to determine image capture for the purposes of auto focusing.
Selecting Expose uncaptured auto focus channel also provides the ability to specify a region of interest that will be used for auto focusing. This is useful for auto focusing on samples that have features with heterogeneous optimal focal planes. In this case, a full chip image extent can be captured at each timepoint while using only a small subregion to determine optimal focus. Specifying an auto focus region of interest is done in the Capture dialog box:
When the Expose uncaptured AF channel checkbox is selected, the Autofocus radio button is active in the Extent, Offset, and Binning (pixels) section of the Capture window. This menu is used to alternate between designating the image extent for captured channels and the image extent for auto focus. To define a subregion for auto focus, simply select the Autofocus radio button and specify a Width, Height, X Offset, and Y Offset. Alternatively, draw a selection in the live Camera window and press the Update button.
Top


Topic: Periodic Tab of Capture Preferences window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Advanced Capture Preferences window
  • Periodic Tab of Capture Preferences window
  • Previous page
  • Next page

Periodic Tab of Capture Preferences window

You may choose to capture a single channel at a slower rate than other channels when performing a multi-channel 2D time lapse capture. You may do so by selecting the Periodic tab.
To access this window, click [image] in the Capture window.
Periodic Tab of Capture Preferences window

Enable Periodic Capture

1. Enable Periodic Capture
Check the box to enable periodic capture for 2D time lapse image acquisition. This will allow you to capture one channel at a slower rate than the other channel(s). You may choose to do this because you are trying image very fast or because one channel is more phototoxic to the sample.
Top

Channel Selection

2. Channel Selection
Select the Channel you would like to capture at a periodic rate from the dropdown menu. Be sure to set the Expose time in the Capture window.
Top

Frequency Field

3. Frequency Field
Enter the Frequency at which you would like to capture that channel. For example, a frequency of 5 indicates that you would like to capture a channel every 5th image/ time point.
Top

Image Behavior

4. Image Behavior
If you would like to copy the image of the selected channel to time points where you are not collecting the channel, select the check box to Fill uncaptured timepoints with data from last captured timepoint. Otherwise, the time points where the periodic channel is not captured will not show an image in this channel.
Top


Topic: Capture Controls window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Previous page
  • Next page

Capture Controls window

The Capture Controls window opens once image acquisition is initiated in the Capture window. The top portion of the window changes based on the tab selected while the bottom portion of the window is present at all times. In this window, you can adjust focus, initiate photomanipulation events, mark images with notes, or execute stages.
Access Capture Controls by beginning an image capture in the Capture window.
See also:
Graph Display in Ratio Module
Focusing During Capture in Ratio Module
Creating Event Markers (Notes) in Ratio Module
Displaying Region Intensity during Capture in Photomanipulation Module
Adjusting Vector Settings during Capture in Photomanipulation Module
Sequence Tab of Capture Preferences window
TUTORIAL: XY Cell/Region Tracking
Capture Controls window

Function tabs

1. Function tabs
Status tab - Allows you to adjust the display of captured images during acquisition, see more below.
Photomanipulation tab - During image acquisition, certain photomanipulation parameters can be controlled via the Photomanipulation tab. This tab will be activated if you have a Vector, an Ablate, or another photomanipulation device configured.
Tracking tab - When imaging a live specimen over time, it may be useful to move the imaging field based on where the object of interest is moving. To assist in this, SlideBook 6 includes real time XY tracking in which a motorized XY stage will move to keep a defined region central in the imaging field. This feature is only available for 2D time lapse acquisitions and can be accessed via the Tracking tab.
Notes tab - Notes set up in the Notes tab of Advanced Capture Preferences can be triggered in the Notes tab of Capture Controls. Alternatively, if notes are not previously configured, you may create notes and trigger them using this interface. Notes will show up as an annotation in the data set post-acquisition.
Live tab - The Live tab is used to adjust focus during an experiment and to show previously captured images. When performing a point visiting experiment, you can update any or all XYZ points.
Stages tab - The Stages tab allows you to interact with stages that were configured in the Sequence Tab of Advanced Capture Preferences. You may execute any stage at any time using this dialog regardless of order of events configured before image acquisition began.
Top

Status tab

2. Status tab
The current captured image is displayed in this tab and you are able to adjust intensity renormalization and well as which channel(s) are displayed. Adjusting renormalization/intensity scaling will only affect the display of the image and not the underlying data.
Top

Progress bar

3. Progress bar
The progress bar displays what portion of the requested image capture is complete. There is also a readout that estimates when the next capture will occur, how much time is remaining in the experiment, and how much time has elapsed. Finally, you are given a status of the current frame that is being captured, including channel, time point, and z-plane.
Top

Graph Channels group

4. Graph Channels group
When regions are drawn on the image, select a channel from the drop down menu and press Show to graph the mean intensity of each or the regions over time. If a background region is set, it will automatically be subtracted from the calculation. If a ratio is configured, it will be available to graph from the dropdown menu.
Top

Cancel button

5. Cancel button
Cancels capture, discarding images.
Top

Stop button

6. Stop button
Stops capture, images captured will be saved.
Top

Pause/Continue button

7. Pause/Continue button
Pause/Continue toggle button allows you to pause and restart image acquisition. You may wish to pause an experiment to adjust focus, add reagents, etc.
Top

The contents of Capture Controls window

Photomanipulation Tab of Capture Controls
Tracking Tab of Capture Controls window
Notes Tab of Capture Controls window
Live Tab of Capture Controls window
Stages Tab of Capture Controls window


Topic: Photomanipulation Tab of Capture Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Photomanipulation Tab of Capture Controls
  • Previous page
  • Next page

Photomanipulation Tab of Capture Controls

During image acquisition, certain photomanipulation parameters can be controlled via the Photomanipulation tab of Capture Controls.
Access by selecting the Photomanipulation tab during image capture.
See also:
Photomanipulation Tab of Capture Preferences
Adjusting Vector Settings during Capture
Photomanipulation Tab of Capture Controls

Double-click rectangle size

1. Double-click rectangle size
This is the number of spots that will be hit by the laser is a square pattern when you double-click to initiate an event during image capture. A good starting point to test is the value of the Raster block size used in the FRAP tab of Focus Controls.
Top

2D Z offset (um)

2. 2D Z offset (um)
The distance in Z that the sample should be moved before a photomanipulation event takes place. This value can be determined using the Z Stage section of Focus Controls. The value entered can be positive or negative and include a decimal point. Some example values include: 1, 0.55, and -2.1.
Top

Activate regions at time point

3. Activate regions at time point
The time point that will be captured after the event will take place. This is a whole number integer starting with 0 and ending with the value defined under # of Time Points in the Capture dialog. For example, if a value of 3 were entered, two time points would be captured then the photomanipulation event would take place then the third time point would be captured.
Top

3D plane

If you are imaging a 3D stack and would like the photomanipulation event to occur on a single plane within the stack, check the box and type the integer value of the Z plane where the event should occur. Not checking this box when imaging a 3D stack will result in the event occurring at the Z plane in the center of the stack.
Top

All Regions

5. All Regions
Check this box to photomanipulate All Regions drawn in the active Camera window.
Top

Resume capture after Photomanipulation

6. Resume capture after Photomanipulation
If you have paused image capture, checking this box will automatically signal SlideBook to continue capturing images after the photomanipulation has been completed.
Top

Activate All regions button

7. Activate All regions button
Clicking this button will immediately pause capture and activate all existing regions in the live window.
Top

Laser Power

8. Laser Power
You may select the laser power level by entering an integer from 1 - 100 in the text edit field and clicking Go. A value of 0 refers to 0% of the laser power and 100 refers to full (100%) laser power.
When using Ablate! Be sure to select Ablate! ND from the Laser Power dropdown menu.
Top

Duration

Enter the dwell time in milliseconds for the laser at each point to be photomanipulated.
Top

Laser

This is the laser line that will be used for the photomanipulation event(s). Filters that show in this list are those configured with an Associated Channel type equal to Photomanipulation in the Filter Configuration Parameters.
Top


Topic: Tracking Tab of Capture Controls window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Tracking Tab of Capture Controls window
  • Previous page
  • Next page

Tracking Tab of Capture Controls window

When imaging a live specimen over time, it may be useful to move the imaging field based on where the object of interest is moving. To assist in this, SlideBook 6 includes real time XY tracking in which a motorized XY stage will move to keep a defined region central in the imaging field. This feature is only available for 2D time lapse acquisitions and can be accessed via the Tracking tab.
Access by selecting the Tracking tab during image capture.
See also:
TUTORIAL: XY Cell/Region Tracking
Particle Tracking Menu
Tracking Tab of Capture Controls window

Enable XY Tracking check

1. Enable XY Tracking check
Check the box to enable XY tracking of a region. To define the region to track, draw a region using the Region Tools. Right click on the region and select Set XY Tracking Region.
Top

Method

Intensity uses sum image intensity within the region as the metric. It then moves the region in XY and re-calculates. It uses the region shift with the biggest increase in sum intensity. This is useful for finding a bright object surrounded by darkness such as an isolated cell.
Correlation uses a complex mathematical function called cross-correlation to compare two regions. However, in this case the metric is not dependent on intensity but rather dependent on 2D shape.
Top

Channel Selection

3. Channel Selection
Channel is used for both methods, only the data in the selected channel is used for the metric.
Top

Tracking Radius

4. Tracking Radius
Tracking Radius is the maximum distance from the center of the image that will be searched (in pixels).
Top

Search Step Size

5. Search Step Size
Search Step Size is how far the region will be moved in each direction searching for a match.
Top

Tracking Frequency

6. Tracking Frequency
Tracking Frequency determines how often the region is re-centered according to the method defined. For example, if you enter a frequency of 5, after time point 5 is captured, SlideBook will compare time point 1 with time point 5 to re-center the defined region and move the stage accordingly. This process will then be repeated, comparing time point 10 to 5, 15 to 10, and so on.
Top


Topic: Notes Tab of Capture Controls window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Notes Tab of Capture Controls window
  • Previous page
  • Next page

Notes Tab of Capture Controls window

Note set up in the Notes tab of Advanced Capture Preferences can be triggered in the Notes tab of Capture Controls. Alternatively, if notes are not previously configured, you may create notes and trigger them using this interface. Notes will show up as an annotation in the data set post-acquisition.
Access by selecting the Notes tab during image capture.
See also:
Notes Tab of Advanced Capture Preferences
Ratio Module, Setting Capture Parameters for Timelapse Ratio Imaging
Ratio Module, Creating Event Markers (Notes)
Notes Tab of Capture Controls window

Notes Panel

1. Notes Panel
Simply type notes in the provided fields. Press the appropriate button to add a note to the image during acquisition. Notes can later be displayed as Annotations or on Graphs. You may also later Edit Note or explore data using the Notes Navigator.
Top


Topic: Live Tab of Capture Controls window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Live Tab of Capture Controls window
  • Previous page
  • Next page

Live Tab of Capture Controls window

The Live tab is used to adjust focus during an experiment and to show previously captured images. When performing a point visiting experiment, you can update any or all XYZ points.
Access by selecting the Live tab during image capture.
See also:
Ratio Module, Focusing During Capture
Live Tab of Capture Controls window

Z Stage group

1. Z Stage group
The Z Stage group allows precise movement of the z focus position. You may use the buttons to fine-tune focus during image acquisition. For point visiting experiments, you may update individual z positions or all z positions.
Simply:
  • 1.
    Pause the experiment (12)
  • 2.
    Select the appropriate Filter (7)
  • 3.
    Start (11) or Snap (10 ) or Open (8) the appropriate shutter
  • 4.
    Adjust the Z Stage as desired
  • 5.
    Update Z (4) or Update All Z (6), this step is not necessary when the experiment has only Current Position
  • 6.
    Press Stop (11) or Close the appropriate shutter (8)
  • 7.
    Continue the experiment (12)
Top

XYZ Position list

2. XYZ Position list
The XYZ Position list displays either Current Position for single XY point experiments or a list of coordinates for point visiting experiments.
When multiple points are present, you may
  • 1.
    Pause the experiment (12)
  • 2.
    Select a point to Go to XYZ (3),
  • 3.
    Select the appropriate Filter (7)
  • 4.
    Start (11) or Snap (10 ) or Open (8) the appropriate shutter
  • 5.
    Adjust either the Z Stage (1) or use the motorized stage joystick to adjust the XY position
  • 6.
    Update Z (4) or Update XYZ (5)
  • 7.
    Close the appropriate shutter (8)
  • 8.
    Repeat for additional positions
  • 9.
    Continue the experiment (12)
Top

Go to XYZ button

3. Go to XYZ button
When a point visiting experiment is in progress, you may select a point from the XYZ Position list and press Go to XYZ to visit that point.
Top

Update Z button

4. Update Z button
Press Update Z to update a single z position for the selected point on the XYZ Position list.
Top

Update XY button

5. Update XY button
Press Update XY to update a single xy position for the selected point on the XYZ Position list.
Top

Update All Z button

6. Update All Z button
Type an offset in the text field the press Update All Z to update all z positions for all points on the XYZ Position list.
Top

Filter Selection

7. Filter Selection
Select a Filter from the dropdown menu of channels being acquired. Press Go to move the hardware to the appropriate filter position.
Top

Shutter Controls

8. Shutter Controls
Use the Open and Close buttons to toggle fluorescence, brightfield, or alternate source shutters; the boxes to the left of the buttons indicate status. The Shutter Controls are used for adjusting x, y, or z while looking at the specimen through the eyepieces. Alternatively, shutters will be automatically controlled when you use the Start (11) or Snap (10 ) buttons to view the sample via the camera.
Top

Show Captured Images button

9. Show Captured Images button
Press Show to open the Captured Images window. This window allows you to review previously captured images in the current experiment.
Top

Snap button

10. Snap button
Press Snap to open the shutter for the associated filter selected and snap a single image using the exposure time set in the Capture dialog. Use this instead of Start if you are concerned about exposing the sample to extra excitation light.
Top

Start button

11. Start button
Press Start to begin a semi-live stream from the camera. You can use this stream to adjust x, y, or z positioning. When you press Start, SlideBook continuously snaps images (opening and closing the appropriate shutter) and displays them in the live Camera window. Press Stop to end the semi-live stream.
Top

Continue button

12. Continue button
This button toggles between Pause and Continue to allow you to pause writing the images to the file when you adjust x, y, and z positioning.
Top

The contents of Live Tab of Capture Controls window

Captured Images window


Topic: Captured Images window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Live Tab of Capture Controls window
  • Captured Images window
  • Previous page
  • Next page

Captured Images window

This window allows you to review previously captured images in the current experiment. You can review 3D images as a maximum intensity projection, select individual or all channels, and review individual time points as well as xy positions.
Access by pressing Show in the Live Tab of Capture Controls
See also:
Captured Images window

Mode Selection

1. Mode Selection
Select a Mode from the dropdown menu as follows:
Single Frame: Displays the individual Z plane, this si the only option for 2D or 2D timelapse captures
MIP: Displays a maximum intensity projection image for the Z stack at the selected timepoint.
Top

Channel Selection

2. Channel Selection
Use the radio buttons to choose to display All Channels or view a specific Single Channel that you select from the dropdown menu.
Top

XY Location

3. XY Location
Top

Time Point Selection

4. Time Point Selection
Use the Time Point Selection area to select a time point to display. You may scroll through time using the slider bar or type a time point in the edit field and press Go to visit that point. To move a single time point forward or backward, use the + and - buttons.
Top

Image Area

5. Image Area
Previously captured images are displayed in the Image Area.
Top

Histogram area

6. Histogram area
When a Single Channel is selected (2), a histogram of intensity information is displayed.
Top


Topic: Stages Tab of Capture Controls window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • Capture Controls window
  • Stages Tab of Capture Controls window
  • Previous page
  • Next page

Stages Tab of Capture Controls window

The Stages tab allows you to interact with stages that were configured in the Sequence Tab of Advanced Capture Preferences. You may execute any stage at any time using this dialog regardless of order of events configured before image acquisition began.
Access by selecting the Stages tab during image capture.
See also:
Sequence Tab of Advanced Capture Preferences
Stages Tab of Capture Controls window

Stages list

1. Stages list
Lists the stages that were configured in the Stages list of the Sequence tab of Advanced Capture Preferences. These are stages that will be executed in sequence according to the details configured. At any time you may execute a stage out of order by selecting it from the list (will be highlighted in blue) and clicking Execute Stage (3).
Top

Not in Sequence list

2. Not in Sequence list
Lists the stages that were configured in the Not in Sequence list of the Sequence tab of Advanced Capture Preferences. These stages can be manually executed by selecting from the list (will be highlighted in blue) and clicking Execute Stage (3).
Top

Execute Stage button

3. Execute Stage button
When a stage is selected (highlighted in blue) click Execute Stage to begin capturing according to the stage details. An asterisk (*) will appear next to the stage name when it is in progress.
Top

Stage Description

4. Stage Description
Displays a description of the details and description of the selected stage.
Top


Topic: TUTORIAL: XY Cell/Region Tracking

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Capture Window
  • TUTORIAL: XY Cell/Region Tracking
  • Previous page
  • Next page

TUTORIAL: XY Cell/Region Tracking

When imaging a live specimen over time, it may be useful to move the imaging field based on where the object of interest is moving. To assist in this, SlideBook 6 includes real time XY tracking in which a motorized XY stage will move to keep a defined region central in the imaging field.
1. Set up a 2D Timelapse Capture as desired using the Capture Window.
NOTE: Tracking will only work on 2D Timelapse Captures.
2. Draw a region over the area you would like to keep centralized. For more information on working with region tools, see Region Tools.
3. Start image acquisition.
4. Right click on the region and Set XY Tracking Region.
4. Go to the Tracking tab, check the box to Enable XY Tracking.
5. When tracking is enabled, you may select Intensity or Correlation as the method. Intensity uses sum intensity of the region and works well for finding a bright area on a dark background whereas Correlation uses a mathematical function (cross-correlation) based on 2-dimensional shape. Either method of tracking will use only the Channel selected from the drop-down menu.
6. As images are captured, SlideBook will evaluate the image taken Tracking Frequency number of time points ago. It will compare that image to the current image, specifically the region marked for tracking. The SlideBook will then move the region around in the current image in steps of Search Step Size pixels until a maximum distance of Tracking Radius has been reached. The best matching region will then be moved into the center of the field of view before the next image is captured.


Topic: Special Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Previous page
  • Next page

Special Capture

At times, it is useful to create more complex capture routines than what is available in the Capture and Advanced Capture windows. There are several options available in the Special Capture menu to help accomplish these goals:
- 2D Stream opens the Stream tab of Focus Controls to capture images in 2D as quickly as possible
- Rapid 4D enables 3D streaming over time
- 6D Multicapture allows you to assign different capture routines to different locations over time
- Multiwell Capture allows you to use standard multiwell format plate specifications to set up a point visiting routine

The contents of Special Capture

Rapid 4D Stream Capture window
6D MultiCapture window
Multi Well Capture window


Topic: Rapid 4D Stream Capture window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Rapid 4D Stream Capture window
  • Previous page
  • Next page

Rapid 4D Stream Capture window
SlideBook’s rapid 4D streaming capture mode permits 4D acquisition, using either one or two cameras, as fast as physically possible. Fully overlapped (streaming) capture is synchronized with a piezoelectric z stage or focusing collar so that the z position is moved each time a frame is captured, without any additional delay.
This mode requires the following components:
  • •
    SlideBook™ 5.0 (version 5.0.0.10) or later
  • •
    Rapid 4D Streaming Module for SlideBook™ 5.0
  • •
    Photometrics camera that produces an EXPOSE OUT line level signal (and corresponding connector)
  • •
    TTL Synchronization and LaserStack Control Module for SlideBook™5.0
Performing a rapid 4D streaming experiment involves four steps:
  • 1.
    Locate the sample using the focus window
  • 2.
    Set up rapid 4D streaming capture
  • 3.
    Import resulting spool (.spl) file from disk
  • 4.
    Convert stream capture into a 4D image
This procedure is more elaborate than setting up normal capture. Depending on camera’s frame rate, relative to the magnitude of z motion, it is possible that the actual stage positions either trail their intended positions by some delay or that the stage requires some time to decelerate, switch directions, and accelerate. The interface is designed to give you full visibility (and control) over how the resulting stream capture is interpreted as a 4D image to ensure maximum positional accuracy and linearity.
These effects will be less noticeable during full chip capture of a 512 x 512 camera (such as the Evolve) at 1x1 binning because the frame rate is limited to approximately 30 fps. They become more apparent when using either binning or a small region, or are using a camera capable of much faster frame rates, such as the Cascade 128+.

Setting up rapid 4D streaming capture

1. In order to set up capture, you must first open up the Focus Controls window and find the sample using the camera(s) you intend to use rapid 4D streaming with. If you want to use binning or only image a subregion of the camera’s field, you need to make those selections using the Focus Controls window.
2. Select Special Capture > [image] Rapid 4D Stream Capture from the Acquire group in the Home tab. The Streaming 4D Acquisition dialog box will open. You can now move the slider on the left side of the dialog to move the piezo up and down. This dialog can be open at the same time as the Focus Controls, so you can select a filter configuration or turn on a light source in the Focus Controls and use the slider to do live focusing.
2. If you have two cameras, you can choose between One Camera or Two Camera capture. Otherwise, One Camera will be selected automatically.
3. Select the acquisition channel for each camera. When you run the capture, SlideBook will turn on the light source corresponding to Channel 1 and turn it off at the end of capture. The final image will have its channels assigned according to what you select for Channel 1 (and, in the case of two camera capture, Channel 2).
4. Set the exposure time for the capture. Keep in mind that if you select an exposure time that is smaller than what the camera can support in streaming acquisition, it will automatically extend the exposure time to what can be achieved. You can determine whether this adjustment was made by looking at the frame rate achieved in the final image using [image] Get Info.
5. Under Spool File Destination select a destination folder for resulting spool (.spl) files.
6. Select the 3D Capture checkbox in the 3D Setup group. (There are some modes of operation that do not move a z stage, but these will not be discussed here.)
7. Set the Z Top and Z Bottom fields to define the top and bottom positions (in microns) of the full travel in z. If you are live focusing on the sample using the slider, you can click on the corresponding Set to Current buttons to set either of these fields to the current position of the piezo. Conversely, if you want to move the piezo to the value in one of the edit fields, click on the corresponding Go To buttons.
8. Set the Number of Steps to the number of steps the piezo will make from the bottom to the top. Remember, the rapid 4D acquisition mode will take one step per camera frame.
NOTE: If you are using the Sawtooth Waveform mode (which is recommended) the dialog will report how many steps the piezo will take as it makes its way from the top back to the bottom. The corresponding camera frames will be discarded.
9. More details about Loop Setup will be discussed later. In most situations, you can keep Number of loops at 1 and choose a Frames per loop value that gives you the desired number of 3D images. In Sawtooth Waveform capture, it takes (Number of Steps + Retrace Steps) frames for a single 3D stack. So, if Number of Steps is 11 and Retrace Steps is 3, it takes 14 frames per 3D stack (i.e., individual time point in 4D image). If you want a 4D image that has 10 time points, you will need to set Frames per loop to at least 140.
10. Click on Execute to start the capture. When the acquisition is complete, an alert Streaming Complete will appear. Make sure to wait for this before starting another acquisition or closing the dialog box.


Topic: 6D MultiCapture window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • 6D MultiCapture window
  • Previous page
  • Next page

6D MultiCapture window

Once capture scripts have been assigned to each location using the 6D Tab of Focus Controls, you can initiate capture using the 6D MultiCapture window. Here, you will set up parameters for the time lapse portion of the experiment and review already configured settings.
See also:
TUTORIAL: Using 6D Scripted Capture
6D Tab of Focus Controls
6D MultiCapture window

Capture type drop down

1. Capture type drop down
Select the Capture type from the drop down menu as follows:
Sequential - Performs a time lapse routine at each location, capturing the assigned script for the entire time lapse duration before moving on to the next location. Uses timelapse parameters in saved capture scripts, ignores Timelapse Parameters in this dialog.
Interleaved - Performs a time lapse routine in which the selected capture script is performed at each location in a loop using the time lapse interval between the start of each point visiting loop. Uses Timelapse Parameters in this dialog, ignores timelapse parameters in saved capture scripts.
Top

Repeat field

2. Repeat field
If Sequential capture type was selected, enter a value here to repeat the sequence multiple times. For this mode of capture, you may find it useful to utilize the Pause After Script field in the 6D tab of Focus Controls when setting up the point list.
Top

Timelapse Parameters group

3. Timelapse Parameters group
If Interleaved capture type was selected, type a value for the # of Time Points to acquire and the Interval between time points. This is the interval between the start of each capture routine. If capture takes longer than the designated interval, it will proceed as quickly as possible.
Estimated Duration will be completed once the other two parameters are completed.
Top

Optics group

4. Optics group
Displays information on the current objective and magnification changer. The Focus Controls window can be used to change the optics used in image capture.
Top

Space Requirements

5. Space Requirements
The amount of available memory and memory required for the designated image acquisition are displayed here.
Top

Location list

6. Location list
The location list displays the XYZ position and their associated capture scripts as designated in the 6D tab of the Focus Controls window.
Top

Name field

7. Name field
Click on a location from the list and enter an image Name in this field.
Top

Comments field

8. Comments field
Click on a location from the list and enter any image Comments in this field.
Top

Cancel button

9. Cancel button
Press Cancel to discard changes and close this dialog.
Top

Start button

10. Start button
Press Start to begin the designated 6D scripted image capture.
Top


Topic: Multi Well Capture window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Multi Well Capture window
  • Previous page
  • Next page

Multi Well Capture window

The Multi Well Capture window allows you to set up a point list based on a multi well plate configuration. There are several pre-configured plate layouts or you have the ability to create one from scratch based on the manufacturer specifications. Once the plate is configured, you can calibrate the stage-plate relationship to overcome any placement offsets. Finally, select which wells you would like to image and export the point list for acquisition. To access this dialog, you must have a blank slide open and selected.
Before beginning any part of Multi Well setup, you the stage should be homed by using the Home button in the XY tab of Focus Controls. It is also important to ensure the stage, pixel size, and camera are well calibrated. The easiest way to test this is to double click on an object in the live camera window. If the object is centered in the view, everything is configured correctly. If the object moves in the wrong direction, you may need to adjust XY Stage Properties. If the object moves too far or too little, you may need to adjust the pixel size for the objective or set a per-camera magnification factor.
To access, open a blank .sld then [image] Capture Multiwell
The individual steps involved in multi well capture are as follows:
Create a Multi Well Layout
Manipulate Hardware and Focus on the Sample
Calibrate the Stage/Plate Relation
Select Wells for Capture and Export Points
Multi Well Capture window

The contents of Multi Well Capture window

Create a Multi Well Layout
Manipulate Hardware and Focus on the Sample
Calibrate the Stage/Plate Relation
Select Wells for Capture and Export Points


Topic: Create a Multi Well Layout

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Multi Well Capture window
  • Create a Multi Well Layout
  • Previous page
  • Next page

Create a Multi Well Layout

In order to perform multi well capture, you must first create a layout, or template, that defines capture parameters. These layouts may be saved and applied for future captures. To create a layout:
1. With a blank .sld open and selected, open Capture Multiwell. The Multi Well Capture dialog will appear:
2. Go to the upper left corner and select a Layout from the dropdown menu or New to generate a new layout. The following dialog will appear:
3. Enter or edit the Layout Name in the edit field. This layout will be saved so you may use it again for future experiments.
4. Select the Microscope Components you will be using for imaging from the Objective and Mag Changer dropdown menus.
5. Enter Plate Setup parameters by either entering numbers or using the up and down arrows.
X spacing, Y spacing – center-to-center distance in x and y directions in microns (can be determined by contacting the plate manufacturer; values shown in above dialog box are typical for a standard 96-well plate)
Well Diameter – can also be determined by contacting the plate manufacturer
Calibration Row – row used for setting top of upper left and upper right wells (see below). You can generally specify this to be 1 (e.g. row A) unless you cannot move your stage to focus on the top edge of the top row and must use row 2.
Calibration Column – column used for setting right side of lower right well (see below). You can generally specify this to be the rightmost column of the plate. For a 96 well plate often you cannot reach the right edge of the wells in the 12th column and must set this value to the 11th column.
6. Select the Channels you will want to access during focusing and calibration. This will enable filter buttons in the Multi Well Capture window. You will set exposure times, autofocus, and auto expose options using the regular capture controls after you have exported a point list.
6. Select the type of capture that you wish to perform for each well as shown in the Capture Parameters section of the dialog. The following options are available:
Images at the center of the well - you may choose the size of the grid, and you may generate a montage of the grid
Image single center frame - will take one image in the center of the selected wells
Image pattern - for the predefined grid pattern, you may enter a separation value, which will allow you to sample at various points in the well
7. Click Save to exit the dialog box.


Topic: Manipulate Hardware and Focus on the Sample

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Multi Well Capture window
  • Manipulate Hardware and Focus on the Sample
  • Previous page
  • Next page

Manipulate Hardware and Focus on the Sample

Once you have determined the plate layout, you can interface with hardware in the Multi Well Capture dialog. This works very similarly to the Focus Controls window. You can select filters, move x,y, and z positions, and open the fluorescence or transmitted light shutters. Before proceeding to the next section, make sure that your sample is in view and focus.


Topic: Calibrate the Stage/Plate Relation

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Multi Well Capture window
  • Calibrate the Stage/Plate Relation
  • Previous page
  • Next page

Calibrate the Stage/Plate Relation

This portion of setup is dependant on the Calibration Row and Calibration Column configured in the Multi Well Layout dialog. This information will be used to identify which wells will be calibrated as Upper Left, Upper Right, and Lower Right as shown below. The red wells in the diagram below refer to the calibration points.
The purpose of the calibration routine is to determine if the plate is skewed on the microscope stage. This is done by first setting two points you know are in a horizontal line (top center of Upper Left and Upper Right). Next, you mark a third point (center right of Lower Right). An algorithm projects a perpendicular line from the row line that was calculated. This 90 degree line is shifted until it matches the lower right point. Thus the "square" relationship of the plate can be determined and all wells shifted off these known values.
NOTE: Before beginning any part of Multi Well setup, you the stage should be homed by using the Home button in the XY tab of Focus Controls. It is also important to ensure the stage, pixel size, and camera are well calibrated. The easiest way to test this is to double click on an object in the live camera window. If the object is centered in the view, everything is configured correctly. If the object moves in the wrong direction, you may need to adjust XY Stage Properties. If the object moves too far or too little, you may need to adjust the pixel size for the objective or set a per-camera magnification factor.
1. Go to a column towards the left of the plate and find the top of a well in the calibration row (as defined by Calibration Row in your layout, in the example above, well B-2).
2. Focus on the upper middle edge of the meniscus of the well and center it in the camera image (see picture below), and click Set under Upper Left.
3. Go to a column towards the right of the plate and find the top of a well in the calibration row (as defined in your layout, shown above as well B-11).
4. Focus on the upper middle edge of the meniscus of the well and center it in the camera image, click Set under Upper Right.
5. Go to a row towards the bottom of the plate in and find the right of a well in the calibration column (as defined by Calibration Column in your layout, shown in the example above as well G-11).
6. Focus on the right middle edge of the meniscus of the well and center it in the camera image, click Set next to Lower Right.
7. Test calibration by clicking on a well (it will turn white), and selecting Goto.


Topic: Select Wells for Capture and Export Points

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Special Capture
  • Multi Well Capture window
  • Select Wells for Capture and Export Points
  • Previous page
  • Next page

Select Wells for Capture and Export Points

The current workflow for multi well capture includes selecting wells in the Multi Well Capture dialog then exporting points and proceeding with the typical point visiting.
1. Select the wells you wish to image by clicking on the well and then clicking Select. If you wish to select multiple wells, first select a single well (it will be gold). Starting from the selected well, click and drag over the wells you want to image. The selected wells will turn gold.
2. To unselect wells, click on the well that you don’t want to image and press Unselect. To unselect multiple wells, first unselect a single well, then click and drag over the wells you wish to unselect. The unselected wells will turn gray.
3. At any time, you may examine a well by clicking on it and pressing Goto. You may use the filter buttons, camera, and shutter controls to investigate whether or not you would like to add the well to your image capture.
4. Remember that you may configure how many images will be captured in each well by using the Multi Well Layout dialog. Here you will configure the software to mark a single point in the center of each well or a grid or pattern of images in each well.
5. Once the desired wells have been selected, click Export Points to export a point list to the XY Tab of Focus Controls.
6. Click OK to close the dialog.
7. Return to the XY Tab of Focus Controls. You will see a point list that includes a point for each requested image from the Multi Well Capture dialog. You may use this interface to visit or refine positions.
NOTE: For highly advanced 6D experiment design such as setting up different capture parameters for each well, please refer to the 6D Tab of Focus Controls and 6D MultiCapture window .
8. Proceed to the Capture Window to configure capture settings such as channels, 3D, and time lapse intervals.


Topic: Multiphoton

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Multiphoton
  • Previous page
  • Next page

Multiphoton

The Multiphoton menu gives you direct access to multiphoton scanning acquisition functions. These include:
Line Scanning - Image lines using lasers
Scanning - Point scanning 2-photon imaging
See also 2-Photon Scanning Module

The contents of Multiphoton

Scanning Controls


Topic: Scanning Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Multiphoton
  • Scanning Controls
  • Previous page
  • Next page

Scanning Controls

SlideBook has placed all of the common adjustments to the scanning parameters, including PMT gain and laser intensity, in the Scanning dialog box. Much like the focus window, this dialog can (and should) remain open while you are locating where you want to acquire and while you are trying to find the best parameters for acquisition.

Dimensions group

1. Dimensions group
Currently, you can set the dimensions of the scan (in microns) by entering values in the Scan extent (um) x and y fields or dragging a rectangle in the full scan field at the bottom of the Scanning dialog box.
Top

Scanning Area

2. Scanning Area
If you enter values in the fields, you then need to click Apply for the new dimensions to take effect.
The resolution will only change as needed to preserve the 1:1 aspect ratio of x versus y pixel size. If you want to change the overall resolution of the scan (how many pixels the scan is divided into), then you should change the Resolution (pixels) x or y field. Again, when you click Apply, SlideBook will make an adjustment in the x or y value that was least recently changed to preserve the 1:1 aspect ratio.
The Pixel size (um) x and y fields cannot currently be edited, but in a properly calibrated system they report the pixel size in microns given the current scan extent and resolution.
Top

Offset

If Offset x and y are both 0, the scan will be centered in the field. When you draw an extent in the full scan view, these values will be adjusted to reflect the position of the desired scan relative to the center of the field.
You can move the scan position, without changing its extent or resolution, by using the up, down, left, and right arrows to the left of the full scan view. The default step size of this movement is 20 microns, but you can choose a different step size using the drop-down menu below the arrow buttons.
Top

Dwell time, Averaging

4. Dwell time, Averaging
You can currently choose pixel dwell time and how many times the PMT signal is sampled during that dwell time. Soon you will also be able to specify line averaging too.
Dwell time is specified in microseconds and is set to 2 as default. You can choose either one of the drop-down preset values or enter any other value.
Pixel Averaging can be set to any value from 2 to the maximum allowed based on the hardware configuration and the currently selected dwell time.
Top

PMT Control

5. PMT Control
Each PMT has independent gain control that is determined by the corresponding slider. In a typical two PMT system, there is a separate set of controls for the “red” PMT and the “green” PMT. To the right of each PMTs gain slider is an indicator that shows the max signal achieved during the last scan and a button to reset a PMT if it has reached an overload condition (indicated by the signal display filling with red).
The PMT buttons select which PMT is used for the full field scan at the bottom of the Scanning dialog box and the PMT Saturation Indicator determines at which grayscale level in the live camera window does a pixel display as solid red. This gives you flexibility in finding an optimal dynamic range based on your current imaging conditions.
Top

Laser Control

6. Laser Control
SlideBook can control wavelength and the laser shutter in any system with either a Coherent Chameleon or Spectra Physics Mai-Tai laser.
Further, SlideBook can control input intensity to the system when equipped with a Pockels’ cell.
Top


Topic: Photomanipulation

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Previous page
  • Next page

Photomanipulation

The Laser Options menu gives you direct access to acquisition related laser functions including imaging and photomanipulation techniques, many of which require 3i hardware modules. These include:
Phasor - Opens the Phasor tab of the Focus Window for setting up Phasor streaming
Point Scanning
Phasor Settings - Calibrate and test Phasor
Vector - Configure vector photostimulation parameters to use during capture
Laser Settings - Access advanced laser control settings
See also Photomanipulation Module

The contents of Photomanipulation

Phasor Tab of Focus Controls
Phasor Settings window
TUTORIAL: Performing Ring FRAP


Topic: Phasor Tab of Focus Controls

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Phasor Tab of Focus Controls
  • Previous page
  • Next page

Phasor Tab of Focus Controls

The Phasor Tab of Focus controls is designed to create fast streaming captures using a spinning disk confocal or 2 photon system while stimulating using Phasor. Stimulation can only be coupled with imaging in cases where the imaging channel is defined as Alternate Source and the digital line is set high during acquisition. No hardware is moved when imaging through this dialog so it inherently requires an AOTF/LaserStack. For other types of imaging with photostimulation, see Photomanipulation Tab of Capture Preferences. The advantage of using this dialog over standard the capture dialog is that this is designed to use clock time for precision timing instead of the conventional timepoint timing approach. The stimulation events are precisely executed and lend themselves to coordination with electrophysiology setups while imaging proceeds independently at the best rate available.
There are two ways to set up a stimulation using this tab:
BASIC - Uses the options on the left side of the tab to stimulate all regions at once or all regions in sequence with the option to establish a baseline and loop the process.
ADVANCED - Uses the Edit Sequence dialog to create more complex stimulation routines in which you define the exact region or regions to stilmulate at specific timepoints with the option of looping the routine.
Whether you set up basic or advanced stimulation, there are four different ways to execute the action:
1. Stimulate without a trigger
2. Stimulate with a trigger
3. Image + Stimulate without a trigger
4. Image + Stimulate with a trigger
Each of these executions requires a specific wiring configuration. Please refer to Wiring Required for Phasor Streaming for assistance in configuring the system for your requirements.
Phasor Tab of Focus Controls

The contents of Phasor Tab of Focus Controls

TUTORIAL: Basic Phasor Streaming
TUTORIAL: Advanced Phasor Streaming


Topic: TUTORIAL: Basic Phasor Streaming

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Phasor Tab of Focus Controls
  • TUTORIAL: Basic Phasor Streaming
  • Previous page
  • Next page

TUTORIAL: Basic Phasor Streaming

From the Phasor tab of Focus controls, you can set up basic phasor streaming experiments to stimulate all regions either at once or in sequence.
1. Bring the specimen into focus using visualization channels in the Focus Controls.
2. In the Region group of the Home tab, click the drop down button next to the [image] Spot region tool. Select Stimulation. This will convert the standard Region Tools into Stimulation Region tools.
3. Once selected, the spot icon in the drop down will be outlined and highlighted in orange/yellow as displayed below.
4. Select the desired region drawing tool to draw Stimulation Regions in the Live window. Stimulation regions are numbered with an "S" then number as in S1, S2, S3, etc.
5. Select the Phasor tab in Focus Controls. Select Stimulation Regions from the region type dropdown menu highlighted below.
6. The default behavior is to use Phasor to stimulate all the regions at the same time. Alternatively, you have the option to stimulate the regions in sequence with a small delay between stimulations. To stimulate the regions in sequence, check the box for Sequential and enter a value in the ROI delay (ms) field. ROI delay is the amount of time between sequential region stimulations. The minimum value is 50ms. If you want to create a more complex stimulation routine, review TUTORIAL: Advanced Phasor Streaming .
7. Enter a value for Baseline (ms). This is the amount of time to wait before the initial stimulation.
8. Enter a value for Stim (ms). This is the amount of time the region(s) will be stimulated.
9. If you would like to repeat the stimulation sequence as a loop, enter a value in Between loop (ms) to define how long between the start of the first sequence and the start of the repeat sequence. Next, enter a value for Num loops to define how many times the sequence will be repeated. The amount of time between loop should be at least Baseline + Stimulation time when stimulating all regions at once or Baseline + #regions(Stimulation time + ROI delay) when stimulating regions sequentially.
10. Select the Phasor channel from the drop down to identify the Phasor channel that will be used for stimulation.
11. Enable Trigger is used if you would like to begin the process when an external trigger is received. One would check Enable Trigger then click Stimulate. The stimulation routine would not begin until an external TTL pulse is received. This can help to synchronize other external stimulation or recording devices. Checking Retrigger will reset equipment so that it is ready for another round of stimulation after the routine completes.
12. Decide if you will Stimulate only or image while stimulating. If you will only be stimulating, you can click Stimulate at this time to start the process.
13. If you will Image + Stimulate, you will first need to define Imaging Channel. Imaging Channel should be selected based on imaging system type as follows:
  • •
    Spinning Disk Confocal systems - select the confocal channel from the Imaging Channel drop down. The channel name will be the same as the button you would select to display the channel in the Focus Controls.
  • •
    2-Photon system - leave the value at Laser Off and the system will use the current PMT imaging mode as selected in the Scanning dialog.
11. Set Imaging Duration. This value is independent of the stimulation setup. That is, if your stimulation routine takes 15 seconds and the imaging duration is set to 10 seconds, the stimulation routine will run to completion but imaging will stop 10 seconds in. Therefore, it is important to be aware of the approximate amount of time the stimulation routine will run to ensure the imaging duration is long enough. See #9 above and multiply by the number of loops.
12. Click Image + Stimulate to begin the process.


Topic: TUTORIAL: Advanced Phasor Streaming

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Phasor Tab of Focus Controls
  • TUTORIAL: Advanced Phasor Streaming
  • Previous page
  • Next page

TUTORIAL: Advanced Phasor Streaming

From the Phasor tab of Focus controls, you can set up advanced Phasor streaming experiments to to create more complex stimulation routines in which you define the exact region or regions to stimulate at specific time points with the option of looping the routine.
1. Bring the specimen into focus using visualization channels in the Focus Controls.
2. In the Region group of the Home tab, click the drop down button next to the [image] Spot region tool. Select Stimulation. This will convert the standard Region Tools into Stimulation Region tools.
3. Once selected, the spot icon in the drop down will be outlined and highlighted in orange/yellow as displayed below.
4. Select the desired region drawing tool to draw Stimulation Regions in the Live window. Stimulation regions are numbered with an "S" then number as in S1, S2, S3, etc.
5. Select the Phasor tab in Focus Controls. Click Edit Sequence to bring up the Photopomanipulation Settings dialog. You will be using the lower half of this dialog as shown below.
6. Begin creating events by entering the Start time (in ms) when the first event will occur. This value is elapsed time that will have passed in milliseconds before the event will occur. The first start time is essentially the baseline for the experiment. Subsequent start times will be total elapsed time in the experiment before the event occurs.
7. Set the Duration (ms) of the stimulation event.
8. Select All Regions to stimulate all existing regions for this event. Alternatively, select Specific Regions to define which region(s) should be stimulated (e.g. 1,2,6-8). Be sure to select Stimulation regions from the Region type drop down menu.
9. Select the Phasor channel to use for stimulation from the drop down menu. Click Add to save the the event event.
NOTE: You can also add automated sequential region stimulation to the event list by clicking Add-Region... to open the Photomanipulation Sequence dialog. The dialog will activate each of the existing reguins in sequence beginning at a designated time and repeating with the next region at a designated interval until all regions are stimulated. The settings fo Duration and Phasor channel as described earlier will be applied to these events.
Important: Currently the dialog reads "timepoint" but should read time (ms). Fill out the fields as "Activate region every x milliseconds starting at y milliseconds elapsed time.
10. Create additional events as desired by repeating steps 6-9. If you need to edit an event, select it from the list and click Edit. Alter as desired then click Add to add it back to the list. To delete an event, select it from the list and click Remove.
11. When all events are entered, click OK. This will close the Edit Sequence dialog and take you back to the Phasor tab of Focus controls.
12. Notice that the sequence field now contains the event list and the Use Sequence radio button is selected. In the screenshot below, all regions will be stimulated for 50ms after waiting 100ms, 1 second later regions 1 and 3 will be stimulated for 100ms, 2 seconds after the baseline regions 2, 4, and 5 will be stimulated for 100ms.
13. Enable Trigger is used if you would like to begin the process when an external trigger is received. One would check Enable Trigger then click Stimulate. The stimulation routine would not begin until an external TTL pulse is received. This can help to synchronize other external stimulation or recording devices. Checking Retrigger will reset equipment so that it is ready for another round of stimulation after the routine completes.
14. Decide if you will Stimulate only or image while stimulating. If you will only be stimulating, you can click Stimulate at this time to start the process.
15. If you will Image + Stimulate, you will first need to define Imaging Channel. Imaging Channel should be selected based on imaging system type as follows:
  • •
    Spinning Disk Confocal systems - select the confocal channel from the Imaging Channel drop down. The channel name will be the same as the button you would select to display the channel in the Focus Controls.
  • •
    2-Photon system - leave the value at Laser Off and the system will use the current PMT imaging mode as selected in the Scanning dialog.
16. Set Imaging Duration. This value is independent of the stimulation setup. That is, if your stimulation routine takes 15 seconds and the imaging duration is set to 10 seconds, the stimulation routine will run to completion but imaging will stop 10 seconds in. Therefore, it is important to be aware of the approximate amount of time the stimulation routine will run to ensure the imaging duration is long enough.
17. Click Image + Stimulate to begin the process.


Topic: Phasor Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Phasor Settings window
  • Previous page
  • Next page

Phasor Settings window

The Phasor Settings window is a general utility window that allows for testing, calibration, and advanced Phasor manipulation.
Access from the Home tab, Acquire group, Photomanipulation menu > [image] Phasor Settings.
Phasor Settings window

Pattern to Project group

1. Pattern to Project group
Select the pattern Phasor will generate as follows:
All Regions - All regions drawn in the Live camera window will be illuminated simultaneously. Check the box to Illuminate sequentially to illuminate each of the regions in number order.
Selected Regions - Illuminate only selected regions (depicted by a white region number). To select multiple regions, hold the Ctrl key and click on regions.
Specific Region - Type a region number in the box to select the region to illuminate.
All But Region - Type a region number in the box to exclude a single region but illuminate all other regions simultaneously.
Image Scaled By - This is an unused development feature
Circle with Radius - Type a value (in pixels) to illuminate a centered circle with given radius. To offset the circle from center, use the Offset from Center edit fields described below.
Preprogrammed Pattern - Under development - uses a mask in a z-stack to create 3D holograms
3D Spots (from image) - Acquire a 3D image and draw spot regions in desired locations. Open this image and select this option to illuminate spots in 3D.
2D Spots from live window) - Use the Spot [image] region tool to draw spots to illuminate in the live window.
Top

Offset from Center group

2. Offset from Center group
When Circle with Radius is selected as the pattern to illuminate, use these fields to enter pixel values in X and Y to offset the circle from the center of the field.
Top

Fresnel Lens group

3. Fresnel Lens group
Check the box to generate a virtual fresnel lens to apply to the SLM, thus displacing the hologram from the focal plane of the objective. Enter a value (in microns) for the desired Z Offset.
Top

Algorithm Parameters

4. Algorithm Parameters
IFTA iterations is the number of iterations the software is performing before converging to a good resolution hologram. 6 iterations should be enough.
Check the box for Output phase map to create an image in SlideBook that is the phase profile.
Top

Update button

5. Update button
Pressing Update will illuminate the requested pattern and update the live image.
Top

Calibration Preset selection

6. Calibration Preset selection
A Calibration Preset is tied to objective, wavelength, and imaging device. Select a preset from the dropdown menu. You can edit the preset name by typing in the field.
Verify or edit the Emission Wavelength (nm) and Associated Filter Configuration as needed.
NOTE: Associated Filter Configurations available are any channels that have been configured as Photomanipulation Channel Type in Filter Configuration Parameters.
Presets are pre-configured at installation and contain all important information regarding LUTs. Linear LUT should be selected and the values populated automatically. Use Phase Correction Mask should be checked and a loaded file should be indicated.
If you need assistance changing or creating a new preset, please contact support@intelligent-imaging.com for assistance.
Top

Spatial Calibration group

7. Spatial Calibration group
To project the three circles, check Spatial Calibration and choose the Regions radio button. Click Display and the three circles should appear in the Live Camera window once you turn on the appropriate laser illumination.
Using the Ellipse region tool, create regions of interest in the Live Camera window. The orientation of the circles may vary depending on the way the SLM projects to the camera, but by default it should be a “bent L” where circle 1 is at the end of a straight leg (with respect to the camera), circle 2 is at the inflection, and circle 3 is at the end of the bent leg.
Click on Compute to compute the transformation matrix (and reverse transformation) between the SLM coordinate system and the camera coordinate system.
Should Calibration Pattern Offset default values need to be changed, do so from the Administration tab, Hardware Properties > Phasor Settings >Calibration Pattern Coordinates.
Refer to TUTORIAL: Phasor Direct Calibration for more information.
Top

Save Preset button

8. Save Preset button
Save Spatial Calibration to a preset selected in #6 above.
Top

Stimulation group

9. Stimulation group
Primarily, Phasor is run from the Phasor tab of Focus Controls or through Photomanipulation Configuration as part of an experiment design. SHoudl you need to run a quick test without imaging, this group provides tools to set up the test stimulation as follows:
Photomanipulation Channel - Choose the configuration to use for Phasor illumination. Available channels listed will be any channels configured as Photomanipulation Channel Type in Filter Configuration Parameters.
Duration (us) - The length of time the selected regions will be stimulated. Illuminated area was selected in the Pattern to Project group in the top left of this dialog.
Stimulate on incoming pulse - Check this box if you would like to trigger the stimulation from an external TTL pulse. Frequency options include: Once Multiple, or Free Run.
Blank PMTs - Check this box to designate a time to blank the PMTs. Blanking is very useful when 2P imaging is used to image the effects of photostimulation. When photostimulation is occurring and the 1P or 2P laser is on, the PMTs should be blanked to avoid saturating them.
Delay Between Regions (us) - This value is used when you check the box to Illuminate Sequentially in the Pattern to Project group.
Top

The contents of Phasor Settings window

TUTORIAL: Phasor Direct Calibration


Topic: TUTORIAL: Phasor Direct Calibration

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • Phasor Settings window
  • TUTORIAL: Phasor Direct Calibration
  • Previous page
  • Next page

TUTORIAL: Phasor Direct Calibration

Basic Instructions for Phasor Calibration

If your system is set up with a camera that can image the fluorescence emission induced by Phasor on a specimen consisting of a thin layer of fluorescent material, then you can perform direct calibration.
Calibration is found in the Home tab, Acquire group, Photomanipulation menu > [image] Phasor Settings.
  • 1.
    Spatial calibration of Phasor maps the SLM coordinates to camera or scanning coordinates based on system configuration. A Calibration Preset is tied to objective, wavelength, and imaging device. Select the Calibration Preset from the dropdown menu in the top right corner of the Phasor Settings dialog. Verify the Emission Wavelength (nm) and Associated Filter Configuration.
    NOTE: Associated Filter Configurations available are any channels that have been configured as Photomanipulation Channel Type in Filter Configuration Parameters.
2. You will find Spatial Calibration midway down the dialog on the right side. To project the three circles, check Spatial Calibration and choose the Regions radio button. Click Display and the three circles should appear in the Live Camera window once you turn on the appropriate laser illumination.
NOTE: The orientation of the circles may vary depending on the way the SLM projects to the camera, but by default it should be a “bent L” where circle 1 is at the end of a straight leg (with respect to the camera), circle 2 is at the inflection, and circle 3 is at the end of the bent leg. This makes it easy to identify the ordering of the circles regardless of any rotation or reflection between the SLM’s coordinates and the camera’s coordinates. Misidentification of the region order will result in an incorrect calibration.
To further aid in the identification of regions, please review the steps below. Two examples are given to aid in these instructions. The first example is very similar to the image shown above.
 | Example 1 | Example 2
1. After clicking display, note the appearance of 3 spots. |  |
2. Two of the spots (regions 1 and 2) will lie in a line that is either horizontal or vertical. Identify these spots, you still won't know which is which at this point. The other spot will be Region #3. |  |
3. Next, determine which spot is closer to spot 3, this will be Region #2. |  |
4. The remaining spot will be Region #1. Draw your ellipses slightly larger than the bleached spots. |  |
3. Using the Ellipse region tool, create regions of interest in the Live Camera window so that the numbers of the region correspond to the circle numbers described above. The calibration algorithm uses weighted center of intensity value inside the region so be sure to draw regions at least as large as the spots displayed.
4. Click on Compute. This will compute the transformation matrix (and reverse transformation) between the SLM coordinate system and the camera coordinate system.
5. Confirm the calibration by deselecting the check box for Spatial Calibration, selecting the All Regions radio button (in the upper left of the dialog in Patterns to Project group). Click Update (found in the lower left quadrant of the dialog). The new pattern should exactly match the calibration regions that you created.
Other ways to test the calibration:
- Select Specific Region and choose 1, 2, or 3, and then click Update. Only the selected pattern should light up.
- Draw a larger ellipse region (within the SLM field). While it is still selected, choose Selected Region and Update.
NOTE: When you have Spatial Calibration checked, Update will be grayed out. To exit the spatial calibration mode and use any of the normal pattern options, uncheck Spatial Calibration.
6. Evaluate the regions you tested. If the illuminated regions are off slightly,

Calibrating Using Spots Instead of Regions

If you will ultimately be using Phasor to photomanipulate finite spots (as opposed to regions with some type of lateral extent), more accurate results will be achieved using spots to calibrate. To do so, follow the instructions above with 2 exceptions:
Step 1: Select Spots instead of Regions.
Step 2: Select the Spot [image] region drawing tool instead of the Ellipse.

Calibrating by Bleaching

Many system configurations do not support the ability to directly record the hologram from fluorescence emitted from Phasor illumination. If this is the case, you will be imaging one channel and performing the calibration based on bleached regions or spots in the image. It may be necessary to move to a fresh field on the sample during the calibration and testing process.
To do so, proceed as instructed earlier in this tutorial with one exception:
Step 1: Check the box to Invert Calibration Intensities. This will direct SlideBook to find the center of the dark areas to obtain the calibration coordinates, thus ensuring more precise alignment.


Topic: TUTORIAL: Performing Ring FRAP

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Photomanipulation
  • TUTORIAL: Performing Ring FRAP
  • Previous page
  • Next page

TUTORIAL: Performing Ring FRAP

In standard photomanipulation protocols, region tools are used to draw squares, ellipses, or user-defined shapes. The area photomanipulated is the entire area within these shapes. An alternative method has been created for users who wish to photomanipulate only the circumference of an ellipse. Please follow this tutorial to perform ring FRAP.
1. With the Focus Controls open, go to the Regions group of the Home tab. Click on the spot tool drop down and select Stimulation. This will change the region type from graph region to stimulation region. For more information on region types, please see Graph Regions vs. Stimulation Regions.
2. Select the ellipse region tool. It will be highlighted. Draw an ellipse on the live camera image. The regions will be labeled S1, S2, etc with the S indicating a simulation region.
3. Now that you have defined the stimulation region(s) you will need to identify a circumference diameter for the photomanipulation. If you skip this step, the entire filled in ellipse will be photomanipulated. Go to the Annotations group, Navigate > Stimulations.
4. In the Stimulations dialog, select the region from the list. Enter a value for Border Fill (px). This is the number of pixels wide the ring will be. A value of -1 or 1 will fill the entire ellipse. Use a value of 2 or more to set a ring of the designated pixel width. Repeat for additional regions if necessary. Additional parameters in this dialog are for Phasor computer generated holography. A full explanation of this window can be found here.
5. Continue with experiment design as normal. In the Photomanipulation tab of Advanced Capture, be sure to select Stimulation regions as the Region type.


Topic: Export

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Export
  • Previous page
  • Next page

Export

Images and movies can be exported from the native .sld format to other file formats from the Export menu. Quantitative Export will export true pixel values. Qualitative Export will export the image as it appears on the screen, including any renormalization and annotations. Movie Export can be used to render qualitative movies of images.
The following options will directly open a Save As window. All other options will open a dialog as linked below.
RGB TIFF (24-bit) - Exports a TIFF of the currently selected image at the current plane and time point exactly as it appears.
TIFF Series - Exports a series of TIFFs dependant on capture type as follows:
3D Capture - Exports a TIFF for each z-plane
2D Timelapse - Exports a TIFF for each time point
4D Capture - Exports the a TIFF of the current z-plane at all time points
Default Views of all Images as TIFFS - Exports the default view of all images on the slide as a TIFF. The default view of an image is set by applying the renormalization and saving the slide or by using the [image] Thumbnail button to set a default view.
Export all channels as 8-bit TIFFS - Exports a single 8-bit (grey scale) TIFF for each channel of the currently displayed plane.

The contents of Export

16-bit Tiff Export window
Export Movie window
Create Series Movie


Topic: 16-bit Tiff Export window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Export
  • 16-bit Tiff Export window
  • Previous page
  • Next page

16-bit Tiff Export window

When you wish to export .sld data quantitatively for collaboration or archiving purposes, you will need to export 16-bit tiffs. This mode of export results in tiffs with data ranging 0 - 65535. It is important to note that data from 12-bit or 14-bit cameras will need to be scaled appropriately or the images will appear black. Because this is a quantitative export, renormalization and annotations will not be included in the resultant data.
16-bit Tiff Export window

Image Range group

1. Image Range group
Select the Image Range as described below.
Selected Image – Operation will be performed on the selected image only.
All Images with Same Type – Operation will be performed on all images in the slide with the same capture type (2D, 3D, 4D, etc.) as the selected image.
All Images with Same Channels – Operation will be performed on all images in the slide with the same channels as the selected image.
All Images - Operation will be performed on all images in the slide.
Top

Selected Images group

2. Selected Images group
Depending on the image range selected, one or more images will populate the Selected Images list. You may click to check or un-check boxes to select images for batch export.
Top

Output Directory group

3. Output Directory group
Select the Output Directory where the tiffs will be saved by clicking on Browse then navigating to the desired location.
If the Write Log File box is checked, a .txt file will be written that contains information about the image(s) being exported.
Top

Advanced group

4. Advanced group Check the Include OME XML box to include OME metadata in the tiff file (encoded in XML)
Check the box if you would like a Separate File For Each Plane. Otherwise, a multi-plane tiff will be written for each channel.
If desired, you may customize the file naming schema by editing the Filename Format String using the guide provided below the edit field.
Top

OK button

5. OK button Click OK to export tiffs as per the settings in the dialog.
Top

Cancel button

6. Cancel button Click Cancel to discard changes and close the window.
Top


Topic: Export Movie window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Export
  • Export Movie window
  • Previous page
  • Next page

Export Movie window

Movies can be exported from volume views, surface rendering, or 2D Timelapse Intensity Plot with a variety of rendering options.
Access with a Volume View, Surface View, or 2D Timelapse Intensity Plot selected.
See also:
Create Series Movie
3D Volume View
4D Volume View window
3D Surface View
2D Timelapse Intensity Plot window
Export Movie window

Axis of Rotation Options group

1. Axis of Rotation Options group
Axis of Rotation Options – you may generate .mp4 movies where your volume or surface rotates around a single axis (x, y, or z) or QTVR movies where you may rotate your volume as desired using QuickTime. QTVR is only avaialable in 32 bit operating systems.
Start at current plot orientation – check this box if you want to start your movie with the view that is currently displayed. If left unchecked, the movie will begin with a view with surfaces at right angles to the selected axis.
Axis relative to screen – check this box if you would like the image to rotate around an axis relative to the screen. If left unchecked, the image will rotate around the image axis.
Top

Rotation Increment

2. Rotation Increment
Rotation Increment - enter the desired rotation increment in the edit field. The rotation range that you selected (below) is computed in the increments you provide. Choosing a smaller increment increases the smoothness of the rotation and adds to the depth cue provided by moving the image. Projection is an expensive computation, so choosing a larger increment will make the projection process faster. To generate a single head-on projection of the entire image, choose 360.
Top

Y Axis Range group

3. Y Axis Range group
Y Axis Range – select 360 to rotate the data completely. You may select a smaller range if desired.
Top

QTVR Axis Range

4. QTVR Axis Range
QTVR Axis Range – when QTVR export is chosen, select 360 to rotate the data completely. You may select a smaller range if desired.
Top

Tool Elements option

5. Tool Elements option
Check the box to include tool elements from the rendering such as the lighting element, lookup tables, and grid size.
Top

Current Time-point option

6. Current Time-point option
Available for 4D images only, check the box to render a single time point to conserve time and memory.
Top

Frames per Second

7. Frames per Second
Movie frames per second – adjust the speed of your movie
Top

Timelapse Options group

8. Timelapse Options group
Timelapse Options – select the time points you would like to render and how you would like your time lapse movie to proceed (either step through time as the object is rotating, or complete a rotation before proceeding to the next time point).
Top

Movie Dimensions group

9. Movie Dimensions group
Movie Dimensions – allows you to change the dimensions of the movie
Keep Aspect Ratio – keeps the current height/width ratio
Scale – change the size of the movie with respect to the original image dimensions
Width/Height – manually enter the dimension you wish to export
Top

Cancel button

10. Cancel button
Discard changes and close the window
Top

Export button

11. Export button
Begin export, a standard Save As dialog will open.
Top


Topic: Create Series Movie

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Export
  • Create Series Movie
  • Previous page
  • Next page

Create Series Movie

You may export an MPEG-4 (.mp4) movie file to view animated data outside of SlideBook (alternatively, playback controls are available in most view windows). The exported movie will use the current renormalization settings and include any annotations that are displayed.
See also:
Main View: Time Controls
Annotations Settings
1. Open a Main View, Three View, Tile View, or Channel View of the image and adjust the look of the data as desired. This may include altering renormalization parameters, cropping the image, or adjusting the zoom factor.
2. Add any desired annotations from the Annotations group or by using the shortcut keys. Adjust the look and location of the annotations by using Annotation Settings.
3. Select Export > Create Series Movie. The Series Movies Properties dialog box will appear.
4. Enter a value in the Frame Duration field. This is the amount of time that a single time point will be displayed during the movie playback. Use smaller values for faster playback. For example, a value of 0.2 will play back at a rate of 5 frames per second.
5. Click OK.
6. A standard Save As dialog box will open. Name the file and select a Save as type. Options are:
Windows Media File (*.wmv) - higher bitrate, uses the "high" profile for encoding
H.264 File (*.mp4) - uses the "Main" profile for encoding
7. Click OK.


Topic: Import

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Import
  • Previous page
  • Next page

Import

By importing files, SlideBook is able to display and analyze data captured in other programs.
Import options are as follows:
  • •
    TIFF
  • •
    TIFF Sequence
  • •
    SlideBook Spool
  • •
    LSM 5
  • •
    FV1000
  • •
    DV/MRC
  • •
    Raw
  • •
    PIC
  • •
    ZVI
  • •
    STK
  • •
    UltraVIEW Raw

The contents of Import

Import TIFF window
Import TIFF Sequence


Topic: Import TIFF window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Import
  • Import TIFF window
  • Previous page
  • Next page

Import TIFF window

When you select Import > TIFF for a blank slide the following dialog will open. The first line in the window will tell you how many planes are present in the TIFF, these could be time points or z planes. In some cases multiple channels will be present in a single tiff either as consecutive ranges of planes or as individual channels.
When channels are presented individually, select the number of planes to import, enter a start plane, and select the appropriate channel. Repeat the import process following the instructions on the bottom of this page.
When channels are presented sequentially in a single TIFF, select the range for each channel and the appropriate channel for each range.
When multiple channels are present in each plane, as in the case of 24 bit RGB TIFFS, select a range of planes and a channel assignment for the red, green, and blue colors. Be aware that 24bit RGB tiffs are likely qualitative only and should not be used for quantitative analysis or deconvolution.
After the TIFF is imported, the Get Info/ Image Info window will open should you need to assign an objective, adjust interplane spacing, or other modify how the data is presented.
Import TIFF window
If images are present in the .sld, the following dialog will appear:
Select A new image (planes) to create a new, separate image in the .sld.
Select A new channel in the current image to add a channel to an existing (selected) image in the .sld.


Topic: Import TIFF Sequence

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Acquire Group
  • Import
  • Import TIFF Sequence
  • Previous page
  • Next page

Import TIFF Sequence

When single planes (either z or time) are saved as a sequence of TIFFs, SlideBook can automatically import them into a single multi-plane file by selecting Import > TIFF Sequence. A file browser dialog will open allowing you to navigate to and select the first image in the TIFF sequence. Once a TIFF is selected, the following dialog will open:
Import TIFF Sequence
In many cases, the input fields will be automatically populated based on the tiff sequence itself. Confirm or edit the values as desired and click OK.

First time point

1. First time point
Enter the starting time point (or z plane) for the import. To skip the first three time points of a series, you would enter a value of 3.
Top

Number of time points

2. Number of time points
Enter the total number of time points (or z planes) to import.
Top

Time point increment

3. Time point increment
Enter the time point (or z plane) increment.
Top

File Name Format

4. File Name Format
File name format refers to how the tiffs are named and aids in SlideBook image organization. Format tokens available are listed in the dialog.
For example, if your files are of the format:
1_ch0_stack0000_488nm_0000000msec_0016054308msecAbs.tif
1_ch0_stack0001_488nm_0002500msec_0016056808msecAbs.tif
The default File Name Format is
1_ch%C_stack0000_488nm_0000000msec_0016054308msecAbs.tif
Which you can change to
1_ch%C_stack%T_488nm_*.tif
Top

Interpret time points as z

5. Interpret time points as z
Check the box if you are importing z planes instead of time points.
Top

Import Size

6. Import Size
Displays the size of the requested import
Top


Topic: View group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Previous page
  • Next page

View group

The View group of the Home tab allows you to access the many rendering types available in SlideBook as well as adjust renormalization and color assigned to each channel. It is here that you can combine tiles into a montage, blend background to merge a transmitted light channel with fluorescent channels, create a time composite channel to show paths, and other view related settings.

The contents of View group

View menu
Create Projection Image window
Adjust LUT window
View Mode
Generate Montage window
View Settings Menu
Create Time Composite Channel window
Navigation Tools
View Properties


Topic: View menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Previous page
  • Next page

View menu
SlideBook includes a plethora of viewing options to explore your data. Data views (including Main, Three, 3D Tile, Timelapse Tile, and MultiD Channel views) can be used for quantitative analysis as well as qualitative figure generation and export. Display views (including Volume Views, Surface View, and 2D Timelapse Intensity Plot) are used for visualization and rendering only. Masks and regions may be displayed in some display views but cannot be edited or analyzed.
 |  | 2D Capture | 3D Capture | 2D Timelapse | 4D Capture
DATA VIEWS | Main | X | X | X | X
 | Three |  | X | X | X
 | 3D Tile |  | X |  |
 | Timelapse Tile |  |  | X | X
 | MultiD Channel | X | X | X | X
DISPLAY VIEWS | 3D Volume |  | X |  | X
 | 4D Volume |  |  |  | X
 | 3D Surface |  | X |  | X
 | 2D Timelapse Intensity |  |  | X |
When viewing images, the middle mouse scroll wheel can aid in image navigation. In 2D time lapse and 4D data types, the middle scroll wheel will move through time points. In a 3D stack the middle scroll wheel will move through z planes. In a 4D series holding down the control key plus the mouse scroll wheel will move through z planes.

The contents of View menu

Main View
Three View
3D Tile View
Timelapse Tile View
Multidimensional Channel View
3D Volume View
4D Volume View window
3D Surface View
2D Timelapse Intensity Plot window


Topic: Main View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Main View
  • Previous page
  • Next page

Main View
The Main View is the default viewing window for all images within SlideBook and opens any time you double-click on an image in a .sld. In this view, you can explore anything from a basic 2D, single channel snapshot to a complex 4D multichannel data set. The top portion of the image frame contains a variety of tools that are available in all data views.
When viewing images, the middle mouse scroll wheel can aid in image navigation. In 2D time lapse and 4D data types, the middle scroll wheel will move through time points. In a 3D stack the middle scroll wheel will move through z planes. In a 4D series holding down the control key plus the mouse scroll wheel will move through z planes.
See also:
Graph window
View Settings window
Renormalize Image window
Annotation Settings window

Zoom Control

1. Zoom Control
Select a magnification factor for display from the drop down menu or use the + and - buttons to move up/down the list.
Top

Coordinate Info

2. Coordinate Info
Displays the current cursor location in the image. Coordinates are x, y, z, t (time). Clicking on the text of the coordinates will change the values to actual stage locations.
Top

Measurement Info

3. Measurement Info
Displays measurements computed using the Ruler and Angle tools (6 ).
Top

SAC Info

4. SAC Info
Displays setting used for motorized Spherical Aberration Correction device during image acquisition.
Top

Z Plane Control

5. Z Plane Control
Use the up/down buttons to scroll up and down through z. Alternatively, you may click on the image and use the middle mouse scroll wheel to navigate through z for 3D images; for 4D images, hold CTRL and scroll to navigate through z planes.
Top

Tool Menu

6. Tool Menu
Selecting the Tool Menu will open a dropdown menu of commonly used tools that may include all or most of the tools listed below:
Marquis Tool - Allows you to select an area of the image. One use of this tool is in selecting an area to crop from the image.
Pointer Tool - This tool is used to select regions and for certain functionality in the Focus Controls.
, [image], [image], [image], [image], [image] Region Tools - These tools are used to draw regions for analysis. They are also found in the main SlideBook toolbar.
Hand Tool - The hand is used to grab and drag an image when the displayed portion of an image is in a window smaller than the extent of the displayed axes.
Zoom Tool - This tool can be used to zoom in on the image, re-centering at the location where you click. Default will display a + in the center of the magnifying glass to indicate zooming in. If you hold the SHIFT key, the + will turn to a - and you can zoom out.
Crosshair Tool - This tool is used to retrieve coordinate or intensity information for a single pixel. Press CTRL + click on a region in a 2D timelapse image to display an intensity over time graph of that pixel.
Ruler Tool - The ruler is used to draw a line on the image for distance or velocity measurements. Time lapse images will give distances only for the first frame of the time series, subsequent time points will give velocity measurements. By holding down the CTRL key, you can draw a multi-segment line. When measurements are made, a value (in um or um/sec) is displayed in Measurement Info (3). You can retrieve intensity across this line by going to the Analyze tab > Evaluate group > Line Intensity. To export multiple line measurements, you should use the region line tool then go to the Analyze tab > Evaluate group > Extract Measurements > Export Line Lengths.
Angle Tool - You may select this tool then click three times to draw two connected lines. The angle between the two lines is measured and displayed in Measurement Info (3). To export the angle measurement information, first go to Analyze tab > Evaluate group > Extract Measurements > Export Angle Measurements to Excel. This will open an Excel file. Every time you draw an angle, the corresponding data will be written to the file.
, [image], [image], [image], [image], [image] Mask Tools - These tools are used to draw, erase, and fill when you create a mask.
Top

Mask Menu

7. Mask Menu
This menu allows you to create a new mask by segmentation or drawing. You may also choose to display any of the existing masks or None.
Top

Axis button

8. Axis button
You may select the dimension for scrolling planes. For example, the default value is Z. That means that you view XY of the image and may scroll through Z planes. To look at the stack from one of the sides, you may select X or Y.
Top

Thumb button

9. Thumb button
Pressing the Thumb button resets the thumbnail view in the .sld and the way the image opens as default. Parameters saved with this button include renormalization and plane.
Top

Renormalize button

10. Renormalize button
Opens the Renormalize Image window for use in adjusting the intensity display of the image.
Top

Graph button

11. Graph button
When regions are drawn, opens the Graph window to display intensity or ratio data over time.
Top

Settings Menu

12. Settings Menu
Provides access to the following windows or options:
View Settings - Used to adjust several factors that affect display in the View window. These parameters include array information for tile views, background blending, looping speed for image playback, and background color for Tile and Three Views.
Annotation Settings - Used to adjust the display of annotations in the view.
Blend Background - Blends a background channel (such as DIC) into the display using parameters set in View Settings.
Invert Background - Inverts the intensity values of the background channel.
Extract Subseries to New Image - Available when the image includes multiple time points, allows you to extract a subseries of time to a new image. It is important to note that image cropping is not available with this function.
Loop Planes - Continuously plays through the z planes in a loop.
Go to Plane - Opens a dialog to advance the data set to a typed z plane.
Go to timepoint - Opens a dialog to advance the data set to a typed time point.
Top

Info Menu

13. Info Menu
Provides access to the following windows:
Get Info - Provides information about the data including imaging parameters, notes, and processing parameters.
Auxiliary Data - Displays advanced metadata and capture information such as real-time analog recording, temperature recording, and optical parameter metadata about the hardware. You can configure these recordings in the Auxiliary Metadata Tab of Capture Preferences window.
Top

Projection Menu

14. Projection Menu
The Projection Menu allows you to quickly view a projection image of 3D data without having to generate a new image as done with the Create Projection Image dialog.
Maximum Z Projection - Uses the maximum intensity found in each channel in the column of pixels
Sum Z Projection - Uses the sum intensity found in each channel in the column of pixels
Average Z Projection - Uses the average (mean) intensity found in each channel in the column of pixels
No Projection - Turns off projection view
Top

Channel Menus

15. Channel Menus, [image], [image],
Channel menus are shown above for the following display types: RGB, User-defined, Pseudocolor, and Monochrome/Inverted Monochrome. Behavior is as follows:
RGB - Four buttons represent red, green, blue, and background display. You may click on any of the buttons and select the desired channel or None from the dropdown menu. To blend a background channel, select it from the fourth button and then go to View > Blend Background.
User-Defined - Allows you to select a color from the full palette to assign to each channel. Blending is done automatically.
Pseudocolor - In the pseudocolor view mode, there are two channel selections. The first channel selects the hue of the display and should be set to the ratio channel. The second channel selects what determines the intensity, or brightness, of the displayed colors. If it is set to the numerator or denominator channel, the pseudocolored display will be scaled by the selected fluorescence intensity. An area with high pixel intensity for the ratio channel and low pixel intensity on denominator channel will appear as dim red. An area with low pixel intensity for the ratio channel and high pixel intensity on the denominator channel will appear as bright blue. This helps distinguish areas with real data from background. This is often desirable as computed ratio values for regions of the image that are just slightly above background can vary greatly.
Monochrome/Inverted Monochrome - This mode provides a single button where you can assign a channel to the black and white display.
Top

Time Controls

16. Time Controls
The Playback Controls allow you to loop, rewind, play/pause, or fast forward the time series. When the play button is used, the image will continually loop until the pause button is selected or the loop button is toggled.
The Time Slider displays the current time point both with a numerical display to the right of the slider bar. In the example above, the user is at time point 7, about half of the way through the entire time series. A user can move to a desired time point by clicking on the small gray box and dragging it to the desired time point. When the time slider control is selected, it will be surrounded by a dotted line box. Once selected, you can move forward and backward through time by using the middle scroll button on the mouse.
Notice that tic marks indicate the beginning and end of the time series as well as any events or notes created during image capture. If you do not have tics representing events or notes in your time slider, go to Administration tab > Hardware Properties > Default View Settings > Show Tics for Notes.
The Playback Speed Slider works in a manner similar to the time slider. Instead of adjusting the time point, this slider controls the speed of the image looping in FPS or frames per second.
Top

Image area

17. Image area
The image will be displayed in the available client area. If the image is smaller than the viewing area, background will be the color assigned in the View Settings window . If the image is larger than the available client area, you can move around using the navigation bars on the border of the image or the Hand tool from the Tool Menu ( 6 ).
Top

The contents of Main View

Get Info/ Image Info window
Auxiliary Data window


Topic: Get Info/ Image Info window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Main View
  • Get Info/ Image Info window
  • Previous page
  • Next page

Get Info/ Image Info window

Any image on a .sld has a name and information associated with it. You may rename, view, and edit image information in this window. Additional details can be found and edited by pressing Edit Info. This may be particularly important to define voxel size and channels on imported images.
Access by selecting an image form a .sld then pressing Ctrl + I or [image] > Get Info in the view window.
See also:

Image Name

1. Image Name View and rename your image here by typing in the Image Name field. Images can also be named upon their creation in the Capture window .
Top

Comments field

2. Comments field The Comments field is a place where you type any comments or notes you would like to make about the image. This may include experimental conditions, sample information, or notes about the image capture. When images have been processed (for example, deconvolved), information about the processing will populate this field. Comments can also be added before image capture in the Capture window .
Top

Capture Info

3. Capture Info
All available information regarding image capture will be displayed in Capture Info.
If the image is imported data, all information may not be displayed in this area. You may edit or add capture information by clicking on Edit Info.
Top

Edit Info button

4. Edit Info button Clicking Edit Info will open the Edit Info window. Where you can add or edit information about the image capture such as magnification, channels, or pixel size.
Top

OK button

5. OK button Click OK to save the changes and close the window.
Top

Cancel button

6. Cancel button Click Cancel to discard changes and close the window.
Top

The contents of Get Info/ Image Info window

Edit Info window


Topic: Edit Info window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Main View
  • Get Info/ Image Info window
  • Edit Info window
  • Previous page
  • Next page

Edit Info window

You may edit image information such as microscope components and optical parameters. This may be particularly important for imported images.
Access by selecting an image form a .sld then pressing Ctrl + I or [image] > Get Info > Edit Info in the view window.
See also:
Edit Info window

Capture Type

1. Capture Type Capture Type describes the type of data acquisition used for the image collection. Options include Unknown, 2D Capture, 2D Montage, 2D Timelapse, 2D Multipoint, 3D Capture, 4D Capture, and 2D Stereology Montage. Capture type will designate how the data is displayed within SlideBook and what views and image processing are available.
Top

Interval field

2. Interval field The Interval field tells the time interval (in milliseconds) between the beginning of one time point and the beginning of the next time point.
Top

Microscope Components group

3. Microscope Components group The Microscope Components group allows you to designate the Objective, Camera (on multi-camera systems) and Magnification changer used when capturing the data. You may need to edit these parameters if you have a manual microscope and did not designate the correct optics in the Capture window. If you have imported data and the required optics are not present, you may configure optics under Administration tab > Objectives.
NOTE: If you have multiple images on a slide that need the objective information changed, you may change one image using the Edit Info dialog, click OK and Save, then go to Administration tab > More Options > Copy Optics Information. This will copy the optics information from the selected image to all images in a slide.
Top

Optical Parameters group

4. Optical Parameters group The Optical Parameters group uses microscope component information to populate various values.
Microns/pixel will be automatically calculated or you may manually enter this value. It is essential to have the correct value in this field if you will be performing any calculations or image processing.
Top

3D Collection group

5. 3D Collection group Interplane spacing is the distance between z-planes (in microns) when 3D images are acquired.
Top

Channels group

6. Channels group
Each channel of the image is listed in the Channels group. You may select a channel from the drop down menu and the emission wavelength will be displayed. You may also review/edit the exposure time for each channel.
If the required channel is not present, you may create a new channel under Administration tab > Filters.
Top

OK button

7. OK button Click OK to apply changes and close the dialog.
Top

Cancel button

8. Cancel button Click Cancel to discard changes and close the dialog.
Top


Topic: Auxiliary Data window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Main View
  • Auxiliary Data window
  • Previous page
  • Next page

Auxiliary Data window

The Auxiliary Data window displays external recordings and experimental setup information. External recordings such as camera temperature, laser temperature, and incubation chamber temperature can be configured during acquisition in Auxiliary Metadata Tab of Capture Preferences window. Any of this information can then be exported or graphed. Selecting To Note allows you to display the information as a Note annotation in the image view.
. Auxiliary Data window


Topic: Three View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Three View
  • Previous page
  • Next page

Three View
The Three View is used to display orthogonal views of a z-stack. This can be particularly useful in examining the interior of a 3-dimensional image. The top portion of the view window contains the standard tools from the Main View. Features unique to this view are listed below.
See also:
Main View
3D Tile View
Multidimensional Channel View
View Settings
  • •
    Use the Pointer tool [image] to select a point in the XY, XZ, or YZ area. The other areas will update to focus around the selected voxel. Alternatively, you may click and drag through a selected area to create a flythrough in other dimensions.
  • •
    When you zoom in on the image, all panels will zoom. You may use the Hand tool [image] from the Tool Menu to adjust image orientation within the panels when zoomed in.
  • •
    To highlight an area of interest, you may find it useful to first select the area of interest in a view using the [image] Marquee Tool, then press Ctrl +B to select all planes. Once a selection has been made, open a Three View. Only the selected area will be rendered.
  • •
    Annotations can be added and their display adjusted from the Annotations Menu .
  • •
    The background color (gridlines between areas) can be changed from View Settings .
  • •
    A TIFF of the image as it appears with annotations and tiles can be exported from the Qualitative Export options. It is important to note that the entire view will be exported, not just the portion you are viewing.


Topic: 3D Tile View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 3D Tile View
  • Previous page
  • Next page

3D Tile View
The 3D Tile View is used to display z-planes as an array of images. This can be particularly useful in preparing your data for print. The top portion of the view window contains the standard tools from the Main View. Features unique to this view are listed below.
See also:
Main View
Three View
Multidimensional Channel View
View Settings
3D Tile View
  • •
    When you zoom in on the image, all panels will zoom. You may use the Hand tool [image] from the Tool Menu to adjust image orientation within the panels when zoomed in.
  • •
    To highlight an area of interest, you may find it useful to first select the area of interest in a view using the [image] Marquee Tool, then press Ctrl +B to select all planes. Once a selection has been made, open a 3D Tile View. Only the selected area will be rendered.
  • •
    Annotations can be added and their display adjusted from the Annotations Menu .
  • •
    The background color (gridlines) and number of tiles displayed horizontally can be changed from View Settings .
  • •
    A TIFF of the image as it appears with annotations and tiles can be exported from the Qualitative Export options. It is important to note that the entire montage of z-planes will be exported, not just the portion you are viewing.


Topic: Timelapse Tile View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Timelapse Tile View
  • Previous page
  • Next page

Timelapse Tile View
The Timelapse Tile View is used to display time points as an array of images. This can be particularly useful in preparing your data for print. The top portion of the view window contains the standard tools from the Main View. Features unique to this view are listed below.
See also:
Main View
3D Tile View
Multidimensional Channel View
2D Timelapse Intensity Plot window
View Settings
Timelapse Tile View
  • •
    When you zoom in on the image, all panels will zoom. You may use the Hand tool [image] from the Tool Menu to adjust image orientation within the panels when zoomed in.
  • •
    To highlight an area of interest, you may find it useful to first select the area of interest in a view using the [image] Marquee Tool, then press Ctrl +B to select all planes. Once a selection has been made, open a Timelapse Tile View. Only the selected area will be rendered.
  • •
    Annotations can be added and their display adjusted from the Annotations Menu .
  • •
    The background color (gridlines) and number of tiles displayed horizontally can be changed from View Settings .
  • •
    A TIFF of the image as it appears with annotations and tiles can be exported from from the Qualitative Export options. It is important to note that the entire montage of time points will be exported, not just the portion you are viewing.


Topic: Multidimensional Channel View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • Multidimensional Channel View
  • Previous page
  • Next page

Multidimensional Channel View
The Multidimensional Channel View provides an excellent rendering to examine individual channels and prepare data for print. This view showcases each channel as a monochrome image as well as a pseudocolored composite image. There are also Multidimensional Channel View settings available that allow you to display individual channels using the default lookup table, tile channels vertically, or display multiple timepoints.
See also:
Main View
Three View
Multidimensional Channel View Settings
View Settings
Multidimensional Channel View
  • •
    When you zoom in on the image, all panels will zoom.
  • •
    To highlight an area of interest, you may find it useful to first select the area of interest in a view using the [image] Marquee Tool, then press Ctrl +B to select all planes. Once a selection has been made, open a Multidimensional Channel View. Only the selected area will be rendered.
  • •
    Annotations can be added and their display adjusted from the Annotations Menu .
  • •
    The background color (gridlines) and number of tiles displayed horizontally can be changed from View Settings .
  • •
    A TIFF of the image as it appears with annotations and tiles can be exported from the Qualitative Export options.


Topic: 3D Volume View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 3D Volume View
  • Previous page
  • Next page

3D Volume View
When you make this selection, two options are available: High Speed or High Quality. High Speed will render the image at the highest speed possible. High Quality will render the image with a more rigorous algorithm that may improve the quality of the image with a small decrease in the speed performance. These setting apply to all modalities of volume rendering but are most noticeable when using Dynamic Lighting mode.
See also:
Volume View Settings window
Main View
Export Movie
Main View
Three View
3D Tile View
3D Volume View

Axis Readout

1. Axis Readout
Displays a readout of the angle of the view in X, Y, and Z. Dolly refers to the magnification factor of the display.
Top

Rotate button

2. Rotate button
Select this button to turn the cursor into a rotate tool.
Click and drag in the display area to adjust the angle of the image.
A "click and flick" motion will set the image spinning. To "click and flick", click on the image and drag the mouse in the direction you would like the image to rotate. Release the mouse button while it is still in the display area.
To stop the rotation, simply click on the image again.
Top

Translate button

3. Translate button
Select this button to change the cursor to a translation hand tool. Once selected, you may click and drag on the image to change the center axis position around which the image rotates.
Top

Zoom button

4. Zoom button
Select this button to turn the cursor into a zoom tool. Using this tool, you may hold down the left mouse button and move the mouse away from you to zoom out (decrease magnification) or move the mouse towards you to zoom in (increase magnification).
Top

Mask button

5. Mask button
Allows you to display masks in the rendering
Top

Axis button

6. Axis button
Opens the Axis Menu:
Top, Bottom, Left, Right, Front, and Back refer to specific angles for display of the data where z is the depth referring to intensity.
Orthographic Projection is a 2D projection of the 3D data set where the third dimension lines are drawn parallel, that is the object remains the same size as it is further from the viewer.
Perspective Projection is a 2D projection of the 3D data set where the third dimension lines are drawn to a vanishing point, that is the object gets smaller as it is further from the viewer.
Top

Renormalize button

7. Renormalize button
Opens the Volume View Settings window. In this window, you can adjust numerous display parameters for the rendering such as intensity scaling and background color.
Top

Channel buttons

8. Channel buttons
Volume View uses the RGB lookup table. You may assign a channel or None to each color: red, green, and blue.
Top

Rendering

Interactive rendering area.
Top

Grid Size

10. Grid Size
Displays the size of one square of the grid. Grid display can be adjusted using Volume View Settings window.
Top

Axis Display

11. Axis Display
Displays the current angle being rendered. You may adjust the rendered angle by clicking and dragging on this display.
Top

The contents of 3D Volume View

Volume View Settings window


Topic: Volume View Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 3D Volume View
  • Volume View Settings window
  • Previous page
  • Next page

Volume View Settings window

The appearance of channels and rendering approaches in 3D Volume View can be adjusted using the Volume View Settings dialog.
See Also:
3D Volume View
Renormalize Image window
Volume View Settings window

Background Color Control

1. Background Color Control
Adjusts the background color of the rendering area from black to white.
Top

Grid Lines Control

2. Grid Lines Control
Adjusts the appearance of the grid lines in the rendering area from not being displayed to being displayed in a bright contrasting color. For example, when using Black background color, Bright gridlines will be rendered in white. When using White background color, Bright gridlines will be rendered in black.
Top

Display timepoint info in rendering check

3. Display timepoint info in rendering check
Select a Style from the drop down menu as follows:
Dynamic Lighting – allows you to illuminate your object as you wish by allowing control of the lighting angle. Useful for determining surface characteristics.
Fixed Lighting – uses a fixed lighting pattern for shading, approximates surface characteristics.
MIP – Displays the pixel of maximum intensity along the axis perpendicular to the viewing plane. This type of rendering does not require an advanced graphics card; however, performance of certain functions will be improved with one.
X Ray – Displays the summed intensity along the axis perpendicular to the viewing plane.
You may change the default rendering Style by going to Administration tab > Hardware Properties > Volume Rendering.
Top

Renormalization Control

4. Renormalization Control
Each channel has its own renormalization histogram. The histogram is a graphical representation of intensity values of the pixels of an image. The x-axis represents intensity value in gray levels; the y-axis represents number of pixels. By adjusting Low, High, and Gamma values, you can alter the way the data is displayed without altering the underlying data.
The left vertical line designates a Low value for display. You may click and drag on this line to adjust the low intensity value. Pixels with intensity values at or below the low level will be displayed as black. Alternatively, you may type a value in the Low (left) edit field.
The right vertical line designates a High value for display. You may click and drag on this line to adjust the high intensity value. Pixels with intensity values at or above the high level will be displayed as fully saturated. Alternatively, you may type a value in the High (right) edit field.
The black diagonal line between the low and high value lines controls Gamma scaling. By clicking and dragging on this line, you are adjusting gamma or scaling the displayed pixels nonlinearly to emphasize very dim (line arches up, value < 1.0) or very bright features (line curves down, value > 1.0). If you click and drag the line outside the bounds of the histogram, gamma will return to a value of 1.0.
The Opacity slider allows you to control the transparency of the channel.
Top


Topic: 4D Volume View window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 4D Volume View window
  • Previous page
  • Next page

4D Volume View window
4D Volume View is available for 4 dimensional data. This rendering allows you to see 3 dimensional data rendered over time. Movies can be exported with various combinations of rotation and time playback from Export > Movie.
See also:
Volume View Settings window
Main View
Export Movie
Main View
Three View
3D Tile View
4D Volume View window

Axis Readout

1. Axis Readout
Displays a readout of the angle of the view in X, Y, and Z. Dolly refers to the magnification factor of the display.
Top

Rotate button

2. Rotate button
Select this button to turn the cursor into a rotate tool.
Click and drag in the display area to adjust the angle of the image.
A "click and flick" motion will set the image spinning. To "click and flick", click on the image and drag the mouse in the direction you would like the image to rotate. Release the mouse button while it is still in the display area.
To stop the rotation, simply click on the image again.
It is possible to move through time while the image is rotating.
Top

Translate button

3. Translate button
Select this button to change the cursor to a translation hand tool. Once selected, you may click and drag on the image to change the center axis position around which the image rotates.
Top

Zoom button

4. Zoom button
Select this button to turn the cursor into a zoom tool. Using this tool, you may hold down the left mouse button and move the mouse away from you to zoom out (decrease magnification) or move the mouse towards you to zoom in (increase magnification).
Top

Axis button

5. Axis button
Opens the Axis Menu:
Top, Bottom, Left, Right, Front, and Back refer to specific angles for display of the data where z is the depth referring to intensity.
Orthographic Projection is a 2D projection of the 3D data set where the third dimension lines are drawn parallel, that is the object remains the same size as it is further from the viewer.
Perspective Projection is a 2D projection of the 3D data set where the third dimension lines are drawn to a vanishing point, that is the object gets smaller as it is further from the viewer.
Top

Renormalize button

6. Renormalize button
Opens the Volume View Settings window. In this window, you can adjust numerous display parameters for the rendering such as intensity scaling and background color.
Top

Channel buttons

7. Channel buttons
Volume View uses the RGB lookup table. You may assign a channel or None to each color: red, green, and blue.
Top

Time Readout

8. Time Readout
Displays a readout of time information for the data set.
Top

Time Controls

9. Time Controls
Control navigation through time.
Top

Rendering

Interactive rendering area.
Top

Status Display

11. Status Display
Displays the current elapsed time, timepoint number, and size of gridlines on the rendering. Grid display can be adjusted using Volume View Settings window.
Top

Axis Display

12. Axis Display
Displays the current angle being rendered. You may adjust the rendered angle by clicking and dragging on this display or the rendered image.
Top


Topic: 3D Surface View

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 3D Surface View
  • Previous page
  • Next page

3D Surface View
The 3D Surface View is a useful approach for modeling three dimensional data. By adjusting outlines, scaling, and transparency, you can create renderings that aid in advanced visual analysis. In surface rendering, pixels are either displayed or not based on a threshold value. Due to this nature, it is possible to render mask objects in a surface view.
See also:
3D Surface View Settings window
Main View
Export Movie
Main View
Three View
3D Tile View
3D Surface View

Axis Readout

1. Axis Readout
Displays a readout of the angle of the view in X, Y, and Z. Dolly refers to the magnification factor of the display.
Top

Rotate button

2. Rotate button
Select this button to turn the cursor into a rotate tool.
Click and drag in the display area to adjust the angle of the image.
A "click and flick" motion will set the image spinning. To "click and flick", click on the image and drag the mouse in the direction you would like the image to rotate. Release the mouse button while it is still in the display area.
To stop the rotation, simply click on the image again.
Top

Translate button

3. Translate button
Select this button to change the cursor to a translation hand tool. Once selected, you may click and drag on the image to change the center axis position around which the image rotates.
Top

Zoom button

4. Zoom button
Select this button to turn the cursor into a zoom tool. Using this tool, you may hold down the left mouse button and move the mouse away from you to zoom out (decrease magnification) or move the mouse towards you to zoom in (increase magnification).
Top

Axis button

5. Axis button
Opens the Axis Menu:
Top, Bottom, Left, Right, Front, and Back refer to specific angles for display of the data where z is the depth referring to intensity.
Orthographic Projection is a 2D projection of the 3D data set where the third dimension lines are drawn parallel, that is the object remains the same size as it is further from the viewer.
Perspective Projection is a 2D projection of the 3D data set where the third dimension lines are drawn to a vanishing point, that is the object gets smaller as it is further from the viewer.
Top

Renormalize button

6. Renormalize button
Opens the 3D Surface View Settings window. In this window, you can adjust numerous display parameters for the rendering such as intensity scaling and background color.
Top

Rendering

Interactive rendering area.
Top

Lighting Control

8. Lighting Control
Click and drag the Lighting Control to adjust the angle of lighting and shadows effects.
Top

Grid Size

9. Grid Size
Displays the size of one square of the grid. Grid display can be adjusted using 3D Surface View Settings window.
Top

Axis Display

10. Axis Display
Displays the current angle being rendered. You may adjust the rendered angle by clicking and dragging on this display.
Top

The contents of 3D Surface View

3D Surface View Settings window


Topic: 3D Surface View Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 3D Surface View
  • 3D Surface View Settings window
  • Previous page
  • Next page

3D Surface View Settings window

The appearance of channels and rendering approaches in 3D Surface View can be adjusted using the 3D Surface View Settings dialog.
See Also:
3D Volume View
Renormalize Image window
3D Surface View Settings window

Background Color Control

1. Background Color Control
Adjusts the background color of the rendering area from black to white.
Top

Grid Lines Control

2. Grid Lines Control
Adjusts the appearance of the grid lines in the rendering area from not being displayed to being displayed in a bright contrasting color. For example, when using Black background color, Bright gridlines will be rendered in white. When using White background color, Bright gridlines will be rendered in black.
Top

Outline Width

3. Outline Width
Select a Outline Width by using the slider to select between None and 5 pixels. This is the width of the outline of objects as illustrated below. From left to right examples of None, 2.0 pixels, and 5 pixels.
Top

Renormalization Control

4. Renormalization Control
Renormalization control in surface rendering is slightly different from previously discussed renormalization approaches. In surface rendering, each pixel is either displayed or not based on a threshold value.
In the Surfaces field, check the box for each channel or mask you would like to render. Select a channel or mask for adjustment by clicking on it in the list. In the example above, the 561Pos3 channel is selected.
Click and drag the line in the histogram to adjust the Threshold value for the selected channel. Alternatively, you may type a value in the edit field. It may take a second or two for the rendering to update after threshold adjustment.
To adjust the rendered color of the channel of mask, simply click on the Color button and use the standard Microsoft Windows Color dialog.
The Opacity slider allows you to control the transparency of the channel. Because each pixel is either displayed or not, you may find it necessary to adjust opacity in order to display internal objects.
Repeat adjustments as desired for each channel and mask.
Top


Topic: 2D Timelapse Intensity Plot window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 2D Timelapse Intensity Plot window
  • Previous page
  • Next page

2D Timelapse Intensity Plot window
The 2D Timelapse Intensity Plot is a powerful way to illustrate intensity changes over time. This tool can be partilcularly useful when visually analyzing photomanipulation or ratio data.
See also:
Timelapse Tile View
The 2D Timelapse Intensity Plot
Exporting from the 2D Timelapse Intensity Plot
2D Timelapse Intensity Plot window

Axis Readout

1. Axis Readout
Displays a readout of the angle of the view in X, Y, and Z. Dolly refers to the magnification factor of the display.
Top

Rotate button

2. Rotate button
Select this button to turn the cursor into a rotate tool.
Click and drag in the display area to adjust the angle of the image.
A "click and flick" motion will set the image spinning. To "click and flick", click on the image and drag the mouse in the direction you would like the image to rotate. Release the mouse button while it is still in the display area.
To stop the rotation, simply click on the image again.
It is possible to move through time while the image is rotating.
Top

Translate button

3. Translate button
Select this button to change the cursor to a translation hand tool. Once selected, you may click and drag on the image to change the center axis position around which the image rotates.
Top

Zoom button

4. Zoom button
Select this button to turn the cursor into a zoom tool. Using this tool, you may hold down the left mouse button and move the mouse away from you to zoom out (decrease magnification) or move the mouse towards you to zoom in (increase magnification).
Top

Axis button

5. Axis button
Opens the Axis Menu:
Top, Bottom, Left, Right, Front, and Back refer to specific angles for display of the data where z is the depth referring to intensity.
Orthographic Projection is a 2D projection of the 3D data set where the third dimension lines are drawn parallel, that is the object remains the same size as it is further from the viewer.
Perspective Projection is a 2D projection of the 3D data set where the third dimension lines are drawn to a vanishing point, that is the object gets smaller as it is further from the viewer.
Top

Renormalize button

6. Renormalize button
Opens the 2D Timelapse Intensity Plot Settings dialog. In this window, you can adjust numerous display parameters for the rendering such as intensity scaling and background color. Read more about adjusting settings here.
Top

Intensity button

7. Intensity button
Click the button to select a channel to show in the rendering. Only one channel may be rendered at once.
Top

Gating button

8. Gating button
Click the button to select a channel to gate the intensity channel by. This option is used primarily when visualizing ratio data. For more information on how gating works with ratio data, refer to Viewing Ratio Data in SlideBook. While this tutorial covers a main view, information on how gating impacts the display is discussed in steps 5-7.
Top

Time Readout

9. Time Readout
Displays a readout of time information for the data set.
Top

Time Controls

10. Time Controls
Control navigation through time.
Top

Lookup Table

11. Lookup Table
Displays the color map for image intensity information, can be adjusted using the 2D Timelapse Intensity Plot Settings.
Top

Rendering

Rendering of 2D time lapse intensity data.
Top

Status Display

13. Status Display
Displays the current time point number and size of gridlines on the rendering. Timepoint display can be turned off using the 2D Timelapse Intensity Plot Settings.
Top

Axis Display

14. Axis Display
Displays the current angle being rendered. You may adjust the rendered angle by clicking and dragging on this display.
Top

The contents of 2D Timelapse Intensity Plot window

2D Timelapse Intensity Plot Settings window


Topic: 2D Timelapse Intensity Plot Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View menu
  • 2D Timelapse Intensity Plot window
  • 2D Timelapse Intensity Plot Settings window
  • Previous page
  • Next page

2D Timelapse Intensity Plot Settings window

The appearance of channels and rendering approaches in 2D Timelapse Intensity Plot can be adjusted using the 2D Timelapse Intensity Plot Settings dialog.
See Also:
2D Timelapse Intensity Plot window
2D Timelapse Intensity Plot Settings window

Background Color Control

1. Background Color Control
Adjusts the background color of the rendering area from black to white.
Top

Grid Lines Control

2. Grid Lines Control
Adjusts the appearance of the grid lines in the rendering area from not being displayed to being displayed in a bright contrasting color. For example, when using Black background color, Bright gridlines will be rendered in white. When using White background color, Bright gridlines will be rendered in black.
Top

Vertical Scale

3. Vertical Scale
Adjusts the depth for intensity display. A value of 0 will give a flat rendering.
Top

Display timepoint info in rendering check

4. Display timepoint info in rendering check
Check the box to display the current time point number in the rendering as shown in Status Display.
Top

Renormalization Control

5. Renormalization Control
Use the drop-down menu to select the channel for renormalization.
Use the two black bars to adjust renormalization for the selected channel. The x-axis of the graph represents intensity value; the y-axis represents number of pixels.
Pixels with values to the left of the range or below the low value will be displayed in blue. Pixels with values to the right of the range or above the high value will be displayed in red.
Top


Topic: Create Projection Image window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Create Projection Image window
  • Previous page
  • Next page

Create Projection Image window
Often it is necessary to display 3D data in a 2D format. One popular way to do so is to create a projection image of the data set. The most popular type of projection image is a qualitative maximum intensity projection. This method projects a ray through a stack of vowels to determine the maximum intensity pixel then uses that pixel to create a 2D image. This is performed for each channel at each pixel location. Alternatively, average or sum projections can be created in this matter.
NOTE: Selecting this operation from the main ribbon will generate a new image in the .sld. Should you wish to simply view your data as a projection over z, you can toggle the projection icon [image] in a Main View.
See also:
Three View
3D Tile View
Volume View
Create Projection Image window

Operation group

1. Operation group
Select the desired Operation to create the projection image as follows:
Maximum - Uses the maximum intensity found in each channel in the column of pixels in the axis designated
Average - Uses the average (mean) intensity found in each channel in the column of pixels in the axis designated
Sum - Uses the sum intensity found in each channel in the column of pixels in the axis designated, resulting image can be used quantitatively. It is important to note that the sum value is limited to 16 bit space (maximum intensity 65535). If the true summed value exceeds this amount, all values will be rescaled accordingly on a per channel basis. Scale factors can be found in the Comments section of Image Info. Simply multiply the reported 16 bit value by the scale factor to retrieve the true summed value.
Top

Axis group

2. Axis group
Select the axis over which you would like to create a projection image.
Top

Image range group

3. Image range group
Choose to create projection images for just the selected image or all images in the slide.
Top

Selected Images group

4. Selected Images group
Displays a list of images that corresponds to the Image Range selected above.
Top

OK button

5. OK button Press OK to create projection image(s) as directed. New images will be written to the slide with the type of projection noted in the Comment section of Image Info.
Top

Cancel button

6. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Adjust LUT window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Adjust LUT window
  • Previous page
  • Next page

Adjust LUT window
Image renormalization allows you to adjust how the intensity values of an image are displayed. Adjusting renormalization does not affect the data values, only the display. Display settings can be saved for when the file is opened in the future and will be applied when exporting qualitative TIFFS under the View menu.
Clicking on the icon will open the Renormalize dialog as shown below. Alternatively, you may click on Adjust LUT to access a menu with the following options:
Renormalize all - Once an image is open and renormalized, press the [image] thumbnail icon in the view window then select Renormalize all to apply the current image's renormalization to any matching channel names for all images in the .sld. You will need to re-open any images to see the renormalization changes take effect.
Renormalize all to global min/max - Select this option to use the lowest minimum and highest maximum intensity values found in all of the images in the .sld. You will need to re-open any images to see the renormalization changes take effect.
Batch Renormalization - Opens the Batch Renormalization dialog to renormalize multiple images based on selected criteria.
Densitometry functions allow you to generate calibration curves that can be used to convert intensity measurements into known concentrations. The most common biological application of this tool is to rescale images according to a set of standards that correspond to optical density, although other uses exist. To use this, you must capture an image with multiple regions of known concentrations. A calibration curve can then be generated and subsequently applied to sample data.
By default, image renormalization is displays the histogram for the pixels in the entire image. If you prefer, you can select an area using the marquee tool [image] . When you open the Renormalize dialog, only the pixels in the selected area will be shown in the histogram. The renormalization will be applied to the entire image.
This function can also be accessed from the Renormalize icon [image] in a view window.
To save the renormalization settings for subsequent viewings of the data set, press the thumbnail icon [image] in the view window.
See also:
TUTORIAL: Adjusting Dislay of an Image
Ratio Module, Tutorial: Viewing Ratio Data in SlideBook
Adjust LUT window

Histogram area

1. Histogram area
The histogram is a graphical representation of intensity values of the pixels of an image. The x-axis represents intensity value in gray levels; the y-axis represents number of pixels. By adjusting Low, High, and Gamma values, you can alter the way the data is displayed without altering the underlying data.
The red line designates a Low value for display. You may click and drag on this line to adjust the low intensity value. Pixels with intensity values at or below the low level will be displayed as black. Alternatively, you may type a value in the Low edit field.
The green line designates a High value for display. You may click and drag on this line to adjust the high intensity value. Pixels with intensity values at or above the high level will be displayed as fully saturated. Alternatively, you may type a value in the High edit field.
The black diagonal line controls Gamma scaling. By clicking and dragging on this line, you are adjusting gamma or scaling the displayed pixels nonlinearly to emphasize very dim (line arches up, value < 1.0) or very bright features (line curves down, value > 1.0). If you click and drag the line outside the bounds of the histogram, gamma will return to a value of 1.0. Alternatively, you may type a value in the Gamma edit field.
Top

Channel dropdown

2. Channel dropdown
Select a channel to renormalize from the dropdown menu. All channels will be present in the dropdown menu regardless of whether they are displayed in the image; be sure you are adjusting renormalization on a channel that is displayed in the image.
Top

Range group

3. Range group
The Range group allows to you type in values for Low, High, and Gamma in order to adjust the way the data is displayed. When you type values in these fields, you must click Apply (5) to update the scaling on the image.
Alternatively, you may click and drag on the lines in the histogram as described above; this will immediately update in the image.
Top

Method option

4. Method option
The Method option allows you to use image intensity propertied to adjust the display rather than manually setting Low, High, and Gamma values.
The Intensity radio button designated that you will be using intensity values for renormalization as opposed to percentages of pixels. Percentage is no longer an active renormalization approach.
Reset to Selection Min/Max will use the minimum and maximum intensity for the channel selected to set the low and high values with a gamma of 1.0.
Reset to 5%/95% Percentile is no longer an active renormalization approach.
Reset all to Image Min/Max will use the lowest minimum intensity value of all channels present in the image and the highest maximum value of all channels present in the image to set the low and high values of all channels identically with a gamma of 1.0.
Top

Apply button

5. Apply button
Press Apply to apply Low, High, and Gamma values set in the Range group. If you adjust renormalization by clicking and dragging lines in the histogram or by using the Method options, you will not need to press Apply.
Top

Close button

6. Close button
Choose Close to exit the dialog. If you would like subsequent views of the image to contain the same renormalization parameters, click on the thumbnail button [image] and be sure to re-save the .sld.
Top

OK button

7. OK button
Choose OK to exit the dialog. If you would like subsequent views of the image to contain the same renormalization parameters, click on the thumbnail button [image] and be sure to re-save the .sld.
Top

The contents of Adjust LUT window

Batch Image Renormalization window
Densitometry


Topic: Batch Image Renormalization window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Adjust LUT window
  • Batch Image Renormalization window
  • Previous page
  • Next page

Batch Image Renormalization window

Batch Image Renormalization allows you to adjust brightness and contrast of multiple images within a .sld at one time.
See also:
Renormalize Image window
Batch Image Renormalization window

Image Range group

1. Image Range group
Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Selected Images group

2. Selected Images group
Check or uncheck boxes to select which images will be renormalized.
Top

Histogram area

3. Histogram area
The histogram is a graphical representation of intensity values of the pixels of an image. The x-axis represents intensity value in gray levels; the y-axis represents number of pixels. By adjusting Low, High, and Gamma values, you can alter the way the data is displayed without altering the underlying data.
The red line designates a Low value for display. You may click and drag on this line to adjust the low intensity value. Pixels with intensity values at or below the low level will be displayed as black. Alternatively, you may type a value in the Low edit field.
The green line designates a High value for display. You may click and drag on this line to adjust the high intensity value. Pixels with intensity values at or above the high level will be displayed as fully saturated. Alternatively, you may type a value in the High edit field.
The black diagonal line controls Gamma scaling. By clicking and dragging on this line, you are adjusting gamma or scaling the displayed pixels nonlinearly to emphasize very dim (line arches up, value < 1.0) or very bright features (line curves down, value > 1.0). If you click and drag the line outside the bounds of the histogram, gamma will return to a value of 1.0. Alternatively, you may type a value in the Gamma edit field.
Select a Channel to renormalize from the dropdown menu. All channels will be present in the dropdown menu regardless of whether they are displayed in the image; be sure you are adjusting renormalization on a channel that is displayed in the image.
Top

Renormalize to Selected Range button

4. Renormalize to Selected Range button
Pressing Renormalize to Selected Range button will apply the selected renormalization to the selected images.
Top

Renormalize to Min/Max button

5. Renormalize to Min/Max button
Renormalize to Min/Max will use the lowest minimum intensity value of all channels present in the selected images and the highest maximum value of all channels present in the selected images to set the low and high values of all channels identically with a gamma of 1.0.
Top

Renormalize to 5%/95% button

6. Renormalize to 5%/95% button
Renormalize to 5%/95% will use set the lower threshold at 5% of the pixels and the highest threshold value at 95% of all of the pixels. That is, the lowest 5% of pixels will be displayed as black and the highest 5% of pixels will appear saturated with a gamma of 1.0.
Top


Topic: Densitometry

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Adjust LUT window
  • Densitometry
  • Previous page
  • Next page

Densitometry

Denistometry functions allow you to generate calibration curves that can be used to convert intensity measurements into known concentrations. The most common biological application of this tool is to rescale images according to a set of standards that correspond to optical density, although other uses exist. To use this, you must capture an image with multiple regions of known concentrations. A calibration curve can then be generated and subsequently applied to sample data.

Generating a Calibration Curve

To generate a calibration curve:
1. Open a Main View of an image containing regions of data to be used for calibration.
2. Select Densitometry > Calibrate Channel from the Adjust LUT menu in the View group of the Home tab. The Calibration dialog box will appear:
3. Use the [image] marquee tool to highlight an area of known concentration. The ROI dimensions will appear in the X, Y, and Z edit fields.
4. Enter the concentration in the Assigned Value edit field.
5. Select Add Point. The region and corresponding data will appear in the Point List. Repeat steps 3-5 for additional concentrations/areas.
6. If you are not satisfied with a point in your list, select the point from the Points List by clicking on it, make the desired changes and then select Modify Point. You may choose to redraw the region or alter the assigned value. If you wish to remove the point completely, simply select Delete Point. Once you are satisfied with your list of points, select View Curve Fitting Graph. The Calibration Curve dialog box will appear.
7. Select one of the curve fitting options on the right hand side of the dialog box. A graph will appear with the associated equation of fit.
8. If you are satisfied with the curve fit, select OK. If not, select other fit options as necessary. After selecting OK, you will return to the Calibration dialog box.
9. Select Apply to calibrate the image based on the calibration curve. You may scroll around in the image to see the results of the calibration. If you are not satisfied, you may repeat steps 3-8 as necessary.
10. Click Done to save the calibration information with the image.
11. To obtain density statistics, simply generate statistics using a mask that you created manually (please see Mask Generation).

Transferring Calibration Data

You may calibrate images using calibration data generated from another image using SlideBook, but you should do so with caution. Image intensities may vary from image to image due to fluctuations in the light source (especially for non-xenon light sources), imperfections in the slide or the coverslip, or any other number of changes that introduce significant differences in imaging conditions. It is preferable to use internal calibration data.
To transfer calibration data (only available within a slide):
1. Open a Main View of the data that you wish to calibrate.
2. Select Densitometry > Transfer Calibration from the Adjust LUT menu in the View group of the Home tab. The following dialog box will appear.
This dialog box gives you several calibration options.
Transfer the calibration chosen in the drop-down menus at the top of the dialog box to all images in the slide by clicking the Transfer top calibration to all images in the slide
Transfer multiple channel calibrations from one image to another by selecting Transfer all channel calibrations from top to bottom image
Transfer a calibration from a single channel to another image, single channel by using the drop-down menus and click Transfer top channel calibration from top to bottom image
3. Select the appropriate transfer procedure and click Done. The calibration curve data will automatically be transferred. The data in the newly calibrated image can be viewed by selecting Densitometry > Calibrate Channel.

Removing Calibration Data

To remove calibration data:
1. Open a Main View of the image.
2. Select Densitometry > Remove Channel. The calibration data will be removed.


Topic: View Mode

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View Mode
  • Previous page
  • Next page

View Mode

SlideBook provides a variety of lookup tables for use in any of the view windows. Display options include the following:
Icon | Lookup Table | Hot Key | Description
 | RGB Color | Ctrl + Shift + R | Provides three colors (red, green, and blue) for assignment to any of the channels, also enables a background channel to blend a transmitted light image
 | Monochrome | Ctrl + Shift + M | Provides a single channel to display a monochrome image
 | Inverted Monochrome | Ctrl + Shift + V | Provides a single channel to display an inverted monochrome image
 | Pseudocolor | Ctrl + Shift + P | Provides a single channel to display on a hot/cold lookup table, may be gated by a second channel as in ratio data
 | User-defined Color | Ctrl + Shift + D | Provides up to eight channels which can be assigned to a user-defined color selected from a color chart or manually created
Channel menus are shown below for the different display types.
RGB - Four buttons represent red, green, blue, and background display. You may click on any of the buttons and select the desired channel or None from the dropdown menu. To blend a background channel, select it from the fourth button and then go to View Settings > Blend Background.
Monochrome/Inverted Monochrome - This mode provides a single button where you can assign a channel to the black and white display.
Pseudocolor - In the pseudocolor view mode, there are two channel selections. The first channel selects the hue of the display and should be set to the ratio channel. The second channel selects what determines the intensity, or brightness, of the displayed colors. If it is set to the numerator or denominator channel, the pseudocolored display will be scaled by the selected fluorescence intensity. An area with high pixel intensity for the ratio channel and low pixel intensity on denominator channel will appear as dim red. An area with low pixel intensity for the ratio channel and high pixel intensity on the denominator channel will appear as bright blue. This helps distinguish areas with real data from background. This is often desirable as computed ratio values for regions of the image that are just slightly above background can vary greatly.
User-Defined - Allows you to select a color from the full palette to assign to each channel. Blending is done automatically.


Topic: Generate Montage window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Generate Montage window
  • Previous page
  • Next page

Generate Montage window
After setting up and acquiring a set of montage tiles (see also TUTORIAL: Collecting a Montage, you will want to stitch the tiles together into a montage image. To do so, you will use the Generate Montage window, accessed when you have a 2D Montage image type selected).
This dialog provides you with a list of the individual images that make up the montage and the ability to move each image individually or automatically. When you open the Generate Montage window, a subsampled image will also be generated to see a rough estimate of the final montage image.

Manual Adjustment

1. Select an image from the Images list.
2. Use the arrows to shift the image location in the displayed montage. Hold the Shift button while clicking the arrows to shift the selected image as well as all images below and to the right of the selected image. Repeat steps 1 and 2 until the subsampled preview is aligned properly.
3. Uncheck the box for Auto Align on OK.
4. Click OK. A new image will be written to the slide with the assembled montage.

Automatic Alignment

1. Select an individual channel to use for alignment or All.
2. If there are multiple z planes, select the best plane to use for the alignment from the Auto Align Plane drop down menu.
3. Click Auto Align to preview the automatic alignment.
4. Press OK to generate the final alignment and write a new image to the slide.


Topic: View Settings Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View Settings Menu
  • Previous page
  • Next page

View Settings Menu
Many aspects of the display can be adjusted from the Settings menu in the View group.
View Settings opens the View Settings dialog that includes array information for tile views, background blending, looping speed for image playback, and background color for Tile and Three Views.
MultiDimensional Channel View Settings opens the MultiDimensional Channel View Settings dialog to adjust how this view is displayed and exported. You may find this particularly useful in preparing data for print materials.
Blend background is executed upon selection. Applicable for RGB Color and Pseudocolor display types, will blend a transmitted light image (such as DIC) into the colors displayed. Degree of blending can be adjusted in the View Settings window .
Invert Background is executed upon selection. Inverts the monochrome lookup table for the background channel.
Set best planes from Autofocus (4D) is executed upon selection. It will set the ideal focus position for each time point in a 4D data set using an autofocus algorithm. This plane is then used for Create Series Movie .

The contents of View Settings Menu

View Settings window
Multidimensional Channel View Setttings window


Topic: View Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View Settings Menu
  • View Settings window
  • Previous page
  • Next page

View Settings window

View Settings are used to adjust several parameters for specific views. These parameters include array information for tile views, background blending, looping speed for image playback, and background color for Tile and Three Views.
See also:
The Timelapse Tile View
View Settings window

Tile View Group

1. Tile View Group Specify Dimensions Manually - Check this box to manually enter a the number of tiles displayed per row when viewing a Timelapse Tile View.
Tiles Per Row - Enter the number of tiles you would like to see displayed per row of the Timelapse Tile View.
Top

Display Styles Group

2. Display Styles Group
Drag the slider to select the percentage of blending that will be performed on a background channel such as DIC. Alternatively, type a value in the text field and click Set. This is the percentage of the greyscale background that is overlayed with the fluorescence signal.
Check this box if you would not like to display grey values that fall below a designated background value.
To change the stored default Blend Background value, go to [image] Hardware Properties in the Administration tab. Find the section Default View Settings and expand it by pressing the "+". Select Default Blend Background Percentage, enter a Value in the edit field and click Apply. You will need to restart SlideBook for the changes to take effect.
Top

Loop Speed

3. Loop Speed
Enter an integer to determine how quickly (in FPS, frames per second) an image will play when in is looped. To loop an image, go to View > Loop timepoints, View > Loop planes, or press the play button [image] in the image window .
Top

Background Color

4. Background Color
The background color is the color that appears in the blank space behind an image. This color is particularly prominent when viewing a specialty view type such as a Three View or Tile View. When you click on the color button, the following dialog will open:
The Background Color default can be changed by noting the Red, Green, and Blue values from this dialog then going to [image] Hardware Properties in the Administration tab. Find the section Default View Settings and expand it by pressing the "+". Set each of the three default background color fields, clicking Apply after each one. Restart SlideBook for the changes to take effect.
Top

Cancel button

5. Cancel button
Discards View Settings changes and closes the dialog.
Top

OK button

6. OK button
Applies View Settings changes and closes the dialog.
Top


Topic: Multidimensional Channel View Setttings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View Settings Menu
  • Multidimensional Channel View Setttings window
  • Previous page
  • Next page

Multidimensional Channel View Setttings window

Multidimensional Channel View Settings allow you to adjust how this view is displayed and exported. You may find this particularly useful in preparing data for print materials.
See also:
Multidimensional Channel View
View Settings window
Annotations Settings
Multidimensional Channel View Setttings window

Channel Selection and Controls

1. Channel Selection and Controls
Click on each box to toggle the channels on/off in the image view. Check marks indicate displayed channels. *Composite* will consist of all present channels regardless of the display status in this view. T
Click on a channel to select it, selected channels will be highlighted in blue. Use the Move Up and Move Down buttons to adjust the order the channels are displayed.
Top

Annotated Channel Selection

2. Annotated Channel Selection
When annotations are displayed, you may select the channel tile where they will appear. One exception for this is scale bars. Scales bars (when displayed) will appear in each tile.
Top

Channel Layout option

3. Channel Layout option
Select if you would prefer to tile the channels horizontally or vertically.
Top

Component Image Color option

4. Component Image Color option
Select how you would like the individual channels to be displayed. Channel Default uses the default color display set up in Filter Configuration. Monochrome will display individual channels in greyscale.
Top

# of Time Points field

5. # of Time Points field
If a time series is present, you may choose to display multiple time points by entering a value in this field.
Top

OK button

6. OK button
Press OK to apply changes and close the dialog.
Top

Cancel button

7. Cancel button
Press Cancel to discard changes and close the dialog.
Top


Topic: Create Time Composite Channel window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Create Time Composite Channel window
  • Previous page
  • Next page

Create Time Composite Channel window
When analyzing time lapse images, you may find it useful to display a composite of multiple timepoints. For this purpose, you may create a time composite channel. The image below shows a single time point of an image with a time composite channel of all time points or a time point range.
Create Time Composite Channel window

Drop down

1. Drop down
Select the source channel from the drop down menu. An additive projection image will be created for each time point. This image will be created as a new channel in the image with comp appended to the channel name.
Top

Composite from first timepoint option

2. Composite from first timepoint option
The composite channel will be built with all time points starting at 1. Thus, if the image has 100 time points, the 50th image would be a projection of time points 1-50 and the last image would be a projection of time points 1-100.
Top

Rolling average over option

3. Rolling average over option
The composite channel will be built with with a user-defined number of previous time points. Thus, if Rolling average over 10 time points was selected and the image has 100 time points, the 50th image would be a projection of time points 40-50 and the last image would be a projection of time points 90-100.
Top

OK button

4. OK button
Press OK to create the designated channel and close the dialog.
Top

Cancel button

5. Cancel button
Press Cancel to discard the changes and close the dialog.
Top


Topic: Navigation Tools

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • Navigation Tools
  • Previous page
  • Next page

Navigation Tools

Many of the navigation tools available in view windows are available as hot keys or menu items. A list of these commands follows:
Previous plane - Ctrl+[ - [image] - Move to the previous z plane
Next plane - Ctrl+] - [image] - Proceed to the next z plane
Go to plane - Ctrl+G - Open a dialog to type a specific z plane to view
Loop planes - [image] - Animate the view window to continuously loop through the z planes
Previous timepoint - Ctrl+Shift+[ - [image] - Move to the previous time point
Next timepoint - Ctrl+Shift+] - [image] - Proceed to the next time point
Go to timepoint - Ctrl+Shift+G - Open a dialog to type a specific time point to view
Loop timepoints - [image] - Animate the view window to continuously loop through time
NOTE: When viewing images, the middle mouse scroll wheel can aid in image navigation. In 2D time lapse and 4D data types, the middle scroll wheel will move through time points. In a 3D stack the middle scroll wheel will move through z planes. In a 4D series holding down the control key plus the mouse scroll wheel will move through z planes.


Topic: View Properties

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • View group
  • View Properties
  • Previous page
  • Next page

View Properties

In addition to the previously discussed viewing parameters, there options available for the how windows are positioned on the screen and the default way that images are zoomed in the view windows.
The Windows menu provides the following options:
Cascade - Moves all open view windows to a cascading position starting in the upper left corner of the workspace and layering down with images overlapping previous views.
Tile Horizontal - Resizes views in the height aspect to create non-overlapping tiles.
Tile Vertical - Resizes views in the width aspect to create non-overlapping tiles.
Arrange Icons -
Close All Views - Closes all open view windows, slide files will remain open.
Windows Manager - Opens a list of all open slides with the ability to Save, Activate, Close, or Minimize the selected slide in the list.
Default View Settings are also accessed in the Administration tab under [image] Hardware Properties.
Alternative Image Cascading - Gives an option to use a newer cascading approach that opens view windows more towards the center of the workspace.
Automatically Zoom New Views - If set to Yes, SlideBook will automatically zoom images as large as possible so that the entire image will fit on the screen without scroll bars. If set to No, SlideBook will use the Manual View Zoom Target Size described below.
Bring Matching Image View to Top - If this is set to Yes, when you try to open an image that is already open in a Main View, SlideBook will bring the open view to the front of the windows instead of opening the image again. This will only work for Main Views. Hold down the Ctrl key to override this behavior.
Default Background Color and Blending - more information on this is found in View Settings Display Styles and Background Color.
Manual View Zoom Target Size - This is used when Automatically Zoom New Views is set to No. Use a value of 1 to display images at the true resolution such that 1 pixel from the camera = 1 pixel on the monitor. A 1024x512 image will be displayed at 1024x512.
Show Tics for Notes - If set to Yes, displays tic marks on the time slider in view windows to mark notes or events during capture.


Topic: Regions Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Regions Group
  • Previous page
  • Next page

Regions Group

In the Regions group of the Home tab, you can draw regions to track, photomanipulate, or analyze. You also have access to standard view tools such as zoom, angle and ruler measurements, and pixel analysis. With the marquee selections tool, you can select a portion of the image to view, analyze, or crop.

Tools Menu
Pointer (Select) Tool - This tool is used to select regions and for certain functionality in the Focus Controls. Holding Shift and clicking on multiple regions will allow you to select more than one region. Clicking and dragging on a selected region(s) will move the selected region(s). If the region number is displayed in white, this indicates that the region is selected.
Zoom Tool - This tool can be used to zoom in on the image, re-centering at the location where you click. Default will display a + in the center of the magnifying glass to indicate zooming in. If you hold the SHIFT key, the + will turn to a - and you can zoom out.
Ruler Tool - The ruler is used to draw a line on the image for distance or velocity measurements. By holding down the CTRL key, you can draw a multi-segment line. When measurements are made, a value (in um) is displayed in Measurement Info (3). You can retrieve intensity across this line by going to the Analyze tab > Evaluate group > Line Intensity. To export multiple line measurements, you should use the region line tool then go to the Analyze tab > Evaluate group > Extract Measurements > Export Line Lengths.
Hand Tool - The hand is used to grab and drag an image when the displayed portion of an image is in a window smaller than the extent of the displayed axes.
Pixel Tool - This tool is used to retrieve coordinate or intensity information for a single pixel. Press CTRL + click on a region in a 2D timelapse image to display an intensity over time graph of that pixel.
Angle Tool - You may select this tool then click three times to draw two connected lines. The angle between the two lines is measured and displayed in Measurement Info (3). To export the angle measurement information, first go to Analyze tab > Evaluate group > Extract Measurements > Export Angle Measurements to Excel. This will open an Excel file. Every time you draw an angle, the corresponding data will be written to the file.

Select Menu
Marquis Tool - Allows you to select an area of the image, useful in the Live camera window to select an area for imaging or in the Main view to select an area to crop.
Select all - Selects the entire image in x, y, z, and time.
Select in all planes - uses the marquis selection defined and extends the selection to all planes of the image, useful for cropping an image in x/y.
Define selection cube - opens the Define Selection Cube window where you can type in the exact dimensions/coordinates of the selection area.

Regions

, [image], [image], [image], [image], [image] Region Tools - These tools (rectangle, ellipse, polygon, freehand, line, and point) are used to draw regions for analysis. More information on using regions can be found in the Region Tools help page.

The contents of Regions Group

Region Tools
Define Selection Cube window
Graph Regions vs. Stimulation Regions


Topic: Region Tools

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Regions Group
  • Region Tools
  • Previous page
  • Next page

Region Tools

Regions are a key analysis tool provided in SlideBook that can be drawn before image capture, while images are be acquired, and/or post capture. Regions persist over all time points and z planes and are used primarily to monitor intensity changes over time (either in real-time or post-acquisition). Mean background intensity can be subtracted from analysis by assigning a region as background. The region drawing tools are found in the Regions group of the Home tab. Should you want access in other tabs, this group or individual items can be added to the Quick Access Toolbar, by right-clicking and choosing Add to Quick Access Toolbar. Region selection and usage tools are found by right-clicking on a region in the image.
Region drawing tools include:
Marquee tool - useful in the Live camera window to select an area for imaging or in the Main view to select an area to crop. You may change the color used to draw the Marquee in the Administration Tab > Hardware Properties > Default View Settings > Default Marquee Color Red/Green/Blue.
NOTE: you will need the RGB values for the color you select when using Hardware Properties.
Region Selection tool - use to select a region. Holding Shift and clicking on multiple regions will allow you to select more than one region. Clicking and dragging on a selected region(s) will move the selected region(s). If the region number is displayed in white, this indicates that the region is selected. With a single region selected, you may hold the cursor over the region to obtain basic region statistics as shown below.
Rectangle tool - click and drag to draw a rectangle; alternatively, click once on the image to open a dialog to define the region dimensions in pixels or microns or to define a rotation angle for the region
Ellipse tool - click and drag to draw an ellipse; alternatively, click once on the image to open a dialog to define the region dimensions in pixels or microns or to define a rotation angle for the region
Polygon tool - click to draw a series of straight lines, double-click to close the shape
Free Hand tool - click and drag to draw freehand, release mouse button to close the shape
Line tool - click and drag to draw a line; hold Ctrl and click for a multi-segment line, double click to complete multi-segment line
Point tool - click to draw a point
Region selection tools (right-click on a region in the image to access)
Set as background – uses the selected region for background subtraction during graphing
Unselect – de-selects the selected region(s)
Duplicate – creates a copy of the selected region(s) that can be dragged to a new location
Move – allows the region(s) to be moved
Copy – copies the region(s) to allow for pasting, specifically when copying to a different image
Paste – pastes the copied region(s) in the same location on a different image
Delete – removes the selected region(s)
NOTE: You can use the defined background region for background subtraction in Mask Statistics by following instructions in Configuring Background Subtraction with Mask Statistics.
When regions are drawn on timelapse images, you may graph them using the [image] Graph icon in the Evaluate group of the Process tab or by the [image] Graph icon in view windows. See also:
New Graph View window
Graph window


Topic: Define Selection Cube window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Regions Group
  • Define Selection Cube window
  • Previous page
  • Next page

Define Selection Cube window

The Define Selection Cube window can be used independently or in conjunction with the [image] Marquee tool. This dialog allows you to specify x, y, and z dimensions for selecting an area to render or crop.
See also:
Crop Image
Volume View
2D Timelapse Intensity Plot
3D Surface View
Define Selection Cube window
1) Open an image.
2) If desired, select the [image] Marquee tool and click and drag to draw an xy area on the image.
3) Go to the Select menu > [image] Define Selection Cube.
4) Review and edit the X and Y values for Beginning, End and Extent. You may choose to leave the values that were selected by the marquee tool or manually enter new values or use the X and Y Shift buttons at the bottom of the window to shift the entire selection but maintain the dimensions. You may wish to use the extent values to specify the resultant image dimensions.
5) Review and edit the Z value for Beginning, End and Extent. You may find it useful to eliminate out of focus z-planes or z-planes containing objects that may obscure those of interest.
6) Press Apply to apply the selection to the image and OK to close the dialog.
7) Proceed with rendering (3D Volume View, 4D Volume View, 3D Surface View, or 2D Timelapse Intensity Plot) or cropping the image.


Topic: Graph Regions vs. Stimulation Regions

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Regions Group
  • Graph Regions vs. Stimulation Regions
  • Previous page
  • Next page

Graph Regions vs. Stimulation Regions

When performing photomanipulation experiments, you may find it useful to utilize Stimulation Regions instead of the traditional Graphing Regions. The main advantage of Stimulation regions over Graph regions is that they can not be moved or altered post-acquisition so the experiment data integrity can not be compromised. In addition to this, stimulation regions can be drawn outside of the imaging field in xy and/or z. A full chart comparing the two region types can be found below.
 | Stimulation Regions | Graph Regions
Used to create photostimulation events | YES | YES
Used for right-click initiated photostimulation events | NO | YES
Used in advanced capture photostimulation sequence | YES | YES
Can exist outside xy extents of the imaging field (for 2P only) | YES | NO
Can exist outside of z range of imaging | YES | NO
Compatible with Vector | YES* | YES
Compatible with Phasor | YES | YES
Has z coordinate component | YES | YES
Can be graphed during acquisition | NO | YES
Can be graphed post-acquisition | NO | YES
Can be moved or edited post acquisition | NO | YES
* Vector Stimulation regions do not have z component

How to Use Stimulation Regions

1. In the Region group of the Home tab, click the drop down button next to the [image] Spot region tool. Select Stimulation. This will convert the standard Graph Region tools into Stimulation Region tools.
2. Once selected, the spot icon in the drop down will be outlined and highlighted in orange/yellow as displayed below.
3. Select the desired region drawing tool to draw Stimulation Regions in the Live window. Stimulation regions are numbered with an "S" then number as in S1, S2, S3, etc.
4. Once Stimulation regions have been drawn in the live window, you can open the Stimulation Navigator from the Navigation menu in the Annotations group to display the regions with their coordinate information.
5. To visit the xy or z location of a Stimulation region, simply double-click on the region in the list. Alternatively, click once to select the region in the list then click the Go To button.


Topic: Annotations Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Previous page
  • Next page

Annotations Group

The Annotations Group controls the display and settings for various image annotations. Annotations can easily be added to the active view window by checking the boxes in the Annotations group of the Home tab.
Alternatively, shortcut keys are available:
Scale Bar | Ctrl + Shift +S
Time Stamp | Ctrl + Shift + T
Lookup Table | Ctrl + Shift + L
Notes | Ctrl + Shift + N
Regions | Ctrl + Shift + G
Object IDs | Ctrl + Shift + O
Color, size, font, and location of the annotations can be changed from the [image] Settings dialog.
Clicking [image] Set Default will apply the settings to all annotations used during the current session; restarting SlideBook will reset the settings.
The [image] Navigate menu provides access to Notes Navigator, Photomanipulation Navigator, and Stimulations Naviagtor.
The [image] Edit menu provides access to Edit Notes and Edit Timestamps (a tool that lets you set the "0" timepoint).

The contents of Annotations Group

Annotation Settings Timestamps tab
Annotation Settings Scale Bars tab
Annotation Settings Lookup Tables tab
Annotation Settings Notes tab
Annotation Settings Z Plane tab
Annotation Settings Object IDs tab
Annotation Settings Regions tab
Notes Navigator window
Photomanipulation Navigator window
Stimulations Navigator window
Edit Note window
Edit Timestamp window


Topic: Annotation Settings Timestamps tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Timestamps tab
  • Previous page
  • Next page

Annotation Settings Timestamps tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Timestamps tab

Placement Selection

1. Placement Selection
Select the placement of the annotation as follows:
Top

Text Color Selection

2. Text Color Selection
Select the color of the text of the annotation by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Font Selection

3. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top

Format Selection

4. Format Selection
Select the desired format from the dropdown menu.
Top


Topic: Annotation Settings Scale Bars tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Scale Bars tab
  • Previous page
  • Next page

Annotation Settings Scale Bars tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Scale Bars tab

Length

Enter the desired length (in microns) in the text edit field.
Top

Bar Color Selection

2. Bar Color Selection
Select the color of the scale bar by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Placement Selection

3. Placement Selection
Select the placement of the annotation as follows:
Top

Include Text Check Box

4. Include Text Check Box
Check the box to include the size of the scale bar.
Top

Font Selection

5. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top


Topic: Annotation Settings Lookup Tables tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Lookup Tables tab
  • Previous page
  • Next page

Annotation Settings Lookup Tables tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Lookup Tables tab

Size Selection

1. Size Selection
Enter values for the dimensions of each of the lookup tables. A lookup table will be provided for each of the channels present in the image.
Top

Placement Selection

2. Placement Selection
Select the placement of the annotation as follows:
Top

Text Color Selection

3. Text Color Selection
Select the color of the text of the annotation by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Font Selection

4. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top


Topic: Annotation Settings Notes tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Notes tab
  • Previous page
  • Next page

Annotation Settings Notes tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
In view windows, you can display tic marks on the Time Slider by going to Edit > Hardware Properties > Default View Settings > Show Tics for Notes.
Notice that tic marks indicate the beginning and end of the time series as well as any events or notes created during image capture. If you do not have tics representing events or notes in your time slider, go to Edit > Hardware Properties > Default View Settings > Show Tics for Notes.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Notes tab

Placement Selection

1. Placement Selection
Select the placement of the annotation as follows:
Top

Text Color Selection

2. Text Color Selection
Select the color of the text of the annotation by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Font Selection

3. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top

Persistence Selection

4. Persistence Selection
When playing back a time lapse movie, you may find it useful to display notes for longer than a single time point. To do so, enter a value for the number of time points to persist in the view.
Top


Topic: Annotation Settings Z Plane tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Z Plane tab
  • Previous page
  • Next page

Annotation Settings Z Plane tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Z Plane tab

Placement Selection

1. Placement Selection
Select the placement of the annotation as follows:
Top

Text Color Selection

2. Text Color Selection
Select the color of the text of the annotation by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Font Selection

3. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top

Format Selection

4. Format Selection
If the box is not checked, the actual plane will be displayed such as "Plane 7"
To use Micron display, check the box and select:
absolute - to show the actual micron position of Z stage
relative reference - to show stage position relative to the reference position (or start position if there is no reference position). For example, if you select "range around current position" and capture a 20 um volume the starting position will be -10 um (it moved -10 um down when you clicked start) and the final plane will be 10 um (the final position was 10 um above the starting position)
relative plane 0 - displays the distance moved from plane zero For example, if you did a 3D capture with 1 um step size plane 0 would be 0 um, plane 1 would be 1 um, showing the total distance moved from the start of the experiment
Top


Topic: Annotation Settings Object IDs tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Object IDs tab
  • Previous page
  • Next page

Annotation Settings Object IDs tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Object IDs tab

Text Color Selection

1. Text Color Selection
Select the color of the text of the annotation by clicking on the square color button. The Color dialog will open. Select the desired color from this utility.
Top

Font Selection

2. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top

Line Width

3. Line Width
Masks are normally displayed as a blue field without an outline. When pseudocolor display is selected, the mask is depicted as an area bound by a white outline. You may change the thickness of this outline by adjusting the Line Width.
Top


Topic: Annotation Settings Regions tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Annotation Settings Regions tab
  • Previous page
  • Next page

Annotation Settings Regions tab
The Annotation Settings dialog allows you to alter the way annotations are displayed in the view window. You may change the color, font, location, and format of each type of annotation by selecting the desired annotation tab and setting the relevant parameters. To use these settings for an entire SlideBook session, first adjust the annotation settings and click Apply then [image] Set Default. The annotations will be displayed the way you configured them until SlideBook is closed and restarted.
See also:
TUTORIAL: Displaying and Formatting Annotations
Annotations Menu
Annotation Settings Regions tab

Text Color Selection

1. Text Color Selection
For regions, this color is the color of the selected region(s) and can not be modified.
Top

Font Selection

2. Font Selection
Select the desired font and size by pressing the button to open the Font selection dialog.
Top

Line Width

3. Line Width
You may change the thickness of the drawn region(s) by adjusting the Line Width.
Top

Draw Color

4. Draw Color
Draw Color controls the color of the marquee line you see when you are drawing a region. This does not control the color of the region once it is drawn. Apply and Set Default will set this color for the current session. To have the setting persisit for future sessions go to Administration Tab > Hardware Properties > Default View Settings > Default Marquee Color Red/Green/Blue.
NOTE: you will need the RGB values for the color you select when using Hardware Properties.
Top


Topic: Notes Navigator window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Notes Navigator window
  • Previous page
  • Next page

Notes Navigator window

When you have a large data set or many notes in a data set, the Notes Navigator will allow you to view the notes as a list and easily move to a specific note in the data set.
Access by [image] Navigate > Notes
See also:
Annotation Settings Notes tab
Edit Note window
Notes Tab of Capture Preferences window
Notes Tab of Capture Controls window
Ratio Manual: Creating Event Markers (Notes)
Photomanipulation Manual: Designing Experiments Using Vector
Notes Navigator window
To navigate to a desired event either:
Select an event by clicking on it in the list. The selected time point will be highlighted in blue as shown above. Click Go To to proceed to the selected event.
Alternatively, double-click on an event to advance the data set to the desired event.
When finished, click Close to close the dialog.


Topic: Photomanipulation Navigator window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Photomanipulation Navigator window
  • Previous page
  • Next page

Photomanipulation Navigator window

When you have a large data set or many notes in a data set, the Notes Navigator will allow you to view the notes as a list and easily move to a specific note in the data set.
Access by [image] Navigate > Photomanipulation
Photomanipulation Navigator window
To navigate to a desired event either:
Select an event by clicking on it in the list. The selected time point will be highlighted in blue as shown above. Click Go To to proceed to the selected event.
Alternatively, double-click on an event to advance the data set to the desired event.
When finished, click Close to close the dialog.


Topic: Stimulations Navigator window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Stimulations Navigator window
  • Previous page
  • Next page

Stimulations Navigator window

Complex photomanipulations may require specific setting be applied to individual regions.
Access by [image] Navigate > Stimulations
Click on a stimulation region to select it from the list.
Adjust parameters as desired:
Input power: Select Current to use the value set in the Focus Controls window. Alternatively, select Set to and choose a value from the drop down menu.
Relative Power (%):
Border Fill (px): When an ellipse region is used as a stimulation region, a value of -1 or 1 will fill the ellipse. A value of 2 or greater will use a ring of the designated pixel width for ring FRAP.
Estimated Input power (mW):


Topic: Edit Note window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Edit Note window
  • Previous page
  • Next page

Edit Note window

Post acquisition, you may find it useful to edit the text of notes created during capture. This can be done easily using the Edit Note dialog.
Access by [image] Edit > Notes
See also:
Annotation Settings Notes tab
Notes Navigator window
Notes Tab of Capture Preferences window
Notes Tab of Capture Controls window
Ratio Manual: Creating Event Markers (Notes)
Photomanipulation Manual: Designing Experiments Using Vector
Edit Note window

Original Capture Note options

1. Original Capture Note options
Check the box to display the original note text that is shown in the text field below. Should you choose to display the original note , the new note text will be displayed below the original.
Top

New Text field

2. New Text field
Type the new note text in the second edit field.
Top

Cancel button

3. Cancel button
Press Cancel to discard changes and close the dialog.
Top

OK button

4. OK button
Press OK to apply the changes and close the dialog.
Top


Topic: Edit Timestamp window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Home Tab
  • Annotations Group
  • Edit Timestamp window
  • Previous page
  • Next page

Edit Timestamp window

Post acquisition, you may find it useful to reset the "0" timepoint. This can be done easily using the Edit Timestamp dialog.
Access by [image] Edit > Timestamps
See also:
Annotation Settings Timestamps tab
Edit Timestamp window
1. Open a timelapse image.
2. Advanced the image to the time point you wish to make "0".
3. Open the Edit Timestamp dialog. The Time Offset field will automatically be populated with the value that will set the current timepoint to "0".
4. Click OK.


Topic: Analyze Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Previous page
  • Next page

Analyze Tab

The Analyze tab contains many of the tools formerly found in the Image and Mask menus. The workflow moves from processing and cropping the data to generating masks that select voxels for analysis, through mask manipulation and refinement, ending with extracting statistical data.

The contents of Analyze Tab

Process Image Group
Edit Frames Group
Mask Generation Group
Mask Edit Group
Evaluate Group


Topic: Process Image Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Previous page
  • Next page

Process Image Group

The Process Image group contains a variety of tools to help prepare your data for analysis. From quantitative calibrations and deconvolution to filtering approaches that aid in masking to mathematical operations on channels or images, this group has many processing techniques available.

The contents of Process Image Group

Deconvolve Menu
Filter Menu
Correct Menu
Math Menu
Align Menu


Topic: Deconvolve Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Previous page
  • Next page

Deconvolve Menu
Deconvolution is the process of reassigning or subtracting out of focus light from an image. There are many different types of deconvolution, some techniques are qualitative while others are quantitative and result in images that can be used for quantitative analysis.
Some deconvolution processes are very fast while other are much more computationally expensive. For the more complex deconvolution approaches, using an newer high speed processor (computer) will speed up the results. Types of deconvolution offered in SlideBook include:
No Neighbors Deconvolution - No Neighbors Deconvolution is the only algorithm included in the base package of SlideBook. All other algorithms are included in either the Deconvolution Module or Autoquant Blind Deconvolution Module contact 3i to learn more about purchasing these modules.
Nearest Neighbors Deconvolution - This algorithm is more computationally intensive and accurate than the No Neighbors algorithm. An image must have at least three planes in order to be deconvolved with the Nearest Neighbors algorithm.
Constrained Iterative Deconvolution - The constrained iterative approach is the most computationally expensive form of deconvolution and, if performed properly, can result in the best final image. All statistical analysis of intensities should be performed on images that have been deconvolved with the constrained iterative algorithm. Constrained iterative deconvolution can be very time consuming as well as memory intensive. Some users find no neighbors or nearest neighbors desirable for every day deblurring; however, there are certain cases where only the constrained iterative approach yields a reasonable result.
Autoquant Blind Deconvolution (for either Confocal or Widefield images) - Blind deconvolution is a class of constrained iterative in which not only the resultant image but also the PSF is computed by algorithm. Blind Deconvolution can be used with Widefield Fluorescence, Point Scanning Confocal, and Spinning Disk Confocal.

The contents of Deconvolve Menu

No Neighbors Deconvolution window
Nearest Neighbors Deconvolution window
Constrained Iterative Deconvolution window
Autoquant Blind Confocal Deconvolution window
Autoquant Blind Widefield Deconvolution window
PSF Guide
Manage PSFs


Topic: No Neighbors Deconvolution window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • No Neighbors Deconvolution window
  • Previous page
  • Next page

No Neighbors Deconvolution window

No neighbors is the least computationally intensive method of deconvolution offered in SlideBook and the only method that can be used on 2D images. While no neighbors deconvolution can be applied to three dimensional data sets, it does not use information across multiple planes to calculate and remove out of focus information. Rather, it functions by creating a theoretical blurred image from the original two dimensional image. This blurred image is then subtracted from the original image, leaving objects that are more likely to be in focus.
See also:
Deconvolution Module
No Neighbors Deconvolution window

Image Range

1. Image Range Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Microscope Components group

2. Microscope Components group
Displays microscope optical components. It is essential that this information is correct for accurate image processing.
Top

Channels group

3. Channels group
Check the boxes next to the channels you would like to deconvolve. Channels that are not checked will be transferred unprocessed in the new image.
Press Clear to uncheck all boxes.
Press Select All to check all boxes.
Top

Optical Parameters group

4. Optical Parameters group
Displays optical parameters from the image capture. It is essential that this information is correct for accurate image processing.
Top

Options group

5. Options group
These options allow you to adjust values used in deconvolution calculations as follows:
Subtraction Constant - The subtraction constant is the multiplier of the extent to subtract the blurred image from the raw data. It is a value that will weight how much impact the blurred image has on the end result. Increasing the subtraction constant will increase the amount of deblurring or the amount of signal subtracted.
Theoretical Spacing - Theoretical spacing tells SlideBook how much to blur the original data before subtracting that blurred image to create the no neighbors deconvolved image. Increasing this value will result in increasing the out of focus information to subtract, decreasing this value will result in less subtraction. If the theoretical distance is set to 0, the unaltered image is subtracted (modulated by the subtraction constant). If the spacing is large, then you approach the constant value of the image average with no features. If you notice that real features are being lost when no neighbors deconvolution is performed, decrease this value.
Edge Padding - Checking this box allows you to add pixels to the x and y dimension using mirror padding. This is particularly useful when fluorescence is present at the edges of the image. If you notice ringing around objects near the edge of the image, you should increase the amount of edge padding used.
Top

OK button

6. OK button Press OK to start no neighbors deconvolution and close the dialog. An image with .NoN extension will be written to the slide.
Top

Cancel button

7. Cancel button Press Cancel to close the dialog without initiating deconvolution.
Top


Topic: Nearest Neighbors Deconvolution window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Nearest Neighbors Deconvolution window
  • Previous page
  • Next page

Nearest Neighbors Deconvolution window

Nearest neighbors deconvolution is a deblurring technique that uses a simplifying assumption that most of the out of focus blur in an image is due to the planes directly neighboring the plane of interest (i.e. directly above and below). To perform nearest neighbors deconvolution, one must start with a data set that is at least three planes deep. The algorithm computes how much blur the neighboring planes contribute to the captured image and subtracts the blur out. Since the algorithm is purely subtractive, it tends to delete very low intensity features. However, it is considerably less sensitive than constrained iterative deconvolution to low intensity image defects such as dust in the optical path. The largest single factor that affects the result of nearest neighbor deconvolution is the distance between neighboring planes. A smaller distance between neighboring planes will cause the algorithm to subtract more from the plane of interest.
See also:
Deconvolution Module
Nearest Neighbors Deconvolution window

Image Range

1. Image Range Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Microscope Components group

2. Microscope Components group
Displays microscope optical components. It is essential that this information is correct for accurate image processing.
Top

Channels group

3. Channels group
Check the boxes next to the channels you would like to deconvolve. Channels that are not checked will be transferred unprocessed in the new image.
Press Clear to uncheck all boxes.
Press Select All to check all boxes.
Top

Optical Parameters group

4. Optical Parameters group
Displays optical parameters from the image capture. It is essential that this information is correct for accurate image processing. If optical parameters are incorrect, go to [image] Get Info to adjust as necessary.
Top

Options group

5. Options group
The options allow you to adjust values used in deconvolution calculations as follows:
Subtraction Constant - Increasing the subtraction constant will increase the amount of deblurring. The subtraction parameter adjusts the amount of light subtracted.
Edge Padding - Checking this box allows you to add pixels to the x and y dimension using mirror padding. This is particularly useful when fluorescence is present at the edges of the image. If you notice ringing around objects near the edge of the image, you should increase the amount of edge padding used.
Top

OK button

6. OK button Press OK to start nearest neighbors deconvolution and close the dialog. An image with .NearN extension will be written to the slide.
Top

Cancel button

7. Cancel button Press Cancel to close the dialog without initiating deconvolution.
Top


Topic: Constrained Iterative Deconvolution window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Constrained Iterative Deconvolution window
  • Previous page
  • Next page

Constrained Iterative Deconvolution window

The constrained iterative approach is the most computationally expensive form of deconvolution and, if performed properly, can result in the best final image. All statistical analysis of intensities should be performed on images that have been deconvolved with the constrained iterative algorithm. Essentially, the algorithm makes sequential guesses about the true distribution of fluorescence in an unblurred three dimensional data set. It then compares its computationally blurred guess with the original data and modifies its next guess appropriately. Sequential guesses should converge on a unique solution. The user must determine how many iterations or guesses the algorithm makes.
Because constrained iterative deconvolution considers all of the data to perform its guesses, the approach is very sensitive to the condition of the original data. If performed improperly, the constrained iterative approach will result in a highly artifactual data set. To ensure good results with this approach the following conditions should be met:
  • •
    The original data set should span the sources of fluorescence in the z dimension. If there are significant sources of fluorescence that reside above or below the original data set, the algorithm will not be able to properly assign their source within its next guess.
  • •
    The data should be flat field corrected. If there are any constant artifacts within each plane of the original data (e.g. dust specks), the algorithm must guess 3D structures which will account for them. This usually results in fictitious tube structures in the final image set.
  • •
    The data, as always, should reside in the linear range of the camera (not saturated) and should be well above the noise floor of the camera. Very low intensity data sets have a poor signal to noise ratio. This will result in a “scratchy looking” final guess.
See also:
Deconvolution Module
Constrained Iterative Deconvolution window

Image Range

1. Image Range Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Microscope Components group

2. Microscope Components group
Displays microscope optical components. It is essential that this information is correct for accurate image processing.
Top

Channels group

3. Channels group
Check the boxes next to the channels you would like to deconvolve. Channels that are not checked will be transferred unprocessed in the new image.
Press Clear to uncheck all boxes.
Press Select All to check all boxes.
For each individual channel, you may select Do not deconvolve or Deconvolve using PSF. When you choose to deconvolve a channel, you have the option of using a Calculated PSF or measured PSF that matches the channel and optical components of the image. See also PSF Guide .
Top

Optical Parameters group

4. Optical Parameters group
Displays optical parameters from the image capture. It is essential that this information is correct for accurate image processing. If optical parameters are incorrect, go to [image] Get Info to adjust as necessary.
Top

Advanced Options (All Channels) group

5. Advanced Options (All Channels) group Because constrained iterative deconvolution reassigns out of focus light rather than subtracting it, the ending maximum intensity value can be much higher, ultimately changing the bit depth of the image. For example, an image acquired using a 12-bit camera with intensity range of 0-4095 may fill 16-bits of intensity space or 0-65535.
To rescale the image back to the original intensity range, check the box to Scale to original data range.
Top

Advanced Operations (Smoothing) group

6. Advanced Operations (Smoothing) group
Max Iterations - The default is 20, but the deconvolution will stop earlier if the algorithm reaches the optimal solution. The deconvolution algorithm operates by generating a guess, blurring the guess with the point spread function, and then comparing the blurred guess with original image. If the comparison determines that the image is not improving, the algorithm is stopped. Increasing this number can generate a better set of guesses: but often, the comparison condition will stop the algorithm before completing the iterations. Therefore, you should only increase this parameter if the previous deconvolution completed all of the specified iterations.
Enable 3D Frequency Filter - Applies a low pass filter in 3D to remove excess single pixel (or smaller than optically possible) features from building up in the image.
Gaussian noise smoothing radius - Turning this function on helps to minimizes artifacts due to noise and hot pixels. Turn this on or increase the value if the deconvolved image looks too grainy.
Interpolate planes between each acquired plane - This is useful when the data is too sparse in z to properly perform deconvolution. Interpolation in z is particularly useful when features start to disappear in deconvolution due to under-sampled data.
Interpolate in XY - This option is useful if excessive binning was used for image capture or the data is too sparse in xy. This is rarely necessary.
Edge Padding - Checking this box allows you to add pixels to the x and y dimension using a variety of padding types described below. This is particularly useful when fluorescence is present at the edges of the image. If you notice ringing around objects near the edge of the image, you should increase the amount or type of edge padding used. Types of padding are illustrated and described below
(1) None - Uses the image in its original form
(2) Zero - Uses a zero intensity value for all pixels of each channel in the edge padding area
(3) Constant - Uses a user-defined intensity value for all pixels of each channel in the edge padding area, based on the Value edit field below
(4) Most Common Pixel - Uses the most common pixel intensity (median value) in each channel (across the entire image? defined edge area?) for every pixel in the edge padding area
(5) Mirroring - Uses a mirror of the pixel intensities in each channel
Top

OK button

7. OK button Press OK to start constrained iterative deconvolution and close the dialog. An image with .CI extension will be written to the slide.
Top

Cancel button

8. Cancel button Press Cancel to abandon deconvolution and close the dialog.
Top


Topic: Autoquant Blind Confocal Deconvolution window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Autoquant Blind Confocal Deconvolution window
  • Previous page
  • Next page

Autoquant Blind Confocal Deconvolution window

3D Blind Deconvolution is an iterative and constrained algorithm. It is iterative in the sense that it repeats the same computational operations many times while converging to the enhanced image solution. It is constrained in the sense that it only accepts deconvolved images that have the correct mathematical properties of nonnegativities, (that is, it does not allow the tracer concentration to have negative values) and smoothness (suppresses snowy-like noise due to low-light levels). 3D Blind Deconvolution is a method of deconvolution that adapts itself to the real PSF of the microscope system (which can be significantly different from the theoretical PSF and from the previously measured PSFs) due to specimen and instrument variations. The Autoquant Blind Deconvolution system is able to adapt to PSF changes within a specimen itself. Thus, the deconvolved results are superior to those methods which utilize theoretical or previously measured PSFs.
See also:
Deconvolution Module
Autoquant Blind Confocal Deconvolution window

Image Range

1. Image Range Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Microscope Components group

2. Microscope Components group
Displays microscope optical components. It is essential that this information is correct for accurate image processing.
Top

Channels list

3. Channels list
Check the boxes next to the channels you would like to deconvolve. Channels that are not checked will be transferred unprocessed in the new image.
Press Clear to uncheck all boxes.
Press Select All to check all boxes.
For each individual channel, you may select Do not deconvolve or Deconvolve using PSF. When you choose to deconvolve a channel using blind deconvolution, you will use an Estimated PSF.
Top

Optical Parameters group

4. Optical Parameters group
Displays optical parameters from the image capture. It is essential that this information is correct for accurate image processing. If optical parameters are incorrect, go to [image] Get Info to adjust as necessary.
Top

Modality Drop down

5. Modality Drop down
Select the confocal modality used to capture the image. Options include: Spinning Disk Confocal, Two Photon, and Point Scanning Confocal. This parameter is important in estimating the amount of out of focus light present in the raw image.
Top

Advanced Operations group

6. Advanced Operations group
Max Iterations - The default is 10, but the deconvolution will stop earlier if the algorithm reaches the optimal solution. The deconvolution algorithm operates by generating a guess, blurring the guess with the point spread function, and then comparing the blurred guess with original image. If the comparison determines that the image is not improving, the algorithm is stopped. Increasing this number can generate a better set of guesses: but often, the comparison condition will stop the algorithm before completing the iterations. Therefore, you should only increase this parameter if the previous deconvolution completed all of the specified iterations.
Sub-pixel Processing - This option will perform deconvolution on a sub-pixel grid to achieve super-resolved results. It will also, however, result in longer processing times. If the feature has been checked, the XY Factor feature will become enabled. This feature allows you to select the number by which the pixels will be divided. The options are 1 (which is for when the Sub-pixel Processing feature is not activated), 2 and 3, with three being the highest resolution, and longest processing time.
Edge Padding - allows you to add pixels to the x, y, and z dimension using mirror padding. This is particularly useful when fluorescence is present at the edges of the image.
Correct for Spherical Aberration -
Top

OK button

7. OK button Press OK to start Autoquant blind confocal deconvolution and close the dialog. An image with .Blind extension will be written to the slide.
Top

Cancel button

8. Cancel button Press Cancel to abandon deconvolution and close the dialog.
Top


Topic: Autoquant Blind Widefield Deconvolution window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Autoquant Blind Widefield Deconvolution window
  • Previous page
  • Next page

Autoquant Blind Widefield Deconvolution window

3D Blind Deconvolution is an iterative and constrained algorithm. It is iterative in the sense that it repeats the same computational operations many times while converging to the enhanced image solution. It is constrained in the sense that it only accepts deconvolved images that have the correct mathematical properties of nonnegativities, (that is, it does not allow the tracer concentration to have negative values) and smoothness (suppresses snowy-like noise due to low-light levels). 3D Blind Deconvolution is a method of deconvolution that adapts itself to the real PSF of the microscope system (which can be significantly different from the theoretical PSF and from the previously measured PSFs) due to specimen and instrument variations. The Autoquant Blind Deconvolution system is able to adapt to PSF changes within a specimen itself. Thus, the deconvolved results are superior to those methods which utilize theoretical or previously measured PSFs.
See also:
Deconvolution Module
Autoquant Blind Widefield Deconvolution window

Image Range

1. Image Range Select image range as follows:
Current Image - Deconvolves only the currently selected image
Current Capture Type - Deconvolves all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Deconvolves all images captured using the same channels as the selected image in the current slide.
Top

Microscope Components group

2. Microscope Components group
Displays microscope optical components. It is essential that this information is correct for accurate image processing.
Top

Channels list

3. Channels list
Check the boxes next to the channels you would like to deconvolve. Channels that are not checked will be transferred unprocessed in the new image.
Press Clear to uncheck all boxes.
Press Select All to check all boxes.
For each individual channel, you may select Do not deconvolve or Deconvolve using PSF. When you choose to deconvolve a channel using blind deconvolution, you will use an Estimated PSF.
Top

Optical Parameters group

4. Optical Parameters group
Displays optical parameters from the image capture. It is essential that this information is correct for accurate image processing. If optical parameters are incorrect, go to [image] Get Info to adjust as necessary.
Top

Advanced Operations group

5. Advanced Operations group
Max Iterations - The default is 10, but the deconvolution will stop earlier if the algorithm reaches the optimal solution. The deconvolution algorithm operates by generating a guess, blurring the guess with the point spread function, and then comparing the blurred guess with original image. If the comparison determines that the image is not improving, the algorithm is stopped. Increasing this number can generate a better set of guesses: but often, the comparison condition will stop the algorithm before completing the iterations. Therefore, you should only increase this parameter if the previous deconvolution completed all of the specified iterations.
Sub-pixel Processing - This option will perform deconvolution on a sub-pixel grid to achieve super-resolved results. It will also, however, result in longer processing times. If the feature has been checked, the XY Factor feature will become enabled. This feature allows you to select the number by which the pixels will be divided. The options are 1 (which is for when the Sub-pixel Processing feature is not activated), 2 and 3, with three being the highest resolution, and longest processing time.
Edge Padding - allows you to add pixels to the x, y, and z dimension using mirror padding. This is particularly useful when fluorescence is present at the edges of the image.
Correct for Spherical Aberration -
Top

OK button

6. OK button Press OK to start Autoquant blind confocal deconvolution and close the dialog. An image with .Blind extension will be written to the slide.
Top

Cancel button

7. Cancel button Press Cancel to abandon deconvolution and close the dialog.
Top


Topic: PSF Guide

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • PSF Guide
  • Previous page
  • Next page

PSF Guide

Measuring Point Spread Functions (PSFs)

SlideBook stores point spread functions (PSFs) in a data file. The PSF data file is accessed during constrained iterative deconvolution that specifies the use of measured PSFs. PSFs are computed using 3D images of fluorescent beads. In order to measure a PSF, the following steps are carried out:
1. Prepare a slide containing fluorescent beads (0.2 μm)
2. Capture a 3D image stack of an isolated bead. We suggest 7μm above and below the bead (14 μm total) at 0.1μm spacing.
3. Perform measurements on that stack using the PSF guide.
This sequence should then be repeated for each combination of objective, optovar, and fluorescence channel. You may also store more than one PSF for each optical configuration. This is useful for storing PSFs captured under different sample media conditions, different users, or different brightfield optic settings, for example.

Capturing a 3D Stack of Fluorescent Beads Using SlideBook

The 3D bead image may either be captured using SlideBook or imported from another program. To perform 3D capture, a total depth of 14 μm taken at 0.1 μm intervals is sufficient for capturing a 0.2 μm bead. In order to reduce the amount of memory required for capture, you may wish to capture a single bead. Be sure to allow ample room around the single bead (at least fifty pixels on any side) so that all of the light from the bead is captured. Additionally, the image used to generate a PSF should be flat field corrected (see Flat Field Guide ). To import an image, please see Home tab, Acquire group > Import Menu. Make sure that the image information (see Image Information) is correct before proceeding.

Generating a PSF using the PSF Guide

Once the 3D image stack has been collected, a PSF entry can be created. To do so:
1. Select Analyze tab, Process group, [image] Deconvolve > PSF Guide. The following dialog box will appear.
2. As directed by the guide, open a main, three, or tile view of the image stack and then click on the button in the dialog box. Enter a unique name for your PSF (this is the name you will select from the drop-down menu in the Constrained Iterative Deconvolution dialog). The guide will advance to the next step.
3. Select either Radially averaged or Section of entire image.
Radially averaged – uses one half of a PSF that is radially averaged. This is good for noisy PSF data.
Section of entire image – uses a 101x101x101 section of the image. This is best for images with good signal. Accounts for more aberrations than a radially averaged PSF
When you have made your selection, the following dialog box will appear.
4. Create a new mask by selecting Mask Generation group > Create Mask
.
5. Select the large pencil mask drawing tool and mark the center of the bead at what is approximately the brightest region.
6. Advance to the next dialog box by clicking the button Click here when mask is ready at the bottom of the Point Spread Function Guide dialog box, and then choose the direction of objective movement.
7. In the final dialog box, check that the desired objective, optovar, and fluorescence channel are selected, and then choose Add PSF. The measured PSF will be added to the PSF database.


Topic: Manage PSFs

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Deconvolve Menu
  • Manage PSFs
  • Previous page
  • Next page

Manage PSFs

The PSFs that are stored in SlideBook can be viewed by selecting Manage PSFs from the Deconvolution menu. A table of objectives, optovars and channels will be displayed. To view the PSF for a particular combination, click on the PSF icon for the desired optical combination, then choose Display. To remove a PSF from the list, select the PSF then click Remove. When finished managing PSFs, click Close to close the window.


Topic: Filter Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Previous page
  • Next page

Filter Menu
Image filtering techniques are used to alter the pixel data of an image. Filters may be used to remove artifacts, better detect objects, eliminate noise and more. SlideBook offers a variety of filtering options, including a user-defined kernel and semi-defined Gaussian, Gaussian derivative, hot pixel, median, and mean filters. These filters perform local, rather than global, calculations on a pixel by pixel basis. In other words, each pixel is altered based on the intensities of the neighboring data.
Filters offered include:
Convolution - A general purpose filtering tool with a user-entered kernal.
Gaussian - Uses a gaussian kernal of a given radius to remove noise.
Gaussian Derivative - Uses a gaussian kernal of a given radius to find edges.
Mean - Replaces the current pixel with an average of the pixels within a given radius.
Median - Replaces the current pixel with a median pixel value within a given radius.
Hot Pixel - Replaces the current pixel with the mean value if the pixel is some factor greater than the mean of its neighbors.
Frequency (Low/High Pass) - Removes low/high frequencies from an image with an option to allow the edges of the image to be Blackman tapered.
Laplacian - A convolution that determines the first derivative of the channel.
3D Edge Detection - Uses a Brejl kernal with an odd radius to find edges.
Unsharp Mask - Corrects pixels that vary tremendously from the gaussian blur of the image.

The contents of Filter Menu

Convolution Filter window
Gaussian Filter window
Gaussian Derivative Filter window
Mean Filter window
Median Filter window
Hot Pixel Filter window
Frequency (Low/High Pass) Filter window
2D Laplacian Filter window
3D Edge Detect Filter window
Unsharp Mask Filter window


Topic: Convolution Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Convolution Filter window
  • Previous page
  • Next page

Convolution Filter window

The convolution filter is a general purpose filtering tool with a user-entered kernal. The filter studies successively every pixel of the image. For each of them, which we will call the “initial pixel”, it multiplies the value of this pixel and values of the 8 surrounding pixels by the kernel corresponding value. Then it adds the results, and the initial pixel is set to this final result value. So, for a 3x3 matrix, we can consider the following:
On the left is the image matrix: each pixel is marked with its value. The initial pixel has a red border. The kernel action area has a green border. In the middle is the kernel and, on the right is the convolution result.
Here is what happened: the filter read successively, from left to right and from top to bottom, all the pixels of the kernel action area. It multiplied the value of each of them by the kernel corresponding value and added results. The initial pixel has become 42: (40*0)+(42*1)+(46*0) + (46*0)+(50*0)+(55*0) + (52*0)+(56*0)+(58*0) = 42. As a graphical result, the initial pixel moved a pixel downwards.
The resultant pixel value can be further manipulated as follows:
Coefficient - the resultant pixel value will be multiplied by the coefficient value. For example, if you would like to average the pixel values of a 3x3 matrix, you would use 1/9 or 0.11111 as the coefficient. Coefficients can be used to rescale the resulting data/image.
Offset - the offset value will be added to the resultant pixel value. You may enter a negative value to subtract. Offsets can be used to rescale the resulting data/image.
Some common kernals are given below with examples, filtering techniques can be particularly useful for better defining a mask:
Original:
Sharpen:
Blur:
Edge Enhance:
Edge Detect:
Emboss:
Access by Image > Filter > Convolution
Channel name appended by conv.
Convolution Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have conv added to the channel name.
Top

Parameters group

4. Parameters group
Enter the desired Coefficient and Offset in the edit fields. The output value of the kernel will be multiplied by the coefficient and added to the offset. These parameters can be used to scale the convolved data to a desired range and to account for negative kernel output values.
Select either a 3x3 or a 5x5 kernel size.
Enter the desired matrix elements in the array of edit fields.
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Gaussian Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Gaussian Filter window
  • Previous page
  • Next page

Gaussian Filter window

A gaussian blur filter uses a gaussian kernal of a given radius to remove noise. It can be quite useful when images are noisy or grainy and you are having a hard time creating a mask by the threshold/segment technique.
Examples are shown below, notice that the "dotted" structure becomes a solid line as the sigma value increases:
Original:
Gaussian filter where Sigma = 1.33
Gaussian Filter where Sigma = 2
Access by Image > Filter > Gaussian
Channel name appended by gb.
Gaussian Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the original raw data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have gb added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Gaussian Derivative Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Gaussian Derivative Filter window
  • Previous page
  • Next page

Gaussian Derivative Filter window

The gaussian derivative filter uses a gaussian kernal of a given radius to find edges.
Examples follow:
Original data:
Gaussian Derivative - Radius 2, Scale Shift 0:
Gaussian Derivative - Radius 2, Scale Shift 1:
Gaussian Derivative - Radius 5, Scale Shift 0:
Access by Image > Filter > Gaussian derivative
Channel name appended by gd.
Gaussian Derivative Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have gd added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Mean Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Mean Filter window
  • Previous page
  • Next page

Mean Filter window

The mean filter replaces the current pixel with an average of the pixels within a given radius.
Examples follow:
Original data:
Mean Filter - Radius = 2:
Mean Filter - Radius = 5:
Access by Image > Filter > Mean
Channel name appended by mean.
Mean Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have mean added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Median Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Median Filter window
  • Previous page
  • Next page

Median Filter window

The median filter replaces the current pixel with the median pixel value within a given radius.
Examples follow, notice that small features disappear when the radius is increased:
Original data:
Median Filter - Radius = 1:
Median Filter - Radius = 2:
Access by Image > Filter > Median
Channel name appended by mf.
Median Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have mf added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Hot Pixel Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Hot Pixel Filter window
  • Previous page
  • Next page

Hot Pixel Filter window

The hot pixel filter replaces the current pixel with the mean value if the pixel is some factor greater than the mean of its neighbors.
Examples follow, note that larger factor values are more likely to only detect and correct actual hot pixels on the sensor while lower factor values may distort small features:
Original data:
Hot Pixel - Factor = 2:
Hot Pixel - Factor = 4:
Hot Pixel - Factor = 6:
Access by Image > Filter > Hot Pixel
Channel name appended by hp.
Hot Pixel Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have hp added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Frequency (Low/High Pass) Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Frequency (Low/High Pass) Filter window
  • Previous page
  • Next page

Frequency (Low/High Pass) Filter window

The FFT bandpass filter removes low/high frequencies from an image and allows the edges of the image to be Blackman tapered.
Channel name appended by fft.
Frequency (Low/High Pass) Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have fft added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: 2D Laplacian Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • 2D Laplacian Filter window
  • Previous page
  • Next page

2D Laplacian Filter window

The laplacian filter is a convolution that determines the first derivative of the channel.
Channel name appended by lap.
2D Laplacian Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have lap added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Unsharp Mask Filter window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Filter Menu
  • Unsharp Mask Filter window
  • Previous page
  • Next page

Unsharp Mask Filter window

The unsharp mask filter corrects pixels that vary tremendously from the gaussian blur of the image.
Channel name appended by usm.
Unsharp Mask Filter window

Batch group

1. Batch group
You may choose to run the filter on the current image or all images in the .sld that have the same channels.
Top

Channel group

2. Channel group
Check the box for each channel you would like to filter. If desired, you may select channels that have already had other filters applied.
Top

Destination group

3. Destination group You may choose to replace the existing channel with the filtered channel data. This will overwrite the raw original data so you may wish to backup the data first. Alternatively, you may choose to create a new filtered channel in the image. The channel will be available from the dropdown channel menu in any image view window and will have usm added to the channel name.
Top

Parameters group

4. Parameters group
Top

OK button

5. OK button Click OK to run the filter as specified and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to abandon the filter and close the dialog.
Top


Topic: Correct Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Previous page
  • Next page

Correct Menu
The Correct menu provides tools to correct for photobleaching of the sample. field curvature of lenses (flat field) and dark current from the camera (dark field).

The contents of Correct Menu

Photobleach Correction window
Flat Field Correction window
Collect Flat Field
Manage Flat Fields


Topic: Photobleach Correction window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Photobleach Correction window
  • Previous page
  • Next page

Photobleach Correction window

Photobleach correction can be used to correct for photobleaching in 2D timelapse images. The photobleach correction operation takes the mean intensity at each time point and fits a line or curve through the mean intensity versus time data. Then, it determines a multiplication factor for each timepoint that is used to adjust the intensities at each pixel, resulting in constant intensities over time.
Before performing photobleach correction, you should examine your data to determine what type of fit is most appropriate. To do so, you need to view the intensity-time profile of your data set. You can do this by drawing a large region, then selecting [image] Graph and selecting intensity of the channels you are interested in correcting. If the intensities decrease linearly over time, you may perform a direct fit. If they seem to decrease exponentially, choose exponential fit.
Appends image name with .pbc
Photobleach Correction window

Source Data group

1. Source Data group
Select the scope of operation as described below:
Current Image – Operation will be performed on the selected image only.
All Images with Same Capture Type – Operation will be performed on all images in the slide with the same capture type (2D, 3D, 4D, etc.) as the selected image.
All Images with Same Channels – Operation will be performed on all images in the slide with the same channels as the selected image.
All Images – Operation will be performed on all images in the slide.
Select the channels to correct as follows:
All Channels - All channels will be corrected as directed
Channel - An individual channel can be selected from the dropdown menu for correction. This is particularly useful when different types of photobleaching occurs in different channels.
Top

Fit Type group

2. Fit Type group
Select the fit type for the bleaching. If you do not know the fit type, close the Photobleach Correction window and draw a large region on the image. Go to [image] Graph > Intensity and review the shape of the intensity decrease as depicted below. The red line represents a Direct Fit, the blue line represents a Single Exponential Fit.
To allow SlideBook to determine the appropriate coefficients based on the data, select Single Exponential Fit to Image-Derived Coefficients.
If you already know the coefficients, select Single Exponential Fit to Coefficients and enter the desired values in the A and B edit fields.
Top

Region Basis for Fit group

3. Region Basis for Fit group
Select the regions to use for intensity analysis of photobleaching profile as follows:
Entire Timepoint - Uses the full image field
All regions - Uses all regions drawn in the image
Currently Selected Regions - Uses only selected regions, regions where the number is white (see also Selecting Regions of Interest )
Check the Use Background box to dynamically subtract a mean background intensity before photobleach correction.
Top

Timepoint Basis for Fit group

4. Timepoint Basis for Fit group
Select the time points to use for the photobleaching fit calculations as follows:
All Time Points - Use all time points in the image
From: To: - Enter a start and end time point range to use
Time Points: - Enter individual time points or time point ranges separated by commas such as 1, 3, 5-12
Top

Results group

5. Results group
Select how you would like to handle the photobleach correction results as follows:
Create New Image - Creates a new image in the slide with the .pbc extension and closes the dialog
Replace Existing Data - Replaces the existing image in the slide and closes the dialog. It is recommended you backup your raw data before proceeding with replacing the data.
Fit Coefficients Only - When Single Exponential Fit to Image-Derived Coefficients is selected, this option becomes available. The OK button will turn to a Compute button below. Click Compute to have SlideBook return only the image-derived coefficients in the provided fields.
Top

Cancel button

6. Cancel button
Press Cancel to abandon photobleach correction and close the dialog.
Top

OK button

7. OK button
Press OK to run photobleach correction as designated and close the dialog. An image with extension .pbc will be created.
Top


Topic: Flat Field Correction window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Flat Field Correction window
  • Previous page
  • Next page

Flat Field Correction window

To apply flat field correction post-acquisition, you may use the Flat Field Correction window. This window allows you to select an image or images from a .sld to apply previously collected flat field calibration files.
See also:
Flat Field Guide for information on collecting flat field calibrations
Display Flat Field for information on managing flat field calibrations
Flat Field Correction window

Image Range group

1. Image Range group Select image range for flat field calibration as follows:
Current Image - Calibrates only the currently selected image
Current Capture Type - Calibrates all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Calibrates all images captured using the same channels as the selected image in the current slide.
Top

Selected Images group

2. Selected Images group
Check the boxes for the images you would like to flat field calibrate. This list will change depending on the Image Range selected above.
Top

Flat Field Correction list

3. Flat Field Correction list
Lists the channels in the image that have flat field calibration files associated with them. Only channels that have previously been calibrated will be listed in this area.
Top

Data Overwrite warning

4. Data Overwrite warning When you apply a flat field calibration, the raw data will be overwritten in the image file. To preserve the raw, un-calibrated data, you should make a copy of the image before calibrating.
Top

OK button

5. OK button Click OK to apply flat field calibration and overwrite the raw data and close the dialog.
Top

Cancel button

6. Cancel button Click Cancel to discard changes and close the dialog.
Top


Topic: Collect Flat Field

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Collect Flat Field
  • Previous page
  • Next page

Collect Flat Field

As with any optical system, specks of dust or pieces of lint will find their way into the microscope’s optical path. There may also be some variation in the level of illumination across the field of capture. SlideBook offers an operation called flat field correction, which eliminates many of these constant artifacts from an image. Flat field correction is particularly useful in brightfield and DIC (Nomarski) imaging, where such artifacts are usually more evident than in fluorescence imaging. Flat field correction (or shading correction) is not the same as background correction (background subtraction is strictly subtraction). When flat field correction is applied, the desired image is multiplied by a matrix of coefficients that is determined from a series of flat field images. To generate this matrix, flat field images are collected, and the average of each pixel for the set of images is calculate to generate a single averaged image (flat field image). The average intensity of all the pixels in the resulting averaged image is then calculated. Finally, a coefficient matrix (pixel by pixel map) is calculated so that when the intensity at any pixel location is multiplied by its coefficient, the generated pixel intensity matches the average pixel intensity of the flat field image. If you are planning to perform both background subtraction and flat field correction, perform flat field correction first.
See also:
Creating a Flat Field Calibration Sample
Generating a Spline-Fitted Flat Field Image (recommended for fluorescent imaging)

Collecting Flat Fields

In order to perform flat field correction, SlideBook needs to know what an image with no sample in focus looks like. This image should contain all the constant artifacts, but little that will change from sample to sample. From this image, SlideBook can compute a coefficient matrix that can be applied to an image to eliminate most of its constant artifacts. SlideBook, in fact, can average several “empty images” to better ensure that the flat field contains only constant artifacts of the optical system and not some peculiarity of a single “empty image.”
Since constant artifacts might exist anywhere along the optical path, a flat field matrix is necessary for each combination of objective, filter, and magnification changer setting. To keep things simple, SlideBook stores all collected flat fields in a single database and keeps track of the optical parameters for each one.

Adding or Replacing a Flat Field

If you want to add a flat field matrix to the database (or replace an existing entry), you will need to capture a series of images on an empty sample using the desired set of optics, including the filter, objective, and magnification changer. To add or replace a flat field, do the following:
1. Place a blank slide containing no sample (or a uniformly fluorescent slide if collecting a fluorescent flat field) on the stage.
2. Bring the desired optics into place using the Focus Controls Window.
In order to bring the z stage of the microscope to the correct position, focus on any irregularities (e.g., dust or scratches) on the blank slide. Then move the xy position of the slide to a location where there are few irregularities and adjust the microscope so it is slightly out of focus. This will minimize the contribution of irregularities with the slide to the flat field images.
3. Select [image] Correct menu > Flat Field Guide to bring up the flat field guide. The following dialog will appear:
4. Specify an Exposure time and Number of images to average.
Later, you will be able to adjust the exposure time so that the linear range of the camera is being used. The number of images required depends on the user: the more images, the more accurately the flat field matrix will reflect only constant artifacts, though the collection process will take more time. Typically three will be sufficient.
5. Press Capture Image 1. SlideBook will capture an image and display it in the upper left corner of the guide.
6. Adjust the exposure time such that the maximum intensity shown in the histogram is 3000-3500 for 12 bit CCDs (on a 0-4095 scale) or 48000-56000 for 16 bit CCDs (on a 0-65535 scale)
7. If necessary, make an appropriate adjustment to the exposure time and click Recapture Image 1. Otherwise, move the xy position of the slide slightly and capture the next image by clicking Capture Image 2. After the first image, it is unlikely you will need to recapture any of the subsequent images, but you will still have that option.
8. Acquire the remaining images making sure to move the slide slightly between captureS.
9. Once you have captured all the images, click on the Finish button to complete the process.
10. Repeat the process for other optical combinations.

The contents of Collect Flat Field

Creating a Flat Field Calibration Sample
Generating a Spline-Fitted Flat Field Image


Topic: Creating a Flat Field Calibration Sample

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Collect Flat Field
  • Creating a Flat Field Calibration Sample
  • Previous page
  • Next page

Creating a Flat Field Calibration Sample

Protocol for creating a thin layer of fluorescence for flat field correction
1. Use your preferred fluorescence solutions (not beads) or secondary antibody conjugated with dye. If you are using your dye conjugated secondary antibody solution, dilute it 1:500 from the primary stock.
2. Pipette a small dot onto the slide (10uL is usually sufficient), cover with glass coverslip, then seal with your preferred method (i.e. nail polish).


Topic: Generating a Spline-Fitted Flat Field Image

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Collect Flat Field
  • Generating a Spline-Fitted Flat Field Image
  • Previous page
  • Next page

Generating a Spline-Fitted Flat Field Image

Steps for generating a spline-fitted flat field image for correcting uneven illumination in a Spinning Disc Confocal Image
1. Mount flat field calibration sample onto stage insert. Make sure the glass coverslip side is facing the objective.
2. Focus with the brightfield or widefield illumination by finding any defects or bubbles in dye.
3. Focus again, this time with confocal imaging mode and the laser line of your choice. Move away from the defect and go to an area that is as even as possible.
4. Go to [image] Capture (in the Home tab). Take a 3D image stack by using Range around current with a Range of 10 microns and sampled at 0.2 micron Step Size. Use an exposure time that will not saturate. Capture the image by clicking OK.
5. Use an Exposure time that will not saturate. Check the box to Correct Dark Field. Capture the image by clicking OK.
6. Go to [image] Create Projection Image (in the Home tab, View group). Choose Maximum under Operation and Over Z axis under Axis. Select OK to create a maximum projection image of the 3D image stack.
7. Go to Administration tab, [image] Flat Field menu > Smooth Flat Field. This will create a new image in the .sld appended with Smooth FF.
8. Go to Administration tab, [image] Flat Field menu > Manage Flat Field. Select the Import (in the lower left of the dialog), choose the image name of the smooth flat field you just created.
9. Perform flat field correction of your acquired image in the Analyze tab, Process Image group, [image] Correct menu > Apply Flat Field. Select the flat field you created. For Montage images, perform this step before you Generate Montage.


Topic: Manage Flat Fields

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Correct Menu
  • Manage Flat Fields
  • Previous page
  • Next page

Manage Flat Fields

When to Update the Flat Field Database

As time passes, it is possible for a flat field matrix to become outdated. Specks may have changed position, or other constant artifacts have either appeared or disappeared. A tell tale sign that it is time to update a flat field is when performing the flat field operation no longer does its job — marked by white specks appearing after applying the flat field.
Flat field calibrations are specific to a set of optics including the objective, filter, and magnification changer. If multiple calibrations are found for identical sets of optics, the most recent calibration will be used.
See also:
Creating a Flat Field Calibration Sample
Generating a Spline-Fitted Flat Field Image

Displaying Existing Flat Fields

You can view of the existing flat fields (and their corresponding optical combinations) by selecting [image] Correct menu > Manage Flat Fields.
To display the flat field, click on the desired flat field icon in the table and press the Display button.
To remove a flat fields, select the desired file and click Remove.
When finished, click Close to close the dialog.


Topic: Math Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Math Menu
  • Previous page
  • Next page

Math Menu
The Math menu provides tools to perform basic arithmetic on the pixels values of images. The resulting values are either saved in a new image or a new channel.
Channel Math - opens a dialog to perform arithmetic on different channels within the same image
Image Math - opens a dialog to perform arithemetic on two different images with the same channels and dimensions within the same .sld
Average Images - opens a dialog to average different images with the same channels and dimensions within the same .sld
Invert Channel Intensities - performs intensity inversion for all channels does not open a dialog andalters current channel data. This can be easily undone by repeating the inversion.
Subtract Region Background - permanently subtracts the mean intensity of a defined background region (see Region tools, Set as background) from every pixel of the image. This can only be undone by closing and reopening the .sld if you do not save after performing the operation. A less permanent solution for background region subtraction would be to define a background region and use the values for analysis only without altering the raw data.

The contents of Math Menu

Channel Math window
Image Math window
Average Images window


Topic: Channel Math window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Math Menu
  • Channel Math window
  • Previous page
  • Next page

Channel Math window

Channel math provides an interface to perform per pixel mathematical calculations based on intensity and constants according to the following formula:
a(CHANNEL_1 - b) [+,-,*,/] c(CHANNEL_2 - d)
Channel Math window

Scope group

1. Scope group
Select the scope of the selected operation as follows:
Current Image - Apply the selected operation to only the currently selected image
Current Capture Series -
Current Capture Type - Apply the selected operation to all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Apply the selected operation to all images captured using the same channels as the selected image in the current slide.
It is important to note that batch operations (operations applied to more than one image) will only include images that match the channels of the selected image.
Top

Result group

2. Result group
When channel math is performed, a new channel will be added to the image. Type a name for this new channel in the Channel Name edit field.
Top

First Channel group

3. First Channel group
Enter the parameters for the first channel in the First Channel group. Each pixel will be adjusted as directed.
Top

Operations group

4. Operations group Select an operation to apply between the first and second channel. Select no op to perform math on only the first channel.
Top

Second Channel group

5. Second Channel group
Enter the parameters for the second channel in the Second Channel group. Each pixel will be adjusted as directed.
Top

OK button

6. OK button Press OK to perform the selected operation and close the dialog.
Top

Cancel button

7. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Image Math window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Math Menu
  • Image Math window
  • Previous page
  • Next page

Image Math window

Image math provides an interface to perform per pixel mathematical calculations based on intensity and constants according to the following formula:
a(IMAGE_1 - b) [+,-,*,/] c(Image_2 - d)
Image Math window

First Image group

1. First Image group Enter the parameters for the first image in the First Image group. Each pixel will be adjusted as directed using coefficient and offset values.
Top

Operation group

2. Operation group Select an operation to apply between the first and second channel. Select no op to perform math on only the first image.
Top

Second Image group

3. Second Image group Enter the parameters for the second image in the Second Image group. Each pixel will be adjusted as directed using coefficient and offset values.
Top

Result group

4. Result group When image math is performed, a new image will be added to the .sld. Type a name for this new image in the Image Name edit field.
Top

Cancel button

5. Cancel button Press Cancel to discard changes and close the dialog.
Top

OK button

6. OK button Press OK to perform the selected operation and close the dialog.
Top


Topic: Average Images window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Math Menu
  • Average Images window
  • Previous page
  • Next page

Average Images window

SlideBook includes the ability to average images with identical dimensions and channels.
Average Images window

Image Selection group

1. Image Selection group Select the images to average by checking the boxes. There are Select All and Clear buttons to assist in image selection.
All images must be in the same .sld.
Top

Result image name field

2. Result image name field
Top

OK button

3. OK button Press OK to perform the selected operation and close the dialog.
Top

Cancel button

4. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Align Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Previous page
  • Next page

Align Menu
The Align menu provides options to shift images to improve alignment issues do to sample shift or hardware limitations. This can include shifting channels or time points
Automatic Image Alignment is used to correct homogenous movement of an entire imaging field.
Align Channels is used to shift individual channels due to misregistration.
Compute Channel Registration and Apply Channel Registration are used to calibrate channels acquired from two different imaging devices and later apply that registration. These tools are explained in Tutorial: Channel Registration.
Set Best Planes from Autofocus (4D) uses an autofocus algorithm on 4D data to set the best focal plane at each time point. You can then create a new image from these best planes in the Extract menu.

The contents of Align Menu

Align Images window
Align Channels window
Tutorial: Channel Registration


Topic: Align Images window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Align Images window
  • Previous page
  • Next page

Align Images window

At times, an entire imaging field may drift over time due to unstable temperature or external forces such as a perfusion device or manual disruption when adding reagents. When this occurs, analysis results based on regions may be inaccurate. SlideBook's alignment tool is a helpful solution to re-stabilize the image for analysis.
NOTE: The alignment technique in this tutorial is for correcting homogenous movement of an entire field. If individual areas or cells are moving within the field, you will need to use the Mask Generation for analysis and particle tracking. If individual channels need alignment, you will need to use the Align Channels tool.
Automatic Image Alignment is only available when a 2D Timelapse or 4D Capture type image selected.
See also:
Tutorial: Automatic Image Alignment
Ratio Module, Tutorial: Aligning Images
Align Images window

Image Range group

1. Image Range group Select image range for alignment as follows:
Current Image - Aligns only the currently selected image
Current Capture Type - Aligns all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Aligns all images captured using the same channels as the selected image in the current slide.
Top

Selected Images group

2. Selected Images group
Check the boxes for the images you would like to align. This list will change depending on the Image Range selected above.
Top

Timepoint Selection

3. Timepoint Selection
Select a time point to which the other time points will be aligned. If there field drifted in one direction consistently throughout the capture, you may benefit from selecting Middle Timepoint. If movement was sporadic, you may be better off selecting a time point where there is minimal movement.
Top

Channel Selection

4. Channel Selection Select a channel to use for running the alignment algorithm. You will want to select the most consistent channel for this action.
Top

OK button

5. OK button Press OK to run the alignment using the set parameters. A new image will be written to the slide with - auto aligned appended to the image name.
Top

Cancel button

6. Cancel button Press Cancel to close the window without running an image alignment.
Top

The contents of Align Images window

Tutorial: Automatic Image Alignment


Topic: Tutorial: Automatic Image Alignment

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Align Images window
  • Tutorial: Automatic Image Alignment
  • Previous page
  • Next page

Tutorial: Automatic Image Alignment

Occasionally, the sample or specimen may shift during image capture. SlideBook includes a tool to automatically align time points.
See also:
Align Channels window
Photobleach Correction window
Tutorial: Automatic Image Alignment
1. Select the Image Range for alignment. If multiple images were defined, check the appropriate boxes in the Selected Images area.
2. Select First, Middle, Last, or a Particular Timepoint to align all other time points to, that is which time point should be the central time point.
3. Select a channel from the Align using channel dropdown menu. This should be the channel that has the best contrast and stability and serves as a good frame of reference.
4. Set New Template and Minimum Z Score as follows:
New Template - If you set this to something less than 1.0, then when a time point has a Z score above 1.0 it will become the new template that all following time points are matched against. This is useful if the pattern (image morphometry) evolves over time.
Minimum Z Score - Set the minimum Z score to 0.0 (or perhaps .25). You can also review your data and look at the 'Notes' annotations to see what score each frame gets for it's best match. Unless the score is above the minimum Z score no shift is performed. This feature protects against finding a random offset on time points with no clear match. If alignment is overly aggressive, increase this value, if alignment missed some tinepoints, lower this value.
4. Click OK to perform the designated alignment.
NOTE: After alignment, you can turn on the Notes annotation to see z score and any alignment shifts that took place in the format of:
score: z score value, shift: x shift (cumulative x shift), y shift (cumulative y shift) avg: average x shift to current plane, average y shift to current plane stddev*2: standard deviation in average x shift multiplied by 2, standard deviation in average y shift multiplied by 2
Ex. score: 0.65 shift: -5.00 (-5.00), 0.00 (0.00) avg: 0.00, 0.00 stddev*2: 0.00, 0.00


Topic: Align Channels window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Align Channels window
  • Previous page
  • Next page

Align Channels window

It is sometimes necessary to shift individual channels of an image to correct for misregistration. The most common cause of misregistration is when separate dichroic mirrors are used. You can test for channel misregistration by collecting images of multi-colored fluorescent beads. Channel misregistration can be corrected by shifting individual channels of an image using the Alignment Guide or by purchasing specially aligned dichroic mirrors.
Changing channel alignment for an image makes a permanent change to the image itself and will be saved with the image. In other words, every view that you open from that point on will reflect the new alignment. Of course you can re-adjust the alignment later if you wish.
See also:
Tutorial: Align Channels Manually
Tutorial: Align Channels Using Points
Align Channels window

Channel Selection

1. Channel Selection Select the channel to move from the drop down menu. The channel that is selected is the one that will move relative to the other channel(s).
Top

Move buttons

2. Move buttons Use the up, down, left, and right buttons to shift the selected channel in the desired direction. One click on a button results in a one pixel move in that direction.
Top

Align Points button

3. Align Points button Press Align Points to run a procedure where you click on a point in each channel and SlideBook automatically aligns the selected points. Each step of the process will appear next to the button after you click it.
Top

Align all timepoints check

4. Align all timepoints check Check this box if you would like the channel alignment to apply to all timepoints in the data set.
Top

Deltas group

5. Deltas group This field reads out the total shift in x, y, and z directions of the selected channel. This information can be recorded and typed in to apply identical channel shifts in future images.
Top

Apply button

6. Apply button Press Apply to apply the channel shift to the current channel in the image. This will simply apply the changes without closing the Alignment Guide.
Top

Cancel button

7. Cancel button Press Cancel to discard changes and close the window.
Top

OK button

8. OK button Press OK to apply changes and close the Alignment Guide.
Top

The contents of Align Channels window

Tutorial: Align Channels Manually
Tutorial: Align Channels Using Points


Topic: Tutorial: Align Channels Manually

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Align Channels window
  • Tutorial: Align Channels Manually
  • Previous page
  • Next page

Tutorial: Align Channels Manually

The instructions below will instruct on manually shifting the channels pixel by pixel. Alternatively, you may use a point in each channel from Align Points.
See also:
Align Channels window
Align Channels Using Points Tutorial
Tutorial: Align Channels Manually
1. Select the channel that you wish to align from the Channel dropdown menu.
2. To manually shift channels relative to each other, use the left and right arrows to move the selected channel in the x direction, and the up and down arrows to move in the y direction, or enter an offset for any axis directly into the corresponding Deltas edit controls.
NOTE: The view will update automatically when you use the arrow buttons, but you must press the Apply button if you manually enter the offsets. Clicking Cancel will ignore any changes to the edit field that were not previously applied.
3. Check the box to Align all timepoints if you would like to shift the channels in all time points as you did for the current time point.
4. Click Apply then OK when you are satisfied with the image alignment.
NOTE: If you find it necessary to align certain filters consistently, your system may need repair. Please contact support@intelligent-imaging.com.


Topic: Tutorial: Align Channels Using Points

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Align Channels window
  • Tutorial: Align Channels Using Points
  • Previous page
  • Next page

Tutorial: Align Channels Using Points

You may find it easier to select a single point in two different channels that you know should be aligned. This is particularly useful when using multicolored beads for system calibration.
See also:
Align Channels window
Align Channels Using Points Tutorial
1. Select the first channel that you wish to align from the Channel dropdown menu.
2. Click Align Points. A prompt will appear below the arrow buttons. The prompts reads: Press the Shift key and click a point on the current channel. Do as instructed.
3. The next prompt will read: Press the Shift key and click the same point on the next channel. Do as instructed.
4. The two clicked points will be aligned. If desired, you may use the arrow buttons to fine-tune the adjustment.
5. Click Apply to apply the changes to the image.
6. Click OK to close the dialog.


Topic: Tutorial: Channel Registration

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Process Image Group
  • Align Menu
  • Tutorial: Channel Registration
  • Previous page
  • Next page

Tutorial: Channel Registration

When capturing and combining images from two different cameras, alignment issues are critical. SlideBook now has two functions to accommodate any combination of scaling, rotation, translation, and shear between the two channels’ coordinates: Compute Channel Registration and Apply Channel Registration.
Compute Channel Registration finds the affine transformation between the two channels, using three control points defined for each channel. The affine transformation is a common spatial transformation in image processing (e.g., Wolberg 1990):
x' = ax + bx+ c
y' = dy + ex +f
Affine transformations do not correct for more severe distortions, such as pincushion and barrel distortions or other nonlinear distortions. However, for any misregistration within a pixel or two, it is a reasonable first approximation and easier to determine and faster to compute than higher-order approaches.
Apply Channel Registration uses the transformation to interpolate pixel intensities from one channel into the same coordinates of a different channel, using bilinear interpolation. Bilinear interpolation computes the image value at an intermediate pixel position according to the four nearest neighbors weighted according to their relative distances.

Determining the transform

To compute the parameters for the transform, perform the following steps:
1. Image a slide of sub-resolution beads at high magnification. The beads should be sparse and provide sufficient bleedthrough into the other channel so that the same beads can be easily identified in both cameras’ images.
2. Find an arrangement of beads so that three span a good fraction of the camera field.
3. Acquire an image of the beads with two channels, A and B, where A is recorded by one camera and B is recorded by the other.
4. Create a mask and use the small mask tool to mark the three beads as they appear in channel A.
5. Create a second mask and use the small mask tool to mark the same three beads as they appear in channel B.
6. In the Analyze tab, Process Image group, select [image] Align menu > Compute Channel Registration. The following dialog box will appear:
7. Select the channels that correspond to the two cameras’ images of the beads and the masks that correspond to each channel. Then click Compute.
8. SlideBook produces a set of parameters that are used later to perform the registration and interpolation, e.g.:
0.99776 0.00869 -0.40149 1.00143 -0.00067 -0.02660
(These correspond to the a, b, c, d, e, and f coefficients described above.)

Using the transform to register images

In order to transform a channel (such as FITC above) into the space of another channel (such as CY3 above) select [image] Align menu > Apply Channel Registration and enter the Transformation Parameters copied from the Compute Channel Registration dialog.
By default, SlideBook will name the new, registered channel by adding reg to the end of the channel name.
If the parameters you enter would lead to more than a 10% scale change, SlideBook will warn you, as this means that the parameters are likely to be incorrect.

Storing a default transform

There are two hardware properties (access from the Administration tab) that will automatically determine portions of the Apply Channel Registration dialog box.
Under the Simultaneous Capture group, the Channel Registration Parameters stores the exact parameter string that goes into the Transformation Parameters field.
The Less Magnified Camera lets you specify which camera (1 or 2) is less magnified, if there is a consistent scale change across both cameras. Then, the Apply Channel Registration dialog box will automatically populate the Input Channel with the first filter configuration that specifies this camera.
As a rule, it is better to expand the less magnified camera’s channel into the more magnified camera, so as to reduce the amount of zero valued border in the resulting channel.
References
Wolberg, G. (1990) Digital Image Warping. Washington: IEEE Computer Society Press.


Topic: Edit Frames Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Previous page
  • Next page

Edit Frames Group

The Edit Frames group is used to alter the base data set. Tools included in this group allow you to crop in x, y, z or time as well as extract subsets of data or delete specific frames.
Select Menu
Marquis Tool - Allows you to select an area of the image, useful in the Live camera window to select an area for imaging or in the Main view to select an area to crop.
Select all - Selects the entire image in x, y, z, and time.
Select in all planes - uses the marquis selection defined and extends the selection to all planes of the image, useful for cropping an image in x/y.
Define selection cube - opens the Define Selection Cube window where you can type in the exact dimensions/coordinates of the selection area.
Create Projection
Opens the Create Projection dialog that will create a new image per the chosen parameters. This method projects a ray through a stack of vowels to determine the maximum, sum, or average intensity pixel then uses that pixel to create a 2D image. This is performed for each channel at each pixel location. Alternatively, you can view a projection without creating a new image by clicking on the [image] projection button in a Main View window.
Crop Menu
Crop Image in x, y, or z.
Crop Multiple Timelapse Planes remove consecutive or individual time points from a data set.
Remove Channel from the image.
Extract Menu
Create Line Extraction extracts a line of data (drawn with the ruler tool) into a new image.
Extract Subseries to New Image extracts a single consecutive time range from a data set.
Generate Image from Best Planes in 4D creates a new image from the best planes in a 4D data set. These planes are set individually using the [image] thumb icon or by the Set Best Planes from Autofocus function.
Reformat Menu
Subsample opens a dialog that allows you to subsample an image in xy or z, reducing the image size.
Create Interpolated Image allows you to create more voxels by interpolating the original data, this can be useful for smoothing the image in creating figures and renderings.
Process Split Camera Data opens a dialog that allows you to split a data set into two or more channels when a physical device such as a DualView or QuadView was used to acquire data but not configured during acquisition.
Rotate allows you to enter coordinates to rotate data and create a a new images based on the rotation.
Create Blank creates a blank image on the slide.
Merge Timelapse Images opens a dialog to combine multiple images to append a time series.
Insert Channel opens a dialog to insert one channel from image A into image B.
Extract from 4D Stream opens a dialog to extract and reformat data captured using Rapid 4D Stream acquisition.

The contents of Edit Frames Group

Crop Image window
Remove Multiple Timepoints window
Remove Channel window
Line Extrusion window
Extract Subseries window
Image Interpolation window
Process Split Camera Data window
Image Rotation window
Create Blank Image window
Merge Timelapse Images window
Insert Image as Channel window


Topic: Crop Image window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Crop Image window
  • Previous page
  • Next page

Crop Image window

Images can be cropped in a number of different dimensions: x, y, z, or time. To crop an image in x, y, and/or z, you will use the Crop Image command. To use this, you must first select the area to crop as follows:
1) Use the Marquee tool [image] to select an x-y area by clicking and dragging a rectangular shape on the open image.
2) To select all z planes, press Ctrl+B or go to the Select menu > [image] Select Rectangle in all Planes. Alternatively, go to Select menu > [image] Define Selection Cube to manually enter x, y, and z parameters.
3) Go to [image] Crop menu > Crop.
NOTE: You can not crop time points from an image using this command. To crop time, you must Extract Subseries to New Image.
See also:
Define Selection Cube
Extract Subseries to New Image
Crop Image window

Place results in a new image check

1. Place results in a new image check
Check the box to copy the cropped data into a new image on the slide. If you do not check this box the existing image will be cropped and overwritten.
Top

Crop all images... check

2. Crop all images... check
Check the box to perform an identical crop on all images in the slide with the same dimensions.
Top

OK button

3. OK button
Press OK to proceed with cropping as designated.
Top

Cancel button

4. Cancel button
Press Cancel to abandon cropping and close the dialog.
Top


Topic: Remove Multiple Timepoints window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Remove Multiple Timepoints window
  • Previous page
  • Next page

Remove Multiple Timepoints window

When you wish to remove multiple time points from an image, the Remove Multiple Timepoints dialog provides a flexible interface to accomplish the desired results. This dialog is found in the Analyze tab, Edit Frames group, under the [image] Crop menu.
1) Select the image would like to edit. You can simply click on an image in the .sld or click on an active view of the image.
2) Click on the radio button next to the option that describes the type of time point removal you would like to perform.
3) Check the box if you would like to create a new resultant image. If you do not wish to create a new image, the current data will be overwritten.
4) Click on OK to perform the operation or Cancel to discard changes and close the dialog.
Remove Multiple Timepoints window


Topic: Remove Channel window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Remove Channel window
  • Previous page
  • Next page

Remove Channel window

Should you wish to remove a channel from an image, you will use the Remove Channel dialog. This may be necessary if you created or added channels post-capture that you would not like to save or if you captured unwanted channels during image acquisition.
Access in the Analyze tab, Edit Images group, [image] Crop menu > Remove Channel
Remove Channel window

Image Range group

1. Image Range group Select image range as follows:
Current Image - Removes channel from only the currently selected image
Current Capture Type - Removes channel from all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Removes channel from all images captured using the same channels as the selected image in the current slide.
Top

Selected Images list

2. Selected Images list
Check the box(es) for the images for which you would like to remove a channel. This list will change depending on the Image Range selected above.
Top

Channel Selection drop down

3. Channel Selection drop down Select the channel you would like to remove from the drop down list. Only channels present in the image will be available.
Top

OK button

4. OK button Press OK to remove the channel as directed and close the dialog.
Top

Cancel button

5. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Line Extrusion window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Line Extrusion window
  • Previous page
  • Next page

Line Extrusion window

You may find it useful to extract a line of data from an image for closer inspection. This can be done as a single plane or a 3D stack with a user-defined line thickness.
Access with a 2D or 3D image by drawing a line using the [image] Ruler tool then in the Analyze tab, Edit Images group, [image] Extract menu > Create Line Extraction Image
See also:
Main View
Tool Menu
Smooth Curve Analysis
Line Extrusion window

Extrusion Options

1. Extrusion Options
Select Flat Extrusion to extract only the current z-plane. Select 3D Extrusion to extract a z range of the line.
Top

Width Selection

2. Width Selection
Enter a value (in pixels) for the desired width of the extracted image.
Top

Z Selection

3. Z Selection
When performing a 3D extrusion, enter the desired number of z-planes for the resulting image depth. Alternatively, check the box to Select All Planes to extract the entire 3D stack.
Top

Zoom Factor

4. Zoom Factor
Select the desired Zoom Factor from the options provided. You may also zoom in on the resulting image in the View window.
Top

Cubic option

5. Cubic option
For diagonal lines or when a zoom factor is selected, interpolation will be required between data points. Cubic interpolation of two points on a line uses those points as well as the next pair of data points. Linear interpolation of two points on a line uses only the two adjacent values.
Top

OK button

6. OK button
Press OK to create the line extraction image and close the dialog.
Top

Cancel button

7. Cancel button
Press Cancel to discard changes and close the dialog.
Top


Topic: Extract Subseries window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Extract Subseries window
  • Previous page
  • Next page

Extract Subseries window

Images can be cropped in a number of different dimensions: x, y, z, or time. To crop data in time, you will use the Extract Subseries window.
Access in the Analyze tab, Edit Images group, [image] Extract menu > Extract Subseries to New Image, can also be accessed from an open view of the image from the [image] Settings button.
See also:
Crop Image window
View Settings window
Extract Subseries window

Time Range

1. Time Range
Enter the starting and ending time points for the cropped data set.
Top

Insert image at end of slide check

2. Insert image at end of slide check
Check the box to place the new cropped image at the bottom of the image list on the .sld. If this box is not checked, the cropped image will appear below the original data in the slide.
Top

Edit field

3. Edit field
A display calculates the number of time points and file size for the cropped image.
Top

Cancel button

4. Cancel button
Press Cancel to abandon cropping and close the dialog.
Top

OK button

5. OK button
Press OK to proceed with extracting a subseries of time points to a new image.
Top


Topic: Image Interpolation window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Image Interpolation window
  • Previous page
  • Next page

Image Interpolation window

Sometimes, you will not be able to capture an image at the desired xy or z resolution due to timing or photosensitivity issues. For cases such as these, you may perform Image Interpolation to generate more voxels and create a smoother looking image. The new image will have .Interp appended to the image name.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Create Interpolated Image
Image Interpolation window

Image Range group

1. Image Range group Select image range as follows:
Current Image - Interpolate only the currently selected image
Current Capture Type - Interpolates all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Interpolates all images captured using the same channels as the selected image in the current slide.
Top

Selected Images group

2. Selected Images group
Check the box(es) for the image(s) you would like to interpolate. This list will change depending on the Image Range selected above.
Top

Voxel Dimensions group

3. Voxel Dimensions group
This area provides information about the current dimensions of each voxel of the image. Pixel Size is obtained from information entered in the configuration of the camera and objectives as well as any binning used during capture. Z step is designated during image capture. Both values are give in microns.
Top

Recommended Expansion Sizes group

4. Recommended Expansion Sizes group
Recommended expansion sizes uses some information to recommend how much the image should be interpolated.
Top

Expansion group

5. Expansion group
Manually enter in whole integer values for the Expansion you want to perform. You may use the recommended value as a guideline or enter other desired values for expansion. For example, if you enter the value 2 in the Z Ratio field, a new z plane will be created between each pair of existing z planes. If you enter the value 3 in the Z Ratio field, two new z planes will be created between each pair of existing z planes.
Top

OK button

6. OK button Press OK to perform the image interpolation and close the dialog. A new image will be written to the slide with .Interp appended to the image name..
Top

Cancel button

7. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Process Split Camera Data window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Process Split Camera Data window
  • Previous page
  • Next page

Process Split Camera Data window

Some systems include optical devices that split an image by channel. SlideBook includes tools to configure such devices in a way that images are acquired and automatically split and overlayed. In circumstances when images are acquired on a different system, or not split during acquisition for some reason, they can be split post-acquisition in SlideBook.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Process Split Camera Data
Process Split Camera Data window
The menu item is enabled at all times a single-channel image is displayed. The result is an image half as wide or half as tall as the original, with the data split down the X or Y axis.


Topic: Image Rotation window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Image Rotation window
  • Previous page
  • Next page

Image Rotation window

At times, you may find it useful to adjust the orientation of your data set. This is a different operation from View options such as volume rendering or orthographic rendering in that you are actually writing new image to the slide where the voxels are reoriented according to the options specified.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Rotate
See also:
Three View
Volume View
Image Rotation window

Image Range group

1. Image Range group Select image range as follows:
Current Image - Rotate only the currently selected image
Current Capture Type - Rotates all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Rotates all images captured using the same channels as the selected image in the current slide.
Top

Selected Images list

2. Selected Images list Check the box(es) for the image(s) you would like to rotate. This list will change depending on the Image Range selected above.
Top

Rotation Options

3. Rotation Options Select rotation options as depicted below:
(A) None, (B) Rotate Clockwise 90°, (C) Rotate Counterclockwise 90°, (D) Rotate 180°, (E) Flip Horizontal, (F) Flip Vertical, (G) Flip in Z, (H) Arbitrary CCW*
* Arbitrary CCW allows a user-defined counterclockwise rotation degree to be manually entered in the edit field. Because the voxels will not be re-oriented squarely, interpolation is required for this process
Bilinear interpolation considers the closest 2x2 neighborhood of known pixel values surrounding the unknown pixel. It then takes a weighted average of these 4 pixels to arrive at its final interpolated value.
Bicubic goes one step beyond bilinear by considering the closest 4x4 neighborhood of known pixels for a total of 16 pixels. Since these are at various distances from the unknown pixel, closer pixels are given a higher weighting in the calculation. Bicubic produces noticeably sharper images at the cost of higher processing time.
Top

OK button

4. OK button Press OK to proceed with image rotation and close the dialog.
Top

Cancel button

5. Cancel button Press Cancel to discard changes and close the dialog.
Top


Topic: Create Blank Image window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Create Blank Image window
  • Previous page
  • Next page

Create Blank Image window

The Create Blank Image window allows you to generate a blank image in the slide. You can specify number of channels, XY dimensions, and number of Z planes. Blank images can be useful for manually assembling imported montages or computing theoretical models.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Create Blank
Create Blank Image window


Topic: Merge Timelapse Images window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Merge Timelapse Images window
  • Previous page
  • Next page

Merge Timelapse Images window

You may find it useful to add one time series to another time series. To do so, the images must be of type 2D Timelapse or 4D Capture and contain the same channels and be of the same x/y/z dimensions.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Merge Timelapse Images
Merge Timelapse Images window

Base Image

1. Base Image
Select the image that will be the first image in the merged series.
Top

Add Images List

2. Add Images List
Select the image or images you would like to add. Hold Ctrl to select multiple images. Selected images will be highlighted in blue.
Top

Keep Original Images check

3. Keep Original Images check
Check the box to save the original images as well as the new merged image.
Top

OK button

4. OK button
Click OK to execute the operation and generate the merged image.
Top

Cancel button

5. Cancel button
Click Cancel to discard changes and close the window.
Top


Topic: Insert Image as Channel window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Edit Frames Group
  • Insert Image as Channel window
  • Previous page
  • Next page

Insert Image as Channel window

You may find it useful to merge the channels from one capture into a different capture.
Access in the Analyze tab, Edit Images group, [image] Reformat menu > Insert Channel
Insert Image as Channel window

Image selection

1. Image selection
The Image Name is the name of the image that will be inserted into the image selected on the slide. By default, the first channel of the image will be inserted.
If you check the box for Collapse all channels into destination, all channels for the image from the drop down selection will be added to the selected image on the slide. The new channels will be merged with the present channels such that the same total number of channels will exist.
Top

Position group

2. Position group
Enter in pixel values to manually offset the inserted channel(s) in X, Y, and/or Z. Use Auto XY to allow SlideBook to automatically align the images based on common features/ camera pixel information.
Alternatively, you may find it useful to position the channels after inserting them by going to (Analyze tab, Process menu) [image] Align > Align Channels (note this will not work when the box is checked to collapse all channels into destination).
Top

Montage group

3. Montage group
You may wish to create a montage of the current and selected images. To do so, enter a value of 2 for Image #. If the image is already a montage, use a value of n+1. Use Infer Position to automatically detect where in XY the inserted channel should go.
Top

OK button

4. OK button
Press OK to insert image as directed and close the dialog.
Top

Cancel button

5. Cancel button
Press Cancel to discard changes and close the dialog.
Top


Topic: Mask Generation Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Previous page
  • Next page

Mask Generation Group

When performing analysis on images, it is useful to define the specific pixels you wish to analyze by masking. A mask is a 2D or 3D set of binary values that has the same extent as the image to which it is assigned. Once created, a mask is permanently stored with its corresponding image. Masks are used for performing advanced selection and analysis of image data. They can either be created and edited manually or generated automatically through threshold segmentation and other techniques such as converting region data. Once masks are generated, you can use the Edit Mask group to define, separate, and track objects, further refining the masks before obtaining Mask Statistics.
Segment Mask opens a dialog to generate a mask automatically by user-defined threshold values (also available from the mask menu in a view window).
Create Mask opens a dialog to generate an empty mask and enables the mask drawing tools (also available from the mask menu in a view window).
Color opens the Mask Color dialog that allows the user to define the display color for masks, selected or highlighted objects, and mask outline. Use this function to change the default color from royal blue to a color of your choosing.
Interactive Segmentation opens a dialog that allows you to create a mask by thresholding two channels simultaneously. This is a very flexible and powerful tool for advancing thresholding of masks and colocalization analysis.
Single pixel pencil mask drawing tool
Small paint brush mask drawing tool, 4 pixel wide round-shaped brush
Large paint brush mask drawing tool, 12 pixel wide round-shaped brush
Paint bucket mask fill drawing tool, fills areas drawn with the paint brushes. You can also select an area using the [image] marquee tool and type Ctrl + M to fill the selected area with mask.
Small eraser mask tool, eliminates pixels that have been masked by drawing or thresholding techniques, 4 pixel wide round-shaped eraser
Large eraser mask tool, eliminates pixels that have been masked by drawing or thresholding techniques, 12 pixel wide round-shaped eraser
Mask outline toggle button alters the way the mask is displayed, either as a filled color or as an outline bounding the shape
Opens the Delete Mask dialog that allows you to delete one or more masks from the current image or all images in the slide
Opens the Rename Mask dialog to rename the currently selected mask
Converts all regions to mask areas
Converts masked areas to regions, it is important to note that regions persist through all z and time dimensions.
Copy this plane - Opens a dialog to copy the current mask in the current plane to other planes or time points in the image
Copy to all images in slide copies the current mask to all images in the slide with the same capture type and xy dimensions.
A single image can contain multiple masks. Any mask can be created and edited using the mask drawing tools. When you create (or draw) a mask, it will only be generated in the current plane/time point. To extend the mask to other z planes or time points, you will need to use Copy this plane.
Often you may have several distinct objects that will have intensities that are very similar, and thus will segment together. A mask that contains several distinct entities may be divided into objects. For instance, if an image contains a field of many cells, performing threshold segmentation of a nuclear stain such as Hoechst will result in a mask that contains distinct “islands.” Defining objects permits functions such as counting of objects and generating statistics for each subregion. Defining Objects, Splitting Objects, and Particle Tracking and more (including Boolean operations on masks) are discussed in the Edit Mask group.
NOTE: Mask drawing tools are also found under the tool menu when a mask is displayed or created.
See also:
TUTORIAL: Using Thresholding Techniques to Generate Masks
Configuring Background Subtraction with Mask Statistics
Exporting Statistics from Masks

The contents of Mask Generation Group

Create Segment Mask window
Create Empty Mask window
Interactive Segmentation window
Copy mask window
Mark or Unmark Selection


Topic: Create Segment Mask window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Create Segment Mask window
  • Previous page
  • Next page

Create Segment Mask window
Thresholding, also known as segmentation, allows you to perform a global selection based on image intensities. SlideBook’s segmentation process generates regions of interest that persist throughout the entire image in all dimensions.
Access in the Process Image tab, Mask Generation Group, or in the image window under the [image] Mask menu. Once a mask has been created by this technique, you can edit it using the drawing tools as described in Creating a New Mask or other advanced mask processing techniques in the Mask Edit group.
See also:
TUTORIAL: Using Thresholding Techniques to Generate Masks
Create Segment Mask window

Histogram area

1. Histogram area
The histogram is a graphical representation of intensity values of the pixels of an image. The x-axis represents intensity value in gray levels; the y-axis represents number of pixels. When you segment a mask, you are selecting the pixels that fall between low and high intensity values. It is important to note the Channel (2) that is selected as you only segment on one channel at a time.
The red line designates a Low value for display. You may click and drag on this line to adjust the low intensity value. Pixels with intensity values at or below the low level will not be selected as part of the mask. Alternatively, you may type a value in the Low edit field.
The green line designates a High value for display. You may click and drag on this line to adjust the high intensity value. Pixels with intensity values at or above the high level will not be selected as part of the mask. Alternatively, you may type a value in the High edit field.
Top

Channel Selection

2. Channel Selection
Select a Channel from the drop down menu. This channel will be represented in the histogram above.
SlideBook will mask any pixel that has intensity values that lie between the red and green bars in all of the three channels. In other words, segmentation is performing an AND operation across the bounds defined in all channels.
Top

Manual option

3. Manual option
Instead of clicking and dragging the red and green lines in the histogram, you may select Manual and type a value in the Low and/or High fields.
Top

Automatic option

4. Automatic option
For unbiased mask generation, the following algorithms are available:
Ridler-Calvard:
"Picture Thresholding Using an Iterative Selection Method"
T. W. Ridler and S. Calvard
IEEE Transactions on Systems, Man, and Cybernetics
Vol. SMC-8, No. 8, August 1978
pp. 630-632
Otsu:
"A Threshold Selection Method from Gray-Level Histograms"
Nobuyuki Otsu
IEEE Transactions on Systems, Man, and Cybernetics
Vol. SMC-9, No. 1, January 1979
pp. 62-66
Top

Mask Span

5. Mask Span
Current image – Segments the current image only
Current capture series (on OK) – Segments the current capture series only. This applies mainly to point visiting experiments.
Current capture type (on OK) – Segments the current capture type only. For instance, if you have a 2D timelapse image open in a slide with at least one other timelapse image, as well as other capture types, only the 2D timelapse images would be segmented.
All images with same channels (on OK) – Segments images that have the exact same number and type of channels. For instance, if you wish to segment a FITC channel, and one image contains a FITC channel while another contains both DAPI and FITC, both images will NOT be segmented. Only the active image will be segmented.
Top

Mask Name

6. Mask Name
Type a name for the mask. You can use the default naming of Mask 1, 2, etcetera or enter a relevant name. This name will be how you select the mask to show in View windows and in analysis. If necessary the mask can later be renamed by going to Mask Generation group, [image] Rename.
Top

Apply button

7. Apply button
Applies the mask to the current image. dialog stays open.
Top

Close button

8. Close button
Closes dialog, only saving changes once Apply has been pressed.
Top

OK button

9. OK button
Applies the mask parameters to all images designated in Mask Span and closes the dialog.
Top


Topic: Create Empty Mask window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Create Empty Mask window
  • Previous page
  • Next page

Create Empty Mask window
Masks can be manually drawn to visually select objects for analysis. When you do so, you may create the mask in only the current image or a range of images from the slide. It is important to note that an alternative to drawing masks and copying them to all planes/timepoints is to use regions tools that persist in all planes/timepoints and convert the regions to masks for analysis.
Access in the Process Image tab, Mask Generation Group, or in the image window under the [image] Mask menu
See also:
Mask Generation
Segment Image window
Create Empty Mask window
Enter a Name for the mask in the edit field. If necessary the mask can later be renamed by going to the Mask Generation group, [image] Rename.
Select the range of images to which you'd like to apply the mask as follows:
Current Image - Apply the selected operation to only the currently selected image
Current Capture Series -
Current Capture Type - Apply the selected operation to all images with same capture type in current slide (i.e. 2D Timelapse, 4D Capture, etc)
All images with Same Channels - Apply the selected operation to all images captured using the same channels as the selected image in the current slide.
Press Cancel to abandon the operation and close the window
Press OK to proceed and create a blank mask.
Once the blank mask is created, you may use the mask drawing tools found in Mask Generation group of the Analyze tab or the [image] Tool menu of the view window to draw a mask as shown below.


Topic: Interactive Segmentation window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Interactive Segmentation window
  • Previous page
  • Next page

Interactive Segmentation window
Interactive Segmentation provides a single tool to create a mask based on segmentation of more than one channel, perform binary operations, remove small objects, and links directly to statistical analysis. It also adds novel operations, such as polygon selection in a two channel scatter plot.
You may select up to three different channels to contribute to the mask generation:
  • •
    Channel 1
  • •
    Channel 2
  • •
    Gating Channel
In an image with three channels that are contributing to mask selection, the optional (gating) channel defines a channel whose super-threshold pixels will be ANDed with the results of the pixels selected in the scatter plot. For instance, an image of a cell that has a nuclear marker and two proteins of interest would assign the nuclear marker as the gate channel.
In an image with at least two channels, you may select two channels to participate in the scatter plot. From there, you would independently select thresholds using the per-channel histograms (and optionally perform a Boolean operation on the two), or select a threshold that is based on the interaction of the two channels by selecting a region in the scatter plot.
If there are only two channels in the image, there is no need for the gate channel and it is disabled.
If there is only one channel in the image, there is no value in having the scatter plot and it is disabled.
With a main view open, access in the Process tab, Mask Generation group [image] Interactive Segmentation
See also:
TUTORIAL: Interactive Mask Segmentation
Segment Image window
Colocalization window
Interactive Segmentation window

Selection Extent group

1. Selection Extent group
You can define the extent of both which voxels are included in the histogram/scatter plot and the voxels that would be marked in a resulting mask or binary channel. If regions are present, the extent can be restricted to a specific Region or All Regions. For time lapse images, the extent can be either the current time point or a specific time point.
Top

Settings

The Image Name of the current image will be displayed.
The color of the selection, as it appears in the associated view, can be user-selected by clicking on the Mask Color color block. This color will also dictate the default color of a corresponding mask in a surface plot (or any other views that support user-defined mask color).
Interactive Mask Segmentation settings can be saved for future use (or loaded from previously saved sessions) by using the Settings drop-down menu. A file with the extension .int_mask_seg.prefs will be saved per user in the User Preferences directory (accessible by going to Administration tab, [image] More Options menu > Open User Preferences Folder).
Top

Channel 1 Threshold group

3. Channel 1 Threshold group
Two different channels may be thresholded to define a binary channel or mask (as well as one Gating Channel). Select a Channel from the drop down menu. For each channel, the user can set a minimum intensity threshold in one of three ways:
  • •
    Drag the red bar on the histogram to the desired position
  • •
    Type a value in the Threshold edit field
  • •
    Select Auto and choose either the Otsu or Ridler-Calvard algorithm
If a region has been drawn on the scatter plot, it is cleared when the user changes any of the individual histogram threshold settings, and it is replaced by a rectangular region that corresponds to the thresholds and Boolean Operation selection.
Top

Channel 2 Threshold group

4. Channel 2 Threshold group
Two different channels may be thresholded to define a binary channel or mask (as well as one Gating Channel). Select a Channel from the drop down menu. For each channel, the user can set a minimum intensity threshold in one of three ways:
  • •
    Drag the red bar on the histogram to the desired position
  • •
    Type a value in the Threshold edit field
  • •
    Select Auto and choose either the Otsu or Ridler-Calvard algorithm
If a region has been drawn on the scatter plot, it is cleared when the user changes any of the individual histogram threshold settings, and it is replaced by a rectangular region that corresponds to the thresholds and Boolean Operation selection.
Top

Gating Channel Threshold group

5. Gating Channel Threshold group
In an image with three channels that are contributing to mask selection, the Gating Channel defines a channel whose super-threshold pixels will be ANDed with the results of the pixels selected in the scatter plot. For instance, an image of a cell that has a nuclear marker and two proteins of interest would assign the nuclear marker as the gate channel.
To use a gating channel, check the box for Enable Gating and select the Channel from the drop-down menu.
You may set a minimum intensity threshold in one of three ways:
  • •
    Drag the red bar on the histogram to the desired position
  • •
    Type a value in the Threshold edit field
  • •
    Select Auto and choose either the Otsu or Ridler-Calvard algorithm
If a region has been drawn on the scatter plot, it is cleared when the user changes any of the individual histogram threshold settings, and it is replaced by a rectangular region that corresponds to the thresholds and Boolean Operation selection.
Top

Scatter Plot area

6. Scatter Plot area
The scatter plot is a graphical representation of the pixels in the image. Each pixel is represented as a dot where the x-axis represents Channel 1 intensity and the y-axis represents Channel 2 intensity.
The red line represents the threshold value for Channel 1 and can be set by dragging the line in the scatter plot or channel histogram, or by manually typing in a value. You may also set the value for this line manually or automatically in the Threshold area of the Channel 1 Threshold Group.
The green line represents the threshold value for Channel 2 and can be set by dragging the line in the scatter plot or channel histogram, or by manually typing in a value. You may also set the value for this line manually or automatically in the Threshold area of the Channel 2 Threshold Group.
Alternatively, you can click and drag a rectangle on the scatter plot to select a population of pixels for analysis. To do so, select Region for the Channel Data Selection type then click and drag on the scatter plot area.
Top

Channel Data Selection group

7. Channel Data Selection group
Channel Data Selection refers to the binary channel or mask you are creating, as represented on the scatter plot. Threshold refers to the area to the right of the red line and above the green line. Region allows you to click and drag a rectangle in the scatter plot to select a population of voxels.
Top

Channel Combination Operations group

8. Channel Combination Operations group
Channel Combination Operations are only relevant when Threshold is the type of Channel Data Selection used (see above).
When at least two channels are present, and the user is adjusting individual channel histograms (as opposed to drawing a Region in the scatter plot), there will be five different Ch1/Ch2 options available: 1 AND 2, 1 OR 2, 1 XOR 2, 1 AND NOT 2, and 2 AND NOT 1. The default will be 1 AND 2. Portions of the scatter plot that are excluded by the Boolean operation will be not be used as part of the binary channel or mask. Boolean operations are defined as follows:
1 AND 2 | selects pixels that are above the threshold values of both channels
1 OR 2 | selects pixels that are above at least one of the threshold values
1 XOR 2 | selects pixels that are above one of the threshold values but not above both threshold values
1 AND NOT 2 | selects pixels that are above the threshold value of channel 1 but below the threshold value of channel 2
2 AND NOT 1 | selects pixels that are above the threshold value of channel 2 but below the threshold value of channel 1
The Gating options are the same as for individual channels in the scatter plot. The result of the Ch1/Ch2 selection can be combined using Boolean operations with the selected Gating Channel, G as follows:
(Ch1/Ch2 Selection) AND G – selects pixels that are above the threshold value of the gating channel and selected by the the Ch1/Ch2 selection
(Ch1/Ch2 Selection) OR G - selects pixels that are either above the threshold value of the gating channel or selected by the Ch1/Ch2 selection
(Ch1/Ch2 Selection) XOR G – selects pixels that are either above the threshold value of the gating channel or selected by the Ch1/Ch2 selection but not both
(Ch1/Ch2 Selection) AND NOT G – selects pixels that are above the threshold value of the gating channel but not selected by the Ch1/Ch2 selection
(Ch1/Ch2 Selection) AND NOT G - selects pixels that are selected by the Ch1/Ch2 selection but below the threshold value of the gating channel
Top

Background Threshold Adjustment group

9. Background Threshold Adjustment group
You will have an option of placing an additional constraint on what constitutes a background voxel. If selected, any voxel for which no channel is above the mean intensity for that channel plus a given number of standard deviations will be still considered background.
NOTE: This modified definition of background will only govern which voxels are selected and will not affect any statistics of the selected voxels or the subtraction of a Background Region if defined.
Top

Size Filter group

10. Size Filter group
Size Filter allows you to place a Minimum and Maximum object size on the selection display, either in voxels or cubic microns. This will also affect the generated mask or binary channel.
Top

Statistics group

11. Statistics group
A few basic statistics will be displayed directly in the dialog:
Pearsons r: Pearson’s correlation between channel 1 and channel 2 among the selected voxels (when channel 1 and channel 2 are defined)
Total Voxels: Total number of voxels represented by the current image (or region(s) if Region is selected under Selection Extent)
Selected Voxels: Number of selected voxels that pass either the threshold tests or fall within the scatterplot region
Mask Stats: Opens up the [image] Mask Statistics dialog box
Top

Apply group

12. Apply group
Once all parameters of Interactive Segmentation have been configured, you have the option of applying the technique to other images in the slide with the same Capture Type or Same Channels. You can save the selected pixels as either a Mask or a Binary Channel by naming the relevant selection and clicking Create. If you create a mask, you can later rename it by going to Mask > Rename. By creating a binary channel, you will have the ability to do Volume Rendering of the mask; otherwise, you may only render masks in the Surface View.
NOTE: You can save all parameters for future use in the Settings area of this window.
Top

The contents of Interactive Segmentation window

TUTORIAL: Interactive Segmentation


Topic: TUTORIAL: Interactive Segmentation

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Interactive Segmentation window
  • TUTORIAL: Interactive Segmentation
  • Previous page
  • Next page

TUTORIAL: Interactive Segmentation

Interactive Segmentation provides a single tool to create a mask based on segmentation of more than one channel, perform binary operations, remove small objects, and links directly to statistical analysis. It also adds novel operations, such as polygon selection in a two channel scatter plot. In the following tutorial, we will examine this dialog as it may be utilized to perform 3D colocalization analysis of the following image. For additional information on this dialog, please review the user interface page Interactive Segmentation window.
In this example, our user is interested in quantifying the amount of colocalization of red and green signal within the nucleoli of the cell. We will be using thresholding techniques to segment on the red and green channels and gate them by the blue channel.
1. Open the image in SlideBook. It is recommended that you first set a background region for subtraction. To do so, draw a region in a background area using the Region Tools. Right-click and select Set as Background. You may need to enable background subtraction as discussed in Configuring Background Subtraction with Mask Statistics.
2. Go to Process tab, Mask Generation group, [image] Interactive Segmentation. The Interactive Segmentation dialog will open.
3. Select the two channels you would like to analyze and the channel you would like to use for gating. In this example, we will set Channel 1 to FITC, Channel 2 to CY5, and check the box to Enable Gating. The gating channel should be set to DAPI.
4. For unbiased thresholding, select Auto then select the Otsu method for all channels.
5. Next, you need to define how you would like to utilize the threshold values of each of the channels in the Channel Combination Operations Group as follows:
Ch1/Ch2 - When at least two channels are present, and the user is adjusting individual channel histograms (as opposed to drawing a Region in the scatter plot), there will be five different Ch1/Ch2 options available. Boolean operations are defined as follows:
1 AND 2 | 1 OR 2 | 1 XOR 2 | 1 AND NOT 2 | 2 AND NOT 1
Since the goal is to find colocalized green and red pixels (pixels above the threshold value in both Channel 1 and Channel 2), we will use 1 AND 2 for Ch1/Ch2.
The Gating options are the same as for individual channels in the scatter plot. The result of the Ch1/Ch2 selection can be combined using Boolean operations with the selected Gating Channel, G as follows:
(Ch1/Ch2 Selection) AND G – selects pixels that are above the threshold value of the gating channel and selected by the the Ch1/Ch2 selection
(Ch1/Ch2 Selection) OR G - selects pixels that are either above the threshold value of the gating channel or selected by the Ch1/Ch2 selection
(Ch1/Ch2 Selection) XOR G – selects pixels that are either above the threshold value of the gating channel or selected by the Ch1/Ch2 selection but not both
G AND NOT (Ch1/Ch2 Selection) – selects pixels that are above the threshold value of the gating channel but not selected by the Ch1/Ch2 selection
(Ch1/Ch2 Selection) AND NOT G - selects pixels that are selected by the Ch1/Ch2 selection but below the threshold value of the gating channel
We will be gating by the blue channel in a way to select for nucleoli - areas that do not contain the DAPI stain but are over the threshold values for both Channel 1 and Channel 2. The Gating selection we will make is 2 AND NOT 1, pixels that are defined by the Ch1/Ch2 definition and are not over the threshold value defined in the gating channel.
6. When a background region is defined in the image, the mean intensity in that region for each channel is subtracted from each voxel before they are plotted on the scatterplot. You have the option of increasing this value by x number of standard deviations of the mean intensity value calculation. To do so, check the box to enable the adjustment then enter a value for the number of standard deviation values you would like to add to the mean intensity. For example, if the mean background intensity for a channel was 115 and the standard deviation was 15, you could use a value of 1 in this field and subtract 130 or [115 + (1*15)] from each voxel instead of the mean value 115.
NOTE: This modified definition of background will only govern which voxels are selected and will not affect any statistics of the selected voxels or the subtraction of a Background Region if defined.
7. Size Filter allows you to place a Minimum and Maximum object size on the selection display, either in voxels or cubic microns. This will also affect the generated mask or binary channel.
8. A few basic statistics will be displayed directly in the dialog:
Pearsons r: Pearson’s correlation between channel 1 and channel 2 among the selected voxels (when channel 1 and channel 2 are defined)
Total Voxels: Total number of voxels represented by the current image (or region(s) if Region is selected under Selection Extent)
Selected Voxels: Number of selected voxels that pass either the threshold tests or fall within the scatterplot region
Mask Stats: Opens up the [image] Mask Statistics dialog box
9. Once all parameters of Interactive Segmentation have been configured, you have the option of applying the technique to other images in the slide with the same Capture Type or Same Channels. You can save the selected pixels as either a Mask or a Binary Channel by naming the relevant selection and clicking Create. If you create a mask, you can later rename it by going to Mask > Rename. By creating a binary channel, you will have the ability to do Volume Rendering of the mask; otherwise, you may only render masks in the Surface View. Both masks andbinary channels will be saved with the image when you resave the .sld.
10. If desired, you can adjust the color of the displayed mask and save the Interactive Masking parameters for future use by using the Settings menu.


Topic: Copy mask window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Copy mask window
  • Previous page
  • Next page

Copy mask window

When drawing a mask manually (via Create dialog), the mask is only drawn in the current plane. You may wish to copy the drawn mask to other z planes or time points. To do so, you will use the Copy mask window. It is important to note that an alternative to drawing masks and copying them to all planes/timepoints is to use regions tools that persist in all planes/timepoints and [image] Convert Regions to Masks for analysis.
Access in Process tab, Mask Generation Group, [image] Copy Mask menu > Copy this Plane
See also:
Create New Mask window
Segment Image window
Copy mask window
To copy the mask to other Z Planes, check the box for Copy mask in current z plane to...
To copy the mask to other Timepoints, check the box for Copy mask in current timepoint to...
Select the range as follows:
All planes/timepoints - copies the mask to all z planes or timepoints in the image
All subsequent planes/timepoints - copies the mask to all z planes or time points after the one in which the mask was created
The next __ plane(s)/ timepoint(s) - type a value in the edit field, the mask will be copied to that number of planes or timepoints after the one in which the mask was created
Planes/Timepoints __ through __ - type values for start and end z planes or timepoint to create a range to copy the mask to
Press OK to apply the copying action for the mask and close the window.
Press Cancel to discard changes and close the window.


Topic: Mark or Unmark Selection

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Generation Group
  • Mark or Unmark Selection
  • Previous page
  • Next page

Mark or Unmark Selection

Any time a mask is being displayed (whether generated via Create or Segment), you may draw rectangular regions using the Marquee tool to either add or subtract from the mask.
Simply select the [image] Marquee tool and click and drag to draw an area on the image.
In the view window, go to Mask > Mark or type Ctrl + M to fill the area with mask (shown as "1" below).
In the view window, go to Mask > Unmark or type Ctrl + U to remove any masking from the area (shown as "2" below).
NOTE: These actions will only apply to the current time point or z plane unless subsequent steps are take to copy the mask (see Copy mask window ).


Topic: Mask Edit Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Previous page
  • Next page

Mask Edit Group

Once a mask has been created, it can be further prepared for statistical analysis using the tools available in the Edit Mask group.
Define Objects
The Define Objects dialog allows you to number objects within a mask and exclude objects smaller or larger than a specific size.
Refine Mask
Remove Edge Objects - exclude masked objects that aren't completely within the image bounds
Mask Operations - combine or edit masks using Boolean operations
Select Objects (Bivariate Plot) - plot statistic A vs Statistic B and use the graph to select objects based on defined criteria
Fit Data - used to compute cross-talk coefficients or bleedthrough between channels
Erode - applies a kernel to the entire mask that removes a user-defined number of voxels from the perimeter of the mask. This function can be applied to in only the x, y dimension (2D) or in the z dimension (3D) as well.
Dilate - applies a dilation kernel to the entire mask and thickens features. The user defines a radius of the number of pixels the current mask will be expanded by and whether the mask should be dilated in 2D or 3D.
Skeletonize - reduces the mask to a set of connected junctions. This function can only be applied to single plane, 2D images and is only available when the CellNet module has been purchased.
Split Objects
Split Objects Along Lines - Use the line region tool to draw dividing lines on objects (hold Ctrl key to make a multi-segment line), select Split Objects Along Lines. Be sure to update object definitions to confirm object splitting.
Undo Split Objects Along Lines - Reverses the split objects along lines operation.
Split Objects Automatically - Performs a basic watershed operation on the mask.
Split Objects Protocol - Allows you to configure and apply and advanced object splitting protocol.
Particle Tracking
Once you have defined objects via masking (in either 2D or 4D data), you may wish to track them over time by ensuring the same object ID carries between timepoints. SlideBook offers two methods for particle tracking, automated and manual. For visualization of paths, you may wish to use [image] Create Time Composite Channel (found in the View group of the Home tab).
To perform particle tracking, you may either use the Particle Tracking Protocol or individual dialog boxes. The Particle Tracking Protocol has the advantage of being able to save and reuse your particle tracking parameters, and apply them in a batch fashion. When this is not necessary, you may prefer to use Basic Particle Tracking.
For objects that are particularly difficult to track automatically, SlideBook includes Manual Particle Tracking. Using this approach, you will click through a data set, identifying each object through time.
After objects are tracked in software, you can display paths by selecting Display Paths from the Particle Tracking menu. The paths for each object will be colored from blue to red where blue indicates the first time points and red indicates the end time points as shown in the example image below.
After tracking, you may retrieve information on the individual paths from the Path Statistics window.
Advanced Particle Tracking
Export Paths to MATLAB
Subresolution Particle Tracking
Smooth Curve Analysis
Smooth Curve Analysis allows you to follow time-dependent lateral intensity changes along a static object by straightening it out and calculating velocity and other statistics.
Displayed paths following Particle Tracking

The contents of Mask Edit Group

Define Objects window
Remove Edge Objects window
Mask Operations window
Select Objects (Bivariate Plot) window
Fit Data window
Mask Erosion window
Mask Dilation window
Split Objects Automatically window
Split Objects Protocol
Particle Tracking Menu
Smooth Curve Analysis - Generate Image window


Topic: Define Objects window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Define Objects window
  • Previous page
  • Next page

Define Objects window
When generating statistics based on masks, you may find it useful to exclude objects smaller or larger than a specific size. For example, excluding objects smaller than 10 voxels is a good way to eliminate artifacts from sample preparation. The Define Objects window is the only place to eliminate objects larger than a certain size but several analysis dialogs (Mask Statistics, Particle Tracking, and Split Objects Protocol) have the option to exclude objects smaller than a specified size.
Access in the Process tab, Edit Mask group, Define Objects or Update Objects
See also:
Annotation Settings Object IDs tab
Segment Image window
Ratio Module - Tutorial: Using Thresholding Techniques to Generate Masks
Define Objects window
If you do not want to exclude any objects and simply want to define/count the objects in a mask, simply click OK. A progress dialog will open then a window will display the total number of objects. You can then view the object numbers by going to Annotations in the Home tab.
Should you choose to exclude some objects based on size, check the box to Gate Objects by Size. Enter values for Minimum size and Maximum size as desired. Be sure to select the appropriate unit of voxels or ųm3.
To define objects for all masks with the same name in the slide, check the box to Generate for all similarly named masks in the current slide.
Click OK to define objects and close the dialog. A progress dialog will open then a window will display the total number of objects. You can then view the object numbers by going to in the Home tab. Should you wish to exclude more objects from the definitions, this dialog will now be called Update Object Definitions.
Click Cancel to abandon definition of objects.


Topic: Remove Edge Objects window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Remove Edge Objects window
  • Previous page
  • Next page

Remove Edge Objects window

When analyzing an image using segmented masks, often times objects will be located on the edge of the image. Depending on the type of analysis, you may wish to exclude objects that are not located entirely within the image. To do so, you may Remove Edge Objects to eliminate these objects from the mask.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Remove Edge Objects
See also:
Segment Image window
Define Objects window
Remove Edge Objects window
Select Dimensionality as follows:
2D (x/y) will only look for and eliminate objects that are located on the x or y borders (not the top and bottom of z stacks).
3D (x/y/z) will eliminate objects occurring on any of the cube of data borders - x, y, or z.


Topic: Mask Operations window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Mask Operations window
  • Previous page
  • Next page

Mask Operations window

Masks can be combined or altered using Boolean operations. For instance, the intersection of two masks can be generated by an AND operation. The Mask Operations dialog lets you either generate a new mask that contains the result of a Boolean operation or replace an existing mask with the result of an operation.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Mask Operations
Mask Operations window
Use the radio buttons to select whether the operation will take place for the current image or all images on the slide.
Select the masks to be used from the Left Mask and Right Mask lists.
Select the operation to be performed using the radio buttons. Click here to visualize the operations.
AND – selects pixels that are in both masks
MINUS – removes any pixels that are present in the right mask from the left mask
NOT – selects all pixels that are not marked in the left mask, operation only applies to one mask
OR – selects pixels that are in either of the two selected masks
XOR – adds both masks and removes any common pixels
Select the destination for the mask operation using the radio buttons. If you want the Result to replace the contents of either the left or right mask, select the corresponding radio button for that mask. If you want to generate a new mask, select the New Mask radio button and give the new mask a name in the edit field.
Click OK to perform the Boolean operation or Cancel to discard changes and close the dialog.

The contents of Mask Operations window

Mask Operations Examples


Topic: Mask Operations Examples

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Mask Operations window
  • Mask Operations Examples
  • Previous page
  • Next page

Mask Operations Examples

Below, you will find a guide that illustrates various Mask Operations. We begin with a data set and use segmentation (thresholding) on the green channel generate Mask 1. We then manually create a Mask 2 that selects for one of the cells in the field of view.
Mask 1
Mask 2
We perform various Mask Operations and display the results below.
Mask 1 AND Mask 2 – selects pixels that are in both masks
Mask 1 MINUS Mask 2 – removes any pixels that are present in the right mask from the left mask
Mask 1 NOT – selects all pixels that are not marked in the left mask, operation only applies to one mask
Mask 1 OR Mask 2 – selects pixels that are in either of the two selected masks
Mask 1 XOR Mask 2 – adds both masks and removes any common pixels


Topic: Select Objects (Bivariate Plot) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Select Objects (Bivariate Plot) window
  • Previous page
  • Next page

Select Objects (Bivariate Plot) window

The Bivariate Plot allows you to plot statistics against each other and select objects meeting a desired criteria. To use this window, you must first generate a mask and calculate Mask Statistics.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Select Objects (Bivariate Plot)
Select Objects (Bivariate Plot) window
Select statistics to plot on the X Axis and Y Axis. These statistics must have been previously calculated using the Mask Statistics window.
Green dots will populate the graph. Each dot represents an object in the image. You may find it useful to display object IDs (Ctrl + Shift + O).
Click and drag to draw a rectangle on the plot area. The selected objects will turn to red dots on the graph and the masks covering these objects in the image will be a pink color (instead of the standard blue mask color).


Topic: Fit Data window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Fit Data window
  • Previous page
  • Next page

Fit Data window

You may find it useful to compute a cross-talk coefficient if you suspect bleedthrough due to filter inefficiencies or incompatibility between filter sets and fluoroprobes. To do so, you will need to prepare single channel control samples and then image in multiple channels. After the linear fit is computed, you may use Channel Math to create corrected channels for analysis.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Fit Data
Fit Data window
Select the Independent channel and Dependent channel from the dropdown menus. The independent channel is the control. The dependent channel is the one you are checking for cross-talk. Press Compute Linear Fit.
The linear least squares fit will be displayed in the Results section, giving the equation for a line:
Dependent channel = m * Independant channel + b
with a "goodness-of-fit" expressed as r^2 and the # of voxels used for analysis displayed.
Manually record the values and press Close to close the dialog.


Topic: Mask Erosion window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Mask Erosion window
  • Previous page
  • Next page

Mask Erosion window

Mask Erosion applies a kernel to the entire mask that removes a user-defined number of voxels from the perimeter of the mask. This function can be applied to in only the x, y dimension (2D) or in the z dimension (3D) as well.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Erode
Mask Erosion window

Mask Selection dropdown

1. Mask Selection dropdown
Select the mask to erode from the dropdown menu. It is important to note that the mask displayed on the image is not necessarily the mask that will be eroded unless selected from the list.
Top

Mask Range option

2. Mask Range option
Select the mask range as follows:
Current Mask - operation will be performed only on the mask selected from the dropdown above
All Masks in the Slide with the Same Name - operation will be repeated on all masks with the same name on any image in the slide
All Masks in the Same Capture with the Same Name -
All Masks with the Same Capture type and the Same Name - operation will be repeated on all masks with the same name on only on images with the same Capture Type in the slide
Top

Radius Settings

3. Radius Settings
Type a value for the Radius to erode. This is the number of voxels that will be subtracted from the edges of the mask. Select 2D or 3D to perform the operation on each plane individually or on the entire mask as 3D objects.
Top

OK button

4. OK button
Click OK to apply the erosion and close the dialog.
Top

Cancel button

5. Cancel button
Click Cancel to discard the changes and close the dialog.
Top


Topic: Mask Dilation window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Mask Dilation window
  • Previous page
  • Next page

Mask Dilation window

Mask Erosion applies a kernel to the entire mask that removes a user-defined number of voxels from the perimeter of the mask. This function can be applied to in only the x, y dimension (2D) or in the z dimension (3D) as well.
Access in The Edit Mask Group of the Home tab, [image] Refine Mask > Dilate
Mask Dilation window

Mask Selection dropdown

1. Mask Selection dropdown
Select the mask to dilate from the dropdown menu. It is important to note that the mask displayed on the image is not necessarily the mask that will be dilated unless selected from the list.
Top

Mask Range option

2. Mask Range option
Select the mask range as follows:
Current Mask - operation will be performed only on the mask selected from the dropdown above
All Masks in the Slide with the Same Name - operation will be repeated on all masks with the same name on any image in the slide
All Masks in the Same Capture with the Same Name -
All Masks with the Same Capture type and the Same Name - operation will be repeated on all masks with the same name on only on images with the same Capture Type in the slide
Top

Radius Settings

3. Radius Settings
Type a value for the Radius to dilate. This is the number of voxels that will be added to the edges of the mask. Select 2D or 3D to perform the operation on each plane individually or on the entire mask as 3D objects.
Top

OK button

4. OK button
Click OK to apply the dilation and close the dialog.
Top

Cancel button

5. Cancel button
Click Cancel to discard the changes and close the dialog.
Top


Topic: Split Objects Automatically window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Automatically window
  • Previous page
  • Next page

Split Objects Automatically window

To split objects automatically, SlideBook employs a “watershed” algorithm. This is useful to separate objects that may be joined by thin connectors as shown below.
With a segmented mask displayed and objects defined, access in the Edit Mask group of the Process tab, [image] Split Objects > Split Objects Automatically
NOTE: Splitting objects is only available for 2D and 2D Timelapse data types as well as projection images of 3D and 4D data.
See also:
Segment Image window
Define Objects window
Mask Generation
Split Objects Automatically window
The slider bar controls how aggressive the splitting algorithm will be. A value of 100% refers to no splitting while 0% refers to the most aggressive splitting algorithm. Adjust this slider to a position you feel will give you clear object separation.
Click Preview. You will notice that the mask is updated on the image.
If the splitting is adequate, click OK. If the splitting is inadequate, adjust the percentage and Preview until you are satisfied with the result, then click OK.


Topic: Split Objects Protocol

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Protocol
  • Previous page
  • Next page

Split Objects Protocol

The Split Objects Protocol is a useful tool for batch processing analysis as it allows you to combine several mask processing steps (including watershed separation) and save the parameters for future use. Once a protocol has been created, you can apply it to multiple images on a slide with just a few button clicks.
NOTE: Splitting objects is available for 2D and 2D Timelapse data types as well as projection images of 3D and 4D data.
With a segmented mask displayed and objects defined, access in the Edit Mask group of the Process tab, [image] Split Objects > Split Objects Protocol.

The contents of Split Objects Protocol

Object Splitting Protocol (Fill Holes) window
Object Splitting Protocol (Object Removal) window
Object Splitting Protocol (Watershed) window
Object Splitting Protocol (Apply Operation) window


Topic: Object Splitting Protocol (Fill Holes) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Protocol
  • Object Splitting Protocol (Fill Holes) window
  • Previous page
  • Next page

Object Splitting Protocol (Fill Holes) window

The first step of the Object Splitting Protocol allows you to select a mask and fill holes, or gaps, in the mask.
Object Splitting Protocol (Fill Holes) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Object Splitting Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in object splitting. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process.
Top

Tracking Parameters group

3. Tracking Parameters group
Select a mask from the Mask Name dropdown menu. The default option will be the mask that is displayed.
Choose parameter to use for filling holes as follows:
Best Guess –
Specified Threshold –
Press Fill and Continue to fill holes as designated and proceed to Object Removal. Press Fill to fill holes as designated and remain in this window in case you would like to adjust any parameters before proceeding.
Top

Progress bar

4. Progress bar
The progress bar reports the hole filling progress. You may interrupt the process at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next button

5. Next button
Once tracking is complete, you may press Next to proceed to Object Removal.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Any mask manipulation performed in the process will remain with the mask and must be saved with the image.
Top


Topic: Object Splitting Protocol (Object Removal) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Protocol
  • Object Splitting Protocol (Object Removal) window
  • Previous page
  • Next page

Object Splitting Protocol (Object Removal) window

The second step of the Object Splitting Protocol allows you to exclude small objects from the mask.
Object Splitting Protocol (Object Removal) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Object Splitting Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in object splitting. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process.
Top

Small Object Removal group

3. Small Object Removal group
Select a mask from the Mask Name dropdown menu. The default option will be the mask that is displayed.
If you would like to exclude object smaller than a specific size, enter a size and designate units of the size. Alternatively, you may define objects based on size using the Define Objects window.
Press Remove and Continue to remove small objects as designated and proceed to Watershed. Press Remove to remove small objects as designated and remain in this window in case you would like to adjust any parameters before proceeding.
Top

Progress bar

4. Progress bar
The progress bar reports the object removal progress. You may interrupt the process at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next button

5. Next button
Once object removal is complete, you may press Next to proceed to Watershed.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Any mask manipulation performed in the process will remain with the mask and must be saved with the image.
Top


Topic: Object Splitting Protocol (Watershed) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Protocol
  • Object Splitting Protocol (Watershed) window
  • Previous page
  • Next page

Object Splitting Protocol (Watershed) window

The third step of the protocol is where the watershed separation takes place. See also Split Objects Automatically (Watershed Separation) window.
Object Splitting Protocol (Watershed) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Object Splitting Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in object splitting. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process.
Top

Watershed Separation group

3. Watershed Separation group
The slider bar controls how aggressive the splitting algorithm will be. A value of 100% refers to no splitting while 0% refers to the most aggressive splitting algorithm. Adjust this slider to a position you feel will give you clear object separation.
Press Split and Continue to remove small objects as designated and proceed to Apply Operation. Press Split to remove small objects as designated and remain in this window in case you would like to adjust any parameters before proceeding.
To display the results of object splitting, go to the [image] Mask Menu and select the mask with spl appended to the name.
Top

Progress bar

4. Progress bar
The progress bar reports the splitting progress. You may interrupt the process at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next button

5. Next button
Once splitting is complete, you may press Next to proceed to Apply Operation.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Any mask manipulation performed in the process will remain with the mask and must be saved with the image.
Top


Topic: Object Splitting Protocol (Apply Operation) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Split Objects Protocol
  • Object Splitting Protocol (Apply Operation) window
  • Previous page
  • Next page

Object Splitting Protocol (Apply Operation) window

In the final step of the Object Splitting Protocol, you can select which images to perform the watershed separation on. Once a protocol is saved, you may simply skip to this step and apply the saved protocol to new images.
Object Splitting Protocol (Apply Operation) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Object Splitting Protocol from the drop down menu.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in object splitting. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process.
Top

Apply Protocol to Selected Images group

3. Apply Protocol to Selected Images group
If you have more than one image in the slide, you may choose to apply the protocol to other images in the slide. Simply check the checkboxes of the images you wish to analyze.
Press Select All to check all boxes.
Press Clear All to uncheck all boxes.
Top

Send Intermediate Results group

4. Send Intermediate Results group
You may select whether you would like to send results To Screen for display only or save To Disk to choose a directory and save the output.
Top

Progress bar

5. Progress bar
The progress bar reports the status of splitting objects. You may interrupt the process at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Any mask manipulation performed in the process will remain with the mask and must be saved with the image.
Top


Topic: Particle Tracking Menu

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Previous page
  • Next page

Particle Tracking Menu

Once you have defined objects via masking, you may wish to track them over time (in either 2D or 4D). SlideBook offers two methods for particle tracking, automated and manual.
To perform particle tracking, you may either use the Particle Tracking Protocol or individual dialog boxes. The Particle Tracking Protocol has the advantage of being able to save and reuse your particle tracking parameters, and apply them in a batch fashion. When this is not necessary, you may prefer to use Basic Particle Tracking.
For objects that are particularly difficult to track automatically, SlideBook includes Manual Particle Tracking. Using this approach, you will click through a data set, identifying each object through time.
After objects are tracked in software, you can display paths by selecting Display Paths from the [image] Particle Tracking menu in the Edit Mask group of Process tab. Paths will be drawn for each object. The paths will be colored from blue to red where blue indicates the first time points and red indicates the end time points as shown in the example below.

The contents of Particle Tracking Menu

Particle Tracking Protocol (Path Creation) window
Particle Tracking Protocol (Path Statistics) window
Particle Tracking Protocol (Object Statistics) window
Particle Tracking Protocol (Apply Operation) window
Basic Particle Tracking window
Manual Particle Tracking window
Path Statistics window


Topic: Particle Tracking Protocol (Path Creation) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Particle Tracking Protocol (Path Creation) window
  • Previous page
  • Next page

Particle Tracking Protocol (Path Creation) window

Particle Tracking Protocol (Path Creation) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Particle Tracking Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in particle tracking. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process. Once Tracking Parameters have been applied for Path Creation, you may close the Particle Tracking Protocol and directly access individual operations from the Particle Tracking Menu.
Top

Tracking Parameters group

3. Tracking Parameters group
Select a mask to use for tracking from the Mask Name dropdown menu. The default option will be the mask that is displayed. Check the box if you would like to exclude object smaller than a specific size. Alternatively, you may define objects based on size using the Define Objects window.
Choose parameter to use for tracking as follows:
Center of Area/Volume – the coordinates of the center of the object, unweighted by intensity values.
Center of Intensity – the coordinates of the center of the object (either in 2D or 3D), weighted by intensity values. If you select this feature, you will also need to select the Channel that is used for weighting.
Mean Adjusted Center of Intensity – the coordinates of the center of the objected, weighted by intensity values that are above the mean intensity. This is a useful feature to track if you have delineated your objects by hand. By using values that fall above the mean, any imprecision in your hand delineation does not impact the center of intensity calculation. If you select this feature, you will also need to select the Channel that is used for weighting.
Enter the Maximum Movement that you expect from any given object from one time point to the next. This will help the particle tracking algorithm distinguish between objects that may have similar centroid values.
Check the box if you would like to set a limit on the minimal number of time points an object must pass through to be counted in analysis. Enter the Minimum Path Length (in timepoints) that must be tracked in order to determine a path. For instance, if you enter “3,” any object that cannot be followed for at least three time points will be removed for the mask.
Press Track and Continue to track as designated and proceed to Path Statistics. Press Track to track as designated and remain in this window in case you would like to adjust any tracking parameters before proceeding. To view the paths that are created with tracking, go to Mask > Particle Tracking > Display Paths.
Top

Progress bar

4. Progress bar
The progress bar reports the tracking progress. You may interrupt tracking at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next button

5. Next button
Once tracking is complete, you may press Next to proceed to Path Statistics.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Object paths are part of the mask and will not be saved with an image until the slide is saved.
Top


Topic: Particle Tracking Protocol (Path Statistics) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Particle Tracking Protocol (Path Statistics) window
  • Previous page
  • Next page

Particle Tracking Protocol (Path Statistics) window

Particle Tracking Protocol (Path Statistics) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Particle Tracking Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in particle tracking. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process. Once Tracking Parameters have been applied for Path Creation, you may close the Particle Tracking Protocol and directly access individual operations from the Particle Tracking Menu.
Top

Path Statistics group

3. Path Statistics group Select the Path Statistics you would like to calculate for each path.
Press Clear All to uncheck all boxes.
Press Calculate and Continue to calculate and move on to Apply Operation.
Press Calculate to display statistics and remain in this dialog.
The following statistics are available for each path based on the diagram below.
Endpoint Displacement – the distance traveled between the first and last timepoints of the path, as represented by the length of the red line in the figure above.
Endpoint X Displacement – the distance traveled in the x-axis between the first and last timepoints of the path, as represented by the length of the dotted green line in the figure above.
Endpoint Y Displacement – the distance traveled in the x-axis between the first and last timepoints of the path, as represented by the length of the dotted blue line in the figure above.
Endpoint Speed – the distance represented by the length of the red line divided by the time required to travel that distance.
Average Speed – the total distance traveled (the sum of distances d1 to d7 as shown in the figure above) divided by the time required to travel that distance.
Total Displacement – the total distance traveled by the object (the sum of distances d1 to d7 as shown in the figure above).
Path Length – number of timepoints in the path.
Path MSD -
Path Lifetime – the total elapsed time for a given path.
Path Start Point – centroid of the first point in the path.
Path End Point – centroid of the last point in the path.
NOTE: The Path Statistics dialog box can also be found by selecting Mask > Particle Tracking > Path Statistics.
Top

Progress bar

4. Progress bar
The progress bar reports the tracking progress. You may interrupt tracking at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next > button

5. Next > button
Once tracking is complete, you may press Next to proceed to Object Statistics.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Object paths are part of the mask and will not be saved with an image until the slide is saved.
Top


Topic: Particle Tracking Protocol (Object Statistics) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Particle Tracking Protocol (Object Statistics) window
  • Previous page
  • Next page

Particle Tracking Protocol (Object Statistics) window

Particle Tracking Protocol (Object Statistics) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Particle Tracking Protocol from the drop down menu. When you load an existing protocol, you will automatically advance to the Apply Operation window.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in particle tracking. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process. Once Tracking Parameters have been applied for Path Creation, you may close the Particle Tracking Protocol and directly access individual operations from the Particle Tracking Menu.
Top

Object Statistics group

3. Object Statistics group
Select Object Statistics to calculate by checking the boxes next to the statistic. These are the same object statistics available in Mask Statistics.
Press Clear All to uncheck all boxes.
Press Calculate and Continue to calculate and move on to Apply Operation.
Press Calculate to display statistics and remain in this dialog.
Top

Progress bar

4. Progress bar
The progress bar reports the tracking progress. You may interrupt tracking at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next > button

5. Next > button
Once tracking is complete, you may press Next to proceed to Apply Operation.
Top

Close button

6. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Object paths are part of the mask and will not be saved with an image until the slide is saved.
Top


Topic: Particle Tracking Protocol (Apply Operation) window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Particle Tracking Protocol (Apply Operation) window
  • Previous page
  • Next page

Particle Tracking Protocol (Apply Operation) window

Particle Tracking Protocol (Apply Operation) window

Save/Load Settings group

1. Save/Load Settings group
Load an existing Particle Tracking Protocol from the drop down menu.
Select Save As to save a new protocol. Select Save, Rename, or Delete to save, rename, or delete the loaded protocol.
Top

Protocol list

2. Protocol list
Displays a list of steps involved in particle tracking. The Done column shows which steps have been completed and the Req'd column shows which steps are necessary in the process. Once Tracking Parameters have been applied for Path Creation, you may close the Particle Tracking Protocol and directly access individual operations from the Particle Tracking Menu.
Top

Apply Protocol to Selected Images group

3. Apply Protocol to Selected Images group
If you have more than one image in the slide, you may choose to apply the protocol to other images in the slide. Simply check the checkboxes of the images you wish to analyze.
Press Select All to check all boxes.
Press Clear All to uncheck all boxes.
Top

Send Intermediate Results group

4. Send Intermediate Results group
You may select whether you would like to send results To Screen for display only or save To Disk to choose a directory and save the output.
Top

Apply buttons

5. Apply buttons
Select Apply and Close to finish the protocol or select Apply to perform the batch analysis and keep the window open.
Top

Progress bar

6. Progress bar
The progress bar reports the tracking progress. You may interrupt tracking at any time by pressing Stop. Once the process is complete, the bar will be filled with blue.
Top

Next > button

7. Next > button
As this is the last step in particle tracking, Next is not available.
Top

Close button

8. Close button
Press Close to close the dialog. Any completed steps of the process will be applied to the image. Object paths are part of the mask and will not be saved with an image until the slide is saved.
Top


Topic: Basic Particle Tracking window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Basic Particle Tracking window
  • Previous page
  • Next page

Basic Particle Tracking window

Basic Particle Tracking window

Objects To Track group

1. Objects To Track group
Select a mask to use for tracking from the Mask Name dropdown menu. The default option will be the mask that is displayed. Check the box if you would like to exclude object smaller than a specific size. Alternatively, you may define objects based on size using the Define Objects window.
Top

Basis of Tracking group

2. Basis of Tracking group Choose parameter to use for tracking (Feature) as follows:
Center of Area/Volume – the coordinates of the center of the object, unweighted by intensity values.
Center of Intensity – the coordinates of the center of the object (either in 2D or 3D), weighted by intensity values. If you select this feature, you will also need to select the Channel that is used for weighting.
Mean Adjusted Center of Intensity – the coordinates of the center of the objected, weighted by intensity values that are above the mean intensity. This is a useful feature to track if you have delineated your objects by hand. By using values that fall above the mean, any imprecision in your hand delineation does not impact the center of intensity calculation. If you select this feature, you will also need to select the Channel that is used for weighting.
Enter the Maximum Movement that you expect from any given object from one time point to the next. This will help the particle tracking algorithm distinguish between objects that may have similar centroid values.
Top

Path Selection group

3. Path Selection group Check the box if you would like to set a limit on the minimal number of time points an object must pass through to be counted in analysis. Enter the Minimum Path Length (in timepoints) that must be tracked in order to determine a path. For instance, if you enter “3,” any object that cannot be followed for at least three time points will be removed for the mask.
Top

OK button

4. OK button
Press OK to track objects and close the dialog. You may find it useful to display object IDs (Ctrl + Shift +O) or by selecting Display Paths from the [image] Particle Tracking menu.
Top

Cancel button

5. Cancel button
Press Cancel to close the window without tracking objects.
Top


Topic: Manual Particle Tracking window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Manual Particle Tracking window
  • Previous page
  • Next page

Manual Particle Tracking window

At times, you may find that using thresholding techniques to mask and track objects is not successful due to uneven fluorescence or other sample specific parameters. For situations such as these, Manual Particle Tracking is available. This approach allows you to visually identify the point to track each object at each time point.
Access by selecting Manual Particle Tracking from the [image] Particle Tracking menu in the Edit Mask group of the Process tab.
Manual Particle Tracking window
When paths are manually generated, you will use the mask drawing tools to draw paths by clicking on objects through time. When you open the Manual Particle Tracking dialog, a new empty mask is generated and the medium sized drawing tool is selected from the Tool Menu. Three tools are available for drawing paths and you may switch between these tools during the path creation process:
- Small, single pixel drawing tool
- Medium, 4 pixel in diameter, drawing tool
- Large, 12 pixel in diameter, drawing tool
Manual Particle Tracking works by allowing you to click on an object at every time point. By checking the box to Automatically proceed to the next time point, you are allowing the software to advance the data set to the next time point as soon as you click in the current time point. You may find it useful to display Object IDs by typing Ctrl + Shift + O.
Begin by moving the data set to the first time point and object you would like to track. Click once on the object in the first time point. The data set will automatically advance to the next time point. If the data is 3D over time (4D Capture type), you can adjust the z plane at each step to the desired focal plane. Continue clicking on the object once in each time point. When you finish the object's path, click New Path to begin tracking a new object. If the object's path continues to the last time point, a new path will automatically be started and the data set will go back to the first time point to begin tracking the next object.
If an error is made in tracking an object, select the ID from the list (will be highlighted in blue) and click Delete Path.
Continue in this manner until paths have been created for all objects as desired. The tracking step will use a Feature for each object to determine the exact location of the object as follows:
Center of Area/Volume – the coordinates of the center of the object, unweighted by intensity values.
Center of Intensity – the coordinates of the center of the object (either in 2D or 3D), weighted by intensity values. If you select this feature, you will also need to select the Channel that is used for weighting.
Mean Adjusted Center of Intensity – the coordinates of the center of the objected, weighted by intensity values that are above the mean intensity. This is a useful feature to track if you have delineated your objects by hand. By using values that fall above the mean, any imprecision in your hand delineation does not impact the center of intensity calculation. If you select this feature, you will also need to select the Channel that is used for weighting.
NOTE: Feature selected will be irrelevant if the single pixel drawing tool was used to create the paths.
Press OK to track objects and close the dialog. Press Close to abandon tracking and close the dialog.
After paths are generated, you may find it useful to display paths by selecting Display Paths from the [image] Particle Tracking menu in the Edit Mask group of the Process tab or to retrieve Path Statistics.


Topic: Path Statistics window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Particle Tracking Menu
  • Path Statistics window
  • Previous page
  • Next page

Path Statistics window

When Basic Particle Tracking or Manual Particle Tracking is performed, you may retrieve information on the individual paths from the Path Statistics window.
Access by selecting Path Statistics from the [image] Particle Tracking menu in the Edit Mask group of the Process tab (only available after tracking is performed).
Path Statistics window
Select the Mask from the dropdown menu, be sure it is a mask that has had tracking performed.
Check the box next to each statistic you would like to Compute. When you select a statistic, the Description will be displayed to the right of the selection list. Press Clear to uncheck all boxes.
Press Display to open a table that will display all path statistic computations. Press Export to save a tab-delimited .txt file. Press Cancel to close the dialog.


Topic: Smooth Curve Analysis - Generate Image window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Mask Edit Group
  • Smooth Curve Analysis - Generate Image window
  • Previous page
  • Next page

Smooth Curve Analysis - Generate Image window
Smooth curve analysis allows you to follow time-dependent lateral intensity changes along a static object, also known as a kymograph. For example, an action potential moving along a neural spine could be displayed as an x vs. time image using smooth curve analysis. You could then extract velocity and displacement information from this image. SlideBook’s Smooth Curve Analysis is a mathematically rigorous and flexible operation with several adjustable parameters.
Access by creating a mask and drawing a single pixel line along an object of interest. Copy the mask to all planes then go to the Process tab, Edit Mask group, Smooth Curve Analysis
Smooth Curve Analysis - Generate Image window
Measurement dimensions
Radius Perpendicular to Curve (pixel units) – shown as dimension r1 in the figure below
Radius Parallel to Curve (pixel units) – shown as dimension r2 in the figure below
Increment Along Curve (pixel units) – center to center distance between rectangular areas used to calculate smooth curve. In the below figure, the boxes are drawn every two pixels units along the curve. The resultant smooth curve analysis with have half the resolution of the original image.
Spline parameters
Knot Interval (discrete pixels) - the default is set to 5. A spline is fit between two “knots.” Multiple splines are used to fit a given curve. The knots are shown in pink in the figure below.
Once these parameters are defined, the smooth curve algorithm averages the areas at each timepoint and creates a new image in two dimensions (distance in x vs. time in y).
Diagram illustrating Smooth Curve Analysis terms


Topic: Evaluate Group

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Previous page
  • Next page

Evaluate Group

In order to further analyze your data, you may wish to obtain statistics on masks, regions, or lines or graph ratios or intensity over time. These functions and more can be found in the Evaluate group of the Process tab.
Mask Statistics
When at least one mask is present, opens the Mask Statistics dialog to calculate and display or export a wide variety of statistics about the entire mask, each time point in a time lapse image, and or objects.
Graphs
When regions are present, opens the New Graph dialog where you select what type of information (intensity, intensity changes, or ratio) and which channels you would like to display in a Graph. Also available from the [image] Graph icon in view windows.
Colocalization
Colocalization analysis can be performed on 2D and 2D time lapse images by using the Colocalization dialog. 3D and 4D data can be analyzed in this manner using the [image] Interactive Mask Segmentation dialog.
FRAP Analysis
When analyzing photomanipulation data, you may find it useful to use the FRAP Analysis window. This window provides an interactive way to set the important variables for calculating values such as half-life and mobile fraction.
Line Intensity
Opens a Line Intensity graph of a line drawn using the [image] Ruler tool.
Ratio/Time Data
Opens a ratio or time intensity data graph of the entire image or a single point of the image when you have the [image] Pixel tool selected and hold Ctrl when you click on a pixel.
Extract Measurements
Export Line Lengths - Use the [image] line region tool to draw lines on the image then select this command to write a tab-delimited text file (.txt) with region number and line length in pixels and microns.
Export Angle Measurements to Excel - Use the [image] angle tool to create a 3-point angle then select this command to open a Microsoft Excel file. Additional drawn angles will be written to the open file.
Export Ratio/Timelapse Data - Use with a drawn mask with objects defined, exports a tab-delimited text file (.txt) with average intensity information for each object at each time point.
Intensity Statistics - displays an exportable histogram of pixel intensity values.
Spatial Correlation -
Export Pixel Intensities -

The contents of Evaluate Group

Mask Statistics window
New Graph View window
Colocalization window
FRAP Analysis window
Line Intensity window
Ratio/Timelapse Data window
Intensity Statistics


Topic: Mask Statistics window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Mask Statistics window
  • Previous page
  • Next page

Mask Statistics window
You can answer many quantitative questions about a mask through Mask Statistics. SlideBook lets you compute three types of mask statistics: statistics for the entire mask, statistics for each time point in a time lapse image, and statistics for objects. SlideBook allows for a wide range of statistics to be generated, from simple to sophisticated.
Access in the Evaluate group of the Process tab
See also:
Create New Mask window
Segment Image window
Define Objects window
Ratio Manual: Exporting Statistics from Masks
Configuring Background Subtraction with Mask Statistics
Mask Statistics window

Image Scope group

1. Image Scope group
Image Scope allows for generation of statistics in multiple images. If you are working with a 2D or 3D image, the first radio button will be selected by default. If you are working with a 2D time lapse or 4D data set, the second radio button will be selected by default. You may select the third radio button if you have multiple images with the same mask name.
Top

Mask Scope group

2. Mask Scope group Mask Scope allows you to select whether you want statistics for the entire mask or on a per object basis. If you have chosen to obtain statistics for multiple images, the Object option will be unavailable.
Top

Primary Mask Selection

3. Primary Mask Selection Primary Mask defaults to the mask that is currently displayed but can be altered via the dropdown menu. The primary mask will automatically be made into objects. You may also remove objects under a specified physical or pixel size. To get statistics for all pixels in the mask, leave this box unchecked.
Top

Secondary Mask Selection

4. Secondary Mask Selection
Secondary Mask can be selected to obtain additional statistics under the Cross Mask feature set. You may select a secondary mask from the dropdown menu. The secondary mask will automatically be made into objects. You may remove objects under a specified physical or pixel size. To get statistics for all pixels in the mask, leave this box unchecked.
Top

Features group

5. Features group
The Features area lists all available statistics that may be calculated. Note that the list of features will depend on the dimensions of the mask. For instance, area will be displayed as a statistic for 2D masks, while volume will be displayed for 3D masks.
When you click on a statistic to compute (in the image this is Mean Adj Center Of Intensity), information regarding the calculation can be found in the Description field. For a complete list of features and their descriptions, click here.
Click on the +/- to expand or collapse different categories of computations. Check the box next to a category to select all features within the category or check individual boxes to select individual calculations. Press Clear to clear all checked boxes.
Top

Output Grouped By group

6. Output Grouped By group
These choices are only activated if you are performing object statistics on 2D timelapse or 4D images.
Output Grouped By Statistic will give a table with a drop down menu of statistics calculated at the top. The table will list time points and data will be given per object at each time point (for the selected statistic).
Output Grouped By Object will give a table with a drop down menu of objects at the top. The table will list time points and data will be given per statistic at each time point (for the given object).
Output Grouped By Time Point will give a table with a drop down menu of time points at the top. The table will list objects and data will be given per statistic for each object (at the time point).
Top

Display button

7. Display button Clicking Display will display the selected calculations in an interactive table.
Top

Export button

8. Export button Clicking Export will export the selected calculations into a tab delimited .txt file that you will save to your computer.
Top

Cancel button

9. Cancel button Clicking Cancel will discard selections and close the dialog.
Top

Export to Excel button

10. Export to Excel button Clicking Export to Excel will open a Microsoft Excel worksheet with the selected data calculations.
Top

The contents of Mask Statistics window

Statistics Feature Descriptions


Topic: Statistics Feature Descriptions

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Mask Statistics window
  • Statistics Feature Descriptions
  • Previous page
  • Next page

Statistics Feature Descriptions

Available statistics feature descriptions are listed below.

Morphometry

Object Count – number of objects. This statistic is only available when you select Entire Mask in the Mask Scope section of the statistics dialog.
Volume (voxels) / Area (pixels) - total number of voxels. Note that in a 2D or time lapse image, you will always get an area measurement.
Volume (µm³) / Area (µm²) - volume in cubic microns (or square microns in 2D or timelapse images). Note that the image must have the correct objective and optovar selected for these values to be accurate (see Defining Objectives on page 62 and Defining Magnification Changers on page 73).
Surface area (µm²) / Perimeter (µm) – the area of exposed voxel faces for 3D objects (or exposed pixel faces in 2D or time lapse images). Note that these values should only be used as rough estimates, as area or perimeter measurements are highly affected by the resolution of the image.
Center of Area/Volume – the coordinates of the center of the object, unweighted by intensity values.
Major Axis Coordinates – the coordinates of the two edge voxels that lie along the major axis.
Major Axis Length – the length of the longest line that runs through the center of volume, also called the ‘axis of minimal inertia’.
Minor Axis Length – the length of the minor axis (in 2D) or both minor axes (in 3D).
Longest Chord Length – the distance between the two furthest voxels in the object.
Major/Minor Shape Factor – The ratio of major axis to first minor axis (i.e. width vs. height).

Intensity

Center Of Intensity – the coordinates of the center of the marked object weighted by intensity, calculated for each channel.
Mean Adj Center Of Intensity – the coordinates of the center of the object, weighted by intensity values (minus the mean intensity of the object).
Mean Intensity – average marked voxel intensity value for each channel.
Sum intensity – sum of all marked voxel intensity values for each channel. Note that this value is equivalent to the product of the mean intensity and the volume or area.
Minimum Intensity – the minimum voxel value in the object.
Maximum Intensity – the maximum voxel value in the object.
Median Intensity – the median voxel value in the object.
Variance – the variance of intensities of the marked voxels.
Standard Deviation – the standard deviation of intensities of the marked voxels.
Background Intensity – the average background intensity in the channel.

Cross-Channel

Pearson’s Correlation – the correlation of intensity in one channel with another; a 0 value signifies no correlation, while a value of 1.0 signifies perfect correlation. A negative value signifies anti-correlation.
This statistic can be used for measuring colocalization. The equation used is shown below. Ri is the intensity in channel 1 for pixel I, and Gi is the intensity in channel 2 for the same pixel. Rav and Gav are the average (mean) intensity values over all pixels.
Mander’s Coefficients – these coefficients indicate the percent of protein 1 colocalized with protein 2 (M1) and the percent of protein 2 colocalized with protein 1 (M2) as given by the equation below. The value T (threshold) is considered to be zero intensity. Thus, adequate background subtraction must be performed.
SlideBook offers the following statistics to describe relationships between objects that are present in two different masks. You must first set the Mask Scope to Object, then select a secondary mask to view these statistics.

Cross-Mask

(available only when multiple masks are generated and a secondary mask is selected)
Mask Overlap (objects) - for each object in the primary mask, this returns a count of the number of overlapping objects in the secondary mask.
Mask Overlaps (voxels) – for each object in the primary mask, this returns the number of overlapping pixels/voxels in the secondary mask.
Mask Overlaps (largest object volume) – for each object in the primary mask, this returns the area or volume of the largest overlapping object in the secondary mask.
Mask Contains Other Masks – returns the IDs of the objects in the secondary mask that overlap with the primary mask.

Motion

(available only after particle tracking is performed)
Speed - A measurement of instantaneous speed using the centroid measured during particle tracking. Instantaneous speed is calculated as an average of the speed approaching the current location from the previous time point with the speed the particle approaches the subsequent time point. For the first time point, instantaneous speed is simply the speed from time 0 to the next time point. For the last time point, the instantaneous speed is the speed from the second to last time point to the last. The diagram below depicts the time range of speed calculations per time point.
Angle of Motion - Angle from the last time point to the current time point, in degrees, using the centroid measured during particle tracking.
MSD - Mean squared displacement as a function of span of time points


Topic: New Graph View window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • New Graph View window
  • Previous page
  • Next page

New Graph View window
When regions are drawn, you may graph several types of intensity information from the New Graph View window. All regions will be graphed and the mean background intensity will be subtracted when defined.
Access in the Evaluate group of the Process tab or by the [image] Graph icon in view windows (when regions are present)
See also:
Graph window
Ratio Module, Graph Display
Ratio Module, Multiple Region Graphing and Export
Photomanipulation Module, Displaying Region Intensity during Capture
Photomanipulation Module, Displaying Regions and Graphs Post-Capture
New Graph View window

Drop down

1. Drop down
Select the type of data you would like to graph from the drawn regions as follows:
Intensity - Graphs the mean intensity of each region over time
Intensity: Min - Graphs the minimum intensity of each region over time
Intensity: Max - Graphs the maximum intensity of each region over time
Delta F/F - Used to emphasize intensity changes over time point 0. Graphs the intensity of the current time point divided by the intensity of the first time point, All regions will start at a value of 1.00. This mode is particularly useful for analyzing photomanipulation data or other data where the intensity values of regions are drastically different and you would like to view changes on a relative scale.
Ratio- Graphs the ratio when ratio channels are configured, see also Ratio Module .
Top

Drop down

2. Drop down
There are three line types available in the graph. Line 1 is solid, Line 2 is dashed, and Line 3 is dotted. Select the channel to graph per line. Each region will be graphed per the channel selected in the mode assigned. Line colors will correspond to the colors of the region in the image.
Top

OK button

3. OK button
Click OK to open the graph as specified.
Top

Cancel button

4. Cancel button
Click Cancel to abandon graphing and close the dialog.
Top

The contents of New Graph View window

Graph window


Topic: Graph window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • New Graph View window
  • Graph window
  • Previous page
  • Next page

Graph window

The Graph window displays intensity or ratio data for drawn regions over time. By clicking in the graph, you can navigate to a time point in the image view window. When a background region is defined, mean background intensities will automatically be subtracted.
Access in the Evaluate group of the Process tab or by the [image] Graph icon in view windows (when regions are present)
See also:
Ratio Module, Graph Display
Ratio Module, Multiple Region Graphing and Export
Photomanipulation Module, Displaying Region Intensity during Capture
Photomanipulation Module, Displaying Regions and Graphs Post-Capture

Export to Excel

1. Export to Excel
Click this button to export the data to an Excel spreadsheet.
Top

Export Text File

2. Export Text File
Click this button to export the data to a tab delimited .txt file.
Top

Export TIFF

3. Export TIFF
Click this button to export a .tif of the graph area exactly as it appears in the window.
Top

Solid Line Channel Selection

4. Solid Line Channel Selection
This is the selection for the channel that will be displayed as a solid line in the graph. Press the button to select a channel from the drop down menu. The line color corresponds to the region color on the image.
Top

Dashed Line Channel Selection

5. Dashed Line Channel Selection
This is the selection for the channel that will be displayed as a dashed line in the graph. Press the button to select a channel from the drop down menu. The line color corresponds to the region color on the image.
Top

Dotted Line Channel Selection

6. Dotted Line Channel Selection
This is the selection for the channel that will be displayed as a dotted line in the graph. Press the button to select a channel from the drop down menu. The line color corresponds to the region color on the image.
Top

Current Timepoint

7. Current Timepoint
When you click in the white area of the graph, a vertical green line will appear. This line controls the time point displayed in the image view.
Top

Cursor over a Line

8. Cursor over a Line
When you hold the cursor over a region line where it meets a timepoint vertical line, an information window will open as shown below.
Top

Note/Event Marker

9. Note/Event Marker
Red dots along the Timepoint axis indicate where photomanipulation events took place or notes were added to the image either during or post-capture. Clicking on the dot will move the image to the corresponding time point. Moving the cursor over the dot will display the text of the note.
Top

X-axis Zoom Controls

10. X-axis Zoom Controls
Press these buttons to zoom in and out on the x-axis of the graph.
Top

Fit X-axis (Time) to Range

11. Fit X-axis (Time) to Range
Press this button to set the x-axis range to the number of time points in the associated image.
Top

Fit Y-axis (Intensity) to Range

12. Fit Y-axis (Intensity) to Range
Press this button to set the y-axis range to the intensity range in the associated image.
Top

Y-axis Zoom Controls

13. Y-axis Zoom Controls
Press these buttons to zoom in and out on the y-axis of the graph.
Top


Topic: Colocalization window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Colocalization window
  • Previous page
  • Next page

Colocalization window
Colocalization analysis can be performed on 2D and 2D time lapse images by using the Colocalization dialog. 3D and 4D data can be analyzed in this manner using the Interactive Mask Segmentation dialog. It is strongly suggested you define a background region before performing this analysis.
Access in the Evaluate group of the Process tab
See also:
Interactive Mask Segmentation

Scatterplot group

1. Scatterplot group
The Scatterplot is a graphical representation of the intensity all pixels in channel 1 versus the intensity of all pixels in channel 2 for a whole image, or a sub-selection of pixels from regions. The ordinate is pixels with an intensity value one unit above background in each channel. The points within the scatterplot are colored blue to red where dark blue represents single pixel events and red represents many pixels with identical intensity values for both channels.
The black line in the scatterplot represents a linear regression of the data present in this 2D histogram. The slope of this line is related to the correlation of the two signals. A slope of 1 is defined as perfectly correlated signals where the intensity of both is proportionate in each channel at a given pixel. A slope of -1 is defined as perfectly non-correlated signal where the signals are inversely related. A slope of 0 is defined as random correlation. Thus values between 1 and 0 are positively correlated and signals between 0 and -1 are negatively correlated.
Top

Threshold group

2. Threshold group
The Threshold panel allows for manual control of the lowest intensity value for each channel to be analyzed for colocalization. Histogram Timepoint Selection will allow the user to display the intensity histogram profile for either the current time point or all time points. The data within the histograms are background corrected based on the mean intensity within the Bkgd region. The scatterplot will also graph all values in the intensity histograms based on the data selection above. Manual control of the histograms will only be active when the threshold radio button is selected in the data selection option as the colocalization method.
The channel histograms are present below the scatterplot for each channel being analyzed. Its behavior is similar to that for Mask Segmentation.
  • •
    Enter the minimum intensity value for colocalization analysis in the Threshold boxes for each channel.
  • •
    The red vertical line in the channel 1 histogram, located below the ordinate of the scatterplot, controls the minimum height of the RED vertical line within the scatterplot.
  • •
    The red vertical line in the channel 2 histogram, located parallel to the abscissa of the scatterplot, controls the minimum height of the GREEN horizontal line of the scatterplot.
  • •
    The area to be analyzed for colocalization resides in the upper right portion of the scatterplot where the lower limits are defined by the RED and GREEN lines.
  • •
    The RED and GREEN lines in the scatterplot can also be individually relocated by a left click and hold on the red vertical line in the histogram for each channel and moving the mouse to redefine the minimum intensity for colocalization analysis to begin. The red lines in each channel histogram will relocate appropriately upon release of the mouse button.
Top

Channel/Mask Generation group

3. Channel/Mask Generation group
The Create Binary Channel button will add a new channel to the working image. The Name edit field allows you to name the channel. This channel is binary and is comprised of pixels that have been identified by the Colocalization Method and will be a binary color based on the Colocalized Visualization Color. This channel is now a part of the working image and can be manipulated as any other channel.
The Create Mask button will add a new mask to working image mask list. The name of this mask can be entered in the adjacent Name edit field.
Top

Image Name group

4. Image Name group
Image Name is the working image that is currently being used for colocalization analysis
Top

Image Data Source group

5. Image Data Source group
Image Data Source allows the user to determine what properties of the working image are to be utilized for colocalization analysis. The drop down menus for Channel 1 and Channel 2 can be individually changed to the proper channels within the working image for colocalization analysis. The current time point displayed in the scatterplot can be changed by using the up/down Timepoint arrows. The entire working image (Entire Timepoint) or individual regions (Region) can be displayed be selecting the correct radio button. Once the Region radio button is selected, the drop down window will become activated and each region in the working image will be available.
Top

Colocalization Method group

6. Colocalization Method group Colocalization Method determines the pixels within the scatterplot that will be selected for colocalization analysis. The Threshold (Manual) button will allow the user to manually identify pixels of interest based on the intensity histogram in the Threshold group. The Autothreshold (Costes) radio button will use the algorithms described by Costes’ et al for the non-biased identification of colocalized pixels, that is an algorithm will set the threshold values automatically. More on this method can be found in Costes' P-Val Analysis group. The Region In Scatterplot option will allow the user to click and drag to draw a box around points within the scatterplot for colocalization analysis .
Top

Colocalized Visualization Color group

7. Colocalized Visualization Color group
Colocalization Visualization Color allows the user to alter the color of the colocalized pixels in the working image. Automatic will use the blue mask color. To use a different color, select the User-defined radio button then press the colored box adjacent to the text. This will open a color table window where you can select any color to represent colocalization.
While the color of the individual channels’ pixels will remain in a gradient lookup table defined in the working image, those of the highlighted colocalized pixels in the working image will remain binary.
Top

Pearson's group

8. Pearson's group
r = Pearson’s Correlation Coefficient
Top

Manders' group

9. Manders' group
r = Manders’ overlap Coefficient
k1 = Channel 1 Overlap Coefficient
k2 = Channel 2 Overlap Coefficient
m1 = Channel 1 Colocalization Coefficient
m2 = Channel 2 Colocalization Coefficient
Top

Costes' group

10. Costes' group
M1 = ratio of colocalization of Channel 1:total signal Channel 1
M2 = ratio of colocalization of Channel 2:total signal Channel 2
Top

Costes' P-Val Analysis group

11. Costes' P-Val Analysis group
The Costes' P-Val Analysis group is used when AutoThreshold (Costes) is selected as the Colocalization Method.
When you select the AutoThreshold radio button, SlideBook will use the algorithms defined by Costes et al to automatically identify all pixels with a Correlation Coefficient > 0. This will automatically identify all non-contiguous pixels in the entire image or within a particular region depending on the selection criteria selected in the Image Data Source.
Statistical Significance - In order to calculate the statistical significance of colocalization Slidebook will compare your image to 200 randomized permutations of the pixels identified by the AutoThreshold and will calculate correlation and P-values of the results. Randomizations are based on block sizes rather than individual pixels as most structures within a specimen encompass a region larger than a single pixel. In fact, diffraction limited point sources smaller than the resolution limit of the microscope are, under most circumstances, larger than a single pixel do to point spread. A logical block size for the randomizations is then related to the point spread function of the optical path utilized. This can be determined by pressing the Estimate Block Size button. The calculated block size will be displayed and the possible number of rearrangements that can be accomplished with the given size of the data range selected is reported as Possible Randomization Locations.
To override the estimated block size or to enter your own block size value, press the Edit Block Size button. A new window will open. Enter a value for the desired block size, i.e type 10 for a 10x10 block size or type 10x30 for a rectangular block size.
Press the Calculate button to determine the Correlation and p-Value of the comparison of the original image with the randomizations. A histogram of the measured Pearson’s Correlation Coefficients of each randomization will be populated and a vertical red line will represent the Pearson’s Correlation Coefficient of the original data.
Top

Pixels group

12. Pixels group
Total pixels – number of pixels in the Image Data Source
Colocalized pixels – number of pixels determined by the Colocalization Method
Top

Background group

13. Background group
Bkgd – Ch 1 – average intensity of the pixels in the background region for channel 1
Bkgd – Ch 2 – average intensity of the pixels in the background region for channel 2
Top

Colocalization Mask group

14. Colocalization Mask group
The Calculate Stats button will automatically generate a mask in the working image encompassing the pixels identified by the Colocalization Method. The Mask Statistics dialog box will open allowing for additional statistics metrics available in SlideBook.
Top

Mean group

15. Mean group
Mean – Ch 1 – average intensity of the total pixels in channel 1
Mean – Ch 2 – average intensity of the total pixels in channel 2
Top

CMean group

16. CMean group
CMean – Ch 1 – average intensity of the pixels determined by the colocalization method in channel 1
CMean – Ch 2 – average intensity of the pixels determined by the colocalization method in channel 2
Top

Export group

17. Export group
The Export to Microsoft Excel™ button will open an Excel spreadsheet with the data from the colocalization window transcribed.
The Export to text file button will open a save dialog button and the data from the colocalization window will be saved as an ASCII tab delimited text file upon pressing the save button.
The Export as TIFF button will save the Colocalization window to a TIFF file
Top


Topic: FRAP Analysis window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • FRAP Analysis window
  • Previous page
  • Next page

FRAP Analysis window
When analyzing fluorescence recovery after photobleaching, you may find it useful to use the FRAP Analysis window. This window provides an interactive way to set the important variables for calculating values such as half-life and mobile fraction.
Access in the Evaluate group of the Process tab
See also:
FRAP Analysis Tutorial
Appendix A Concepts of Photobleaching Recovery
FRAP Analysis window

Graph area

1. Graph area
Graph of background corrected mean intensity over time according to parameters designated in the dialog below. Colored lines are as follows:
Green - Region of interest for analysis designated in Analysis Region
Red - Region of interest to be used for photobleach correction as designated in Photobleach Correction
Black - Photobleach corrected intensity of analysis region
Blue - Resulting FRAP Analysis, the exponential fit from the first time point after photobleaching to the asymptote.
Top

Channel menu

2. Channel menu
Use the dropdown menu to select the channel used for intensity analysis.
Top

Analysis Region

3. Analysis Region
Enter the value of the region you would like to use for FRAP analyis.
Top

Photobleach Correction

4. Photobleach Correction
Check the box if you would like to perform photobleach correction on the analysis region. To do so, you must have a region outside of the photomanipulation event designated in the image as shown in the FRAP Analysis Tutorial.
Top

Export Tiff

5. Export Tiff
Exports a tiff of the graph as it is currently displayed
Top

Baseline Information

6. Baseline Information
Enter the baseline timepoint range. This is start and end timepoints that will be used to calculate intensity before the photomanipulation event took place. When you enter the From timepoint and to timepoint values, the Mean intensity field will be calculated when the Fit button is pressed. The Mean intensity will be the mean intensity of the analysis region over the time range specified.
Top

First timepoint after bleaching

7. First timepoint after bleaching Enter the first timepoint that was imaged after the bleaching took place. When Fit is pressed, the Mean intensity of the analysis region will be calculated for this timepoint.
Top

Asymptote Information

8. Asymptote Information Locate the asymptote where recovery levels off in the graph. Enter a start value for From timepoint and an end value for to timepoint. When Fit is pressed, the mean intensity for the analysis region over the time range will be calculated.
Top

Analysis Information

9. Analysis Information When Fit is pressed, the average timelapse Interval will be calculated along with A and B. A and B are the coefficients determined by the exponential equation of the mobile fraction recovery. Additional information on this can be found in APPENDIX A Concepts of Photobleaching Recovery .
Top

Results

10. Results When Fit is pressed, the Mobile fraction and Half-life will be calculated and displayed here. Refer to APPENDIX A Concepts of Photobleaching Recovery for more information on the calculations used in this analysis.
Top

Fit button

11. Fit button
Press Fit to calculate the FRAP Analysis values and draw the blue line on the graph. Refer to APPENDIX A Concepts of Photobleaching Recovery for more information on the calculations used in this analysis.
Top

Close

Press the Close button to close the FRAP Analysis dialog.
Top


Topic: Line Intensity window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Line Intensity window
  • Previous page
  • Next page

Line Intensity window
It is often useful to examine intensity information along a single line. This can aid in analysis such as colocalization evaluation or lateral resolution determination.
Access in the Evaluate group of the Process tab.
To view a Line Intensity Profile, open an image and use the [image] Ruler Tool to draw a line for analysis as shown below.
Access by Statistics > Line Intensity Profile
Line Intensity window
Select the channel to view or export from the Channel list. To display more than one channel hold the Ctrl key while clicking on the desired channels.
Select Coloring for the graph as desired.
Use the icons to export as follows:
- Opens a Microsoft Excel file containing the graphed data
- Saves a tab-delimited .txt file of the graphed data
- Saves a TIFF image file of the graph itself


Topic: Ratio/Timelapse Data window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Ratio/Timelapse Data window
  • Previous page
  • Next page

Ratio/Timelapse Data window
A graph of intensity information over time can be brought up independent of marked regions or masks. By accessing the Ratio/Timelapse Data graph, you will graph the entire image. Alternatively, you can select the [image] Point Selection tool from the Tool Menu then hold the CTRL key while clicking on a cell/pixel. This method will allow you to graph intensity information for a single point with a radius in pixels. Either method will allow you to view and export information for individual channels or a defined ratio.
Access in the Evaluate group of the Process tab or [image] Point Selection tool + CTRL + Click on image
See also:
Ratio Module: Quick Graphing and Data Export
Photomanipulation Module: Viewing and Analyzing Vector Data
Ratio/Timelapse Data window

Graph area

1. Graph area
The graph plots a single channel intensity over time.
The vertical gray lines represents notes in the image data set.
By clicking in the graph, you will move the image to the selected timepoint.
Top

Image Information

2. Image Information
Range: Displays the area that is being graphed or the pixel location that is the center of the circle being graphed.
Timepoint: Displays current timepoint selected on the graph and in the image.
Elapsed (ms): Displays the amount of time elapsed until the the current time point.
Value: Displays the intensity or ratio value for the current time point.
Top

Channel Selection

3. Channel Selection
Select a channel to graph. If a ratio channel is configured, you may also select Ratio.
Top

Radius field

4. Radius field
When you open the graph using the [image] Point Selection tool + CTRL + Click on image, you may enter a value for the Radius used to calculate mean intensity plotted on the graph.
Top

Export button

5. Export button
Press Export to export a tab-delimited .txt file.
Top

Close button

6. Close button
Press Close to close the window.
Top


Topic: Intensity Statistics

×

  • SlideBook 6 User's Guide
  • User Interface
  • Analyze Tab
  • Evaluate Group
  • Intensity Statistics
  • Previous page
  • Next page

Intensity Statistics

You may find it useful to review or export the overall intensity information for an image. You may quickly get a statistical snapshot of your image using the Intensity Statistics function. A dialog box will display a histogram of the intensities of the entire image by channel along with the mean intensity and standard deviation. You must first open a view of your image.
Access in the Evaluate group of the Process tab, [image] Extract Measurements > Intensity Statistics
See also:
16-bit Tiff Export window
Renormalize Image window
Segment Image window
Select a Channel from the dropdown menu. Observe the histogram and statistics of the selected channel at the displayed time point.
If desired, Export Histogram values. Enter values for the intensity range to export as well as increments for data grouping. Press Write File to create a tab delimited .txt file. The file will have a voxel count for each pixel value or grouping of pixel values.
When finished, click Close.


Topic: Scripting Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Scripting Tab
  • Previous page
  • Next page

Scripting Tab

The Scripting tab allows you to write and edit scripts, execute scripts, and open the scripts folder.
Edit Script icon opens the Edit Script window to edit, create, and test scripts.
Scripts Gallery displays saved scripts. Click on a named script to load it into the Edit Script window and execute.
Open Scripts Folder is a shortcut to the directory where scripts are saved. Use this icon to rename, save, copy, and further manage scripts.
NOTE: Additional information regarding script writing can be find in the Macro Scripting portion of this help system.

The contents of Scripting Tab

Edit Script window


Topic: Edit Script window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Scripting Tab
  • Edit Script window
  • Previous page
  • Next page

Edit Script window

SlideBook includes a scripting interface for writing command language that automates analysis. Complete information on creating scripts and the SlideBook scripting language can be found in the Macro Scripting section of online help. It is highly recommended that you review that section for a thorough understanding of the features available.
Access in the Scripting tab, [image] Edit Script
See also:
Using the Edit Script Dialog
Editing a Command
Building a Script
Macro Command Language
Edit Script window

Command List drop down

1. Command List drop down
Select a command from the drop down menu. When you click Insert, the command will be entered in the Command Line edit field. The Status field will display parameters used in the command.
Top

Insert button

2. Insert button
Insert will add the macro command to the Command Line field. You will need to enter parameters for the command, test the command, then add it to the script.
Top

Command Line Edit field

3. Command Line Edit field
This is the field you will use to set up and test the parameters used with a command to create a line of the script. After you Insert a command, press Parameters to populate the available parameters. Customize the parameters to suit the data then test the command by pressing Validate and Execute.
Complete information on commands and parameters can be found in Macro Command Language.
Top

Status Display

4. Status Display
The Status display area will give details regarding the active command or script. For example, when you Insert a command in the Command Line edit field then press Parameters, a list of available parameters will populate this area. When you Execute a command or script, the success or failure will be reported in this field.
Top

Parameters button

5. Parameters button
Pressing this button will display a list of available parameters for the selected command in the Status display area. It will also fill in blank parameters in the Command Line edit field. You will need to customize these parameters based on the Macro Command Language.
Top

Validate button

6. Validate button
Validate will test the command line and parameters entered. If an error is found, you can count positions starting at 0 with 0 being the first parameter after the "(".
Top

Execute button

7. Execute button
Execute will run the command line and return either a success or failure value.
Top

Add button

8. Add button
Add will add the command line text to the Script list.
Top

Update button

9. Update button
If an existing line in the Script list has been edited using the command list, you may update the command in the Script list by pressing Update.
Top

Script list

10. Script list
The Script list displays all commands that have been added to create an automated process. Commands in this list can be edited and their positions can be changed. The text in this field is what constitutes a macro script. Scripts can be saved and loaded to run at future times as well as linked to icons for simple execution from the main SlideBook interface. Please review Macro Scripting for more information on this.
Top

Edit button

11. Edit button
Select a command from the Script field and press Edit to add it to the Command List field for editing.
Top

Move Up button

12. Move Up button
Select a command from the Script field and press Move Up to move it up the list in the Script field.
Top

Move Down button

13. Move Down button
Select a command from the Script field and press Move Down to move it down the list in the Script field.
Top

Remove button

14. Remove button
Select a command from the Script field and press Remove to remove it from the Script field.
Top

Run button

15. Run button
Press Run to execute the script.
Top

Save button

16. Save button
Press Save to save the script for future use.
Top

Load button

17. Load button
Press Load to load a previously saved script.
Top

Clear button

18. Clear button
Press Clear to clear the entire script from the Script field.
Top

Close button

19. Close button
Press Close to close the dialog.
Top


Topic: Modules Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Previous page
  • Next page

Modules Tab

In addition to Deconvolution, there are many available advanced software modules available in SlideBook. These include:
FRET | FRET Settings Compute FRET Bleedthrough FRET Channel Math Physical FRET Channel from Virtual
Ratio | Ratio Settings Intracellular Calibration Ratio Calibration Guide Extract from Ratio Stream
FLIM | FLIM Settings Lifetime Histogram Create Single-Tau FLI Channel Compute FLIM-FRET Gaussian Filter Compute Phase Flat Field Apply Phase Flat Field Calibrate Lifetime Recalibrate Lifetime Clear Calibration Intensifier Settings Homodyne Demo Test
Stereology | Setup Count Offline Save Results Delineate Features using CellNet
Multiphoton | 2-Photon Laser Control Scanning Diagnostics Calibrate Pockels' Cell
Photomanipulation | Phasor Setup Calibrate SLM

The contents of Modules Tab

FRET
Ratio
FLIM


Topic: FRET

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • FRET
  • Previous page
  • Next page

FRET

SlideBook's FRET Module adds functionality that simplifies a wide variety of quantitative techniques. Measurement of FRET allows you to determine whether or not two molecules are colocalized at a distance less than 100 angstroms, enabling measurements below the optical resolution of a light microscope. FRET is a distance-dependent interaction between the electronic excited states of two dye molecules where the excitation is transferred from a donor molecule to an acceptor molecule without the emission of a photon. FRET experiments may be performed on live or fixed cells. SlideBook supports three FRET methods: Sensitized Emission/Direct FRET (both Two-Channel Corrected and Three-Channel Corrected), Acceptor Photobleaching FRET, and Anisotropy FRET. For more information on FRET methods, analysis, and configuration, please review the help sections on the FRET Module. Alternatively, you may review the following user interface pages.

The contents of FRET

FRET Settings window
FRET Bleedthrough Computation window


Topic: FRET Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • FRET
  • FRET Settings window
  • Previous page
  • Next page

FRET Settings window

The FRET Settings window is used to select a FRET paradigm and values associated with that paradigm. In this dialog, you can assign channels for calculations, enter bleedthrough factors, choose and equation for calculation, and adjust the display of FRET. You may also view the reference used for the FRET paradigm selected.
Access in the Modules tab under [image] FRET > FRET Settings
See also:
Redefine FRET Channels window
FRET System Configuration
Three Channel Corrected FRET
Two Channel Corrected FRET
Acceptor Photobleaching FRET
FRET Module: Appendix B: Direct FRET Calculations
FRET Module: Appendix C: Photobleaching FRET Calculations
FRET Settings window

Participating Channels group

1. Participating Channels group
The Participating Channels group lists channels that have been identified to be used in FRET calculations. Channels can be assigned as FRET channels in the Filter Configuration Parameters Dialog . If you would like to change the participating channels, you may click Redefine to open the Redefine FRET Channels window .
Top

FRET Paradigm group

2. FRET Paradigm group
The FRET Paradigm group lists several methods of FRET that are available in SlideBook. Additional information on these equations can be found in the appendix of the FRET Module portion of help. When a paradigm is selected, the paper about the method is displayed in the Reference group to the right.
Top

Filter Bleedthrough Factors group

3. Filter Bleedthrough Factors group
You may manually enter values for channel bleedthrough factors for both the Donor and the Acceptor. Alternatively, click Use Defaults to enter the values calculated using the FRET Bleedthrough Computation window .
Top

Additional Parameter group

4. Additional Parameter group
When certain FRET paradigms are selected, additional parameters are in this area. One example is for E-FRET, a G parameter entry field becomes available.
Top

FRET Channel Display group

5. FRET Channel Display group
Once FRET calculations have been performed, you may adjust the display of the FRET data in this area by adjusting parameters as listed below:
Signal Threshold – The intensity above which FRET values will be calculated. This threshold is background subtracted. Therefore, if you select a value of 50, any pixel that is above 50 after background subtraction will be used for calculating FRET.
Display Low – The value that corresponds to black in RGB display or blue in pseudocolor display.
Display High – The value that corresponds to saturated color in RGB display or red in pseudocolor display.
Top

Reference group

6. Reference group
The Reference area cites references used for calculations selected in FRET Paradigm.
Top

Apply to all images with the same channels check

7. Apply to all images with the same channels check
Check this box to apply the same FRET settings to all images in the .sld with the same channels.
Top

OK button

8. OK button Click OK to apply settings and close the dialog.
Top

Cancel button

9. Cancel button Click Cancel to discard changes and close the dialog.
Top

The contents of FRET Settings window

Redefine FRET Channels window


Topic: Redefine FRET Channels window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • FRET
  • FRET Settings window
  • Redefine FRET Channels window
  • Previous page
  • Next page

Redefine FRET Channels window

At times, you may wish to analyze FRET on imported imaged or on images acquired with channels that were not previously defined as FRET channels. When you do so, you will need to identify channels for specific FRET techniques using the Redefine FRET Channels window.
Access in the Modules tab under [image] FRET > FRET Settings > Redefine
See also:
FRET Settings window
FRET System Configuration
FRET Module
Redefine FRET Channels window

Sensitized Emission (Two Channel, Three Channel) group

1. Sensitized Emission (Two Channel, Three Channel) group When computing Sensitized Emission FRET, select the filter from the dropdown menu to use for the FRET Donor, FRET Acceptor, and FRET Transfer channels.
When computing Two Channel Corrected FRET, set FRET Acceptor to None.
Top

Acceptor Photobleaching group

2. Acceptor Photobleaching group
When computing Acceptor Photobleaching FRET, select the filter to use for Donor Prebleach and Donor Postbleach from the dropdown menus of channels in the image.
Top

Fluorescence Anisotropy group

3. Fluorescence Anisotropy group
When computing Fluorescence Anisotropy FRET, select the filters from the dropdown menu for Parallel (VV) and Perpendicular (VH).
Top

OK button

4. OK button Click OK to apply changes and close the dialog.
Top

Cancel button

5. Cancel button Click Cancel to discard changes and close the dialog.
Top


Topic: FRET Bleedthrough Computation window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • FRET
  • FRET Bleedthrough Computation window
  • Previous page
  • Next page

FRET Bleedthrough Computation window

In order to perform direct FRET, you must be able to calculate bleedthrough coefficients, or crosstalk, for your particular filter sets. To calculate bleedthrough coefficients, two control samples must be imaged: one that contains donor only, and one that contains acceptor only. Once these images have been obtained, you may use the FRET Bleedthrough Computation dialog to set default bleedthrough coefficients.
Access by opening an image, segmenting a mask on the desired channel, setting the background, then go to the Modules tab under [image] FRET > Compute FRET Bleedthrough.
See also:
FRET Settings window - Filter Bleedthrough Factors
Performing Bleedthrough Calculations
FRET Bleedthrough Computation window

Compute Bleedthrough Selection

1. Compute Bleedthrough Selection Select the bleedthrough you would like to calculate. When FRET channel types are assigned in Filter Configuration, the appropriate selection will be made for you depending on whether the donor or acceptor channel is present.
Top

Channels group

2. Channels group Depending on the associated channel type assigned in Filter Configuration, the relevant channels will be listed for the type of bleedthrough you are calculating. If this information is incorrect, you may press Redefine to manually assign channels.
Top

Compute Bleedthrough button

3. Compute Bleedthrough button Click Compute Bleedthrough to calculate the selected bleedthrough.
Top

Filter Bleedthrough Factors group

4. Filter Bleedthrough Factors group Filter Bleedthrough Factors lists the computed bleedthrough factors. The active computation will have a white background.
Top

Make Default button

5. Make Default button Press Make Default to use the computed bleedthrough factor as a default value in FRET Settings.
Top

OK button

6. OK button Click OK to apply bleedthrough factors and close the dialog.
Top

Cancel button

7. Cancel button Click Cancel to discard changes and close the dialog.
Top


Topic: Ratio

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Ratio
  • Previous page
  • Next page

Ratio

In order for these software functions to be enabled, you must purchase the SlideBook Ratio Module. The Ratio Module enables functionality within SlideBook to create numerator and denominator channel pairs, calibrate using solution based in vitro or intracellular techniques, and perform data analysis and export both real-time and post capture. A complete review of ratio imaging can be found in the Ratio Module portion of this user's guide.

The contents of Ratio

Ratio Settings window
Intracellular Ratio Calibration window
Ratio Calibration Guide


Topic: Ratio Settings window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Ratio
  • Ratio Settings window
  • Previous page
  • Next page

Ratio Settings window

SlideBook lets you adjust, if necessary, many of the settings that go into post-acquisition display and analysis.
Access in the Modules tab under [image] Ratio > Ratio Settings
See also:
Ratio Module: Ratio Settings
Ratio Module: Tutorial: Using Ratio Settings
Ratio Module: Intracellular Calibration
Ratio Module: Tutorial: Intracellular Ratio Calibration
Ratio Settings window

Participating Channels group

1. Participating Channels group
The Numerator and Denominator channels are displayed for a given ratio as designated during system configuration. Background values are shown for each channel when a background region is defined (see Selecting Regions of Interest). Additionally, the ratio of exposure times for the numerator and denominator wavelengths is given; this is called the Exposure Factor. The channels used for calculating the ratio can be edited by selecting Redefine Ratios, which brings up the Add Ratio Information window .
Top

Calibration Parameters group

2. Calibration Parameters group
When ratio calibration has been performed calibration values are displayed in this section.
The Ratio Calibration Guide may be used to calibrate or recalibrate an image by selecting Calibrate. For calibrating the ratio, you will need to image the background, ion free indicator solution, and ion saturated indicator solution. Alternatively, Intracellular Calibration is available. Both of these calibration techniques are discussed in greater detail in the Ratio Module, Ratio Calibration .
Top

Ratio Display Range group

3. Ratio Display Range group
You may select the range of ratio values that are displayed in any view of the ratio image. Any ratios below the Low value are displayed as blue, and any ratios above the High value are displayed as red. This operation will not affect the underlying data. Learn more about ratio display in Tutorial: Using Ratio Settings .
Top

Apply button

4. Apply button
Applies changes to data/display.
Top

OK button

5. OK button
Applies changes and closes the window.
Top

Cancel button

6. Cancel button
Discards changes and closes the dialog.
Top

The contents of Ratio Settings window

Add Ratio Information window


Topic: Add Ratio Information window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Ratio
  • Ratio Settings window
  • Add Ratio Information window
  • Previous page
  • Next page

Add Ratio Information window

This dialog is used to manually assign channels to a ratio pair. You may choose to do this if you are analyzing data not captured in SlideBook or if you wish to see ratio information for channels not configured as ratio numerator and ratio denominator.
Access in the Modules tab under [image] Ratio > Ratio Settings > Redefine Ratios
See also:
Ratio Setting window
Ratio Module: Ratio System Configuration
Ratio Module: Defining Ratio Channels Tutorial
Add Ratio Information window

Ratio 1 group

1. Ratio 1 group
Select a channel from the dropdown menu to assign the Numerator and Denominator for Ratio 1. These channels will be used in ratio calculations and calibrations.
Top

Ratio 2 group

2. Ratio 2 group
Select a channel from the dropdown menu to assign the Numerator and Denominator for Ratio 2. These channels will be used in ratio calculations and calibrations.
Top

OK button

3. OK button
Press OK to apply changes and close the dialog.
Top

Cancel button

4. Cancel button
Press Cancel to discard changes and close the dialog.
Top


Topic: Intracellular Ratio Calibration window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Ratio
  • Intracellular Ratio Calibration window
  • Previous page
  • Next page

Intracellular Ratio Calibration window

The Intracellular Calibration Guide in SlideBook allows you to select representative regions in a time series and use them as the basis for determining the maximum and minimum ratios that are observed within cells.
Access in the Modules tab under [image] Ratio > Intracellular Calibration
See also:
Ratio Manual: Intracellular Calibration
Ratio Manual: Tutorial: Intracellular Ratio Calibration
Ratio Manual: Solution-based in vitro Calibration
Ratio Manual: Ratio Settings
Intracellular Ratio Calibration window

RMax group

1. RMax group
Determine the highest ratio value in the data set. Draw a region encompassing this area. Enter a value for the Timepoint where the ratio is highest. Enter the number of the Region you drew to encompass the area.
Intensity of each channel with the associated background value will be calculated and displayed. The Rmax will also be calculated.
Top

RMin group

2. RMin group
Determine the lowest ratio value in the data set. Draw a region encompassing this area. Enter a value for the Timepoint where the ratio is lowest. Enter the number of the Region you drew to encompass the area.
Intensity of each channel with the associated background value will be calculated and displayed. The Rmin will also be calculated.
Top

Beta Readout

3. Beta Readout
Beta is calculated as the ratio of the denominators of the minimum and maximum conditions.
Top

Kd Field

4. Kd Field Enter the Kd in this field. Kd is the dissociation constant of the fluoroprobe.
Top

OK button

5. OK button
Press OK to apply the calibration and begin reading concentration information instead of ratio values.
Top

Cancel button

6. Cancel button
Press Cancel to discard changes and close the dialog.
Top


Topic: Ratio Calibration Guide

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • Ratio
  • Ratio Calibration Guide
  • Previous page
  • Next page

Ratio Calibration Guide

When performing solution-based in vitro ratio calibration, SlideBook provides a guide to walk you through capturing images of buffer solutions. For more on this topic, please review one of the following topics in the Ratio Module help files:
Ratio Calibration - General overview on types of calibration available in SlideBook
Solution-based in vitro Calibration - Information regarding setup and samples required for solution-based in vitro calibration
Generating Ratio Calibration Data - A walkthrough of using the Ratio Guide


Topic: FLIM

×

  • SlideBook 6 User's Guide
  • User Interface
  • Modules Tab
  • FLIM
  • Previous page
  • Next page

FLIM

Please review the FLIM Module section for information on using FLIM user interface dialogs.
The following topics are available:
Lifetime Acquisition
Notation and Units
Lifetime Data Format
FLI Hardware Configuration in SlideBook
Control and Calibration of FLIM
Acquiring and Viewing a Lifetime Image
Creating a Single-τ Channel
The Lifetime Histogram
Calculating FRET using Lifetime
Graphing Lifetime


Topic: Support Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Support Tab
  • Previous page
  • Next page

Support Tab

The Support tab provides access to the most common technical support related functions.
Contact Support | Opens the web form to contact 3i technical support
Email Preferences | Sends the system configuration files to 3i for cloud backup and/or technical support and troubleshooting. For more info, review Working with 3i Support.
Backup Preferences | Opens a directory browser to backup the system preferences on your computer or local backup system
Update Dongle | Updates the software license key (or dongle) when support contracts or additional features are purchased through the Update Dongle interface.
Check for Updates | Check for SlideBook software version updates
Download Sample Data | Download sample .sld files used in help tutorials
Download Remote Support | Download TeamViewer software for 3i support sessions
About SlideBook | View information about SlideBook license, version, support contract dates, and author information as well as access patent and legal information

The contents of Support Tab

Update Dongle window
Working with 3i Support


Topic: Update Dongle window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Support Tab
  • Update Dongle window
  • Previous page
  • Next page

Update Dongle window
When software support has been extended or modules have been added to the license, an update of the software key (also called a dongle) needs to be performed. To do so, you may manually copy and paste the update string sent by 3i Support or you can obtain the string directly from the 3i database if the computer is connected to the internet.
See also:
Update Dongle window

Edit field

1. Edit field
If the computer is not connected to the internet, copy and paste the update string provided in this field. It is important that all characters are copied with no additional spaces or characters.
Top

Check for update... button

2. Check for update... button
If the computer is connected to the internet, simply click Check for update. The update string will be copied from the 3i server and pasted into the Update Key field.
Top

OK button

3. OK button
Click OK to apply the update and close the window.
Top

Cancel button

4. Cancel button
Click Cancel to discard changes and close the window.
Top


Topic: Working with 3i Support

×

  • SlideBook 6 User's Guide
  • User Interface
  • Support Tab
  • Working with 3i Support
  • Previous page
  • Next page

Working with 3i Support

When working with 3i's Technical Support group, you may be asked to allow remote access of your computer or send important configuration files. Instructions for these tasks are below.
NOTE: Internet connection is required for the operations described below.

Prepare for Remote Access Session

1. Go to Support tab > [image] Download Remote Support.*
2. The TeamViewer .exe file download will begin. Double click to start the installation then click Run when prompted.
3. 3i QuickSupport will launch.
4. Copy and paste the codes for Your ID and Password into a reply email to your support case when you are ready to begin the remote access session.
*To download TeamViewer directly, please visit https://www.intelligent-imaging.com/teamviewer.php

Send Files to Support

1. Go to Support tab > [image] Email Preferences.*
2. The 3i Technical Support dialog will open
3. Fill in Your email address. Enter the Case ID if you know it. The case ID can be found in parentheses in the subject line of your support email. Add any Additional comments as desired. These may include specific dates of crashes or other information about your system or case.
4. Check the boxes as follows:
Send preferences files - sends configuration files to 3i cloud for system backup and support processes.
Send capture crash log files - sends information about captures that crashed before completion; only available if capture crash log files exists.
Send exception dump - sends crash logs from the previous 60 days. Only available if .dmp files exists.
Send command log - Hardware Properties > SlideBook > Enable Command Log enables SlideBook’s logging feature. It logs commands and errors and sending this file can aid the developers in tracking down issues. Only available if the log file exists.
5. Click OK to send requested files.
*In SlideBook 5.5 and 5.0, access this dialog from Help > Email Support.


Topic: Administration Tab

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Previous page
  • Next page

Administration Tab

The Administration tab provides access to system configuration tools and other advanced administrator tasks.
Hardware Configuration
Opens Hardware Configuration dialog to designate the hardware to be controlled by SlideBook.
Hardware Properties
Open Hardware Properties dialog to specify details regarding system configuration.
Filters
Open Filter Configuration dialog where imaging and viewing channels are configured.
Objectives
Opens the Configure Objectives dialog where specifications are entered for the system objective lenses.
Mag Changers
Enter parameters for Magnification Changers, either physical lenses or effective magnification changers included in other hardware.
Camera Settings
Compute Camera Registration
Configure Andor iXon
Reset PICAM Camera
Configure PVCAM
Laser Settings
Calibrate Laser Power
Calibrate Pockels' Cell
Devices
AOTF Configuration Information
Calibrate Polychrome
Configure Optical Metadata
Set Yokogawa Disk Speed
System Parameters
System Parameters includes general system settings not covered by other configuration dialogs including system password, automatically check for updates, and automatically backup preferences.
Flat Fields menu
Collect Flat Fields
Manage Flat Fields
Smooth Flat Field
More Options menu
Open User Preferences Folder - Opens directory where the user configuration files are stored.
Open System Preferences Folder - Opens directory where the system configuration files are stored.
Open Documentation Folder - Obsolete command, help documentation is access by F1 or the help icon.
Compute Optimal InFocus Setting - Tests InFocus Settings on sample.
Compute Autofocus Metric - Tests Autofocus Settings on sample.
Get Slide File Version - Determines SlideBook version used to capture or save .sld file.
Recover SLD File - Used to recover data in case of fatal error.
Analyze Log File - Displays statistics about SlideBook use, only available when logging is enabled. Provides access to open log file for viewing. Contact support for more information.
Reset Registry - Resets all window positions to the default,
Copy Optics Information - Copies optical information ( accessed in Image Info/Edit Info windows) from current image to all images in .sld.
Compare Property Files - C0mpares configuration files to track changes.
Compare Property File Against Current - Compares configuration file to current configuration to detect changes.

The contents of Administration Tab

Hardware Configuration
Hardware Properties
Filter Configuration Parameters Dialog
Configure Objective Lenses window
Magnification Changer Parameters window
System Parameters window
Preferences Options
Creating Individual User Accounts
Setting Up Multiple Configurations of SlideBook
Configuring Camera Orientation for Motorized Stages
Using Mesa in SlideBook


Topic: Hardware Configuration

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Hardware Configuration
  • Previous page
  • Next page

Hardware Configuration
The Hardware Configuration dialog is where SlideBook is directed to communicate with hardware. It is important not to modify this configuration unless specifically directed to by 3i personnel. Should you have any questions about this dialog, please contact support@intelligent-imaging.com.
Access in the Administration tab
See also:
Preferences Options
System Administration
Backing up and Restoring Preferences


Topic: Hardware Properties

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Hardware Properties
  • Previous page
  • Next page

Hardware Properties
The Hardware Properties dialog is where SlideBook can be customized with regards to how it communicates with specific hardware. It is important not to modify this configuration unless specifically directed to by 3i personnel. Should you have any questions about this dialog, please contact support@intelligent-imaging.com.
Access in the Administration tab
See also:
Preferences Options
System Administration
Backing up and Restoring Preferences

The contents of Hardware Properties

Night and Day Capture


Topic: Night and Day Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Hardware Properties
  • Night and Day Capture
  • Previous page
  • Next page

Night and Day Capture

Night and Day capture turns on the brightfield lamp between specified time point acquisitions for long-term capture.
This mode is enabled and customized by setting hardware properties under the Advanced Capture Settings group (accessed by selecting Administration tab > Hardware Properties):
The following properties are available:
NightAndDay | turns the mode on and off
NightAndDayCycleLength | determines the total number of time points that participate in a single daily cycle (both “day” and “night”). Currently, SlideBook divides this length by two to set the “day” and “night” length in terms of time points, so it is important that this value is even. For instance, if NightAndDayCycle is set to 24, SlideBook will turn on the brightfield lamp for the first twelve intervals and off for the second twelve.
NightAndDayNumCycles | sets the number of daily cycles that are run for the capture. After this number of daily cycles has been ran, the brightfield lamp will remain off between captures.
NightAndDayOffset | allows a given number of time points to be captured before the first cycle begins.
So, for instance, if you set:
NightAndDayCycleLength = 24
NightAndDayNumCycles = 3
NightAndDayOffset = 0
and specify a capture with 84 timepoints, you would get this behavior:
time points 0 – 11 light after timepoint is captured
time points 12 – 23 no light on after capture
time points 24 – 35 light
time points 36 – 47 no light
time points 48 – 59 light
time points 60 – 83 no light

Example 1:

NightAndDayCycleLength = 6
NightAndDayNumCycles = 2 (or more)
NightAndDayOffset = 0
1 cycle

Example 2:

NightAndDayCycleLength = 4
NightAndDayNumCycles = 2 (or more)
NightAndDayOffset = 1
1 cycle


Topic: Filter Configuration Parameters Dialog

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Filter Configuration Parameters Dialog
  • Previous page
  • Next page

Filter Configuration Parameters Dialog
The Filter Configuration Parameters dialog allows you to configure imaging channels on your system.
Access in the Administration tab
For specific instructions on using this window, please refer to:
Defining Ratio Channels
Defining FRET Channels
Filter Configuration Parameters Dialog

Filter Configuration

1. Filter Configuration
Displays the Name of the channel displayed. When a new fluoroprobe is created, this field will display New Fluoroprobe until the settings have been applied by restarting SlideBook.
It is important to note that the filter buttons in the Focus Controls window will be in the same order as this list (on a per Filter Set basis). That is, if the list reads GFP above RFP, the GFP button will appear to the left of the RFP button and GFP will be captured before RFP by default. It is possible to change channel capture order from the Capture dialog but users should remember they are also setting up the default channel capture order when configuring filters.
Top

Name

Type the desired Name for the channel in this field. This is the label that will appear in the corresponding filter button in Focus Controls and the channel selection area in the Capture window. It is important to note that no special characters can be used in this field and only the first 8 characters will appear in the button in Focus Controls.
Top

Light Source

3. Light Source
Select the appropriate Light Source as follows:
Fluorescence: Should be used when a standard fluorescent light source is used in conjunction with excitation and emission filters. Select the radio button control and enter a value for the emission wavelength in µm. For example, GFP has an emission peak wavelength at 509 nm so you would enter .509 in this field. This value will be used in some methods of deconvolution as well as when Wavelength is selected for Default Color Display.
Transmitted: Should be used when the standard transmitted (halogen) light source is used. Select the radio button to enable this light source then select the Mode for the channel you are configuring. Available modes include Unknown, Brightfield, Darkfield, DIC (Nomarski), and Phase. These refer to transmitted light imaging techniques that may or may not have relevant condenser positions or objective properties associated with them. Certain modes will only be available for some objectives based on the objective configuration (see also Objective Configuration ). If you would like to be notified of these compatibilities, check the box to Prompt if mode is not available for current objective. It is important to note that, when you configure a transmitted light channel such as DIC and image it with other
Alternate Source: Should be used when controlling a laser light source via TTL. Select the radio button to enable this light source then select the Position number from the drop-down list to correspond to the appropriate TTL line.
Top

Hardware Configuration

4. Hardware Configuration
The Hardware Configuration section consists of a series of dropdown menus used to direct hardware movement. Use these dropdown menus to select the appropriate position on various configured hardware.
Filter Set can be used to help organize groups of channels in the Focus Controls and Capture window (See also Working with Filter Sets).
To test a specific filter configuration, simply press Go and observe to see if the correct movements are occurring.
Top

Go button

5. Go button
The Go button will move all of the hardware to the positions configured in this dialog. This button is used to test the configuration to ensure the channel is transmitting.
Top

Associated Channel Type

6. Associated Channel Type
For each configured channel, you must select the appropriate Associated Channel Type. The options available include:
Independent -defines an independent channel used for basic image acquisition and analysis
Ratio 1 Numerator - defines the numerator channel for the first ratio pair configured, will identify a channel used in the display and analysis of ratio data (see also Ratio System Configuration)
Ratio 1 Denominator - defines the denominator channel for the first ratio pair configured, will identify a channel used in the display and analysis of ratio data (see also Ratio System Configuration)
Ratio 2 Numerator - defines the numerator channel for the second ratio pair configured, will identify a channel used in the display and analysis of ratio data (see also Ratio System Configuration)
Ratio 2 Denominator - defines the denominator channel for the second ratio pair configured, will identify a channel used in the display and analysis of ratio data (see also Ratio System Configuration)
RGB Color - defines a color channel acquired using a color camera
FRET Donor - defines a donor channel in FRET acquisition and analysis (see also FRET System Configuration)
FRET Acceptor - defines an acceptor channel in FRET acquisition and analysis (see also FRET System Configuration)
FRET Transfer - defines a FRET transfer channel in FRET acquisition and analysis (see also FRET System Configuration)
Virtual RGB (Red) - defines the red channel when using a color filterwheel or LCD color filter to create a virtual RGB image (see also Performing Auto-White Balance for Color Capture)
Virtual RGB (Green) - defines the green channel when using a color filterwheel or LCD color filter to create a virtual RGB image (see also Performing Auto-White Balance for Color Capture)
Virtual RGB (Blue) - defines the blue channel when using a color filterwheel or LCD color filter to create a virtual RGB image (see also Performing Auto-White Balance for Color Capture)
FRET Donor Prebleach - defines a prebleach donor channel in FRET acquisition and analysis (see also FRET System Configuration)
FRET Donor Postbleach - defines a postbleach donor channel in FRET acquisition and analysis (see also FRET System Configuration)
Fluorescence Lifetime - defines a channel used for FLIM
Photomanipulation - defines a channel used for photomanipulation such as photoactivation or photobleaching
Top

Default Color Display

7. Default Color Display
Select the the radio button to designate the appearance of the channel in an image. Channels may be set to standard RGB, pseudocolor, RBG, monochrome, user-defined, or set to the emission wavelength.
NOTE: The color assigned here may not be the color displayed during acquisition but will be the default color displayed when the image is opened. To change color assignments on an open image, go to the View menu and select the preferred display.
None may be used for channels that do not need to be viewed, no color will be assigned to the channel when the image is opened.
Red, Green, or Blue allows channels to be assigned to the standard RGB display.
Pseudocolor (Color) and Pseudocolor (Intensity) together determine the look of a pseudocolored image. A filter configuration that has Pseudocolor (Color) as its default will set the hue value of the display according to the normalized (i.e., scaled from minimum to maximum) value of each voxel. A filter configuration that has Pseudocolor (Intensity) as its default will gate the intensity of the pseudocolored image according to the normalized value of each voxel. If a captured image contains a channel with a filter configuration set to Pseudocolor (Color) but not Pseudocolor (Intensity), the corresponding view will show a range of hues at maximum intensity (i.e., ranging from bright blue to bright red). If the image also contains a channel with a filter configuration set to Pseudocolor (Intensity), the corresponding view will show a range from dark blue (black) to bright red. If the image only contains a channel with a filter configuration set to Pseudocolor (Intensity) and no Pseudocolor (Color) counterpart, the default setting will be treated as if it were set to None.
Pseudocolor color types cannot be displayed along with Red, Green, or Blue channels. In multiple channel images, the pseudocolor setting will override any red, green, or blue settings. Red, green, or blue settings will in turn override a monochrome setting.
RGB is for color image acquisition either using a color camera or Virtual RGB channels. When RGB is selected, you will need to complete the Settings dialog to adjust gain settings for red, green, and blue.
Monochrome may be used to display a channel in monochrome or for a background channel when displayed with RGB or pseudocolored channels.
User-defined may be used to assign a specific color to a channel. This is particularly useful when you routinely collect images in more than three channels. To define the color, click on the color block to open the Color dialog. Select a color then click OK.
Wavelength may be used to to automatically assign a color based on the emission wavelength of the channel as assigned in the Light Source configuration. This is another approach that will be helpful if you routinely capture more than three channels or if you wan the image to be displayed realistically according to fluorophore.
Again, you can view any image using any color display option at any time, this configuration simply determines what will be visible initially when an image opens.
Top

Requires UV objective

Select this check box if the channel you are configuring requires that the objective lens passes UV light. For example, you may select this box if you are configuring a channel for Fura-2. Checking this box will enable SlideBook to open a warning window when you are using this channel with an objective that will not pass UV.
Top

Finishing Buttons

9. Finishing Buttons Click Add to add a new channel to the configuration. A new channel called New Fluoroprobe will be created.
Click Remove to remove the current channel from the configuration.
Click OK to apply the changes and close the dialog. You will be prompted to restart SlideBook.
Click Cancel to discard changes and close the dialog.
Top

The contents of Filter Configuration Parameters Dialog

Working with Filter Sets
Performing Auto White Balance for Color Capture


Topic: Working with Filter Sets

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Filter Configuration Parameters Dialog
  • Working with Filter Sets
  • Previous page
  • Next page

Working with Filter Sets

When you have many optical configurations or imaging techniques on one system, it is helpful to utilize Filter Sets in organizing the modalities. Filter Sets determine which imaging "channels" are available together in the Focus Controls and Capture windows.

Name Filter Sets in Hardware Properties

Configuring custom filter set names is a simple process that can be accomplished quickly. Once the configuration is complete, you should be sure to Backup System Preferences.
1. Go to Administration tab > [image] Hardware Properties. Navigate to the section called Filter Set Information and click the + to expand the selection. Select Filter Set 1 Label.
2. Type the desired filter set name/ imaging modality in the Value field.
3. Click Apply Change.
4. Repeat steps 1-3 for all desired filter set labels. Press Close when finished. When prompted, restart SlideBook.

Designating Filter Sets for Channels

When configuring channels, you may then assign the appropriate Filter Set in Administration tab > [image] Filters. More information on this dialog can be found in Filter Configuration Parameters Dialog.

Using Filter Sets in Focus Controls

The Filter Sets can be accessed in Focus Controls as shown below. More information on this dialog can be found in Focus Controls Window.

Using Filter Sets in Capture

When setting up channels in image capture, you will access the Filter Sets as shown below. More information on this dialog can be found in Capture Window.


Topic: Performing Auto White Balance for Color Capture

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Filter Configuration Parameters Dialog
  • Performing Auto White Balance for Color Capture
  • Previous page
  • Next page

Performing Auto White Balance for Color Capture

If you are performing a color capture with an LCD filter, you may first wish to perform a white balance procedure (you must first define your filters as discussed in the Filter Configuration Parameters Dialog). This will yield the truest color rendering. To do so:
1. In the focus window, find a clear portion of your slide. Alternatively, use a piece of white lens paper.
2. Make sure that the halogen lamp is set to 3200K and the microscope is set for Köhler illumination.
3. Select the green filter and check that your exposure time is at least 25ms (this yields the best white balance results). If you are saturating the camera at 25ms, you should use neutral density filters.
4. Once you have achieved an adequate exposure time, go to select the image capture icon [image] .
5. Select the filter configuration checkbox corresponding to the color channel and then Test.
6. Select the area to be imaged and any binning desired.
7. Adjust the exposure time as described above.
8. Select the area of the test view that you would like to use for performing white balance by clicking and dragging over the region.
9. Select White Balance from the radio buttons and then click Update.
10. A white balance operation is performed and a dialog box similar to the following will appear.
NOTE: If you are getting inconsistent color maximums when performing capture and the RGB factors are varying significantly each time you perform a white balance, then you should adjust your illumination. Bright, dim or inconsistent lighting may cause this phenomenon.
11. Select OK to close the dialog box.
12. You may now capture an image by selecting OK in the Capture dialog box. The white balance settings will remain in the system memory until the slide file is closed.
13. If you would like to manually enter white balance settings, go to Administration tab > [image] Filters and select the red filter configuration for an LCD filter, or to the color filter configuration for a color camera.
14. In the Default Color Display section, select the Settings button. The following dialog box will be displayed:
15. Enter the white balance gain factors. In general, the green factor will be the largest.
16. Click OK to save the settings.


Topic: Configure Objective Lenses window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configure Objective Lenses window
  • Previous page
  • Next page

Configure Objective Lenses window
Objective lenses can be defined and set up in the Configure Objective Lenses window. Once an objective is defined, it can be controlled (if the objective turret is motorized) from the Focus Controls and Capture window. If the objective turret is not motorized, it may be selected in the capture window and the objective definition will automatically be stored with the image information. If the objective was used to capture an image that has been imported, the objective information can be added to the image information.
Access through the Administration tab
See also:
Measuring Pixel Size
Per-Camera Magnification Factor
TUTORIAL: Adding an Objective
Configure Objective Lenses window

Objective Lens Name

1. Objective Lens Name Objective Lens is a dropdown menu containing a list of configured objective lenses. When you click Add, a new option will be selected and labeled New Lens. You may edit the name and other details of the magnification changer in the Parameters group. To edit an existing objective lens, select it from the menu, edit the parameters, and click OK.
Top

Edit field

2. Edit field
Enter the objective name, magnification, numerical aperture (N.A.), working distance, and turret position. You must give the lens a name and fill out all parameter fields listed in this section.
NOTE: For optimal results, objective pixel size should be measured by traditional means using a stage micrometer. If this is not possible, a close estimate can be calculated by dividing the camera pixel size by the magnification of the objective. Please note that this will not take into account any optics that alter magnification such as a spinning disc confocal or Spherical Aberration Correction device by 3i. When pixel sizes are measured, refer to Measuring Pixel size for instructions.
Top

UV check

3. UV check
Some objective lenses have improved performance in the UV range of light. Check this box when you configure an objective that passes UV light. This information will be used to notify users of incompatible channel/objective combinations.
Top

Medium group

4. Medium group
Select the imaging medium for which the objective was designed. This information is necessary for some advanced functions such as deconvolution.
Top

Transmitted Light Configuration group

5. Transmitted Light Configuration group
Select any transmitted light functionality associated with the objective. For example, if there is a DIC prism in the motorized condenser turret, you would want to select the correct position from the DIC condenser turret position dropdown menu. If the condenser is not motorized, select Unmounted.
Top

Parfocality and parcentricity group

6. Parfocality and parcentricity group
When the image in the eyepieces and the camera are not the same, you may use the parfocality and parcentricity parameters to correct for any offsets. It is suggested that you first review system alignment with 3i Support.
Top

Add button

7. Add button
Click Add to add a new objective to the microscope configuration.
Top

Add - Preset button

8. Add - Preset button
Functionality coming soon!
Top

Remove button

9. Remove button
Select an objective from the Objective Lens dropdown menu then click Remove to delete it from the configuration.
Top

OK button

10. OK button
Click OK to apply changes and close the dialog.
Top

Cancel button

11. Cancel button
Click Cancel to discard changes and close the dialog.
Top

The contents of Configure Objective Lenses window

Measuring Pixel Size
TUTORIAL: Adding an Objective


Topic: Measuring Pixel Size

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configure Objective Lenses window
  • Measuring Pixel Size
  • Previous page
  • Next page

Measuring Pixel Size

A straightforward formula can be used to calculate approximate pixel size:
pixel size (ųm) = physical pixel size of the camera/magnification of objective/any other auxiliary magnification
Thus, a camera with a 16 ųm pixels and no auxiliary magnification would have a calculated size of 0.2540 ųm/pixel at 63X and 0.016 ųm/pixel at 100X. It is important to keep in mind that many external devices can alter the magnification and, therefore, pixel size. Some examples of such devices include relay lenses, certain spinning disc confocals, and the 3i SAC device. If you are unsure of your peripheral devices, please contact the company that sold you the hardware.
While calculated pixel size can give good results, the most accurate results are obtained by measuring pixel size. Measuring pixel size also eliminates the need to know magnification factors of peripheral devices. The only special equipment you will need is a metric slide micrometer also known as a stage micrometer. This is a glass microscope slide with a ruler you will image through the microscope.
In SlideBook, the workflow for measuring pixel size consists of setting all pixel sizes to 1 (in order to measure the number of pixels for a known distance), capturing images at each desired magnification, performing calculations, and configuring the measured pixel sizes. Detailed instructions follow.
1) Open SlideBook. Go to Administration tab > [image] Objectives. More information on this dialog can be found in the Configure Objective Lenses window.
2) Refer to the image below. Select an objective you will be using to measure pixel size from the Objective Lens dropdown menu. Set the um/pixel at 1x magnification changer value to 1. Repeat for each objective you will be measuring. Click OK to apply changes and close the dialog. You will be prompted to restart SlideBook, do so at this time.
3) Open the Focus Controls window. Select the first objective you would like to use to measure pixel size. Confirm that your micrometer slide is clean and dry. Arrange the slide on the microscope using the required immersion media when necessary. Use the focus controls to bring the sample into focus and get a live image on the monitor. You may use fluorescence or brightfield.
4) Adjust the slide on the stage so that the ruler image is as horizontal as possible. Press Snap to capture a single 2D image. A sample image of a slide micrometer at 10X is shown below.
5) In the .sld, select the image you just captured by clicking on it. Right-click and select Rename from the menu. Name the image according to the objective used.
6) Repeat steps 3-5 for any additional objective you would like to use to measure pixel size. If you have multiple cameras, please refer to Per-Camera Magnification Factor for information on how to configure pixel sizes for either identical or different optical paths.
7) Once all images have been acquired, you are ready to make the measurements. Open the first image. Select the ruler tool from the tool dropdown menu.
8) Click and drag on the image to draw a straight line between two measuring points. Be careful to place the cursor on the same side of the line to improve accuracy. A measurement will be shown above the View Settings icon in the View window. Even though the measurement in given in microns, it is actually the number of pixels as each pixel is set to 1 ųm.
9) Record the measurement for the known distance. Repeat the measurement at least three times to reduce measurement error. Now you have the number of pixels for a known number of microns. To determine pixel size, take the number of microns divided by the number of pixels. In the example above, it would be 300 microns (each long tic marks 100 microns) divided by 230 pixels = 1.3043 ųm/pixel.
10) For each image at different objectives, repeat the measurements and calculations.
11) Go to Administration tab > [image] Objectives. For each objective you measured, select the objective from the dropdown menu and set the um/pixel at 1x magnification changer to the calculated value.
12) After all pixel sizes have been set, click OK and restart SlideBook when prompted.

The contents of Measuring Pixel Size

Per-Camera Magnification Factor


Topic: Per-Camera Magnification Factor

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configure Objective Lenses window
  • Measuring Pixel Size
  • Per-Camera Magnification Factor
  • Previous page
  • Next page

Per-Camera Magnification Factor

Previously, when systems had multiple cameras, the user would measure pixel sizes for Camera1 and Camera2. They would then enter pixel sizes for Camera1 for each individual objective. Next, the user would calculate a conversion factor between Camera1 and Camera2 and create a manual magnification factor for Camera2. When operating the systems, all users would need to remember to manually select the appropriate magnification changer when capturing images using Camera2.
In SlideBook 5.0.0.24 and later, this process has been simplified by automatically calculating pixel sizes for multiple cameras as well as providing per-camera adjustment factors for true measured pixels sizes. This approach will eliminate user error by removing any manual steps to assign the appropriate pixel size to an image.
Your system is likely to benefit from this software change if one or more of the following is true:
  • •
    Multiple cameras are detected and these cameras are compatible with new ability for SlideBook to query a camera for its pixel size
  • •
    A manual magnification changer is configured
In the case where your system may benefit from this software change, the following dialog will appear at startup (after installing SlideBook 5.0.0.24 or later).
There are two different procedures available depending on the physical configuration of your system. That is, you must first determine whether the two cameras share an optical path or have different optical paths. If you are unsure which category your system falls into or have any questions during this process, please consult support@intelligent-imaging.com.

The contents of Per-Camera Magnification Factor

Configuring Pixel Size, Multiple Cameras Identical Optical Paths
Configuring Pixel Size: Multiple Cameras, Different Optical Paths


Topic: Configuring Pixel Size: Multiple Cameras, Different Optical Paths

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configure Objective Lenses window
  • Measuring Pixel Size
  • Per-Camera Magnification Factor
  • Configuring Pixel Size: Multiple Cameras, Different Optical Paths
  • Previous page
  • Next page

Configuring Pixel Size: Multiple Cameras, Different Optical Paths

1. Record current pixel size for each objective by going to Administration tab > [image] Objectives. Write down the value for each objective on the system.
2. Go to Administration tab > [image] Mag Changer. Record manual magnification factor then remove it as you will no longer need to select a manual magnification changer for a secondary camera.
3. Go to Administration tab > [image] System Parameters. Check the box to Enable per-camera magnification change factor then click OK when finished.
4. Compute the per-camera magnification factors and true objective magnification values based on the following equation:
um/pixel = physical pixel size of detector/magnification of objective/per-camera magnification factor/magnification changer
Where:
Physical pixel size of detector is a defined value based on the camera type. If your camera is compatible with this system of pixel size application, SlideBook will read the pixel size from the CCD.
Magnification of objective is the nominal amount an objective magnifies an object. While manufacturers strive to make this the true magnification, there is often some amount of error in the true magnification of the objective. The true magnification of the objective can be calculated by directly coupling a camera to a microscope body and measuring the um/pixel using a stage micrometer. Some systems may already be configured so that you may measure the true magnification of objectives. If your system is not configured in such a way, it is acceptable to assume the nominal value assigned by the lens manufacturer.
Per-camera magnification factor takes into account many factors that can alter the um/pixel value for each camera. These factors may include:
  • •
    CSU-X, introduces a 1.2X factor
  • •
    old-style SAC introduces either a 2X or 1.6X factor depending on style
  • •
    additional relay optics in light path
  • •
    "true" magnification factor for the objective when not measured directly
Magnification changer (sometimes called an optovar or referred to as auxiliary magnification) is a part of the microscope body that provides additional magnification in the form of a manual or motorized slider. All measurements and calculations should be done with the optovar in the 1X (or bypass) position.
It is advised that you measure pixel size for each camera at each magnification. If you have measured pixel sizes and an old manual magnification factor to accommodate a secondary camera, you can use these values as follows:
measured pixel size camera 1 = values found in Step #1
measured pixel size camera 2 = (values found in Step #1) (value found in Step #2)
For your convenience, a PIXEL SIZE WORKSHEET to compute these values can be downloaded from our support site. Please go to http://www.slidebook.com and download Pixel Size Worksheets.xlsx.
5. Enter the per-camera Magnification Factor under Administration tab > [image] Hardware Properties > Camera X. Click Apply Change for each value entered.
6. Go to Administration tab > [image] Objectives. Select an Objective Lens and enter the true Magnification value from step #4. Check to make sure the Computed um/pixel at 1X magnification changer value is correct for each Camera. Click OK when finished.
7. Go to Administration tab > [image] Mag Changer. Create a magnification changer to represent the physical magnification changer slider (sometimes known as an optovar) on your microscope. Click Add, Name the mag changer, and enter the Magnification value. When finished, click OK.
8. Save backup configuration files in a secure location. To do so, go to Support tab > [image] Backup Preferences. Once this configuration change has been made, pixel size adjustments will be made automatically each time a user selects a camera. For older images that require pixel size adjustment, select the image and go to [image] Get Info > Edit to select a camera or
manually enter a value for pixel size.
For additional assistance, please contact support@intelligent-imaging.com.


Topic: TUTORIAL: Adding an Objective

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configure Objective Lenses window
  • TUTORIAL: Adding an Objective
  • Previous page
  • Next page

TUTORIAL: Adding an Objective

When you add a new objective to your system, it must be configured properly in SlideBook. The following tutorial will walk you through the process.
1. Locate an open space in the microscope objective turret. If you have a motorized objective turret (meaning you use SlideBook to physically change objective lenses), note the position you are using. In the example below, the arrow is pointing to position 2 as depicted on the outer edge.
2. Screw the objective into the turret, ensuring it is secure while not over tightening.
3. Within SlideBook, go to Administration tab > [image] Objectives. The Configure objective lenses window will open.
4. Click Add. Complete the fields highlighted below. Refer to the Configure Objective Lenses window page for more details on the fields available. You may also wish to measure the pixel size for the most accurate analysis and image processing results. Refer to Measuring Pixel Size for more details.
5. If you purchased additional optics such as a DIC prism or phase ring, load these into the condenser noting the positions used. If you have a motorized condenser, select the relevant condenser position for the associated technique from the dropdown menus in the Transmitted Light Configuration group.
6. Click OK. Restart SlideBook to complete adding an objective.


Topic: Magnification Changer Parameters window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Magnification Changer Parameters window
  • Previous page
  • Next page

Magnification Changer Parameters window
A magnification changer, or optovar, is a component which may or may not be part of your imaging system. These optical components act to increase or decrease the effective magnification of an objective. If you do not have a magnification changer, you should use the predefined 1.0 x definition.
Access in the Administration tab
Magnification Changer Parameters window

Mag. Changer Selection

1. Mag. Changer Selection
Magnification is a dropdown menu containing a list of configured magnification changers. When you click Add, a new option will be selected and labeled New Mag. Changer. You may edit the name and other details of the magnification changer in the Parameters group. To edit an existing magnification changer, select it from the menu, edit the parameters, and click OK.
Top

Parameters group

2. Parameters group
Enter Parameters as follows:
Name - Enter the name as it will appear for selection in the Focus Controls and Capture window.
Magnification - Enter the factor of magnification that the changer introduces. This value will be multiplied times the um/pixel value for an objective to assign pixel size.
Turret Position - Select the turret position of the microscope when a motorized magnification turret is available. If the selection is manual, you must still assign a turret position.
Top

Add button

3. Add button
Press Add to add and configure a new magnification changer.
Top

Remove button

4. Remove button
To remove a magnification changer, select it from the dropdown menu then click Remove.
Top

OK button

5. OK button
Click OK to apply changes and close the dialog.
Top

Cancel button

6. Cancel button
Click Cancel to discard changes and close the dialog.
Top


Topic: System Parameters window

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • System Parameters window
  • Previous page
  • Next page

System Parameters window
System Parameters includes general system settings not covered by other configuration dialogs.
Access in the Administration tab
System Parameters window

Oil Index of Refraction

1. Oil Index of Refraction
Enter the refractive index of the immersion oil for the microscope you are using. It is important to note that different manufacturers use different immersion oil and that you should always use the manufacturer's recommended immersion oil to maintain the optical integrity of the objective lenses.
Top

System Password

2. System Password
Enter a system password to password protect system configuration files. This is recommended at multi-user facilities. To remove a system password, simply delete it from this field and click OK.
Top

Enable per-camera magnification change factor check

3. Enable per-camera magnification change factor check
A per-camera magnification change factor is recommended when systems meet one of the following two conditions:
  • •
    Multiple cameras are detected and these cameras are compatible with new ability for SlideBook to query a camera for its pixel size
  • •
    A manual magnification changer is configured
Please review Configuring Pixel Size for complete details on how to measure and configure pixel sizes for your system.
Top

Automatically Backup Preferences

4. Automatically Backup Preferences
Check this box to automatically send copies of vital system configuration files (SlideBookHardwarePropeties.dat and SlideBookPrefs.dat) to 3i every time they are modified. This backup will only be successful if the computer is connected to the internet. Backup files will be created when OK is pressed in any the following dialogs:
Filter Configurations
Magnification Changers
Objectives
System Parameters
Hardware Configuration
Hardware Properties
NOTE: The initial backup file will not be created until you open one of the relevant dialogs and click OK. After initially setting up the automatic backup, you may find it useful to open [image] Hardware Configuration and click OK then open [image] Hardware Properties and click OK. Because nothing is changing in this particular instance, it will not be necessary to restart SlideBook.
Top

Check for Updates

5. Check for Updates
Check this box if the computer is connected to the internet (with anti-virus protection) and you would like SlideBook to automatically check for a more recent version every N days.
Top

OK button

6. OK button Click OK to apply changes and close the window.
Top

Cancel button

7. Cancel button Click Cancel to discard changes and close the window.
Top


Topic: Preferences Options

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Preferences Options
  • Previous page
  • Next page

Preferences Options

SlideBook has several important files that contain configuration information. These are called Preferences files. Preferences are saved for the general system configuration and for specific user accounts. You can open folders containing these files or perform a backup by using menu items as described below.
See also:
Suggestions for System Administrators

Open User Preferences Folder

Opens the SlideBook > Users folder. This folder contains file for user-specific settings such as saved capture profiles, multiwell capture setups, custom user toolbar, etc.

Open System Preferences Folder

Opens the SlideBook > Global Preferences folder. This folder contains the essential configuration files: SlideBookPrefs.dat and SlideBookHardwareProperties.dat. Also contained here are system calibrations such as PSFs.dat, Photomanipulation Calibrations.dat, and FlatFields.dat.

Backup Preferences

Opens a dialog in which you can either create a new folder or select an existing folder. The selected folder will contain backups of the two directories listed above (Users and Global Preferences). It is suggested that you create backup files periodically and any time system configuration changes are made. These files can be used to completely restore a system should there be a catastrophic failure of the computer.
An additional insurance to back up your system includes sending your configuration files to 3i for free secure off-site backup. To do so, simply go to Support tab > Email Preferences.

Exceptions

The Exceptions directory can be accessed by going to Administration tab > [image] More options > Open System Preferences Folder then navigating up a level to the SlideBook directory. For example, in Windows 7, you may locate the Exceptions directory in C:\ProgramData\Intelligent Imaging Innovations\SlideBook. In the unexpected event of a software crash, ExceptDump files are created. These files contain important information about what was happening before the crash and, on the rare occasion when data was not saved, may be helpful in recovering data. Should you experience a software crash, please contact support@intelligent-imaging.com for instructions on providing the necessary files. System administrators may find it useful to routinely check this folder to delete unnecessary files.

The contents of Preferences Options

Backing up and Restoring Preferences


Topic: Backing up and Restoring Preferences

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Preferences Options
  • Backing up and Restoring Preferences
  • Previous page
  • Next page

Backing up and Restoring Preferences

Below, you will find useful information on backing up vital system configuration files locally. In addition to these tools, you may also want to explore the option to backup preferences files on 3i's servers (free of charge). More information can be found on automatically backing up preferences in the System Parameters window.

Backing Up SlideBook Configuration

1. To back up your SlideBook configuration, go to Support tab > [image] Backup Preferences.
2. Select where you would like the backup files to be located. If desired, create and name a new folder.
3. Click OK.
4. Three folders containing system configuration will be placed in the directory designated. The folders are as follows:
Exceptions – This folder contains backup data from interrupted sessions and will be discussed later in this section.
Global Preferences – This folder contains the system configuration files such as SlideBookHardwareProperties.dat, SlideBookPrefs.dat, PSFs.dat, and FlatFields.dat.
Users – This folder will contain files specific to individual users or the default user. This is where saved capture settings, point lists, and analysis protocols are saved.
5. As an added precaution, send your SlideBookHardwareProperties.dat and SlideBookPrefs.dat to 3i for offsite backup. Go to Help > Email Preferences. Enter your email address and click OK. The system preferences will be stored in our database with your system information. Simply contact support@intelligent-imaging.com should you need to retrieve these files in the future.

Restoring SlideBook Configuration

1. In order to restore your system preferences, you must first open the backup configuration folder.
2. Double-click on the Global Preferences folder and select all of the files and folders. Copy the data by right-clicking and selecting Copy from the menu.
3. Now, return to SlideBook and go to Administration tab > [image] More options > Open System Preferences Folder.
4. Click inside of the Windows Explorer folder view that opens. Right-click and select Paste from the menu.
5. You will be informed that there is already a file in this location with the same name. Select the option to overwrite all files or folders and click the box to apply to all files and continue.
6. You have now replaced the active system configuration files with the backup copies. Now you will restore the user preferences.
7. Go back to the backup configuration from Step 1.
8. Double-click on the Users folder and select all of the files and folders. Copy the data by right-clicking and selecting Copy from the menu.
9. Now, return to SlideBook and go to Administration tab > [image] More options > Open System Preferences Folder.
10. Click inside of the Windows Explorer folder view that opens. Right-click and select Paste from the menu.
11. You will be informed that there is already a file in this location with the same name. Select the option to overwrite all files or folders and click the box to apply to all files and continue.
12. Close all folder views and restart SlideBook.


Topic: Creating Individual User Accounts

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Creating Individual User Accounts
  • Previous page
  • Next page

Creating Individual User Accounts

You may define multiple user logins to separate user preferences. The user login will allow individual users to access their capture preferences, various protocols, user toolbars, and other user-specific preferences. Hardware, filter, and objective configurations are shared among all users.
To configure user logins:
1. Go to Administration tab > [image] Hardware Properties and scroll down until User Login Properties is visible. Click on the + next to User Login Properties to expand the section, and then click on Enable User Login.
2. Click Yes and then Apply Change.
3. Restart SlideBook. Upon startup, you will see the following screen:
4. To add a user, click Add User. The following dialog will appear:
5. Enter the desired user name in the User Name edit field and click OK.
6. Upon future logins, choose your user name from the drop-down list and then click Login.
NOTE: To delete a user login, from the Login window, select the desired user. Click Delete User, the required password is microscope.


Topic: Setting Up Multiple Configurations of SlideBook

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Setting Up Multiple Configurations of SlideBook
  • Previous page
  • Next page

Setting Up Multiple Configurations of SlideBook

Often, it is useful to have access to multiple sets of configuration files for SlideBook. This document will walk you through configuring shortcuts that will access different configuration files for a single installation of SlideBook 6.

How to Create Two Different Configurations of SlideBook

1. Right-click on the SlideBook desktop icon and select Copy.
2. Left-click on an open area on the desktop. Right-click and select Paste.
3. Right-click on the copy of the icon and select Rename. Name the new icon something that will indicate the alternate configuration. For demonstration purposes, call this SlideBook Config B.
4. Right-click on the Config B icon again and select Properties. Locate the field titled Target. It should read something similar to C:\Program Files\Intelligent Imaging Innovations, Inc\SlideBook 6\SlideBook.exe.
NOTE: If the Target field is not available, confirm that only one icon is selected and that the selected icon is the new icon and not the original icon.
5. In this step, we will create a folder that will contain the Configuration B preferences files. Append the Target field with /D foldername. Using our previous example, the field will read "C:\Program Files\Intelligent Imaging Innovations, Inc\SlideBook 6.0\SlideBook.exe" /D ConfigB. It is important that there are no spaces in the folder name.
6. Click Apply then OK.
7. Depending on how you would like to create the alternate configuration, follow one of the options below:
a) To use preferences files you have saved in a different location:
i) Open SlideBook (using the new shortcut), decline to offer to migrate preferences from the previous version of SlideBook.
ii) Go to Administration tab, [image] More Options > Open System Preferences Folder.
iii) Copy the other preferences files and paste them into this location.
b) To modify the preference files of the other installation of SlideBook 6:
i) Open SlideBook using the original shortcut, go to Administration tab, [image] More Options > Open System Preferences.
ii) Copy SlideBookHardwareProperties.dat and SlideBookPrefs.dat from this location.
iii) Open SlideBook using the new (Config B shortcut), go to Administration tab, [image] More Options > Open System Preferences.
iv) Paste SlideBookHardwareProperties.dat and SlideBookPrefs.dat to this location.
c) To create a completely new configuration:
i) Open SlideBook (using the new shortcut), decline to offer to migrate preferences from previous verisons of SlideBook.
ii) Configure SlideBook as usual.


Topic: Configuring Camera Orientation for Motorized Stages

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Configuring Camera Orientation for Motorized Stages
  • Previous page
  • Next page

Configuring Camera Orientation for Motorized Stages

An essential part of system configuration is setting camera orientation with regards to the motorized XY stage. One way to tell if your camera orientation is configured correctly is to double-click on an object of interest in a live window. Double-clicking should result in the object of interest being centered in the window. If double-clicking does not result in this behavior, either pixel size or camera orientation has not been set properly. For instructions on setting pixel size, please refer to Configuring Pixel Size. Read below to learn more about configuring camera orientation on your system.
1. Begin by placing a slide on the microscope and bringing it into focus using the [image] Focus Window.
2. In the lower left corner of the Focus Controls, note the XY Stage control area.
3. Using the stage controller, move the stage such that the field in the live Camera window moves down (object moves up). Note whether the Y value in the Focus Controls increases or decreases when you move the field down.
4. Using the stage controller, move the stage such that the field in the live Camera window moves to the right (object moves left). Note whether the X value in the Focus Controls increases or decreases when you move the field to the right.
5. Go to Administration tab > [image] Hardware Properties. Navigate to the XY Stage properties and expand the category. The MoveField properties are the ones you will edit.
MoveFieldDownSign - Camera x - This property refers to the Y axis. If the Y value increased when moving the field of view down, enter "1" in the Value field and click Apply Change. If the Y value decreased, enter "-1" and click Apply Change.
MoveFieldRightSign - Camera x - This property refers to the X axis. If the X value increased when moving the field of view right, enter "1" in the Value field and click Apply Change. If the X value decreased, enter "-1" and click Apply Change.
6. Click Close and restart SlideBook to apply changes.
7. To test the camera orientation properties, bring up a live window. Select the Select Tool from the Regions group. Double-click on an object of interest in the live view; the object should become centered in the live Camera window.
8. Repeat this process for each camera on the system. Backup system configuration by going to Support tab > [image] Backup Preferences.
If you have properly set the MoveField properties and objects are still not centering properly, check the pixel size settings for the objective or consult support@intelligent-imaging.com.


Topic: Using Mesa in SlideBook

×

  • SlideBook 6 User's Guide
  • User Interface
  • Administration Tab
  • Using Mesa in SlideBook
  • Previous page
  • Next page

Using Mesa in SlideBook

Proper Mesa operation requires a combination of hardware and software. The Mesa optics provide better excitation throughput and field uniformity for the Yokogawa CSU-X and CSU-W scan heads. Additional processing in SlideBook further smooths the effect of predictable local fluctuations in illumination intensity. It does this by automatically applying flat field correction to all frames collected by the designated camera, even in the live window.
For Mesa to work correctly, you must designate a specific camera for which Mesa flat field correction will be applied and collect a flat field for every filter configuration that may be used with that camera.
In Hardware Properties:
This camera is designated with the Mesa Field Flattening Settings > Embedded Camera Number hardware property. Note that this number matches the number in the Cameras section of Hardware Configuration, namely it should be 1 - 4.
The flat fielding is turned on when Mesa Field Flattening Settings > Enable CSU Field Flattening is set to Yes and when there is a matching flat field in the list of flat fields for the active filter configuration.
Conventional flat field correction in SlideBook involves using a captured dark frame for subtraction in each image capture. Mesa field flattening uses an estimated dark frame according to the value set in Mesa Field Flattening Settings > Bias Value. It is important that this value is as close to the actual bias value of the camera as possible. The bias value can be estimated by taking an image with no light going to the camera and determining the average pixel value.
NOTE: There should be no noticeable gradient to the dark image used for bias value estimation image in modern cameras. If there is a gradient, there is a problem that needs investigation and you should contact 3i Support.
It is possible to temporarily change the bias value (and whether the field flattening is enabled or not) by selecting Administration > More Options > Mesa Field Flattening Diagnostics. Note that to make any change permanent, you will need to edit the hardware properties and restart SlideBook.


Topic: System Administration

×

  • SlideBook 6 User's Guide
  • User Interface
  • System Administration
  • Previous page
  • Next page

System Administration

For any imaging system, it is best if one or two primary people are responsible for the care and upkeep of the equipment. Upkeep ranges from ensuring the system is clean and aligned to maintaining the most up to date software available. Please read on to learn what you can do to keep your system operating at its best.

SlideBook Maintenance

It is recommended that you use the most recent version of SlideBook available. From within SlideBook, go to Support tab > [image] Check for Updates to confirm you are running the latest version. Free software updates are available for the first year after installation and can be maintained after that time for a small fee. We put out quarterly user newsletters with the option to receive an email every time a new version of SlideBook is released. You may subscribe to our newsletters here.
Always maintain current backup files. More information on this can be found in Backing up and Restoring Preferences for local backup or in System Parameters window for remote backup through 3i.
3i Support (support@intelligent-imaging.com) can answer any questions you have with regards to software support contracts and updates. The team of application specialists and engineers can also assist with any questions you may have about SlideBook that aren't answered in this online help. Please also contact support if you have a lost or broken software dongle (key) or are interested in purchasing additional offline licenses for post-acquisition analysis.

Hardware Maintenance

System Maintenance Agreements are available for purchase after the initial 1 year system warranty. There are a variety of plans to fit individual needs and budgets. For more information contact support@intelligent-imaging.com .
In addition to 3i-provided hardware maintenance, there are a number of things a system administrator can do to ensure the equipment is performing optimally. These include:
Fluorescent light source bulb maintenance
Transmitted light source bulb replacement
Transmitted lightpath alignment ( Koehler Illumination )
Cleaning objective lenses (an excellent resource is the Molecular Expressions website http://micro.magnet.fsu.edu/primer/anatomy/cleaning.html)
General system cleanliness (an excellent resource is the Molecular Expressions website http://micro.magnet.fsu.edu/primer/anatomy/cleaning.html)
Laser care and maintenance
System power cycling

Computer Maintenance

Just as with any personal computer, the computer running your imaging system requires regular care. It is recommended that you regularly do the following:
Maintain an up-to-date anti-virus program
Run recommended operating system (Windows) updates
Backup the hard drive
Remove unused data/files
Empty trash/recycling bin
Defragment computer
Check Exceptions directory and delete unnecessary files (more information here)
Delete Users who are no longer active (simply delete the entire user folder from C:\ProgramData\Intelligent Imaging Innovations\SlideBook 6.0\Users) and purge old saved capture settings (.prefs files).

The contents of System Administration

Setting Up Koehler Illumination
SlideBook Permissions
Network Permissions


Topic: Setting Up Koehler Illumination

×

  • SlideBook 6 User's Guide
  • User Interface
  • System Administration
  • Setting Up Koehler Illumination
  • Previous page
  • Next page

Setting Up Koehler Illumination

Introduction

Koehler illumination is a critical determinant of optical performance in light microscopy. When a microscope has been properly adjusted for Koehler, each source point from a lamp contributes equally to illumination in the specimen plane. Thus, variations in intensity in the image can be attributed to the object and not to irregular illumination from the light source. The following tutorial describes the process of setting Koehler illumination on a Zeiss 200M research microscope.

Adjusting the microscope for Koehler illumination

Figure 1
1 | Field diaphragm adjust lever
2 | Condenser focusing knob
3 | Condenser positioning screws
4 | Condenser numerical aperture adjust buttons (front aperture diaphragm)
1. Place a specimen slide on the stage of the microscope.
2. Turn on the microscope lamp and focus on the specimen. At this point, the field diaphragm and the condenser front aperture diaphragm (figure 1) can be fully opened to ensure that the sample is illuminated.
3. Focus and center the condenser. With the specimen in focus, close down the field diaphragm completely. Now while examining the specimen through the eyepiece, focus on the angular outline of the diaphragm using the condenser’s focusing knobs. If there is no light after closing the field diaphragm, the condenser diaphragm may be out of the field of view. In this case use the condenser positioning screws to move the condenser diaphragm into the field of view (it may be helpful to open the field diaphragm slightly thereby producing a larger target to find). After focusing the image of the field diaphragm in the eyepiece, bring it into the center of the field of view using the condenser positioning screws. Figure 2 shows a picture of a properly focused and centered field diaphragm.
Figure 2
4. Open the field diaphragm until it is almost as large as the field of view in the eyepiece. By constantly keeping a small amount of the field diaphragm visible during imaging, the degree of Koehler illumination can be easily determined. If the image of the field diaphragm appears blurry of off centered at any time, simply readjust the condenser position as described above to achieve even illumination. When imaging through the camera, opening the field diaphragm to a point where it is only slightly larger than the field of view of the camera may yield the best results.
5. The microscope is now adjusted for Koehler illumination. As a final adjustment, the numerical aperture of the condenser can be changed using the two buttons located on the left side of the condenser diaphragm. This adjustment will affect the resolution of the microscope, change the contrast of the image, and establish the depth of field. It is not possible to optimize the condenser aperture position for both contrast and resolution and the final setting is usually based on the inherent contrast of the specimen.

Useful references

Inoué, S., and Spring, K. R. (1997). Video microscopy : the fundamentals. (New York, Plenum Press).
Murphy, D. B. (2001). Fundamentals of light microscopy and electronic imaging. (New York, Wiley-Liss).
“Molecular Expressions Optical Microscopy Primer” website at Florida State University. http://micro.magnet.fsu.edu/primer/index.html


Topic: SlideBook Permissions

×

  • SlideBook 6 User's Guide
  • User Interface
  • System Administration
  • SlideBook Permissions
  • Previous page
  • Next page

SlideBook Permissions

Often facilities will limit administrative privileges to IT professional. This page will explain when SldieBook needs specific permissions.

At Installation

Administrative privileges are required for initial installation of SlideBook. You may also require these permissions to download and install upgrades. When adding hardware upgrades, you may require these privileges to install DLLS.

Preferences Directory

SlideBook needs full read/write access to the Global Preferences directory. The Preferences directory can be located by opening SlideBook and going to the Administration tab > More Options > Open System Preferences Folder.

Command Logging

At times, 3i personnel may ask you to enable command logging. If this is the case, SlideBook will need access to the log file. The log file can be found byby opening SlideBook and going to the Administration tab > More Options > Analyze Log File. Then click Show Log to see the location.

Email Preferences / Backup Preferences

These options will contact the 3i server dbks.intelligent-imaging.com using regular HTTPS.


Topic: Network Permissions

×

  • SlideBook 6 User's Guide
  • User Interface
  • System Administration
  • Network Permissions
  • Previous page
  • Next page

Network Permissions

In cases where specific network permissions need to be identified for a firewall, SlideBook requires network access to the following sites:
www.slidebook.com
www.intelligent-imaging.com
support.intelligent-imaging.com
spaces.hightail.com/uplink/3isupport
get.teamviewer.com
In addition to these sites, when a network key is used, SlideBook will require access to the IP address / domain name for the key.


Topic: Deconvolution Module

×

  • SlideBook 6 User's Guide
  • Deconvolution Module
  • Previous page
  • Next page

Deconvolution Module

Conventional widefield, spinning disc, and point scanning confocal systems all introduce some amount of blur to an image. This is the result of having a limited aperture of the objective lens. Though the blur is greatly reduced when confocal techniques are used, image contrast and resolution can often be improved using deconvolution algorithms.
The Deconvolution Module adds advanced deconvolution tools to the SlideBook architecture. SlideBook’s Deconvolution module is a powerful tool for removing or reassigning out-of-focus information from a fluorescence image set. The Deconvolution module adds the following functionality:

Point Spread Function (PSF) Guide

Constrained Iterative deconvolution allows the use of PSFs that are either measured directly using fluorescent beads or approximated computationally. The PSF Guide allows you to generate a database of measured point spread functions for each optical configuration. This allows you to refer to stored data automatically when performing Constrained Iterative deconvolution. The Points Spread Function Guide summarizes the process of collection or import of a PSF as well as walks you through adding the PSF to your library. SlideBook also provides the ability to Manage PSFs.

Nearest Neighbors Deconvolution

This algorithm is more computationally intensive and accurate than the No Neighbors algorithm. An image must have at least three planes in order to be deconvolved with the Nearest Neighbors algorithm.

Constrained Iterative Deconvolution

The constrained iterative approach is the most computationally expensive form of deconvolution and, if performed properly, can result in the best final image. All statistical analysis should be performed on images that have been deconvolved with the constrained iterative algorithm. Constrained iterative deconvolution can be performed using calculated or theoretical PSFs (point spread functions) but better results can be obtained when a true measured PSF is used.

Autoquant Blind for Widefield or Confocal

Blind deconvolution is a class of constrained iterative in which not only the resultant image but also the PSF is computed by algorithm. Blind Deconvolution can be used with Widefield Fluorescence, Point Scanning Confocal, and Spinning Disk Confocal.

The contents of Deconvolution Module

Nearest Neighbor Deconvolution
Constrained Iterative Deconvolution
Autoquant Blind Deconvolution
Tips for Deconvolution


Topic: Nearest Neighbor Deconvolution

×

  • SlideBook 6 User's Guide
  • Deconvolution Module
  • Nearest Neighbor Deconvolution
  • Previous page
  • Next page

Nearest Neighbor Deconvolution

Nearest neighbors deconvolution is a deblurring technique that uses a simplifying assumption that most of the out of focus blur in an image is due to the planes directly neighboring the plane of interest (i.e. directly above and below). To perform nearest neighbors deconvolution, one must start with a data set that is at least three planes deep. The algorithm computes how much blur the neighboring planes contribute to the captured image and subtracts the blur out. Since the algorithm is purely subtractive, it tends to delete very low intensity features. It is considerably less sensitive than constrained iterative deconvolution to low intensity image defects such as dust in the optical path. The largest single factor that affects the result of nearest neighbor deconvolution is the distance between neighboring planes. A smaller distance between neighboring planes will cause the algorithm to subtract more from the plane of interest.
More information regarding the user interface and settings can be found in the Nearest Neighbors Deconvolution window.


Topic: Constrained Iterative Deconvolution

×

  • SlideBook 6 User's Guide
  • Deconvolution Module
  • Constrained Iterative Deconvolution
  • Previous page
  • Next page

Constrained Iterative Deconvolution

The constrained iterative approach is the most computationally expensive form of deconvolution and, if performed properly, can result in the best final image. All statistical analysis of intensities should be performed on images that have been deconvolved with the constrained iterative algorithm. Essentially, the algorithm makes sequential guesses about the true distribution of fluorescence in an unblurred three dimensional data set. It then compares its computationally blurred guess with the original data and modifies its next guess appropriately. Sequential guesses should converge on a unique solution. The user must determine how many iterations or guesses the algorithm makes.
Because constrained iterative deconvolution considers all of the data to perform its guesses, the approach is very sensitive to the condition of the original data. If performed improperly, the constrained iterative approach will result in a highly artifactual data set. To ensure good results with this approach the following conditions should be met:
  • •
    The original data set should span the sources of fluorescence in the z dimension. If there are significant sources of fluorescence that reside above or below the original data set, the algorithm will not be able to properly assign their source within its next guess.
  • •
    The data should be flat field corrected. If there are any constant artifacts within each plane of the original data (e.g. dust specks), the algorithm must guess 3D structures which will account for them. This usually results in fictitious tube structures in the final image set.
  • •
    The data, as always, should reside in the linear range of the camera (not saturated) and should be well above the noise floor of the camera. Very low intensity data sets have a poor signal to noise ratio. This will result in a “scratchy looking” final guess.
  • •
    While calculated or estimates PSFs (point spread functions) will give valid results, the result will almost always be improved with true measured PSFs. Measured PSFs are like the custom fingerprints of an imaging system. See also the Point Spread Function Guide.
Constrained iterative deconvolution was historically very time consuming as well as memory intensive. With the advances of computer technology, data sets that used to take hours to deconvolve now deconvolve in seconds. That being said, you may still wish to save particularly large 4D data sets to deconvolve at night in order to free up the computer.
More information regarding the user interface and settings can be found in the Constrained Iterative Deconvolution window.


Topic: Autoquant Blind Deconvolution

×

  • SlideBook 6 User's Guide
  • Deconvolution Module
  • Autoquant Blind Deconvolution
  • Previous page
  • Next page

Autoquant Blind Deconvolution

3D Blind Deconvolution is an iterative and constrained algorithm. It is iterative in the sense that it repeats the same computational operations many times while converging to the enhanced image solution. It is constrained in the sense that it only accepts deconvolved images that have the correct mathematical properties of nonnegativities, (that is, it does not allow the tracer concentration to have negative values) and smoothness (suppresses snowy-like noise due to low-light levels). 3D Blind Deconvolution is a method of deconvolution that adapts itself to the real PSF of the microscope system (which can be significantly different from the theoretical PSF and from the previously measured PSFs) due to specimen and instrument variations. The Autoquant Blind Deconvolution system is able to adapt to PSF changes within a specimen itself. Thus, the deconvolved results are superior to those methods which utilize theoretical or previously measured PSFs.
More information regarding the user interface and settings can be found in the Autoquant Blind Confocal Deconvolution window and the Autoquant Blind Widefield Deconvolution window.


Topic: Tips for Deconvolution

×

  • SlideBook 6 User's Guide
  • Deconvolution Module
  • Tips for Deconvolution
  • Previous page
  • Next page

Tips for Deconvolution

There are several keys to ensuring that your deconvolution runs smoothly and produces optimal results.
  • •
    Make sure that the image information is correct as described in the Get Info/ Image Info window. You must have the emission wavelengths and all objective information correct.
  • •
    Do not allow pixels to become saturated. If data seems vastly over-processed or deconvolution results in 0 intensity values the raw data may have saturated pixels. It is essential that images do not contain any saturated pixels.
  • •
    Capture images at optimal z section spacing. Capturing too planes too close together adds excess file size and image processing time. Capturing planes too far apart excludes information and may result in lost features.
  • •
    Ensure the entire area is imaged. In an ideal world, you would be able to capture 3 planes on either side of the actual object you are imaging.
  • •
    If at all possible crop the image before performing constrained iterative or blind deconvolution. This will increase the speed of the operation and prevent your operating system from crashing.
  • •
    If you are deconvolving a large image, be sure that no other images or programs are open.
  • •
    An error message of "The ETA is greater than the lens NA". This means that the objective lens was not configured properly in the Configure Objective Lenses window.


Topic: Macro Scripting

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Previous page
  • Next page

Macro Scripting

SlideBook™ includes a macro scripting system to enhance the flexibility and power for advanced users. Many image and mask processing commands now have a macro command counterpart. This lets you automate sequences of operations on images and masks and ensure that all images in each slide are processed identically.
The scripting language is very simple - it is a sequence of text commands that let SlideBook know what operation to do, on which image (or images) to do it, and what the parameters are.
Take, for instance, creating a mask through threshold segmentation. Interactively, you would open up the [image] Segment Mask dialog box:
In the macro scripting language, the equivalent command would be:
CreateThresholdMask(<current image>, "sdRFP", Name = "Mask 1", LowThreshold = 1302)
The command language syntax was designed to be simple, readable, and extensible. For instance, the name of an image can be either the name, enclosed in double quotes, like "He La Cells" or a placeholder, such as <current image> or <all images>. All but the most common parameters are named, so when you are reading a script, you immediately see what the values mean. Any optional parameters can be omitted. Finally, even if the command is expanded significantly in the future, an old script is likely to still work without requiring any modification.

The contents of Macro Scripting

Using the Edit Script Dialog
Editing a Command
Building a Script
Run Macro Scripts
Macro Command Language


Topic: Using the Edit Script Dialog

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Using the Edit Script Dialog
  • Previous page
  • Next page

Using the Edit Script Dialog

All macro scripting control is done through the [image] Edit Script dialog, which you can open from the Scripting tab. This dialog will be explained in greater detail on the following pages. You can also review the specific functions of each field in the dialog in the Edit Script window page. Below, you will find a general overview of the use of this dialog.
1. Select a command and press Insert. The command will be entered in the Command Line field and parameters available will be displayed in the Status field. Alternatively, you may type directly in the Command Line field if you know the command (see also Macro Command Language).
2. Press the Parameters button to populate the Command Line field with parameters available. Refer to the Status field to see the type of variable required. Each available command and associated parameters are detailed within the Macro Command Language section of online help.
3. Use Validate and Execute to test the command and run the command.
4. Press Add to add the command to the script. The script is displayed in the lower large edit field.
5. Use the Edit, Move, and Remove buttons to alter the commands and the command order in the script.
6. Use the Run, Save, Load, and Clear buttons to manage scripts.


Topic: Editing a Command

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Editing a Command
  • Previous page
  • Next page

Editing a Command

The Command List is a dropdown list that contains all of the available commands. The commands are currently sorted so that similar operations appear together, rather than alphabetically.
If you click on the Insert button, the command will appear in the Command Line edit field and the parameters will be listed in the Status text box. Each parameter describes the type of parameter and whether it is required or not:
Clicking on the Parameters button will fill out the Command Line text field with a template that you can overwrite with actual parameter values. You may refer to the Macro Command Language section for a detailed description of each command and the associated parameters.
NOTE: It is not necessary to enter commands using the Insert and Parameters buttons. You can also simply type in the command line directly.
The Validate button will perform an initial syntax check to see if the command line is properly formed. It does not check the values to see if they are appropriate for the command (e.g., whether an image parameter indeed corresponds to an image in the current slide, etc). In other words, clicking Validate will help catch some basic errors in the script command, but by no means guarantee that it will work properly.
The Execute button will run the command in the Command Line. If you have used a placeholder such as <all images> it will run the command on all images in the current slide.
The Add button adds the command to the script (list of commands) at the bottom of the dialog.


Topic: Building a Script

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Building a Script
  • Previous page
  • Next page

Building a Script

Assembling a script can be done by simply entering individual command lines and adding them to the script one by one. This interface is interactive, so you can try out each command line using Execute and then using Add to append it to the script. You have full access to the rest of the SlideBook user interface while the dialog is open, so you can also perform other operations that do not end up in the script.
For instance, the following script takes an image in the QuickTourWIN2.sld slide, creates a mask by thresholding the FITC LP channel, removing small objects, and then exporting the areas to Excel:
CreateThresholdMask("HeLa Cells", "FITC LP", Name = "Thresh 450", ThresholdLow = 450)
DefineMaskObjects("HeLa Cells", "Thresh 450", GateBySize = true, GateMinimum = 4, SizeAsVoxels = true)
ExportMaskStatisticToExcel("HeLa Cells", "Thresh 450", Statistic = "Volume", ObjectColumn = true)
You can try entering each of these commands one by one, and then adding them to the script:
You can run the entire script at once by selecting the Run button.
If you want to edit one of the command lines, select the command line and click the Edit button. The Command Line edit field will be updated with that line. After editing, click the Update button to replace the corresponding line in the script.
If you want to change the order of commands, you can use the Move Up and Move Down buttons. Remove deletes the selected command line from the script.
SlideBook macro scripts can be saved as files with the default extension .sbs. You can click Save to save a script file to disk and Load to load a script file from disk.
NOTE: It is also possible to create and edit a script using any text editor. The only restriction is that you must save it as a pure text file, and not in rich-text format (RTF) or some other enhanced format.
Clear erases the entire macro script and lets you start over.


Topic: Run Macro Scripts

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Run Macro Scripts
  • Previous page
  • Next page

Run Macro Scripts

SlideBook displays the first 10 scripts as icons in the script gallery (shown below). You can manage scripts through [image] Open Scripts Folder. The displayed scripts are the first 10 .sbs files listed in alphabetical order.


Topic: Macro Command Language

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Previous page
  • Next page

Macro Command Language

Version 1 of the SlideBook macro scripting language is intended to provide an underlying basis for specifying sequences of operations on slides, images, masks, and regions.
In version 1, there are no explicit flow control operators. A macro script consists of a simple sequence of commands.
Commands can have a combination of required and optional arguments. Most arguments, besides a few expected for most all commands (e.g., which image the command is working on) are named. In other words, the argument is comprised of a pair — the name of the argument and its value. This allows for easier readability as well as forward compatibility if the argument list is modified in future versions of SlideBook. An example command follows:
Convolve2DChannel("Image 1", GFP, InPlace = true, KernelSize = 3, KernelElements = [0 -1 0 1 0 1 0 -1 0])
While there are no flow control operators, there are reserved identifiers that stand in place of an image and instruct the script processor to run the command on either the current image, <current image>, or all images, <all images>.
In version 1, these identifiers are evaluated on a line by line basis right before each line is executed. In other words, if line 1 in the script adds an image to the slide, and line 2 works on all images, it will work on all the pre-existing images as well as the one created due to the execution of line 1.
The following sections list the macro commands, grouped by category:
General Control Commands
Image Processing Macro Commands
Mask Commands
Annotation Commands
Deconvolution and Advanced Image Processing Commands
Import and Export Macro Commands
Particle Tracking Macro Commands
MATLAB Interface Commands
Miscellaneous Commands
The description for each command gives a template for the command and a description of each argument. A typeface guide is provided at the top of each command page to assist you in fully understanding each argument.
Each command has an implied return value, which is whether it succeeded or failed. Depending on how a script processor is operating, a command failure may terminate the entire script or merely append the failure and its cause to a log file.

Scope

Images in SlideBook can have one of the following five types:
  • •
    2D
  • •
    2D timelapse (2DTL)
  • •
    3D
  • •
    4D
  • •
    Montage
The current macro command scripting system does not support montage images.

Argument Types

Macro commands can have arguments of the following general types:
  • •
    bool – true or false
  • •
    enum – enumerated type
  • •
    int – a signed integer between -32767 and 32767
  • •
    float – a floating point value
  • •
    int array – a vector of signed integers, as in [0 1 2]
  • •
    float array – a vector of floating point values, as in [0.0 0.5 1.0]
  • •
    string – text delimited by double quotes
and one of three specific types:
  • •
    image – text or a string that corresponds to an image that already exists (or <all images>)
  • •
    mask – text or a string that corresponds to a mask that already exists
  • •
    channel – text or a string that corresponds to a channel that already exists

The contents of Macro Command Language

General Control Commands
Image Processing Macro Commands
Mask Commands
Annotation Commands
Deconvolution and Advanced Image Processing Commands
Import and Export Macro Commands
Particle Tracking Macro Commands
MATLAB Interface Commands
Miscellaneous Commands


Topic: General Control Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • General Control Commands
  • Previous page
  • Next page

General Control Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

OpenSlide

OpenSlide (Filename = "filename")
Opens the specified slide from disk. A complete location string is required unless the slide file is located in the directory where SlideBook is installed.
Example:
OpenSlide(filename="C:\Users\CoreLab\Desktop\SampleImages\QuickTourWIN2.sld")

CloseSlide

CloseSlide (Filename = "filename")
Opens the specified slide from disk. A complete location string is required unless the slide file is located in the directory where SlideBook is installed.
Example:
CloseSlide(filename="C:\Users\CoreLab\Desktop\SampleImages\QuickTourWIN2.sld")


Topic: Image Processing Macro Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Image Processing Macro Commands
  • Previous page
  • Next page

Image Processing Macro Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

ApplyFlatField

ApplyFlatField ("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString")
Finds the flat field in the flat field database that corresponds to channel and applies it to image. Fails if the flat field cannot be found. To create a new channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true.
Example:
ApplyFlatField("Capture 1", "CY3", InPlace = false, AppendString = "FF")
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
AppendedString | string | no | n/a

ChannelMath

ChannelMath ("SourceImageName", Operation = enum, FirstChannel = "ChannelName", FirstCoefficient = float, FirstOffset = int, SecondChannel = "ChannelName", SecondCoefficient = float, SecondOffset = int, ResultChannel = "ResulantChannelName")
Performs channel math on the specified channels according to:
ResultChannel = FirstCoefficient × (FirstChannel – FirstOffset) [operation] SecondCoefficient × (SecondChannel – SecondOffset)
where operation is one of the following: Add, Subtract, AbsoluteDifference, Multiply, Divide, NoOp. If operation is NoOp, all of the second channel’s arguments are ignored.
Example:
ChannelMath("HeLa Cells", Operation = Divide, FirstChannel = "FITC LP", FirstCoefficient = 1, FirstOffset = 35, SecondChannel = "CY3", SecondCoefficient = 1, SecondOffset = 115, ResultChannel = "FITC/CY3")
Parameter | Type | Required | Default
Operation | enum | yes | n/a
FirstChannel | channel | yes | n/a
FirstCoefficient | float | no | 1.0
FirstOffset | int | no | 0
SecondChannel | channel | no | n/a
SecondCoefficient | float | no | 1.0
SecondOffset | int | no | 0
ResultChannel | string | yes | n/a

ConvolveFilter2D

ConvolveFilter2D ("SourceImageName", "SourceChannelName", InPlace = bool, AppendedString = "AppendedString", KernelSize = int, KernelElements = [float array], Coefficient = float, Offset = float)
Convolves the specified channel with the provided kernel. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true. KernelElements is a float array which represents the row-major “flattening” of the kernel matrix. For instance, to convolve the cGFP channel in “Image 1” with the following matrix:
0 | -1 | 0
1 | 0 | 1
0 | -1 | 0
you would issue the command:
ConvolveFilter2D("Image 1", "cGFP", InPlace = true, KernelSize = 3, KernelElements = [0 -1 0 1 0 1 0 -1 0])
Each pixel in the output channel is the result of summing the element-wise product of the pixel’s neighbors and the kernel, then multiplying that sum by the specified coefficient and adding the specified offset. For examples and additional information, see Convolution Filter window .
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
AppendedString | string | no | "conv"
KernelSize | int | yes | n/a
KernelElements | float array | yes | n/a
Coefficient | float | no | 1.0
Offset | float | no | 0.0

GaussianBlur2D

GaussianBlur2D ("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString", Sigma = float)
Performs a Gaussian blur on the specified channel, using a kernel whose standard deviation is Sigma. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true. See also Gaussian Filter window .
Example:
GaussianBlur2D("Capture 3", "FITC", InPlace = false, AppendString = "_gb2D", Sigma = 2)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
Sigma | float | yes | n/a
AppendedString | string | no | "gb"

HotPixelFilter

HotPixelFilter ("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString", Factor = float)
Any pixels whose value is Factor times as high as the mean of the surrounding pixels is set to the mean of the surrounding pixels. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true. See also: Hot Pixel Filter window
Example:
HotPixelFilter2D("Capture 2", "FITC", InPlace = false, AppendString = "_HotPix", Factor = 4)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
Factor | float | yes | n/a
AppendedString | string | no | "hot"

MeanFilter2D

MeanFilter2D ("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString", Radius = int)
Performs a mean filter on the specified channel with a kernel size of Radius × 2 + 1. In other words, this replaces the current pixel with an average of the pixels in the given radius. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true. See also Mean Filter window .
Example:
MeanFilter2D("Capture 1", "FITC", InPlace = false, AppendString = "_mean", Radius = 2)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
Radius | int | yes | n/a
AppendedString | string | no | "mf"

MedianFilter2D

MedianFilter2D ("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString", Radius = int)
Performs a median filter on the specified channel with a kernel size of Radius × 2 + 1. In other words, this replaces the current pixel with the median of the pixels in the given radius. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true. See also Median Filter window .
Example:
MedianFilter2D("Capture 1", "FITC", InPlace = false, AppendString = "_median", Radius = 2)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
Radius | int | yes | n/a
AppendedString | string | no | "med"

RemoveChannel

RemoveChannel ("SourceImageName", "SourceChannelName")
Removes specified channel from the specified image.
Example:
RemoveChannel("Capture 1", "DAPI")

RegisterChannel

RegisterChannel ("SourceImageName", InPlace = bool, TransformType = enum, TransformMatrix = float array, AppendedString = string)
Interpolates channel in image according to the specified transform. Currently, the only permitted value for TransformType is Affine. To create a new filtered channel, use InPlace = false; a new channel will be created with the same name and the AppendString added to the end. To overwrite the existing channel, use InPlace = true.
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
TransformType | enum | yes | n/a
TransformMatrix | float array | yes | n/a
AppendedString | string | no | "reg"

RotateImage

RotateImage ("SourceImageName", InPlace = bool, RotationAngle = float, Flip = bool, FlipType = enum, InterpolationType = enum)
Rotates (and optionally flips) all channels in the specified image. RotationAngle can be 1 through 360 degrees, it is the amount the image will be rotated counterclockwise. FlipType can be Horizontal, Vertical, or Z. InterpolationType is used when a RotationAngle other than 0, 90, 180, 270, or 360 is used. InterpolationTypes available are Bilinear or Bicubic. To overwrite the existing image, use InPlace = true; otherwise, a new rotated image will be created with "Rotated" appended to the image name.
Examples:
RotateImage("Capture 1", InPlace = false, RotationAngle = 90)
RotateImage("Capture 1", InPlace = false, Flip = true, FlipType = Vertical)
RotateImage("Capture 1", InPlace = false, Flip = true)
RotateImage("Capture 1", InPlace = false, RotationAngle = 30, Flip = true, FlipType = Vertical, InterpolationType = Bicubic)
Parameter | Type | Required | Default
InPlace | bool | no | false
RotationAngle | float | no | 0
Flip | bool | no | false
FlipType | enum | no | Horizontal
InterpolationType | enum | no | Bilinear

Interpolate

Interpolate("SourceImageName", InPlace = bool, RatioXY = float, RatioZ = float)
Interpolates planes in between existing z planes and/or pixels in the xy dimension. By default, InPlace = false, so a new image will be created appended with .Interp. The RatioXY and RatioZ values refer to desired end ratio of the number of voxels/the original number of voxels. For example, if RatioZ = 2, a new z plane will be created between each pair of existing z planes. If RatioZ = 3, two new z planes will be created between each pair of existing z planes. See also: Image Interpolation window .
Example:
Interpolate("Capture 1", RatioXY = 2, RatioZ = 3)
Parameter | Type | Required | Default
InPlace | bool | no | false
RatioXY | float | no | 1
RatioZ | float | no | 1


Topic: Annotation Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Annotation Commands
  • Previous page
  • Next page

Annotation Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

CreateLineAnnotation

CreateLineAnnotation ("SourceImageName", Coordinates = [int array])
Adds a new line annotation to the specified image. The Coordinates parameter is expected to have four values: [x1 y1 x2 y2]. No z or time coordinates are necessary because line annotations persist through all z and time.
Example:
CreateLineAnnotation("Capture 1", Coordinates = [88 89 188 189])
Parameter | Type | Required | Default
Coordinates | int array | yes | n/a

CreateRectangleROI

CreateRectangleROI ("SourceImageName", Coordinates = [int array], SetAsBackground = bool)
Adds a new rectangle region to the specified image. The Coordinates field is expected to have four values: [x1 y1 x2 y2]. If SetAsBackground is true, the created annotation will become the new background region. No z or time coordinates are necessary because regions persist through all z and time.
Example:
CreateRectangleROI("Capture 1", Coordinates = [230 6 248 16], SetAsBackground = true)
Parameter | Type | Required | Default
Coordinates | int array | yes | n/a
SetAsBackground | bool | no | false

DeleteAllROIs

DeleteAllROIs ("SourceImageName")
Removes all line annotations and regions from the specified image.
Example:
DeleteAllROIs("Capture 1")


Topic: Deconvolution and Advanced Image Processing Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Deconvolution and Advanced Image Processing Commands
  • Previous page
  • Next page

Deconvolution and Advanced Image Processing Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

DeconvolveNoNeighbors

DeconvolveNoNeighbors("SourceImageName", "SourceChannelName", SubtractionConstant = float, EdgePadding = [int array])
Deconvolves the selected channel (or <all channels>) using the no neighbors algorithm, according to the supplied parameters, and creates a new image, with .NoN appended to the name. Channels that were not specified for deconvolution will be copied into the new image undeconvolved. EdgePadding expects and array of 3 numbers, the number of pixels in x, y, and z.
Example:
DeconvolveNoNeighbors("Metaphase B-Cell", "DAPI", SubtractionConstant = 0.7, EdgePadding = [30 30 3])
Parameter | Type | Required | Default
SubtractionConstant | float | no | 0.9
EdgePadding | int array | no | [0 0 0]

DeconvolveBlind

DeconvolveBlind("Capture 1", "SourceChannelName", ResultChannel = "ResultChannelName", ScopeMode = enum, NumIterations = int, EdgePaddingXY = int, EdgePaddingZ = int, SubPixelXY = int, SACorrect = bool)
Deconvolves the selected channel (or <all channels>) using the blind algorithm, according to the supplied parameters, and creates a new image, with .Blind appended to the name. Channels that were not specified for deconvolution will be copied into the new image undeconvolved. ScopeMode refers to the imaging modality used to capture the data; available modes include: Widefield, SpinningDiskConfocal, TwoPhoton, and PointScanningConfocal. NumIterations is the number of guesses the software will make in approximating the deconvolved image. The deconvolution algorithm operates by generating a guess, blurring the guess with the point spread function, and then comparing the blurred guess with original image. If the comparison determines that the image is not improving, the algorithm is stopped, regardless of the number of iterations specified. EdgePaddingXY and EdgePaddingZ expect a single integer for the number of pixels in XY or Z to add to the image before deconvolving. SubPixelXY allows you to include interpolation of the image in XY before performing deconvolution.
Example:
DeconvolveBlind("Capture 1", "FITC", ResultChannel = "FITC_BLIND", ScopeMode = Widefield, NumIterations = 10, EdgePaddingXY = 15, EdgePaddingZ = 3, SACorrect = false)
Parameter | Type | Required | Default
ResultChannel | string |  |
ScopeMode | enum |  |
NumIterations | int |  | 10
EdgePaddingXY | int |  |
EdgePaddingZ | int |  |
SubPixelXY | int |  |
SACorrect | bool |  |

PhotobleachCorrection

PhotobleachCorrection("SourceImageName", "SourceChannelName", InPlace = bool, AppendString = "AppendedString", FitType = enum, Coefficients = [float array], RegionBasis = enum, Regions = [int array], TimepointBasis = enum, First = int, Last = int, Timepoints = [int array])
Performs photobleach correction on a 2DTL or 4D image. If a background region is present, fit is based on background-corrected intensities. FitType can be Direct, SingleExponential, or SingleExponentialCoefficients. If FitType is SingleExponentialCoefficents, then the Coefficients argument must be provided. RegionBasis can be EntireImage, AllRegions, or RegionList. If RegionBasis is RegionList, then the Regions argument must be provided. TimepointBasis can be AllTimepoints, TimepointRange, or TimepointList. If TimepointBasis is TimepointRange, the correction will be based on a range determined by the First and Last arguments. If First is missing, timepoint 0 is assumed. If Last is omitted, the final timepoint is assumed. If TimepointBasis is TimepointList, the correction will be based on the specific timepoints in the list provided for the Timepoints argument.
Example:
PhotobleachCorrection("Capture 1", "CY3", InPlace = false, AppendString = "_pbc", FitType = DirectFit, RegionBasis = EntireImage, Regions = "2", TimepointBasis = AllTimepoints)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a
AppendString | string | no | .pbc
FitType* | enum | yes | n/a
Coefficients | float array | *if SingleExponentialCoefficients | n/a
RegionBasis** | enum | no | EntireImage
Regions | int array | **if RegionsList | n/a
TimepointBasis*** | enum | no | AllTimePoints
First | int | no | 0
Last | int | no | (last timepoint)
Timepoints | int array | ***if TimePointList | n/a

SubtractBackground

SubtractBackground("SourceImageName", InPlace = bool)
Subtract the background intensity of a 2DTL or 4D image, as determined by the background region, on a timepoint-by-timepoint basis. If InPlace is true, this is a “destructive” operation and permanently changes image values. Either way, the background region is deleted in the resulting image, as it no longer applies.
Note: This operation is only recommended for advanced applications which may require it. In general, it is far better to preserve original intensities, and let SlideBook perform background correction “on the fly.”
Example:
SubtractBackground("Capture 1", InPlace = false)
Parameter | Type | Required | Default
InPlace | bool | yes | n/a


Topic: Import and Export Macro Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Import and Export Macro Commands
  • Previous page
  • Next page

Import and Export Macro Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

ExportImageAsTIFF

ExportImageAsTIFF("SourceImageName", Directory = "DirectoryString", FilenameFormat = "FormatString", ExportOMEXML = bool, SeparatePlanes = bool, WriteLog = bool)
Exports the specified image as 16-bit TIFF file(s). The directory is assumed to be the working directory unless provided in the command. The filename format is assumed to be %N_XY%P_Z%Z_T%T_C%C unless provided in the command. Use ExportOMEXML = true to include OME metadata in the tiff files (encoded in XML). If SeparatePlanes is true, a separate TIFF file will be generated for each timepoint or z location, depending on whether the image is 2D timelapse or 3D. The parameter has no effect on a 2D image. If WriteLog is true, a .txt file will be written that contains information about the image(s) being exported.
Example:
ExportImageAsTIFF("Capture 1", Directory = "C:\Users\Monica\Desktop\eraseme", FilenameFormat= "%N_Z%Z_T%T_c%c", ExportOMEXML = true, WriteLog = true)
Parameter | Type | Required | Default
Directory | string | no | (current working directory)
FilenameFormat | string | no | "%N_XY%P_Z%Z_T%T_C%C"
ExportOMEXML | bool | no | false
SeparatePlanes | bool | no | false
WriteLog | bool | no | false

ExportToMatlab

ExportToMatlab("SourceImageName", "SourceChannelName", First = int, Last = int, Matrix = "MatrixName")
Export the specified channel to MATLAB as a matrix named by the parameter Matrix. If First is specified, this is the zero-based index of the first plane to be exported of a 3D image or first timepoint of a 2D timelapse image. If Last is specified, this is the zero-based index of the last plane to be exported of a 3D image or the last timepoint of a 2D image.
A 2D image (or a single plane of a 3D image or a single timepoint of a 2D timelapse image) is exported as a 2D matrix. A 3D image or 2D timelapse image is exported as a 3D matrix. Note that in both cases the indices of the MATLAB matrix will be one higher than in the corresponding SlideBook image.
Example:
ExportToMatlab("Capture 1", "FITC", First = 2, Last = 5, Matrix = "FITC_Capture1")
ExportToMatlab("Capture 1", "FITC", Matrix = "FITC_Capture1")
Parameter | Type | Required | Default
First | int | no | 0
Last | int | no | (last plane/timepoint)
Matrix | string | yes | n/a

ExportMaskToMatlab

ExportMaskToMatlab("SourceImageName", "SourceMaskName", First = int, Last = int, Matrix = "MatrixName", Binarize = bool)
Export the specified mask to MATLAB as a matrix named by the Matrix parameter. If First is specified, this is the zero-based index of the first plane to be exported of a 3D image’s mask or first timepoint of a 2D timelapse image’s mask. If Last is specified, this is the zero-based index of the last plane to be exported of a 3D image’s mask or the last timepoint of a 2D image’s mask. By default, if the mask has been divided into objects, the value output for a particular voxel will be the corresponding object’s ID plus 1 if the mask is set in that voxel, and 0 otherwise. If Binarize is set to true, however, all values will be 0 or 1, depending on whether the corresponding pixel is set in the mask or not, regardless of the object ID.
A 2D image (or a single plane of a 3D image or a single timepoint of a 2D timelapse image) is exported as a 2D matrix. A 3D image or 2D timelapse image is exported as a 3D matrix. Note that in both cases the indices of the MATLAB matrix will be one higher than in the corresponding SlideBook image.
Example:
ExportMaskToMatlab("Capture 1", "GreenMask", Matrix = "GreenMask_Capture1", Binarize = true)
Parameter | Type | Required | Default
First | int | no | 0
Last | int | no | (last plane/timepoint)
Matrix | string | yes | n/a
Binarize | bool | no | false

ImportChannelFromMatlab

ImportChannelFromMatlab("SourceImageName", Matrix = "MatrixName", Channel = "ChannelName")
Import the designated channel from Matlab into the designated image in SlideBook with assigned channel name.
Example:
ImportChannelFromMatlab("HeLa Cells", Matrix = "FITC_Capture1", Channel = "FITC")
Parameter | Type | Required | Default
Matrix | string | yes | n/a
Channel | string | yes | n/a

ImportMaskFromMatlab

ImportMaskFromMatlab("SourceImageName", Matrix = "MatrixName", Mask = "MaskName")
Import the designated mask from Matlab into the designated image in SlideBook with assigned channel name.
Example:
ImportMaskFromMatlab("HeLa Cells", Matrix = "ProteinX_Mask", Mask = "Mask1")
Parameter | Type | Required | Default
Matrix | string | yes | n/a
Mask | string | yes | n/a


Topic: Particle Tracking Macro Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Particle Tracking Macro Commands
  • Previous page
  • Next page

Particle Tracking Macro Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

ImageTrackParticles2D

ImageTrackParticles2D("SourceImageName", "SourceMaskName", CentroidStatistic = "StatisticString", CentroidChannel = "ChannelName", SmallObjectSizeThreshold = float, SizeAsVoxels = bool, MaximumMovement = float, MinimumPathDuration = int)
Performs basic 2D particle tracking according to each object’s designated CentroidStatistic parameter. Available statistics include "Center of Area", "Center of Intensity", and "Mean Adjusted Center of Intensity". If one of the later two intensity-based statistics is used, the CentroidChannel parameter must be provided. If "Center of Area" is used, this parameter may be omitted.
If an object is smaller than SmallObjectSizeThreshold, it is removed from the mask before tracking. Object size is given in voxels when SizeAsVoxels is omitted (true) or in microns2 when SizeAsVoxels=false. Objects in successive timepoints whose distance exceeds MaximumMovement microns are not considered the same. Objects whose paths are shorter than MinimumPathDuration timepoints are eliminated.
Example:
ImageTrackParticles2D("ParticleTrackDemo", "Mask 1", CentroidStatitstic= "Mean Adjusted Center of Intensity", CentroidChannel="i-485", SmallObjectSizeThreshold = 25, SizeAsVoxels = true, MaximumMovement = 15, MinimumPathDuration =3)
Parameter | Type | Required | Default
CentroidStatistic* | string | yes | n/a
CentroidChannel | string | *if intensity-based CentroidStatistic | n/a
SmallObjectSizeThreshold | float | no | 0
SizeAsVoxels | bool | no | true
MaximumMovement | float | no | (unlimited)
MinimumPathDuration | int | no | 1


Topic: MATLAB Interface Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • MATLAB Interface Commands
  • Previous page
  • Next page

MATLAB Interface Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

RunMatlabCommand

RunMatlabCommand(Command = "CommandString")
Run the specified MATLAB command (or script). If the command is a script, it should exist as a .m file in the work directory of the MATLAB installation.
Parameter | Type | Required | Default
Command | string | yes | n/a


Topic: Miscellaneous Commands

×

  • SlideBook 6 User's Guide
  • Macro Scripting
  • Macro Command Language
  • Miscellaneous Commands
  • Previous page
  • Next page

Miscellaneous Commands

TypeFace | indicates
Typewriter Bold | required parameter
Typewriter Bold Red | required parameter, user-defined value
Typewriter | optional parameter
Typewriter Blue | optional parameter, user-defined value
"SourceImageName" may be:
<current image>, <all images> or "example name"

Value | indicates
bool | - true or false
enum | - enumerated type, values provided
int | - signed integer between -32767 and 32767
float | - floating point value
int array | - vector of signed integers, as in [0 1 2]
float array | - vector of floating point values, as in [0.0 0.5 1.0]
string | - text delimited by double quotes, as in "Capture 1"

CompareChannels

CompareChannels("SourceImageName", FirstChannel = "FirstChannelName", SecondChannel = "SecondChannelName", Directory = "DirectoryString", Logfile = "LogfileName")
Compares the pixel values of FirstChannel against the values of SecondChannel. Appends to the Logfile whether there are any differences, and if so, the maximum absolute value of the difference.
Example:
CompareChannels("Capture 1", FirstChannel = "FITC", SecondChannel = "CY3", Directory = "C:\Users\CoreLab\Desktop", Logfile = "FITCvsCY3")
Parameter | Type | Required | Default
FirstChannel | string | yes | n/a
SecondChannel | string | yes | n/a
Directory | string | no | default working directory
Logfile | string | yes | n/a

EnforceUniqueImageNames

EnforceUniqueImageNames()
Renames any images in slide as necessary to ensure that each image has a unique name.

SetBestPlane

SetBestPlane("SourceImageName", Plane = int, First = int, Last = int)
Sets the best (thumbnail) plane of a 3D or 4D image to Plane value. If First is specified, this is the zero-based index of the first timepoint of a 4D image for which to set the best plane. If Last is specified, this is the zero-based index of the last timepoint of a 4D image for which to set the best plane.
Parameter | Type | Required | Default
Plane | int | yes | n/a
First | int | no | 0
Last | int | no | (last plane/timepoint)


Topic: Ratio Module

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Previous page
  • Next page

Ratio Module

The Ratio Module adds functionality to SlideBook that simplifies a wide variety of quantitative techniques. Ratio imaging is a live cell imaging technique that measures pairs of wavelengths. Quantification of ratio pairs is relatively unaffected by issues such as photobleaching, uneven dye loading, and dye leakage. Thus, it is an excellent technique for performing quantitative measurements. Commonly, ratio imaging techniques employ ratiometric dyes that indicate ion concentration. Examples of such dyes are Fura-2 (for Ca2++) and BCECF (for pH).
The Ratio Module adds several components to the SlideBook base package that allow users to designate numerator and denominator channels and use these designations in several types of analysis and calibration procedures. Included in this manual are several tutorials that utilize sample data as well as some basic concept review on general operations in SlideBook. To obtain the sample images, download RatioTutorial.sld from www.intelligent-imaging.com.

The contents of Ratio Module

Ratio System Configuration
Real-Time Display
Post-Acquisition Display
Ratio Calibration
Data Graphing and Export
Exporting Images and Movies
Appendix A: Buffers for Ratio Calibration
Appendix B: Ratio Calibration Calculations
Appendix C: Ratio Data Export Calculations
References


Topic: Ratio System Configuration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio System Configuration
  • Previous page
  • Next page

Ratio System Configuration

In order for SlideBook to be able to capture ratio images, the filter configurations must be set properly. One filter configuration should be defined as a Ratio Numerator and one filter configuration should be defined as a Ratio Denominator. These two filter configurations determine a ratio channel.
SlideBook lets you define two ratio channels: Ratio 1 and Ratio 2. If you wish to view ratio values real-time, you must set ratio channel definitions before initiating capture. Alternatively, you may add ratio information on imported data or post-capture as discussed in Ratio Settings.

The contents of Ratio System Configuration

Defining Ratio Channels Tutorial


Topic: Defining Ratio Channels Tutorial

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio System Configuration
  • Defining Ratio Channels Tutorial
  • Previous page
  • Next page

Defining Ratio Channels Tutorial

Select Administration tab > [image] Filters . The Filter Configurations Parameters dialog box will appear. A detailed explanation of all the settings for this dialog is found in the Filter Configuration Parameters Dialog. Relevant settings are discussed in this section.
1. Add a new channel by clicking Add.
2. Name the new channel.
3. Select the appropriate Light Source information.
4. Select a Filter Set and configure the hardware to move to the appropriate positions for the channel.
5. Choose the appropriate ratio configuration under Associated Channel Type. Make sure that the numerator and denominator configurations for a particular indicator are associated with the same ratio channel (Ratio 1 or Ratio 2).
6. Select the appropriate Default Color Display. For numerator, assign Pseudocolor (Color); for denominator, assign Pseudocolor (Intensity).
7. If the channel requires UV excitation, check the box for Requires UV objective.
8. Click OK.
9. When prompted, close and restart SlideBook to update the configuration.


Topic: Real-Time Display

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Previous page
  • Next page

Real-Time Display

During capture, SlideBook permits you to delineate multiple regions of interest (including a background region) and graph ratio changes over real-time. Simultaneously, SlideBook provides a pseudocolored image of ratio information across the entire field. This section will discuss setting up a ratio acquisition and displaying the data during capture.

The contents of Real-Time Display

Setting Capture Parameters for Timelapse Ratio Imaging
Live Display


Topic: Setting Capture Parameters for Timelapse Ratio Imaging

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Setting Capture Parameters for Timelapse Ratio Imaging
  • Previous page
  • Next page

Setting Capture Parameters for Timelapse Ratio Imaging

Ratio capture works much like other image capture paradigms in SlideBook. For a more detailed explanation of image capture, please see Capture Window . To capture a new time lapse ratio image:
1. Bring your sample into view and focus using the [image] Focus Controls (see also Focus Controls Dialog).
2. Open the [image] Capture window. The Capture dialog box will appear (see also Capture window).
3. Select the Timelapse check box; once you select Timelapse in the Capture Type section, you will activate Timelapse Capture options.
4. In the Timelapse Capture section, specify the Interval between time points as well as the total # of Time Points.
NOTE: The time interval refers to the amount of time from the start of one time point to the start of the next time point. When the interval is less than the actual time required to capture a time point, capture will continue at the fastest rate possible with the given exposure times and time required to move hardware. Thus, if you desire to capture images as quickly as possible, set Interval to 0 ms.
If desired, check the box for Display: Renormalize to t = 0. This uses the minimum and maximum pixel intensity values for the first time point in a time lapse capture series to determine the renormalization values of all subsequent time points. This option only affects the image display during capture and will not affect the captured image or data.
5. Specify a ratio capture by selecting the appropriate Filter Set and clicking on the checkboxes for both the ratio numerator and denominator channels.
It is easy to collect other data (such as a GFP or DIC channel) during ratio capture. Simply select additional channels to capture as in normal time lapse imaging. If desired, you may capture a channel at a slower rate than your ratio data by selecting the Periodic tab found in the Capture Preferences dialog (use the Advanced button in the the the upper left of this dialog to access Capture Preferences).
6. Test the exposure duration for each channel. When setting Expose value, know that identical exposure times are not necessary as an exposure time factor is figured into analysis. However, it is necessary that you do not saturate the image in either channel as this will jeopardize quantification later.
NOTE: It is often advantageous to use binning for timelapse ratio capture. Not only will this permit better temporal resolution, but it will also dramatically decrease the total size of the collected data. Exposure times should be adjusted after binning is set.
7. Once you have captured a test image, you may use the region tools to draw areas to monitor during capture. To learn more about region tools, please see Selecting Regions of Interest.
8. If you would like to mark events, such as reagent addition, set up Notes using the Advanced button as discussed in Creating Event Markers (Notes).
9. Name the image and write Comments such as experimental parameters.
10. Select Start when you are ready to begin capture.


Topic: Live Display

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Live Display
  • Previous page
  • Next page

Live Display

SlideBook can display a live pseduocolored image of ratio values for each time point as well as update a graph of ratios for multiple regions of interest. Additionally, you may wish to adjust the focus of the microscope or create event markers.
During capture, the image in the live Camera window will display a pseudocolored ratio image. To display an individual channel, go to the Status tab of the Capture Controls dialog. In the upper right portion, you will find a list of channels. Simply select an individual channel to display and click Show. A live window displaying a monochrome image of the selected channel will open. In this manner, it is possible to watch a live pseudocolor display of the ratio as well as live monochrome displays of the numerator and denominator.

The contents of Live Display

Selecting Regions of Interest
Graph Display
Focusing During Capture
Creating Event Markers (Notes)


Topic: Selecting Regions of Interest

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Live Display
  • Selecting Regions of Interest
  • Previous page
  • Next page

Selecting Regions of Interest

You may select regions of interest for graphing either before capture has started or during capture. Region tools may be used on test images generated before capture or on the live image display during capture. If you set a background region, the average value of this region will be subtracted from the average values in the other regions of interest before ratio computation. The background region will also be stored in the Ratio Settings dialog. To draw regions before capture, perform the following:
1. Make sure that the Camera window is displaying the specimen. You can do so from the Focus Controls or by pressing Test in the Capture dialog box.
2. Choose one of the region tools, which are located on the SlideBook toolbar at the top of the application window.
Rectangle tool - click and drag to draw a rectangle; alternatively, click once on the image to open a dialog to define the region dimensions in pixels or microns or to define a rotation angle for the region
Ellipse tool - click and drag to draw an ellipse; alternatively, click once on the image to open a dialog to define the region dimensions in pixels or microns or to define a rotation angle for the region
Polygon tool - click to draw a series of straight lines, double-click to close the shape
Free Hand tool - click and drag to draw freehand, release mouse button to close the shape
Line tool - click and drag to draw a line; hold Ctrl and click for a multi-segment line, double click to complete multi-segment line
Point tool - click to draw a point
Region Selection tool - use to select a region. Holding Shift and clicking on multiple regions will allow you to select more than one region. Clicking and dragging on a selected region(s) will move the selected region(s). If the region number is displayed in white, this indicates that the region is selected.
3. Continue to draw regions as desired. The following operations can be performed by selecting the region with the [image] Region Selection tool then right-clicking to bring up the region menu. A region is selected when the region number appears in white. Unselected regions have numbers that match the color or the region outline.
Set as background – uses the selected region for background subtraction during graphing (must first be turned on under Administration tab > Hardware Properties > Statistics Properties > Enable Background Subtraction > Yes see also Configuring Background Subtraction with Mask Statistics)
Unselect – de-selects the selected region(s)
Duplicate – creates a copy of the selected region(s) that can be dragged to a new location
Move – allows the region(s) to be moved
Copy – copies the region(s) to allow for pasting, specifically when copying to a different image
Paste – pastes the copied region(s) in the same location on a different image
Delete – removes the selected region(s)
4. Once you have created the desired regions of interest and begun capture, you can display a graph by selecting the desired channel in the Graph Channels section at the bottom left of the Capture Controls and then clicking on the Show button as discussed in Graph Display.
5. The regions of interest that you have created can also be displayed after capture by selecting any of the region drawing tools or by checking the box for Regions in the Annotations group of the Home tab (shortcut key is Ctrl + Shift + G). To recreate the graph post capture, please see Data Graphing and Export.


Topic: Graph Display

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Live Display
  • Graph Display
  • Previous page
  • Next page

Graph Display

To display the ratio graph during capture, select the channel that you wish to graph from the drop-down list then press the Show button in the Graph Channels section of the Capture Controls dialog.
Repeat for any additional channels you wish to display, or simply select the channels from the channel menus on the graph.
NOTE: Underlying intensities and ratios cannot be shown in the same window because they have different vertical ranges. Thus, you must have one graph open to display individual channel intensity information and a second graph open to display the ratio values.
For more information on this view, please refer to Graph window. Once the capture is finished, the graph will remain open for viewing and the export tools will become available.
To recreate this graph post capture, see Data Graphing and Export.


Topic: Focusing During Capture

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Live Display
  • Focusing During Capture
  • Previous page
  • Next page

Focusing During Capture

You may adjust the focus of your image during capture. To do so, go to the Live tab of the Capture Controls window. The Live tab works similarly to the Focus Controls. To learn more about these controls, please review the Live Tab of Capture Controls window .
1. Pause the experiment to stop writing images to the file.
2. Select the desired Filter from the dropdown menu, press Go to move the appropriate hardware into place.
3. Press Start to begin snapping images. (Alternatively, you could press Snap to take a single image if you are concerned about photobleaching or press Open Fluor/Bright/Alt to direct light to the eyepieces to focus).
4. Adjust the focus using the Z Stage controls or the focus knob on the microscope or stage.
5. Press Stop to stop snapping images.
6. Press Continue to continue image acquisition and writing the images to file.


Topic: Creating Event Markers (Notes)

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Real-Time Display
  • Live Display
  • Creating Event Markers (Notes)
  • Previous page
  • Next page

Creating Event Markers (Notes)

Event markers can be set up prior to capture or during capture. You can use an event marker to note an experimental condition change that you instigate or observe. For example, you may use an event marker to note when you add a reagent or when something interesting occurs. Event markers show as a Notes annotation in the image and are marked on graphs and statistical export.

Configuring Notes prior to Capture

1. Click on Advanced in the upper left-hand corner of the Capture window.
2. Navigate to the Notes tab. (See also Notes Tab of Capture Preferences window )
3. Type the text you would like to appear to mark the event(s) then select OK.
4. Start experiment as usual.

Configuring and Using Notes during Capture

1. Set up an experiment as desired and begin acquiring images.
2. Navigate to the Notes tab of Capture Controls. (See also Notes Tab of Capture Controls window )
3. To mark events set up prior to capture, simply click on the Note - # next to the marker you would like to use. To add new notes, click in an empty field and type a new note. The associated Note - # will become activated for use.


Topic: Post-Acquisition Display

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Post-Acquisition Display
  • Previous page
  • Next page

Post-Acquisition Display

Ratio data is generally best displayed using pseudocolor settings. This will be the default setting if you define filters used for ratio imaging as discussed in Defining Ratio Channels. We will now explore displaying ratio data using the example slide, RatioTutorial.sld. This slide is available for download from www.intelligent-imaging.com. If you are a new user, please familiarize yourself with the Main View before beginning the tutorials in this section.

The contents of Post-Acquisition Display

Tutorial: Viewing Ratio Data in SlideBook
Ratio Settings
Tutorial: Aligning Images


Topic: Tutorial: Viewing Ratio Data in SlideBook

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Post-Acquisition Display
  • Tutorial: Viewing Ratio Data in SlideBook
  • Previous page
  • Next page

Tutorial: Viewing Ratio Data in SlideBook

To begin this demonstration:
1. Open SlideBook and select [image] Open Slide from the Quick Access Toolbar.
2. Navigate to RatioTutorial.sld and select Open. This file is courtesy of Dr. Jackson Egan of the University of California, Berkeley.
3. Double-click on the T Cell Calcium Flux image to generate a Main View. The following image will appear. For additional information on data views, see the View Menu section of User Interface.
4. Notice that the image is displayed in pseudocolor, with the Ratio 1 channel appearing in the first channel menu. Also note that SlideBook stores both the numerator and denominator time lapse image. The ratio values are computed when the image is opened and are not stored with the image.
NOTE: If you have not defined ratio channels as discussed in Ratio System Configuration, you may view your data in pseudocolor by selecting Mode > [image] Pseudocolor in the View group of the Home tab.
5. In the pseudocolor view mode, there are two channel selections. The first channel selects the hue of the display and should be set to the ratio channel. The second channel selects what determines the intensity, or brightness, of the displayed colors. If it is set to the numerator or denominator channel, the pseudocolored display will be scaled by the selected fluorescence intensity, such as in the example above. Thus, in the example above, an area with high pixel intensity for the ratio channel and low pixel intensity on denominator channel will appear as dim red. An area with low pixel intensity for the ratio channel and high pixel intensity on the denominator channel will appear as bright blue. This helps distinguish areas with real data from background. This is often desirable as computed ratio values for regions of the image that are just slightly above background can vary greatly.
6. Set the second channel menu selection to None. The image is now displayed as a range of low (blue) to high (red) ratio values. The brightness/dimness of the hue is not scaled.
7. The large amount of noise you observe in this image is the result of displaying a straight ratio, not scaled by intensity data. Return the second menu to Fura-2 (380) to scale the ratio by intensity.
8. Set the Background channel menu to Open. A DIC image is now displayed along with the ratio data. To improve the display, blend the DIC image with the fluorescence image by selecting [image] View Settings > Blend Background either in the View group of the Home tab or in the image window.
9. Return the background channel to None.
10. Open the [image] Renormalize Image dialog box from the View group of the Home tab or in the image window. If this is a new dialog to you, please review the Renormalize Image window .
11. Move the red bar back and forth. Note that the display does not change. Fura-2 (340) is not a displayed channel in this image.
12. Select Fura-2 (380) from the channel drop-down menu and move the red bar back and forth. Note that the hue, or color, of the display does not change. Note also that the intensity of the color becomes dim as you move the red bar to the right and becomes bright as you move the red bar to the left.
NOTE: Hues that are displayed cannot be changed using the renormalization dialog; only the intensity of color may be changed. To change the hues that are displayed, you must alter the Ratio Settings, as discussed in the following section.


Topic: Ratio Settings

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Post-Acquisition Display
  • Ratio Settings
  • Previous page
  • Next page

Ratio Settings

SlideBook lets you adjust, if necessary, many of the settings that go into both post-acquisition display as well as analysis. These settings are accessed in the Ratio Settings dialog box available from the Modules tab, [image] Ratio > [image] Ratio Settings or by clicking on the [image] icon in the image window then selecting Ratio Settings.
The dialog is divided into three main sections: Participating Channels, Calibration Parameters, and Ratio Display Range. The dialog is detailed in User Interface section: Ratio Settings window . You can also read more about calibration in Ratio Calibration or follow the Tutorial: Using Ratio Settings to learn how to adjust the display of ratio images.

The contents of Ratio Settings

Tutorial: Using Ratio Settings


Topic: Tutorial: Using Ratio Settings

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Post-Acquisition Display
  • Ratio Settings
  • Tutorial: Using Ratio Settings
  • Previous page
  • Next page

Tutorial: Using Ratio Settings

We will now walk through a tutorial to learn how to adjust Ratio Settings on our sample image.
1. Make sure a view of T Cell Calcium Flux is active and then click on the [image] icon in the image window and select Ratio Settings (also accessed from Modules tab, Ratio > Ratio Settings).
2. In the Ratio Display Range section, change the High edit field to 0.5 and click Apply. Note that the display hues have changed and more cells are red.
3. Change the Ratio Display Range High edit field to 2.0 and click Apply. Note that display hues are all blue/green.
4. Return the Ratio Display Range High edit field to 1.0 and click Apply.
5. Click OK to close the Ratio Settings dialog.
6. Select File > Save Slide to save your new settings. Next time you open this image, these display settings will be applied by default.
7. Go to the Home tab, Annotations group and check the box Lookup Tables or hit Ctrl + Shift + L. Notice the lookup table reflects the designated ratio display range.
8. Add additional annotations from the Annotations group or by using shortcut keys; additional annotations available include: scale bar, timestamps, notes, object IDs, and regions.
9. Adjust the appearance of these annotations under Annotations Settings.
10. Select View > [image] Timelapse Tile View. In this view, each time point is displayed in an individual panel. For more information on this view, see Timelapse Tile View window.
11. If desired, export a figure as it is displayed by going to [image] Export > Qualitative Export options (see also Qualitative Image Export ).


Topic: Tutorial: Aligning Images

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Post-Acquisition Display
  • Tutorial: Aligning Images
  • Previous page
  • Next page

Tutorial: Aligning Images

At times, an entire imaging field may drift over time due to unstable temperature or external forces such as a perfusion device or manual disruption when adding reagents. When this occurs, analysis results based on regions may be inaccurate. SlideBook's alignment tool is a helpful solution to re-stabilize the image for analysis. More information on this window can be found in User Interface: Align Images window .
NOTE: The alignment technique in this tutorial is for correcting homogenous movement of an entire field. If individual areas or cells are moving within the field, you will need to use masks for analysis as discussed in Using Thresholding Techniques to Generate Masks.
1. Open the image with a field that shifts over time. Scroll through the image and observe the movement of the imaging field. Go to Analyze tab, Process Image group, [image] Align > Automatic Image Alignment. Under Image Range, select Current Image. You would use Current Capture Type if you had multiple time lapse images in one .sld that required alignment.
2. Select the timepoint you would like to use as the alignment timepoint. All other images will be shifted to align with the alignment timepoint.
3. Select a channel to use for the alignment.
4. Click on OK. A new image will be written to the slide with - auto aligned appended to the image name.


Topic: Ratio Calibration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio Calibration
  • Previous page
  • Next page

Ratio Calibration

SlideBook provides an easy-to-follow guide for calibrating a fluoroprobe such as Fura-2 using the solution-based in vitro calibration technique outlined in Grynkiewicz et al (1985). This section also teaches intracellular calibration for use when a sample has enough representative data in a time series.
Ratio channels can be calibrated so that ratio values correspond to concentrations. SlideBook supports two different methods of calibration. The first is a solution-based in vitro method that may be performed pre- or post-acquisition. This calibration may be applied to multiple experiments. The second is an intracellular calibration that is performed post-acquisition for each experiment. This method performs calibration within a single cell and then applies those values to the entire data set. With either method, a ratio calibration guide assists you in determining three important numbers for correctly calibrated concentration display:
- the minimum ratio value (e.g., Fura-2 with no free Ca++ ions present)
- the maximum ratio value (e.g., Fura-2 in an ion-saturated solution)
- the ratio of the denominators of the minimum and maximum conditions
The ratio calibration guide is also where you specify three other parameters:
- the dissociation constant of the fluoroprobe
- the ratio value below which a view displays the color corresponding to the minimum value
- the ratio value above which a view displays the color corresponding to the maximum value
From these parameters, calcium concentration can be calculated from the following equation:

The contents of Ratio Calibration

Solution-based in vitro Calibration
Intracellular Calibration


Topic: Solution-based in vitro Calibration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio Calibration
  • Solution-based in vitro Calibration
  • Previous page
  • Next page

Solution-based in vitro Calibration

This type of calibration requires you to capture images of buffer solutions. When imaging buffer solutions, you may wish to add a small amount of non-fluorescent polystyrene beads to aid in obtaining focus. Alternatively, you may mark or scratch the surface of the coverslip or dish used for imaging. Example buffer solutions for calibrating calcium concentrations when using Fura-2 may be found in Appendix A: Buffers for Ratio Calibration.
NOTE: Do not attempt calibration using an AM ester derivative of an intracellular probe. AM ester derivatives have little to no response to ion concentration differences. You must use a salt form of your fluorophore for calibration.

Background Image

The first ratio image that you must collect (consisting of both the numerator and denominator channels) is a background image. This is usually an image (or average of a set of images) of the experimental setup with a buffer solution that has no fluoroprobe present. Prior to starting the Ratio Calibration Guide, you should place a buffer solution slide on the stage and adjust any microscope parameters in the Focus Window.

Ion-free Image

The second ratio image that you must collect is an ion-free image. This is usually an image (or average of a set of images) of the experimental setup with a buffer solution that has fluoroprobe present. The concentration of fluoroprobe should be approximately equal to the concentration of fluoroprobe present in loaded cells.

Ion Saturated Image

The third and final ratio image that you must collect is an ion saturated image. For this image, you will need a ion saturated buffer solution. The buffer should contain the same concentration of fluoroprobe as the buffer used to capture the ion-free images.

Beginning In Vitro Calibration

Once you have the sample on the microscope for the background image and the ion-free and ion saturated samples ready, you can proceed to Generating Ratio Calibration Data .

The contents of Solution-based in vitro Calibration

Generating Ratio Calibration Data


Topic: Generating Ratio Calibration Data

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio Calibration
  • Solution-based in vitro Calibration
  • Generating Ratio Calibration Data
  • Previous page
  • Next page

Generating Ratio Calibration Data

To generate in vitro ratio calibration data:
1. Place the background buffer solution in your experimental setup and bring the sample into view and focus.
2. Bring up the Ratio Calibration Guide by selecting [image] Ratio > Ratio Calibration Guide in the Modules tab. Alternatively, you may bring up the calibration guide from an open ratio image by selecting [image] View Settings > Ratio Settings and selecting Calibrate.
3. Enter the number of images that you wish to average in the Number of Images to Average data entry field. In general, three images will be sufficient.
4. Enter the Exposure Time in milliseconds for both the numerator and denominator in the data entry fields.
NOTE: You should aim for an exposure length that yields only moderate intensity values, since there is no fluoroprobe present. Otherwise, the subsequent capture of ion-free and ion saturated images will certainly exceed the dynamic range of the camera.
5. Generate a test image by selecting Capture Background Image 1 and observe the resulting intensity values reported beneath the image. You may recapture the image if the maximum intensity is too high by selecting Recapture Background Image 1.
6. After capturing the first background ratio image, select a region of interest by clicking and dragging on the numerator image view in order to determine the area over which the average background intensity (as well as ion-free and ion saturated intensities) will be determined.
7. In general, try to select the largest region possible, as it means the ratio calibration values will be computed from a larger sample. However, if there are obvious anomalies in the field, the region of interest selection permits you to exclude them.
8. Continue collecting background images by selecting Capture Background Image.
9. When you have finished collecting the background image or images, click on Proceed to Ion-Free Image.
10. Place your ion-free buffer solution (with fluoroprobe) in your experimental setup and bring your sample into view and focus using the Focus window.
11. Select Capture Ion-Free Image. The region of interest that you selected in the background image collection will be used for these captures.
12. Continue collecting ion-free images by selecting Capture Ion-Free Image.
13. When you have finished collecting the ion-free image or images, click on Proceed to Ion-Saturated Image.
14. Place your ion-saturated buffer solution (with fluoroprobe) in your experimental setup and bring your sample into view and focus.
15. Select Capture Ion-Saturated Image. The region of interest that you selected in the background image collection will be used for these captures.
16. Continue collecting ion-saturated images by selecting Capture Ion-Saturated Image.
17. When you have finished collecting the image(s), click on Compute Parameters.
The guide will automatically compute the Rmin, Rmax, and beta values (see definitions). For the exact mathematical equations used to compute these parameters, please refer to Appendix B: Ratio Calibration Calculations.
18. Enter the dissociation constant, Kd, for your fluorophore. This value is specific for your fluorophore and available from the manufacturer.
NOTE: Enter the Kd value in units of nM concentration.
19. Enter the User-defined defaults for Rlow and Rhigh values. This will designate the default display scaling for ratio images as discussed in Ratio Settings.
In general, you should set Rlow and Rhigh to be equal to Rmin and Rmax initially. After running experiments, you may wish to revise the Rlow and Rhigh values to reflect the actual range observed. You may access these values post-capture by selecting Image > Ratio > Ratio Settings.
20. Click OK to complete calibration and exit the Ratio Calibration Guide. Your ratio calibration data will be used to generate concentration data for ratio images as discussed in Data Graphing and Export.


Topic: Intracellular Calibration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio Calibration
  • Intracellular Calibration
  • Previous page
  • Next page

Intracellular Calibration

As described earlier in this chapter, SlideBook provides an in vitro calibration tool for ion concentration indicators. We have been discussing Ca++ imaging using Fura-2 and will continue to do so in this section. Often cellular physiology interacts with Fura-2 such that the dye’s behavior inside a cell does not match the dye’s behavior in calibration solutions. For more accurate measurement of absolute [Ca++], it is best to measure the range of ratios observed in vivo, or within the cells themselves.
The Intracellular Calibration Guide in SlideBook allows you to select representative regions in a time series and use them as the basis for determining the maximum and minimum ratios that are observed within cells.
Typically, intracellular Ca++ calibration is done as an “end-step” in a live cell experiment. After observing meaningful Ca++ dynamics during an experiment, a calcium ionophore, such as ionomycin, is introduced into a cellular buffer solution that has a high free [Ca++]. This raises the intracellular [Ca++] dramatically and, after the cytosol reaches equilibrium, will allow us to measure a maximum intracellular ratio (Rmax) as the 340 nm excitation signal will be at its highest and the 380 nm excitation signal will be at its lowest.
After that, a calcium chelator, such as EGTA, is added to drop the intracellular [Ca++]. Again, after equilibrium, we can measure a minimum ratio (Rmin). A typical experimental protocol is outlined below:
1. Perform experiment.
2. Once the desired effect is observed, add solution so that final concentration in media is 1 µM ionomycin and 1.8 mM [Ca++] and wait for ratio to stabilize using live ratio display. This will yield a maximal Fura-2 ratio.
3. Add solution of 1 µM ionomycin and 2 mM EGTA and wait for ratio to stabilize. This will yield a minimal Fura-2 ratio.
This is a guideline; you may need to experiment to find out what concentration of calcium and EGTA is appropriate for your cells. The Rmax and Rmin from the intracellular calibration must be higher and lower than that which you observe during your experiment. If this is not the case, you must adjust the calibration solutions.

The contents of Intracellular Calibration

Tutorial: Intracellular Ratio Calibration


Topic: Tutorial: Intracellular Ratio Calibration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Ratio Calibration
  • Intracellular Calibration
  • Tutorial: Intracellular Ratio Calibration
  • Previous page
  • Next page

Tutorial: Intracellular Ratio Calibration

A tutorial for intracellular ratio calibration follows. Please use RatioTutorial.sld for the tutorial.

Set Background Region and Region for Calibration

1. Open a Main View of Intracellular.
2. Draw a region in an area with no signal using the square region tool.
3. Select the region by clicking on it, then right click and select Set as Background.
It is a good idea to scroll through time and make sure that no debris or floating cells enter the proposed background region during some later time point, as the background level is computed for each time point. If you want to change the background region, simply select the region then click and drag it to a different spot or delete it and redraw.
NOTE: The size of a region for calibration purposes does not need to be large. Even a small region contains well over 100 pixels, which is plenty to remove the effects of signal noise in determining a reliable background level.
4. Draw a region within a representative cell. It may be helpful to scroll through time and find a cell that has a maximum ratio among the highest in the field of cells.

Find Rmax and Rmin

1. Select [image] Ratio > Intracellular Calibration (from the Modules tab) to open the intracellular calibration dialog box.
2. Initially, the dialog box shows the computed Rmax and Rmin based on the first timepoint and the first region.
3. Graph the ratio data of the region by selecting [image] Graph in the image view window. Set Type to Ratio and Line 1 to Ratio 1, click OK.
4. A graph similar to the following will appear:
5. Click on the highest ratio value in the graph, the main view will update to timepoint 28. The vertical green line in the graph indicates the timepoint selected.
6. In the Intracellular Ratio Calibration dialog, type 28 into the Timepoint edit field for Rmax. If the main view is not currently displaying timepoint 28, you may visit that timepoint by pressing Visit after entering the timepoint in the edit field.
7. Ensure the correct region is listed in the Region edit field. If region 1 is not the region you would like to use for calibration, update this field accordingly.
8. Now repeat steps 4 - 6 for RMin. In this example, RMin occurs between timepoints 50 and 65. After timepoint 65, the sample begins to photobleach.
9. Enter the dissociation constant, Kd, for your fluorophore. This value is specific for your fluorophore and biological system and can be obtained from the manufacturer of the fluorophore. Please enter the Kd value in units of nM concentration. In this example, we will use 225 nm.
10. Click OK to complete the calibration. Move the cursor over the main view and observe that calcium concentrations are displayed next to the ratio channel menu.
11. To set your display back to ratio values (not concentration information), re-open the Intracellular Ratio Calibration dialog and enter 0 in the Kd field and then click OK.


Topic: Data Graphing and Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Previous page
  • Next page

Data Graphing and Export

There are three ways to mark areas for graphing and exporting ratio data from an image: single area export from a point-and-click selection, multiple area export from regions, and multiple area export from a mask created manually. You may wish to use the sample files to experiment with data graphing and export.

The contents of Data Graphing and Export

Quick Graphing and Data Export
Multiple Region Graphing and Export
Multiple Region Export from a Mask


Topic: Quick Graphing and Data Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Quick Graphing and Data Export
  • Previous page
  • Next page

Quick Graphing and Data Export

To rapidly generate ratio data:
1. Select a location on the image by selecting the [image] Point Selection tool from the Tool Menu.
2. Hold the CTRL key while clicking on a cell. A graph similar to the following will appear. You may select an individual channel or the ratio you wish to display using the drop-down Channel menu. You may increase the Radius to increase the area that is being graphed.
3. To export the data, press the Export button.
4. Type in the desired name of the text file where your data will be written.
5. Open the data file using Excel. You may wish to repeat steps 2 and 3 for different fluorophores and for the ratio.


Topic: Multiple Region Graphing and Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Graphing and Export
  • Previous page
  • Next page

Multiple Region Graphing and Export

You may also export data from multiple regions that you selected during capture. You may add or delete regions post-capture.

Working with Regions

You may display regions that you created during capture, edit selections, and select a background region post-acquisition.
Display Region(s) – select any of the region tools from the Region group or select Annotations > Regions
Select Region – click on the region or the number using the [image] Selection tool, the number of a selected region will be white
Create New Region - use the region tools to draw regions (please see Selecting Regions of Interest)
Delete Region – select the region, tap the Delete key on the keyboard or right-click and select Delete from the menu
Select Background Region – click on a region to select it, then right-click and select Set as Background from the menu

The contents of Multiple Region Graphing and Export

Graphing and Exporting Data


Topic: Graphing and Exporting Data

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Graphing and Export
  • Graphing and Exporting Data
  • Previous page
  • Next page

Graphing and Exporting Data

To graph your region data, select [image] Graph from the image view window and then the channels or ratio you wish to display. For more information on how to use the graph, refer to Graph Display or the User Interface page Graph window. To export a TIFF of the graph, click on the Export TIFF icon [image] .To export the ratio or concentration data, click on the Excel Export icon [image] or the Text File Export icon [image].
The resultant file will include the following information about the image:
  • •
    Image Name - name of the individual image (can be edited from [image] Get Info)
  • •
    Slide Name – name of the .sld file
  • •
    Capture Date – date on which the image was acquired
  • •
    Capture Time – time of day at which the acquisition was initiated
  • •
    Ratio 1 information present – header for ratio configuration information
  • •
    Ratio 1 numerator channel – the filter name for the channel identified as Ratio 1 numerator
  • •
    Exposure Length (ms) or (s) – exposure time for Ratio 1 numerator channel
  • •
    Ratio 1 denominator channel – the filter name for the channel identified as Ratio 1 denominator
  • •
    Exposure Length (ms) or (s) – exposure time for Ratio 1 denominator channel
  • •
    Exposure factor – calculated as the exposure time numerator divided by exposure time denominator
There will also be a table of data that lists the following information:
  • •
    Plane – plane number, also known as the timepoint number
  • •
    Time – time of day image was captured
  • •
    Elapsed (ms) or (s) – elapsed time from time 0 to current time point in milliseconds or seconds
  • •
    [Channel] Bkgd – background intensity for each channel/timepoint when a background value is set from a region where [channel] is the actual channel name
  • •
    [Channel] [region#] – Bkgd –this value will be the background subtracted (if applicable) intensity for each channel, at each region, for each time point where [channel] is the channel name, [region#] is the number of the region for the calculation, and - Bkgd is added when a background region has been set.
  • •
    Ratio 1 [region#] – the calculated ratio for each region at each time point
  • •
    Conc1 [region#] – computed concentration if calibration data is present (see also Ratio Calibration)
NOTE: The exact mathematical equations used for computing ratio data can be found in Appendix C: Ratio Data Export Calculations.
In order to export additional statistical information, you may convert regions to mask objects then select statistics to export as discussed in Creating a Mask from Existing Regions.


Topic: Multiple Region Export from a Mask

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Export from a Mask
  • Previous page
  • Next page

Multiple Region Export from a Mask

Sometimes, region data export from the graph is insufficient because you require additional statistical information or because the specific area you wish to track is moving. If this is the case, you will need to utilize masks for data analysis and export.
You can configure SlideBook to use a background region for background subtraction in mask statistics. Masks can be created from existing regions or can be created using thresholding techniques. Once the masks are generated, a plethora of statistical export options are available.
NOTE: It is important to understand that masks created using thresholding techniques should only be used for analysis of ratio data when a specific area or cell is moving. If the entire field is moving due to drift or disruption of the specimen, you should correct for the movement using image alignment algorithms and proceed with analysis using regions. Instructions on this correction can be found in Tutorial: Aligning Images.

The contents of Multiple Region Export from a Mask

Configuring Background Subtraction with Mask Statistics
Creating a Mask from Existing Regions
TUTORIAL: Using Thresholding Techniques to Generate Masks
Exporting Statistics from Masks


Topic: Configuring Background Subtraction with Mask Statistics

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Export from a Mask
  • Configuring Background Subtraction with Mask Statistics
  • Previous page
  • Next page

Configuring Background Subtraction with Mask Statistics

Up to this time, we have discussed setting a background region for calculations. We will now discuss configuring SlideBook to use this background region for background subtraction in statistical analysis of masks.
1. Create a background region as described in Selecting Regions of Interest
2. Go to Administration tab > [image] Hardware Properties.
NOTE: Hardware Properties is not enabled on offline (analysis) workstations. Hold the CTRL key down while in the Administration tab to enable clicking on and opening Hardware Properties.
3. Navigate down the alphabetical list to Statistics Properties, click the "+" to expand the selection.
4. Set the Value to Yes.
5. Click Apply Change then Close.
6. Restart SlideBook.


Topic: Creating a Mask from Existing Regions

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Export from a Mask
  • Creating a Mask from Existing Regions
  • Previous page
  • Next page

Creating a Mask from Existing Regions

When you require data for export that was not included when exporting from a graph (see list of data types in Graphing and Exporting Data ), you can convert regions to masks for a full menu of statistical export options. To do so, go to the Analyze tab, Mask Generation group > [image] Convert Regions to Mask Objects. Continue to Exporting Statistics from Masks for further instructions.


Topic: TUTORIAL: Using Thresholding Techniques to Generate Masks

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Export from a Mask
  • TUTORIAL: Using Thresholding Techniques to Generate Masks
  • Previous page
  • Next page

TUTORIAL: Using Thresholding Techniques to Generate Masks

Sometimes, you will find that the region you would like to use for analysis moves over time. When this occurs, static regions will not yield the analysis results desired. Instead, you may need to use thresholding techniques to select pixels for analysis by intensity. To demonstrate, please follow the tutorial below using the example image in RatioTutorial.sld.
NOTE: If the entire field is moving, you should align images and use regions for analysis. The techniques discussed in this section are only applicable when individual objects or cells are moving within a field. Instructions for aligning images can be found in Tutorial: Aligning Images.
1. Open RatioTutorial.sld. Open image T Cell Calcium Flux.
2. Go to the Home tab, View group, Mode > [image] Monochrome. This will change the display to black and white.
3. You will notice that there is only one channel menu available because only one channel can be displayed in monochrome. Select the numerator Fura-2(340) from the menu. Scroll through the data and observe the fluorescence level across the field. Select the denominator Fura-2(380) from the channel menu. Scroll through the data again. Choose the channel that has the best contrast throughout the time series. In this example, select Fura-2(340).
NOTE: Alternatively, a wavelength at the isosbestic point of the fluorophore can be used. This wavelength will not be reactive to the ion concentration and, therefore, makes an ideal channel for thresholding. If you frequently require thresholding to select analysis regions, you may want to incorporate acquiring and isosbestic channel during imaging.
4. Select the Mask icon in the image window [image] > Create Segment Mask or use the Mask Generation group in the Analyze tab [image] Segment Mask. The Segment Image window will open.
5. Select the channel you would like to use (from step #3 above) to create the mask from the Channel menu.
6. Use the low selection red line or text edit field to select a low threshold. Pixels with intensities below this value will be excluded from the mask.
7. Use the high selection green line or edit field to select a high threshold. Pixels with intensities above this value will be excluded from the mask. For most applications, the high threshold will be left at the maximum intensity level for the image. However, if you wish to exclude saturated objects from your analysis, you may wish to utilize the high threshold to do so.
8. As you adjust the threshold values, you will notice blue pixels appear on the image. These pixels represent the mask, the area selected for analysis. You may find it useful to scroll to another time point and click Apply to see how the threshold values work throughout the time series.
NOTE: When an image is displayed as pseudocolor (instead of monochrome, RGB, etc.), masks will be displayed as white outlines, not as blue highlighted areas.
9. Click OK. It is necessary to click OK to generate the mask in all planes of the image.
10. Next, we will eliminate objects that are too small or too large for analysis. Go to Mask > Define Objects in Mask. For more information on this dialog, refer to Define Objects window .
11. Check the box for Gate Objects by Size. Set a Minimum size and Maximum size in either pixels or µm2.
12. Click OK. Any objects that are outside of the size range defined will be eliminated from the mask.
13. Go to the Home tab, Annotation group, select Object IDs (or type Ctrl + Shift + O). A number will appear next to each defined object in the mask, this is the Object ID. At times, two objects may be identified as one as shown with object 14 below:
14. To separate these objects, go to Analyze tab, Edit Mask group, [image] Split Objects > Split Objects Automatically (see also Split Objects Automatically window ).
NOTE: If you perform this operation frequently, you may find it useful to set up a Split Objects Protocol.
15. Select a percentage of separation in the Watershed Separation tool then click Preview.
16. Adjust to desired separation then click OK.
17. As you scroll through time in the image, you may notice the ID on an object changes over time. The next step is to track the objects so they maintain their identity throughout the time series. Go to Analyze tab, Edit Mask group, [image] Particle Tracking > Basic Particle Tracking (see also Basic Particle Tracking window )
NOTE: If you perform this operation frequently, you may find it useful to set up a Particle Tracking Protocol.
18. Select Tracking Parameters as described below:
Primary Mask – Select the mask that contains the objects you would like to track. The menu will default to the mask that is currently displayed on your open view.
Remove Objects smaller than – Check this box to selectively remove objects smaller than a given size. Enter the size in the edit field and choose either microns or pixels as the unit.
Feature – Select the parameter that you wish to track from the dropdown list:
Center of Area – The coordinates of the center of the object based on perimeter without regard to the intensity values.
Center of Intensity – The coordinates of the center of the object, weighted by intensity values. If you select this feature, you will also need to select the channel that is used for weighting.
Mean Adjusted Center of Intensity – The coordinates of the center of the object, weighted by intensity values that are above the mean intensity of the object. This is a useful feature to track if you have delineated your objects by hand. By using values that fall above the mean, any imprecision in your hand delineation does not impact the center of intensity calculation. If you select this feature, you will also need to select the channel that is used for weighting.
Maximum Movement – Enter the maximum movement that you expect from any given object from one time point to the next. This will help the particle tracking algorithm distinguish between objects that may have similar centroid values.
Min Path Length – Enter the minimum number of timepoints that must be tracked in order to determine a path. For instance, if you enter 3, any object that cannot be followed for at least three time points will be removed for the mask.
19. Click OK. The mask is complete and refined.


Topic: Exporting Statistics from Masks

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Data Graphing and Export
  • Multiple Region Export from a Mask
  • Exporting Statistics from Masks
  • Previous page
  • Next page

Exporting Statistics from Masks

At times, the data export options described earlier in this chapter will be insufficient because you are interested in additional statistical information. This may include details regarding the morphometry of the regions or masks or intensity information other than mean intensity. Now we will discuss obtaining this statistical information.
1. Create a mask by one of the methods discussed earlier in this chapter. If the image has a mask but it is not displayed, you can display the mask by selecting the Mask icon [image] in the image window and selecting the mask of interest from the list.
2. Go to Analyze tab, Evaluate group, [image] Mask Statistics. For more on this dialog, please refer to Mask Statistics window . The following dialog will appear:
3. The dialog has the following sections:
  • •
    Image Scope – allows for generation of statistics in multiple images. Because you are working with a 2D timelapse or 4D data set, the second radio button will be selected by default. You may select the third radio button if you have multiple images with the same mask name.
  • •
    Mask Scope – allows you to select whether you want statistics for the entire mask or on a per object basis. If you have chosen to obtain statistics for multiple images, the Object option will be unavailable.
  • •
    Primary Mask – defaults to the mask that is currently displayed but can be altered via the dropdown menu. The primary mask will automatically be made into objects. You may also remove objects under a specified pixel size. To get statistics for all objects in the mask, leave this box unchecked.
  • •
    Features – lists all available statistics that may be calculated. Note that the list of features will depend on the dimensions of the mask. For instance, area will be displayed as a statistic for 2D masks, while volume will be displayed for 3D masks. When a feature is selected, the description of its calculation method will appear beneath the Description heading.
  • •
    Output Grouped By – these choices are only activated if you are performing object statistics on 2D timelapse or 4D images. Sample output is shown below:
Output Grouped by Statistic
Output Grouped by Object
Outpput Grouped by Time Point
4. Check all the statistics you would like to compute. For more information on a statistic computation, please refer to the Description field.
5. Select how you would like to display or export the data by pressing one of the following buttons:
  • •
    Display – displays the data as shown in the figures above.
  • •
    Export – exports a tab-delimited .txt file that can be opened by a spreadsheet program. You will be prompted to name the file.
  • •
    Export to Excel – opens the spreadsheet in Microsoft Excel.
  • •
    Cancel – Closes the Mask Statistics dialog without displaying or exporting statistics.


Topic: Exporting Images and Movies

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Exporting Images and Movies
  • Previous page
  • Next page

Exporting Images and Movies

To complement the data export discussed in the previously, we will now review exporting the images. There are three main types of image export available in SlideBook. Quantitative image export enables export of image as data for further analysis or for archival purposes. Qualitative image export allows export of the image exactly as it appears in SlideBook, including and renormalization and annotations. Movie export involves creation of QuickTime or Microsoft AVI files from timelapse data.

The contents of Exporting Images and Movies

Quantitative Image Export
Qualitative Image Export
Movie Export


Topic: Quantitative Image Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Exporting Images and Movies
  • Quantitative Image Export
  • Previous page
  • Next page

Quantitative Image Export

Sometimes, you will wish to share data with colleagues or back up data in a format that can be read by programs other than SlideBook. In order to do this, you will want to maintain the true intensity values of each pixel of the image. For this reason, there is a 16-bit tiff export option available (see also 16-bit Tiff Export window ). This export option is compatible with the OME (Open Microscopy Environment) format.
1. Select the image that you would like to export by clicking on it. You may also start from an open view of the image.
2. In the Home tab, Acquire group, select [image] Export > 16-bit TIFF. A dialog box similar to the following will appear.
3. Select the Image Range as described below. You may also select and deselect images using the checkboxes in the Selected Images list.
  • •
    Current Image – Operation will be performed on the selected image only.
  • •
    Current Capture Type – Operation will be performed on all images in the slide with the same capture type (2D, 3D, 4D, etc.) as the selected image.
  • •
    All Images with Same Channels – Operation will be performed on all images in the slide with the same channels as the selected image.
4. Select the Output Directory where the tiffs will be saved by clicking on Browse then navigating to the desired location.
5. Check the box for Include OME XML to include OME metadata in the tiff file (encoded in XML).
6. Check the box for Separate File For Each Plane if you would like a tiff file for each plane for each channel of the image. If you do not check this box, a multi-plane tiff file will be created for each channel that will include all timepoints? Z Points??
7. If desired, format the naming of the tiffs in the Filename Format String field.
8. Press OK.


Topic: Qualitative Image Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Exporting Images and Movies
  • Qualitative Image Export
  • Previous page
  • Next page

Qualitative Image Export

Qualitative image export is useful when you want to use an image exactly as it appears in SlideBook. Any display adjustments as well as annotations will be preserved during qualitative image export.
1. Open a Main View, Three View, Tile View, or Channel View of the image and adjust the look of the data as desired. This may include altering the ratio settings and renormalization parameters, cropping the image, or adjusting the zoom factor.
2. Add any desired annotations from the Annotations menu or by using the shortcut keys. Adjust the look and location of the annotations by going to Annotations > Settings.
3. In the Home tab, Acquire group, select [image] Export > RGB TIFF to export the view as a single TIFF (.tif) file or > TIFF series to export a tiff of each time point of the image.
4. Enter the file name and select Save. The TIFF image can now be used in other programs.


Topic: Movie Export

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Exporting Images and Movies
  • Movie Export
  • Previous page
  • Next page

Movie Export

Because ratio imaging is dynamic, it is often useful to create movies from your data that can be used in presentations and shared with colleagues. Two movie types are available, Apple QuickTime (.mov) and Microsoft AVI (.avi).
1. Open a Main View, Three View, Tile View, or Channel View of the image and adjust the look of the data as desired. This may include altering the ratio settings and renormalization parameters, cropping the image, or adjusting the zoom factor.
2. Add any desired annotations from the Annotations group or by using the shortcut keys. Adjust the look and location of the annotations by using Annotation Settings.
3. In the Home tab, Acquire group, select [image] Export > Create Series Movie. The Series Movies Properties dialog box will appear.
4. Enter a value in the Frame Duration field. This is the amount of time that a single time point will be displayed during the movie playback. Use smaller values for faster playback. For example, a value of 0.2 will play back at a rate of 5 frames per second.
5. A standard Save As dialog box will open. Name the file then click OK.


Topic: Appendix A: Buffers for Ratio Calibration

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix A: Buffers for Ratio Calibration
  • Previous page
  • Next page

Appendix A: Buffers for Ratio Calibration

You may wish to purchase a Fura-2 Calcium Imaging Calibration Kit from Molecular Probes (Cat# F-6774). Sample buffer recipes are shown below. Rmin, Rmax, and β values will vary depending on your particular setup, but typical values for Fura-2 may be Rmin ~ 0.25, Rmax ~ 2.5 and β ~ 5.

Background Buffer

10X stock solution
Dissolve in 90 ml H2O:
8.95 g KCl (1.2 M)
0.29 g NaCl (50 mM)
0.1 g KH2PO4 (7.4 mM)
0.42 g NaCO3 (50 mM)
4.77 g HEPES (200 mM)
Do not adjust pH
Bring volume to 100 ml with H2O
For 1X solution dilute 1:9 in H20, pH to 7.4

Ion-Free Buffer

Add 25-50 µM (final concentration) fluorophore (not AM ester derivative, must be salt form) to the Background Buffer. Note that this value may vary based on your fluorophore and loading conditions. You will want to approximate the final concentration of fluorophore in your loaded samples.

Ion-Saturated Buffer

10X stock solution CaCl2
Dissolve in 90 ml H2O:
0.22 g CaCl2 (20mM)
Do not adjust pH
Bring to 1X using 1 part CaCl2 10X solution, 1 part 10X background buffer solution, 8 parts H2O, pH to 7.4 and add 25-50 µM (final concentration) fluorophore.


Topic: Appendix B: Ratio Calibration Calculations

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix B: Ratio Calibration Calculations
  • Previous page
  • Next page

Appendix B: Ratio Calibration Calculations

Ratios are computed as the quotient of a numerator divided by a denominator:
where, for example, the numerator is Fura-2 signal at 340 nm excitation and the denominator is Fura-2 signal at 380 nm excitation. In order to convert a ratio into a calcium concentration ([Ca++]) it is necessary to incorporate the minimum and maximum values of the ratiometric indicator as well as its dissociation constant.
Extracellular (in vitro) calibration of [Ca++] values given ratios is performed by collecting a sequence of N background images (where no dye is present), N images where dye is present with no free calcium, and N images where the dye is present and there is a saturating concentration of calcium.

Terms

Bnum(n; x, y) | Intensity of numerator background image n at pixel x, y
Bden(n; x, y) | Intensity of denominator background image n at pixel x, y
Fnum(n; x, y) | Intensity of numerator ion-free image n at pixel x, y
Fden(n; x, y) | Intensity of denominator ion-free image n at pixel x, y
Snum(n; x, y) | Intensity of numerator ion-saturated image n at pixel x, y
Sden(n; x, y) | Intensity of numerator ion-saturated image n at pixel x, y
R | Set of all pixels x, y in the calibration region
|R| | Number of pixels in calibration region
γ | Exposure time correction factor: num exposure time/den exposure time

Background

The background is computed by averaging both num and den intensities of N images over the region:

Rmin

Rmin(n) is computed by finding the ratio of the average num intensity divided by the average den intensity over the region of each of N ion-free image pairs and choosing the overall minimum.

Rmax

Similarly, Rmax(n) is computed by finding the ratio of the average num intensity divided by the average den intensity over the region of each of N ion-saturated image pairs and choosing the overall maximum.

Beta

β is computed as the quotient of the average denominator intensity in the ion-free images over the average denominator intensity in the ion-saturated images:


Topic: Appendix C: Ratio Data Export Calculations

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Previous page
  • Next page

Appendix C: Ratio Data Export Calculations

Currently there are two ways of defining a region for post-acquisition analysis:
  • •
    Using region(s) across all time points
  • •
    Using a mask (divided into submasks) for contiguous isolated user-delineated areas across all time points included in the mask
Each method uses the same ratio and concentration calculations.

Terms

λ1 | Excitation wavelength used in ratio numerators
λ2 | Excitation wavelength used in ratio denominators
Iλ1(t; x, y) | Intensity of numerator image of time point t at position x, y
Iλ2(t; x, y) | Intensity of denominator image of time point t at position x, y
region(n) | Region of interest n: a subset of all possible x, y positions
|region(n)| | The number of positions in the region of interest n
γ | Exposure time correction factor: exposure time at λ1/exposure time at λ2
θλ1 | Minimum threshold intensity for ratio numerator
θλ2 | Minimum threshold intensity for ratio denominator
ωλ1 | Maximum threshold intensity for ratio numerator
ωλ2 | Maximum threshold intensity for ratio denominator

Background

The background is computed for each time point for both the numerator and denominator images by averaging intensities over the background region of interest, regionb:

Regions and Thresholding

When mask regions are created using thresholding methods, individual regions of interest for analysis are restricted by the minimum and maximum thresholds for each wavelength. This means that a delineated region of interest region(n; t) actually yields two regions, regionl1(n; t) and regionl2(n; t), which may not necessarily be identical:

Ratio Computation

The ratio r(n; t) is computed for region(n; t) by first computing average intensities for the numerator and denominator:
and then computing the background and exposure time corrected ratio:

Ratio Error Conditions

The following conditions will prevent r(n; t) from being computed:

Concentration Computation

The concentration c(n; t) is computed using the calibration parameters:

Concentration Error Conditions

The following conditions, in addition to those that prevent r(n; t) from being computed, will prevent c(n; t) from being computed:

The contents of Appendix C: Ratio Data Export Calculations

Terms
Background
Regions and Thresholding
Ratio Computation
Concentration Computation


Topic: Terms

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Terms
  • Previous page
  • Next page

Terms

l1 Excitation wavelength used in ratio numerators
l2 Excitation wavelength used in ratio denominators
Il1(t; x, y) Intensity of numerator image of time point t at position x, y
Il2(t; x, y) Intensity of denominator image of time point t at position x, y
region(n) Region of interest n: a subset of all possible x, y positions
|region(n)| The number of positions in the region of interest n
g Correction factor: exposure time at l1 / exposure time at l2
ql1 Minimum threshold intensity for ratio numerator
ql2 Minimum threshold intensity for ratio denominator
wl1 Maximum threshold intensity for ratio numerator
wl2 Maximum threshold intensity for ratio denominator


Topic: Background

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Background
  • Previous page
  • Next page

Background

The background is computed for each time point for both the numerator and denominator images by averaging intensities over the background region of interest, regionb:
bl1(t) = 1/|regionb| Sregionb Il1(t; x, y)
bl2(t) = 1/|regionb| Sregionb Il2(t; x, y)


Topic: Regions and Thresholding

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Regions and Thresholding
  • Previous page
  • Next page

Regions and Thresholding

When mask regions are created using thresholding methods, individual regions of interest for analysis are restricted by the minimum and maximum thresholds for each wavelength. This means that a delineated region of interest region(n; t) actually yields two regions, regionl1(n; t) and regionl2(n; t), which may not necessarily be identical:
regionl1(n; t) = Èx,y such that (x, y) Î region(n; t) ^ ql1 £ Il1(t; x, y) £ wl1
regionl2(n; t) = Èx,y such that (x, y) Î region(n; t) ^ ql2 £ Il2(t; x, y) £ wl2


Topic: Ratio Computation

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Ratio Computation
  • Previous page
  • Next page

Ratio Computation

The ratio r(n; t) is computed for region(n; t) by first computing average intensities for the numerator and denominator:
i(n; t)l1(n) = 1/|regionl1(n; t)| Sregionl1(n; t) Il1(t; x, y)
i(n; t)l2(n) = 1/|regionl2(n; t)| Sregionl2(n; t) Il2(t; x, y)
and then computing the background and exposure time corrected ratio:
r(n; t) = (i(n; t)l1(n) - bl1(t)) / (g(i(n; t)l2(n) - bl2(t)))

The contents of Ratio Computation

Ratio Error Conditions


Topic: Ratio Error Conditions

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Ratio Computation
  • Ratio Error Conditions
  • Previous page
  • Next page

Ratio Error Conditions

The following conditions will prevent r(n; t) from being computed:
|regionl1(n; t)| = 0
|regionl2(n; t)| = 0
i(n; t)l1(n) < bl1(t)
i(n; t)l2(n) £ bl2(t)


Topic: Concentration Computation

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Concentration Computation
  • Previous page
  • Next page

Concentration Computation

The concentration c(n; t) is computed using the calibration parameters:
c(n; t) = Kd b (r(n; t) – Rmin) / (Rmax – r(n; t))

The contents of Concentration Computation

Concentration Error Conditions


Topic: Concentration Error Conditions

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • Appendix C: Ratio Data Export Calculations
  • Concentration Computation
  • Concentration Error Conditions
  • Previous page
  • Next page

Concentration Error Conditions

The following conditions, in addition to those that prevent r(n; t) from being computed, will prevent c(n; t) from being computed:
r(n; t) < Rmin
r(n; t) ³ Rmax


Topic: References

×

  • SlideBook 6 User's Guide
  • Ratio Module
  • References
  • Previous page
  • Next page

References

Bolsover, S. R. et al. (1993) Ratio imaging measurement of intracellular calcium and pH. In Electronic Light Microscopy (New York: Wiley-Liss), 182-210.
Dunn, K. et al. (1994) Applications of ratio fluorescence microscopy in the study of cell physiology. FASEB Journal 8: 573-582.
Grynkiewicz, G. et al. (1985) A new generation of Ca2+ indicators with greatly improved fluorescence properties. Journal of Biological Chemistry 260: 3440-3450.
Moore, E. D. W. et al. (1990) Ca2+ imaging in single living cells: Theoretical and practical issues. Cell Calcium 11: 157-179.


Topic: FRET Module

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Previous page
  • Next page

FRET Module

SlideBook's FRET Module adds functionality that simplifies a wide variety of quantitative techniques. Measurement of FRET allows you to determine whether or not two molecules are colocalized at a distance less than 100 angstroms, enabling measurements below the optical resolution of a light microscope. FRET is a distance dependent interaction between the electronic excited states of two dye molecules where the excitation is transferred from a donor molecule to an acceptor molecule without the emission of a photon. FRET experiments may be performed on live or fixed cells. SlideBook supports three FRET methods: Sensitized Emission/Direct FRET (both Two-Channel Corrected and Three-Channel Corrected), Acceptor Photobleaching FRET, and Anisotropy FRET. For more information on FRET methods, please see Appendix A: FRET Introduction and Theory.
The FRET Module adds several components to the SlideBook base package that allow you to configure hardware for streamlined FRET acquisition and analysis. Included in this section of help are several tutorials that utilize sample data. To obtain the sample images, download directFRETsample.sld from www.intelligent-imaging.com.
FRET System Configuration
We will first explore the dialog for configuring FRET channels in SlideBook. This section includes tables for common types of FRET analysis and how the channels for each type of FRET analysis will be configured.
Three Channel Corrected FRET
Three channel corrected FRET is a subclass of direct FRET or sensitized emission FRET. It includes traditional FRETc as well as some of the newer calculations such as E-FRET, NFRET, and FRETN (see Appendix B: Direct FRET Calculations for more information on these calculations). In this section, we will discuss the entire experimental process for imaging three channel corrected FRET from image capture through analysis and bleedthrough calculations.
Two Channel Corrected FRET
Two channel corrected FRET is a subclass of direct FRET or sensitized emission FRET. This method is acceptable when donor and acceptor are present in a fixed, stoichiometric ratio. When performing two channel FRET, you are essentially taking the ratio of the transfer channel over the donor. In this section, we will discuss the entire experimental process for imaging two channel corrected FRET from image capture through analysis.
Acceptor Photobleaching FRET
In acceptor photobleaching FRET, you will bleach the acceptor and examine the effects on the donor signal. This section will walk you trough determining bleaching parameters, and evaluating your images.
Anisotropy FRET

The contents of FRET Module

FRET System Configuration
Three Channel Corrected FRET
Two Channel Corrected FRET
Acceptor Photobleaching FRET
Anisotropy FRET
Appendix A: FRET Introduction and Theory
Appendix B: Direct FRET Calculations
Appendix C: Photobleaching FRET Calculations


Topic: Capturing Images

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Capturing Images
  • Previous page
  • Next page

Capturing Images

In order to perform direct FRET, you must be able to calculate bleedthrough coefficients, or cross-talk, for your particular filter sets. To calculate bleedthrough coefficients, two control samples must be imaged: one that contains donor only, and one that contains acceptor only.
In this section, we will discuss using the Focus Window and Capture Window in SlideBook. If you are a new user and are unfamiliar with these controls, please review the user interface pages before continuing below.

Capturing Control Images

Control images should be acquired for each FRET experiment design. When you change a step in your experiment design, updated FRET control images should be acquired.
MORE...
1. Mount the donor sample on the stage and open the [image] Focus Controls in SlideBook.
2. Select the donor filter set (for CFP/YFP FRET, the donor is the CFP channel), and bring the sample into focus.
3. Close the fluorescent shutter and then close the Focus Controls.
4. Open the [image] Capture window.
5. Set the donor exposure time by selecting the appropriate filter checkbox and then pressing Test. Adjust the exposure time as desired or use the Adjust Exposure buttons to aid in setting the appropriate exposure time. For additional information on adjusting exposure duration, including setting regions for capture and utilizing binning, refer to the Capture Controls window.
6. Set the FRET transfer exposure time by selecting the FRET filter checkbox and manually entering the same Expose duration used step 5. It is important that the exposure times of both filters are equal to each other.
7. In the Image Information field (in the lower right corner of the Capture dialog), type a Name to name the image. For example, you may want to name this image Donor Control.
8. Click OK to capture your image.
9. Repeat steps 1-7 with a sample containing only the acceptor, capturing with the acceptor and FRET transfer channels.

Imaging the Experimental Sample

Now bring your experimental sample into view and focus using the [image] Focus Controls. Use the FRET transfer filter when focusing your sample. Then, image your sample(s), capturing the donor, acceptor, and FRET transfer channels. Make sure that all exposure times are equal to each other. If you are performing a live FRET experiment, you may wish to take advantage of the live graphing features that are discussed later in Live Display.
MORE...
1. Mount the experimental sample on the stage and open the [image] Focus Controls in SlideBook.
2. Select the FRET transfer filter and bring the sample into focus.
3. Close the fluorescent shutter and then close the Focus Controls.
4. Open the [image] Capture window.
5. Set the exposure time for the donor, acceptor, and FRET transfer channels. You may find the Adjust Exposure buttons useful in setting the appropriate exposure time.
Note: The experiment requires the same exposure time for all three channels so be sure to use the brightest channel to set exposure times.
6. Set up timelapse capture if desired.
7. Click OK to capture the experiment.


Topic: Live Display

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Live Display
  • Previous page
  • Next page

Live Display

SlideBook will display a live composite image of the donor, acceptor, and FRET channels for each time point. Additionally, you may wish to graph the intensity of regions of interest, adjust the focus of the microscope, or create event markers.
During capture, the live window will display a composite image as individual channels are captured. To display an individual channel, go to the Status tab of the Capture Controls dialog. In the upper right portion, you will find a list of channels. Simply select an individual channel to display and click Show. A live window displaying a monochrome image of the selected channel will open. In this manner, it is possible to watch a live composite display as well as displays of the individual channels.
Other available functions during live capture include:
Selecting Regions of Interest
Graph Display
Focusing During Capture
Creating Event Markers (Notes)
Exposure Time Tips


Topic: Post Capture Analysis Tutorial

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Post Capture Analysis Tutorial
  • Previous page
  • Next page

Post Capture Analysis Tutorial

After FRET images are captured, you can perform background subtraction, calculate bleed-through coefficients, and generate the corrected FRET signal. You may follow this procedure step-by-step using the example file directFRETsample.sld.

The contents of Post Capture Analysis Tutorial

Performing Bleedthrough Calculations
Using FRET Settings
Viewing FRET Data
Obtaining FRET Statistics


Topic: Performing Bleedthrough Calculations

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Post Capture Analysis Tutorial
  • Performing Bleedthrough Calculations
  • Previous page
  • Next page

Performing Bleedthrough Calculations

Bleedthrough (also known as crosstalk) is calculated using the two control images (see Capturing Control Images for instructions on capturing control images).
1. Open the sample slide by selecting [image] Open Slide and navigating to directFRETsample.sld.
2. Open a main view of CFP Only Control by double-clicking on the thumbnail.
3. Next, select the mask icon in the image window [image] [image] > Create segment mask or use the Mask generation group in the Analyze tab and select [image] Segment Mask. The Segment Image dialog will open.
4. Select the donor channel from the Channel menu.
5. Next, you will select the pixels to create the mask. Pixels included in the mask are any pixels with intensity values that fall between the Low and High values in the Segment Image dialog. You can control these thresholds using the red line for low value selection and the green line for high value selection.
6. Move the red bar on the histogram to the right to exclude low intensity value pixels. You should select a significant amount of sample to increase the accuracy of the bleed-through calculation. For this example, a low value near 240 can be used.
7. Click OK to complete the mask.
8. Now, you will create a background region for background-corrected intensity calculations. Draw a region in an area with no signal using a region tool. The region tools are accessed in the tool menu of an image viewing window or in the Home tab.
9. Select the region by clicking on it, the number will turn white. Then right-click on the region and select Set as background.
10. In the Modules tab, select [image] FRET > Compute FRET Bleedthrough. For more information on this dialog, please review FRET Bleedthrough Computation window.
11. Click on Compute Bleedthrough. A value will populate the appropriate field in Filter Bleedthrough Factors.
Note: If the channels information is not appropriate, you may Redefine the channels as necessary. This may be useful when you are using images that were not captured using SlideBook.
12. Select Make Default to use this bleedthrough coefficient for subsequent calculations and then click OK to close the dialog box.
13. Open a main view YFP Only Control. Create a mask and select a background region as you did for the donor sample in steps 3 -6 above. A low value of about 300 is appropriate.
Note: Be sure to select the YFP channel from the Channel menu in the Segment Image dialog.
14. Set a background region (as you did in step 9 above).
15. In the Modules tab, select [image] FRET > Compute FRET Bleedthrough.
16. Click on Compute Bleedthrough to compute the direct excitation of acceptor.
17. Select Make Default to retain the bleedthrough values you have generated.
18. Click on OK to close the dialog. Close both control images.


Topic: Using FRET Settings

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Post Capture Analysis Tutorial
  • Using FRET Settings
  • Previous page
  • Next page

Using FRET Settings

Now, you will determine FRET settings and generate a corrected FRET, or FRETc, channel for viewing your experimental sample images. FRET settings will also be used to select the type of FRET calculation you wish to perform.
1. Open a Main View of the Dual Label image in directFRETsample.sld.
2. Select a background region as you did when calculating bleedthrough coefficients.
3. In the Modules tab, select [image] FRET > FRET Settings, the FRET Settings dialog box will appear.
4. Set Filter Bleedthrough Factors in the upper right corner of the dialog. Click Use Defaults to use default bleedthrough factors calculated previously. Alternately, you may manually type a value into these fields.
5. Select the FRET Paradigm from the lower left quadrant of the dialog. For this example, we will use Three Channel Correction. Select the Three Channel Correction radio button. From the drop down menu below, choose the FRET calculation method you would like to utilize. For this example, we will select Fc/Donor to normalize the corrected FRET channel with the donor intensity.
6. Next, we will adjust the settings for FRET Channel Display. You may wish to adjust these settings after you perform the FRET calculation and examine your data. For the sample data set, enter 50, 0.8, and 1.3 in the Signal Threshold, Display Low and Display High edit fields, respectively.
Signal Threshold – the intensity above which FRET values will be calculated. This threshold is background subtracted. Therefore, if you select a value of 50, any pixel that is above 50 after background subtraction will be used for calculating FRET.
Display Low – the value that corresponds to black in RGB display or blue in pseudocolor display. See Viewing FRET Data for further explanation of pseudocolor display.
Display High – the value that corresponds to saturated color in RGB display or red in pseudocolor display.
7. Check the box to Apply to all images with the same channels. Checking this box will calculate FRET for all images in the slide that utilize the Participating Channels listed in the upper left quadrant of this dialog. In this example, FRET will be calculated for the Mutant image as well as the Dual Label image.
Note: While FRET will be calculated for all images in the slide automatically, you will still need to set background regions individually for accurate results. Background regions can be defined before or after completing FRET Settings.
8. Click OK to calculate FRET and close the dialog box.


Topic: Viewing FRET Data

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Post Capture Analysis Tutorial
  • Viewing FRET Data
  • Previous page
  • Next page

Viewing FRET Data

It is very easy to view your three channel corrected FRET data with SlideBook’s pseudocolored Main View.
1. Open a Main View of the Dual Label image in directFRETsample.sld.
2. In the Home tab, View group, select Mode > [image] Pseudocolor.
3. Two channel menus will be available. The first channel will be displayed as a pseudocolored image ranging from saturated red to saturated blue, known as Pseudocolor (Color).
4. Select <FRETc/D> from the Hue (top) drop-down channel menu.
5. The second channel menu will act to gate the pseudocolor image based on intensity. This second channel is called Pseudocolor (intensity). Thus, an area with a high pixel intensity for the first channel and a low pixel intensity on the second channel will appear as dim red. An area with a low pixel intensity for the first channel and a high pixel intensity on the second channel will appear as bright blue. This helps distinguish areas with high intensity from background.
6. Select CFP (the donor) from the second channel drop-down menu. Your image will appear similar to the following.
7. Repeat steps 1-4 for Mutant. In pseudocolor, red denotes high ratios and blue denotes low ratios. Therefore, red regions have higher normalized FRET relative to blue regions.
8. Compare the two images again. Decide which sample is a positive FRET control and which is a negative FRET control.


Topic: Obtaining FRET Statistics

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Three Channel Corrected FRET
  • Post Capture Analysis Tutorial
  • Obtaining FRET Statistics
  • Previous page
  • Next page

Obtaining FRET Statistics

You can now generate FRET information using masks and statistics.
1. Open a Main View of your sample image.
2. Go to [image] > Create Segment Mask and generate a mask on the regions you wish to measure FRET (review Mask Generation for detailed information on masking and masking functions). Alternatively, you may generate a mask manually or convert regions of interest to masks.
3. In the Analyze tab, Evaluate group, select [image] Mask Statistics. Select the mask you have just created from the Primary Mask drop-down menu, and click on the "+" next to Cross Channel to expand the selection category. For more information, please review the Mask Statistics window.
4. Select the Three Channel FRET statistic that you wish to calculate. You may eliminate objects below a certain size threshold by selecting the Remove objects smaller than checkbox and entering in a value. Available options include:
Three Channel FRET – FRETc for three channel corrected direct FRET
Three Channel FRET (Donor Norm) – FRETc normalized by the donor channel for three channel corrected direct FRET
Three Channel FRET (Acceptor Norm) – FRETc normalized by the acceptor channel for three channel corrected direct FRET
5. Select how you would like to handle the data from the options below:
Display – displays the data in an interactive table where clicking on an object will highlight the object in the image
Export – exports the data as a tab-delimited .txt file
Export to Excel – opens the data as a spreadsheet in Microsoft Excel where you can edit and save it as desired
Cancel – closes the Mask Statistics dialog and does nothing


Topic: Two Channel Corrected FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Two Channel Corrected FRET
  • Previous page
  • Next page

Two Channel Corrected FRET

Two channel corrected FRET is a subclass of direct FRET or sensitized emission FRET. This method is acceptable when donor and acceptor are present in a fixed, stoichiometric ratio. When performing two channel FRET, you are essentially taking the ratio of the transfer channel over the donor. In this chapter, we will discuss the entire experimental process for imaging two channel corrected FRET from image capture through analysis and bleedthrough calculations. For more information on the calculations used in this technique, please refer to Appendix B: Direct FRET Calculations.
Note: Before you proceed, it is important to have channels configured as described in FRET System Configuration.

The contents of Two Channel Corrected FRET

Capturing Images
Live Display
Post Capture Analysis


Topic: Capturing Images

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Two Channel Corrected FRET
  • Capturing Images
  • Previous page
  • Next page

Capturing Images

In order to perform direct FRET, you must be able to calculate the bleedthrough coefficient, or cross-talk, for your particular filter sets. To calculate the bleedthrough coefficient, you must image a control sample of the donor signal where no FRET is occurring.
In this section, we will discuss using the Focus Window and Capture Window in SlideBook. If you are a new user and are unfamiliar with these controls, please review the user interface pages before continuing below.

Capturing Control Images

Control images should be acquired for each FRET experiment design. When you change a step in your experiment design, updated FRET control images should be acquired.
MORE...
1. Mount the donor sample on the stage and open the Focus Controls in SlideBook.
2. Select the donor filter set (for CFP/YFP FRET, the donor is the CFP channel), and bring the sample into focus.
3. Close the fluorescent shutter and then close the Focus Controls.
4. Open the Capture window.
5. Set the donor exposure time by selecting the appropriate filter checkbox and then pressing Test. Adjust the exposure time as desired or use the Adjust Exposure buttons to aid in setting the appropriate exposure time. For additional information on adjusting exposure duration, including setting regions for capture and utilizing binning, refer to the Capture Controls window.
6. Set the FRET transfer exposure time by selecting the FRET filter checkbox and manually entering the same Expose duration used step 5. It is important that the exposure times of both filters are equal to each other.
7. In the Image Information field (in the lower right corner of the Capture dialog), type a Name to name the image. For example, you may want to name this image Donor Control.
8. Click OK to capture your image.

Imaging the Experimental Sample

Now bring your experimental sample into view and focus using the Focus Controls . Use the FRET transfer filter when focusing your sample. Then, image your sample(s), capturing the donor, acceptor, and FRET transfer channels. Make sure that both exposure times are equal to each other. If you are performing a live FRET experiment, you may wish to take advantage of the live graphing features that are discussed later in Live Display.
MORE...
1. Mount the experimental sample on the stage and open the Focus Controls in SlideBook.
2. Select the FRET transfer filter and bring the sample into focus.
3. Close the fluorescent shutter and then close the Focus Controls.
4. Open the Capture window.
5. Set the exposure time for the donor, acceptor, and FRET transfer channels. You may find the Adjust Exposure buttons useful in setting the appropriate exposure time.
Note: The experiment requires the same exposure time for both channels so be sure to use the brightest channel to set exposure times.
6. Set up timelapse capture if desired.
7. Click OK to capture the experiment.


Topic: Live Display

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Two Channel Corrected FRET
  • Live Display
  • Previous page
  • Next page

Live Display

SlideBook will display a live composite image of the donor and FRET channels for each time point. Additionally, you may wish to graph the intensity of regions of interest, adjust the focus of the microscope, or create event markers.
During capture, the live image window will display a composite image as individual channels are captured. To display an individual channel, go to the Status tab of the Capture Controls dialog. In the upper right portion, you will find a list of channels. Simply select an individual channel to display and click Show. A live window displaying a monochrome image of the selected channel will open. In this manner, it is possible to watch a live composite display as well as displays of the individual channels.
Other available functions during live capture include:
Selecting Regions of Interest
Graph Display
Focusing During Capture
Creating Event Markers (Notes)
Exposure Time Tips


Topic: Post Capture Analysis

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Two Channel Corrected FRET
  • Post Capture Analysis
  • Previous page
  • Next page

Post Capture Analysis

After the images are captured, you may perform background subtraction, calculate bleedthrough coefficients, and generate the two channel corrected FRET signal. It may be useful to follow the Post Capture Analysis Tutorial for three channel corrected FRET using the sample data provided. The only differences between this tutorial and the analysis process for Two Channel Corrected FRET are as follows:
1. In Performing Bleedthrough Calculations, you will only calculate bleedthrough for CFP. Omit steps 13-17.
2. In Using FRET Settings step 5, you will select Two Channel Correction as the FRET Paradigm.
3. In Viewing FRET Data, the image will be automatically be displayed in pseudocolor if you defined channels as advised in FRET System Configuration .
4. In Obtaining FRET Statistics step 4, you will select Two Channel FRET as the statistic.


Topic: Acceptor Photobleaching FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Acceptor Photobleaching FRET
  • Previous page
  • Next page

Acceptor Photobleaching FRET

In order to perform acceptor photobleaching FRET, you must define five channels: “donor prebleach”, “acceptor prebleach”, “photobleach”, “donor postbleach”, and “acceptor postbleach”. Full details on configuring your system can be found in FRET System Configuration. For more information on the calculations used in this technique, please refer to Appendix C: Photobleaching FRET Calculations.

The contents of Acceptor Photobleaching FRET

Capturing Images
Performing Post-Capture Analysis
Generating Photobleaching FRET Statistics


Topic: Capturing Images

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Acceptor Photobleaching FRET
  • Capturing Images
  • Previous page
  • Next page

Capturing Images

For acceptor photobleaching FRET, there are two main steps. First, you will determine bleach time and then you will capture the experimental images. Before you begin this section, you should be familiar with using the Focus Controls Window and the Capture Window.

Determining Photobleach Time

MORE...
1. Mount the sample on the stage and bring it into view and focus using the Focus Controls.
2. Use the microscope field diaphragm to create a small area of illumination on the sample. You will be using this small area to determine an appropriate photobleaching exposure time.
3. Select [image] Capture. The Capture dialog box will appear.
4. Now, you must determine an appropriate exposure time for photobleaching. Select the Photobleach channel and enter an approximate time for photobleaching.
5. Select Test to generate a test exposure. Increase the illumination area (by opening the field diaphragm) and observe the amount of photobleaching that has occurred via the oculars. Repeat the testing procedure on fresh areas of sample until an appropriate photobleaching exposure time is determined.

Capturing Experimental Images

MORE...
1. Use the Focus Controls to move to an area of interest and, if desired, open the field diaphragm so that entire sample area is illuminated.
2. In the Capture dialog box, determine exposure times for the donor prebleach and acceptor prebleach channels by generating test exposures.
Note: The exposure time should be the same for the donor and acceptor
3. Select the following channels for capture:
Donor pre – using the exposure time determined above
Acceptor pre – using the exposure time determined above
Photobleach – using the exposure time determined in the previous section
Donor post – using the Donor pre exposure time
Acceptor post – using the Acceptor pre exposure time
4. Set camera parameters and other settings and select OK.
5. Five channels will be captured in succession. It is important that the channels are captured in the order shown in tstep 3 above. You may alter the channel order by selecting a channel and using the Move Up or Move Down buttons located below the channel listbox.


Topic: Performing Post-Capture Analysis

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Acceptor Photobleaching FRET
  • Performing Post-Capture Analysis
  • Previous page
  • Next page

Performing Post-Capture Analysis

1. Open a Main View of the image you wish to analyze.
2. Use the region tools to mark a background area with no signal.
3. Select the region by clicking on it (the number will turn white), then right-click on the region and select Set as background.
4. In the Modules tab, select [image] FRET > FRET Settings.
5. Select Acceptor Photobleaching and then OK.
6. Return to the Main View of your image and select <pbFRET> from any of the channel menus to display and view your acceptor photobleaching FRET values.
7. To alter the display values in your image, alter the edit fields in the FRET Channel Display section of the FRET Settings dialog box.
Signal Threshold – the intensity above which pbFRET values will be calculated. This threshold is background subtracted. Therefore, if you select a value of 50, any pixel that is above 50 after background subtraction will be used for calculating pbFRET.
Display Low – the pbFRET value that corresponds to black in RGB display or blue in pseudocolor display
Display High – the pbFRET value that corresponds to saturated color in RGB display or red in pseudocolor display.


Topic: Generating Photobleaching FRET Statistics

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Acceptor Photobleaching FRET
  • Generating Photobleaching FRET Statistics
  • Previous page
  • Next page

Generating Photobleaching FRET Statistics

To obtain Photobleaching FRET statistics:
1. Create a mask using either segmentation or manual techniques. Please refer to the Mask Generation for information on creating masks.
2. In the Analyze tab, Evaluate group, select [image] Mask Statistics and select Photobleaching FRET from Cross-Channel statistics.
3. This will generate statistics on a region basis using the following formula where the intensities in parentheses are first averaged for each region before performing division.
PB FRET = [(Donor Post) – (Donor Pre)] / (Donor Post)
Note: Confirm that the appropriate channels are being used for the calculation by checking the FRET Settings dialog box (in the Modules tab, select [image] FRET > FRET Settings).
4. Select how you would like to handle the data from the options below:
Display – displays the data in an interactive table where clicking on an object will highlight the object in the image
Export – exports the data as a tab-delimited .txt file
Export to Excel – opens the data as a spreadsheet in Microsoft Excel where you can edit and save it as desired
Cancel – closes the Mask Statistics dialog and does nothing


Topic: Anisotropy FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Anisotropy FRET
  • Previous page
  • Next page

Anisotropy FRET

Coming soon!


Topic: Appendix A: FRET Introduction and Theory

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix A: FRET Introduction and Theory
  • Previous page
  • Next page

Appendix A: FRET Introduction and Theory

Fluorescence Resonance Energy Transfer (FRET) is a distance-dependent interaction between the electronic excited states of two dye molecules where the excitation is transferred from a donor molecule to an acceptor molecule without the emission of a photon. More specifically, FRET is the radiationless transmission of energy from its site of absorption to the site of its utilization by resonance between chromophores (figure below, courtesy of Molecular Expressions Optical Microscopy Primer).
There are four main types of FRET, all of which SlideBook™ currently supports.
  • •
    Acceptor Photobleaching Recovery
  • •
    Direct FRET/Sensitized Emission FRET
  • •
    Fluorescence Lifetime Measuring
  • •
    Anisotropy FRET
As stated above, FRET involves the non-radiative transfer of energy from a fluorophore in an excited state to a nearby acceptor fluorophore. In order for this transfer to take place, the donor and acceptor molecules must be within 10-50Å (Förster distance) and the emission spectra of the donor fluorophore must overlap the excitation spectra of the acceptor fluorophore. In principle, this overlap will allow the exchange of energy through a non-radiative dipole-dipole transfer. The energy transfer manifests itself by quenching the donor fluorescence in the presence of the acceptor and increased (sensitized) emission of the acceptor fluorescence. The figure above illustrates the spectral overlap of the corresponding fluorophores.
The distance dependent characteristics of FRET make it an excellent tool for investigating a variety of biological phenomena that produce changes in molecular proximity. Further, this distance dependency also allows FRET to distinguish between two fluorophores that are less than 200 nanometers apart.

The contents of Appendix A: FRET Introduction and Theory

Acceptor Photobleaching Recovery
Direct FRET/Sensitized Emission FRET


Topic: Acceptor Photobleaching Recovery

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix A: FRET Introduction and Theory
  • Acceptor Photobleaching Recovery
  • Previous page
  • Next page

Acceptor Photobleaching Recovery

The underlying principle of Acceptor Photobleaching Recovery takes advantage of statistical probabilities. Whenever a molecule is excited by a photon, there is a statistical probability of either of three things happening. These three things are:
A. The specimen under questions fluoresces and emits the exciter energy as the electrons drop back to ground state.
B. The specimen becomes photobleached
C. The specimen FRETs – or rather it loses (in the case of the donor) energy through a dipole transfer.
Knowing these three outcomes, it is possible to calculate FRET through a subtractive process. Prior to photobleaching, the defining equation for the donor is as follows:
A + B + C =100% before photobleaching (1)
Once the acceptor is photobleached, FRET cannot occur and C is set to 0. The equation is then reduced to:
A + B = 100%after photobleaching (2)
Subtracting equation 2 from equation 1, and assuming the probability of spontaneous photobleaching of the donor remains the same, yields:
A + C before photobleaching = A after photobleaching (3)
Thus, after photobleaching, the amount of A is increased by C, the amount of FRET occurring prior to bleaching. The process of photobleaching, a destructive process, eliminates the possibility of FRET occurring in the acceptor. Therefore, if the donor cannot FRET to the acceptor then the acceptor emission is increased.
In practice, there are three steps to calculating FRET using Acceptor Photobleaching Recovery. These steps are
1. Capture an image of the donor
2. Bleach the acceptor
3. Capture an image of the donor
After taking these two images, FRET can be calculated by subtracting image one from image three.


Topic: Direct FRET/Sensitized Emission FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix A: FRET Introduction and Theory
  • Direct FRET/Sensitized Emission FRET
  • Previous page
  • Next page

Direct FRET/Sensitized Emission FRET

Direct FRET/Sensitized Emission FRET is a faster, and less intrusive method of FRET imaging than Acceptor Photobleaching FRET, at the cost of computational accuracy. As the name of the technique indicates, FRET is measured directly by imaging the sample through donor excitation and acceptor emission filters, or FRET filters. In theory, this would be the only image necessary if the donor excitation and acceptor emission spectra were perfectly separated. In practice, the spectra do overlap, and corrections for spectral bleedthrough must be performed. There are two techniques for calculating Direct FRET:
Three-Channel Corrected FRET - separately corrects for donor bleedthrough and direct excitation of the acceptor, appropriate when donor and acceptor are not present in a fixed ratio
Two-Channel Corrected FRET – applicable when donor and acceptor are present in a fixed, stoichiometric ratio (e.g. Cameleon imaging)

The contents of Direct FRET/Sensitized Emission FRET

Three-Channel Corrected FRET
Two-Channel Corrected FRET


Topic: Three-Channel Corrected FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix A: FRET Introduction and Theory
  • Direct FRET/Sensitized Emission FRET
  • Three-Channel Corrected FRET
  • Previous page
  • Next page

Three-Channel Corrected FRET

For Three-Channel Correct FRET, three images are necessary:
  • 1.
    Control containing donor only imaged with donor and FRET filters.
  • 2.
    Control containing acceptor only imaged with acceptor and FRET filters.
  • 3.
    Experimental sample containing both donor and acceptor imaged with donor, acceptor, and FRET filters
For demonstration purposes, let us assume CFP is the donor and YFP is the acceptor. When CFP excites, a large portion will emit normally (corresponding to the CFP emission spectrum). If the CFP FRETs, a radiationless energy transfer will occur that causes YFP to emit. The CFP emission spectrum overlaps with the YFP emission spectrum, therefore some of the normal CFP emission will be visible through the YFP emission filter. This cross-talk confounds the signal due to FRET and must be corrected. The first image, the CFP control, is used to calculate the spectral bleedthrough of CFP emission visible through FRET filter set.
Additional corrections must be made for non-FRET signal due to the overlap of CFP and YFP excitation spectra.. This overlap causes normal YFP fluorescence to be visible through the FRET filter set. The second image, the YFP control, is used to calculate the spectral bleedthrough of normal YFP emission through the FRET filter set..
The third image is the raw FRET image. Corrected FRET, or FRETc, is calculated with consideration of all three images. The following equation is used to subtract the non-FRET portions from the raw FRET signal:
FRETc = FRETraw – Df/Dd[CFP] – Df/Da[YFP] (4)
where FRETraw, [CFP], and [YFP] are the signals visualized through the FRET, CFP, and YFP filter sets, respectively. The constants Df/Dd and Df/Da are the transmissivity, or bleed-through, constants describing donor emission visible in FRET channel and direct excitation of acceptor, respectively [Sorkin, et al.]. These constants are calculated using images 1 and 2. Failure to account for these intensities in raw FRET will result in erroneous data.


Topic: Two-Channel Corrected FRET

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix A: FRET Introduction and Theory
  • Direct FRET/Sensitized Emission FRET
  • Two-Channel Corrected FRET
  • Previous page
  • Next page

Two-Channel Corrected FRET

For Two-Channel Corrected FRET, a single two-channel image of the sample is required. The two channels that must be captured are the donor (or acceptor) channel and the FRET channel.
Continuing with the CFP/YFP example in Three-Channel Corrected FRET, if the concentration of CFP equals that of YFP, equation (4) reduces to:
FRETc = FRETraw + (Df/Da - Df/Dd)[CFP] (5)
Dividing through by [CFP] yields:
FRETc/[CFP] = FRETraw/[CFP] + (Df/Da - Df/Dd) (6)
Thus, the normalized, uncorrected values will differ from the normalized corrected values by a constant offset. Further, for two-channel FRET, if the donor and acceptor bleedthrough factors (Df/Dd and Df/Da) are unknown, changes in normalized, corrected FRET, FRETcN, can still be measured:
DFRETcN = D{FRETc/[CFP]} = D{FRETraw/[CFP]} (7)
Therefore, simply measuring the ratio of the raw FRET channel to the donor channel allows for comparison of two-channel corrected FRET values in various regions of the experimental sample.


Topic: Appendix B: Direct FRET Calculations

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix B: Direct FRET Calculations
  • Previous page
  • Next page

Appendix B: Direct FRET Calculations

Terms

lD | FRET Donor emission wavelength
lA | FRET Acceptor emission wavelength
lF | FRET Transfer emission wavelength
Fd/Dd | Donor emission bleedthrough
Fa/Aa | Direct excitation of acceptor
IlD(t; x, y) | Intensity of image measured through FRET Donor filter set of time point t at position x,y
IlA(t; x, y) | Intensity of image measured through FRET Acceptor filter set of time point t at position x,y
IlF(t; x, y) | Intensity of image measured through FRET Acceptor filter set of time point t at position x,y
ROI(n) | Region of interest n: a subset of all possible x, y positions
|ROI(n)| | The number of positions in the region of interest n

Background

The background is computed for each time point for FRET donor, acceptor, and transfer images by averaging intensities over the background region of interest ROIb:
blD(t) = 1/|ROIb| SROIb IlD(t; x, y)
blA(t) = 1/|ROIb| SROIb IlA(t; x, y)
blF(t) = 1/|ROIb| SROIb IlF(t; x, y)

Three Channel Corrected FRET - FRETc Computations

FRETc (n; t) is computed for ROI(n; t) by first computing average intensities for the donor, acceptor, and transfer channels:
i(n; t)lD(n) = 1/|ROIlD(n; t)| SROIlD(n; t) IlD(t; x, y)
i(n; t)lA(n) = 1/|ROIlA(n; t)| SROIl2(n; t) IlA(t; x, y)
i(n; t)lF(n) = 1/|ROIlF(n; t)| SROIlF(n; t) IlF(t; x, y)
and then computing the background corrected FRETc:
FRETc(n; t) = (i(n; t)lF(n) - blF(t)) – Fd/Dd*(i(n;t) lD(n) - blD(t)) – Fa/Aa*(i(n;t) lA(n) - blA(t))

Two Channel Corrected FRET - FRETc Computations

FRETc (n; t) is computed for ROI(n; t) by first computing average intensities for the donor and transfer channels:
i(n; t)lD(n) = 1/|ROIlD(n; t)| SROIlD(n; t) IlD(t; x, y)
i(n; t)lF(n) = 1/|ROIlF(n; t)| SROIlF(n; t) IlF(t; x, y)
and then computing the background corrected FRETc:
FRETc(n; t) = (i(n; t)lF(n) - blF(t)) – Fd/Dd*(i(n;t) lD(n) - blD(t))


Topic: Appendix C: Photobleaching FRET Calculations

×

  • SlideBook 6 User's Guide
  • FRET Module
  • Appendix C: Photobleaching FRET Calculations
  • Previous page
  • Next page

Appendix C: Photobleaching FRET Calculations

Terms

lpre | Donor emission wavelength measured before photobleaching
lpost | Donor emission wavelength measured after photobleaching
Ilpre(t; x, y) | Intensity of image measured through FRET Donor filter set of time point t at position x,y
Ilpost(t; x, y) | Intensity of image measured through FRET Acceptor filter set of time point t at position x,y
ROI(n) | Region of interest n: a subset of all possible x, y positions
|ROI(n)| | The number of positions in the region of interest n

Background

The background is computed for prebleach and postbleach images by averaging intensities over the background region of interest ROIb:
blpre = 1/|ROIb| SROIb IlD(x, y)
blpost = 1/|ROIb| SROIb IlA(x, y)

Photobleach FRET - pbFRET Computation

pbFRET (n) is computed for ROI(n) by first computing average intensities for the prebleach and postbleach channels:
i(n; t)lpre(n) = 1/|ROIlpre(n; t)| SROIlpre(n; t) Ilpre(t; x, y)
i(n; t)lpost(n) = 1/|ROIlpost(n; t)| SROIl2(n; t) Ilpost(t; x, y)
and then computing the background corrected pbFRET:
pbFRET(n) = [(i(n)lpost(n) - blpre) – (i(n) lpre(n) - blpost(t)) ] / (i(n)lpost(n) - blpre)


Topic: Photomanipulation Module

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Previous page
  • Next page

Photomanipulation Module

Intelligent Imaging Innovations (3i) designs and manufactures a family of photomanipulation hardware that includes Vector™ and Ablate!™. These products are precisely controlled using the integrated photomanipulation software module in SlideBook. This module streamlines everything from calibration to advanced multi-region, complex event photomanipulation experiments and analysis. In addition to our products, several third party devices such as the Andor Mosaic and Micropoint systems can be controlled using the SlideBook Photomanipulation Module.

Vector™

The majority of photomanipulation in SlideBook is done with Vector™. Vector is a diffraction limited high-speed x,y scanner that enables a number of investigative methods, including the following techniques:
  • •
    FRAP (Fluorescence Recovery After Photobleaching)
  • •
    Photoactivation
  • •
    Photostimulation/Uncaging
  • •
    Photoconversion
  • •
    Photoablation

Ablate!™

For photoablation techniques, Ablate!™ may be directly coupled to either the microscope for single point ablation or to Vector for motorized control of the laser beam. Ablate! is a pulsed laser system (532nm) used for the following photoablation techniques:
  • •
    Tissue damage
  • •
    Cellular damage
  • •
    Organelle ablation
  • •
    DNA damage
  • •
    Vascular tissue damage for laser injury model

The contents of Photomanipulation Module

What is Vector
What is Ablate
Calibrating Vector in SlideBook
Testing Vector with Samples
Designing Experiments Using Vector
Viewing and Exporting Timelapse Images
Viewing and Analyzing Vector Data
APPENDIX A Concepts of Photobleaching Recovery


Topic: What is Vector

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • What is Vector
  • Previous page
  • Next page

What is Vector

Vector is 3i's patented high-speed laser scan head that utilizes galvanometers to move a laser beam very quickly across a field of view. SlideBook software provides seamless control and calibration of the galvanometers for almost effortless operation by the end-user. Vector can be integrated with LaserStack, the 3i laser launch, as well as a fiber switcher; the end result is that a user can quickly switch from full field confocal, TIRF, or widefield imaging to create a dynamic photon event on a region then return to the original imaging mode within milliseconds.
The most prolific application of photomanipulation techniques is known as FRAP (Fluorescence Recovery After Photobleaching). Other common applications include PA (PhotoActivation of fluorescent proteins) and FLIP (Fluorescence Loss In Photobleaching). Regardless of the specific technique, Vector provides users with a toolbox for applying a laser beam to a specific region (or regions) of an imaging field to create some type of photomanipulation or dynamic photon event.

The contents of What is Vector

How does Vector work
Vector Specifications


Topic: How does Vector work

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • What is Vector
  • How does Vector work
  • Previous page
  • Next page

How does Vector work

The basic components of Vector (mounted at the epi port) are displayed in the diagram below.
A laser line is delivered to Vector’s kinematic input via fiber optic or direct coupling. The beam is incident upon the first of two scanning mirrors, which are steered by two analog voltages (x- and y-axis) with 16-bit precision within SlideBook. The second scanning mirror reflects the beam out of the Vector housing, where it is collected and translated by the scan lens (f=35 mm). The scan lens relays the beam into the light train of the microscope, where it is directed to the back aperture of the objective via dichroic/mirror.
Based on the analog voltage values provided by SlideBook, the scanning mirrors can direct the beam to photomanipulate nearly any requested region. The photomanipulation event may include photobleaching, photoactivation, photostimulation/uncaging or photoablation, depending on the sample and experiment set up. Once the area(s) for the event is defined, the next step is to decide how the data should be acquired. Sometimes, a user may prefer to create an event at a single point repeatedly during an experiment while other times a user may want to create an event "on the fly" during acquisition. Once the data is captured, it can be viewed and analyzed in SlideBook.


Topic: Vector Specifications

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • What is Vector
  • Vector Specifications
  • Previous page
  • Next page

Vector Specifications


Topic: What is Ablate

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • What is Ablate
  • Previous page
  • Next page

What is Ablate

Ablate! is an add-on device to most microscope systems used for target ablation (such as damage) of regions within a specimen. Ablate!™ uses an attenuatable 355nm or 532nm pulse laser (>60µJ pulses at 200Hz) to inflict localized damage to a diffraction-limited spot in intracellular structures for precise laser ablation and laser wounding. Full software control with SlideBook features automated intensity control and allows users to define one or more regions of interest as single diffraction limited spots or as user-defined shapes.
Directed ablation, or motorized control of the laser beams target location is achieved by coupling Ablate! with Vector (see What is Vector). Using the galvanometer controlled mirrors within Vector, the pulsed laser can be targeted to any location or used to fill regions of interest within the specimen limited only by the steering range of Vector.

The contents of What is Ablate

Scientific Background


Topic: Scientific Background

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • What is Ablate
  • Scientific Background
  • Previous page
  • Next page

Scientific Background

There are several reasons and theories behind photoablation. Some are wavelength dependent and some are energy dependent. Temperature and various types of force play the greatest role in causing the ablation.
An excellent reference on photoablation in biology follows:
Mechanisms of pulsed laser ablation of biological tissues
Author(s): Vogel, A; Venugopalan, V
Source: Chemical Reviews Volume: 103 Issue: 2 Pages: 577-644 Published: FEB 2003


Topic: Calibrating Vector in SlideBook

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • Previous page
  • Next page

Calibrating Vector in SlideBook

Calibration of Vector is a simple technique performed in SlideBook. This process calibrates laser movement to the spatial coordinates of the CCD. Calibration should be performed for each objective at each auxiliary magnification available and tested during routine maintenance. If you haven't already, first change Hardware Properties to Enable 4-Point Calibration Technique ; otherwise, the older 16-point method will be used.
Once installed and initially calibrated, Vector calibration should not change. It is recommended that calibration be checked regularly or after any type of hardware move or unusual amount of vibration due to construction, earthquake, or other abnormal event.
It is important to note that there are different calibration techniques depending on how Vector is mounted to the system, either via the epifluorescence port or via a galvanometer controlled switching device (mSwitcherTM). To determine if a switcher device is present in your system, open the Focus Controls in SlideBook. If Vector is mounted to the imaging system via mSwitcher, the calibration process should follow the Switcher-Mounted Vector Calibration Procedure . If Vector is mounted to the imaging system via the epifluorescence port, the calibration process should follow the Epi-mounted Vector Calibration Procedure .
The mSwitcher device pictured above determines which calibration procedure to follow.

The contents of Calibrating Vector in SlideBook

Preparing for Calibration
4-Point Epi-Mounted Vector Calibration
4-Point Switcher-Mounted Vector Calibration Procedure
Vector Calibration Evaluation
About Saved Calibration Files


Topic: Preparing for Calibration

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • Preparing for Calibration
  • Previous page
  • Next page

Preparing for Calibration

Turn on the entire system, including all lasers and light sources, at least 45 minutes prior to beginning the calibration process. This will ensure a stable operating temperature for the lasers and stable room conditions.
For the calibration process, you will use the Vector Calibration Slide pictured below. If you do not have a Vector Calibration Slide, please contact 3i Support or +1 303.607.9429 ext.2. Alternatively, you can make your own slide by using a standard green Sharpie®. Simply draw directly on the coverslip and mount the coverslip to a slide using your preferred fixing technique.

The contents of Preparing for Calibration

Enable 4-Point Calibration Technique


Topic: Enable 4-Point Calibration Technique

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • Preparing for Calibration
  • Enable 4-Point Calibration Technique
  • Previous page
  • Next page

Enable 4-Point Calibration Technique

A new calibration routine has been developed to save you time and improve accuracy of photomanipulation device calibration. To use this routine instead of the older 16-point technique, it must first be enabled in Hardware Properties.
1. Go to Administration tab > [image] Hardware Properties.
2. Navigate to FRAP Parameters > Enable two axis calibration.
3. Set property to Yes, click Apply Change.
4. Close the dialog and restart SlideBook when prompted.


Topic: 4-Point Epi-Mounted Vector Calibration

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • 4-Point Epi-Mounted Vector Calibration
  • Previous page
  • Next page

4-Point Epi-Mounted Vector Calibration

This procedure should be used to calibrate Vector when it is directly mounted to the epifluorescent lightpath, with or without a fiber switcher.
1. Place the Vector Calibration Slide on the microscope. Open the Focus Controls and use a widefield green channel such as GFP to bring the sample into focus at the eyepieces. Focusing on scratches and imperfections in the calibration slide (as shown below) will help with this process. Switch to a widefield or confocal filter set, directing the image over to the camera. Adjust focus as necessary. Click Close Fluor (or Close Alt).
2. Switch to the Vector filter set (it may be called Vector or FRAP), and select a channel such as V405 or V488 (either line will excite the Vector Calibration Slide). Turn the power down to 40 or so using the Neutral Density drop down selector in the lower right corner of the Focus Controls.
3. Start a live image in the Camera window. Further adjust the Neutral Density (laser power) such that the laser spot you see in the live view is small (about the size of your pointer tool or smaller).
4. Click the FRAP tab of the Focus Controls dialog, and check the Laser On checkbox. This will leave the laser running between calibration points.
5. In the Device Control panel of the FRAP tab, use the “+” and “-“ X Axis and Y Axis control buttons to steer the laser spot around the live image. Hold the CTRL key to move in steps of 100 instead of steps of 1. The X axis and Y axis control buttons are steering the galvanometer mirrors internal to Vector, and changing the location of the laser spot at the sample. Using the X axis and Y axis control buttons, determine the X/Y Vector values that move the laser spot to the:
  • •
    Far Right - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Far Left - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Top - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Bottom - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
Record or remember these values.
6. Select the FRAP Alignment tab, and then click Update Bounds. Enter the noted values, or perhaps shrink the range of the values a bit to confirm that the calibration will take place inside the camera field of view. Click OK.
7. Vector calibration will involve SlideBook moving the illumination spot to the fours corners of the imaging field based on the values in the Photomanipulation Alignment Parameters dialog. Prior to starting calibration, you will need to select the pointer tool from the Home tab.
8. Click Fire Next to begin the calibration process:
a. The Vector galvanometers will move to the first point on the calibration square, a laser spot near a corner of the field should be visible.
b. Move the sample around via XY stage control to refresh the sample in front of the laser – the laser spot size often grows fairly large (and therefore inaccurate for calibration) unless the sample is refreshed from time to time.
c. Double-click in the center of the laser spot in the live Camera window.
d. Note that the calibration log is updated with Vector X and Y values, as well as CCD X and Y coordinates.
9. SlideBook will advance the laser spot illumination to the next corner position. Double-click the laser and note the CCD coordinate registration on the list. Repeat for four points, a point in each corner.
10. Click Save below the calculated equations relating Vector position values to CCD coordinates.

The contents of 4-Point Epi-Mounted Vector Calibration

16-Point Epi-Mounted Vector Calibration


Topic: 16-Point Epi-Mounted Vector Calibration

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • 4-Point Epi-Mounted Vector Calibration
  • 16-Point Epi-Mounted Vector Calibration
  • Previous page
  • Next page

16-Point Epi-Mounted Vector Calibration

This procedure should be used to calibrate Vector when it is directly mounted to the epifluorescent lightpath, with or without a fiber switcher.
1. Place the Vector Calibration Slide on the microscope. Open the Focus Controls and use a widefield or confocal green channel such as GFP or c488 to bring the sample into focus at the eyepieces. Focusing on scratches and imperfections in the calibration slide (as shown below) will help with this process. Switch to a widefield filter set, direct the image over to the camera. Adjust focus as necessary. Click Close Fluor.
2. Switch to the Vector filter set (it may be called Vector or FRAP), and select a channel such as V405, V488 or V561. Turn the power down to 40 or so using the Neutral Density drop down selector in the lower right corner of the Focus Controls.
3. Select Open Fluor to start a live image in the Camera window. Further adjust the Neutral Density (laser power) such that the laser spot you see in the live view is small (about the size of your pointer tool or smaller).
4. Click the FRAP tab of the Focus Controls dialog, and check the Laser On checkbox. This will leave the laser running between calibration points.
5. In the Device Control panel of the FRAP tab, use the “+” and “-“ X Axis and Y Axis control buttons to steer the laser spot around the live image. Hold the CTRL key to move in steps of 100 instead of steps of 1. The X axis and Y axis control buttons are steering the galvanometer mirrors internal to Vector, and changing the location of the laser spot at the sample. Using the X axis and Y axis control buttons, determine the X/Y Vector values that move the laser spot to the:
  • •
    Far Right - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Far Left - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Top - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Bottom - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the laser spot. Based on the system, sometimes it is X control; sometimes it is Y control.
Record or remember these values.
6. Select the FRAP Alignment tab, and then click Update Bounds. Enter the noted values, or perhaps shrink the range of the values a bit to confirm that the calibration will take place inside the camera field of view. Leave the Number of steps value at 15 and click OK.
7. Vector calibration will involve SlideBook moving the illumination spot along a diagonal pattern based on the values in the Photomanipulation Alignment Parameters dialog. SlideBook will utilize the entered values to plot a calibration region. A diagonal line spanning X/Y minimum to X/Y maximum via 15 calibration steps will be used for the calibration process. Prior to starting calibration, you will need to select the pointer tool from the main toolbar.
8. Click Fire Next to begin the calibration process:
a. The Vector galvanometers will move to the first point on the calibration diagonal, a laser spot near the edge of the field should be visible.
b. Move the sample around via XY stage control to refresh the sample in front of the laser – the laser spot size often grows fairly diffuse (and therefore inaccurate for calibration) unless the sample is refreshed from time to time.
c. Double-click in the center of the laser spot in the live Camera window.
d. Note that the calibration log is updated with Vector X and Y values, as well as CCD X and Y coordinates.
9. Click Fire Next, SlideBook will advance the laser spot illumination to the next position on the diagonal. Double-click the laser spot and note the CCD coordinate registration on the list. Repeat for 15 points along the diagonal.
10. Click Fire Next one more time. There will be a 16th point at the end of the calibration. It will be located in a corner off of the calibration diagonal. Double-click the center of the 16th laser spot. This point is used to determine axis-flipping.
11. Click Save below the calculated equations relating Vector position values to CCD coordinates.


Topic: 4-Point Switcher-Mounted Vector Calibration Procedure

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • 4-Point Switcher-Mounted Vector Calibration Procedure
  • Previous page
  • Next page

4-Point Switcher-Mounted Vector Calibration Procedure

This procedure should be used to calibrate Vector when it is directly mounted to a fiber switcher and mSwitcher™.
1. Place the Vector Calibration Slide on the microscope. Open the Focus Controls and use a widefield green channel such as GFP to bring the sample into focus at the eyepieces. Focusing on scratches and imperfections in the calibration slide (as shown below) will help with this process. Click Close Fluor. Switch to a confocal filter set such as c488 and direct the image over to the camera. Adjust focus as necessary.
2. In the Focus Controls, click the Laser tab. Check the box to Enable TTL Blanking for the 3i LaserStack Fiber Switcher. From the Laser switcher control drop down menu, select 3i Switcher A and check the box to Enable TTL Blanking. Adjusting these settings will enable the system to alternate bleaching with acquiring an image.
3. A standing bleached spot should begin to appear on the live image as shown below. Slowly move the sample around via the XY stage control to better observe the bleaching action of Vector.
4. In the Focus Controls, select the FRAP tab. Locate the Device Control section and use the X Axis and Y Axis control buttons to steer the bleached spot around the live image. Hold the CTRL key to move in steps of 100 instead of steps of 1. The axis control buttons are steering the galvanometer mirrors internal to Vector, and changing the location of the laser spot at the sample.
5. Using the X Axis and Y Axis control buttons, determine the X/Y Vector values that move the bleached spot to the:
  • •
    Far Right - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Far Left - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Top - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Bottom - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
Record or remember these values.
6. Select the FRAP Alignment tab, and then click Update Bounds. Enter the noted values, or perhaps shrink the range of the values a bit to confirm that the calibration will take place inside the camera field of view. Click OK.
7. Vector calibration will involve SlideBook moving the illumination spot to the fours corners of the imaging field based on the values in the Photomanipulation Alignment Parameters dialog. Prior to starting calibration, you will need to select the pointer tool from the main toolbar.
8. Click Fire Next to begin the calibration process:
a. The Vector galvanometers will move to the first point on the calibration square, a bleach spot near a corner of the field should be visible.
b. Move the sample around via XY stage control to refresh the sample in front of the laser – the bleached spot size often grows fairly large (and therefore inaccurate for calibration) unless the sample is refreshed from time to time.
c. Double-click in the center of the bleached spot in the live Camera window.
d. A region will be drawn in the calibration spot and the calibration log will be updated with Vector X and Y values, as well as CCD X and Y coordinates.
e. Click Open Alt.
9. SlideBook will advance the laser spot illumination to the next position on the diagonal. Double-click the bleached spot and note the CCD coordinate registration on the list. Repeat for four points, a point in each corner.
10. Click Save below the calculated equations relating Vector position values to CCD coordinates.
11. Click the Laser tab of the Focus Window and uncheck the Enable TTL Blanking checkbox for both 3i LaserStack Fiber Switcher and 3i Switcher A.

The contents of 4-Point Switcher-Mounted Vector Calibration Procedure

16-Point Switcher-Mounted Vector Calibration Procedure


Topic: 16-Point Switcher-Mounted Vector Calibration Procedure

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • 4-Point Switcher-Mounted Vector Calibration Procedure
  • 16-Point Switcher-Mounted Vector Calibration Procedure
  • Previous page
  • Next page

16-Point Switcher-Mounted Vector Calibration Procedure

This procedure should be used to calibrate Vector when it is directly mounted to a fiber switcher or mSwitcher™.
1. Place the Vector Calibration Slide on the microscope. Open the Focus Controls and use a widefield or confocal green channel such as GFP or c488 to bring the sample into focus at the eyepieces. Focusing on scratches and imperfections in the calibration slide (as shown below) will help with this process. Switch to a widefield filter set, direct the image over to the camera. Adjust focus as necessary. Click Close Fluor.
2. In the Focus Controls, click the Laser tab. Check the box to Enable the TTL Blanking for the 3i LaserStack Fiber Switcher. From the Laser switcher control drop down menu, select 3i Switcher A and check the box to Enable the TTL Blanking. Adjusting these settings will enable the system to alternate bleaching with acquiring an image.
3. A standing bleached spot should begin to appear on the live image as shown below. Slowly move the sample around via the XY stage control to better observe the bleaching action of Vector.
4. In the Focus Controls, select the FRAP tab. Locate the Device Control section and use the X Axis and Y Axis control buttons to steer the bleached spot around the live image. Hold the CTRL key to move in steps of 100 instead of steps of 1. The axis control buttons are steering the galvanometer mirrors internal to Vector, and changing the location of the laser spot at the sample.
5. Using the X Axis and Y Axis control buttons, determine the X/Y Vector values that move the bleached spot to the:
  • •
    Far Right - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Far Left - The Vector value that is important here comes from the axis that controls RIGHT and LEFT motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Top - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
  • •
    Bottom - The Vector value that is important here comes from the axis that controls UP and DOWN motion of the bleached spot. Based on the system, sometimes it is X control; sometimes it is Y control.
Record or remember these values.
6. Select the FRAP Alignment tab, and then click Update Bounds. Enter the noted values, or perhaps shrink the range of the values a bit to confirm that the calibration will take place inside the camera field of view. Leave the Number of steps value at 15 and click OK.
7. Vector calibration will involve SlideBook moving the illumination spot along a diagonal pattern based on the values in the Photomanipulation Alignment Parameters dialog. SlideBook will utilize the entered values to plot a calibration region. A diagonal line spanning X/Y minimum to X/Y maximum via 15 calibration steps will be used for the calibration process. Prior to starting calibration, you will need to select the pointer tool from the main toolbar.
8. Click Fire Next to begin the calibration process:
a. The Vector galvanometers will move to the first point on the calibration diagonal, a bleach spot near the edge of the field should be visible.
b. Move the sample around via XY stage control to refresh the sample in front of the laser – the bleached spot size often grows fairly large (and therefore inaccurate for calibration) unless the sample is refreshed from time to time.
c. Double-click in the center of the bleached spot in the live Camera window.
d. Note that the calibration log is updated with Vector X and Y values, as well as CCD X and Y coordinates.
9. Click Fire Next, SlideBook will advance the laser spot illumination to the next position on the diagonal. Double-click the bleached spot and note the CCD coordinate registration on the list. Repeat for 15 points along the diagonal.
10. Click Fire Next one more time. There will be a 16th point/bleached spot at the end of the calibration. It will be located in a corner off of the calibration diagonal. Double-click the center of the 16th bleached spot. This point is used to determine axis-flipping.
11. Click Save below the calculated equations relating Vector position values to CCD coordinates.
14. Click the Laser tab of the Focus Window and uncheck the Enable TTL Blanking checkbox for both 3i LaserStack Fiber Switcher and 3i Switcher A.


Topic: Vector Calibration Evaluation

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • Vector Calibration Evaluation
  • Previous page
  • Next page

Vector Calibration Evaluation

1. Place the Vector Calibration Slide on the microscope. Open the Focus Controls and use a widefield or confocal green channel such as GFP or c488 to bring the sample into focus at the eyepieces. Focusing on scratches and imperfections in the calibration slide (as shown below) will help with this process. Switch to a widefield filter set, direct the image over to the camera. Adjust focus as necessary.
2. Select the Line tool from the Region group.
3. Draw the following regions in the live Camera window:
  • •
    Horizontal line across the top of the field of view
  • •
    Horizontal line across the bottom of the field of view
  • •
    Vertical line down the left side of the field of view
  • •
    Vertical line down the right side of the field of view
  • •
    Two small lines forming an "X" in the center of the field of view
3. In the Focus Controls click the FRAP tab, and configure the parameters for evaluation:
  • •
    Laser Line - 488 (broadly useful)
  • •
    Laser Duration (ms) - 5 ms (a good starting value for easily bleachable samples)
  • •
    Raster Block Size - 5 (a good starting value for easily bleachable samples)
Remember to click Set after setting Laser Duration and Raster Block Size.
4. From the Focus Controls, select a Vector channel and quickly click the Close Alt button.
5. Right-click on the live Camera window, and select Select All Regions.
6. Right-click on the live Camera window again and select FRAP All Regions. The readout will pause while the Vector bleaches the line regions using the laser parameters designated in Step 3.
7. After the readout resumes, use the Focus Controls to select a confocal 488 channel (such as c488)to review the accuracy of the bleaching. You may find it useful to move the sample a small amount using the XY stage to evaluate the bleached pattern.
Note: Sample above has been moved to display bleached regions
8. It is possible to make minor translational changes to the calibration via the FRAP Alignment tab in the Focus Controls:
a. Underneath the each calibration equation, “+” and “-“ buttons allow for editing of the equation coefficients.
b. Holding the Ctrl key will allow for larger steps in editing the coefficients.
c. Click the Save button to store changes to the calibration equations.
9. Evaluate edits to the calibration by repeating Steps 1-7. Further update the calibration equations as required.


Topic: About Saved Calibration Files

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Calibrating Vector in SlideBook
  • About Saved Calibration Files
  • Previous page
  • Next page

About Saved Calibration Files

Once the calibration is complete, it is a good idea to create backup files. The easiest way to backup the system is to open SlideBook and go to Support tab > [image] Backup Preferences.
The specific Vector calibration file is called Photomanipulation Calibrations.dat and is located in the User Directory. To access this file, go to Administration tab > [image] More Options > Open System Preferences Folder. Please note that these calibration files are shared across multiple users with individual logins. If you require additional information on this topic or need to save calibrations on a per-user basis, please contact technical support at support@intelligent-imaging.com.


Topic: Testing Vector with Samples

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Testing Vector with Samples
  • Previous page
  • Next page

Testing Vector with Samples

Once Vector is calibrated, you may want to test various parameters such as the laser duration (or dwell time) and power level with your sample. This chapter will discuss how to adjust these parameters to obtain optimal results in the final experiment.

The contents of Testing Vector with Samples

Determining Appropriate Laser Settings


Topic: Determining Appropriate Laser Settings

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Testing Vector with Samples
  • Determining Appropriate Laser Settings
  • Previous page
  • Next page

Determining Appropriate Laser Settings

You may want to prepare an extra sample for setting up the laser parameters for your specimen. Each specimen will react differently to different laser exposure durations and laser power. Follow the steps below to determine the settings you will use when designing the experiment later.
1. Place the test sample on the microscope and bring it into focus using the Focus Controls in SlideBook. Navigate to the FRAP tab (1) and select the Laser Line (2) you would like to use for photomanipulation.
2. Using the Filter Set and filter (such as c488) for the desired imaging technique, find an area of the specimen where you would like to introduce focused laser light.
3. Select an region tool from the main user toolbar.
4. Draw an region in the desired location for the dynamic photon event to occur.
5. The region will automatically be selected when drawn. A selected region is indicated by the region number appearing in white.
6. Go to the FRAP filter set and select the appropriate laser line you would like to use for the dynamic photon event.
7. Right-click on the selected region and choose FRAP Region from the menu as shown below.
8. In the Focus Controls, return to the Filter Set and filter for the desired imaging conditions. Examine the image. Did the beam produce the desired result?
  • •
    If Vector produced the desired results, continue to Designing Experiments Using Vector to design an experiment.
  • •
    If the beam produced a pattern of dots, reduce the value of the Raster block size then click Set (1).
  • •
    If the beam was not strong enough or was too strong to produce the desired result, adjust the Laser Duration (2) and/or Laser Power (3). Do not forget to click either Set or Go depending on the parameter adjusted.
  • •
    If you are using Ablate!, be sure to select Ablate! ND for the Power (3) dropdown menu and set it appropriately.
9. Repeat steps 5-10 until desired result is achieved.
HINT: When an region is selected (number shows in white) it can be moved to a new area by clicking and dragging it to a new place. This can be useful when testing new Vector FRAP conditions.
Proceed to Designing Experiments Using Vector.


Topic: Designing Experiments Using Vector

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Previous page
  • Next page

Designing Experiments Using Vector

Now that Vector is calibrated and the laser parameters have been determined, it is time to design an experiment utilizing Vector. There are three basic options for designing an experiment:
  • •
    During a time series image capture, right-click over a region to initiate an event.
  • •
    During a time series image capture, initiate a single point dynamic photon event by double clicking.
  • •
    Create one or more regions and design a complex experiment that will direct the beam to the region(s) with the opportunity to repeat the events over time.
Depending on the science you wish to accomplish, you may find any of these approaches useful. When using Ablate!, is will behave as one of the Vector lasers in SlideBook. Be sure to select Ablate! as a channel or laser selection when appropriate. Please take a moment to familiarize yourself with the different approaches in this chapter.

The contents of Designing Experiments Using Vector

Right-Click to Initiate an Event
Double-Click to Initiate an Event
Advanced Event Protocols
Displaying Region Intensity during Capture
Adjusting Vector Settings during Capture


Topic: Right-Click to Initiate an Event

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Right-Click to Initiate an Event
  • Previous page
  • Next page

Right-Click to Initiate an Event

A basic way to begin introducing a focused laser beam to the sample is very similar to the testing approach described in Testing Vector with Samples. Before you begin this process, you must first set the appropriate laser parameters described in Determining Appropriate Laser Settings.
1. Place the specimen on the microscope and bring it into focus.
2. Open the Capture dialog by clicking on the [image] icon in the main user toolbar. Select an imaging filter and take a test exposure.
3. Use the region tools to create an region in the image. Ensure the region is selected by confirming the region number is white.
4. Click on the Advanced button to open the Capture Preferences dialog. Navigate to the Photomanipulation tab.
5. Select the Photomanipulation filter from the drop down menu. This filter is usually named by the schema wavelengthFRAP, fwavelength, or Vwavelength. For example, the ablation filter selection for 488 would be called 488FRAP, f488, or V488.
6. Click OK. This will close the Capture Preferences window and take you back to the Capture dialog.
7. Set up the capture parameters as desired. If you are unclear on how to do this, please refer to the Capture window.
8. Click Start to begin image capture.
9. To initiate the event, right-click on the region and select FRAP Region.
NOTE: It may be useful to pause capture when you perform this step.
10. Create events in alternate locations or repeat events as desired.


Topic: Double-Click to Initiate an Event

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Double-Click to Initiate an Event
  • Previous page
  • Next page

Double-Click to Initiate an Event

Sometimes, it is necessary to initiate a small event very quickly. For example, you may want to watch FRAP of a rapidly moving dynamic biological sample such as a centrosome in yeast. In this approach, the object you would like to hit with laser light may be moving quickly in the field of view. For this reason, it is important to be able to quickly initiate an event in any desired location. Before you begin this process, you must first set the appropriate laser parameters described in Determining Appropriate Laser Settings.
1. Place the specimen on the microscope and bring it into focus.
2. Open the Capture dialog by clicking on the [image] icon in the main user toolbar.
3. Click on the Advanced button to open the Capture Preferences dialog. Navigate to the Photomanipulation tab.
4. Enter a value for the desired Double-click rectangle size. A good starting point to test is the value of the raster block size used in the Focus Controls. This is the number of spots that will be hit by the laser in a square pattern.
5. Select the Photomanipulation filter from the drop down menu. This filter is usually named by the schema wavelengthFRAP, fwavelength, or Vwavelength. For example, the ablation filter selection for 488 would be called 488FRAP, f488, or V488.
6. Click OK. This will close the Capture Preferences window and take you back to the Capture dialog.
7. Set up the capture parameters as desired. If you are unclear on how to do this, please refer to the SlideBook 5.0 User’s Manual.
8. Click Start to begin image capture.
9. At the appropriate time during image capture, double-click on the image where you would like the event to occur. A small region will be created in the image when the double-click event is initiated.
10. Create additional events or allow capture to complete.


Topic: Advanced Event Protocols

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Advanced Event Protocols
  • Previous page
  • Next page

Advanced Event Protocols

In certain circumstances, it may be desirable to create repeat events or execute events at different times throughout an experiment. All of this is available under an intuitive user interface. Before you begin this process, you must first set the appropriate laser parameters described in Determining Appropriate Laser Settings.
1. Place the specimen on the microscope and bring it into focus.
2. Open the Capture dialog by clicking on the [image] icon in the main user toolbar. Select an imaging filter and take a test exposure.
3. Use the region tools to create an region or multiple regions in the image. These regions are where the photomanipulation will occur.
4. Click on the Advanced button to open the Capture Preferences dialog. Navigate to the Photomanipulation tab.
5. Select the desired Photomanipulation filter from the drop down menu. This filter is usually named by the schema wavelengthFRAP, fwavelength, or Vwavelength. For example, the ablation filter selection for 488 would be called 488FRAP, f488, or V488.
6. Move to the lower section titled Automated Control. Begin creating events by entering the Time Point, Repetitions, and either Specific regions or All regions to be effected by the event.
7. Click Add to save the first event.
8. Create additional events as desired by repeating steps 6-7. When all events are entered, click OK. This will close the Capture Parameters dialog and take you back to the Capture controls window.
9. Set up the capture parameters as desired. If you are unclear on how to do this, please refer to Capture Window .
10. Click Start to begin acquisition.


Topic: Displaying Region Intensity during Capture

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Displaying Region Intensity during Capture
  • Previous page
  • Next page

Displaying Region Intensity during Capture

Whether you set up a basic right-click or double-click event or an advanced event protocol, regions will be drawn where an event or events will take place. It is often useful to graph these events during image capture to determine an experiment's success. During any of the methods described earlier in this chapter, it may be useful to view a graph of the intensity level within the region(s) of the image. Any number of region intensities can be displayed by following the instructions below.
1. Begin image capture using one of the techniques described above.
2. Navigate to the Status tab of the Capture Controls dialog.
3. In the Graph Channels section of the tab, select the channel from the drop down menu for which you would like to plot intensity. Click Show.
4. A graph will open displaying mean intensity on the y-axis and time on the x-axis. Events are marked by red dots along the time axis.
Figure 21 - Intensity Graph of a single region during capture
5. Each region in the image will be represented by a corresponding colored line on the graph. If you cursor over an event indicator, the event information will show.


Topic: Adjusting Vector Settings during Capture

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Designing Experiments Using Vector
  • Adjusting Vector Settings during Capture
  • Previous page
  • Next page

Adjusting Vector Settings during Capture

You may find it useful to access certain Vector settings while an experiment is in progress. The Photomanipulation tab of Capture Controls allows you to do the following:
  • •
    Adjust the Double-click rectangle size
  • •
    Adjust Laser Power or Duration for right-click and double-click event initiation
  • •
    Add an event to Activate All Regions
  • •
    Activate a new right-click region using a different Laser than configured prior to capture
For a complete description of controls, please review the Photomanipulation Tab of Capture Controls.


Topic: Viewing and Exporting Timelapse Images

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • Previous page
  • Next page

Viewing and Exporting Timelapse Images

Now that the data has been captured, you will want to visually inspect the images. SlideBook contains numerous tools that are helpful in displaying various aspects of your data. Viewing and exporting tools are described in this chapter. For additional information on viewing and analysis tools, please refer to the View Menu.

The contents of Viewing and Exporting Timelapse Images

The Main View
The Timelapse Tile View
Displaying and Formatting Annotations
Working with Notes
The 2D Timelapse Intensity Plot


Topic: The Main View

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • The Main View
  • Previous page
  • Next page

The Main View

When you open an image by double–clicking on the thumbnail in a slide, a Main View will open. Alternatively, you may open a Main View or a Three View from the View Menu. All views contain many useful tools outlined below.
In any open view, the middle mouse scroll wheel will scroll through either z-planes or time. In a 4D series the scroll wheel will control time or you may hold down the CTRL key while scrolling the mouse wheel to change z-planes.
When an image consists of multiple time points, additional tools will appear in the Main View. We will briefly review the tools associated with playing back time lapse images.
The Playback Controls allow you to toggle looping/single playthrough, move back one time point, play/pause, or move forward one time point.
The Time Slider displays the current time point both with the small gray box and with a numerical display to the right of the slider bar. In the example above, the user is at time point 3, about 20% of the way through the entire time series. A user can move to a desired time point by clicking on the small gray box and dragging it to the desired time point. When the time slider control is selected, it will be surrounded by a dotted line box. Once selected, you can move forward and backward through time by using the middle scroll button on the mouse.
The Playback Speed Slider works in a manner similar to the time slider. Instead of adjusting the time point, this slider controls the speed of the image looping in FPS or frames per second.

The contents of The Main View

Exporting Images from the Main View


Topic: Exporting Images from the Main View

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • The Main View
  • Exporting Images from the Main View
  • Previous page
  • Next page

Exporting Images from the Main View

Now that you are viewing your data, there are several ways to export images and data.
A. To export the raw data of the image itself as 16-bit TIFFs for quantitative analysis, go to Home Tab, Acquire group > [image] Export > (Quantitative Export)16 bit-TIFF file. The 16-bit tiffs produced will be compatible with many programs. They are OME (Open Microscopy Environment) certified.
B. To export an individual TIFF of the image exactly as it appears in the image window; go to Home Tab, Acquire group > [image] Export > (Qualitative Export) RGB TIFF. This will create a 24-bit RGB TIFF that utilizes the same intensity scaling and zoom factor as the image displayed in the main view. Any annotations displayed will show up in the TIFF. For more information on image annotations, please refer to Displaying and Formatting Annotations.
C. To create a time series movie of the data set, go to Home Tab, Acquire group > [image] Export > (Movie Export) Create Series Movie. Enter a value for Frame Duration. If you like the playback speed of 10 FPS, you would use a value of 0.1 here. Click OK. Select the type of movie export you prefer and the quality of the movie. Click OK, enter a File name and Save the file. A status bar will appear while the export proceeds.


Topic: The Timelapse Tile View

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • The Timelapse Tile View
  • Previous page
  • Next page

The Timelapse Tile View

It is often useful to view individual time point images in an array rather than in a movie format. This display can be accomplished using the Timelapse Tile View.
1. Open a .sld containing the image you would like to view.
2. Click on the image once to select it. The image will be highlighted in the .sld.
3. Go to Home tab, View Group, View > [image] Timelapse Tile View. A view window will open showing each individual time point as a tile.
4. To zoom in to a specific region on the image in all tiles, select the magnifying glass from the tool icon drop down menu in the image window.
5. Click on an object or area of interest to zoom in. Holding the Shift button while clicking with the magnifying glass will zoom out. A “-“ sign will appear next to the tool when zooming out. Alternatively, you may use the zoom tools at the top of the view window.
6. Several options are available for adjusting how the tiles are displayed. To access these options, go to [image] Settings > View Settings in the view window.
7. The View Settings dialog will open.
  • •
    The Tile View section allows you to manually specify the number of tiles, or frames, that are displayed across the image window. Simply check the box and enter a value for Tiles Per Row.
  • •
    You can change the background color that is displayed between tiles by clicking on the color box next to View Background Color. Simply select a color from the Color window then click OK.
  • •
    Review the View Settings window to learn more about capabilities in this dialog.
8. Once the desired changes have been made, click OK. The changes will be applied to the view window.
Exporting Images


Topic: Displaying and Formatting Annotations

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • Displaying and Formatting Annotations
  • Previous page
  • Next page

Displaying and Formatting Annotations

In any of the image views available, SlideBook provides tools to add annotations to displayed images. When annotations are shown in an image, they will be exported with the image any time an export of the image is performed under View > Export. Annotations are not displayed when images are exported quantitatively under Image > Export.
1. Open a view of the image you would like to annotate.
2. Go to the Annotations group.
3. Select the annotation(s) you would like to display by clicking boxes. Once selected, a check mark (ü) will appear next to the annotation. Alternatively, you can use the shortcut keys.
4. Once the annotations are displayed, you may find it desirable to adjust the positioning or appearance of the annotations. To do this, you will need to access the Annotation Settings dialog. This dialog can be accessed from Annotations > [image] Annotation Settings or in the view window from the Settings > Annotation Settings.
5. This dialog consists of a number of tabs that allow for formatting of each individual annotation. Users can adjust the color, placement, and font used for each annotation. Some annotations have annotation specific settings such at the length setting for scale bars. Adjust all annotations as desired then click OK. The changes will be made in your image window. It may be necessary to click once on the image for the updates to take place.
6. If you are only interested in adjusting annotations for the image you are working with, continue to the next section of the manual. Should you choose apply these annotation settings to every image you open, it is possible to set the default behavior for annotations. To do so, select [image] Set Default Settings.
NOTE: Set Default Settings will only set the default annotation settings for the current SlideBook session. If you restart SlideBook, the default annotations will have to be reset.


Topic: Working with Notes

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • Working with Notes
  • Previous page
  • Next page

Working with Notes

When you capture a photomanipulation event, SlideBook will use the following default naming schema to create Notes in the data set:
  • •
    Right-click Events: FRAP: Vector Photomanipulate Regions {laser}
  • •
    Double-click Events: FRAP {# repetitions} time(s) at {location} with radius {N}
  • •
    Advanced Event Protocols: FRAP timelapse timepoint: {N} {duration} ms ROI:{region(s)} ({vector line})
You may find it useful to later edit the names of the Notes or how long the annotations persist when reviewing your data or exporting views or movies.

To edit or add a note:

More ...
1. Open the image.
2. Navigate to the desired time point.
3. Go to Annotations > [image] Edit Note.

To display notes for more than one time point:

More ...
1. Go to [image] Annotations Settings.
2. Navigate to the Notes tab.
3. Edit the field Persistence in views: N timepoints.

To assist in navigating through notes:

More ...
1. Open the image.
2. Go to Annotations > [image] Navigate > Notes Navigator.
3. Select a note then press Go To.


Topic: The 2D Timelapse Intensity Plot

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • The 2D Timelapse Intensity Plot
  • Previous page
  • Next page

The 2D Timelapse Intensity Plot

One of the more advanced ways to view timelapse data is the 2D Timelapse Intensity Plot. This uses the integrated 3D rendering engine to render a single channel in pseudocolor with the extra dimension of height to further emphasize changes in intensity. This view can help create stunning movies for presentation purposes.
1. Begin with an open view of a 2D timelapse image.
2. You may choose the render the entire image, to do so continue to the next step. To select a subregion of the image to render, more ... less ...
2a. Select the Marquis Select tool from the Region group.
2b. Draw the subregion you would like to render on the image
2c. Type Ctrl +B or go to [image] Select > [image] Select in All Planes to render the subregion at all time points.
3. Go to View > [image] 2D Timelapse Intensity Plot. A new image will open. Read more about the tools in this window in 2D Timelapse Intensity Plot window .
9. Clicking on the renormalization icon [image] will allow you to adjust the intensity scaling for the lookup table as well as other display properties of the image. Read more about these tools in 2D Timeplapse Intensity Plot Settings window.

The contents of The 2D Timelapse Intensity Plot

Exporting from the 2D Timelapse Intensity Plot


Topic: Exporting from the 2D Timelapse Intensity Plot

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Exporting Timelapse Images
  • The 2D Timelapse Intensity Plot
  • Exporting from the 2D Timelapse Intensity Plot
  • Previous page
  • Next page

Exporting from the 2D Timelapse Intensity Plot

Now that you are viewing your data interactively using the 2D Timelapse Intensity Plot, you may find it desirable to export images or movies from this view. Instructions for these exports are found in this section.
  • •
    To export an individual TIFF of the image exactly as it appears in the viewer window, go to Home tab, Acquire group [image] Export > (Qualitative Export) TIFF. Selecting the option for Include Tool Elements will include the time point and grid size information in the lower left corner of the display. A color 24-bit RGB TIFF will be generated.
  • •
    It is also possible to export the 2D timelapse intensity plot as a movie over time. To do this, go to Home tab, Acquire group [image] Export > (Movie Export) Movie. Complete the movie option dialog as preferred. Be sure to specify None (Timelapse only) for the Axis for Rotation Options. Other options you will want to complete are highlighted below.
Figure 33 - 2D Timelapse Intensity Plot movie export options


Topic: Viewing and Analyzing Vector Data

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Analyzing Vector Data
  • Previous page
  • Next page

Viewing and Analyzing Vector Data

Now that you have acquired date using Vector, it will be important to view and analyze the results. This chapter will discuss common viewing and analysis techniques for this type of data.

The contents of Viewing and Analyzing Vector Data

Displaying Regions and Graphs Post-Capture
Editing regions
FRAP Analysis Tutorial
Photoactivation Analysis


Topic: Displaying Regions and Graphs Post-Capture

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Analyzing Vector Data
  • Displaying Regions and Graphs Post-Capture
  • Previous page
  • Next page

Displaying Regions and Graphs Post-Capture

In the previous chapter, you learned how to draw regions for dynamic photon events to occur. We also discussed graphing the intensity of the regions during capture. In this section, you will learn how to view the regions and graphs once the data set has been saved and closed.
1. Open a .sld that contains data from the Vector experiment.
2. Open an image on the slide by double clicking on the thumbnail.
3. You can scroll trough time using the middle mouse scroll wheel. Alternatively, you can click and drag the time slider bar.
4. There are three way to display previously drawn regions:
  • •
    Select any of the region tools from the region group
  • •
    Go to Annotations > Regions
  • •
    Type Ctrl + Shift + G
5. If you did not draw a background region, you can do so at this time. First draw a region where you would like to define the background. Next, right click on the region and select Set as Background.
NOTE: In order for SlideBook to automatically subtract the background from values shown in the graph and other analysis, you must first configure the property. To do so, go to Administration tab > [image] Hardware Properties. Navigate to the section titled Statistics Properties. Click the + to expand the selection. For the property Enable Background Subtraction, set the value to Yes. Click Apply Change then Close. SlideBook will have to be restarted for the change to take effect. The background subtraction configuration change will apply to all future SlideBook uses.
6. To graph the intensity over time in regions, go to the Analyze tab, Evaluate group > [image] Graph or click on the [image] Graph icon in the view window. Select the Type of graph you would like to display (intensity is a common way to view this type of data) and the channel(s) you would like displayed on the graph. Click OK.
7. A new Graph window will open. Refer to the Graph window section for more information on using the graph tools and exporting data or images from the graph.


Topic: Editing regions

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Analyzing Vector Data
  • Editing regions
  • Previous page
  • Next page

Editing regions

In Displaying Regions and Graphs Post-Capture, you learned how to create and define a background region. Sometimes, it is useful to examine regions in other areas of the image or to look at specific areas within the area where the dynamic photon even occurred. This section will teach you how to work with regions.
For demonstration purposes, we will use the example shown below. In this example, a somewhat large area of the sample was photobleached. The goal of the experiment is to show recovery after photobleaching. When we graph only the background intensity subtracted region where the event occurred, it appears there was no recovery after the photobleaching event. If we were to refine the region(s) for analysis, the results may improve.
1. Begin with an open image depicting a dynamic photon event. Bring up the region(s) and graph using the skills you learned in Displaying Regions and Graphs Post-Capture .
2. Click on the image to select it. With the image selected, choose a region tool from the region group.
3. Draw regions as desired in the image. For this example, we will draw line-style regions.
4. When a region is selected, the number is highlighted in white. To select a region, click inside the region or on the border of the region. Alternatively, right-click outside of a region and Select All regions if desired. Selected regions (individual or groups) can be moved by clicking and dragging to a new location. They can also be deleted by using the Delete button on the keyboard.
5. If a graph is open, the new regions will be graphed immediately.


Topic: FRAP Analysis Tutorial

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Analyzing Vector Data
  • FRAP Analysis Tutorial
  • Previous page
  • Next page

FRAP Analysis Tutorial

Vector includes the SlideBook module for integrated FRAP analysis. The FRAP Analysis module utilizes regions to calculate the mobile fraction and half life of a sample. Users can define unaffected regions to normalize photobleaching that occurred during data capture. When background regions are defined, the mean intensity of the background is subtracted from all data before calculations are made.
For this example, we will use the same sample data we used in previous sections of this manual. We will include our background region for background subtraction. We will also draw a small, specific region inside the area where FRAP occurred for analysis. In addition to this, we will draw a region over a part of the image that was unaffected by the event. This last area will be used to normalize overall photobleaching due to image capture. Our starting image is shown below with the following regions drawn:
  • •
    Bkgd - Background region used for mean intensity background subtraction
  • •
    Region 1 - Region used to create the photomanipulation event
  • •
    Region 2 - Region drawn post capture to evaluate recovery in a specific area where the event occured
  • •
    Region 3 - Region outside of photomanipulation are used to normalize photobleaching due to general exposure during image capture.
1. Begin by opening the image for analysis. Draw all necessary regions as described above.
2. Go to Analyze tab, Evaluate group > [image] FRAP Analysis.
3. The FRAP Analysis window will open. Use this window to enter information for the FRAP analysis as follows. For additional information on this window, please refer to FRAP Analysis window.
  • 1.
    Select the imaging channel for analysis.
  • 2.
    Enter the region to use for analysis.
  • 3.
    If desired, check the box to use a region outside of the photomanipulation event are to correct for photobleaching. Enter the region to be used in the edit field.
  • 4.
    Enter the start and end time points for baseline images.
  • 5.
    Enter the first time point after photobleaching.
  • 6.
    Enter the start and end time points for the asymptote where recovery levels off.
  • 7.
    Press Fit to run the analysis.
4. The analysis window will update with the corrected curves and calculated results for mobile fraction and half-life as shown below. To learn more about the results, review the FRAP Analysis window or APPENDIX A Concepts of Photobleaching Recovery . Colored lines are as follows:
Green - Region of interest for analysis designated in Analysis Region
Red - Region of interest to be used for photobleach correction as designated in Photobleach Correction
Black - Photobleach corrected intensity of analysis region
Blue - Resulting FRAP Analysis, the exponential fit from the first time point after photobleaching to the asymptote.
5. Adjust any parameters and recalculate as desired.
6. To export a tiff of the resultant graph, click on the Tiff icon [image].
7. When finished, click Close to close the dialog.


Topic: Photoactivation Analysis

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • Viewing and Analyzing Vector Data
  • Photoactivation Analysis
  • Previous page
  • Next page

Photoactivation Analysis

As discussed earlier, Vector can be used for various types of experiments where a focused laser beam is directed at a sample. In the previous section, we discussed analyzing FRAP data. In this section, we will discuss photoactivation experiments. For this example, we will use a sample data set from a photoactivation experiment that utilized a 405nm laser to activate a GFP-like fluorochrome.
1. Begin by opening the image from the .sld.
2. There are three way to display previously drawn regions:
  • •
    Select any of the region tools from the region group
  • •
    Go to Annotations > Regions
  • •
    Type Ctrl + Shift + G
3. If a background region is not already defined, define one by using the region drawing tools then right-clicking on a region and selecting Set as Background.
4. Go to the Analyze tab, Evaluate group > [image] Graph or click on the [image] Graph icon in the view window. This will open a graph of the background subtracted mean intensity of each of the regions.
5. Draw additional region(s) as desired. The graph will automatically update. You may choose to draw regions to show an area where no photoactivation occurred or to further examine a smaller area of the region where the dynamic photon event occurred.
6. You can interact with the graph as described in Graph window.
7. For photoactivation experiments, the main data used in analysis is the intensity information from individual regions over time. You can export this information in any of the following ways:
  • •
    - Perform a direct data export to Excel. If Excel is on the computer, this will open a spreadsheet that contains some basic image information as well as background subtracted intensities for each region at each time point. There will also be markers where the dynamic photon events took place.
  • •
    - Export a tab delimited .txt file for later use with Excel or an alternate spreadsheet program.
  • •
    - Export a TIFF of the graph portion of the graph window. This can then be used directly as an image in posters, presentations, etc.


Topic: APPENDIX A Concepts of Photobleaching Recovery

×

  • SlideBook 6 User's Guide
  • Photomanipulation Module
  • APPENDIX A Concepts of Photobleaching Recovery
  • Previous page
  • Next page

APPENDIX A Concepts of Photobleaching Recovery

Fluorophores are molecules that are excited by higher energy light (shorter wavelength) and, as a result, emit lower energy light (longer wavelength). When a fluorophore is exposed to too much excitation light, it will cease to emit light or fluoresce. This phenomenon is called bleaching. Bleaching can result from overexposing a sample when setting up an image capture or can result from the image capture itself.
Bleaching can also be intentionally caused by directing large doses of high energy light at the sample. Fluorescence Recovery After Photobleaching (FRAP) is a technique that uses bleaching to examine how molecules move in a sample. By depleting the fluorescence in an area of the sample and watching to see if the fluorescence recovers after the event, scientists are provided with additional details of cellular dynamics.
Figure 1 - Overview of FRAP
When we examine FRAP data, it is important to note that the fluorophores themselves are not “recovering” but rather that undamaged fluorophores are moving to occupy the space where fluorescence was depleted. The image below helps to illustrate this concept.
Figure 2 - Diagram showing the movement of molecules responsible for "recovery" of fluorescence
In Figure 2, we notice that some of the bleached molecules stay in the location where they were bleached. The molecules that do not move are referred to as the immobile fraction. The molecules that move throughout the sample and are therefore replaced by fluorescing molecules are referred to as the mobile fraction.
By imaging the sample over time, we are able to graph the intensity of the fluorescence over time. It is very important to obtain some baseline images to study the fluorophore behavior before the bleaching event. It is also important to image long enough to gain the necessary information about the recovery. There are several common analysis values extracted from the data. These values tell us how many of the molecules are moving (the mobile fraction) and at what rate (the half-life). The graph below illustrates common terms used in reference to FRAP analysis.
Figure 3 - Graph illustrating common terms used in FRAP analysis
In the graph above, the following variables will be used in FRAP analysis:
Fi - The initial fluorescence is the mean intensity of the ROI across all time points of the baseline images
F∞ - The infinity fluorescence is the average of the mean intensity of the ROI across all time points in the asymptote range.
½ F∞ - The half fluorescence is half of the fluorescence value of F∞ minus F0.
F0 – The zero fluorescence is the intensity of the region at the first time point following the bleaching event.
t0 – Time zero is the time point immediately following the bleaching event.
tD – Time D is the time it takes to reach ½ F∞.
The mobile fraction is determined by dividing the difference between the average intensity in the asymptote range and the intensity of the first time point after bleaching by the difference between the average intensity of the baseline range and the intensity of the first time point after bleaching. We can mathematically represent the mobile faction, or f, as follows:
The half-life is determined by fitting an exponential function to the background corrected intensities between the first time point after bleaching and the last time point of the asymptote range, inclusive. If PB Correct is checked in the FRAP Analysis dialog, the fit is made to the photobleach corrected intensities. Otherwise it is made to the original intensities, after background correction.
The fitted equation is of the form:
where t is the time point, t0 is the first time point after bleaching, and M is the maximum background subtracted intensity in the given time point range.
The half-life is determined by the fitted B parameter:
where τ is the half-life in seconds (tD minus t0) and d is the interval between time points (in seconds). It is necessary that the interval between time points be constant throughout the given time point range.


Topic: Motorized Spherical Aberration Correction Device

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Previous page
  • Next page

Motorized Spherical Aberration Correction Device

This section of help describes all of the steps necessary for utilizing 3i's patented Spherical Aberration Correction device (SAC). The sections are outlined below. If you are new to SlideBook™, you may wish to start by reviewing the User Interface pages of help, specifically the Focus Controls Window and the Capture Window. This will familiarize you with basic elements and commands in SlideBook™.

Overview of Spherical Aberration

Spherical aberration is the most prevalent aberration in optical microscopy. This section will review common causes of spherical aberration and explain how the SAC unit corrects this aberration.

Installing SAC

If your system was installed by 3i or a 3i reseller, then you will not need to install hardware on your system. However, if it was not installed by 3i or a 3i reseller, or you need reinstall the unit, you can learn how to do this on these pages.

Configuring SAC in SlideBook

If your system was installed by 3i or a 3i reseller, then you will not need to configure SlideBook™ to control the SAC. If, for any reason, you need to reconfigure the software to recognize the SAC, this section will teach you how to do this.

Using SAC in Image Acquisition

Once your unit is installed, you will need to understand the software control of the SAC. These pages will outline all steps required in setting up the SAC for use in image acquisition.

Troubleshooting

This section contains information on troubleshooting.

The contents of Motorized Spherical Aberration Correction Device

Overview of Spherical Aberration
Configuring New mSAC Interface
Using New mSAC Interface
Configuring SAC in SlideBook™
Using SAC in Image Acquisition
Troubleshooting SAC


Topic: Overview of Spherical Aberration

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Overview of Spherical Aberration
  • Previous page
  • Next page

Overview of Spherical Aberration

What is Spherical Aberration?

Spherical aberration is the largest monochromatic artifact in modern microscopy. It is the natural result of multiple glass\oil\water\air interfaces. One primary example is that spherical aberration prevents deep imaging using an oil objective into water. The Spherical Aberration Correction device (SAC) is a motorized lens assembly that allows spherical aberration to be corrected with complete software control. Intelligent Imaging Innovations, Inc. (3i) has an exclusive license to this patented technology.
Using high NA objectives can very easily introduce spherical aberration (SA) into your image. Spherical aberration will be introduced if the coverslip and target do not match exactly the specification of the objective. Usually this means imaging a target just on the other side of a coverslip of 0.17 mm thickness.
Imaging conditions different from the objective's specifications can lead to a significant loss of intensity and resolution in the z-axis. The SAC device will improve and can even eliminate spherical aberration in an acquired image. Manufacturers of coverslips give the following specifications for a given coverslip thickness:
Coverslip Type | Min. Thickness | Max. Thickness
#0 | 0.08mm | 0.13mm
#1 | 0.13mm | 0.17mm
#1.5 | 0.16mm | 0.19mm
#2 | 0.17mm | 0.25mm
NOTE: These broad ranges mean that #1, #1.5, and #2 thickness coverslips can all have the possibility of having the correct 0.17 mm thickness.
Figure 1 - Peak Intensity vs. Slide Thickness
The chart above (Figure 1) shows how differences in slide thickness can affect the measured intensity. It also shows how the SAC can correct the intensity to near theoretical levels.
Figure 2 - Spatial Resolution vs. Slide Thickness
The second chart (Figure 2) shows the resolution lost due to slide thickness variation and how the SAC corrects this.

How Does the SAC Correct for Spherical Aberration?

The SAC is designed to be mounted between the camera and microscope on any converging documentation port. There are two lenses in the SAC. The front lens (closest to microscope) is a compound negative lens and the focusing lens is a F15 mm plan achromat. Both lenses are AR coated and the total system loss is about 3% of the light due to reflections. This minor light loss is far outweighed by the intensity gained due to eliminating spherical aberration.
The SAC operates by moving the front lens over a range of 4 cm towards and away from the microscope. Adjustment of the lens position will correct the overall microscope spherical aberration for different imaging conditions. It will also change the focus and may shift the image slightly in x and y. Careful alignment of the SAC in the x- and y-axis can eliminate this shift. Due to the lens system, there is a 10% magnification shift of the system over the complete range or the SAC. This magnification shift is accommodated by post capture re-scaling.
Figure 3 - Diagram of the SAC and its Optics

The contents of Overview of Spherical Aberration

Notes on Spherical Aberration


Topic: Notes on Spherical Aberration

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Overview of Spherical Aberration
  • Notes on Spherical Aberration
  • Previous page
  • Next page

Notes on Spherical Aberration

When there is spherical aberration in an image, the point spread function (PSF) is distorted, especially in z. As the spherical aberration increases you will get an asymmetry between the top and bottom of the PSF. More light will shift from one side of the PSF to the other. In addition the central peak of the PSF will spread out more. As spherical aberration increases you lose spatial resolution primarily in z but also in x / y.
You should notice that as you move the SAC position from one side of the optimal position to the other, the asymmetry will shift from the top of the PSF to the bottom (or bottom to top). At the point where there are equal amounts of light above and below the central peak of the PSF, the spherical aberration is corrected (see figure below). This optimal location will change as you move deeper into the sample.
Sample 3D image of a point spread function with little or no spherical aberration.


Topic: Configuring New mSAC Interface

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Configuring New mSAC Interface
  • Previous page
  • Next page

Configuring New mSAC Interface

Our newest spherical aberration correction technology. The mSAC is a 1x high-speed spherical aberration correction optical system compatible with any microscope. To compliment the new hardware, we have a new interface and calibration technique.

Identify mSAC for Usage

To activate the new mSAC interface there are two things that must be set up:
1) Confirm mSAC is selected in Hardware Configuration
2) Change Harware Properties to utilize the new mSAC interface. Open Hardware Properties, scroll to mSAC, expand section, locate mSAC V2 Interface. Set property to Yes and Apply changes.
3) Restart SlideBook.

Determine and Set Neutral Position

Before proceeding with the new mSAC interface, you must determine the "neutral" position for the device. Neutral is the setting on the mSAC that yields the same results as a system without the mSAC device. This value can be determined by the following process:
1) Open the Focus window, direct light to the eyepieces. Confirm the eyepieces are set to the "0" position. Focus on a sample through the eyepieces of the microscope. If necessary, adjust the eyepiece of the non-dominant eye.
2) Redirect the image to the camera.
3) Go to the mSAC tab of the Focus window. Without adjusting focus or z-stage position, move the mSAC positon until the live image in the Camera window matches the focal plane seen through the eyepieces. You will adjust the slider or type a value in the field then press Go until the desired focal plane is found. Make note of the value shown (below, the value to note is 3890).
4) Open Hardware Properties, navigate to SAC and expand the section (note SAC, not mSAC). Select Default Position. Enter the value obtained in step 3. Click Apply Change then Close. Restart SlideBook or continue to the next section.

Configure mSAC Properties

One part of the new approach includes a entering two calibration factors. Our research has shown that these calibration factors are directly related to the objective specifications and are consistent across identical objectives from the same manufacturer. We are working on a publishable table of these calibration factors but, in the meantime, please contact support@intelligent-imaging.com for assistance on calibration factors.
1) Go to Administration tab > [image] Objectives.
2) Make note of Name field for the objectives you will be calibrating. It is important that this text is entered exactly as it appears.
3) Open Hardware Properties. Navigate through the alphabetical list to mSAC, expand the section. There are 3 values you will need to enter for each objective:
Lens N mSAC micron / mSAC position - obtain from 3i support
Lens N mSAC position / micron - obtain from 3i support
Lens N Name - obtain from Configure Objective Lenses window (step 2 above)
NOTE: You can calculate mSAC micron / mSAC position and mSAC position / micron by following the Calculating mSAC Coefficients procedure.
4) After entering each parameter, click Apply. When you have completed the process, Close the Hardware Properties dialog and restart SlideBook.
continue on to Using New mSAC Interface...

The contents of Configuring New mSAC Interface

Calculating mSAC Coefficients


Topic: Calculating mSAC Coefficients

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Configuring New mSAC Interface
  • Calculating mSAC Coefficients
  • Previous page
  • Next page

Calculating mSAC Coefficients

As previously discussed, mSAC coefficients Δ µm/SAC and Δ SAC/µm values are identical for all objective lenses of the same make and manufacturer. Should you wish to calibrate these values yourself, there is a sample you can prepare and a protocol you can follow.

Sample Preparation

1.Make a preparation of 0.1 µm fluorescent microspheres at a 1:100,000 dilution in warm 1% agarose. Be sure to shake the beads well before using. We like Life Technologies' FluoSpheres - Catalog #F-8801.
2. Add the agarose/microsphere mixture to a glass bottom dish with No. 1.5 coverslip.
3. Place dish in freezer and allow agarose to solidify. Bring dish to room temperature before using.

Make sure there is not state saturation

1. Set the mSAC to Neutral position (see also Setting Neutral Position) using the button in the mSAC tab of Focus Controls.
2. Image the beads at a known Laser Power using the Snap function.
3. Double the Laser Power and take another image using the Snap function.
4. Open the two images and compare the maximum intensity values using the [image] Pixel Intensity tool. The values should double. If the values do not double, there could be state saturation. Reduce the Laser Power and repeat steps 2-4.

Δ µm/SAC

1. Focus on a bead located on the coverslip with the mSAC lens in the Neutral position.
2. Record the Z Position of the piezo Z stage.
3. Displace mSAC by + 4000 units by typing in the mSAC Position field and clicking Go.
4. Refocus using the Z Stage Controls and record the new Z Position.
5. Calculate (Z1-Z2)/4000 = Δ µm/SAC. Use for the Hardware Property Lens N mSAC micron / mSAC position.

Δ SAC/µm

1. Focus on a bead located on the coverslip with the mSAC lens in the Neutral position.
2. Move the mSAC Position a known distance from the neutral position (around 2000).
3. Bring the coverslip back into focus. Set up 3D capture using current position and traveling 50 um.
NOTE: It is best to use widefield fluorescence if possible.
4. With the image selected, click [image] Create Projection (in the Home tab). Choose Maximum Operation and Over Y Axis.
5. Locate the best corrected beads in the projection, and measure how far they are from the coverslip using the [image] Ruler tool, the coverslip should be at the top of the Y projection image.
6. Calculate (SAC2-SACneutral)/Z = Δ SAC/ µm. Use for the Hardware Property Lens N mSAC position / micron.


Topic: Using New mSAC Interface

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Using New mSAC Interface
  • Previous page
  • Next page

Using New mSAC Interface

Before proceeding with using the new mSAC interface, it is imperative that you complete all steps in Configuring New mSAC Interface. Once calibrated and configured, the workflow for use is quite simple. There are two modes of operation to choose from as descibed below.
NOTE: Regardless of the approach used, the coverslip will need to be found each time a new sample is placed on the microscope.

Setting Up Optimal Position mSAC

This mode is preferred when you need to image quickly or are imaging a relatively thin specimen. In this mode, the mSAC device operates like a finely tuned correction collar in that you set a position then continue with your experiment with the position static.
1) Have specimen on the microscope and Focus window open. Click on the mSAC tab.
2) Click Neutral.
3) Focus on the coverslip of the specimen. Click Coverslip.
4) Focus into the specimen to desired focal plane for imaging or a central plane if imaging in 3D. Click Optimal. The mSAC will move to the optimal position for this focal plane and remain in position.
5) Continue setting up your experiment and capturing images as usual.

Setting up Rolling SAC

This mode takes full advantage of the innovation and optical technology of the mSAC device. This mode is preferred when you want the best axial resolution and contrast possible at each focal plane. In this mode, the mSAC lens position shifts to provide complete spherical aberration correction at each plane captured.
1) Have specimen on the microscope and Focus window open. Click on the mSAC tab.
2) Click Neutral.
3) Focus on the coverslip of the specimen. Click Coverslip.
4) Check the box to Enable Rolling SAC. This will initiate a SAC lens movement every time you change the z plane of imaging, thus correcting for spherical abberation for every image taken.
5) Continue setting up your experiment and capturing images as usual.


Topic: Configuring SAC in SlideBook™

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Configuring SAC in SlideBook™
  • Previous page
  • Next page

Configuring SAC in SlideBook™

Now that the hardware is installed, it is time to configure SlideBook to operate the SAC.

The contents of Configuring SAC in SlideBook™

Software Configuration for Control of SAC
Alignment of SAC


Topic: Software Configuration for Control of SAC

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Configuring SAC in SlideBook™
  • Software Configuration for Control of SAC
  • Previous page
  • Next page

Software Configuration for Control of SAC

Open SlideBook™ and go to Administration tab > [image] Hardware Configuration. In the lower right corner of this dialog, you will find the Microscope Automation Configuration field. Select the appropriate SAC from the drop down menu and enter the appropriate serial port on the computer that the unit will be using for communication.
If you are unsure which version of SAC you own, as a general rule, follow the rule that units delivered in 2008-2010 are SAC v2 (EMP400) and that units delivered before 2008 are SAC v1 (SC8800). Another way to tell the difference between the two units is the color of the serial cable running from the control box to the computer. SAC v2 (EMP400) will have a tan colored cable that is wired directly into the box while SAC v1 (SC8800) will have a black serial cable that can be disconnected from the control box. Units delivered in 2010 or later are mSAC and will be labeled as such.
Next, go to Administration tab > [image] Hardware Properties, navigate to the section labeled SAC, and expand the selection. Go to Maximum Position, enter the value 1100, and click Apply Change. You can then close the window and restart SlideBook™ so the changes take effect.


Topic: Alignment of SAC

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Configuring SAC in SlideBook™
  • Alignment of SAC
  • Previous page
  • Next page

Alignment of SAC

If the SAC is not aligned correctly you will get a pixel shift in x / y when the SAC position changes. To align the SAC, place a fixed sample on the microscope and begin imaging it in the Focus Window. Switch to the SAC tab. You can shift the SAC position by clicking in different x locations on the chart and re-focusing the microscope. Observe the x / y pixel shift as the SAC moves. Shift the SAC body left, right, up, or down until the pixel shift is minimized. Once an optimal position is determined, secure the unit by bolting the positioning wedges to the antivibration table.
The SAC's front lens position, and thus the operating SAC range, can be shifted by the addition of spacer rings between the microscope and the SAC body. Three spacers should be provided with every unit (15mm, 20mm and 35mm). These can be locked in place with a 0.5mm hex tool. Locking is usually unnecessary. The addition of space sets the possible correction more towards imaging deeper into a less refractive medium than specified by the lens design (i.e. deeper into water using an oil immersion objective). Since most correction in biological imaging is of this variety, it is best to set zero point of the system, where the SAC is providing no change in correction from the objective itself, near the limit of front lens travel proximal to the microscope. For most installations, additional spacers are not necessary.
1) Align the condenser in Kohler illumination.
2) Close down the field diaphragm for transmitted light all the way so you can see the aperture on the camera.
3) Use an objective that just barely will fit the image of the field diaphragm in to field of view.
4) Make sure the entire imaging train is tightened to itself (Sac + camera or sac + camera + CSU). Move the whole imaging train with respect to the microscope until the field diaphragm is centered in the focus window.
5) Test rolling SAC as usual.
6) Adjust fine tuning using conventional method.
7) Determine and set the Optimal SAC position as described in Finding the Optimal SAC Position.


Topic: Using SAC in Image Acquisition

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Using SAC in Image Acquisition
  • Previous page
  • Next page

Using SAC in Image Acquisition

Now that the SAC is installed, configured in SlideBook™, and aligned, it is time to start using the unit. In this section you will learn the following:
  • •
    Finding the Optimal SAC Position
  • •
    Calibrating the SAC in 3D
  • •
    Notes on Spherical Aberration
Please note that working knowledge of SlideBook™ is required to proceed with this portion of the manual. If you are not already familiar with the operation of SlideBook™, please review the Focus Controls Window and Capture Window or contact your 3i representative.

The contents of Using SAC in Image Acquisition

Finding the Optimal SAC Position
Calibrating the SAC in 3D


Topic: Finding the Optimal SAC Position

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Using SAC in Image Acquisition
  • Finding the Optimal SAC Position
  • Previous page
  • Next page

Finding the Optimal SAC Position

The SAC functions as an intelligent, computer operated correction collar. You can calibrate the SAC to use a single correction setting to eliminate spherical aberration in the center of your sample or plane of interest as described below.
If you wish to calibrate a neutral position for the SAC unit, prepare a slide using 0.1µm fluorescent microspheres mounted to a #1.5 coverslip. Perform steps #1-5 below and record the Optimal SAC position in the Statistics region of the tab. You can then enter this value under Administration tab > [image] Hardware Properties > SAC > SAC Neutral.
1. Open the Focus Controls window in SlideBook™ and navigate to the SA Correction tab. Focus on your sample and make sure the area of interest is in view.
2. If previous data is displayed on the graph, click Clear All. Confirm that your sample is in focus then click Add Point.
3. There should be a vertical line which indicates the current SAC position on the x-axis of the graph (SAC: setting). Click on the graph at a different SAC position. You should hear the SAC move. Adjust the focus of your sample so that you are looking at the same image as in step #2. Click Add Point.
4. Repeat step #3 several more times by adding more points. If you need to replace a point, click the point, adjust focus, and click Replace Point. You should notice the formation of a green line. The green line shows the curve of focus vs. SAC position. Please note that each of the points on the green line represents a certain z-focus position and SAC position that will produce identical images.
NOTE: As an alternate approach, you can start by clicking Auto Calibrate. Auto Calibrate will go through a series of steps to estimate what the green line should look like. When this process completes, you can visit points along the line, adjust the focus to fine tune the image, and click Replace Point. Continue this process until you have an accurate green curve.
5. Click Auto Optimal. This will use the green curve you created to look for the highest quality SAC position. A red line will appear. The red line represents the image quality for each position on the green line. The SAC position that eliminates spherical aberration will have the best contrast. When you click Auto Optimal, the SAC will automatically move to this position and create a blue vertical line that represents the optimal SAC position. The “Optimal SAC” position will also be updated in the Statistics region of the tab.
6. If your goal is to eliminate spherical aberration in a single plane, you can now proceed to the Capture Window and set up the experiment as you normally would. If your goal is to correct in 3D, continue on to Calibrating the SAC in 3D.


Topic: Calibrating the SAC in 3D

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Using SAC in Image Acquisition
  • Calibrating the SAC in 3D
  • Previous page
  • Next page

Calibrating the SAC in 3D

Now that you have learned how to correct spherical aberration in a single plane, it is time to learn how to apply this to 3D space. Below, you will learn how to calibrate the SAC to correct for spherical aberration at every imaging plane.
1. Follow steps #1-5 from Finding the Optimal SAC Position.
2. Click 3D. The following dialog will appear:
3. Click Set in the Plane 1 region. The Plane 1 graph will update to the calibration you just performed.
4. Return to the Focus Controls window. Click Clear All to clear the calibration graph.
5. Focus on a different z-plane in the sample and repeat the calibration steps #1-5 from Finding the Optimal SAC Position.
6. Return to the 3D SA Calibration dialog. Click Set in the Plane 2 region. The Plane 2 graph will update to the calibration you just performed.
7. Click OK.
8. Proceed to the Capture window. Set up your experiment as desired (3D, timelapse, point visiting, etc.)
9. In the Capture Type region on the left side of the dialog, be sure to select 3D and SA Correct. Continue with standard acquisition.


Topic: Troubleshooting SAC

×

  • SlideBook 6 User's Guide
  • Motorized Spherical Aberration Correction Device
  • Troubleshooting SAC
  • Previous page
  • Next page

Troubleshooting SAC

Below, you will find several tips for troubleshooting issues with your SAC. If these do not help alleviate the issues or if you are experiencing other issues that are not described below, please contact support@intelligent-imaging.com.

When SlideBook initializes, SAC makes a continuous loud noise

MORE...
Solution 1: The version of SAC may be wrong in the hardware configuration. Change it to the correct version and restart SlideBook™.
Solution 2: The motor may be stuck. Close SlideBook, turn off the SAC, turn on the SAC, and restart SlideBook™. If this does not fix the problem, turn off the SAC and contact support at 3i.

Optimize button does not produce consistent results

MORE...
Solution 1: Sometimes different samples require different algorithms to best calculate the quality. You can change the algorithm under the Settings button. For example, beads are best calculated using the max intensity algorithm. Actin strands would be best calculated using weighted high frequency. Try different algorithms until you find one you like.
Solution 2: If you are using the microscope z drive as your primary z, you will get hysteresis (meaning the z will not return to the same position every time). There is an option to use a linear search method for finding the green z vs. SAC curve and for finding the optimum position for the SAC, but it is much slower. Try this option.

SAC is silent on startup and will not initialize

MORE...
Solution 1: It is IMPERATIVE that the appropriate Maximum Position is set under Administration tab > [image] Hardware Properties > SAC. This value should be 1100. Please see Software Configuration for Control of SAC for additional information.


Topic: FLIM Module

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Previous page
  • Next page

FLIM Module

Introduction

Fluorescence lifetime imaging (abbreviated as either FLI or FLIM) provides an entirely different dimension with which to characterize a sample’s fluorescence apart from emission intensity when excited at a particular wavelength.
Long the domain of spectroscopy and biophysics labs, SlideBook’s FLI module strives to make fluorescence lifetime an accessible tool for “mainstream” molecular biology research involving live cell imaging. In measuring a different physical property of a fluorophore, fluorescence lifetime imaging (FLI) has advantages in measuring protein proximity, polymerization, relative concentration of different molecules, separation of different labels with spectral overlap, ion concentration, and removal of autofluorescence.
SlideBook’s FLIM module has been designed to work seamlessly with all types of acquisition supported by SlideBook: 2D, 2D timelapse, 3D, 4D, multi-channel, and multi-location.
Much like its fluorescence spectra, a fluorophore’s lifetime serves as a molecular “fingerprint.” As a molecule’s lifetime is largely unrelated to its spectral properties, two molecules that may be nearly indistinguishable through conventional fluorescence measurement, such as FITC and GFP, can be easily separated using lifetime.
One of the most interesting properties of fluorescence lifetime images is that the lifetime measurement is concentration-independent (as long as there is sufficient concentration to detect a signal). Concentration issues frequently plague Förster resonance energy transfer (FRET) measurement using conventional microscopy, as precise bleedthrough correction measurements must be made to fluorescence channels that may have widely varying acceptor concentrations. Minor error in the correction measurement can have a large impact on reported FRET.
Using the fluorescence lifetime to measure FRET is convenient, because only the donor needs to be imaged. The presence of acceptor shortens the lifetime of the donor, and the FRET efficiency can be easily calculated directly from the change in lifetime:
where τDA is the donor lifetime in the presence of the acceptor and τDA is the donor lifetime when no acceptor is present.

The contents of FLIM Module

Lifetime Acquisition
Notation and Units
Lifetime Data Format
FLI Hardware Configuration in SlideBook
Control and Calibration of FLIM
Acquiring and Viewing a Lifetime Image
Creating a Single-τ Channel
The Lifetime Histogram
Calculating FRET using Lifetime
Graphing Lifetime


Topic: Lifetime Acquisition

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Lifetime Acquisition
  • Previous page
  • Next page

Lifetime Acquisition

A frequency domain lifetime system measures the phase shift and demodulation of a fluorescent sample’s emission, by modulating both the light source and the emitted signal at high frequencies (typically around 50-100 MHz).
A single lifetime plane (either in z or time) is constructed from taking N exposures at equally spaced phase shifts between the excitation modulation and the camera’s intensifier modulation. For instance, if N = 4, four exposures are taken at 0, 90, 180, and 270 degrees, respectively.
The multiple phase-shifted exposures allow SlideBook to estimate the inherent phase shift and demodulation of the sample using what is called homodyne detection theory.


Topic: Notation and Units

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Notation and Units
  • Previous page
  • Next page

Notation and Units

The following will be explained in more detail and used throughout the documentation:
t | Lifetime (ns)
tphase | Lifetime (ns) as determined by a measurement of phase shift
tmod | Lifetime (ns) as determined by a measurement of demodulation
φ (t) | Phase measurement of a fluorescent signal with lifetime t
M(t) | Modulation measurement of a fluorescent signal with lifetime t
x | x-axis component of polar plot: x = M(t) cos φ (t)
y | y-axis component of polar plot: y = M(t) sin φ (t)


Topic: Lifetime Data Format

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Lifetime Data Format
  • Previous page
  • Next page

Lifetime Data Format

Rather than store the original phase-shifted images, SlideBook computes the best-fit phase shift and demodulation on a pixel-by-pixel basis and then transforms these to x and y locations on a polar plot described in Redford and Clegg (2005):
For each FLI exposure, SlideBook creates three channels:
  • •
    lifetime x component, designated as (X) following channel name
  • •
    lifetime y component, designated as (Y) following channel name
  • •
    mean intensity, designated as (Int) following channel name
SlideBook stores a lifetime acquisition in three consecutive channels. The first two channels are the x and y locations of a pixel’s value after the polar coordinate transform of the fitted phase and modulation lifetimes. The third channel is the mean intensity of the series of phase-shift exposures.


Topic: FLI Hardware Configuration in SlideBook

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • FLI Hardware Configuration in SlideBook
  • Previous page
  • Next page

FLI Hardware Configuration in SlideBook

FLI hardware can be configured in the Administration tab, [image] Hardware Configuration and [image] Hardware Properties dialog boxes.

The contents of FLI Hardware Configuration in SlideBook

Camera
Intensifier
Simulation Mode
Defining Filters


Topic: Camera

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • FLI Hardware Configuration in SlideBook
  • Camera
  • Previous page
  • Next page

Camera

SlideBook controls the intensifier and camera combination as a logical “FLIM camera” that will have different properties than the camera itself. In the Administration tab, [image] Hardware Configuration, select the camera driver that corresponds to the camera connected to the intensifier. Typically, this will be Photmetrics PVCAM (Dynamic) if the camera connected to the intensifier is a CoolSNAP™ EZ.
If you have multiple cameras in the system, you must take note of which camera (1, 2, 3, or 4) corresponds to the one connected to the FLIM intensifier.

Embedded Camera Number

Under in the Administration tab, [image] Hardware Properties, open the Lifetime group and set the Embedded Camera Number to which camera in Hardware Configuration is attached to the FLIM intensifier.
NOTE: If you set Embedded Camera Number to 0 or -1, you are effectively turning off the FLIM component of the system, and SlideBook will not try to initialize the intensifier.

Automatic Binning

This is also found in the Lifetime section of Hardware Properties. Set this to Yes to have SlideBook automatically bin 2x2 the FLIM camera. Since the intensifier only has a resolution of about 510 x 510, for many cameras (such as the CoolSNAP EZ) this is a good option as it will allow the attached camera to run faster with no real loss of resolution.


Topic: Intensifier

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • FLI Hardware Configuration in SlideBook
  • Intensifier
  • Previous page
  • Next page

Intensifier

Most of the remaining Lifetime Hardware Properties have to do with configuring the intensifier.
Com Port
Set this to the virtual COM port that corresponds to the intensifiers USB connection to the computer.
Cathode AC Amplitude
This number sets the modulation depth of the intensifier. It has the following values: 0 = none, 1 = low, 2 = med, 3 = high. This should usually be set to 3.
Cathode Offset
This number is in the range of 1 to 1200 and sets the offset of the modulation. Usually this is set around 593. If this number is too high, then you will get nice bright images, but low modulation. If this number is too low, you will get little or no signal. This number should be set for a specific intensifier in the factory. Only change it if you have changed intensifiers, computers, etc. To find the optimal setting: change this number by 10, go through the Pockels’ cell optimization procedure below, raise this number until you get the brightest image while maintaining a good modulation level.
Output Amplitude
This is a number between 0 and 10 which determines the peak voltage of the output signal to the Pockels’ cell. The default is 7. Occasionally this number is reduced to 6 if the Pockels’ cell is overheating.
Frequency
This is a number in MHz between 10 and 100. Default is 50. You can change this number if you are mainly working with long or short wavelengths. 50MHz is good for general use between 1 and 8ns. 80MHz is good for lifetimes at or under 1ns. 20MHz would be good for lifetimes at 10ns or greater. Once this number is changed, the whole calibration procedure must be redone.


Topic: Simulation Mode

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • FLI Hardware Configuration in SlideBook
  • Simulation Mode
  • Previous page
  • Next page

Simulation Mode

If you want to demonstrate the functionality of the system without having the hardware attached, in Hardware Properties, you can set the Simulation Mode property to Yes. You will also need to set the Embedded Camera Number property to 1 (or whichever other test camera you want to assign it to). When you go to collect a FLIM image, you will get a field that has four distinct vertical bands. If you calibrate the left band to 1 ns, then the remaining bands will fit to 2, 3, and 4 ns respectively.


Topic: Defining Filters

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • FLI Hardware Configuration in SlideBook
  • Defining Filters
  • Previous page
  • Next page

Defining Filters

Define a filter for each laser line that will be used for lifetime imaging (Administration tab > [image] Filters). The Associated Channel Type should be set to Fluorescence Lifetime and the Default Color Display to Pseudocolor (color). The turret, shutter, and alternative source channel need to be set correctly just as with any other filter configuration.
NOTE: It is important that you set the Camera field to the specific camera that is attached to the FLIM system.


Topic: Control and Calibration of FLIM

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Control and Calibration of FLIM
  • Previous page
  • Next page

Control and Calibration of FLIM

The next sections will walk through hardware control and calibration of the system. Control of the system is available in the Focus Controls, and complete calibration consists of the following steps:
  • •
    Dark value correction
  • •
    Flat field correction
  • •
    Lifetime calibration

The contents of Control and Calibration of FLIM

Focus Controls
Dark Value Correction
Phase Flat Field Correction
Lifetime Calibration


Topic: Focus Controls

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Control and Calibration of FLIM
  • Focus Controls
  • Previous page
  • Next page

Focus Controls

Most of the FLIM-related control and feedback is available in the FLI tab in the Focus Controls. There are a few other components of the Focus Controls outside this tab that you will also need to use, however.
The FLIM camera works in three different modes:
  • •
    Modulation and intensification off – The intensifier’s state acts as an electronic shutter for the attached camera. If the intensifier is off, no light is reaching the camera.
  • •
    Intensification on, modulation off – With the intensification on, but high-speed modulation off, the FLIM camera acts like any other intensified camera, with the intensification dictated by the Intensification slider on the Camera tab of the Focus Controls. This is a useful mode to find your sample and ensure that the intensification is not set too high.
  • •
    Intensification and modulation on – This is the mode where a sequence of phase-shifted images are acquired and assembled into a lifetime image.
To turn on the intensification, click on the Intensifier Gate Open checkbox in the FLI tab.
To turn on the modulation, click on the Color checkbox in the main part of the Focus Controls. Note that if you select Color (modulation) then SlideBook will automatically lock the Intensifier Gate Open state to on.
WARNING: The intensifier is a sensitive device and can be damaged by too much light or intensification. There is a built-in shutoff circuit but please take care to turn the Intensifier Gate Open or Color checkboxes on with the Intensification set to a minimum level. Slowly raise the Intensification value until the mean intensity of the sample is approximately 2/3 of the dynamic range of the CCD, and no more. If you do accidentally overload the intensifier, a red light will appear on the control box and you will need to reset the intensifier (and restart SlideBook).
When modulation is on (i.e., Color is checked), the FLI tab will display a graph of the mean intensity of the phase-shifted exposures, as well as relevant statistics. Mean Intensity reports the mean intensity across all phase exposures. Max Intensity is the maximum of mean intensities of the phase exposures and Min Intensity is the minimum of the mean intensities of the phase exposures. Modulation represents the depth of modulation, and a good target value is around 0.2. Dark Value will be described later.


Topic: Dark Value Correction

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Control and Calibration of FLIM
  • Dark Value Correction
  • Previous page
  • Next page

Dark Value Correction

SlideBook handles dark correction slightly differently for FLIM than for other types of capture.
When you acquire an image using [image] Capture and select Dark Field for a FLIM channel, SlideBook will first take an exposure with no illumination and compute the minimum value of the result. SlideBook then stores this value as the Dark Value (which will be subsequently visible in the FLI tab of the Focus Controls). All future FLIM acquisitions will subtract this value from each phase shift exposure. While the camera offset of the camera typically attached to the intensifier (a CoolSNAP EZ) has a relatively low offset (a value around 90 out of 4095) it can still impact proper modulation measurements particularly with low signal levels.


Topic: Phase Flat Field Correction

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Control and Calibration of FLIM
  • Phase Flat Field Correction
  • Previous page
  • Next page

Phase Flat Field Correction

It is common for there to be some variation in phase across the intensifier cathode. This is referred to as phase rollover. To correct for this, SlideBook can take an image of a sample with uniform, finite lifetime (such as fluorescein) and create a phase flat field, which can be stored and applied to images just like intensity-based flat fields.
Ideally, phase flat fielding should be performed even before calibrating the system with an image of a sample with known lifetime.
To create a phase flat field, place a homogenous sample on the microscope. You can monitor the unmodulated fluorescence signal by opening the live Camera window and Focus Controls and selecting the appropriate lifetime filter configuration. Click on the FLI tab and check Intensifier Gate Open.
Make sure the signal is well below saturation by clicking on the Camera tab and looking at the histogram. You should adjust exposure time and lifetime intensifier intensification so that the brightest pixel is about 2/3 the dynamic range of the camera.
Then, run a Test exposure in [image] Capture and make sure to check the Dark Field option.
After that, collect a full-chip FLIM image at 1x1 binning by going to [image] Capture. Select only one FLIM channel for capture. Select the Dark Field checkbox but leave the Flat Field option unchecked.
Once captured, select the image in the slide view in which it appears and select Modules tab > [image] FLIM > Compute Phase Flat Field.
If you want to verify that it was created, and looks reasonable, select Administration tab > [image] Flat Fields > Manage Flat Fields. You should see an entry that corresponds to the FLIM filter configuration. A proper phase flat field should present a smooth image. If the FLIM camera’s chip size is larger than the intensifier screen, you may see the signal as a clipped circle within a larger rectangle of background. Depending on the level of phase rollover present in the system, it may look like either smoothly varying concentric rings or a flat disc.


Topic: Lifetime Calibration

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Control and Calibration of FLIM
  • Lifetime Calibration
  • Previous page
  • Next page

Lifetime Calibration

Now, in order to calibrate the system for lifetime computation, you need image a homogenous sample with either a known single lifetime or known tphase and tmod components. Typically, this is a thin layer of fluorescein (with a known lifetime around 4.0).
If the system has been previously calibrated, you must first clear the existing calibration from SlideBook. Do this by selecting Modules tab > [image] FLIM > Clear Calibration.
Once you capture the image and open a view of it, select a homogenous region of the sample with the marquee tool, and then choose Modules tab > [image] FLIM > Calibrate.
The following dialog box will appear:
If the known sample has a single lifetime, enter the lifetime for the sample in both the Phase lifetime and Modulation lifetime edit fields. Otherwise, enter the known tphase and tmod components in the corresponding edit fields.
Click on the Compute button.
SlideBook will determine the calibration parameters.
When you click OK, SlideBook will use these new calibration parameters for all subsequent image captures. Old images that you load, however, will still have the calibration parameters in effect when you collected the image.


Topic: Acquiring and Viewing a Lifetime Image

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Acquiring and Viewing a Lifetime Image
  • Previous page
  • Next page

Acquiring and Viewing a Lifetime Image

Acquiring a lifetime image, once the system has been calibrated, is easy. Simply select the lifetime channel that corresponds to the excitation wavelength that you want when you are setting up a new experiment in [image] Capture. You can collect several lifetime channels or you can mix lifetime and non-lifetime channels.


Topic: Creating a Single-τ Channel

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Creating a Single-τ Channel
  • Previous page
  • Next page

Creating a Single-τ Channel

Acquiring a FLIM image produces three component channels, (X), (Y), and (Int). While the x and y component values are related to lifetime, and can be useful to generate simple lifetime-based contrast, a proper scaled display requires that you create a fourth channel that maps to lifetime directly. You can do this by selecting Modules tab > [image] FLIM > Create Single Tau FLI Channel.
If you use the psedocolor display mode for a view, and set the hue channel to the generated Single Tau channel, and the intensity channel to the (Int) component channel, and set the renormalization range of the Single Tau channel to a reasonable range of ns (x 1000), such as a Low of 1000 and a High of 3000, then the display will map color to nearest single t with a range determined by the renormalization range. In the case below, we see a pseudocolored cell displayed in a range where blue is 1 ns (1000 ps) and red is 3 ns (3000 ps):


Topic: The Lifetime Histogram

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • The Lifetime Histogram
  • Previous page
  • Next page

The Lifetime Histogram

The lifetime histogram displays the lifetime for a selected region using the polar plot representation:
In order to bring up the lifetime histogram, create at least one region in the image. If you believe there is a significant background component, you should also create a background region. Then, select Modules tab > [image] FLIM > Lifetime Histogram.
The polar plot itself gives a reading of the number of pixels in the selected region that have specific x and y values. The redder the display, the higher the number of pixels that have that corresponding x, y value.
Lifetimes with a single exponential fall on the semicircle. The lower right position at (1.0, 0.0) represents zero lifetime, and the lower left position at (0.0, 0.0) represents infinite lifetime.
If you see a single, circular, relatively compact cluster, as in above, you are looking at a region of spatially homogenous lifetimes with good signal to noise. If you see a multi-modal cluster or multiple clusters, you are looking at a region with a spatially inhomogeneous mixture of lifetimes. If the cluster is spread out, or potentially filling much of the plot, you probably have insufficient signal to make a good determination: one of the nice properties of the polar plot is that the compactness of the cluster correlates with the degree of error.

The contents of The Lifetime Histogram

Histogram Extent and Background Correction


Topic: Histogram Extent and Background Correction

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • The Lifetime Histogram
  • Histogram Extent and Background Correction
  • Previous page
  • Next page

Histogram Extent and Background Correction

The upper right corner of the dialog allows you to select which region to plot as well as whether it is performing background correction. It also gives useful statistics about the lifetime within the selected region.
In order to change to view a different ROI, simply select a different region using the ROI dropdown.
If you move a region on the corresponding view, or change which timepoint that view is displaying, then you will need to click the Refresh button to update the display.
If you click on Subtract Background, the plot will compute the lifetime of the background region and shift the plot accordingly. Note that background here is strictly defined to be regions that have fluorescent signal but are not the label of interest. So, for instance, if you are imaging a GFP-RFP FRET construct that is expressed in either only a fraction of cells or a spatially-resolved compartment within each cell, against a background autofluorescence, you would want to select a background region that contained only the autofluorescence.
The plot displays the average and standard deviation for the x and y values as well as the nearest tau, which is the point on the semicircle closest to the weighted center of the region’s cluster in the plot.


Topic: Calculating FRET using Lifetime

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Calculating FRET using Lifetime
  • Previous page
  • Next page

Calculating FRET using Lifetime

In order to calculate FRET using lifetime data, you must either know the lifetime of the donor in the absence of any acceptor, or measure it in a control experiment. Probably the best way to do the experiment is to take a sample with the same FRETting constructs as your intended experiment and bleach out the acceptor.
A quick visual aid for determining FRET for a region is available in the lifetime histogram.
For instance, in the histogram example above, we are looking at the lifetime of a region of a sample after progressive bleaching of the acceptor for 19 timepoints. If we assume that we have fully bleached the acceptor, the donor-only lifetime is 2.1 ns. Since it lies so close to the semicircle, we will assume it is a single exponential.
If you select Single in the Known Lifetime Parameters (FRET Donor) section of the histogram dialog box, and enter 2.1 as the Donor-Only Lifetime 1, then press Apply, the histogram will draw a magenta circle at the 2.1 ns position along the semicircle and then re-color the portion of the semicircle that represents the 0% FRET to 100% FRET “trajectory” as magenta as well. Any (potentially) FRETting sample with the same donor will lie either somewhere along this magenta portion or within the chord that goes from the 2.1 ns position to the (1.0, 0.0) endpoint.
If we double-click on the cluster in an image—in this case it is the first (pre-bleach) timepoint of the same timeseries—then the histogram will draw a straight line from the 2.1 ns position, through where you double-clicked, and on through the semicircle.
Under the plot, the dialog box reports the nearest single-exponential t of where you clicked as well as the average FRET efficiency (in this case 17.5%) of the region.


Topic: Graphing Lifetime

×

  • SlideBook 6 User's Guide
  • FLIM Module
  • Graphing Lifetime
  • Previous page
  • Next page

Graphing Lifetime

Graphing lifetime in timelapse images is straightforward. Create regions (and optionally a background) and select [image] Graph:
Select Lifetime for the graph Type, and then choose which lifetime channel(s) you wish to display.
The resulting graph will show lifetime versus timepoint:


Topic: 2-Photon Scanning Module

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Previous page
  • Next page

2-Photon Scanning Module

One of the principal design goals of the SlideBook scanning interface is that it be a natural extension of SlideBook and take full advantage of the many tools that comprise SlideBook and have been developed over the past sixteen years.
As many of 3i’s Vivo™ 2-Photon and Marianas™ 2-Photon systems combine both scanning and camera-based acquisition, it is important that you can move easily between the two modes. Therefore, you will find that many aspects of the control and acquisition user interface, such as the focus window and capture dialog, will behave very similarly in both modes. In fact, some systems are customized to allow for simultaneous camera and scanning operation.
Principles of Scanning and Scanning Controls, are vital to fully understand the differences between camera and scanning capture and the additional settings that need to be adjusted for scanning.

The contents of 2-Photon Scanning Module

Principles of Scanning
Adjusting Power for Depth
Line Scanning


Topic: Principles of Scanning

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Principles of Scanning
  • Previous page
  • Next page

Principles of Scanning

A scanning system offers tremendous flexibility in terms of how images are captured. Unlike a camera-based system, you are not tied to a particular resolution or image extent.
There are five parameters that are all related, and understanding their interaction will help you choose the best values for a particular experiment:
  • •
    scan extent
  • •
    resolution
  • •
    microns per pixel
  • •
    pixel dwell time
  • •
    frame time
Scan extent is the physical extent, in microns, of the specimen plane that you wish to scan. Depending on its optical and software configuration, a Vivo 2-Photon system equipped with a 20x/1.0 W objective can have an extent in excess of 750 microns in both axes.
Resolution is the number of pixels along the x- and y-axis that the scan will be divided into. Typical values may be 256 x 256, 512 x 512, 1024 x 1024, but they do not need to be restricted to powers of two or have the same number of pixels along each axis.
Microns per pixel is the spacing from one pixel to the next in the specimen plane. The physical nature of light sets a practical limit on how small this can be set and for you to expect to resolve additional detail in the sample.
Pixel dwell time is the total time (expressed in microseconds) that the beam effectively “hovers” over a pixel in order to record emitted photons before proceeding to the next pixel. Of course the galvanometers are in constant motion when scanning an image, but the concept remains valid.
Frame time is the amount of time it takes to collect an entire frame.

Scan Pattern

Because the scan is being performed by mirrors that must move in a continuous motion, there are two additional factors to consider: retrace and overscan.
In unidirectional scanning, the beam moves in a horizontal line and data are collected for the corresponding row in the resulting image. Then the beam is returned to the same horizontal position it started at before, with an adjustment in the vertical position, and data are collected for the next row. No data are collected during this horizontal repositioning, which is called a horizontal retrace.
In bidirectional scanning, data are collected as the beam is moved in both directions.
In either type of scanning, it is important that the mirrors are moving at a constant angular velocity while data are being collected. As mirrors have mass, it is therefore necessary to decelerate the mirrors at the end of an image’s row and then accelerate them in the opposite direction. The path that the beam takes during this reversal is called overscan, and no data are recorded during it. In fact, in a Vivo™ 2-Photon system, the beam is actually turned off during the overscan motion in order to reduce the amount of excitation light that the sample sees that does not contribute to the image signal.


Topic: Adjusting Power for Depth

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Adjusting Power for Depth
  • Previous page
  • Next page

Adjusting Power for Depth

When imaging using your multiphoton system, you may notice intensity levels dropping off as you image deeper into a sample. This is due to tissue absorption and scattering. SlideBook can compensate for this by increasing the laser power as a function of z depth. Follow the instructions below to calibrate laser power for z depth.
1. Open the Scanning dialog, bring the specimen into focus and adjust scanning parameters as desired.
2. Expand the section below Scan Field, the following portion of dialog will appear.
3. Adjust the focus of the microscope to the top of the sample (side closest to the objective lens). If you are using a piezo z stage, proceed to the next step. If you are using an analog (microscope stand) z control, Click Set Ref. A red arrow will appear next to the green cube and the stage value will be displayed.
NOTE: Set Ref is used to set the range of the green diagram cube for visualization purposes when using the microscope's internal z drive. The cube will represent 1000um in this case. When using a piezo z device, the cube represents the full range of travel for the piezo drive (usually 400um).
4. Move near the top of the imaging range, You will notice a black arrow moving away from the red arrow. Adjust the laser power to produce the desired results. You may wish to Snap an image from the Focus Controls or refer to the Max Signal level displayed for the PMT. Once you are satisfied with the image quality, click on Set Power.
5. Continue moving deeper into the sample. You will notice a dash where you set the previous laser power and a red arrow if a reference position was set.
6. Once you are near the maximum desired z depth, adjust the laser power as described in step 4 and click Set Power. A power ramping wedge will be drawn to indicate the first power setting ramped up to the current power setting. Notice the increase starts below the red reference arrow, where the dash was in step 5.
7. Check the box to Adjust Power with Depth. Focus through the imaging range to ensure intensity remains consistent. If you are satisfied with the results continue on to set up image acquisition. If you are not satisfied, click Clear Power and repeat the laser power setting calibration using the steps above.


Topic: Line Scanning

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Line Scanning
  • Previous page
  • Next page

Line Scanning

It is possible to scan along a single line back and forth very quickly to capture dynamics up to the several kHz range.
SlideBook uses line annotations in the live focus window to define where you want to line scan. You can create a line by selecting the line annotation tool from the Regions group of the Home tab.
Click to define the end points of the line across the feature in the sample where you want to perform line scanning. If you want to draw a line that has multiple segments, just hold the Ctrl key down and click for each “vertex” except for the very last one. Please refer to Region Tools for more information on using these tools.
When you have created a line (or lines) that you want to scan, you can open up the Line Scanning dialog in the Home tab, Acquire group, Multiphoton menu > [image] Line Scanning.
The Line to Scan edit field specifies which of the numbered line regions in the live focus window will be scanned.
Dwell Time (µs) determines the pixel dwell time just as in the Scanning dialog box.
Once you click the Apply button, SlideBook will determine how fast it can perform line scanning given the length of the line and the dwell time specified. Because of mechanical limitations on the speed and acceleration of the galvanometer scanners, you may be asked to extend the dwell time to effectively slow down the line scanning.
For instance, after selecting line 1 to scan and setting the Dwell Time (µs) to 8.0, and clicking Apply, the Resolution (pixels), Interval, Pixel Averaging, Line Duration (ms), and Frequency (lines/s) fields are filled in.
Resolution (pixels) is the length of the line in pixels and represents how many pixels will actually be recorded from.
NOTE: The number of pixels and the microns per pixel of the line is determined by the current resolution and pixel size of the region in the live focus window. For example, if the live window focus represents a 256 × 256 resolution with 0.5 micron pixels, and you draw a horizontal line that spans half the window, it will have a resolution of 128 pixels that will each be 0.5 microns in size.
Pixel Averaging is currently set to find the optimal number of samples to take per pixel without exceeding the limits of the acquisition hardware.
Offset accommodates the fact that there is a finite delay between when the galvanometer scanners are sent to a position in the field and when they actually get there. By default, it is set to the Default Scanning Offset in the Vivo 2p Settings section of the hardware properties, adjusted for the currently specified dwell time.
Interval (pixels) is the number of additional pixels that must be added to each line in order to give time for the galvanometer scanners to decelerate, reverse direction, and accelerate so that the recorded line itself represents a linear scan.
Line Duration (ms) is the amount of time it takes to record a single line (including the interval mentioned above).
Frequency (lines/s) is the reciprocal of the line duration.
NOTE: Currently line scanning is unidirectional, which means that after scanning a line in one direction, the galvanometer scanners are returned to their original position to scan in the same direction again. A future version of SlideBook will support bidirectional scanning which will increase the maximum frequency of line scanning, particularly for smaller scans.
Lines per Sequence specifies the number of lines that are scanned at once. SlideBook organizes a sequence of line scans as a 2D image plane, where the x axis is the recording along a single line scan and the y axis is which line scan in the sequence it represents.
Clicking Single Sequence will initiate scanning for one sequence and add the resulting 2D image to the current slide. If you have Wait for incoming trigger for each sequence checked, SlideBook will wait for the configured external device to provide a pulse before beginning the sequence. The graph at the top of the Line Scanning dialog box will update to represent the line recording averaged across all lines in the sequence.
Total Sequences specifies the number of sequences to be run in a capture. Each sequence will be added as a new plane in a 3D image, where the x axis is the recording along a single line scan, the y axis is which line scan in the sequence, and the z axis is which sequence in the entire capture.
Clicking All Sequences will initiate scanning for as many sequences as you specified with Total Sequences, and if Wait for incoming trigger for each sequence is checked, then the external device will need to provide a pulse to initiate each sequence.
Below is an example of a selected line in the live focus window:
And the resulting image produced by a single line scan sequence:
The line was 144 pixels in length, so the resulting line scan image is 144 columns wide and 100 rows high (where each row represents a single scan in the sequence of 100 scans).
If you select Graph comparison plot from live window data, in addition to the averaged plot lines for the two PMT channels, SlideBook will draw additional (dotted) lines that represent the intensity values along the line in the live window image. This serves as a confirmation that the path taken during the line scanning corresponds closely to the line specified.
For instance, if the path specified is as follows:
and the user runs a single sequence, the graph will be updated with the actual (average) line scan intensity as well as the intensity along the line annotation in this image.
NOTE: The direction of travel of the line scan is always from the end of the line annotation with the number to the end without. In this example, the scan is in a counterclockwise direction.
To clear the plot, simply click on the Clear Graph button.

"In-line" Photostimulation

For systems equipped to perform photostimulation using the same scanhead (but a different laser line) you can specify such an event using the Stimulation settings:
Use Excite center of region to turn on this mode and specify which region you wish to stimulate. The point that is stimulated will be the center of the region you specify, or if you select a line, it will be the midpoint of that line.
Once after line number of line scans have been performed, the galvanometers will move the beam to the specified position and the photostimulation laser will be turned on for exactly Duration (ms). Laser intensity can be set using the Intensity dropdown list. Afterward, the galvanometers will return the beam to the line being scanned and resume scanning.
NOTE: Currently intensity dictates the percentage of the maximum modulating voltage applied to the laser diode or the AOTF. It is not necessarily linear.

The contents of Line Scanning

Determining Actual Path Taken
Graphing Line Scans


Topic: Determining Actual Path Taken

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Line Scanning
  • Determining Actual Path Taken
  • Previous page
  • Next page

Determining Actual Path Taken

If parameters are chosen such that the line scanning is extremely fast (e.g., > 2 kHz) the path taken may be either slightly shortened from the line drawn or, in the case of a multi-segment line, the path taken may be slightly curved with respect to the line segments drawn.
VIVO™ 2-Photon systems are equipped to record the exact path taken, and you can display this on a snapped (2D) image of the field in which the line was drawn.
Either using the Snap button in the focus controls, or by doing image capture, acquire an image of the field in which the line was specified and select that image in the corresponding slide view. Then, click Test. SlideBook will run a test scan and create a new mask in the selected image that displays the actual path taken.


Topic: Graphing Line Scans

×

  • SlideBook 6 User's Guide
  • 2-Photon Scanning Module
  • Line Scanning
  • Graphing Line Scans
  • Previous page
  • Next page

Graphing Line Scans

In order to graph a line scanning sequence over time, open the line scan image of interest and create rectangular regions just as you would in a normal image (see also Region Tools). In a line scan image, SlideBook will automatically assume you want to see the line scan across all timepoints, regardless of where you place the region vertically. However, the portion of each line scan that it averages to compute each position in the plot is determined by the horizontal extent of the region.
So, for instance, in order to graph three different sections of a line scan image…
You create three different regions and then select [image] Graph either in the Evaluate group of the Process tab or by the [image] Graph icon in the view window.
This brings up the following dialog box, where you can select which channels you wish to graph as well as what you want on the vertical axis (e.g., intensity, ΔF / F, etc.):
The resulting graph view will show the first channel intensities as a solid line and the second channel intensities as a dashed line. You can easily change which channels are displayed by selecting the corresponding Solid, Dashed, and Dotted dropdown lists at the top of the new view.
Each region’s plot line is the same color as the corresponding region in the original view.
Placing the mouse cursor over a plot line will pop up channel, region, timepoint, and intensity information at that position.
Note that the horizontal axis of the plot is the same (and covers all timepoints) for all three regions, despite the fact that their vertical placement (and size) differs.
Additional buttons within the graph view allow you to zoom in on particular sections.


Topic: Lattice LightSheet Module

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Previous page
  • Next page

Lattice LightSheet Module

Background

Live cell imaging allows for the understanding of spatially complex, rapidly evolving cell physiology that cannot be accomplished by structural imaging alone. However, live cell imaging requires tradeoffs of spatial resolution, temporal resolution, and phototoxicity. This is especially true when imaging in three dimensions. The Lattice LightSheet (LLS) microscope, developed by Dr. Eric Betzig of the HHMI Janelia Research Campus, allows scientists to overcome these limitations. Ultra thin light sheets (~400nm) derived from two dimensional (2D) optical lattices are scanned plane by plane through the specimen to generate a 3D image. The fluorescence signal emitted from the in focus plane is detected simultaneously over the entire field of view, thus increasing imaging speeds over conventional confocal scanning techniques. The thinness of the sheet generates diffraction limited and beyond axial resolution with excellent signal to noise ratio and negligible photobleaching.

Optical Path

Lasers are individually expanded in the laser launch to 2.5mm, collimated and aligned to be co-linear. All lines pass through an Acousto-Optic Tunable Filter (AOTF). Frequency modulation of the AOTF regulates the degree of higher order light that is transmitted, thus regulating the laser power input into the system. Once in the Lattice LightSheet optical path, a set of cylindrical lenses expands the 2.5mm input beam in X to 25mm to uniformly illuminate a stripe on the Spatial Light Modulator (SLM). The SLM is programmed to display binary images of user generated multi-Bessel patterns generating an optical lattice of Bessel beams. The Bessel beam is projected onto an annular mask, which filters the zeroth order, removes artifacts and lengthens the sheet. The mask is serially conjugate to Z and X galvo mirrors as well as the rear pupil of the excitation objective, allowing the light sheet to be translated in y and z and rapidly oscillated in x for the dithered mode of operation. The beam is focused through the illumination objective to create a pattern of the Bessel beams at the sample plane that is conjugate to the projection off of the SLM. This pattern is dithered by the X galvo to form the sheet of illumination that is observed by the sCMOS camera, through the detection objective. The 25X detection objective, in conjunction with the 500mm tube lens, gives a 62.5X magnification at the camera.

The contents of Lattice LightSheet Module

Starting the System
Initial Beam Alignment
Preparing for PSFs
Daily PSFs
LLS SIM Acquisition Guide
Supplementary Materials


Topic: Starting the System

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Starting the System
  • Previous page
  • Next page

Starting the System

This chapter covers turning on the hardware and software to begin using the 3i Lattice LightSheet system. The system should be powered up and allowed to stabilize for 1 hour before alignment or use. Alternatively the system can be left on and the MPB lasers, discussed below, can be turned off. By leaving the system on, the launch and in particular the AOTF stays powered and thus reduced startup thermal instability.

The contents of Starting the System

Powering on Hardware
Starting the Software


Topic: Powering on Hardware

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Starting the System
  • Powering on Hardware
  • Previous page
  • Next page

Powering on Hardware

For proper system operation, it is important to adhere to the following procedure when powering on your system.
  • 1.
    Turn on the main system power switch.
  • 2.
    Confirm power is on for Orca Flash 4.0, light will be illuminated on bottom of camera. Confirm the FPGA and galvo chassis are switched on by the red LED indicator lights.
  • 3.
    Confirm SLM has power. There will be green flashing lights on the SLM control board. If these green LEDs are not illuminated, unplug the power (A) then plug it back in. This should not be a frequent issue and if it becomes so, please contact support@intelligent-imaging.com.
  • 4.
    Make sure the Laser Safety Shutter key (A) is turned to the ON position and that the 642nm (B) and 560nm (C) laser keys are turned to the LASER ON position.


Topic: Starting the Software

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Starting the System
  • Starting the Software
  • Previous page
  • Next page

Starting the Software

Multiple software programs need to be initialized and set up to get the system running.
  • 1.
    Open a GUI VFL program window for each MBP laser the system contains (usually 560nm and/or 642nm)
  • 2.
    Click the serial port button (looks like the plug itself) to access Serial Port selection. Ensure correct COM port is displayed for each laser. This can be determined in Device Manager/Ports (Com & LPT). The MPB lasers will be designated MPB Serial Device in Windows 7 and USB Serial Device in Windows 10.
  • 3.
    Turn each laser key off and on again. Click On button in software for each laser.
  • 4.
    Click the serial port button to access the laser power setting. Set laser powers to 500mW, click Activate.
  • 5.
    Lasers will take a moment to warm up. You will see the Emission indicator turn on and note the Power displayed is in range when lasers are ready.
    NOTE: The MPB lasers must be tuned regularly. When the laser is at 500mW output, observe the Measured output. If this value is over 8000mA, the laser needs to be tuned. To do this, see Tuning Lasers.
  • 6.
    Ensure the objective assembly is in the raised position and no sample holder is mounted. Open SlideBook.
  • 7.
    Open the Lattice LightSheet module.
  • 8.
    The following Lattice LightSheet user interface will appear.

The contents of Starting the Software

Tuning Lasers


Topic: Tuning Lasers

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Starting the System
  • Starting the Software
  • Tuning Lasers
  • Previous page
  • Next page

Tuning Lasers

The MPB lasers must be tuned regularly. When the laser is at 500mW output observe the Measured output. If this value is over 8000mA, the laser needs to be tuned.
  • 1.
    Click the settings/tools icon.
  • 2.
    A warning message will open. Click OK.
  • 3.
    The tuning process will run in the background and close when complete.


Topic: Initial Beam Alignment

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Initial Beam Alignment
  • Previous page
  • Next page

Initial Beam Alignment

  • 1.
    In the Lattice LightSheet dialog, check the box for Laser 2, select 488 from the drop down, and use the power dropdown menu to set the power to 1%.
    NOTE: The laser dropdown menu controls both the laser and loaded Bessel pattern. For 488, there are two options: 488 and 488SB. Select 488 to load the multi Bessel pattern (as opposed to the single Bessel (SB) pattern). Loading Bessel Patterns outlines how to load new patterns into SlideBook.
    If the laser checkboxes are grayed out, confirm that the Alignment dropdown checkbox is unchecked.
  • 2.
    Set the X Galvo range to 0 and the X Galvo offset to 0. This will turn off dithering of the lighsheet, a necessary step in initial dye alignment.
  • 3.
    Click 2k and click Live. A message will appear asking, “SLM is not programmed – reprogram?” Click Yes. This will initiate the live capture.
  • 4.
    You should observe 488nm laser entering the system. If you do not, toggle the interlock key. When the capture initiates, the Live Camera window will open. It may take a moment for the live window to open while the SLM is programmed. You may monitor the SLM progress by viewing the status messages in the lower left corner of the Lattice LightSheet dialog. If the camera window does not fully open, click Stop then click Live again.
    Once system is started and acquiring, wait at least one hour before starting the beam alignment outlined below.
  • 5.
    You will next need to evaluate the multi Bessel beam profile. Locate the USB cameras section of the dialog. You will see the beam examining camera, finder camera, and back aperture cameras listed. Check the box next to Beam and use the slider or text field to reduce the exposure time to 1ms. A new window will open and you will be able to view the multi Bessel beam.
    NOTE: When you first start up the system, it is imperative that you allow the system to warm up to a baseline temperature. This can be monitored using the multi Bessel beam profile in the Beam examining camera. During this initial warm up the pattern will be non-uniform horizontally, as seen in the examples above; it is critical that any alignment is not initiated until the beam is close to uniform as shown in the following image. The approximate time needed to wait is at least one hour for most systems.
  • 6.
    If the multi Bessel beam profile is uniform, proceed to Daily Dye Alignment. If, after 1 hour, you still observe non-uniform illumination, you will need to adjust the input of the laser into the system. Continue reading Adjusting Laser Input to the System.

The contents of Initial Beam Alignment

Adjusting Laser Input to the System
Daily Dye Alignment


Topic: Adjusting Laser Input to the System

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Initial Beam Alignment
  • Adjusting Laser Input to the System
  • Previous page
  • Next page

Adjusting Laser Input to the System

  • 1.
    The first step in adjusting the laser input is to verify illumination on the SLM. To do so, hold a card in the light path just beyond the SLM towards the Fourier transform lens. The adjustments you make will be using the knobs on the first alignment mirror.
  • 2.
    Use the knobs on the first alignment mirror at the input to adjust the intensity of the illumination around the multi Bessel pattern shown on the card. Use knob A (upper right) to adjust evenness of vertical illumination. Use knob B (lower left) to adjust evenness of horizontal illumination.
  • 3.
    Next, you will need to reference the pattern post annular mask. You will be adjusting the knobs on the mirror while evaluating the card you are holding just before the back aperture to align the beam through the annular mask.
  • 4.
    Refer to the following chart when adjusting the pattern you see on the card. The lower knob (A) adjusts vertical intensity while the front upper knob (B) adjusts horizontal intensity.
  • 5.
    You will go back and forth between pre-annular mask (steps 1 & 2) and post-annular mask (steps 3 & 4) to fine tune and perfect the laser input. If you do more than 10 iterations and the two alignments are still countering each other (you cannot achieve even illumination at both locations at the same time), please contact support@intelligent-imaging.com before attempting any additional corrections.
  • 6.
    Remove both cards and examine the multi Bessel pattern in the Beam camera in SlideBook. You should have even illumination, symmetry, and clarity. If necessary, you may fine tune the post annular mask alignment (step 4). If you cannot achieve even illumination, symmetry, and clarity you will need to repeat the pre-annular mask and post-annular mask adjustments or contact 3i Support.
  • 7.
    Once even illumination, symmetry, and clarity are achieved, proceed to Daily Dye Alignment.


Topic: Daily Dye Alignment

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Initial Beam Alignment
  • Daily Dye Alignment
  • Previous page
  • Next page

Daily Dye Alignment

  • 1.
    Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position. Ensure there is no sample holder.
  • 2.
    Place stage cover over stages.
  • 3.
    Place 8 ml of media that is to be used the day of imaging into the lower sample chamber.
    NOTE: While the stage cover does help to protect the stages and sample piezo, you must be extremely careful when adding fluid as stages and piezos are very sensitive to water exposure.
  • 4.
    Place 20µl of 100nM Fluorescein (in deionized water) into the lower sample chamber.
  • 5.
    Grasp the objective assembly handle to stabilize it. Remove the block that was holding the assembly up in the load position and slowly lower the objective assembly using the handle.
  • 6.
    Allow the media and dye to come to temperature, about 5-15 minutes. This time can be reduced by having the media at imaging temperature in a water bath or incubator.
  • 7.
    In SlideBook use the drop down menu in Laser Channels and select 488SB and set the laser power to 1%.
  • 8.
    Check the Beam checkbox and set exposure time to 1ms. Examine the single Bessel beam profile in the beam-examining camera of SlideBook. Click Live to start the cameras. It may take a moment for the SLM to be programmed. You can see the SLM status in the lower left of the Lattice LightSheet dialog.
  • 9.
    At this point, you should observe evenly illuminated and symmetric concentric rings. The central core is the primary Bessel beam with side lobes of decreasing intensity as seen in the following figure in panel A. If you observe a pattern as seen in panels B or C, you will need to adjust the two knobs as shown in steps 3–4 (post-annular mask evaluation) of Adjusting Laser Input to the System.
  • 10.
    Uncheck the Beam box to stop the camera acquiring. In Laser Channels, bring the laser power setting up to the full 100%.
  • 11.
    Observe a single Bessel beam in the dye solution. This is the condensed interference pattern of the single Bessel observed from the perspective of the imaging 25X objective. At this point, regardless of focus and centration, the input beams should display even illumination. If you notice some intensity differences between the input beams, it means that there may be a bubble in the media or the media is not filled to the appropriate level. Check the sample chamber, fix any issues, and return to this step. If you still see illumination asymmetry, contact 3i Support.
  • 12.
    To assist in the initial centering of the beam, check the Guides checkbox to produce a centering guide in the live camera window.
  • 13.
    It is common for the beam to be off center and slightly out of focus upon startup of the instrument. The first step in the dye alignment is to focus the beam to make the pattern crisp. To focus the beam, adjust the detection objective micrometer. This focus adjusts the focal point of the objective to be parallel with the plane of illumination of the excitation objective.
  • 14.
    Once focused, make sure the beam is centered in the field of view. To adjust horizontal centration you will manipulate the illumination objective micrometer and to adjust vertically you will manipulate the far knob on the flip mirror before the back aperture of the illumination objective.
  • 15.
    Click Stop to stop acquiring. At this point you will switch to alignment mode by checking the box next to Alignment. This will allow you to change to preset exposure times, FOV, wavelength and pattern without having to reprogram the SLM. Set the wavelength to 488SB, the exposure to 10ms and the FOV to 256.
  • 16.
    Click Live. You are now zoomed in to the center of the pattern we previously examined.
  • 17.
    When you zoom in to 256 x 256, you will be looking at the very center of the Bessel pattern. Ideally, the line displayed should appear vertically centered and horizontally level as shown on the left in the following figure. Often, once you zoom into 256x256, refinement is required as shown on the right in the following figure. Either way, we will use regions to perfect this alignment in the next steps.
  • 18.
    In the Regions group of the Home tab in SlideBook, use the square region drawing tool to create two regions. Regions should cover the approximate area indicated in the following figure.
  • 19.
    Locate the graphing area in the center of the Lattice LightSheet dialog. Check the box next to Graph and select Mean from the Type dropdown menu. This will create a row profile.
  • 20.
    Now, we will use the row profiles of the two drawn regions to refine the beam alignment. In this alignment, you will adjust the beam in three ways:
    a) Horizontal centration – red and blue peaks are equal height
    b) Horizontal tilt – red and blue peaks overlap at peak row
    c) Vertical centration – both peaks are in center of row profile
    The process is iterative; you will go back and forth between (a) and (b) bring into center with (c), then fine tune as needed. The image (C) to the right is an example of a row profile of a well aligned beam.
  • 21.
    Click Stop to stop the acquisition.
  • 22.
    Check the box for 3D Capture. Select Continuous from the dropdown menu. Use the Capture mode drop down menu to select Z Galvo Scan.
  • 23.
    Set the following capture parameters:
    X Galvo range: 0.0
    X Galvo Offset: 0.0
    Stack Size (planes): 101
    Step size (um): 0.1
  • 24.
    Click Live. To create a stack profile, check the box next to Graph and choose Width from the Type dropdown menu. The goal is to have the peak for the red and blue line overlap at the same plane. This tells us that the beam is parallel to the image plane. If the beam is coming in at an angle relative to the image plane, the red and blue lines will be separated and at different width values for planes 0 and 100. If the peaks do not overlap as illustrated in the following figure, you will need to adjust the flip mirror micrometer until you see the red and blue lines overlap.
  • 25.
    Once the peaks overlap, you are ready to begin the daily PSFs. Click Stop to stop the cameras.


Topic: Preparing for PSFs

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Preparing for PSFs
  • Previous page
  • Next page

Preparing for PSFs

Once the beam alignment and dye alignment are optimized, you can begin taking the alignment verification PSFs. To do so, you will need to clean the system from the dye alignment and load your bead sample. Fill the lower sample chamber with 8ml of the media you will be using with your sample that day and load your bead sample. If you switch imaging media during a session, you should repeat the daily PSFs to correct any spherical aberration in the LLS.

Cleaning after Dye Alignment

  • 1.
    Slowly and carefully, raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Wash the lower sample chamber 4-5 times with deionized water to remove as much of the dye as possible.
  • 3.
    Wipe the tips of the two microscope objectives (lens and portion of body immersed in liquid) with lens cleaning tissues and liquid lens cleaner.

Bead Sample Preparation

The PSF sample is fluorescent beads (preferably 100nm green beads) sparsely attached to a 5mm diameter cover slip. A well-prepared sample should last at least a week. Please refer to Supplementary Materials for information on cover glass preparation and bead coverslip preparation.
NOTE: If you will be performing multichannel acquisition later in the day, you should have bead coverslips prepared for all wavelengths so you can perform Z Galvo Offsets for Additional Wavelengths .

Loading a Sample

  • 1.
    Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Add media if necessary. The sample chamber holds a maximum volume of 8ml.
    NOTE: You must be extremely careful when adding water as stages and piezos are very sensitive to water exposure. Please cover the stages with the provided stage cover.
  • 3.
    Load the sample holder containing the sample coverslip with the coverslip up. See also Loading Coverslip to Holder.
  • 4.
    Secure using set bolts.
  • 5.
    Grasp the objective assembly handle to stabilize it. Remove the block that was holding the assembly up in the load position. Slowly lower the objective assembly using the handle.
    NOTE: There are hard limits in the software that will prevent positioning that would damage the objective but caution should still be exercised.

Removing a Sample

  • 1.
    Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Remove the set bolts.
  • 3.
    Remove the sample holder. If it is the end of use for the day, see also Clean Up and Shut Down.

The contents of Preparing for PSFs

Finding a Bead


Topic: Finding a Bead

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Preparing for PSFs
  • Finding a Bead
  • Previous page
  • Next page

Finding a Bead

  • 1.
    Under Capture mode choose Sample Scan. Uncheck the box for 3D. Check the box for Alignment. In Laser Channels choose the appropriate wavelength for the beads that you will be imaging. For PSF and biology acquisition, use the multi-Bessel for each wavelength and you initially use a non-3D capture to find the bead. In Alignment, change the parameters to 10ms exposure, 2048 field, and 488.
  • 2.
    Click Live to begin live camera streaming.
  • 3.
    To find beads, use the XY Stage and Z Stage Control interfaces in the top right corner of the Lattice LightSheet dialog to move the sample holder to bring beads into the field of view. The values that are referenced are the last position of the X, Y and Z stages. Do not click Link X to Z. Move the XY stages by clicking the arrows that designate the direction in which you would like the bead to move. The Step size field is used to set a value for the movement made each time you click an arrow button. The default value is 5um and this is a good starting value for the initial location of beads. For the Z stage control there are pre set values of 10, 1 and 0.1um as well as a fourth user-defined value all linked to up and down arrows.
    Use the arrow buttons to focus through the sample to get your bearings. In the full 2K FOV using 488nm, you may see a faint multi Bessel pattern due to a slight amount of residual dye. Ironically, for new users this is a useful tool for finding the coverslip as will be covered below. As you become more and more proficient and comfortable locating samples, we recommend that you wash the sample chamber to try and remove as much residual dye as is possible.
    Using the Z stage controls, move the stage up. As the stage is physically moving up to move the sample holder closer to the objective, the value for the Z stage position will become more negative.
    NOTE: We recommend that when changing samples or beads that you lower the Z stage. This will allow you to place a new sample on the system and lower the objective assembly without concern of lowering the objective onto the sample holder.
  • 4.
    As you raise the sample holder, you will observe the sample come into the field of view from the left. This will appear as a line through the Bessel with the FOV to the left of the Bessel being much darker than the FOV to the right of the Bessel. This line that demarcates these halves of the overall FOV is the point where the Bessel is making contact with the coverslip.
  • 5.
    Click Stop to stop the acquisition. In alignment, change the field size to 512 then click Live to resume live capture.
    The LLS has an effective magnification of 62.5X so 1 pixel is 0.104um giving a FOV of 53.2um at 512 x 512) Use the XY stage control (we recommend that you initially use 5um step size) to move the sample to locate and center a bead. You will need to locate a single bead with no other beads within ¼ of the field of view. As you move the bead in X, you will need to re-center the beam using the Z stage. This iterative process is required because of the geometry of the illumination and detection relative to the sample. As you move the sample (in this case beads) in X, the sample will move out of the Bessel beam and you will need to raise or lower the coverslip to return the sample to the Bessel beam.
  • 6.
    Decrease X, Y, and Z step size to 0.2.
  • 7.
    Center the bead. You can use the Guides to assist in centering the bead.
  • 8.
    After you center the bead at 512 x 512, click Stop. Reduce the field to 128. Click Live. Adjust Y using the up and down buttons so that the bead is vertically centered. Iteratively adjust X and Z to get the bead focused and centered horizontally. You may notice another bead contributing to the field. If this happens, increase the X step size to 2.2 and continue moving in the + direction looking for another, more isolated bead. When you find the next bead, adjust Y, and then iteratively X and Z.
  • 9.
    Once you have a nice bead centered and in focus, click Stop.


Topic: Daily PSFs

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Previous page
  • Next page

Daily PSFs

It is important to find an isolated bead per the previous instructions. Any contributing emission from other beads in the field will be problematic as will excessive background due to excessive residual dye from the dye alignment.
Throughout the PSF process (and when imaging samples) you should intermittently evaluate the beam-examining camera to ensure the multi Bessel beam has not drifted. Failure to do so could cause subsequent unnecessary adjustments that could further degrade system performance.
If you notice a bead bleaching during the PSF process, move to a fresh bead per the Finding a Bead instructions.

The contents of Daily PSFs

Detection PSF
Excitation PSF
Total PSF
XZ PSF
Z Galvo Offsets for Additional Wavelengths
Total PSFs using Sample Scan


Topic: Detection PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Detection PSF
  • Previous page
  • Next page

Detection PSF

The Detection PSF (also called Emission PSF) describes the performance of the detection path independent of the light sheet excitation path. It uses a fixed sheet focused on the bead and moves the detection objective with the Z piezo.
Purpose: Eliminate spherical aberration, check for coma and astigmatism.
  • 1.
    Check the box for 3D, choose continuous. Select Objective scan as the scan type. You will be using the alignment parameters previously set of 10ms exposure, 128 field size, and 488 channel with 100% laser power.
  • 2.
    Set Stack size (planes) to 101 and Step size (um) to 0.1. Check the box for MIP XYZ.
  • 3.
    Using a centered and focused bead, click Live. By clicking MIP XYZ, will display XY, XZ and YZ Max Projections of the emission PSF in separate windows. You will need to resize the MIP windows to visualize all in the workspace. You may wish to turn on Red Hot as a lookup table near the Guides checkbox.
  • 4.
    The stack projections should be symmetrical in both horizontal and vertical axes. First, look for and eliminate spherical aberration. Spherical aberration is evident when the spread of light above and beneath the bead are not symmetrical (creates a “Y’ shape instead of an “X” shape) and can occur when switching to a media of a different refractive index.
    Occurs when switching to media of a higher refractive index. Compensate by turning correction collar counter-clockwise and objective micrometer clockwise.
    Occurs when switching to media of a lower refractive index. Compensate by turning correction collar clockwise and objective micrometer counterclockwise.
    NOTE: The XZ and YX projections should exhibit similar spherical aberration. If you notice the “Y” flare of spherical aberration is flipped between the XY and YZ projections, this is a form of astigmatism and you should contact 3i Support for assistance in resolving the alignment issue. Remember to evaluate the pattern in the Beam camera window to confirm the multi Bessel beam is evenly illuminated and crisply focused.
    To correct for spherical aberration, you will move the correction collar on the detection objective a discreet amount in the direction indicated by the preceding chart.
    An example counterclockwise correction was made in the following figure; note it was about 1/3 of a tick mark distance.
  • 5.
    Each move on the correction collar requires a counter move on the objective micrometer. Turn the objective correction collar the direction required (about 1/3 of a tick mark). Adjust the objective micrometer the opposite direction in the live feed to bring the bead back into focus.
  • 6.
    Evaluate for spherical aberration and repeat corrections as necessary. If you cannot resolve the spherical aberration using this method and have confirmed the multi-Bessel is evenly illuminated and crisply focused in the Beam camera window, contact support@intelligent-imaging.com for additional assistance.
  • 7.
    Once you have a PSF that shows little to no spherical aberration, evaluate the PSF for coma or astigmatism. These aberrations may manifest as any of the following:
  • •
    Flipping of the spherical aberration “Y” between the XZ and YZ projections
  • •
    Rotation of the “X” shape either clockwise or counterclockwise in either XZ or YZ projection
  • •
    Lateral asymmetry in the X shape in either XY or YZ projection
    A good detection PSF is shown in the following figure. There is a small interference pattern beneath the bead caused by the coverslip. This is acceptable.
    If you notice astigmatism or coma please contact 3i Support.
    Warning: Do not attempt tube lens adjustments without approval from 3i Support.
  • 8.
    To best evaluate the detection PSF, capture the PSF by clicking Stop to stop live streaming and Execute in the lower right corner of the Lattice LightSheet dialog. This will acquire a single z stack, write it to the .sld, and open the image in a view window.
  • 9.
    With the image window active, type Ctrl + T to open a Three View. Different view types can also be accessed from the [image] View menu in the Home tab.
  • 10.
    The Three View will default to 800%. Use the Zoom dropdown menu to change to 400%.
  • 11.
    Use the Pointer tool [image] to select a point in the XY, XZ, or YZ area. The other areas will update to focus around the selected voxel. Alternatively, you may click and drag through a selected area to create a flythrough in other dimensions. Clicking near the center of any panel should bring the bead into view.
  • 12.
    Click the [image] Renormalize icon to open the Renormalization dialog. Adjust gamma to better visualize the PSF.
  • 13.
    You may wish to save the Detection PSF for your records.


Topic: Excitation PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Excitation PSF
  • Previous page
  • Next page

Excitation PSF

The Excitation PSF (also called Illumination PSF) demonstrates the alignment of the excitation path. In this PSF, we will sweep the dithered beam over the bead and keep the z piezo stationary.
Purpose: Confirm the sheet is optimized, including axial thickness.
  • 1.
    Change the Capture mode to Z galvo scan. Use all of the other settings configured for the Detection PSF.
  • 2.
    Set the X Galvo range to 10 to begin dithering the lightsheet.
  • 3.
    Using the bead that you centered and focused click Live. By clicking MIP XYZ, SlideBook will display XY, XZ and YZ maximum intensity projections of the Excitation PSF in separate windows. You will need to resize the MIP windows to visualize all in the capture window
  • 4.
    If the PSF is not vertically centered in the YZ view (upper left displayed above), first check the Beam camera window to ensure the multi Bessel pattern is evenly illuminated and well-focused. If that looks good, you will need to adjust the proximal knob on the flip mirror.
    PSF is Vertically Low
    PSF is Vertically High
    Turn proximal knob clockwise
    Turn proximal knob counterclockwise
    NOTE: This adjustment using the proximal knob on the flip mirror should only be performed at one wavelength during initial dye alignment. Other wavelengths will be compensated for by using Z galvo offsets discussed later in this manual.
  • 5.
    Once you have the PSF vertically centered, click Stop to stop the acquisition.
  • 6.
    To best evaluate the Excitation PSF, capture the PSF by clicking Execute in the lower right corner of the Lattice LightSheet dialog. This will acquire a single z stack, write it to the .sld, and open the image in a view window.
  • 7.
    With the image window active, type Ctrl + T to open a Three View. Different view types can also be accessed from the [image] View menu in the Home tab.
  • 8.
    The Three View will default to 800%. Use the Zoom dropdown menu to change to 400%.
  • 9.
    Use the Pointer tool [image] to select a point in the XY, XZ, or YZ area. The other areas will update to focus around the selected voxel. Clicking near the center of any panel should bring the bead into view.
  • 10.
    Select the [image] Marquee tool from the tool menu in the Three View window.
  • 11.
    Draw a rectangle around the XY view of the bead.
  • 12.
    In the main SlideBook ribbon toolbar, go to the Analyze tab, Evaluate group, [image] Extract Measurements > Analyze PSF. The Analyze PSF dialog will open.
  • 13.
    Click Locate (A). Check the box to Use image axes instead of identified principal components (B) . Click Find Axes (C).
  • 14.
    You should observe the following pattern in Main (Axial) Axis. This is a profile of the excitation PSF.
  • 15.
    If desired, save the PSF for your records.


Topic: Total PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Total PSF
  • Previous page
  • Next page

Total PSF

The Total PSF incorporates both excitation and emission paths to demonstrate the optical performance of the light sheet scope. This PSF uses dither of the x galvo, sweeps the beam with the z galvo, and coordinately moves the objective piezo.
Purpose: Demonstrate axial performance of the system and set Z Galvo Offset for the imaging session.
  • 1.
    Select Z + Objective scan as the scan type. You will use all; of the previous settings used for the Excitation PSF.
  • 2.
    Using the bead that you centered and focused, click Live. By clicking MIP XYZ, SlideBook will display XY, XZ and YZ maximum intensity projections of the Total PSF in separate windows. You will need to resize the MIP windows to visualize all in the capture space.
  • 3.
    You are looking for a nice tight oval bead in the YZ projection panel. If you see any flare above or beneath the bead, the Z Galvo Offset needs to be adjusted. Refer to the following chart for guidelines on adjusting this value.
    Increase Z Galvo Offset value
    Z Galvo Offset is correct
    Decrease Z Galvo Offset value
  • 4.
    If you need to adjust z galvo offset, click Stop. Check the box for Z Offset. Enter a test value for Z um. Click Live to recapture the PSF. Repeat until you achieve the correct offset value. Once the correct value is determined, Stop the capture and click + next to the offset to save the Z offset value for the imaging session.
  • 5.
    To best evaluate the Total PSF, capture the PSF by clicking Execute in the lower right corner of the Lattice LightSheet dialog. This will acquire a single z stack, write it to the .sld, and open the image in a view window.
  • 6.
    Before evaluating the Total PSF, you will need to perform a background correction. In the main SlideBook ribbon toolbar, go to the Home tab, Regions group and select the rectangle region drawing tool.
  • 7.
    Click and drag to draw a rectangular region in a corner of the image view window. Click to select the region (the number "1" will be white when the region is selected). Right click and select Set as Background.
  • 8.
    Go to the Analyze tab, Process Image group, [image] Math menu > Subtract Region Background. A window will open asking if you would like to create a copy of the image with the average intensity of the background region subtracted. click OK.
  • 9.
    Locate the new image in the .sld, the image name will be appended with .Sub. Click on the image name then type Ctrl + T to open a Three View. All views will appear blank upon initial opening, click near the center of any panel to bring the bead into view.
  • 10.
    Select the [image] Marquee tool from the tool menu in the Three View window.
  • 11.
    Draw a rectangle around the bead in the XY panel.
  • 12.
    In the main SlideBook ribbon toolbar, go to the Analyze tab, Evaluate group, [image] Extract Measurements > Analyze PSF. The Analyze PSF dialog will open.
  • 13.
    Click Locate (A). Check the box to Use image axes instead of identified principal components (B) . Click Find Axes (C).
  • 14.
    Click Measure FWHM. You need to achieve an XYZ resolution of greater than 375 x 375x 775nm for 488nm beads. If you do not, it may be necessary to evaluate the detection and excitation PSF as any spherical aberration in the detection PSF and any non-centration in the excitation PSF will cause decreased resolution. In addition, you may need to evaluate the Z galvo offset and adjust accordingly.
  • 15.
    Save the PSF for your records if desired.


Topic: XZ PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • XZ PSF
  • Previous page
  • Next page

XZ PSF

The XZ PSF maps out the shape of the lattice light sheet. This PSF rasters the beam with the X galvo for dither and uses the Z galvo for sweep. It rasters over a stationary bead and takes a maximum intensity projection at each acquisition. We previously used the beam-examining camera to examine the incoming beam but now we will evaluate the beam in the sample plane using intensity of the bead as a detector.
Purpose: To further evaluate the multi Bessel beam pattern.
  • 1.
    Uncheck the box for 3D, click Live. Center and focus a bead.
  • 2.
    In the main SlideBook ribbon toolbar, go to the Home tab, Regions group and select the rectangle region drawing tool. Draw a region away from the bead, right-click and Set as Background. Draw a region around the bead.
  • 3.
    Click Stop to stop acquisition. Check the box for 3D, click XZ PSF (by the Live button). The XZ PSF is acquired using preset acquisition parameters and thus it does not matter on what type of capture mode you use.
  • 4.
    A large Lattice LightSheet XZ PSF dialog will open. Click Execute in the lower right corner of the dialog. Once the acquisition is complete the following XZ images will appear. You should observe a symmetrical and perfectly vertical XZ PSF.


Topic: Z Galvo Offsets for Additional Wavelengths

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Z Galvo Offsets for Additional Wavelengths
  • Previous page
  • Next page

Z Galvo Offsets for Additional Wavelengths

After you capture the four different daily PSFs (Detection, Excitation, Total, and XZ) and adjust the alignment, you should be confident that the system is well aligned for the 488nm wavelength. It is important to note that the Z Galvo offset will vary slightly for each wavelength. Before you proceed with imaging biological samples, you should repeat the Total PSF for each wavelength you anticipate using for the session.
  • 1.
    Reload a bead coverslip with beads of desired fluorophore. Refer to Finding a Bead and Total PSF to determine Z Galvo Offset value (step # 5 of Total PSF). Once you have determined the appropriate Z galvo offset, be sure to click + to save the value for use.
    NOTE: Once you click +, the value will change to 0.0. This is because you have essentially created a new zero offset position.
  • 2.
    At Step 15 of the Total PSF, refer to the following chart for the target values for XYZ resolutions.
    Wavelength
    X
    Y
    Z
    488nm
    375nm
    375nm
    775nm
    560nm
    435nm
    435nm
    888nm
    642nm
    525nm
    525nm
    1100nm
  • 3.
    You are now set up to perform multi-channel imaging.


Topic: Total PSFs using Sample Scan

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Daily PSFs
  • Total PSFs using Sample Scan
  • Previous page
  • Next page

Total PSFs using Sample Scan

We previously discussed the Total PSF captured using Z Galvo/Z Piezo capture (also called Objective Scan mode), which generates a deskewed PSF. While this is critical for daily evaluation of the alignment, when imaging biology, the predominant mode of capture is Sample Scan acquisition, which generates skewed data sets. For this reason, you will need to capture a matched Total PSF using Sample Scan capture mode. This PSF will then be available for use in downstream workflow, including deskewing and deconvolution.
The following video covers and explains the math involved during Objective Scan and Sample Scan acquisition types and explains deskewing.
https://youtu.be/Icsj1NrIPlo
Purpose: To collect a PSF for use in deconvolution.
  • 1.
    Bring a single bead into focus in the center of the field. If you can not locate a bead, return to Finding a Bead.
  • 2.
    Change Capture mode to Sample Scan. Use previous PSF capture settings.
  • 3.
    Click Execute. The PSF will be acquired. Locate the new image in the .sld. Click on the image name then type Ctrl + T to open a Three View. All views will appear blank upon initial opening, click near the center of any panel to bring the bead into view.
  • 4.
    Look at the XZ Projection within the Stack Projections tab and observe that the PSF is skewed. This is because the acquisition was taken in Sample Scan mode and will need to be deskewed. For more information on what this means, please refer to our short instructional video at https://youtu.be/Icsj1NrIPlo.
  • 5.
    Save the stack for use in deconvolution later by clicking the save icon in the center. You may wish to include wavelength information in the filename.
  • 6.
    Daily alignment and PSF verification is now complete. You can proceed to imaging biology. During biological imaging, periodically check in on the uEye software to examine the beam and be sure to maintain an adequate level of media in the chamber sample. Remember to repeat Daily Dye Alignment and Daily PSFs should you change imaging media.


Topic: LLS SIM Acquisition Guide

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • Previous page
  • Next page

LLS SIM Acquisition Guide

The Lattice LightSheet Microscope is capable of two modes of acquisition. The first and most commonly used is the dithered mode, where the light sheet is rapidly dithered along the X-axis and only one image is recorded per Z plane. The second is the structured illumination microscopy mode (SIM). During SIM acquisition, the lightsheet is moved in N discrete phase steps along the X-axis. Five raw images are collected that are reconstructed using a user generated optical transfer function (OTF) to produce a reconstructed image that is beyond the diffraction limit of the detection objective and the generated Lattice pattern, in the patterned direction. The obvious advantage to SIM acquisition is the increase in axial resolution from approximately 400nm to an achievable resolution of 280nm. The disadvantages of SIM for live cell microscopy are the decrease in temporal resolution due to the longer acquisition times needed to collect the 5 phase images for each Z plane and the increase in photobleaching and phototoxicity for the same reason. SIM acquisition should only be used when the need for temporal resolution is not as stringent and the sample lends itself to longer acquisitions, i.e: higher expression levels of the fluor that is to be detected.

The contents of LLS SIM Acquisition Guide

Preparing for SIM PSFs
SIM PSF and OTF Generation
Imaging Biology with SIM LLS
Processing Biological SIM Data


Topic: Preparing for SIM PSFs

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • Preparing for SIM PSFs
  • Previous page
  • Next page

Preparing for SIM PSFs

Once the beam alignment and dye alignment are optimized, you can begin taking the alignment verification PSFs. To do so, you will need to clean the system from the dye alignment and load your bead sample. Fill the lower sample chamber with 8ml of the media you will be using with your sample that day and load your bead sample. If you switch imaging media during a session, you should repeat the daily PSFs to correct any spherical aberration in the LLS.

Cleaning after Dye Alignment

  • 1.
    Slowly and carefully, raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Wash the lower sample chamber 4-5 times with deionized water to remove as much of the dye as possible.
  • 3.
    Wipe the tips of the two microscope objectives (lens and portion of body immersed in liquid) with lens cleaning tissues and liquid lens cleaner.

Bead Sample Preparation

The PSF sample is fluorescent beads (preferably 0.1 488μm beads) sparsely attached to a 5mm diameter cover slip. A well-prepared sample should last at least a week. Please refer to Supplementary Materials for information on cover glass preparation and bead coverslip preparation.
NOTE: If you will be performing multichannel acquisition later in the day, you should have bead coverslips prepared for all wavelengths so you can perform Z Galvo Offsets for Additional Wavelengths .

Loading a Sample

  • 1.
    Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Add media if necessary. The sample chamber holds a maximum volume of 8ml.
    NOTE: You must be extremely careful when adding water as stages and piezos are very sensitive to water exposure. Please cover the stages with the provided stage cover.
  • 3.
    Load the sample holder containing the sample coverslip with the coverslip up. See also Loading Coverslip to Holder.
  • 4.
    Secure using set bolts.
  • 5.
    Grasp the objective assembly handle to stabilize it. Remove the block that was holding the assembly up in the load position. Slowly lower the objective assembly using the handle.
    NOTE: There are hard limits in the software that will prevent positioning that would damage the objective but caution should still be exercised.

Removing a Sample

  • 1.
    Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
  • 2.
    Remove the set bolts.
  • 3.
    Remove the sample holder. If it is the end of use for the day, see also Clean Up and Shut Down.

The contents of Preparing for SIM PSFs

Finding a Bead for SIM


Topic: Finding a Bead for SIM

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • Preparing for SIM PSFs
  • Finding a Bead for SIM
  • Previous page
  • Next page

Finding a Bead for SIM

  • 1.
    For PSF and biology acquisition, use the multi-Bessel for each wavelength and a non-3D (uncheck 3D box) capture to find the bead. In Alignment, change the parameters to 10ms exposure, 2048, and appropriate wavelength.
  • 2.
    To find beads, use the XY Stage and Z Stage Control interfaces in the top right corner of the Lattice LightSheet dialog to move the sample holder to bring beads into the field of view. The values that are referenced are the last position of the X, Y and Z stages. Do not click Link X to Z. Move the XY stages by clicking the arrows that designate the direction in which you would like the bead to move. The Step size field is used to set a value for the movement made each time you click an arrow button. The default value is 5μm and this is a good starting value for the initial location of beads. For the Z stage control there are pre set values of 10, 1 and 0.1μm as well as a fourth user-defined value all linked to up and down arrows. The default value is 5μm.
    Use the arrow buttons to focus through the sample to get your bearings. In the full 2K FOV using 488nm, you may see a faint multi Bessel pattern due to a slight amount of residual dye. Ironically, for new users this is a useful tool for finding the coverslip as will be covered below. As you become more and more proficient and comfortable locating samples, we recommend that you wash the sample chamber to try and remove as much residual dye as is possible.
    Using the Z stage controls, move the stage up. As the stage is physically moving up to move the sample holder closer to the objective, the value for the Z stage position will become more negative.
    NOTE: We recommend that when changing samples or beads that you lower the Z stage. This will allow you to place a new sample on the system and lower the objective assembly without concern of lowering the objective onto the sample holder.
  • 3.
    As you raise the sample holder, you will observe the sample come into the field of view from the left. This will appear as a line through the Bessel with the FOV to the left of the Bessel being much darker than the FOV to the right of the Bessel. This line that demarcates these halves of the overall FOV is the point where the Bessel is making contact with the coverslip.
  • 4.
    Click Stop to stop the acquisition. In alignment, change the field size to 512 then click Live to resume live capture. Any time you change acquisition parameters (with the exception of laser power), the acquisition will need to be stopped and restarted.
    NOTE: The LLS has an effective magnification of 62.5X so 1 pixel is 0.104μm giving a FOV of 53.2μm at 512 x 512) Use the XY stage control (we recommend that you initially use 5μm step size) to move the sample to locate and center a bead. You will need to locate a single bead with no other beads within ¼ of the field of view. As you move the bead in X, you will need to re-center the beam using the Z stage. This iterative process is required because of the geometry of the illumination and detection relative to the sample. As you move the sample (in this case beads) in X, the sample will move out of the Bessel beam and you will need to raise or lower the coverslip to return the sample to the Bessel beam.
  • 5.
    Decrease X, Y, and Z step size to 0.2 μm.
  • 6.
    Center the bead. You can use the Guides to assist in centering the bead.
  • 7.
    After you center the bead at 512 x 512, click Stop. Reduce the field to 128. Click Live. Adjust Y using the up and down buttons so that the bead is vertically centered. Iteratively adjust X and Z to get the bead focused and centered horizontally. You may notice another bead contributing to the field. If this happens, increase the X step size to 2.2 and continue moving in the + direction looking for another, more isolated bead. When you find the next bead, adjust Y, and then iteratively X and Z.
  • 8.
    Once you have a nice bead centered and in focus, click Stop.


Topic: SIM PSF and OTF Generation

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • Previous page
  • Next page

SIM PSF and OTF Generation

It is important to find an isolated bead per the previous instructions. Any contributing emission from other beads in the field will be problematic as will excessive background due to excessive residual dye from the dye alignment.
Throughout the PSF process (and when imaging samples) you should intermittently evaluate the beam-examining camera to ensure the multi Bessel beam has not drifted. Failure to do so could cause subsequent unnecessary adjustments that could further degrade system performance.
If you notice a bead bleaching during the PSF process, move to a fresh bead per the Finding a Bead instructions.

The contents of SIM PSF and OTF Generation

Collect SIM Total PSF
Evaluate Z Galvo Offset in SIM Total PSF
Generate and View SIM OTF
Evaluate SIM OTF
SIM Z Galvo Offsets for Additional Wavelengths


Topic: Collect SIM Total PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • Collect SIM Total PSF
  • Previous page
  • Next page

Collect SIM Total PSF

The Total SIM PSF incorporates both excitation and emission paths to demonstrate the optical performance of the light sheet scope. During SIM acquisition the Z galvo moves the lattice in 5 discrete phase steps, sweeps the beam with the z galvo, and coordinately moves the objective piezo.
Purpose: Demonstrate axial performance of the system and set Z Galvo Offset for the imaging session. At this point you should have already performed the dye alignment and the standard daily acquisition of the Detection/Emission, Excitation and Total PSFs. The acquisition of a Total SIM PSF is required to generate the proper Optical Transfer Function (OTF), necessary for the proper reconstruction of generated SIM data.
  • 1.
    Select SIM Z + Objective Scan as the scan type. In the Laser channels group, select 488 - SIM to use the 488 nm laser with multi-Bessel SIM pattern loaded. Use 100% power.
  • 2.
    When you set the acquisition to 2D SIM Z + objective scan, the SIM pattern and phase options replace the dither options. This is critical, as you will need to enter the proper SIM period for the generated SIM pattern. These patterns will have initially been generated by 3i and placed into a Patterns folder on the desktop.
  • 3.
    Click Hardware Control to open the Lattice LightSheet Hardware Control dialog. The period will be designated at the end of the pattern name. Enter this value in the text edit field next to the SIM pattern selection dropdown menu.
  • 4.
    Confirm imaging parameters are set to 101 z steps at 0.1 μm step size and a 128x128 field. With the bead centered and focused, click Execute. A dialog will open asking if you would like to program the SLM, click Yes.
    NOTE: It is critical to reprogram the SLM every time you change an imaging parameter with SIM acquisition.


Topic: Evaluate Z Galvo Offset in SIM Total PSF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • Evaluate Z Galvo Offset in SIM Total PSF
  • Previous page
  • Next page

Evaluate Z Galvo Offset in SIM Total PSF

After collecting a SIM Total PSF, you will want to confirm beam offset and focus by evaluating the Z Galvo Offset.
  • 1.
    After the SIM Total PSF has been acquired, select the image on the .sld then type Ctrl + T to open a Three View window. The Three View window will need to be resized as 800% is the default size. Reduce the size to 200% using the zoom buttons or drop down menu. Click in the center of the XZ and YZ panes to bring the SPF into the center of the field.
  • 2.
    The shape of the PSF will determine if you need to change the Z Galvo offset. The PSF should be symmetrical along the horizontal and vertical axes and taper evenly from the center of the PSF.
    Increase Z Galvo Offset value
    Z Galvo Offset is correct
    Decrease Z Galvo Offset value
    Increase Z Galvo Offset value
    Z Galvo Offset is correct
    Decrease Z Galvo Offset value
  • 3.
    If the Z Galvo Offset is correct, proceed to Generate SIM OTF. If you need to adjust the Z Galvo Offset, return to the Lattice LightSheet dialog. Check the box for Z Offset, enter a test value for Z um.
  • 4.
    Click Execute to recapture the PSF and evaluate as described earlier. Repeat until you achieve the correct offset value.
  • 5.
    Once the correct value is determined, return to the Lattice LightSheet dialog and click the + button next to the offset to save the Z offset value for the imaging session.


Topic: Generate and View SIM OTF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • Generate and View SIM OTF
  • Previous page
  • Next page

Generate and View SIM OTF

After you have collected the SIM Total PSF and perfected the Z Galvo Offset, you can proceed with generating the SIM Optical Transfer Function (OTF).
  • 1.
    In the Home tab of SlideBook, go to LightSheet > Generate SR-SIM OTF.
  • 2.
    You will be prompted to choose a destination folder. Select Desktop as the destination then Make New Folder. Name the folder OTF, select it as the destination, and click OK.
  • 3.
    A dialog status box will open as the OTF is generated click OK. When prompted to save the PSF TIFF used to generate the OTF, select Yes.
  • 4.
    Minimize SlideBook to access the desktop. Open the OTF folder. Click on the newly generated SIM OTF and drag it into the OTF Viewer application icon.
  • 5.
    The OTF Viewer application will open and a small image of the OTF will open. Click and drag the corner to enlarge the OTF Image.
  • 6.
    Visually examine the SIM OTF. There should be two clear lobes of frequency information that are uniform in size and intensity. There should be no vertical or horizontal striping.
  • 7.
    If the OTF passes inspection, proceed to Evaluating the SIM OTF. If you notice non-uniformity or striping, check alignment and z galvo offset.


Topic: Evaluate SIM OTF

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • Evaluate SIM OTF
  • Previous page
  • Next page

Evaluate SIM OTF

The best way to evaluate a SIM OTF is to test it on a SIM Total PSF. To proceed with this step, you should have already collected the initial SIM Total PSF, adjusted the Z Galvo Offset, and generated a SIM OTF.
  • 1.
    Capture a fresh SIM Total PSF. Ideally, you can use the same bead, click Live to fine tune the focus, then Execute to acquire the SIM Total PSF. Refer to the tutorial on collecting a SIM Total PSF or Finding a Bead for SIM for additional assistance.
    NOTE: When changing any parameters, including switching to Live capture, you will need to reprogram the SLM. This can be done by clicking Program SLM after making any changes. Otherwise, you will be prompted by a dialog asking to reprogram, always select Yes.
  • 2.
    With the new SIM Total PSF open and selected in a view window, go to LightSheet > Process SR-SIM.
  • 3.
    The Lattice LightSheet Process SR-SIM dialog will open. Uncheck the selection for Re-scaling floor (the default status is checked but we recommend unchecking this option for the initial attempt). Click the Set button to select the OTF for the reconstruction. Navigate to the desktop OTF directory, select the desired OTF then click Open. Type in the SIM Period value used for acquisition of the PSF (see step 3 in Collect SIM Total PSF). Click OK to process the PSF.
  • 4.
    Once the SIM data is reconstructed, the processed image will be written to the .sld directly below the original SIM capture. It will be designated LLSIM: Capture followed by the name of the original image and the imaging parameters. Double click on the image to open.
  • 5.
    Before you analyze the XYZ resolution, you will need to perform a background correction. In the main SlideBook ribbon toolbar, go to the Home tab, Regions group and select the rectangle region drawing tool.
  • 6.
    Click and drag to draw a rectangular region in a corner of the image view window. Click to select the region (the number "1" will be white when the region is selected). Right click and select Set as Background.
  • 7.
    Go to the Analyze tab, Process Image group, [image] Math menu > Subtract Region Background. A window will open asking if you would like to create a copy of the image with the average intensity of the background region subtracted. click OK.
  • 8.
    Locate the new image in the .sld, the image name will be appended with .Sub. Click on the image name then type Ctrl + T to open a Three View. Resize the window to 400%. All views will appear blank upon initial opening, click near the center of any panel to bring the bead into view.
  • 9.
    Select the [image] Marquee tool from the tool menu in the Three View window.
  • 10.
    Draw a rectangle around the bead in the XY panel.
  • 11.
    In the main SlideBook ribbon toolbar, go to the Analyze tab, Evaluate group, [image] Extract Measurements > Analyze PSF. The Analyze PSF dialog will open. Click Locate (A). Check the box to Use image axes instead of identified principal components (B) . Click Find Axes (C).
  • 12.
    The graphs will be populated with axis information. Click Measure FWHM. The goal is to achieve 300 or less for lateral FWHM and 425 or less for axial FWHM.


Topic: SIM Z Galvo Offsets for Additional Wavelengths

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • SIM PSF and OTF Generation
  • SIM Z Galvo Offsets for Additional Wavelengths
  • Previous page
  • Next page

SIM Z Galvo Offsets for Additional Wavelengths

After you capture and reconstruct the SIM Total PSF you should be confident that the system is well aligned for the 488nm wavelength. It is important to note that the Z Galvo offset will vary slightly for each wavelength. Before you proceed with imaging biological samples, you should repeat the above steps for OTF generation and SIM PSF reconstruction for each wavelength you anticipate using for the session.
Reload a bead coverslip with beads of desired fluorophore. Refer to Finding a Bead, Collect SIM Total PSF, and Evaluate Z Galvo Offset to determine Z Galvo Offset value for the additional wavelengths.
As you set each z galvo offset, be sure to Generate the SIM OTF for that wavelength and Evaluate the SIM OTF to confirm performance. You are now ready to perform multi-channel imaging.


Topic: Imaging Biology with SIM LLS

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • Imaging Biology with SIM LLS
  • Previous page
  • Next page

Imaging Biology with SIM LLS

The first step is to load the biology. Cells must be grown or attached to the 5mm coverslips. Please note to add a drop of warm imaging media to the underside of the mounted coverslip to remove and prevent any air bubbles from forming when loading sample. Load the sample holder with the mounted coverslip into the 8ml sample bath.
Slowly and carefully raise the objective assembly. Insert the block to hold the objective assembly in the raised position.
Add media if necessary. The sample chamber holds a maximum volume of 8ml.
NOTE: You must be extremely careful when adding water as stages and piezos are very sensitive to water exposure. Please cover the stages with the provided stage cover.
Load the sample holder containing the sample coverslip with the coverslip up. See also Loading Coverslip to Holder.
Secure using set bolts.
Grasp the objective assembly handle to stabilize it. Remove the block that was holding the assembly up in the load position. Slowly lower the objective assembly using the handle.
NOTE: When loading any new sample, lower the sample holder to the lower limit. There are hard limits in the software that will prevent positioning that would damage the objective but caution should still be exercised.
  • 1.
    For biology acquisition, we will begin in 2D SIM mode. Select the appropriate channel with the SIM pattern. Lower the laser power to a low value such as 10. Set the Capture mode to 2D SIM sample scan. Set the Camera Exposure to 35ms and click the button to set the FOV to 2K. After all of these adjustments, select Program SLM to use the settings on the SLM.
    NOTE: The SLM will need to be programmed when any changes to imaging parameters are made. You can change laser power without reprogramming the SLM. Any time a dialog opens asking to reprogram the SLM, select Yes.
  • 2.
    To find cells, use the XY Stage and Z Stage Control interfaces in the top right corner of the Lattice LightSheet dialog to move the sample holder to bring cells into the field of view. The values that are referenced are the last position of the X, Y and Z stages. Do not click Link X to Z. Move the XY stages by clicking the arrows that designate the direction in which you would like the cell to move. The Step size field is used to set a value for the movement made each time you click an arrow button. We recommend a value of 10μm afor the initial location of cells. For the Z stage control there are pre-set values of 10, 1 and 0.1μm as well as a fourth user-defined value all linked to up and down arrows. . As you should have lowered the sample holder prior to changing the sample, the first step is to raise the sample using the up arrows for the Z Stage Control.
  • 3.
    Raise stage until the coverslip comes into view. You will now need to move the sample in X and Y to find cells and also use the Z stage control to keep the coverslip in the center of the field of view. Select Stop to stop the live stream when you are satisfied with the sample orientation.
  • 4.
    The recommended image capture field for most live cells is 512 x 256. To set this image size, select the 512 FOV button. Select 1-2 from the Capture ratio drop down menu.
  • 5.
    Select Program SLM. Once the reprogramming reaches 100%, click Live to resume live streaming.
  • 6.
    Next you will refine the focus by adjusting the Z galvo offset. Even though we previously adjusted Z galvo offsets during PSFs, it is important to adjust these baseline values to the specific sample. In the Analog Stage Control group, select Z Galvo from the dropdown menu. Use the up and down arrows for 1 and 0.1 μm steps to find a crisp focal plane where you can see the illumination pattern on the sample.
    NOTE: You may wish to adjust laser power or exposure time at this time. To do so, you may find it useful to view Min - Max-Mean intensity values in the live window by checking the Histogram box in the center of the left side of the Lattice LightSheet dialog.
  • 7.
    In the Laser Channels group, check the box for Z Offset. Enter the value determined in the Z Galvo field into the Z μm field for the active laser.
  • 8.
    Uncheck the box for Z offset. Enter 0.00 in the Z Galvo field and click Set All. This will allow you to move on to setting up Z acquisition parameters, click Stop to stop the Live stream.
  • 9.
    If you will be imaging additional channels, uncheck the current laser and check the box for the channel you would like to set up. Adjust laser power to a low value around 10. Repeat steps 5-8 to reprogram the SLM, adjust laser power, and set the Z galvo offset.
  • 10.
    Once all channels are set up, check the box for Z offset (to use the Z galvo offsets you just determined). Check the boxes for each channel you will be imaging. Check the box for 3D and choose single stack from the dropdown menu. Set Step size to 0.30 μm (this will yield 0.163 μm step size in the deskewed data and is close to Nyquist sampling). Set the Stack size to 101 planes which will image 16.25 μm total z stack size.
  • 11.
    Click Program SLM to reprogram the SLM then Live. This will initiate a single z stack collection in the live window (it will not be a saved image file). Watch the live camera window to confirm the entirety of the cell was acquired. If the range was insufficient, adjust the stack size or re-orient the sample using the XY Stage controls as necessary.
  • 12.
    Once the 3D parameters are set as desired, you are ready to set up the capture parameters. To image a single 3D stack, clicks Snap 3D. To image a 3D time series, check the box for Timelapse and enter a value for the number of time point you would like to collect. If desired, enter an Interval for the amount of time between time points. Enter an Image Name. Click Execute to begin acquisition. If you are prompted to reprogram the SLM, always say Yes.
    NOTE: The interval of 0 will collect as fast as possible. Any interval less than the time it takes to acquire a single stack is the equivalent to an interval of 0.


Topic: Processing Biological SIM Data

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • LLS SIM Acquisition Guide
  • Processing Biological SIM Data
  • Previous page
  • Next page

Processing Biological SIM Data

  • 1.
    With the new biological SIM data open and selected in a view window, go to LightSheet > Process SR-SIM.
  • 2.
    The Lattice LightSheet Process SR-SIM dialog will open. Uncheck the selection for Re-scaling floor (the default status is checked but we recommend unchecking this option until you are very comfortable with SIM analysis). Click the Set button to select the OTF for the reconstruction. Navigate to the desktop OTF directory, select the desired OTF then click Open (see also Generate and View SIM OTF). Type in the SIM Period value used for acquisition (see step 3 in Collect SIM Total PSF). Click OK to process the data.
  • 3.
    Once the SIM data is reconstructed, the processed image will be written to the .sld directly below the original SIM capture. It will be designated LLSIM: followed by the name of the original image and the imaging parameters. Double click on the image to open. Go to the [image] Projection icon > Maximum Z Projection.
  • 4.
    Click on the [image] Renormalize icon to open the Renormalize dialog. Adjust the display for each channel of data the data as desired.
  • 5.
    Should you wish to perform additional rendering or analysis, you may find it useful to review the View menu , Annotations Group , and Mask Generation Group help sections for additional information.


Topic: Supplementary Materials

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • Previous page
  • Next page

Supplementary Materials

Supplementary materials include the following:

The contents of Supplementary Materials

5mm Cover Glass Preparation
Bead Coverslip Preparation
Loading Coverslip to Holder
Clean Up and Shut Down
Loading Bessel Patterns


Topic: 5mm Cover Glass Preparation

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • 5mm Cover Glass Preparation
  • Previous page
  • Next page

5mm Cover Glass Preparation

Due to the sensitive nature of the Lattice LightSheet system, we recommend the highest quality cover glass available. Our current recommendation is https://www.warneronline.com/product_info.cfm?id=11

Coverslip Cleaning Protocol:

  • 1.
    Soak coverslips in 0.1M HCl for 1 hour.
  • 2.
    Rinse multiple times with DI (deionized) water.
  • 3.
    Soak coverslips in 0.1M NaOH for 1 hour.
  • 4.
    Rinse multiple times with DI (deionized) water.
  • 5.
    Rinse multiple times with 70% EtOH.
  • 6.
    Store in 70% EtOH in a 15ml conical tube until you are ready to use.


Topic: Bead Coverslip Preparation

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • Bead Coverslip Preparation
  • Previous page
  • Next page

Bead Coverslip Preparation

Prepare cover glass as described previously. We recommend the following beads:
405nm: https://www.thermofisher.com/order/catalog/product/F8805?ICID=search-f8805
488nm: https://www.thermofisher.com/order/catalog/product/F8848?ICID=search-f8848
561nm: https://www.thermofisher.com/order/catalog/product/F8810?ICID=search-f8810
642nm: https://www.thermofisher.com/order/catalog/product/F8807?ICID=search-f8807

Bead Dilution Protocol:

  • 1.
    Set up 6 tubes (1.5 ml Eppendorf tubes) with 1 ml DI (deionized) water and 1 tube with 1ml of poly-L-lysine solution.
  • 2.
    Add 1 μl of beads into the tube with poly-L-lysine solution.
  • 3.
    Bath Sonicate for 15 minutes.
  • 4.
    Add 100μl of this bead/ poly-L-lysine solution to the first tube of DI water and pipette well.
  • 5.
    Take 100μl from this tube and add to the second tube of DI water and repeat this step to last tube of DI water.
  • 6.
    Keep all tubes.
  • 7.
    Start by using the last tube of beads, most dilute, and add enough to cover an entire coverslip and let dry. You may need to use other dilutions to get the density of beads you desire for any specific application.


Topic: Loading Coverslip to Holder

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • Loading Coverslip to Holder
  • Previous page
  • Next page

Loading Coverslip to Holder

It is important to use the recommended coverslips that have been prepared according to the 5mm Cover Glass Preparation instructions.

Equipment Required:

Grease
https://www.amazon.com/Dow-Corning-Vacuum-Lubricant-5-3oz/dp/B001UHMNW0
Forceps
https://www.fishersci.com/shop/products/fisherbrand-straight-veryfine-point-reverse-actionforceps/16100126#?keyword=reverse+action+forceps

Procedure:

  • 1.
    Using forceps, place a small amount of vacuum grease on the sample holder along the rim where the 5mm coverslip is to be placed. This grease is biologically inert.
  • 2.
    After you add the grease, carefully place the coverslip onto the holder sample side up. The coverslip should be seated in the depression shown in the preceding image.
  • 3.
    Press down on the coverslip gently using a pipette tip.
  • 4.
    Turn the sample holder over (so the coverslip is on the bottom) and carefully pipette in about 25μl imaging media into the space directly beneath the coverslip. If you do not do this, there is a chance that an air bubble will get in this space and disrupt your imaging.
  • 5.
    Turn the holder back to coverslip up and place into the lower sample chamber. See also Bead Coverslip Preparation.
  • 6.
    The PSF sample is fluorescent beads (preferably 100nm green beads) sparsely attached to a 5mm diameter cover slip. A well prepared sample should last at least a week. Please refer to Supplementary Materials for information on cover glass preparation and bead coverslip preparation.
NOTE: If you will be performing multichannel acquisition later in the day, you should have bead coverslips prepared for all wavelengths so you can perform Z Galvo Offsets for Additional Wavelengths.


Topic: Clean Up and Shut Down

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • Clean Up and Shut Down
  • Previous page
  • Next page

Clean Up and Shut Down

Once you are done imaging for the day, you will need to rinse out the lower sample chamber that holds the imaging media. Rinse and drain the lower sample chamber multiple times with DI (deionized) water. In addition, you will need to use a squirt bottle or transfer pipette to rinse the objectives. A transfer pipette works well as you will need to squirt DI water onto the objectives to rinse off any imaging media.
You will need to be very careful during this process to not splash or drip water onto the stages.
Once the lower sample chamber and objectives are rinsed, leave the objective assembly raised when not in use to allow everything to dry.
Shut down the LatticeScope, GUI VFL and μEye Cockpit software and turn off the hardware.


Topic: Loading Bessel Patterns

×

  • SlideBook 6 User's Guide
  • Lattice LightSheet Module
  • Supplementary Materials
  • Loading Bessel Patterns
  • Previous page
  • Next page

Loading Bessel Patterns

SlideBook comes with pre-loaded single and multi Bessel patterns. Users may load their own patterns by following these instructions.
  • 1.
    In The Lattice LightSheet dialog, click Hardware Control (located below the laser channel selections.
  • 2.
    The Lattice LightSheet Hardware Control dialog will open. Click Set for any of the laser channels for which you want choose an alternative pattern. A file browser will open. Select the desired bitmap file and click Open.
  • 3.
    You will be prompted to copy the file to the Pattern Folder. Say Yes.
  • 4.
    Repeat for any additional channels. Click the X in the top right corner to close the dialog when finished.


Topic: Marianas LightSheet (diSPIM and iSPIM) Module

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • Previous page
  • Next page

Marianas LightSheet (diSPIM and iSPIM) Module

Marianas LightSheet Dual-view Inverted Selective Plane Illumination (MLS diSPIM) is a light sheet method offering low phototoxicity in 3D imaging making it possible to image living cells and small organisms over extended periods of time. It is a flexible light sheet system with an open specimen geometry not requiring special slides or capillaries. MLS diSPIM images a specimen using two perpendicular light sheets from two equivalent optical paths and objectives which are each used sequentially for both illumination and imaging. The resulting 3D datasets have isotropic resolution in X, Y and Z with only two views, resulting in fast image capture with low light dose for extended specimen viability.
Two matching water dipping objectives can have an NA of up to 0.8 with a working distance allowing efficient orthogonal mounting. Each objective is used for excitation and emission collection via identical high-speed high-resolution sCMOS cameras. A third objective is located below the specimen chamber for locating the sample. Photomanipulation can be added via the microscope's side-port, such as the Ablate! photoablation system.

The contents of Marianas LightSheet (diSPIM and iSPIM) Module

System Hardware
MLS Alignment and Calibration
MLS Operation
MLS Post-Acquisition Processing
MLS Troubleshooting


Topic: System Hardware

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • System Hardware
  • Previous page
  • Next page

System Hardware

The system consists of two symmetric optical paths (unless in the case of iSPIM systems) for light sheet imaging. Two objectives are placed at right angles above a sample mounted horizontally. A light sheet is created from one objective and then imaged using the other objective. A stack of images is collected by moving the light sheet through the sample. The role of each two objective can be exchanged to collect another stack from a perpendicular direction, and then the two datasets can be computationally merged to yield a 3D dataset with isotropic resolution. The diSPIM assembly is mounted on a linear stage, SPIM Z Drive, that raises and lowers the objectives from the sample chamber
(1) Scanner; (2) Dichroic Mirror; (3) Imaging Objective; (4) Piezo; (5) Camera (Upper) Mirror; (6) Camera
Blue depicts Path A components Green depicts Path B components
The MLS system comes as the dual light path module mounted on any inverted Zeiss, Nikon, Olympus, or Leica microscope frame or the ASI RAMM (Rapid Automated Modular Microscope) system. For each imaging channel, two filters will need to be configured, one for Path A and one for Path B as depicted below. It is also important to note that both objectives are used in each path, one for illumination and one for imaging and this switches depending on the path.
The MLS can be controlled in software or by the accompanying joystick. Review the following diagram to become familiar with the joystick functions. The left wheel (1) controls the SPIM Z Drive. The right wheel (2) controls the Piezo or Slice Position and is set in software. The button on the joystick (3) toggles the XY stage movement between fast and slow.


Topic: MLS Alignment and Calibration

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • Previous page
  • Next page

MLS Alignment and Calibration

MLS system alignment is an integral part of system use. Alignment and calibration should be checked and refined any time you change sample type/thickness, sample buffer, room temperature, or any other factor that could impact optical properties of the setup. Optimal image quality can only be achieved when alignment and calibration are complete.
This section of our help contains several tutorials. No tutorial is a standalone document; the "steps" may need to be repeated several times in an alternating fashion until alignment is complete. It is recommended to first attain a close approximation for each alignment, proceed with the rest of the alignment steps, and then come back to each step to finish. It is easiest to perform the fine alignment in a dye solution like fluorescein (beam alignment requires a high signal to noise ratio). The final steps can also be performed with a 2D sample of fluorescent beads.
Broadly speaking, the tutorials cover bringing the specimen into focus, focusing the objective bushings, eliminating focus and rotational tilt, and calibrating the piezo/slice relationship.
Equipment needed for alignment and calibration:
  • •
    dye solution (ex. Fluorescein)
  • •
    Allen wrench (3/32" size)

The contents of MLS Alignment and Calibration

TUTORIAL: Using the SPIM Drive to Introduce Objectives to the Sample Chamber
TUTORIAL: Co-focusing the SPIM Objectives
TUTORIAL: Adjusting the Tilt of the Pencil Beam
TUTORIAL: Co-aligning the Beams
TUTORIAL: Calibrating the Piezo and Slice Position
TUTORIAL: Setting Sheet Width and Offset


Topic: TUTORIAL: Using the SPIM Drive to Introduce Objectives to the Sample Chamber

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Using the SPIM Drive to Introduce Objectives to the Sample Chamber
  • Previous page
  • Next page

TUTORIAL: Using the SPIM Drive to Introduce Objectives to the Sample Chamber

Lowering the objectives into the sample chamber is a delicate task; it is essential that the sample chamber be centered below the diSPIM objectives.
  • 1.
    Open the Marianas LightSheet controls within SlideBook, go to the Home tab, Acquire group > [image] LightSheet > Marianas LightSheet.
  • 2.
    When using the diSPIM system, you will need to raise and lower the objectives using the SPIM Z Drive in SlideBook. To do so, enter a value such as 1000 or 100 when closer to the coverslip) in the custom Z step size field and use the up and down arrows to control the drive. The large STOP button in the lower left of the dialog can be used as an emergency brake for the SPIM Z Drive at any time; the HALT button on the joystick also works as an emergency brake.
  • 3.
    You will need to raise the objectives using SPIM Z Drive to load a sample. Use the Load button to withdraw the objectives completely.
    NOTE: The Load button will become the Return button when the drive has reached its maximum height.
  • 4.
    Once the sample is in place, you will want to move the SPIM Z Drive so the front lens of the objectives are fully submerged, this configuration will typically put you in position just above the coverslip.
    NOTE: If you use the Return button, the drive will lower to the previous sample position. Make sure your coverslip or sample is not higher.
  • 5.
    Incrementally step down SPIM Z Drive by entering a value into the SPIM Z Drive group as described in step #2.
    NOTE: Turning on the Upper LED in Path control may add helpful additional illumination
  • 6.
    In the Path Control group, select a Beam for both paths. In the Capture group, select a filter for Channel A and Channel B respectively. Click Go for either of the channels then Live to activate lasers.
6. The next tutorials will cover co-focusing and aligning the objectives. For imaging samples, you will want both laser paths to be present in the middle of the field of view through the oculars. For alignment, you will want both laser paths to be present on the edges of the field of view through the oculars as shown below.


Topic: TUTORIAL: Co-focusing the SPIM Objectives

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Co-focusing the SPIM Objectives
  • Previous page
  • Next page

TUTORIAL: Co-focusing the SPIM Objectives

  • 1.
    Open the Marianas LightSheet controls within SlideBook (Home tab, Acquire group > [image] LightSheet > Marianas LightSheet).
  • 2.
    Refer to TUTORIAL: Using the SPIM Drive to Introduce diSPIM Objectives to the Sample Chamber.
  • 3.
    To prepare for co-focusing the SPIM objectives, perform the following steps:
  • a.
    In Path control, select Beam for both paths.
  • b.
    In Sheet control, click Neutral All to return the slice position to its neutral position.
  • c.
    In Capture, select the same filter configuration for Channel A and Channel B. Be sure to use opposite path designations. Click Go for each.
  • d.
    Check the box to Calibrate Dual Camera to see both beams.
  • e.
    Click Live to start a live stream from the cameras.
    f. (Optional) When in dual camera mode, red represents Path A and green represents Path B. You can check the box CY to view Path A in yellow and Path B in cyan.
  • 4.
    Use the iris on the back of each scanner to adjust each beam to a pencil beam. The iris fully closed when the small lever is to the right as seen from the front of the microscope (pictured from the back of the microscope below).
  • 5.
    Select Channel A > Go, adjust the imaging objective's focus on the beam using the corresponding Objective Threaded Bushing (A) to focus pencil beam. Select Channel B > Go, adjust the beam’s focus using the corresponding Objective Threaded Bushing (B) to focus pencil beam. Alternate between adjusting the two Objective Threaded Bushings; you will need to click Go for the corresponding channel each time). Either move half way to the focus at a time before alternating sides to achieve convergence (even if there is a bit of play in the Objective Threaded Bushings) or adjust while in the Calibrate Dual Camera mode.
    NOTE: If you have the feeling one objective is much further out than the other, turn both in by rotating the bushings clockwise and start the focusing anew, making sure you turn both bushings out about the same way each time.
  • 6.
    If the pencil beam is effectively focused, you will see an interference pattern present around the beam and can proceed to TUTORIAL: Co-aligning the Beams.
  • 7.
    After the pencil beams for both channels are focused, you may notice some tilt (either rotational or focus). Please see TUTORIAL: Adjusting the Tilt of the Pencil Beam to correct for horizontal rotation (YZ tilt) or focus inconsistency (XY tilt).


Topic: TUTORIAL: Adjusting the Tilt of the Pencil Beam

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Adjusting the Tilt of the Pencil Beam
  • Previous page
  • Next page

TUTORIAL: Adjusting the Tilt of the Pencil Beam

YZ Tilt (rotational)

The YZ Tilt is apparent when viewing the beam through the camera; if the YZ tilt needs to be adjusted the beam is slightly rotated in the YZ dimension.
To correct the YZ Tilt, adjust the dichroic mirror using the Screws B and C on the filter cube of the desired path.
  • 1.
    Turn on gridlines in the live view by checking the Grid box, click Go for Channel A to activate Path A.
  • 2.
    Adjust either Screw B or Screw C of the Path A dichroic mirror.
  • 3.
    Repeat for Path B (by clicking Go for Channel B and adjusting either Screw B or Screw C of the Path B filter cube) until both beams are in focus and parallel with the horizontal gridlines across the field of view. Do not be concerned if beams are not in center of field of view (the beam just needs to be uniform at this point).

XY Tilt (focus)

The XY Tilt is apparent when viewing the beam through the camera; if the XY tilt needs to be adjusted, the beam will appear as if it is coming toward (and away from) the camera.
To correct XY Tilt for Channel A, you will adjust the dichroic mirror using an Allen wrench on Screw A only or Screws B & C together of the Path A filter cube. To correct XY Tilt for Channel B, you will adjust the dichroic mirror using an Allen wrench on Screw A only or Screws B & C together of the Path B filter cube.
  • 1.
    Make sure sheets and slices are centered by clicking Neutral All and Center for all sheet and slice positions.
  • 2.
    In the Controller Input group of Marianas LightSheet controls, set Right wheel to Piezo A for Path A using the drop-down selection. Confirm that Channel A and Channel B (in the Capture group) are set to the same filter for their respective paths. Click Go for Channel A to activate Path A.
  • 3.
    Defocus the beam using right wheel on the joystick.
  • 4.
    Adjust Screw A of Path A only or Screws B & C together on the filter cube manually with an Allen wrench until beam is uniform across the field of view.
  • 5.
    Select Neutral All to restore the slice position to its neutral position.
  • 6.
    Refocus both pencil beams using the objective threaded bushings (as described in TUTORIAL: Co-focusing the SPIM Objectives) until pencil beam is uniform across the field of view.
  • 7.
    Repeat steps 1-5 for Path B (setting Right wheel to Piezo B, clicking Go for Channel B, and using Screw A only or Screws B & C together of Path B filter cube) until both beams are in focus across the field of view.


Topic: TUTORIAL: Co-aligning the Beams

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Co-aligning the Beams
  • Previous page
  • Next page

TUTORIAL: Co-aligning the Beams

Prepare a sample for the MLS alignment, use the imaging media you will be imaging your samples in (water or PBS are acceptable but not ideal). To better visualize the beams, add a small amount of fluorescein or phenol red. For this tutorial, you will need to show beams and spots from both paths. To do so, check 3 boxes in the Marianas LightSheet dialog:
  • •
    Calibrate dual camera
  • •
    Laser Switch
  • •
    Grid
Throughout the tutorial, you will be adjusting the Camera (Upper) Mirror for each path. You will be using an Allen wrench in Screw A (left-right), B, and C (diagonally up-down) of Path A and Path B as depicted below.
  • •
    Use Screw A on the Camera (Upper) Mirrors to move the beam and spot left and right for each path.
  • •
    Use Screws B and Screw C on the Camera (Upper) Mirrors to move the beam and spot vertically with a slight horizontal bias for each path
In the live window, Camera 1 (Path A) will be pseudocolored red while Camera 2 (Path B) will be pseudocolored green.
NOTE: For our color blind users, activate CY checkbox (under the Grid checkbox) to view beams and spots as Cyan (Path A) and Yellow (Path B)
  • 1.
    Use a combination of screws A, or B and C to move both the green and red spots to the center of the grid. Do not worry about the vertical location of the beams at this point.
    NOTE: The image below shows the CY pseudocoloring for color blind users.
  • 2.
    Use the Lateral Adjustment Knob (located on the front of Piezo B) to overlay all beams and spots at the center of the grid.
  • 3.
    Unselect Calibrate Dual Camera and Laser Switch. The pencil beams for both path A and B should be uniform and centered.
  • 4.
    To test uniformity, you can use the Right wheel to adjust the slice position to see the beams go out of focus uniformly. To do so, click Go for Channel A, this should set Slice A to the Right wheel. Rotate the wheel and check the beam goes out of focus evenly in both directions. Click Neutral All to bring the slice position back to center. Repeat the same for beam B by setting Slice B to the Right wheel by clicking Go for Channel B.


Topic: TUTORIAL: Calibrating the Piezo and Slice Position

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Calibrating the Piezo and Slice Position
  • Previous page
  • Next page

TUTORIAL: Calibrating the Piezo and Slice Position

Before you begin this final step of alignment and calibration, it is essential that pencil beams for both Path A and Path B are both uniform and centered as described in the earlier tutorials. To get ready for this tutorial, you will need to click Neutral All, and have the appropriate filter selected for Channel A and Channel B.
NOTE: It is recommended to use the imaging media you will use for your sample for this calibration or, at the very least, a solution with the same refractive index.
  • 1.
    Check the box for Beam for Path A and Path B.
  • 2.
    For Channel A, click Go. In the Imaging Piezo A control, enter 70 and click the down arrow to drop Piezo A down 70μm (for a 150μm travel piezo), the beam will go out of focus.
    NOTE: A Z value is displayed above the arrows, this will indicate the current position of the piezo. For a 150 μm Piezo it will range between -75 to 75 max. Always make sure the opposite piezo is at center position when starting the calibration.
  • 3.
    Adjust the right wheel on the joystick (confirm Controller Inputs, Right wheel = Slice A) until the beam is in focus and uniform.
  • 4.
    In Imaging Setup, click Set to select the Calibration start for the piezo.
  • 5.
    In the Imaging Piezo A control, click Center to bring the piezo back to 0.0um then click the up arrow to raise it 70um.
  • 6.
    Adjust the right wheel on the joystick until the beam is in focus and uniform.
  • 7.
    In Imaging Setup, click Set to select the Calibration end for the piezo.
  • 8.
    Return Piezo A to center by selecting Center (as in Step #4) and select Adjust (the beam should become focused again) to check the calibration.
Repeat steps #1-#8 for Path B and Piezo B.


Topic: TUTORIAL: Setting Sheet Width and Offset

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Alignment and Calibration
  • TUTORIAL: Setting Sheet Width and Offset
  • Previous page
  • Next page

TUTORIAL: Setting Sheet Width and Offset

Once the Beams are aligned and calibrated return to the neutral position and continue to set the sheet width and offset.
  • 1.
    In Path Control, check the boxes for Beam and Sheet for Path A and Path B. Click Neutral All.
  • 2.
    Check the box to turn on the Grid for easier alignment. Adjust the Sheet width (displayed as the vertical height of the sheet) to just outside the field of view. In the following example, the field of view is the center four squares of the grid. If the sheet is not perfectly centered, adjust the Sheet offset using the slider or arrows. Once the sheet width is correct and centered in the field of view, click Set Both to apply the width to the other sheet.
    NOTE: The arrows to the right of the sliders can be used to adjust sheet width and offset. The step size for a single arrow button click is 0.001 units. Hold CTRL while clicking the arrows to use a step size of 0.01 units.
  • 3.
    Check the box for Calibrate Dual Camera Mode to check the sheets are overlayed. When you are in Calibrate Dual Camera Mode, the sheet width and offset will only adjust for the active channel, that is the channel you for which you last clicked Go. Use the Go buttons to toggle between Channel A and Channel B while adjusting the offset until the sheets are well aligned as shown below.
  • 4.
    At this point, you should find a good Z location for loading and unloading samples. Using the SPIM Z Drive group arrows, slowly lower the Z drive until the sheets start to hit the coverslip as shown in the following image.
  • 5.
    Move back up 200-300 μm and write down/remember the Z position. You can later return to this position by typing the value in the text field and clicking Go once your sample is loaded.


Topic: MLS Operation

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Previous page
  • Next page

MLS Operation

Once the beams are aligned, a sensible sheet width is set, and piezo and slice distances are calibrated, you can start imaging your samples. This section of help pages will walk you through MLS operation from locating your sample to refining the calibrations through to image acquisition.

The contents of MLS Operation

Locating and Positioning the Sample
Before Capture
Data Acquisition: Slice Scan
Data Acquisition: Stage Scan
During Capture


Topic: Locating and Positioning the Sample

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Locating and Positioning the Sample
  • Previous page
  • Next page

Locating and Positioning the Sample

Locating the Sample

  • 1.
    Use the Load button to fully withdraw the SPIM Z Drive.
  • 2.
    Load the sample; it should be prepared and placed on a 20 x 40 mm slide in its chamber (ideally within a centrally located circle of ~5mm diameter) or 10 mL petri dish .
  • 3.
    Click on the binocular icon to direct light to the oculars and the Toggle FL button to turn the fluorescence on and off. Observe with one of the lower objectives. Focus with the microscope drive and position an object of interest by carefully moving the xy stage using the joystick.
    NOTE: The button on top of the joystick handle changes the XY travels speed from fast to slow. Be sure to use the slow drive when the upper objectives are immersed to prevent objective crashing and damage, especially when using the stainless steel imaging chamber.
  • 4.
    Once the sample of interest is located in the center of the field of view through the oculars check the boxes to select Beam and Sheet for both paths and click Go and Live. Use Calibrate Dual Camera mode while driving the Z Drive down to the sample using the Return button.

Approaching the Sample

  • 1.
    Check the boxes for Beam and turn down Beam Power to about 5%. Check the boxes for Sheet and turn down Sheet Power to about 5%. Leave both sets of boxes checked.
  • 2.
    Select a filter for Channel A and Channel B and click Go for one path.
  • 3.
    Lower objective without crushing the sample, as outlined in TUTORIAL: Using the SPIM Drive to Introduce diSPIM Objectives to the Sample Chamber.
    IMPORTANT INFORMATION TO NOTE:
  • •
    The beams are quite powerful when set to 100%, they will photobleach your sample (adjust sheet/beam power as necessary for your sample).
  • •
    Move the Z/SPIM drive to a "safe" position (this is a position we determined at the end of TUTORIAL: Setting Sheet Width and Offset). From this safe position, move in small increments toward your sample, being careful not to crush it.
  • •
    Select both Path A and Path B Sheets, and activate Calibrate Dual Camera function as the diSPIM objectives are lowered to visualize the co-focus point in relation to the sample and visualize Path A and Path B on the screen.
  • •
    Once the sample enters the field of view of the cameras, continue to move the SPIM drive towards the sample using the Left wheel of the joystick until Path A and Path B are overlapping in the center.
  • 4.
    Once the sheets are overlapping (both hitting the sample at the center), move slightly left and right and up and down with the joystick to bring the sample of interest in the center and similarly hit by the sheets.
  • 5.
    To image smaller objects, consider cropping the camera field of view to an appropriate size by clicking 1k (through to 64 x64 pixels). This will save considerable space in data capture. Also consider adjusting the piezo range before capture.
    NOTE: When imaging a small volume, it is recommended to open the scanner iris slightly in order to narrow the beam waist. Best, adjust the beam width while in Calibrate Dual Camera mode in solution (Z drive is slightly above samples).


Topic: Before Capture

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Before Capture
  • Previous page
  • Next page

Before Capture

Before you can set up an experiment to capture, do the following:
  • 1.
    Save the .sld file.
  • 2.
    Ensure sheets are completely overlapped and your sample of interest centered to maximize the acquisition area for alignment and post-image processing.
  • 3.
    Select the correct objective.
  • 4.
    Consider the objective and camera crop you are using for choosing the appropriate number of planes and step size (Hamamatsu 6.5 μm/px with 40X gives you 160 μm with 1k = use full range of piezos, 83 μm with 512x512 = use about 80 μm of the piezo range).
  • 5.
    Consider the camera crop and adjust the sheet width accordingly (just slightly over the field of view).
  • 6.
    Test calibration in sheet mode by moving Z in the Imaging Setup group. The sample should stay in focus when the Z coordinate is changed.
  • 7.
    Make sure that slice position is adjusted for piezo positions using the previously determined calibrations. To display the calibrated values, select Adjust in MLS Imaging Setup window. Repeat for Path B.
    NOTE: If refining the calibration is necessary, see Refine an Existing Calibration.
  • 8.
    Check that the Imaging center is set to 0.0 μm for both sides.

The contents of Before Capture

Refine an Existing Calibration


Topic: Refine an Existing Calibration

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Before Capture
  • Refine an Existing Calibration
  • Previous page
  • Next page

Refine an Existing Calibration

If an existing calibration has been set and the pencil beams are uniform and centered, you can fine tune the calibration using following instructions.
  • 1.
    Click Go for Channel A. In Imaging setup, select Path A and click Go to for Slice, Calibration start.
  • 2.
    Use the right wheel on the joystick to refine the focus of the beam. Click Set when satisfied with the focus and uniformity.
  • 3.
    Adjust the Calibration end Slice by clicking Go to. Refine the focus using the right wheel, click Set.
  • 4.
    Repeat steps #1-3 for Path B.


Topic: Data Acquisition: Slice Scan

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Data Acquisition: Slice Scan
  • Previous page
  • Next page

Data Acquisition: Slice Scan

  • 1.
    Have Beam and Sheet checked for both Paths.
  • 2.
    In the Capture group:
  • a.
    Select the (first) filter for each channel A and B respectively.
  • b.
    Lower the sheet power (5 % recommended).
  • c.
    Check Calibrate Dual Camera and Live to view your sample.
  • d.
    Make sure the imaging FOV (camera cropping) of choice is selected.
    NOTE: Click Stop again to not bleach your sample
  • 3.
    In the Capture Setup and Capture groups do the following:
  • a.
    Select Slice scan from the drop down menu
  • b.
    Sides – select 2 for diSPIM, 1 for iSPIM (the second side choice will then be greyed out)
  • c.
    First Side - can be either A or B (only significant for iSPIM)
  • d.
    Set the Number of planes and Step size (consider the camera crop)
    NOTE: These values combined cannot exceed the travel of the piezo.
    For example: 10X objective + 150 um Piezo
    Step Size = 1μm, Number of planes =150
    or
    Step size = 2 μm, Number of Planes =75
  • e.
    Set Exposure time, minimum recommended exposure is 10ms (at 512 px, 15 ms at 1k px, 30 ms at full chip)
    NOTE: Check for the appropriate exposure time in LIVE mode.
  • 4.
    For timelapse acquisition choose the number of Time points and Interval at the top of the Capture group.
  • 5.
    Click Advanced to open the dialog to add channels.
  • a.
    Check 2, 3, or 4, channel capture and select the filter pairs for additional channels.
  • b.
    Check Unique exposure time to enter an individual exposure time.
  • c.
    For colocalization assays and multicolour iSPIM, check Capture all channels at each piezo position at the bottom of the advanced window.
  • d.
    Click OK to close the Advanced Capture mode window.
  • 6.
    Click Execute in the Capture group to start the capture.


Topic: Data Acquisition: Stage Scan

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • Data Acquisition: Stage Scan
  • Previous page
  • Next page

Data Acquisition: Stage Scan

  • 1.
    Have Beam and Sheet checked for both Paths.
  • 2.
    In the Capture group:
  • a.
    Select the (first) filter for each channel A and B respectively.
  • b.
    Lower the sheet power (5 % recommended).
  • c.
    Check Calibrate Dual Camera and Live to view your sample.
  • d.
    Make sure the imaging FOV (camera cropping) of choice is selected.
    NOTE: Click Stop again to not bleach your sample
  • 3.
    In the Capture Setup and Capture groups do the following:
  • a.
    Select Stage scan from the drop down menu
  • b.
    Sides – select 2 for diSPIM, 1 for iSPIM (the second side choice will then be greyed out)
  • c.
    First Side - can be either A or B (only significant for iSPIM)
  • d.
    Set the Step size (consider the camera crop).
  • e.
    Set the stage scan extents by moving the stage slightly to the left of the sample, then click Set.
  • f.
    Repeat for the right end of the sample. The Number of planes will be calculated automatically from the set Step size. Consider not exceeding 300 μm for data handling reasons.
  • g.
    Set Exposure time, minimum recommended allowable exposure is 10ms (at 512, 13 ms at 1k, 26 ms at full chip)
  • a.
    NOTE: Check for the appropriate exposure time in LIVE mode
  • 4.
    For timelapse acquisition choose the number of Time points and Interval at the top of the capture group.
    NOTE: A single stage scan can take up to 5 minutes due to the use of the speed of the XY stage Stepper motor. Plan accordingly.
  • 5.
    Click Advanced to open the dialog to add channels.
  • a.
    Check 2, 3, or 4, channel capture and select the filter pairs for additional channels.
  • b.
    Check Unique exposure time to enter an individual exposure time.
  • c.
    For colocalization assays and multicolour iSPIM, check Capture all channels at each piezo position at the bottom of the advanced window.
  • d.
    Click OK to close the Advanced Capture mode window.
  • 6.
    Click Execute to start the capture.


Topic: During Capture

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Operation
  • During Capture
  • Previous page
  • Next page

During Capture

During image capture, A live monochrome window shows individual planes as they are acquired. You may open separate windows for each channel by selecting a channel in the Status tab of Capture Controls and clicking Show or Show All to open a window for all available channels.
For timelapse data acquisition, go to the Live tab of Capture Controls and click Show Capture Images. This will open the Captured Images dialog that allows you to view a MIP (maximum intensity projection) image and previous timepoints before capture completes.


Topic: MLS Post-Acquisition Processing

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Post-Acquisition Processing
  • Previous page
  • Next page

MLS Post-Acquisition Processing

When using diSPIM mode of MLS, the two paths will need to be fused using reconstruction algorithms. In addition to this, any data collected using stage scan mode will need to be deskewed first to put it back into a geometrically correct location. General information about deskewing can be found in this video about our Lattice LightSheet system. The concept is the same but the acquisition angle is 45 degrees for Marianas LightSheet.

The contents of MLS Post-Acquisition Processing

TUTORIAL: 3D-Transform Preview
TUTORIAL: Multiview Reconstruction


Topic: TUTORIAL: 3D-Transform Preview

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Post-Acquisition Processing
  • TUTORIAL: 3D-Transform Preview
  • Previous page
  • Next page

TUTORIAL: 3D-Transform Preview

This tutorial will show how to create a 3D-Transform for previewing your data.
  • 1.
    Save the .sld before reviewing your captures with either the 3D Volume Viewer or the Preview tool
  • 2.
    Select (highlight) the captured slice or stage scan. In the Home tab of SlideBook, select View > 3D Volume View. The 3D Volume Viewer will open and render a roughly transformed and fused and/or de-skewed picture of your capture in order to decide whether to process it further.
    NOTE: The 3D Volume Viewer will only render a preview of the first timepoint. Should you wish to review additional timepoints or generate an image that is tranformed and fused and/or de-skewed, continue on with this tutorial. If you are satisfied with the preview rendering from the single image (or first image in the time lapse) and wish to run combined deconvolution, continue on with Multiview Reconstruction.
  • 3.
    Select (highlight) the time lapse or single 3D image of the captured slice or stage scan, go to LightSheet > Multiview Reconstruction > Create Preview.
    NOTE: This will immediately create a transform using the default settings from previous registrations of the selected picture and will take a while depending on the size of the data set.
  • 4.
    SlideBook will create a new capture at the end of the .sld. Save the slide.
  • 5.
    Select (highlight) the created 3D transform. In the Home tab of SlideBook, select View > 3D Volume View or 4D Volume View. 4D Volume Viewer will open and render a roughly transformed and fused and/or de-skewed picture of your capture.


Topic: TUTORIAL: Multiview Reconstruction

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Post-Acquisition Processing
  • TUTORIAL: Multiview Reconstruction
  • Previous page
  • Next page

TUTORIAL: Multiview Reconstruction

This tutorial will walk you through aligning a two-path diSPIM image, defining a bounding box, fusing, and deconvolving the image.
  • 1.
    Save the .sld before beginning.
  • 2.
    Select (highlight) or open the image you would like to work with. In the Home tab of SlideBook, select LightSheet > Multiview Reconstruction > Interest Points.
  • 3.
    SlideBook will load default Sigma and Threshold values that will define the size and number of regions to interrogate These values are best for beads, you might want to change these depending on your samples. Small Sigma values = small size regions to interrogate; small Threshold values = large number of regions to interrogate. Select a Channel from the dropdown menu to interrogate.
    NOTE: Select a channel that has bright distinct features such as puncta, dentritic spines, or nuclei. Define sigma based on size where larger objects such as nuclei would be a value of 9 and smaller objects such as dendritic spines would be near 1.
  • 4.
    Check the Preview box to show the regions generated.
    NOTE: When you check the Preview box, a process will be activated spawning new windows showing the algorithm activity and log. In SlideBook, many small regions will appear in the image.

  • 5.
    Look to ensure that the detected interest points correspond to the "right" features in the channel. There should not be points where there is no structure yet too few interest points will lead to failure during registration. Adjust sigma and threshold if necessary.
  • 6.
    It is not necessary to check the box to Process all time points. A single time point detection should work for all subsequent time points. Check the box to Use GPU to use CUDA accelerated processing. Click OK to detect interest points. The log file will run through computations. When the process is complete, the regions will disappear from the image view. The log file's last line should read Closing .sld: slidename.
  • 7.
    Now that interest points have been defined, you can proceed with registration. Go to select LightSheet > Multiview Reconstruction > Registration. The diSPIM Multiview Registration dialog will open.
  • 8.
    Choose the Channel for which you detected the interest points in the dropdown. Enter a distance between given interest points in pixels in the first line, to start the registration process. This is an interactive, iterative tool. The default distance to start with, 10 pixels, is best to register beads. For samples with larger structures start with 20-30 pixels. Each distance field is an opportunity for an iteration. Enter values of decreasing values, being sure not to decrease by more than 1/2 of the previous distance value.
    For example, the first four values you may wish to enter would be 20-10-7-5. The next round, you would do 4-3-2-1 then finally 0.8 - 0.5 - 0.3. Decreasing in smaller steps is preferable to larger steps.
  • 9.
    After you enter the first four Distance values, click Apply. then look at the Max Error value. The goal is to achieve a Max Error value less than 1. Enter in four more distance values decreasing as described in the example above and click Apply again. If the Max Error value decreases, continue decreasing the distance value. If the Max Error value increases, try increasing the distance values and going back down in an iterative process. Use this iterative approach until you achieve a Max Error value less than 1 and a number of inlayers >1.
    NOTE: For the most successful registration results we recommend to stay with the Affine transform type – This is the most flexible registration after Transform only or just a Rigid plane rotation.
  • 10.
    Next, select LightSheet > Multiview Reconstruction > Bounding Box. Click Compute to return the maximal bounding box, that is the maximum volume of both paths overlapping. This will set the width, height and number of planes to be interrogated. Click OK to set the bounding box.
    NOTE: It is advisable to leave these settings or decrease them slightly. Cutting too much might end up with cropping important information out of the final picture. The result Image size is an estimate and the final version can be slightly larger.
  • 11.
    Finally, select LightSheet > Multiview Reconstruction > Fusion / Deconvolution.
  • a.
    Select one of the three processing options:
    Extract PSFs From Beads - Uses beads within the same sample to generate PSFs for deconvolution. This also creates PSF transforms for Path A and Path B which can be used for future deconvolution of data.
    Use Precomputed PSFs - Uses PSFs previously acquired using the same imaging system and channels. If you select this method, you will need to identify Path A and Path B PSFs from a directory.
    Fuse Only - Fuses side A with side B, does not deconvolve.
  • b.
    Set the number of Iterations. The default of 10 usually gives a good result. Increasing to 15 may provide further improvements. For a quick preview, choose 1 or 2 iterations.
  • c.
    For time lapse images, check the box to Process all time points. Leave GPU unchecked.
  • 12.
    Click OK. The deconvolution and/or fusion process can be quite intensive and may take quite a while depending on the computer. When the process is complete, a new image will appear on the .sld. Save the .sld before proceeding with analysis or rendering.
NOTE: If you extracted PSF from beads in the image, additional PSF files will be written to the slide. These can be used for future deconvolution. Export those PSF transforms as 16-bit TIFF and save them in a separate PSF library folder.


Topic: MLS Troubleshooting

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Troubleshooting
  • Previous page
  • Next page

MLS Troubleshooting

Below, you will find a list of troubleshooting tips. For additional assistance, please contact 3i Support.
  • •
    If exposure time is not matched with scan duration, the captured field will be smaller than expected > Recalibrate slice and piezo
  • •
    During calibration if you are not seeing all four elements (Path A & B beams and sheets), uncheck and re-check Laser Switch a couple of times
  • •
    If you are having trouble aligning the beams, turn everything off and reset the filter cubes and mirror cubes to zero
  • •
    Capture is cut off on top for one path, and cut off on bottom for other path - has to do with the ‘scan period’ (camera exposure was not on long enough)
  • •
    Will not always see a display during acquisition, depends on the selected frame rate
  • •
    After capture, if the next live image goes to 0, not the calibrated values – need to select ‘Adjust’ in diSPIM window
  • •
    Must re-calibrate and re-align when buffers are switched
  • •
    Move joy stick off of air table during operation
  • •
    Should you see no signal of one beam and sheet (A or B side), go to Limits to open the ASI Controller dialog. At the bottom of the dialog, in the Utility group, type pm a=0 b=0 c=0 d=0. Click Send then OK.

The contents of MLS Troubleshooting

Adjust Scanner Slice Position Offset


Topic: Adjust Scanner Slice Position Offset

×

  • SlideBook 6 User's Guide
  • Marianas LightSheet (diSPIM and iSPIM) Module
  • MLS Troubleshooting
  • Adjust Scanner Slice Position Offset
  • Previous page
  • Next page

Adjust Scanner Slice Position Offset

Usually it is possible to get the objectives co-focused with the piezos near their centered or 0 position; if you have achieved this you can skip this step.
If it seems impossible to get the two objectives co-focused with the piezo positions near 0, you have two options: use a non-zero piezo offset or use a non-zero scanner slice position offset.
If the sample of interest occupies most of the piezo range, only the latter is viable; however, using a piezo offset is a simpler approach. In either case start with the objective bushings moved to a middle position that remains fixed.
Using a piezo offset is straightforward: an offset will be computed automatically by the piezo-scanner cross calibration. Simply you will only need to use start and end points of the calibration curve that are not symmetric about 0.
To use a scanner slice position offset, the piezo-scanner cross-calibration will make the offset appear during imaging, but you should compensate for the offset by moving the imaging mirrors so that in the middle of the range the epi-spot is centered in the epi camera.
Establish a focused beam in the dye solution.
Set the Controller Inputs for Path A.
Left wheel controls the “Upper Z (SPIM)” and the right wheel controls the “Piezo A”.
Do this by setting the piezo to 0, moving the slice position until the beam is in focus, then adjust the imaging mirror. Repeat for the other side. This should make it so that the epi spot is overlaid with the beam focus.
-Z is ‘calibration start’, +Z is ‘calibration end’
To display the calibrated values, select ‘Adjust’ in diSPIM Imaging Setup window.
Repeat this process for Path B.


Topic: Stereology Module

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Previous page
  • Next page

Stereology Module

SlideBook’s Stereology module employs unbiased stereological techniques for accurate estimation of total number, volume, surface area, and length of objects in a biological structure. Stereology systematically samples 3D volumes from a series of tissue sections in a random fashion. The module integrates support for a number of stereological tools within the standard image capture framework. Montaging can be used to outline the boundaries of a structure in a tissue section and then counts performed at high magnification using standard capture tools. Support for both transmitted light and fluorescence microscopy is included, and an offline mode the permits acquisition and counting to be performed separately.
3i would like to thank Glen MacDonald of the NIDCD Research Core, V.M. Bloedel Hearing Research Center, Otolaryngology-HNS, University of Washington for his contributions on our Stereology help pages.

Summary of Operation

SlideBook begins with a montage collected at low magnification to map the extent of the structure containing the objects to be counted. A mask is created to identify that portion of the image over which SlideBook will place counting frames. Sampling sites within this sampling area will be randomly generated. A z-series is collected at each sampling site with sufficient magnification to accurately identify the objects and count them. Finally, each of the 3D stacks are opened in SlideBook, displaying a counting frame, and objects located within the counting frame are counted. The total number of objects within the structure is obtained by scaling the summed counts by the fraction of the structure’s volume represented by the counting volumes. All steps are carried out in accordance with the principles of stereology.

Optical Disector Principle

Stereology allows estimation of objects within a structure by systematically sampling sub-regions within the structure. The total estimate of number, length, volume, etc of the objects is obtained by summing the estimates in each sub-region and scaling them to the total volume of the structure. Objects are counted in the disector method of stereology by comparing a “lookup” section to a subsequent “reference” section. Objects are only counted the first time they appear in the reference section. This method avoids double counting and bias from size, shape or tissue processing. The optical disector uses comparisons between adjacent focal planes in an optical volume. An initial focus plane is a “lookup” plane and the subsequent plane is a “reference” plane. Any object that appears in the lookup plane is not counted. New objects are counted as they come into focus in any subsequent reference plane. An object counted in a reference plane becomes the lookup plane for the subsequent optical planes through the volume.

Specimen Tilt Compensation

A slide specimen rarely sits perfectly parallel to the focal plane of the objective lens. This results in the specimen changing focus as you move across the slide. Slidebook 6 has the ability to calculate the amount of slide tilt in a montage in order to adjust the focus limits for 2D or 3D montages. Note, this may not correct for specimens that are not planar, such as wrinkled sections or mounted organs.

The contents of Stereology Module

Collecting a Stereology Montage
Define the Area
Setup Counting
Capture Stereology Volumes
Counting in Stereology Volumes


Topic: Collecting a Stereology Montage

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Collecting a Stereology Montage
  • Previous page
  • Next page

Collecting a Stereology Montage

Enable z-Tilt Compensation for the Montage

1. Open the [image] Capture window from the Home tab.
2. Click Advanced in the upper right of the window.
3. Go to the Focus tab, check the box to Enable 3 point Z-interpolation for montage capture.
NOTE: This option will be greyed out if you have set any points in the XY tab of Focus Controls. Delete any existing points and try again.
4. Click OK.

Define the Montage Area

1. Open the [image] Focus window from the Home tab.
2. Select a low magnification objective for making the montage.
3. Scan the specimen to identify the extent of the region to montage.
4. Open the XY tab in the Focus window.
5. Make sure that Set Edge option is checked in the Montage Extent group (1 below).
6. Move to the first corner of the area, focus to an identifiable focus position, such as the bottom or top of the specimen
7. Click the montage button corresponding to the position of the current field (2 below)
8. Move to each of two other subsequent corners of the area and click on their corresponding buttons (3 & 4 below).
9. The single line for the montage region will display the number for frames for the montage as well as 3D when tilt compensation has been configured and z plane was changed in setting the montage extents (5 below)

Tips

  • •
    Each corner must be set to the same focal level in the specimen in order to correctly calculate the degree of tilt for the specimen.
  • •
    The corners must be set in sequence, such as UL-UR-LR, or LL-UL-UR, etc.
  • •
    2x2 is the smallest possible montage. 1 x 1, N x 1 or 1 x N will cause problems.
  • •
    If you make a mistake, delete the montage with Clear Point and start over.
  • •
    It may be easier to focus if you enlarge the focus window image by clicking on the Zoom: + button, far left, middle of focus. Return to 50% with Zoom: -.

Capture Stereology Montage

1. Open the [image] Capture window from the Home tab.
2. Select the channel(s) to be included, set the exposure time for each channel (for more information on this, refer to the Adjust Exposure group).
3. Select Stereology for the Capture Type and select Montage from Multiple XY Location Capture.
4. Name the montage if desired, click on Start to capture the montage.
5. Two images will appear in the Slide file, a stack of image tiles collected for the montage and a low-resolution merged working montage titled Stereology Montage.
Move on to define the area for analysis...

The contents of Collecting a Stereology Montage

Optional: Refine "Plane" of Montage


Topic: Optional: Refine "Plane" of Montage

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Collecting a Stereology Montage
  • Optional: Refine "Plane" of Montage
  • Previous page
  • Next page

Optional: Refine "Plane" of Montage

Because the initial plane of imaging was defined using a low NA objective, you may wish to further refine the z positions for the montage extents before creating the point list of counting stacks. To do so, follow the procedure below. It is important to note that if there are wrinkles or other non-uniform aspects in the slice, you will need to update the z position for each stack individually.
After collecting the low magnification montage image...
1. Open the [image] Focus window from the Home tab.
2. Click on the Scope tab and select the objective to be used for analysis.
3. Go to the XY tab. Select Visit Edge then click on a corner to visit in the montage.
4. Adjust the z plane using the z control buttons. Select Set Edge and click on the same corner from step 3 to update the z position.
5. Repeat steps 3-4 for 3 corners.
Continue to define the imaging area from the low magnification montage...


Topic: Define the Area

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Define the Area
  • Previous page
  • Next page

Define the Area

Define the Area for Analysis

1. Open the low-resolution montage image titled Stereology Montage
2. Select the [image] Freehand region tool from leftmost menu in the view window (see also Region Tools).
3. Outline the area you would like to analyze.
4. In the Mask Generation group of the Analyze tab, click on [image] Region > Mask to covert the region into a mask object, name the mask if desired.
Move on to setup counting...


Topic: Setup Counting

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Setup Counting
  • Previous page
  • Next page

Setup Counting

1. Open the [image] Setup dialog from the Modules Tab, [image] Stereology menu. For detailed information on the terms used below, click on the linked numbers or refer to the Setup Stereology window page.
2. Enter the thickness of the section (1), as it is on the slide.
3. Select the higher magnification Counting Objective lens to be used for counting (2), X and Y dimensions of the full camera frame will be displayed below.
4. Optical Disector group, set Disector Height (3) and Upper guard distance (4) (also sets lower guard distance to same).
5. Counting Frame Placement and Spacing group, set Frame Size (5), Frame Spacing (6), and Offset (7). Click on Apply after changing any of these factors to update the Area Sampling and Frame count fields.
6. Click Choose Random Offset for systematic random sampling. Click on Apply to set the offset and calculate the counting frames. Once Apply is clicked, a Frame Count will display how many frames can be collected based on the masked area and setup parameters defined. Area Sampling = Frame Size/(Spacing X Frame Count). For example: (50 μm X 50 μm)/ (200 μm X 200 μm X frame count).
7. If desired, type a Probe Name and Description to save settings for future use (8).
8. Click OK to close the Stereology window. A message box will open telling you how many counting frames were generated for the current section and what the section area is. Click OK to close the message box.
9. The counting areas will then be displayed on the masked area of the montage as shown below.
continue on to Capture Stereology Volumes...

The contents of Setup Counting

Setup Stereology window


Topic: Setup Stereology window

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Setup Counting
  • Setup Stereology window
  • Previous page
  • Next page

Setup Stereology window

1. Open the [image] Setup dialog from the Modules Tab, [image] Stereology menu.
2. Enter the thickness of the section (1), as it is on the slide.
3. Select the higher magnification Counting Objective lens to be used for counting (2), X and Y dimensions of the full camera frame will be displayed below.
4. Optical Disector group, set Disector Height (3) and Upper guard distance (4) (also sets lower guard distance to same).
5. Counting Frame Placement and Spacing group, set Frame Size (5), Frame Spacing (6), and Offset (7). Click on Apply after changing any of these factors to update the Area Sampling and Frame count fields.
6. Click Choose Random Offset for systematic random sampling. Click on Apply to set the offset and calculate the counting frames. Once Apply is clicked, a Frame Count will display how many frames can be collected based on the masked area and setup parameters defined. Area Sampling = Frame Size/(Spacing X Frame Count). For example: (50 μm X 50 μm)/ (200 μm X 200 μm X frame count).
7. If desired, type a Probe Name and Description to save settings for future use (8).
8. Click OK to close the Stereology window. A message box will open telling you how many counting frames were generated for the current section and what the section area is. Click OK to close the message box.
9. The counting areas will then be displayed on the masked area of the montage.
Setup Stereology window

Section Thickness

1. Section Thickness
Set this to the average section thickness of the specimen. Remember, that most sections will shrink and thin to about ½ of their sectioned thickness when dried onto the slide. Shrinkage will also occur with water-compatible mounting media that harden, such as Fluoromount G and Prolong Gold. You may need to measure the final section thickness on the slide. Sections cut from epoxy and acrylic resins will not shrink when dried onto a slide.
Top

Counting Objective

2. Counting Objective
This is the objective that will be used to acquire images for analysis. Once selected, the size of the imaging area will be calculated.
Top

Optical Disector Height

3. Optical Disector Height
This field must be set to the minimum height that can be guaranteed across the entire section, minus an upper (and typically lower) guard region. For example, if the average thickness of the section is 40 μm and its minimum thickness is 30 μm, a 26 μm dissector allows a 2 μm guard region at the top and bottom of the minimum section thickness.
Top

Upper Guard Distance

4. Upper Guard Distance
The guard distance excludes focal planes near the upper and lower section surfaces. Typical guard distances are 1/4 to 1/5 the axial thickness of the object being counted. In the case of counting 6 μm diameter nuclei, a guard distance of 1.2 μm to 1.5 μm would be sufficient, whereas counting nuclei based on the first appearance of a nucleolus may require 0.2 μm guard distance. If the estimated diameter of the counting objects is less than the z-step interval, then set the guard distance to the z-step value. Remember to set the z-step interval to 1/3 the thickness of the smallest object you need to resolve as a general rule.
The counting frame will only appear in focus planes within the disector height, not in the planes of the guard distance. The guard distance is used because tissue structures may be lost near section surfaces due to the physical forces of sectioning or washed out during labeling procedures. Failure to set the guard volumes in your counting volume may result in under-reporting the number of countable objects per volume.
Top

Frame Size, X and Y

5. Frame Size, X and Y
Specify the dimensions of the counting frame, in microns. These dimensions should fit within the extent of camera field collected with the high magnification objective used for counting. For example, the full frame is 1392 pixels by 1040 pixels, and the 100X objective has a pixel size of 0.06 μm, for field size of 83.52 μm X 62.4 μm. A counting frame of 50 μm X 50 μm leaves space for the exclusion boundaries for the 100X objective, or about 800 x 800 pixels.
Top

Frame Spacing, X and Y

6. Frame Spacing, X and Y
Specify how far to separate the upper left corner of each successive counting frame in the x and y axes.
Top

Offset, X and Y

7. Offset, X and Y
Specify the distance by which the counting frame grid is offset into the masked region. Unbiased stereology requires that every part of the masked region must have an equal chance of getting selected. Generally, you will click on Choose Random Offset to begin the grid of counting frames at a random location within the masked region determined by the Frame Spacing, Frame Size, and Offset.
Top

Probe Name and Description

8. Probe Name and Description
You may name a probe then save it for use at another time. The description field can be used to write a brief description of what the probe is used for.
Top

Estimate Surface Area or Volume

9. Estimate Surface Area or Volume
You may also set up the probe to estimate surface area or volume. Simply select the desired parameter and complete either the Surface Probes or Volume Probes group of parameters.
Top


Topic: Counting in Stereology Volumes

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Counting in Stereology Volumes
  • Previous page
  • Next page

Counting in Stereology Volumes

1. A 3D stack has been collected for each counting frame.
2. Open the first stereology volume, go to the Modules tab, [image] Stereology menu > Count Offline. A counting palette opens with a series of markers.
3. As you scroll through the z-stack of the image, note the appearance of the red and green counting frame. Go to the first plane displaying the counting frame.
4. Select a counting category by clicking on the radio button in the Mouse column of the palette.
5. The optical dissector principle states that you should only count objects that do not intersect the top plane of the counting frame stack or the left or bottom sides as indicated by the red boundary lines. Note the appearance of countable objects in the image, count nothing in focus in the first plane displaying the counting frame, this is the lookup frame. You will count any objects that intersect the green boundary lines and/or bottom plane even if they are not wholly contained in the counting volume unless the also intersect with a red boundary line.
6. From the first counting frame, the lookup frame, scroll to the next plane, the reference plane. Count objects that were not present in the lookup frame by clicking on the object.
7. Scroll to the next plane. The counted plane from step #6 becomes the lookup frame and the current plane is now the reference plane. You will notice markers on objects counted in previous planes will turn grey. Count objects that appear in the current reference plane but not in the previous lookup frame. Continue the through the stack with each reference frame becoming the lookup frame for the next image plane.
8. Switch between categories of objects to count using the different icons and colors available.
9. Open the next z-stack. Choose the [image] Pixel Select tool from the leftmost menu in the image window to get the counting icon back. Proceed counting the stack as described above.
10. When finished, click Save Results to save the results as a delimited text file (.txt) compatible with Excel or other statistical packages.
NOTE: Do not enter any a filename into the box adjacent to Save Results. No file will be saved. Leave this box blank and name the results file in the Save dialog.

The contents of Counting in Stereology Volumes

Stereology Counts window


Topic: Stereology Counts window

×

  • SlideBook 6 User's Guide
  • Stereology Module
  • Counting in Stereology Volumes
  • Stereology Counts window
  • Previous page
  • Next page

Stereology Counts window

The Stereology Counts window is accessed in the Modules tab, [image] Stereology menu > Count Offline. For more information on using this dialog, refer to the Stereology Module section of help or, more specifically, Counting in Stereology Volumes.
Stereology Counts window

Counting Rows

1. Counting Rows
The counting dialog allows you to count 10 different categories of object. You can name or describe the object in the Label field. The Count field displays the number of objects counted in the current image/all images of the collected set. Icon and Color of the counting markers can be changed by clicking on the respective buttons to cycle through the options. When you scroll to a different z plane, markers will turn gray. Click on the radio button in the Mouse column of the desired counting row to select the active counting category.
The Key field is used if you would like to use the keyboard to count without marking the image. You can change the keys used by typing in the edit field.
Delete a marked count by centering the cursor over the unwanted marker and then click while holding down the SHIFT key + left click the mouse.
Top

Probe

If you selected Estimate surface area or Estimate volume in the Stereology Setup dialog, this is the display color used for the probe selected.
Top

Clear Image button

3. Clear Image button
Pressing Clear Image will delete all counts made in the current image.
Top

Clear All button

4. Clear All button
Pressing Clear All will delete all counts made in all images.
Top

Load Probe button

5. Load Probe button
Press Load Probe to load a different saved probe (from Setup).
Top

Save Results button

6. Save Results button
When finished, click Save Results to save the results as a delimited text file (.txt) compatible with Excel or other statistical packages.
NOTE: Do not enter any a filename into the box adjacent to Save Results. No file will be saved. Leave this box blank and name the results file in the Save dialog.
Top

Total Area

7. Total Area
Reports total volume calculated in the Stereology Setup dialog.
Top


Topic: SlideBook Reader

×

  • SlideBook 6 User's Guide
  • SlideBook Reader
  • Previous page

SlideBook Reader

A free version of SlideBook™! Review and share your .sld slide files in their native format from anywhere!
SlideBook Reader includes a robust feature set to help you work together with lab members and collaborators:
  • •
    Familiar user-interface of the SlideBook
  • •
    Open proprietary .sld images
  • •
    View data in XY, XZ and YZ projections
  • •
    Full renormalization and lookup table options
  • •
    Export 16 bit tiffs
  • •
    View and edit regions of interest
  • •
    Graph regions of interest
  • •
    Export graph and graph data
  • •
    Perform basic measurements in 2D and 3D
  • •
    Display and edit annotations
  • •
    Online help with step-by-step tutorials
  • •
    Compatible with Windows XP, Vista and 7, Mac OSX not available at this time
Download SlideBook Reader today!